(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[   3353601,      88553]
NotebookOptionsPosition[   3344537,      88270]
NotebookOutlinePosition[   3345353,      88301]
CellTagsIndexPosition[   3345219,      88295]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["The package VQM`ArgColorPlot", "Title"],

Cell["\<\
Bernd Thaller
Institute of Mathematics
University of Graz
Austria
2007-07-19\
\>", "Subsubtitle",
 CellChangeTimes->{{3.393847078727428*^9, 3.393847097647853*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"$Version", ",", 
   RowBox[{"Date", "[", "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.389455385125691*^9, 3.389455386984578*^9}, {
  3.3918486525625*^9, 3.391848655359375*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"6.0 for Mac OS X PowerPC (32-bit) (June 19, 2007)\"\>", ",", 
   RowBox[{"{", 
    RowBox[{
    "2007", ",", "7", ",", "19", ",", "17", ",", "16", ",", 
     "27.678824`8.194722615948827"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.389730999079254*^9, 3.389731023223973*^9}, 
   3.38973304245971*^9, 3.3908939753517313`*^9, 3.3917799084729977`*^9, 
   3.391848677140625*^9, 3.3924696290901003`*^9, 3.393842366723646*^9, 
   3.3938469876928*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Abstract", "Subsection"],

Cell[TextData[{
 "The package VQM`ArgColorPlot provides methods to visualize complex-valued \
functions of one real variable. This package is part of the VQM packages \
which can be obtained here:  ",
 ButtonBox["http://www.uni-graz.at/imawww/vqm/software.html",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.uni-graz.at/imawww/vqm/software.html"], None}],
 " (free download). The VQM packages are part of the Visual Quantum Mechanics \
project, see ",
 ButtonBox["http://www.uni-graz.at/imawww/vqm/",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.uni-graz.at/imawww/vqm/"], None}],
 ". In particular, these packages are distributed with the book ",
 StyleBox["Advanced Visual Quantum Mechanics",
  FontSlant->"Italic"],
 ", Springer-Verlag New York, 2004."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Introduction and implementation", "Section"],

Cell["\<\
Here we describe theoretical background and the practical implementation of \
the main function in the package VQM`ArgColorPlot`.\
\>", "Text"],

Cell[CellGroupData[{

Cell["FilledPlot", "Subsection"],

Cell["Filling of a graph can be obtained by ", "Text",
 CellChangeTimes->{{3.389599758020893*^9, 3.3895997992501774`*^9}},
 FontFamily->"Times"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"-", 
     FractionBox[
      SuperscriptBox["x", "2"], "2"]}]], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
   RowBox[{"Filling", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.389599861850192*^9, 3.3895998925944*^9}}],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJxleXk0VV/493Wve28RlVIoc4aEBqIyPKdSoZEGQ0KDZEgq3wZkdrlmSYSM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   "], {{{}, 
     {Hue[0.67, 0.6, 0.6], Opacity[0.2], EdgeForm[None], 
      GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwt1AXQl0UQB+A9WwxMbAE7ERsbu7CwFVGwA7FbsbvAxgS7u7ADFOwu7O7u
fH4OMzxze/v/5mXvbu96D+zfdc+qGo/m3wnjxuPHxYsbj2NpDjf/3rgI+4tv
53PxvAwQ5/fred+8MzuKN2B3LuA5uSnYWLwY67Mb5/Os/OT0Fi/KYVzHe3Kz
s4N4PXblPJ6Rm4yNxN05lGt5V242thf3YhfO5Wm5DmwoVn8dwjW8Izcr/cXr
sjPn8JTcpKT+bhzM1bwtNwv9xOuwE2czRm4SsqaFOYirGCs3M9uJ1yZ7chaj
5SYma1qItcgah/Ck/ESk/gVZk6xnME/IT0hqXYA1SO1nMkp+AlLX/MyHs6l5
mJu5mJM56EoXnFPZ31qdrOkMRvrG+KRee1mrkfpP53F5vdJSr32rA7mSt+Rm
YlvxqmQ8jcfk0k9Zg32r2/jMXE1tD/EBXMGb5jPSV7wKN/OxuXpbzjz5L8XW
1QaKT+XR/1u1WvbAHtd3YmfV9hPfakzv5tw+NVp/Sx/q27Yk6ZevjUdij9ve
5pcbj0b/tazrDeMRzMA25isbj2Up0p/fGI/C+bV9zG8yHoPebjn/j4yDsN8t
fegbbQnSe18YnU/L3TvFqIdb9uIR/hXnPOxnfSvWT21f8S18InaOLfcm6/xK
rA/aXuLhvC7uRB9xT27kQ3Pn3dLbyZ/Mw/wjl7O175XvD+M1uenZWrwSN/CB
uV5p6fXkT+Ih/pbLWdufyvov41W56dhKvCIZT+RB/pLP2aqvst+X8orctGwp
XoGMeXce4E95e17qKd8sf1fTMDVT0ZEp8aaUt6O8B+WO1/JsgTes7ucP38le
uM+1HJvjTav7+N1vWae7W8uyGc64RvCb37IG97SWYVOcb93Lr35Lve5pZe8v
4WU59bX83z3YBP1U9/CLfOpydyv9ezEvyVlLSz3e18q7qJ/qbn6WT63uc6VH
LuJFOetuqVEPVt5K/Vt38ZN86ndvK2/xhbwgZ49a6tbzlbdSP9ad/CifNeXd
zz0cyvNy9rOlbn1aeSv1f93BD/I9/gPGkaYi
        "],
        VertexColors->None]]}, {}, {}}, {{}, {}, 
     {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwt1AfUF1IUAPB7bTJDZTYou2nPRFlJMrMlkZCVTSlblL1DlL0ziyKUQhkh
lD0re+/fdZzz/c693/1/5//d9959r0f/Xs2Pjoj0c87/cWPxe8ZwJt1ZX313
lpRP5zqOZD61TcQfeISB7MoG6nuwlPxVruco5lfbVPyRRxlEDzZU35Ol5a9x
A9XXAmqbiT/xGGexGxup78Uy8te5kf4sqLa5+DOPMxh9hzXl3jSUv8EIjmEh
tS3EX3iCIeg7ak0L+2xL8Vee5Gz0GNX/Ij7bSvyNsdTe6Seq10V91lH8nXGc
i/8d1ddiNGBxlqD2s/ao1l1rqf6WZTmW9z1bi3/wFOfRE/2mmPV3M7iJY2mk
1kn8k6c5n32whhSzvvNNbuY4GqttI/7FeC5gX7U+NJN/xD1YZ1ZdP/EWt3A8
TdS2Ff9mAheyn9phNJd/zL3Yi6y6/uJtRsrtfa4tn8sJ8iNYXf4ZD8h9f64n
/4YV5J3Ff3hGfiJt5ReJZiTXlH8lnoo5jf3Fw2lBzeMn4sm0p873PtH6c11q
nr4WT6dmsM7Ynmd9R+1Pzf9M8STaUfN0q2i/cx1qfueJp2HmY4DYj5byz8VT
6CB/UKx1tpZ/y4ryLv9dt4hnGSo3v7mWfA4HyPuymvxT7sfZZtXte7zDbdRe
uIfZSv4FD7GS37ejvnwiF3MgzjrFtJ/xLqOwrlhZbXvc5XiOSziIOttV1HfA
vY3nGcbB1HmsSlNqVuq87XdUv3WOtf7qaQ3qfKwrd8R9jhcYTi/sQZiD3Al3
NyZxKYdgDVF73BX3NCZzGb3Rb9T57Yx7Gi9yOYdS/eo/7XG8x2icf5in7Ia7
G1O4ArMe1Zc1pX2LWdyOcwtnlbvgPsdUrsRsR/Wq97RvMZs7MHvRRs1bmXXH
X+IqzGFU/9aT9jLe507MS5jh9FZmvQcvczXOPGpN1pi1vx9wF+Yzav68lVlv
xytcg3sT1hQ1297FrDdlGtdiDqP6tydZ5/Qhd3OG373FWWfzJQ/La271H9+J
9Xm9r/WmdfgXOOmlDw==
       "]]}}}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  Method->{"AxesInFront" -> True},
  PlotRange->{{-3, 3}, {0., 0.9999998933755221}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.389730999169384*^9, 3.389731023344146*^9}, 
   3.389733042579883*^9, 3.390893975419306*^9, 3.391779908570067*^9, 
   3.39184867728125*^9, 3.392469629336767*^9, 3.393842366827326*^9, 
   3.393846987839116*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"-", 
       FractionBox[
        SuperscriptBox["x", "2"], "2"]}]], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
     RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
     RowBox[{"FillingStyle", "\[Rule]", 
      RowBox[{"Hue", "[", "c", "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", ".42", ",", "\"\<color\>\""}], "}"}], ",", "0", ",", 
     "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.389452651134901*^9, 3.389452660481776*^9}, {
   3.389452748025194*^9, 3.389452853478345*^9}, {3.389452932282969*^9, 
   3.389452944903273*^9}, {3.389453016321824*^9, 3.389453041661417*^9}, {
   3.389453158337762*^9, 3.389453160629168*^9}, {3.3894532405015173`*^9, 
   3.389453242024702*^9}, {3.3894532758482428`*^9, 3.389453322312015*^9}, {
   3.389454030487603*^9, 3.389454056339036*^9}, {3.389454160395546*^9, 
   3.389454245082055*^9}, 3.389454296073524*^9, 3.3894543725201263`*^9, {
   3.389454460596682*^9, 3.38945451682495*^9}, {3.3895999243100047`*^9, 
   3.389599947303067*^9}, {3.3895999923077807`*^9, 3.3896000137586255`*^9}, {
   3.3896864713194847`*^9, 3.3896864820849648`*^9}, {3.389686520119656*^9, 
   3.3896865213814707`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`c$$ = 0.42, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`c$$], 0.42, "color"}, 0, 1}}, Typeset`size$$ = {
    360., {114., 119.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`c$124$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`c$$ = 0.42}, 
      "ControllerVariables" :> {
        Hold[$CellContext`c$$, $CellContext`c$124$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[E^(-($CellContext`x^2/2)), {$CellContext`x, -3, 3}, Filling -> 
        Axis, FillingStyle -> Hue[$CellContext`c$$]], 
      "Specifications" :> {{{$CellContext`c$$, 0.42, "color"}, 0, 1}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{402., {156.875, 162.125}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.389730999239485*^9, 3.389731023434275*^9}, 
   3.389733042700056*^9, 3.390893975474465*^9, 3.391779908678335*^9, 
   3.391848677890625*^9, 3.392469629389686*^9, 3.393842367448604*^9, 
   3.393846987926628*^9}]
}, Open  ]],

Cell["In that way one can produce neat looking graphs. ", "Text",
 CellChangeTimes->{3.3896000385943375`*^9},
 FontFamily->"Times"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      SuperscriptBox["x", "2"], "18"], ",", 
     RowBox[{"Cos", "[", "x", "]"}], ",", 
     RowBox[{"Sin", "[", "x", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
   RowBox[{"Filling", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"2", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "3", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"GrayLevel", "[", "0.3", "]"}], ",", 
           RowBox[{"GrayLevel", "[", "0.3", "]"}]}], "}"}]}], "}"}]}], ",", 
      RowBox[{"1", "\[Rule]", "Axis"}]}], "}"}]}], ",", 
   RowBox[{"FillingStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"GrayLevel", "[", ".3", "]"}], ",", 
      RowBox[{"GrayLevel", "[", ".7", "]"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3894545557885*^9, 3.3894545612082453`*^9}, {
  3.3894546442247467`*^9, 3.389454672931892*^9}, {3.3894547055546837`*^9, 
  3.389454728959723*^9}, {3.389454763747345*^9, 3.3894547689326057`*^9}, {
  3.3894548144664793`*^9, 3.3894548679653873`*^9}, {3.389454900735577*^9, 
  3.3894549467148733`*^9}}],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJxdmnk01U/8/+1cS7jIVRGVVlFZK8ykoiLRQmVJipBkKUpaVLYW2SufQspS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   "], {{{}, 
     {GrayLevel[0.7], EdgeForm[None], 
      GraphicsGroupBox[
       PolygonBox[{{1, 1026, 1027, 51, 158, 130, 154, 106, 126, 150, 86, 102, 
        122, 146, 70, 82, 98, 118, 142, 58, 65, 77, 93, 113, 137, 50, 49, 48, 
        47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 
        30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 
        13, 12, 11, 10, 9, 8, 7, 57, 64, 76, 92, 112, 136, 6, 56, 63, 75, 91, 
        111, 135, 5, 69, 81, 97, 117, 141, 55, 62, 74, 90, 110, 134, 4, 68, 
        80, 96, 116, 140, 54, 61, 73, 89, 109, 133, 3, 67, 79, 95, 115, 139, 
        53, 84, 100, 120, 144, 60, 72, 88, 108, 132, 2, 85, 101, 121, 145, 66,
         104, 124, 148, 78, 94, 114, 138, 52, 105, 125, 149, 83, 128, 152, 99,
         119, 143, 59, 129, 153, 103, 156, 123, 147, 71, 157, 127, 151, 87, 
        155, 107, 131}},
        VertexColors->
         None]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, 
     {GrayLevel[0.3], EdgeForm[None], 
      GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwt1Ffs32MUx/Hv83z+xZWR2iuxN01siZkYVTXqSotSs1Zd4AYJF/beq61d
1Kq93dTee28REWqVisTo64Tk987nec7v+4xznnPOhGlTVjtuGIaO5nfZMIyM
GM/Cbbgdd2A27sRduBv34F7MwX2439rvcQnGYjTbPLyPB8x/wKXYHUuz/YgP
jP/FrTgA68AdhgfpvP/u0sZhGbaf8OH/13S3diDWRRkeovZrl2MPLMv2s28X
N669jsEWbB+xlY/8apOxHsL+MLV/uwLjsRzbL75dwrj2PhZbsn3M5rwmJu0g
rG++On0Bp0HcurPbkzgB25n7pr2Bs61/hLpXuxJ7+m8T+i6WN16FzsXJxlvT
z33/q/GSxu7Xd6LeqW9Gy4/ycytaMXuV7krPoNvSr+le1n9C+de8X9+RHkzH
0PdoxXUDugZ9ke5CT6fb0C8wylgc2lM40Xhzyv+2vbF17U2c44xHqVi1q+DM
toL/V6XP4BT/zzdfyrh8nwa+DZ+yiVWTU20KNsQibOLQnsZJ2MF3j1ExaFdj
b6zI9hs+8637NfnYDsFGWJT9ceq8dg32wUpsv0Msu/2b3G2HYmMsxv4EtV+7
FhOwMtsC8H+oN7S2XYd94X2GP/AlxGTEeSN15+PBr15vI0+6XOtH4yhMxZE4
AofjMDi/Xww51OVF7BNxi5zufOkXQX7219nsH3kS9dHFqV+I+u41Nv5HruYW
83pXvnTvHjGKbyN2/QLUWvkR8Y6cyc3mcreLVf/K3HvF+njHfj7kZ+RU+JTn
zO0fb59T8Y75K1RORf7kJnN1FLkVuRBx62IU8Y03TOWle8SbR25FvXfxCz/y
Dbx3vFfcJ/Kjnyemwhv1EfUfuZw/Ia9TuaxG8xfEL99ibXijiH2e9T/f8g/0
gehFUSup+8jDvO3/lykfU3FSx5Fb0Y9yo//0k8iz1BlyL+o1lTfyIfpWvoM8
i1qIGHTxivqLuo8e1/ke9ZKKR9XrudCTshbkRdRDF69sCjWet8xfovpR9Mvc
YK4H9vJHPUT/iPv2iot7RF9J3VE/6mLdKz5rQr5F3+jlgzqudpbdcL35/qi7
qJfoobF/9MPOt17n6Vtd/43ekZnGk1D7q8/o0bE+enc/C7Xf86j46hWZYTwR
Z6LWVq78zb4zphvv5y1HLQRQf9UQ
        "],
        VertexColors->None]]}, 
     {GrayLevel[0.3], EdgeForm[None], 
      GraphicsGroupBox[{
        PolygonBox[{{594, 923, 836, 764, 709, 669, 645, 595, 596, 597, 598, 
         599, 600, 1029, 1028, 165, 164, 214, 236, 274, 328, 400, 490, 163, 
         213, 235, 273, 327, 399, 489, 162, 256, 294, 348, 420, 510, 212, 234,
          272, 326, 398, 488, 161, 255, 293, 347, 419, 509, 211, 309, 363, 
         435, 525, 233, 271, 325, 397, 487, 160, 317, 371, 443, 533, 254, 383,
          455, 545, 292, 346, 418, 508, 210, 388, 460, 550, 308, 473, 563, 
         362, 434, 524, 232, 478, 568, 378, 581, 450, 540, 270, 586, 468, 558,
          324, 576, 396, 486, 159}},
         VertexColors->None], PolygonBox[CompressedData["
1:eJwl1FfMp1MQx/GZOW+s3m90qySrbCwSEoQoF1wQ1mrrTl8SrN57SGxE9Lba
FZbVL/Tee+8r0WtEi7IIn4nk/WbO7/m/z3nOmfnNTD9iv8mHR0Qh/R0fMbEI
OTti3IRdsSj9Om7BRTjKs5uxGxaj38A8XEw/gP2xCv05HsLRtHfHdCxOv4lb
cQn9IA7AqvQXeBjH0PYbu2MJ+i3chktp+40DsRr9JR7BsbT9xgwsSb+N+dbP
4khMoX/CZdb2Hwdhdfor8X2chS3oR8VXIAdjI/oPHGft22MPLEW/I9p/nIbN
6NvF59D5Wg9fo3P0s7gA52Jr/IArPL9cdOZxMH7FGnCPcSH+8nu//wHOhu+P
LfE9+uz/+v0x8VWcgN8wDd+ic/mP3/8UP8H5WIjt8COu8lvfq/OyJ5aG+owL
PH9X7Hudjs3pO8Tn0XVen/5F/BjnYRvaPUbn6hCsSX8jfohzsBX9uPgaTsTG
tHNUn7dztReWod/DndYvoP2xAS0fdaV133EWJtPuVk+g9+pz7Y1laXWru+Be
o793KNaiv8OTOInu/ffBcrSc1t24Gid75t0xE8vTzl734BqcglOhviUfdQbO
BI9U18QeY1+sQH+EezGXdsZxGNam1auestYzo8+xCa2241PMwfbgx+EsE3qu
5C26v/RTdg/Icfq/2knsXpkqeqd2EXmq1Cjlo3YQ3b30WvJm2r/kP50zX7Re
V9wUnWtnSDnNzpmeCt5P9UxeKr7Nfk+9U//Win7npZSDfIZW43SvlMu8Ee4S
6ltmQ3aP83fyW+0o9izYUOS72lnsHOmTVP9yh1TbWlnUp8mnxd8pt8kHtY7Y
5+TH4pvkr1TDMjNCj6ReSv1Z+jn7PT2X99NqEX9bq1s+Teup5IXklbwB/Bfu
mdv+P9+Sd2slUR6yv6MXk7fKLAv5T7MgzY28zzP+CPdNXkzezeuhx8I50rlS
/6V5krxd5mTIR/heds70WV4HfRwvi/ZPcyXNr9SHNcnzz2C/7DObMXktfvfs
JahneDfNqjTbks9Sz4fahnyFHg2zJ8y5UKdw9+C74P/gx+CNkO9w3zBzJib9
B++b0T4=
         "],
         VertexColors->None]}]}, {}, {}}, {{}, {}, 
     {Hue[0.67, 0.6, 0.6], 
      LineBox[{1, 131, 107, 155, 87, 151, 127, 157, 71, 147, 123, 156, 103, 
       153, 129, 59, 143, 119, 99, 152, 128, 83, 149, 125, 105, 52, 138, 114, 
       94, 78, 148, 124, 104, 66, 145, 121, 101, 85, 2, 132, 108, 88, 72, 60, 
       144, 120, 100, 84, 53, 139, 115, 95, 79, 67, 3, 133, 109, 89, 73, 61, 
       54, 140, 116, 96, 80, 68, 4, 134, 110, 90, 74, 62, 55, 141, 117, 97, 
       81, 69, 5, 135, 111, 91, 75, 63, 56, 6, 136, 112, 92, 76, 64, 57, 7, 8,
        9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26,
        27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 
       44, 45, 46, 47, 48, 49, 50, 137, 113, 93, 77, 65, 58, 142, 118, 98, 82,
        70, 146, 122, 102, 86, 150, 126, 106, 154, 130, 158, 51}]}, 
     {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwl1QPUXVcQhuH9nf41UrtNU6S2ndpK7TY1U5tJbbtNatu2mdq2bT3TrnXf
9c2Zc7ZmZs/tP3BAnx1ba/G7mQ6hH+OY1rp+dEk6C32RLk/HoJPSB+hSdB86
H33b2E/Zo7FvwLbsOelrmIvdlz6FQ3z3PP0TF2A9TO19H/ooDvT+b8/jse/E
rliYbyj9BMei1u3F95nvRmffiO0wN98L9C9ciPUxDd8/OJ9tfzkOS2NMvs/h
XLFeLsIG6PtfKFqrvZk/x2MZjMX3BV5CzW1sTsCyGJvvS7wM87SLW+vpoZfg
UlyGy3EFrsRVuBrX4Fpch+tRcbNGTsRyGIfvK7yCOqM1chIqD+PyfY1X2c4X
a2ZDTIs6wE3U2JyMFSCe7RvIR1fptrdshOlQDrmP+XIKVsT4fN/6Vr5Tc22P
efhe56taca5sjOkxHP8t1Pw5FSthAr7vfNvr/7rKDpiX7w0+60VMsglm8Dwl
fQwHQdw6a+cu7IZFPPsmz+EI42+l9pXTsLJ3s1I5yYTsyeiD2Jc9P33H99+z
5Tr21y1O1XqnHlPnqHOq3a5i9jStPB9K1Vs+oKsY/yZ1vshftxjdlM5G5bqr
uM5Ip6KP06qrg+kC9F0MzxaH3I3d2eozzp9F2cZlGI60xm1UrHI6rJmJvJ+c
PoT9vP/Bs/pLnX0gnK29xSdWUVMZgJkwAp845B7sAfe33U7FIGdgVUzM9yPc
187+oh6zGWbGiPx3UOvlTKyGSfh+glh25o/azeaonjASf91R8+Us9Ife0H6G
87fKobE5G6tDftoveA9i0lPr2Wu7F/fhfugrTQ6bs7eH8Qj0haY+mhi3J/Ck
uayRc7AGxKr9ivdRPcYaORdrojffb6h8Wi/uXbZA1c3I/PIeY3Me1sIUfL/j
Q987X9zRbInK+Sj8z1Dzpfrk2tC32h++1QNSedwJ8t8+4jN/3O9shdkxKp/c
xnmzJ9RTe5ZaL9Xf1oG70NlznD37e69PdvpAKo87Y0HPdWdrH4d5r1d39hU9
JFuzax39InOw9dWIVwaxjYu4R3/u1EDEu1uC7kXd61Sd1711R7qqJT26q952
FHUHU/FQP63uofOm+um6UPudmEWecoD3em+nN6XqaBcs5Ll6RJ3zcO/18E4c
ot9lG7Z9pnqY/4pOr07ldjDbuMhn9PdODUZtdP6LsjfVR1L17/7HGbqqXX2/
q555NHW/UvFXv23Yv4QD3wk=
       "]]}, 
     {Hue[0.1421359549995791, 0.6, 0.6], LineBox[CompressedData["
1:eJwV1QXUVkUUheHrHOxusVExsbu7GwuxsRO7W+zuwFawC7u7OxHs7u722Wv9
75rZ9/5z7qk5X9+BA3rt1nXdKP6GdV3r23U1GCvY/43HcRGOxnpYHxtgQ2yE
fl3XY1Trxs5ciBXt/8ETuBjHoL/nbNRK9v/iSVyCYz27FZtiEvod3I5NaGdr
Zfv/8BQuxXGe3YbNMCn9Lu5AzrNXq0Ao7WlcZv8odsFM9Dc43p792hyT0e/h
TvtnsTf60L8g9n2vVoW8tGesr+AgzE9fbn0Mu6I3/S1OsOdLbYHJ6fetw3E4
FqHvsj6HfTAnvsAZnv9q5UcltmXwHc7zPD4mhtXwIxo+wknexd9XcTB+wwL4
Cmch+b3Cqm6lriWemhmf4TSkpvnG21DT+gNLQn7qHLVM/k60T162xE+YAp/g
FO8+sL6JI7Aofbf1eeyLuej4k9iT62Xp5CP5Wh2K05KD13AIFqSvtOqVGohZ
6O8hxkq+tkJP+kPcg/iT2NYAR5vvtiE4mY4fAzAlLU/tXuR87K+J9OgLGIrE
kf91ttbCaPSLuAqnYmvP/F+tjdHpl3A15K9tg22xHbbHDtgRO2Fn6LemL5rc
NzG13eU09vdgi/1aB2PQL+ManI49PWO/1sWYtF5r10J/lLgr/kxFf4z7sBft
bOWujkXrhXYdzqTFXXysqWk1a/cjvc1eub81Ni3/7XqkX9gr8dQ09Kd4AOlR
9spdr3Ho13GDvXtb4qlZ6R9wtj37JRc1LZ0eG4EjsRj9oFXOaz/MTf+O9Ilv
lxlS49JvWNmvQ7EQfaPVfa/kazZ8juQod8B8KPOkloI7V+d6rmeLz6UW9TOm
gzhKHesv73N+JI6C79fi+BrxPbPlIava1/7IXZwHXyK5zBzL/UjP537/ieWg
R+t87xJX8mIW1nhQn9KLLfc+cR2GhembrGZSpc6z07lTZldl/i1Ni6OSK71U
09OZDW9hEJagH7bqwToA89L8aPE3uTKDa3zanWw322dWpT/moOWjmSWVGPVo
9aLF1h5BbMUv87smoNWt3QJxVb6nn2sG2lxp5mg7kI79zPkJaTlt+b24AJmL
zlbm/EQ035u53vyONDOquetNfZt8NPOwmR1Nj7TUhI3KvJ+YNpOa+d7yO8LH
cp9qRlq9WuatO1PxYz5abctcqMyq5aEfiy89Mq8H/Q81CPjm
       "]]}}}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  Method->{"AxesInFront" -> True},
  PlotRange->
   NCache[{{0, 2 Pi}, {-0.9999998830731719, 2.1932453329440813`}}, {{
     0, 6.283185307179586}, {-0.9999998830731719, 2.1932453329440813`}}],
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.38973099940973*^9, 3.38973102360452*^9}, 
   3.389733042900344*^9, 3.3908939755901527`*^9, 3.391779908899826*^9, 
   3.3918486781875*^9, 3.392469629515243*^9, 3.393842367781004*^9, 
   3.393846988125334*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Again, it is only possible to plot real-valued \
functions.",
 FontSlant->"Plain"]], "Text",
 CellChangeTimes->{{3.3896000568205457`*^9, 3.3896000574013805`*^9}},
 FontFamily->"Times",
 FontSlant->"Italic"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Filling with an x-dependent color", "Subsection"],

Cell["\<\
In order to visualize a complex-valued function f[x] of one real variable, we \
use the following idea. We plot the curve Abs[f[x]] and fill the space \
between the curve and the horizontal axis with a color determined by \
Arg[f[x]]. Since the argument of a complex number is a real number modulo 2\
\[Pi], it appears natural to choose Hue[Arg[f[x]]/(2\[Pi])].\
\>", "Text",
 FontFamily->"Times"],

Cell["In order to be specific, we define a sample function", "Text"],

Cell["f[x_] := Exp[-x^2 + 2 I x]", "Input"],

Cell["\<\
We proceed as follows. First, we define a set of positions on the x-axis and \
calculate a table of function values at these positions.\
\>", "Text"],

Cell["xvalues = Table[x,{x,-3.,3.,.1}];", "Input"],

Cell[TextData[{
 "(The semicolon serves to suppress the lengthy output). Observe that the \
boundary values and the increment are given as real numbers. This guarantees \
that all generated values are real numbers. and when we calculate the value \
of f for one of these x-values, then ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " will return a numeric expression. The function values at these points can \
be calculated just by applying the function f to the list xvalues:"
}], "Text"],

Cell["yvalues = f[xvalues];", "Input"],

Cell["\<\
The variable yvalues now contains a one-dimensional array of complex numbers. \
With the command Short we can look at an abbreviated form of this expression \
(The parameter in the command Short describes the desired length of the \
abbreviated expression). :\
\>", "Text"],

Cell[CellGroupData[{

Cell["Short[yvalues,2]", "Input"],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"0.00011849442696537262`", "\[InvisibleSpace]", "+", 
     RowBox[{"0.000034482611891511404`", " ", "\[ImaginaryI]"}]}], ",", 
    RowBox[{"\[LeftSkeleton]", "59", "\[RightSkeleton]"}], ",", 
    RowBox[{"0.00011849442696537222`", "\[InvisibleSpace]", "-", 
     RowBox[{"0.000034482611891511173`", " ", "\[ImaginaryI]"}]}]}], "}"}],
  Short[#, 2]& ]], "Output",
 CellChangeTimes->{{3.3897309994798307`*^9, 3.3897310236746206`*^9}, 
   3.3897330429904737`*^9, 3.390893975663748*^9, 3.3917799090640593`*^9, 
   3.391848678296875*^9, 3.392469629589114*^9, 3.393842367912937*^9, 
   3.393846988247798*^9}]
}, Open  ]],

Cell["Next we generate a table of absolute values", "Text"],

Cell["absvals = Abs[yvalues];", "Input"],

Cell["and a table of arguments", "Text"],

Cell["args = Arg[yvalues];", "Input"],

Cell["\<\
From this we want to determine a table of color values. We could try to apply \
Hue to the list args, but this does not work because Hue is not \"listable\"\
\>", "Text"],

Cell[CellGroupData[{

Cell["Hue[args/(2 Pi)]    //(Short[#,2]&)", "Input",
 CellChangeTimes->{{3.389455016376145*^9, 3.389455089974019*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"Hue", "[", 
   RowBox[{"{", 
    RowBox[{
    "0.04507034144862798`", ",", "0.07690133006700708`", ",", 
     "0.1087323186853862`", ",", 
     RowBox[{"\[LeftSkeleton]", "55", "\[RightSkeleton]"}], ",", 
     RowBox[{"-", "0.10873231868538606`"}], ",", 
     RowBox[{"-", "0.07690133006700695`"}], ",", 
     RowBox[{"-", "0.04507034144862785`"}]}], "}"}], "]"}],
  Short[#, 2]& ]], "Output",
 CellChangeTimes->{{3.3897309995299025`*^9, 3.3897310237447214`*^9}, 
   3.38973304305056*^9, 3.390893975713932*^9, 3.391779909142223*^9, 
   3.391848678375*^9, 3.39246962962169*^9, 3.3938423680073338`*^9, 
   3.393846988349337*^9}]
}, Open  ]],

Cell["\<\
We have to use the command Map in order to apply Hue to each of the values in \
the list. Map has the shortcut /@\
\>", "Text"],

Cell[CellGroupData[{

Cell["Hue /@ (args/(2 Pi))    //(Short[#,2]&)", "Input",
 CellChangeTimes->{3.389455027747223*^9, 3.389455127780365*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Hue", "[", "0.04507034144862798`", "]"}], ",", 
    RowBox[{"Hue", "[", "0.07690133006700708`", "]"}], ",", 
    RowBox[{"Hue", "[", "0.1087323186853862`", "]"}], ",", 
    RowBox[{"\[LeftSkeleton]", "56", "\[RightSkeleton]"}], ",", 
    RowBox[{"Hue", "[", 
     RowBox[{"-", "0.07690133006700695`"}], "]"}], ",", 
    RowBox[{"Hue", "[", 
     RowBox[{"-", "0.04507034144862785`"}], "]"}]}], "}"}],
  Short[#, 2]& ]], "Output",
 CellChangeTimes->{{3.38973099956996*^9, 3.3897310237947936`*^9}, 
   3.389733043120661*^9, 3.390893975744944*^9, 3.391779909187869*^9, 
   3.3918486784375*^9, 3.392469629662918*^9, 3.393842368062036*^9, 
   3.393846988414481*^9}]
}, Open  ]],

Cell["We can achieve this in one step by writing", "Text"],

Cell["huevals = Hue[Arg[#]/(2 Pi)]& /@ yvalues;", "Input"],

Cell["\<\
Next, we are going to plot a graph of the function f. Let us first plot the \
graph of the absolute value, which is represented by the list absvals. We \
shall convert this into a list of points which can then be joined to form a \
line. The coordinates of these points can be obtained from the lists xvalues \
and absvals. We just apply the command Transpose in order to obtain the list \
of (x.y) pairs. \
\>", "Text"],

Cell["graphline = Line[{xvalues,absvals}//Transpose];", "Input"],

Cell["\<\
We can look at this by converting the graphics primitive graphline into a \
graphics object and by applying the command Show:\
\>", "Text"],

Cell[CellGroupData[{

Cell["Show[Graphics[graphline]]", "Input",
 CellChangeTimes->{{3.389455145616206*^9, 3.38945514694519*^9}, {
   3.38945519804246*^9, 3.389455241656876*^9}, {3.389455281568674*^9, 
   3.3894553060641947`*^9}, 3.3938425645284567`*^9}],

Cell[BoxData[
 GraphicsBox[
  LineBox[{{-3., 0.00012340980408667956`}, {-2.9, 
   0.00022262985691888894`}, {-2.8, 0.0003936690406550786}, {-2.7, 
   0.000682328052756376}, {-2.6, 0.0011592291739045903`}, {-2.5, 
   0.001930454136227709}, {-2.4, 0.003151111598444442}, {-2.3, 
   0.005041760259690982}, {-2.2, 0.007907054051593435}, {-2.1, 
   0.012155178329914935`}, {-2., 0.01831563888873418}, {-1.9, 
   0.027051846866350416`}, {-1.7999999999999998`, 0.0391638950989871}, {-1.7, 
   0.055576212611483086`}, {-1.5999999999999999`, 0.07730474044329978}, {-1.5,
    0.10539922456186432`}, {-1.4, 
   0.14085842092104506`}, {-1.2999999999999998`, 0.18451952399298935`}, {-1.2,
    0.2369277586821218}, {-1.0999999999999999`, 
   0.29819727942988744`}, {-0.9999999999999999, 
   0.36787944117144245`}, {-0.8999999999999999, 
   0.4448580662229412}, {-0.7999999999999998, 
   0.5272924240430488}, {-0.6999999999999998, 
   0.6126263941844162}, {-0.5999999999999999, 
   0.6976763260710312}, {-0.4999999999999999, 
   0.778800783071405}, {-0.39999999999999986`, 
   0.8521437889662113}, {-0.2999999999999998, 
   0.9139311852712283}, {-0.19999999999999984`, 
   0.9607894391523232}, {-0.09999999999999984, 0.9900498337491681}, {
   1.6653345369377348`*^-16, 1.}, {0.10000000000000017`, 0.990049833749168}, {
   0.20000000000000018`, 0.9607894391523232}, {0.30000000000000016`, 
   0.9139311852712281}, {0.4000000000000002, 0.8521437889662111}, {
   0.5000000000000002, 0.7788007830714045}, {0.6000000000000002, 
   0.6976763260710309}, {0.7000000000000002, 0.6126263941844158}, {
   0.8000000000000003, 0.5272924240430483}, {0.9000000000000002, 
   0.44485806622294094`}, {1.0000000000000002`, 0.36787944117144217`}, {
   1.1000000000000003`, 0.29819727942988716`}, {1.2000000000000002`, 
   0.23692775868212165`}, {1.3000000000000003`, 0.18451952399298913`}, {
   1.4000000000000004`, 0.14085842092104484`}, {1.5000000000000002`, 
   0.10539922456186425`}, {1.6000000000000003`, 0.07730474044329967}, {
   1.7000000000000002`, 0.05557621261148304}, {1.8000000000000003`, 
   0.03916389509898703}, {1.9000000000000004`, 0.027051846866350378`}, {
   2.0000000000000004`, 0.018315638888734147`}, {2.1, 
   0.012155178329914935`}, {2.2, 0.007907054051593435}, {2.3000000000000003`, 
   0.005041760259690975}, {2.4000000000000004`, 0.0031511115984444358`}, {
   2.5000000000000004`, 0.0019304541362277039`}, {2.6000000000000005`, 
   0.0011592291739045883`}, {2.7, 0.000682328052756376}, {2.8000000000000003`,
    0.0003936690406550776}, {2.9000000000000004`, 0.0002226298569188886}, {
   3.0000000000000004`, 0.0001234098040866791}}]]], "Output",
 CellChangeTimes->{{3.3897309996200323`*^9, 3.3897310238548803`*^9}, 
   3.389733043200776*^9, 3.390893975826727*^9, 3.3917799092600937`*^9, 
   3.39184867853125*^9, 3.3924696296964912`*^9, 3.393842368157475*^9, 
   3.393842564879717*^9, 3.393846988653631*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\
eJytmFeMllUQhgdYQPQGb9R4YdALE0tiYkxMjDGxBImRxBijRhPiihggKgjY
RZeyS91CW8pSFum9hN5777333nuHcZ4585MvXBgv2IT/2/2mnJl33pk5P/Xz
WzVu9H1+qyYN8+u83yK/eeMmDVvWqdushb2qVkWkSmMRqVdH8ux3tV+zH/w0
4ePh/V7TH9V006ZN2rt3b/7ZX+mzT58+//muqn/W8Hfl5eXaq1cv7dGjh3bv
3l27detWU0tLSyVPu3btqp06ddKioiJt165dVS0oKJCntE2bNvyp7du3d1GH
Dh20S5cuGLkXTqmoqNDKykodNmyYjh49WidOnKjTpk3T2bNn66JFi3TVqlUe
+a5du/Tw4cN6+vRpvXr1qt67d++QJ/ak3r17Vy9fvqwnT57UgwcP6o4dO3TD
hg26YsUKnT9/vs6aNUunTJmiEyZM0FGjRunQoUN10KBB2q9fP0+KZEpKSrRz
584eYmFhoYdsoRscloRlyN/IyNKyreGJV9eysjJwcBc9e/YEH0Pr/2Gbe3fm
zBmNH/PoJXvRH8+RpGd3584dvXXrlt68eVNv3LihV65c0QsXLrjp8ePHHZj9
+/c7SFu2bNH169frypUrdfHixTpv3jydOnWqjh071jPv37+/g08mFIiCgMLg
wYNdB7QAfefOnXrixAnO2+DhPOvHHj16VLdu3arLli3T6dOne80AE5cdO3bU
tm3banFxsTNl4MCBOnz4cB0/frzrUoylS5e6ewqEn927d3vRjhw54sedPXtW
L1686DUmVVK+ffu2Q2BQyEsJoXf8UdsRovaY7t2716myZMkSrzeUIrMc9cgc
ehECSJ0/f35xuMH7qVOnPKIFCxbomDFj3JSyQ4u+ffs6dWbMmKHLly93kAEc
Nl67du3dFNSH/nhMr1+/7jmtXbvWLYYMGeIEIxBgnjt3rpPU8JRZYUPeBA/3
ISYng+nIkSNdHxmlNiziHPnYH7UcJmAEXo6iDBATvhOohSOTQxfWrF69WkeM
GOEMICxKSDkPHToEEOFXPvNHTScZFaOSZDBgwABduHChHjt2TMa4ziOOH/CT
LX0AZrnjrTzJlXwRHrPa8IR5MGfOHBpYhoUOhd23b59OmjTJE8qe+mVy18Af
Nbz2jAvc4I6xce7cucoQkxbsg+jUkVQvXbqUrCU/+g4t2gQtiLNnzx6pCA/E
S0vlJiAMsXolU2kYWkS8bt06728wWLNmDdUqjwNgKb0INPShASDfJA/fhgqM
yhWGmlO47iGDH/QRWBCnVSXspHGoGJ+d95iDgU0MKQkZLQWUyOgP40zYSdNQ
Mch03LhxjgAchwqdQ0bngyGnExnmyU6+80eeT1+Ch1EbN27sEJb0LmljSb2t
r8NEfghLK6kXhjVgabWP11YBpzExWfhJW5qFX9BmwJMQxCfagrAEajoYa/PS
PFn+GFKrvfcyc9ukrTMOoXkOfBotmUjLsKTJ8Dl58mTm0u/xGtyhJ/HbQEja
0iqkAADyHGck+zW2MUzhKENafkoWP4cFo4GNShQ28nKOmIgAzA6xWZW05ZeQ
UiE6FKkF0eIBX7SX+Ura8lsEwYCCjzaMA9g83zeUOuJNqpLLFRoyloDAIM8V
H0wZr8R3Hxn5I6TMcOpBbAZW0zid9oZsxkf5M1m0DhGVJTAb00HTak5pUrEu
CT35K0TsP5aOEU0axaFMRRqZyhghkqr8nQGTegGZhfd1vGbWscthqgGRtO/z
CmhoMLrbuuWrOB1aEKyVVNoki7YhYgYgotkbxDvWD3kYuKEn7ULE0gARSz+G
XJ4PH1qADjGYk6rkmoR5DqzsNQvv8wwb2CIYGgGTthRmKEml2EUG06dxOguQ
GWpAS1GyKAoLmgNSkLlV8JOwYIiTni0nSQ0vHUNEK5Gl7fVYKIlupGdphp50
ChH7mHbYvn27fBTv4CzFMM6FXsyjaj7yGTRQp34mK/qaW4ft5KQqXTIMzQD1
QWZUgCzLyl4nbekaUu5cLGAuODaM6z1wOkAVJ4uSELGHcjHXfSA3u1yEnpRm
pgCIwIX34h0XN5Czm1boSVmIWBDgbbSStzP8YL6wnGxMJlXpFlKGOkWDtpbf
Wxl+0K/gZUkm7dg1qV9pDJC0RnkzTmdO02W2/qRHsugZIiY8iNgNRd6Id9xY
SNtGUOhJrxBt27bN87DrgbyeaS4qztwxJiZVKQ8pkIMrc8cK/VqG/uTBQrWa
J23pncmDncnONpevxunMRE63RpQ+yaJviNjyxEwrv5IBmFsZrWFsTqrSL6Tc
AIGeTrPzXs7gzkUAgK3FknZcKBJVqQhoGiteyJzEHYfg7JLWPxkNCCk3FDIh
V+vB5+P1gQMHfCLT0Fb/pC0D/VHdUWXfs375NmCNbN8rkiXXVHhP4QyTQcmy
MiyBlvlJFlyLsXwmZADLNQrqzpw5028ayU7+CRVApjIUjb5nPz8dMoYvjAFp
9oIVN+xkaKgwCTmdRiB+tvETIaNnKQg5gaJhHXYy3B81/DJCRVABGOawTYDa
GTFoQHBU4J21RLKWkf6o5WFu3rzZHREq44OdzNSDj1xl0he2R31AMmL4esQ3
J+ICV9hMrFxmDKXkOq7Nj7sVZeV8hjFE4iS+RGENgOAPznxXAw2mFRQAfyOf
jE0u+XzY/3MgVf4FXstY2w==\
\>"]]
}, Open  ]],

Cell["\<\
In fact, this line is a polygonal curve, but the corners are too close to be \
visible at this magnification.\
\>", "Text"],

Cell[TextData[{
 "The colors will be obtained by generating polygons which are filled with \
the appropriate color. Assume that we are given n+1 function values f[",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "0"], TraditionalForm]]],
 "], f[",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["x", "1"], "]"}], ",", " ", 
    RowBox[{"...", " ", 
     RowBox[{
      RowBox[{"f", "[", 
       SubscriptBox["x", "n"], "]"}], "."}]}], " "}], TraditionalForm]]],
 "From these n+1 values we can generate n polygons, where the k-th polygon is \
given by the points ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "k"], TraditionalForm]]],
 ", f[",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "k"], TraditionalForm]]],
 "], f[",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", 
    RowBox[{"k", "+", "1"}]], TraditionalForm]]],
 "], and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", 
    RowBox[{"k", "+", "1"}]], TraditionalForm]]],
 "(k=0,..n-1). In a conventional programming language, one would think to \
generate the list of polygons with a sort of do-loop. In ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " it is much more effective to apply list operations. We first generate an \
auxiliary list of zero values"
}], "Text"],

Cell["nullv = Table[0,{Length[xvalues]}];", "Input"],

Cell[TextData[{
 "The n-1 points (",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "k"], TraditionalForm]]],
 ",0) for k=0 .. n on the x-axis are obtained by"
}], "Text"],

Cell["xpoints = {xvalues, nullv}//Transpose;", "Input"],

Cell[TextData[{
 "Next we form the list of points with coordinates (",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "k"], TraditionalForm]]],
 ",f[",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "k"], TraditionalForm]]],
 "])"
}], "Text"],

Cell["ypoints = {xvalues, absvals}//Transpose;", "Input"],

Cell["\<\
Now, this is a list of corner points for the polygons. The command Drop[list,\
\[PlusMinus]1] removes either the first or the last element of a list.\
\>", "Text"],

Cell["\<\
cornerpoints = {Drop[xpoints,-1], Drop[ypoints,-1], Drop[ypoints,1], \
Drop[xpoints,1]}//Transpose;\
\>", "Input"],

Cell[CellGroupData[{

Cell["Short[cornerpoints,3]", "Input"],

Cell[BoxData[
 TagBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3.`"}], ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3.`"}], ",", "0.00012340980408667956`"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "2.9`"}], ",", "0.00022262985691888894`"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "2.9`"}], ",", "0"}], "}"}]}], "}"}], ",", 
    RowBox[{"\[LeftSkeleton]", "58", "\[RightSkeleton]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2.9000000000000004`", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2.9000000000000004`", ",", "0.0002226298569188886`"}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"3.0000000000000004`", ",", "0.0001234098040866791`"}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"3.0000000000000004`", ",", "0"}], "}"}]}], "}"}]}], "}"}],
  Short[#, 3]& ]], "Output",
 CellChangeTimes->{{3.389730999690133*^9, 3.389731023934995*^9}, 
   3.38973304330092*^9, 3.390893975909635*^9, 3.391779909391556*^9, 
   3.39184867871875*^9, 3.392469629776629*^9, 3.393842368241832*^9, 
   3.393846988726898*^9}]
}, Open  ]],

Cell["\<\
The list of polygons is formed by mapping the command Polygon on the list of \
corner points.\
\>", "Text"],

Cell["polylist = Map[Polygon, cornerpoints];", "Input"],

Cell["\<\
Finally, we combine the color directives from the list hue with each polygon\
\>", "Text"],

Cell["coloredpolys = {Drop[huevals,-1],polylist}//Transpose;", "Input"],

Cell["Lets have a look at this:", "Text"],

Cell[CellGroupData[{

Cell["Show[Graphics[coloredpolys],AspectRatio->(1/GoldenRatio)]", "Input",
 CellChangeTimes->{{3.389455173257616*^9, 3.389455174222796*^9}, {
   3.389455785921101*^9, 3.389455872006912*^9}, 3.3894573337311363`*^9}],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0.04507034144862798], 
    PolygonBox[{{-3., 0}, {-3., 0.00012340980408667956`}, {-2.9, 
      0.00022262985691888894`}, {-2.9, 0}}]}, 
   {Hue[0.07690133006700708], 
    PolygonBox[{{-2.9, 0}, {-2.9, 0.00022262985691888894`}, {-2.8, 
      0.0003936690406550786}, {-2.8, 0}}]}, 
   {Hue[0.1087323186853862], 
    PolygonBox[{{-2.8, 0}, {-2.8, 0.0003936690406550786}, {-2.7, 
      0.000682328052756376}, {-2.7, 0}}]}, 
   {Hue[0.14056330730376512`], 
    PolygonBox[{{-2.7, 0}, {-2.7, 0.000682328052756376}, {-2.6, 
      0.0011592291739045903`}, {-2.6, 0}}]}, 
   {Hue[0.17239429592214423`], 
    PolygonBox[{{-2.6, 0}, {-2.6, 0.0011592291739045903`}, {-2.5, 
      0.001930454136227709}, {-2.5, 0}}]}, 
   {Hue[0.20422528454052333`], 
    PolygonBox[{{-2.5, 0}, {-2.5, 0.001930454136227709}, {-2.4, 
      0.003151111598444442}, {-2.4, 0}}]}, 
   {Hue[0.23605627315890243`], 
    PolygonBox[{{-2.4, 0}, {-2.4, 0.003151111598444442}, {-2.3, 
      0.005041760259690982}, {-2.3, 0}}]}, 
   {Hue[0.2678872617772815], 
    PolygonBox[{{-2.3, 0}, {-2.3, 0.005041760259690982}, {-2.2, 
      0.007907054051593435}, {-2.2, 0}}]}, 
   {Hue[0.29971825039566047`], 
    PolygonBox[{{-2.2, 0}, {-2.2, 0.007907054051593435}, {-2.1, 
      0.012155178329914935`}, {-2.1, 0}}]}, 
   {Hue[0.33154923901403954`], 
    PolygonBox[{{-2.1, 0}, {-2.1, 0.012155178329914935`}, {-2., 
      0.01831563888873418}, {-2., 0}}]}, 
   {Hue[0.3633802276324186], 
    PolygonBox[{{-2., 0}, {-2., 0.01831563888873418}, {-1.9, 
      0.027051846866350416`}, {-1.9, 0}}]}, 
   {Hue[0.39521121625079775`], 
    PolygonBox[{{-1.9, 0}, {-1.9, 
      0.027051846866350416`}, {-1.7999999999999998`, 
      0.0391638950989871}, {-1.7999999999999998`, 0}}]}, 
   {Hue[0.4270422048691768], 
    PolygonBox[{{-1.7999999999999998`, 0}, {-1.7999999999999998`, 
      0.0391638950989871}, {-1.7, 0.055576212611483086`}, {-1.7, 0}}]}, 
   {Hue[0.45887319348755584`], 
    PolygonBox[{{-1.7, 0}, {-1.7, 
      0.055576212611483086`}, {-1.5999999999999999`, 
      0.07730474044329978}, {-1.5999999999999999`, 0}}]}, 
   {Hue[0.49070418210593497`], 
    PolygonBox[{{-1.5999999999999999`, 0}, {-1.5999999999999999`, 
      0.07730474044329978}, {-1.5, 0.10539922456186432`}, {-1.5, 0}}]}, 
   {Hue[-0.477464829275686], 
    PolygonBox[{{-1.5, 0}, {-1.5, 0.10539922456186432`}, {-1.4, 
      0.14085842092104506`}, {-1.4, 0}}]}, 
   {Hue[-0.44563384065730693`], 
    PolygonBox[{{-1.4, 0}, {-1.4, 
      0.14085842092104506`}, {-1.2999999999999998`, 
      0.18451952399298935`}, {-1.2999999999999998`, 0}}]}, 
   {Hue[-0.41380285203892775`], 
    PolygonBox[{{-1.2999999999999998`, 0}, {-1.2999999999999998`, 
      0.18451952399298935`}, {-1.2, 0.2369277586821218}, {-1.2, 0}}]}, 
   {Hue[-0.38197186342054884`], 
    PolygonBox[{{-1.2, 0}, {-1.2, 0.2369277586821218}, {-1.0999999999999999`, 
      0.29819727942988744`}, {-1.0999999999999999`, 0}}]}, 
   {Hue[-0.3501408748021697], 
    PolygonBox[{{-1.0999999999999999`, 0}, {-1.0999999999999999`, 
      0.29819727942988744`}, {-0.9999999999999999, 
      0.36787944117144245`}, {-0.9999999999999999, 0}}]}, 
   {Hue[-0.31830988618379064`], 
    PolygonBox[{{-0.9999999999999999, 0}, {-0.9999999999999999, 
      0.36787944117144245`}, {-0.8999999999999999, 
      0.4448580662229412}, {-0.8999999999999999, 0}}]}, 
   {Hue[-0.28647889756541156`], 
    PolygonBox[{{-0.8999999999999999, 0}, {-0.8999999999999999, 
      0.4448580662229412}, {-0.7999999999999998, 
      0.5272924240430488}, {-0.7999999999999998, 0}}]}, 
   {Hue[-0.2546479089470325], 
    PolygonBox[{{-0.7999999999999998, 0}, {-0.7999999999999998, 
      0.5272924240430488}, {-0.6999999999999998, 
      0.6126263941844162}, {-0.6999999999999998, 0}}]}, 
   {Hue[-0.22281692032865344`], 
    PolygonBox[{{-0.6999999999999998, 0}, {-0.6999999999999998, 
      0.6126263941844162}, {-0.5999999999999999, 
      0.6976763260710312}, {-0.5999999999999999, 0}}]}, 
   {Hue[-0.19098593171027436`], 
    PolygonBox[{{-0.5999999999999999, 0}, {-0.5999999999999999, 
      0.6976763260710312}, {-0.4999999999999999, 
      0.778800783071405}, {-0.4999999999999999, 0}}]}, 
   {Hue[-0.15915494309189532`], 
    PolygonBox[{{-0.4999999999999999, 0}, {-0.4999999999999999, 
      0.778800783071405}, {-0.39999999999999986`, 
      0.8521437889662113}, {-0.39999999999999986`, 0}}]}, 
   {Hue[-0.12732395447351624`], 
    PolygonBox[{{-0.39999999999999986`, 0}, {-0.39999999999999986`, 
      0.8521437889662113}, {-0.2999999999999998, 
      0.9139311852712283}, {-0.2999999999999998, 0}}]}, 
   {Hue[-0.09549296585513713], 
    PolygonBox[{{-0.2999999999999998, 0}, {-0.2999999999999998, 
      0.9139311852712283}, {-0.19999999999999984`, 
      0.9607894391523232}, {-0.19999999999999984`, 0}}]}, 
   {Hue[-0.0636619772367581], 
    PolygonBox[{{-0.19999999999999984`, 0}, {-0.19999999999999984`, 
      0.9607894391523232}, {-0.09999999999999984, 
      0.9900498337491681}, {-0.09999999999999984, 0}}]}, 
   {Hue[-0.03183098861837902], 
    PolygonBox[{{-0.09999999999999984, 0}, {-0.09999999999999984, 
      0.9900498337491681}, {1.6653345369377348`*^-16, 1.}, {
      1.6653345369377348`*^-16, 0}}]}, 
   {Hue[5.300924469105861*^-17], 
    PolygonBox[{{1.6653345369377348`*^-16, 0}, {1.6653345369377348`*^-16, 
      1.}, {0.10000000000000017`, 0.990049833749168}, {
      0.10000000000000017`, 0}}]}, 
   {Hue[0.03183098861837912], 
    PolygonBox[{{0.10000000000000017`, 0}, {0.10000000000000017`, 
      0.990049833749168}, {0.20000000000000018`, 0.9607894391523232}, {
      0.20000000000000018`, 0}}]}, 
   {Hue[0.0636619772367582], 
    PolygonBox[{{0.20000000000000018`, 0}, {0.20000000000000018`, 
      0.9607894391523232}, {0.30000000000000016`, 0.9139311852712281}, {
      0.30000000000000016`, 0}}]}, 
   {Hue[0.09549296585513725], 
    PolygonBox[{{0.30000000000000016`, 0}, {0.30000000000000016`, 
      0.9139311852712281}, {0.4000000000000002, 0.8521437889662111}, {
      0.4000000000000002, 0}}]}, 
   {Hue[0.12732395447351633`], 
    PolygonBox[{{0.4000000000000002, 0}, {0.4000000000000002, 
      0.8521437889662111}, {0.5000000000000002, 0.7788007830714045}, {
      0.5000000000000002, 0}}]}, 
   {Hue[0.15915494309189543`], 
    PolygonBox[{{0.5000000000000002, 0}, {0.5000000000000002, 
      0.7788007830714045}, {0.6000000000000002, 0.6976763260710309}, {
      0.6000000000000002, 0}}]}, 
   {Hue[0.19098593171027448`], 
    PolygonBox[{{0.6000000000000002, 0}, {0.6000000000000002, 
      0.6976763260710309}, {0.7000000000000002, 0.6126263941844158}, {
      0.7000000000000002, 0}}]}, 
   {Hue[0.22281692032865355`], 
    PolygonBox[{{0.7000000000000002, 0}, {0.7000000000000002, 
      0.6126263941844158}, {0.8000000000000003, 0.5272924240430483}, {
      0.8000000000000003, 0}}]}, 
   {Hue[0.2546479089470326], 
    PolygonBox[{{0.8000000000000003, 0}, {0.8000000000000003, 
      0.5272924240430483}, {0.9000000000000002, 0.44485806622294094`}, {
      0.9000000000000002, 0}}]}, 
   {Hue[0.2864788975654117], 
    PolygonBox[{{0.9000000000000002, 0}, {0.9000000000000002, 
      0.44485806622294094`}, {1.0000000000000002`, 0.36787944117144217`}, {
      1.0000000000000002`, 0}}]}, 
   {Hue[0.31830988618379075`], 
    PolygonBox[{{1.0000000000000002`, 0}, {1.0000000000000002`, 
      0.36787944117144217`}, {1.1000000000000003`, 0.29819727942988716`}, {
      1.1000000000000003`, 0}}]}, 
   {Hue[0.3501408748021699], 
    PolygonBox[{{1.1000000000000003`, 0}, {1.1000000000000003`, 
      0.29819727942988716`}, {1.2000000000000002`, 0.23692775868212165`}, {
      1.2000000000000002`, 0}}]}, 
   {Hue[0.3819718634205489], 
    PolygonBox[{{1.2000000000000002`, 0}, {1.2000000000000002`, 
      0.23692775868212165`}, {1.3000000000000003`, 0.18451952399298913`}, {
      1.3000000000000003`, 0}}]}, 
   {Hue[0.41380285203892797`], 
    PolygonBox[{{1.3000000000000003`, 0}, {1.3000000000000003`, 
      0.18451952399298913`}, {1.4000000000000004`, 0.14085842092104484`}, {
      1.4000000000000004`, 0}}]}, 
   {Hue[0.4456338406573071], 
    PolygonBox[{{1.4000000000000004`, 0}, {1.4000000000000004`, 
      0.14085842092104484`}, {1.5000000000000002`, 0.10539922456186425`}, {
      1.5000000000000002`, 0}}]}, 
   {Hue[0.4774648292756861], 
    PolygonBox[{{1.5000000000000002`, 0}, {1.5000000000000002`, 
      0.10539922456186425`}, {1.6000000000000003`, 0.07730474044329967}, {
      1.6000000000000003`, 0}}]}, 
   {Hue[-0.4907041821059348], 
    PolygonBox[{{1.6000000000000003`, 0}, {1.6000000000000003`, 
      0.07730474044329967}, {1.7000000000000002`, 0.05557621261148304}, {
      1.7000000000000002`, 0}}]}, 
   {Hue[-0.4588731934875558], 
    PolygonBox[{{1.7000000000000002`, 0}, {1.7000000000000002`, 
      0.05557621261148304}, {1.8000000000000003`, 0.03916389509898703}, {
      1.8000000000000003`, 0}}]}, 
   {Hue[-0.4270422048691767], 
    PolygonBox[{{1.8000000000000003`, 0}, {1.8000000000000003`, 
      0.03916389509898703}, {1.9000000000000004`, 0.027051846866350378`}, {
      1.9000000000000004`, 0}}]}, 
   {Hue[-0.3952112162507976], 
    PolygonBox[{{1.9000000000000004`, 0}, {1.9000000000000004`, 
      0.027051846866350378`}, {2.0000000000000004`, 0.018315638888734147`}, {
      2.0000000000000004`, 0}}]}, 
   {Hue[-0.3633802276324185], 
    PolygonBox[{{2.0000000000000004`, 0}, {2.0000000000000004`, 
      0.018315638888734147`}, {2.1, 0.012155178329914935`}, {2.1, 0}}]}, 
   {Hue[-0.33154923901403954`], 
    PolygonBox[{{2.1, 0}, {2.1, 0.012155178329914935`}, {2.2, 
      0.007907054051593435}, {2.2, 0}}]}, 
   {Hue[-0.29971825039566047`], 
    PolygonBox[{{2.2, 0}, {2.2, 0.007907054051593435}, {2.3000000000000003`, 
      0.005041760259690975}, {2.3000000000000003`, 0}}]}, 
   {Hue[-0.2678872617772814], 
    PolygonBox[{{2.3000000000000003`, 0}, {2.3000000000000003`, 
      0.005041760259690975}, {2.4000000000000004`, 0.0031511115984444358`}, {
      2.4000000000000004`, 0}}]}, 
   {Hue[-0.2360562731589023], 
    PolygonBox[{{2.4000000000000004`, 0}, {2.4000000000000004`, 
      0.0031511115984444358`}, {2.5000000000000004`, 
      0.0019304541362277039`}, {2.5000000000000004`, 0}}]}, 
   {Hue[-0.2042252845405232], 
    PolygonBox[{{2.5000000000000004`, 0}, {2.5000000000000004`, 
      0.0019304541362277039`}, {2.6000000000000005`, 
      0.0011592291739045883`}, {2.6000000000000005`, 0}}]}, 
   {Hue[-0.1723942959221441], 
    PolygonBox[{{2.6000000000000005`, 0}, {2.6000000000000005`, 
      0.0011592291739045883`}, {2.7, 0.000682328052756376}, {2.7, 0}}]}, 
   {Hue[-0.14056330730376512`], 
    PolygonBox[{{2.7, 0}, {2.7, 0.000682328052756376}, {2.8000000000000003`, 
      0.0003936690406550776}, {2.8000000000000003`, 0}}]}, 
   {Hue[-0.10873231868538606`], 
    PolygonBox[{{2.8000000000000003`, 0}, {2.8000000000000003`, 
      0.0003936690406550776}, {2.9000000000000004`, 0.0002226298569188886}, {
      2.9000000000000004`, 0}}]}, 
   {Hue[-0.07690133006700695], 
    PolygonBox[{{2.9000000000000004`, 0}, {2.9000000000000004`, 
      0.0002226298569188886}, {3.0000000000000004`, 0.0001234098040866791}, {
      3.0000000000000004`, 0}}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948]]], "Output",
 CellChangeTimes->{{3.3897309998503633`*^9, 3.3897310240952253`*^9}, 
   3.389733043621381*^9, 3.390893976027185*^9, 3.391779909557426*^9, 
   3.39184867915625*^9, 3.392469629910818*^9, 3.393842368417053*^9, 
   3.393846988922739*^9}]
}, Open  ]],

Cell["We can combine this with the line of the curve:", "Text"],

Cell[CellGroupData[{

Cell["\<\
Graphics[{coloredpolys,graphline},AspectRatio->(1/GoldenRatio)]\
\>", "Input",
 CellChangeTimes->{{3.389455769918995*^9, 3.389455770892744*^9}, 
   3.389457355838155*^9}],

Cell[BoxData[
 GraphicsBox[{{
    {Hue[0.04507034144862798], 
     PolygonBox[{{-3., 0}, {-3., 0.00012340980408667956`}, {-2.9, 
       0.00022262985691888894`}, {-2.9, 0}}]}, 
    {Hue[0.07690133006700708], 
     PolygonBox[{{-2.9, 0}, {-2.9, 0.00022262985691888894`}, {-2.8, 
       0.0003936690406550786}, {-2.8, 0}}]}, 
    {Hue[0.1087323186853862], 
     PolygonBox[{{-2.8, 0}, {-2.8, 0.0003936690406550786}, {-2.7, 
       0.000682328052756376}, {-2.7, 0}}]}, 
    {Hue[0.14056330730376512`], 
     PolygonBox[{{-2.7, 0}, {-2.7, 0.000682328052756376}, {-2.6, 
       0.0011592291739045903`}, {-2.6, 0}}]}, 
    {Hue[0.17239429592214423`], 
     PolygonBox[{{-2.6, 0}, {-2.6, 0.0011592291739045903`}, {-2.5, 
       0.001930454136227709}, {-2.5, 0}}]}, 
    {Hue[0.20422528454052333`], 
     PolygonBox[{{-2.5, 0}, {-2.5, 0.001930454136227709}, {-2.4, 
       0.003151111598444442}, {-2.4, 0}}]}, 
    {Hue[0.23605627315890243`], 
     PolygonBox[{{-2.4, 0}, {-2.4, 0.003151111598444442}, {-2.3, 
       0.005041760259690982}, {-2.3, 0}}]}, 
    {Hue[0.2678872617772815], 
     PolygonBox[{{-2.3, 0}, {-2.3, 0.005041760259690982}, {-2.2, 
       0.007907054051593435}, {-2.2, 0}}]}, 
    {Hue[0.29971825039566047`], 
     PolygonBox[{{-2.2, 0}, {-2.2, 0.007907054051593435}, {-2.1, 
       0.012155178329914935`}, {-2.1, 0}}]}, 
    {Hue[0.33154923901403954`], 
     PolygonBox[{{-2.1, 0}, {-2.1, 0.012155178329914935`}, {-2., 
       0.01831563888873418}, {-2., 0}}]}, 
    {Hue[0.3633802276324186], 
     PolygonBox[{{-2., 0}, {-2., 0.01831563888873418}, {-1.9, 
       0.027051846866350416`}, {-1.9, 0}}]}, 
    {Hue[0.39521121625079775`], 
     PolygonBox[{{-1.9, 0}, {-1.9, 
       0.027051846866350416`}, {-1.7999999999999998`, 
       0.0391638950989871}, {-1.7999999999999998`, 0}}]}, 
    {Hue[0.4270422048691768], 
     PolygonBox[{{-1.7999999999999998`, 0}, {-1.7999999999999998`, 
       0.0391638950989871}, {-1.7, 0.055576212611483086`}, {-1.7, 0}}]}, 
    {Hue[0.45887319348755584`], 
     PolygonBox[{{-1.7, 0}, {-1.7, 
       0.055576212611483086`}, {-1.5999999999999999`, 
       0.07730474044329978}, {-1.5999999999999999`, 0}}]}, 
    {Hue[0.49070418210593497`], 
     PolygonBox[{{-1.5999999999999999`, 0}, {-1.5999999999999999`, 
       0.07730474044329978}, {-1.5, 0.10539922456186432`}, {-1.5, 0}}]}, 
    {Hue[-0.477464829275686], 
     PolygonBox[{{-1.5, 0}, {-1.5, 0.10539922456186432`}, {-1.4, 
       0.14085842092104506`}, {-1.4, 0}}]}, 
    {Hue[-0.44563384065730693`], 
     PolygonBox[{{-1.4, 0}, {-1.4, 
       0.14085842092104506`}, {-1.2999999999999998`, 
       0.18451952399298935`}, {-1.2999999999999998`, 0}}]}, 
    {Hue[-0.41380285203892775`], 
     PolygonBox[{{-1.2999999999999998`, 0}, {-1.2999999999999998`, 
       0.18451952399298935`}, {-1.2, 0.2369277586821218}, {-1.2, 0}}]}, 
    {Hue[-0.38197186342054884`], 
     PolygonBox[{{-1.2, 0}, {-1.2, 0.2369277586821218}, {-1.0999999999999999`,
        0.29819727942988744`}, {-1.0999999999999999`, 0}}]}, 
    {Hue[-0.3501408748021697], 
     PolygonBox[{{-1.0999999999999999`, 0}, {-1.0999999999999999`, 
       0.29819727942988744`}, {-0.9999999999999999, 
       0.36787944117144245`}, {-0.9999999999999999, 0}}]}, 
    {Hue[-0.31830988618379064`], 
     PolygonBox[{{-0.9999999999999999, 0}, {-0.9999999999999999, 
       0.36787944117144245`}, {-0.8999999999999999, 
       0.4448580662229412}, {-0.8999999999999999, 0}}]}, 
    {Hue[-0.28647889756541156`], 
     PolygonBox[{{-0.8999999999999999, 0}, {-0.8999999999999999, 
       0.4448580662229412}, {-0.7999999999999998, 
       0.5272924240430488}, {-0.7999999999999998, 0}}]}, 
    {Hue[-0.2546479089470325], 
     PolygonBox[{{-0.7999999999999998, 0}, {-0.7999999999999998, 
       0.5272924240430488}, {-0.6999999999999998, 
       0.6126263941844162}, {-0.6999999999999998, 0}}]}, 
    {Hue[-0.22281692032865344`], 
     PolygonBox[{{-0.6999999999999998, 0}, {-0.6999999999999998, 
       0.6126263941844162}, {-0.5999999999999999, 
       0.6976763260710312}, {-0.5999999999999999, 0}}]}, 
    {Hue[-0.19098593171027436`], 
     PolygonBox[{{-0.5999999999999999, 0}, {-0.5999999999999999, 
       0.6976763260710312}, {-0.4999999999999999, 
       0.778800783071405}, {-0.4999999999999999, 0}}]}, 
    {Hue[-0.15915494309189532`], 
     PolygonBox[{{-0.4999999999999999, 0}, {-0.4999999999999999, 
       0.778800783071405}, {-0.39999999999999986`, 
       0.8521437889662113}, {-0.39999999999999986`, 0}}]}, 
    {Hue[-0.12732395447351624`], 
     PolygonBox[{{-0.39999999999999986`, 0}, {-0.39999999999999986`, 
       0.8521437889662113}, {-0.2999999999999998, 
       0.9139311852712283}, {-0.2999999999999998, 0}}]}, 
    {Hue[-0.09549296585513713], 
     PolygonBox[{{-0.2999999999999998, 0}, {-0.2999999999999998, 
       0.9139311852712283}, {-0.19999999999999984`, 
       0.9607894391523232}, {-0.19999999999999984`, 0}}]}, 
    {Hue[-0.0636619772367581], 
     PolygonBox[{{-0.19999999999999984`, 0}, {-0.19999999999999984`, 
       0.9607894391523232}, {-0.09999999999999984, 
       0.9900498337491681}, {-0.09999999999999984, 0}}]}, 
    {Hue[-0.03183098861837902], 
     PolygonBox[{{-0.09999999999999984, 0}, {-0.09999999999999984, 
       0.9900498337491681}, {1.6653345369377348`*^-16, 1.}, {
       1.6653345369377348`*^-16, 0}}]}, 
    {Hue[5.300924469105861*^-17], 
     PolygonBox[{{1.6653345369377348`*^-16, 0}, {1.6653345369377348`*^-16, 
       1.}, {0.10000000000000017`, 0.990049833749168}, {
       0.10000000000000017`, 0}}]}, 
    {Hue[0.03183098861837912], 
     PolygonBox[{{0.10000000000000017`, 0}, {0.10000000000000017`, 
       0.990049833749168}, {0.20000000000000018`, 0.9607894391523232}, {
       0.20000000000000018`, 0}}]}, 
    {Hue[0.0636619772367582], 
     PolygonBox[{{0.20000000000000018`, 0}, {0.20000000000000018`, 
       0.9607894391523232}, {0.30000000000000016`, 0.9139311852712281}, {
       0.30000000000000016`, 0}}]}, 
    {Hue[0.09549296585513725], 
     PolygonBox[{{0.30000000000000016`, 0}, {0.30000000000000016`, 
       0.9139311852712281}, {0.4000000000000002, 0.8521437889662111}, {
       0.4000000000000002, 0}}]}, 
    {Hue[0.12732395447351633`], 
     PolygonBox[{{0.4000000000000002, 0}, {0.4000000000000002, 
       0.8521437889662111}, {0.5000000000000002, 0.7788007830714045}, {
       0.5000000000000002, 0}}]}, 
    {Hue[0.15915494309189543`], 
     PolygonBox[{{0.5000000000000002, 0}, {0.5000000000000002, 
       0.7788007830714045}, {0.6000000000000002, 0.6976763260710309}, {
       0.6000000000000002, 0}}]}, 
    {Hue[0.19098593171027448`], 
     PolygonBox[{{0.6000000000000002, 0}, {0.6000000000000002, 
       0.6976763260710309}, {0.7000000000000002, 0.6126263941844158}, {
       0.7000000000000002, 0}}]}, 
    {Hue[0.22281692032865355`], 
     PolygonBox[{{0.7000000000000002, 0}, {0.7000000000000002, 
       0.6126263941844158}, {0.8000000000000003, 0.5272924240430483}, {
       0.8000000000000003, 0}}]}, 
    {Hue[0.2546479089470326], 
     PolygonBox[{{0.8000000000000003, 0}, {0.8000000000000003, 
       0.5272924240430483}, {0.9000000000000002, 0.44485806622294094`}, {
       0.9000000000000002, 0}}]}, 
    {Hue[0.2864788975654117], 
     PolygonBox[{{0.9000000000000002, 0}, {0.9000000000000002, 
       0.44485806622294094`}, {1.0000000000000002`, 0.36787944117144217`}, {
       1.0000000000000002`, 0}}]}, 
    {Hue[0.31830988618379075`], 
     PolygonBox[{{1.0000000000000002`, 0}, {1.0000000000000002`, 
       0.36787944117144217`}, {1.1000000000000003`, 0.29819727942988716`}, {
       1.1000000000000003`, 0}}]}, 
    {Hue[0.3501408748021699], 
     PolygonBox[{{1.1000000000000003`, 0}, {1.1000000000000003`, 
       0.29819727942988716`}, {1.2000000000000002`, 0.23692775868212165`}, {
       1.2000000000000002`, 0}}]}, 
    {Hue[0.3819718634205489], 
     PolygonBox[{{1.2000000000000002`, 0}, {1.2000000000000002`, 
       0.23692775868212165`}, {1.3000000000000003`, 0.18451952399298913`}, {
       1.3000000000000003`, 0}}]}, 
    {Hue[0.41380285203892797`], 
     PolygonBox[{{1.3000000000000003`, 0}, {1.3000000000000003`, 
       0.18451952399298913`}, {1.4000000000000004`, 0.14085842092104484`}, {
       1.4000000000000004`, 0}}]}, 
    {Hue[0.4456338406573071], 
     PolygonBox[{{1.4000000000000004`, 0}, {1.4000000000000004`, 
       0.14085842092104484`}, {1.5000000000000002`, 0.10539922456186425`}, {
       1.5000000000000002`, 0}}]}, 
    {Hue[0.4774648292756861], 
     PolygonBox[{{1.5000000000000002`, 0}, {1.5000000000000002`, 
       0.10539922456186425`}, {1.6000000000000003`, 0.07730474044329967}, {
       1.6000000000000003`, 0}}]}, 
    {Hue[-0.4907041821059348], 
     PolygonBox[{{1.6000000000000003`, 0}, {1.6000000000000003`, 
       0.07730474044329967}, {1.7000000000000002`, 0.05557621261148304}, {
       1.7000000000000002`, 0}}]}, 
    {Hue[-0.4588731934875558], 
     PolygonBox[{{1.7000000000000002`, 0}, {1.7000000000000002`, 
       0.05557621261148304}, {1.8000000000000003`, 0.03916389509898703}, {
       1.8000000000000003`, 0}}]}, 
    {Hue[-0.4270422048691767], 
     PolygonBox[{{1.8000000000000003`, 0}, {1.8000000000000003`, 
       0.03916389509898703}, {1.9000000000000004`, 0.027051846866350378`}, {
       1.9000000000000004`, 0}}]}, 
    {Hue[-0.3952112162507976], 
     PolygonBox[{{1.9000000000000004`, 0}, {1.9000000000000004`, 
       0.027051846866350378`}, {2.0000000000000004`, 0.018315638888734147`}, {
       2.0000000000000004`, 0}}]}, 
    {Hue[-0.3633802276324185], 
     PolygonBox[{{2.0000000000000004`, 0}, {2.0000000000000004`, 
       0.018315638888734147`}, {2.1, 0.012155178329914935`}, {2.1, 0}}]}, 
    {Hue[-0.33154923901403954`], 
     PolygonBox[{{2.1, 0}, {2.1, 0.012155178329914935`}, {2.2, 
       0.007907054051593435}, {2.2, 0}}]}, 
    {Hue[-0.29971825039566047`], 
     PolygonBox[{{2.2, 0}, {2.2, 0.007907054051593435}, {2.3000000000000003`, 
       0.005041760259690975}, {2.3000000000000003`, 0}}]}, 
    {Hue[-0.2678872617772814], 
     PolygonBox[{{2.3000000000000003`, 0}, {2.3000000000000003`, 
       0.005041760259690975}, {2.4000000000000004`, 0.0031511115984444358`}, {
       2.4000000000000004`, 0}}]}, 
    {Hue[-0.2360562731589023], 
     PolygonBox[{{2.4000000000000004`, 0}, {2.4000000000000004`, 
       0.0031511115984444358`}, {2.5000000000000004`, 
       0.0019304541362277039`}, {2.5000000000000004`, 0}}]}, 
    {Hue[-0.2042252845405232], 
     PolygonBox[{{2.5000000000000004`, 0}, {2.5000000000000004`, 
       0.0019304541362277039`}, {2.6000000000000005`, 
       0.0011592291739045883`}, {2.6000000000000005`, 0}}]}, 
    {Hue[-0.1723942959221441], 
     PolygonBox[{{2.6000000000000005`, 0}, {2.6000000000000005`, 
       0.0011592291739045883`}, {2.7, 0.000682328052756376}, {2.7, 0}}]}, 
    {Hue[-0.14056330730376512`], 
     PolygonBox[{{2.7, 0}, {2.7, 0.000682328052756376}, {2.8000000000000003`, 
       0.0003936690406550776}, {2.8000000000000003`, 0}}]}, 
    {Hue[-0.10873231868538606`], 
     PolygonBox[{{2.8000000000000003`, 0}, {2.8000000000000003`, 
       0.0003936690406550776}, {2.9000000000000004`, 0.0002226298569188886}, {
       2.9000000000000004`, 0}}]}, 
    {Hue[-0.07690133006700695], 
     PolygonBox[{{2.9000000000000004`, 0}, {2.9000000000000004`, 
       0.0002226298569188886}, {3.0000000000000004`, 0.0001234098040866791}, {
       3.0000000000000004`, 0}}]}}, 
   LineBox[{{-3., 0.00012340980408667956`}, {-2.9, 
    0.00022262985691888894`}, {-2.8, 0.0003936690406550786}, {-2.7, 
    0.000682328052756376}, {-2.6, 0.0011592291739045903`}, {-2.5, 
    0.001930454136227709}, {-2.4, 0.003151111598444442}, {-2.3, 
    0.005041760259690982}, {-2.2, 0.007907054051593435}, {-2.1, 
    0.012155178329914935`}, {-2., 0.01831563888873418}, {-1.9, 
    0.027051846866350416`}, {-1.7999999999999998`, 0.0391638950989871}, {-1.7,
     0.055576212611483086`}, {-1.5999999999999999`, 
    0.07730474044329978}, {-1.5, 0.10539922456186432`}, {-1.4, 
    0.14085842092104506`}, {-1.2999999999999998`, 
    0.18451952399298935`}, {-1.2, 0.2369277586821218}, {-1.0999999999999999`, 
    0.29819727942988744`}, {-0.9999999999999999, 
    0.36787944117144245`}, {-0.8999999999999999, 
    0.4448580662229412}, {-0.7999999999999998, 
    0.5272924240430488}, {-0.6999999999999998, 
    0.6126263941844162}, {-0.5999999999999999, 
    0.6976763260710312}, {-0.4999999999999999, 
    0.778800783071405}, {-0.39999999999999986`, 
    0.8521437889662113}, {-0.2999999999999998, 
    0.9139311852712283}, {-0.19999999999999984`, 
    0.9607894391523232}, {-0.09999999999999984, 0.9900498337491681}, {
    1.6653345369377348`*^-16, 1.}, {0.10000000000000017`, 
    0.990049833749168}, {0.20000000000000018`, 0.9607894391523232}, {
    0.30000000000000016`, 0.9139311852712281}, {0.4000000000000002, 
    0.8521437889662111}, {0.5000000000000002, 0.7788007830714045}, {
    0.6000000000000002, 0.6976763260710309}, {0.7000000000000002, 
    0.6126263941844158}, {0.8000000000000003, 0.5272924240430483}, {
    0.9000000000000002, 0.44485806622294094`}, {1.0000000000000002`, 
    0.36787944117144217`}, {1.1000000000000003`, 0.29819727942988716`}, {
    1.2000000000000002`, 0.23692775868212165`}, {1.3000000000000003`, 
    0.18451952399298913`}, {1.4000000000000004`, 0.14085842092104484`}, {
    1.5000000000000002`, 0.10539922456186425`}, {1.6000000000000003`, 
    0.07730474044329967}, {1.7000000000000002`, 0.05557621261148304}, {
    1.8000000000000003`, 0.03916389509898703}, {1.9000000000000004`, 
    0.027051846866350378`}, {2.0000000000000004`, 0.018315638888734147`}, {
    2.1, 0.012155178329914935`}, {2.2, 0.007907054051593435}, {
    2.3000000000000003`, 0.005041760259690975}, {2.4000000000000004`, 
    0.0031511115984444358`}, {2.5000000000000004`, 0.0019304541362277039`}, {
    2.6000000000000005`, 0.0011592291739045883`}, {2.7, 
    0.000682328052756376}, {2.8000000000000003`, 0.0003936690406550776}, {
    2.9000000000000004`, 0.0002226298569188886}, {3.0000000000000004`, 
    0.0001234098040866791}}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948]]], "Output",
 CellChangeTimes->{{3.3897310001207523`*^9, 3.389731024345586*^9}, 
   3.389733043831683*^9, 3.390893976134944*^9, 3.391779909643664*^9, 
   3.391848679390625*^9, 3.392469630018339*^9, 3.393842368533723*^9, 
   3.39384698904112*^9}]
}, Open  ]],

Cell["\<\
We combine everything into a single command. This can be done using a Module.\
\
\>", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"fillit", "[", 
    RowBox[{"xvars_", ",", "hues_", ",", "values_"}], "]"}], " ", ":=", "\n", 
   "   ", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "nullv", ",", "xpts", ",", "valpts", ",", "lines", ",", "fills"}], 
      "}"}], ",", "\n", "      ", 
     RowBox[{
      RowBox[{"nullv", " ", "=", " ", 
       RowBox[{"Table", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", 
          RowBox[{"Length", "[", "xvars", "]"}], "}"}]}], "]"}]}], ";", "\n", 
      "\t\t", 
      RowBox[{"xpts", " ", "=", " ", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"xvars", ",", "nullv"}], "}"}], "//", "Transpose"}]}], ";", 
      "\n", "      ", 
      RowBox[{"valpts", " ", "=", " ", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"xvars", ",", "values"}], "}"}], "//", "Transpose"}]}], ";", 
      "\n", "\t\t", 
      RowBox[{"lines", " ", "=", " ", 
       RowBox[{"Line", "[", "valpts", "]"}]}], ";", "\n", "      ", 
      RowBox[{"fills", " ", "=", "\n", "         ", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Drop", "[", 
           RowBox[{"hues", ",", 
            RowBox[{"-", "1"}]}], "]"}], ",", "\n", "             ", 
          RowBox[{"Map", "[", 
           RowBox[{"Polygon", ",", "\n", "\t\t\t\t\t    ", 
            RowBox[{
             RowBox[{"{", " ", 
              RowBox[{
               RowBox[{"Drop", "[", 
                RowBox[{"xpts", ",", 
                 RowBox[{"-", "1"}]}], "]"}], ",", " ", 
               RowBox[{"Drop", "[", 
                RowBox[{"valpts", ",", 
                 RowBox[{"-", "1"}]}], "]"}], ",", " ", 
               RowBox[{"Drop", "[", 
                RowBox[{"valpts", ",", " ", "1"}], "]"}], ",", 
               RowBox[{"Drop", "[", 
                RowBox[{"xpts", ",", " ", "1"}], "]"}]}], "\n", 
              "                          ", "}"}], "//", "Transpose"}]}], 
           "\n", "             ", "]"}]}], "\n", "         ", "}"}], "//", 
        "Transpose"}]}], ";", "\n", "      ", 
      RowBox[{"Show", "[", 
       RowBox[{
        RowBox[{"Graphics", "[", " ", 
         RowBox[{"{", 
          RowBox[{"fills", ",", "lines"}], "}"}], " ", "]"}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", 
         RowBox[{"(", 
          RowBox[{"1", "/", "GoldenRatio"}], ")"}]}]}], "]"}]}]}], "\n", 
    "   ", "]"}]}], "\n"}]], "Input",
 CellChangeTimes->{3.389457379048724*^9}],

Cell["Let us test this command with a small list:", "Text"],

Cell[CellGroupData[{

Cell["fillit[{1,2,3,4,5}, Hue/@{0,.25,.5,.75,1}, {0,1,2,1,0}]", "Input"],

Cell[BoxData[
 GraphicsBox[{{
    {Hue[0], PolygonBox[{{1, 0}, {1, 0}, {2, 1}, {2, 0}}]}, 
    {Hue[0.25], PolygonBox[{{2, 0}, {2, 1}, {3, 2}, {3, 0}}]}, 
    {Hue[0.5], PolygonBox[{{3, 0}, {3, 2}, {4, 1}, {4, 0}}]}, 
    {Hue[0.75], PolygonBox[{{4, 0}, {4, 1}, {5, 0}, {5, 0}}]}}, 
   LineBox[{{1, 0}, {2, 1}, {3, 2}, {4, 1}, {5, 0}}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948]]], "Output",
 CellChangeTimes->{{3.3897310001808386`*^9, 3.389731024425701*^9}, 
   3.389733043921813*^9, 3.3908939762041473`*^9, 3.391779909687407*^9, 
   3.391848679453125*^9, 3.39246963005471*^9, 3.393842368575735*^9, 
   3.3938469890969048`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Phase-colored plot", "Subsection"],

Cell["\<\
We can easily use the command fillit to define a useful plot command for a \
list of complex numbers:\
\>", "Text"],

Cell["\<\
ListArgColorPlot[list_List] :=
   Module[{xvars,hues,values},
         xvars\t= Range[Length[list]];
         hues\t= Hue[Arg[#]/(2 Pi)]& /@ list;
         values\t= Abs[list];
         fillit[xvars,hues,values]
         ]
\
\>", "Input"],

Cell["f[x_] := Tan[x + 0.3 I]", "Input"],

Cell["yvalues = Table[f[x],{x,-5.,5.,0.01}];", "Input",
 CellChangeTimes->{3.38968706825784*^9}],

Cell[CellGroupData[{

Cell["ListArgColorPlot[yvalues]", "Input",
 CellChangeTimes->{
  3.389457407200523*^9, {3.3897203034577103`*^9, 3.3897203117296047`*^9}, 
   3.3897308641352143`*^9}],

Cell[BoxData[
 GraphicsBox[{{
    {Hue[0.1374613297993138], 
     PolygonBox[{{1, 0}, {1, 2.417563256823005}, {2, 2.4623219571441757`}, {2,
        0}}]}, 
    {Hue[0.13993377777372068`], 
     PolygonBox[{{2, 0}, {2, 2.4623219571441757`}, {3, 2.507632924033198}, {3,
        0}}]}, 
    {Hue[0.14250360233003503`], 
     PolygonBox[{{3, 0}, {3, 2.507632924033198}, {4, 2.5534357143527298`}, {4,
        0}}]}, 
    {Hue[0.14517355909467305`], 
     PolygonBox[{{4, 0}, {4, 2.5534357143527298`}, {5, 2.5996594592624964`}, {
       5, 0}}]}, 
    {Hue[0.1479463221896834], 
     PolygonBox[{{5, 0}, {5, 2.5996594592624964`}, {6, 2.646221955609127}, {6,
        0}}]}, 
    {Hue[0.15082445001726277`], 
     PolygonBox[{{6, 0}, {6, 2.646221955609127}, {7, 2.693028774815135}, {7, 
       0}}]}, 
    {Hue[0.15381034657933665`], 
     PolygonBox[{{7, 0}, {7, 2.693028774815135}, {8, 2.7399724165517934`}, {8,
        0}}]}, 
    {Hue[0.15690621819162476`], 
     PolygonBox[{{8, 0}, {8, 2.7399724165517934`}, {9, 2.7869315404016732`}, {
       9, 0}}]}, 
    {Hue[0.1601140255587481], 
     PolygonBox[{{9, 0}, {9, 2.7869315404016732`}, {
       10, 2.8337703148829796`}, {10, 0}}]}, 
    {Hue[0.1634354313172168], 
     PolygonBox[{{10, 0}, {10, 2.8337703148829796`}, {
       11, 2.880337929310962}, {11, 0}}]}, 
    {Hue[0.16687174332973181`], 
     PolygonBox[{{11, 0}, {11, 2.880337929310962}, {12, 2.92646831958662}, {
       12, 0}}]}, 
    {Hue[0.17042385422892578`], 
     PolygonBox[{{12, 0}, {12, 2.92646831958662}, {13, 2.9719801635773844`}, {
       13, 0}}]}, 
    {Hue[0.17409217796096368`], 
     PolygonBox[{{13, 0}, {13, 2.9719801635773844`}, {
       14, 3.0166772046139827`}, {14, 0}}]}, 
    {Hue[0.17787658436582005`], 
     PolygonBox[{{14, 0}, {14, 3.0166772046139827`}, {
       15, 3.060348961994417}, {15, 0}}]}, 
    {Hue[0.18177633314401723`], 
     PolygonBox[{{15, 0}, {15, 3.060348961994417}, {16, 3.102771884423284}, {
       16, 0}}]}, 
    {Hue[0.18579000888689953`], 
     PolygonBox[{{16, 0}, {16, 3.102771884423284}, {
       17, 3.1437109951960913`}, {17, 0}}]}, 
    {Hue[0.18991545917145497`], 
     PolygonBox[{{17, 0}, {17, 3.1437109951960913`}, {
       18, 3.1829220659492683`}, {18, 0}}]}, 
    {Hue[0.19414973801817045`], 
     PolygonBox[{{18, 0}, {18, 3.1829220659492683`}, {
       19, 3.2201543384593965`}, {19, 0}}]}, 
    {Hue[0.19848905725323568`], 
     PolygonBox[{{19, 0}, {19, 3.2201543384593965`}, {
       20, 3.2551537911941044`}, {20, 0}}]}, 
    {Hue[0.20292874847285733`], 
     PolygonBox[{{20, 0}, {20, 3.2551537911941044`}, {
       21, 3.2876669195202224`}, {21, 0}}]}, 
    {Hue[0.20746323834437747`], 
     PolygonBox[{{21, 0}, {21, 3.2876669195202224`}, {
       22, 3.317444966734395}, {22, 0}}]}, 
    {Hue[0.21208603986531188`], 
     PolygonBox[{{22, 0}, {22, 3.317444966734395}, {
       23, 3.3442485091742142`}, {23, 0}}]}, 
    {Hue[0.2167897619124907], 
     PolygonBox[{{23, 0}, {23, 3.3442485091742142`}, {
       24, 3.3678522650511598`}, {24, 0}}]}, 
    {Hue[0.22156613893527877`], 
     PolygonBox[{{24, 0}, {24, 3.3678522650511598`}, {
       25, 3.3880499663167947`}, {25, 0}}]}, 
    {Hue[0.2264060819806199], 
     PolygonBox[{{25, 0}, {25, 3.3880499663167947`}, {
       26, 3.4046591091050606`}, {26, 0}}]}, 
    {Hue[0.23129975140337977`], 
     PolygonBox[{{26, 0}, {26, 3.4046591091050606`}, {
       27, 3.4175253842634223`}, {27, 0}}]}, 
    {Hue[0.23623665065325397`], 
     PolygonBox[{{27, 0}, {27, 3.4175253842634223`}, {
       28, 3.4265265878311806`}, {28, 0}}]}, 
    {Hue[0.24120573949867266`], 
     PolygonBox[{{28, 0}, {28, 3.4265265878311806`}, {
       29, 3.4315758236945997`}, {29, 0}}]}, 
    {Hue[0.2461955640229298], 
     PolygonBox[{{29, 0}, {29, 3.4315758236945997`}, {
       30, 3.4326238373419313`}, {30, 0}}]}, 
    {Hue[0.25119439979063235`], 
     PolygonBox[{{30, 0}, {30, 3.4326238373419313`}, {
       31, 3.4296603593957564`}, {31, 0}}]}, 
    {Hue[0.2561904038149011], 
     PolygonBox[{{31, 0}, {31, 3.4296603593957564`}, {
       32, 3.4227143876165074`}, {32, 0}}]}, 
    {Hue[0.2611717704279329], 
     PolygonBox[{{32, 0}, {32, 3.4227143876165074`}, {
       33, 3.411853392276984}, {33, 0}}]}, 
    {Hue[0.26612688591976824`], 
     PolygonBox[{{33, 0}, {33, 3.411853392276984}, {
       34, 3.3971814873389627`}, {34, 0}}]}, 
    {Hue[0.27104447688537553`], 
     PolygonBox[{{34, 0}, {34, 3.3971814873389627`}, {
       35, 3.378836663683129}, {35, 0}}]}, 
    {Hue[0.27591374760119136`], 
     PolygonBox[{{35, 0}, {35, 3.378836663683129}, {36, 3.356987226195635}, {
       36, 0}}]}, 
    {Hue[0.28072450240235336`], 
     PolygonBox[{{36, 0}, {36, 3.356987226195635}, {37, 3.331827610286496}, {
       37, 0}}]}, 
    {Hue[0.2854672498902089], 
     PolygonBox[{{37, 0}, {37, 3.331827610286496}, {38, 3.303573773324741}, {
       38, 0}}]}, 
    {Hue[0.29013328678932604`], 
     PolygonBox[{{38, 0}, {38, 3.303573773324741}, {
       39, 3.2724583620178387`}, {39, 0}}]}, 
    {Hue[0.29471476031112004`], 
     PolygonBox[{{39, 0}, {39, 3.2724583620178387`}, {
       40, 3.2387258489190978`}, {40, 0}}]}, 
    {Hue[0.29920470888771294`], 
     PolygonBox[{{40, 0}, {40, 3.2387258489190978`}, {
       41, 3.202627812190574}, {41, 0}}]}, 
    {Hue[0.3035970820470172], 
     PolygonBox[{{41, 0}, {41, 3.202627812190574}, {42, 3.164418505433375}, {
       42, 0}}]}, 
    {Hue[0.3078867409577615], 
     PolygonBox[{{42, 0}, {42, 3.164418505433375}, {43, 3.124350832097837}, {
       43, 0}}]}, 
    {Hue[0.3120694417508665], 
     PolygonBox[{{43, 0}, {43, 3.124350832097837}, {44, 3.082672804885244}, {
       44, 0}}]}, 
    {Hue[0.3161418041104618], 
     PolygonBox[{{44, 0}, {44, 3.082672804885244}, {
       45, 3.0396245374142135`}, {45, 0}}]}, 
    {Hue[0.3201012678304815], 
     PolygonBox[{{45, 0}, {45, 3.0396245374142135`}, {
       46, 2.9954357853909994`}, {46, 0}}]}, 
    {Hue[0.32394604007084643`], 
     PolygonBox[{{46, 0}, {46, 2.9954357853909994`}, {
       47, 2.950324029030574}, {47, 0}}]}, 
    {Hue[0.32767503594913033`], 
     PolygonBox[{{47, 0}, {47, 2.950324029030574}, {
       48, 2.9044930682774575`}, {48, 0}}]}, 
    {Hue[0.33128781490175924`], 
     PolygonBox[{{48, 0}, {48, 2.9044930682774575`}, {
       49, 2.858132087632226}, {49, 0}}]}, 
    {Hue[0.33478451497608214`], 
     PolygonBox[{{49, 0}, {49, 2.858132087632226}, {50, 2.811415137805233}, {
       50, 0}}]}, 
    {Hue[0.33816578690130045`], 
     PolygonBox[{{50, 0}, {50, 2.811415137805233}, {
       51, 2.7645009763846855`}, {51, 0}}]}, 
    {Hue[0.34143272945815883`], 
     PolygonBox[{{51, 0}, {51, 2.7645009763846855`}, {
       52, 2.717533208440185}, {52, 0}}]}, 
    {Hue[0.3445868273449842], 
     PolygonBox[{{52, 0}, {52, 2.717533208440185}, {
       53, 2.6706406696426033`}, {53, 0}}]}, 
    {Hue[0.34762989243617237`], 
     PolygonBox[{{53, 0}, {53, 2.6706406696426033`}, {
       54, 2.6239379982515265`}, {54, 0}}]}, 
    {Hue[0.35056400905844437`], 
     PolygonBox[{{54, 0}, {54, 2.6239379982515265`}, {
       55, 2.577526347469978}, {55, 0}}]}, 
    {Hue[0.3533914836756331], 
     PolygonBox[{{55, 0}, {55, 2.577526347469978}, {
       56, 2.5314941955752293`}, {56, 0}}]}, 
    {Hue[0.3561147991763789], 
     PolygonBox[{{56, 0}, {56, 2.5314941955752293`}, {
       57, 2.4859182174136065`}, {57, 0}}]}, 
    {Hue[0.3587365738001785], 
     PolygonBox[{{57, 0}, {57, 2.4859182174136065`}, {
       58, 2.4408641869278944`}, {58, 0}}]}, 
    {Hue[0.3612595246132584], 
     PolygonBox[{{58, 0}, {58, 2.4408641869278944`}, {
       59, 2.396387886111945}, {59, 0}}]}, 
    {Hue[0.3636864353530394], 
     PolygonBox[{{59, 0}, {59, 2.396387886111945}, {60, 2.352536000995015}, {
       60, 0}}]}, 
    {Hue[0.36602012839432774`], 
     PolygonBox[{{60, 0}, {60, 2.352536000995015}, {61, 2.309346989860678}, {
       61, 0}}]}, 
    {Hue[0.36826344054742716`], 
     PolygonBox[{{61, 0}, {61, 2.309346989860678}, {
       62, 2.2668519128708198`}, {62, 0}}]}, 
    {Hue[0.3704192023739274], 
     PolygonBox[{{62, 0}, {62, 2.2668519128708198`}, {
       63, 2.2250752156048885`}, {63, 0}}]}, 
    {Hue[0.372490220696086], 
     PolygonBox[{{63, 0}, {63, 2.2250752156048885`}, {
       64, 2.184035461775584}, {64, 0}}]}, 
    {Hue[0.37447926397708964`], 
     PolygonBox[{{64, 0}, {64, 2.184035461775584}, {
       65, 2.1437460125992653`}, {65, 0}}]}, 
    {Hue[0.3763890502590848], 
     PolygonBox[{{65, 0}, {65, 2.1437460125992653`}, {
       66, 2.104215652044682}, {66, 0}}]}, 
    {Hue[0.37822223736129607`], 
     PolygonBox[{{66, 0}, {66, 2.104215652044682}, {
       67, 2.0654491585227683`}, {67, 0}}]}, 
    {Hue[0.379981415059776], 
     PolygonBox[{{67, 0}, {67, 2.0654491585227683`}, {
       68, 2.027447824575968}, {68, 0}}]}, 
    {Hue[0.3816690989918021], 
     PolygonBox[{{68, 0}, {68, 2.027447824575968}, {
       69, 1.9902099268373457`}, {69, 0}}]}, 
    {Hue[0.38328772605041744`], 
     PolygonBox[{{69, 0}, {69, 1.9902099268373457`}, {
       70, 1.9537311490100666`}, {70, 0}}]}, 
    {Hue[0.3848396510572049], 
     PolygonBox[{{70, 0}, {70, 1.9537311490100666`}, {
       71, 1.9180049609139518`}, {71, 0}}]}, 
    {Hue[0.38632714452341166`], 
     PolygonBox[{{71, 0}, {71, 1.9180049609139518`}, {
       72, 1.8830229567971635`}, {72, 0}}]}, 
    {Hue[0.38775239133055367`], 
     PolygonBox[{{72, 0}, {72, 1.8830229567971635`}, {
       73, 1.8487751561519863`}, {73, 0}}]}, 
    {Hue[0.38911749018132236`], 
     PolygonBox[{{73, 0}, {73, 1.8487751561519863`}, {
       74, 1.8152502702314963`}, {74, 0}}]}, 
    {Hue[0.39042445368982226`], 
     PolygonBox[{{74, 0}, {74, 1.8152502702314963`}, {
       75, 1.7824359373619982`}, {75, 0}}]}, 
    {Hue[0.3916752089967979], 
     PolygonBox[{{75, 0}, {75, 1.7824359373619982`}, {
       76, 1.7503189300024105`}, {76, 0}}]}, 
    {Hue[0.3928715988105605], 
     PolygonBox[{{76, 0}, {76, 1.7503189300024105`}, {
       77, 1.7188853363310788`}, {77, 0}}]}, 
    {Hue[0.3940153827878268], 
     PolygonBox[{{77, 0}, {77, 1.7188853363310788`}, {
       78, 1.688120718953775}, {78, 0}}]}, 
    {Hue[0.3951082391807172], 
     PolygonBox[{{78, 0}, {78, 1.688120718953775}, {
       79, 1.6580102531328076`}, {79, 0}}]}, 
    {Hue[0.3961517666868096], 
     PolygonBox[{{79, 0}, {79, 1.6580102531328076`}, {
       80, 1.6285388467425115`}, {80, 0}}]}, 
    {Hue[0.39714748644852277`], 
     PolygonBox[{{80, 0}, {80, 1.6285388467425115`}, {
       81, 1.5996912439655713`}, {81, 0}}]}, 
    {Hue[0.398096844156314], 
     PolygonBox[{{81, 0}, {81, 1.5996912439655713`}, {
       82, 1.571452114561223}, {82, 0}}]}, 
    {Hue[0.39900121221733054`], 
     PolygonBox[{{82, 0}, {82, 1.571452114561223}, {
       83, 1.5438061303621962`}, {83, 0}}]}, 
    {Hue[0.39986189195736743`], 
     PolygonBox[{{83, 0}, {83, 1.5438061303621962`}, {
       84, 1.5167380304941027`}, {84, 0}}]}, 
    {Hue[0.4006801158293477], 
     PolygonBox[{{84, 0}, {84, 1.5167380304941027`}, {
       85, 1.4902326766592286`}, {85, 0}}]}, 
    {Hue[0.4014570496061618], 
     PolygonBox[{{85, 0}, {85, 1.4902326766592286`}, {
       86, 1.4642750996869258`}, {86, 0}}]}, 
    {Hue[0.40219379453965637`], 
     PolygonBox[{{86, 0}, {86, 1.4642750996869258`}, {
       87, 1.4388505384245753`}, {87, 0}}]}, 
    {Hue[0.4028913894709455], 
     PolygonBox[{{87, 0}, {87, 1.4388505384245753`}, {
       88, 1.4139444719263994`}, {88, 0}}]}, 
    {Hue[0.40355081288008526`], 
     PolygonBox[{{88, 0}, {88, 1.4139444719263994`}, {
       89, 1.3895426457914564`}, {89, 0}}]}, 
    {Hue[0.40417298486558406`], 
     PolygonBox[{{89, 0}, {89, 1.3895426457914564`}, {
       90, 1.3656310934065585`}, {90, 0}}]}, 
    {Hue[0.40475876904626534`], 
     PolygonBox[{{90, 0}, {90, 1.3656310934065585`}, {
       91, 1.3421961527636561`}, {91, 0}}]}, 
    {Hue[0.4053089743797134], 
     PolygonBox[{{91, 0}, {91, 1.3421961527636561`}, {
       92, 1.3192244794440129`}, {92, 0}}]}, 
    {Hue[0.40582435689295976`], 
     PolygonBox[{{92, 0}, {92, 1.3192244794440129`}, {
       93, 1.2967030562922541`}, {93, 0}}]}, 
    {Hue[0.40630562132224485`], 
     PolygonBox[{{93, 0}, {93, 1.2967030562922541`}, {
       94, 1.2746192002416719`}, {94, 0}}]}, 
    {Hue[0.40675342265965964`], 
     PolygonBox[{{94, 0}, {94, 1.2746192002416719`}, {
       95, 1.252960566697055}, {95, 0}}]}, 
    {Hue[0.40716836760525144`], 
     PolygonBox[{{95, 0}, {95, 1.252960566697055}, {
       96, 1.2317151518324205`}, {96, 0}}]}, 
    {Hue[0.4075510159238113], 
     PolygonBox[{{96, 0}, {96, 1.2317151518324205`}, {
       97, 1.2108712931174994`}, {97, 0}}]}, 
    {Hue[0.407901881706054], 
     PolygonBox[{{97, 0}, {97, 1.2108712931174994`}, {
       98, 1.1904176683483874`}, {98, 0}}]}, 
    {Hue[0.40822143453428283`], 
     PolygonBox[{{98, 0}, {98, 1.1904176683483874`}, {
       99, 1.1703432934236013`}, {99, 0}}]}, 
    {Hue[0.4085101005529218], 
     PolygonBox[{{99, 0}, {99, 1.1703432934236013`}, {
       100, 1.150637519076697}, {100, 0}}]}, 
    {Hue[0.4087682634444981], 
     PolygonBox[{{100, 0}, {100, 1.150637519076697}, {
       101, 1.131290026749965}, {101, 0}}]}, 
    {Hue[0.4089962653117982], 
     PolygonBox[{{101, 0}, {101, 1.131290026749965}, {
       102, 1.1122908237703237`}, {102, 0}}]}, 
    {Hue[0.40919440746699737`], 
     PolygonBox[{{102, 0}, {102, 1.1122908237703237`}, {
       103, 1.0936302379678378`}, {103, 0}}]}, 
    {Hue[0.4093629511285927], 
     PolygonBox[{{103, 0}, {103, 1.0936302379678378`}, {
       104, 1.0752989118591516`}, {104, 0}}]}, 
    {Hue[0.4095021180269631], 
     PolygonBox[{{104, 0}, {104, 1.0752989118591516`}, {
       105, 1.0572877965022083`}, {105, 0}}]}, 
    {Hue[0.40961209091932943`], 
     PolygonBox[{{105, 0}, {105, 1.0572877965022083`}, {
       106, 1.0395881451146216`}, {106, 0}}]}, 
    {Hue[0.40969301401482683`], 
     PolygonBox[{{106, 0}, {106, 1.0395881451146216`}, {
       107, 1.022191506535832}, {107, 0}}]}, 
    {Hue[0.4097449933103005], 
     PolygonBox[{{107, 0}, {107, 1.022191506535832}, {
       108, 1.0050897186025007`}, {108, 0}}]}, 
    {Hue[0.40976809683733256`], 
     PolygonBox[{{108, 0}, {108, 1.0050897186025007`}, {
       109, 0.988274901497227}, {109, 0}}]}, 
    {Hue[0.40976235482088086`], 
     PolygonBox[{{109, 0}, {109, 0.988274901497227}, {
       110, 0.9717394511225705}, {110, 0}}]}, 
    {Hue[0.40972775974978165`], 
     PolygonBox[{{110, 0}, {110, 0.9717394511225705}, {
       111, 0.9554760325452746}, {111, 0}}]}, 
    {Hue[0.40966426635922815`], 
     PolygonBox[{{111, 0}, {111, 0.9554760325452746}, {
       112, 0.9394775735494824}, {112, 0}}]}, 
    {Hue[0.4095717915251957], 
     PolygonBox[{{112, 0}, {112, 0.9394775735494824}, {
       113, 0.9237372583324318}, {113, 0}}]}, 
    {Hue[0.40945021407064836`], 
     PolygonBox[{{113, 0}, {113, 0.9237372583324318}, {
       114, 0.908248521371588}, {114, 0}}]}, 
    {Hue[0.40929937448322007`], 
     PolygonBox[{{114, 0}, {114, 0.908248521371588}, {
       115, 0.8930050414882367}, {115, 0}}]}, 
    {Hue[0.4091190745439395], 
     PolygonBox[{{115, 0}, {115, 0.8930050414882367}, {
       116, 0.8780007361292895}, {116, 0}}]}, 
    {Hue[0.4089090768664466], 
     PolygonBox[{{116, 0}, {116, 0.8780007361292895}, {
       117, 0.8632297558861886}, {117, 0}}]}, 
    {Hue[0.40866910434604836`], 
     PolygonBox[{{117, 0}, {117, 0.8632297558861886}, {
       118, 0.848686479267484}, {118, 0}}]}, 
    {Hue[0.40839883951787365`], 
     PolygonBox[{{118, 0}, {118, 0.848686479267484}, {
       119, 0.8343655077396616}, {119, 0}}]}, 
    {Hue[0.40809792382333065`], 
     PolygonBox[{{119, 0}, {119, 0.8343655077396616}, {
       120, 0.8202616610492265}, {120, 0}}]}, 
    {Hue[0.40776595678403615`], 
     PolygonBox[{{120, 0}, {120, 0.8202616610492265}, {
       121, 0.8063699728377254}, {121, 0}}]}, 
    {Hue[0.40740249508239434`], 
     PolygonBox[{{121, 0}, {121, 0.8063699728377254}, {
       122, 0.7926856865604143}, {122, 0}}]}, 
    {Hue[0.407007051548048], 
     PolygonBox[{{122, 0}, {122, 0.7926856865604143}, {
       123, 0.7792042517184735}, {123, 0}}]}, 
    {Hue[0.40657909404952847`], 
     PolygonBox[{{123, 0}, {123, 0.7792042517184735}, {
       124, 0.7659213204141657}, {124, 0}}]}, 
    {Hue[0.40611804429059156`], 
     PolygonBox[{{124, 0}, {124, 0.7659213204141657}, {
       125, 0.7528327442379384}, {125, 0}}]}, 
    {Hue[0.40562327651096286`], 
     PolygonBox[{{125, 0}, {125, 0.7528327442379384}, {
       126, 0.7399345714963186}, {126, 0}}]}, 
    {Hue[0.4050941160915378], 
     PolygonBox[{{126, 0}, {126, 0.7399345714963186}, {
       127, 0.7272230447893754}, {127, 0}}]}, 
    {Hue[0.4045298380645095], 
     PolygonBox[{{127, 0}, {127, 0.7272230447893754}, {
       128, 0.714694598946642}, {128, 0}}]}, 
    {Hue[0.4039296655294414], 
     PolygonBox[{{128, 0}, {128, 0.714694598946642}, {
       129, 0.7023458593305423}, {129, 0}}]}, 
    {Hue[0.4032927679769886], 
     PolygonBox[{{129, 0}, {129, 0.7023458593305423}, {
       130, 0.6901736405166721}, {130, 0}}]}, 
    {Hue[0.40261825952283037`], 
     PolygonBox[{{130, 0}, {130, 0.6901736405166721}, {
       131, 0.6781749453605979}, {131, 0}}]}, 
    {Hue[0.4019051970554156], 
     PolygonBox[{{131, 0}, {131, 0.6781749453605979}, {
       132, 0.6663469644612235}, {132, 0}}]}, 
    {Hue[0.40115257830240414`], 
     PolygonBox[{{132, 0}, {132, 0.6663469644612235}, {
       133, 0.6546870760311746}, {133, 0}}]}, 
    {Hue[0.400359339822217], 
     PolygonBox[{{133, 0}, {133, 0.6546870760311746}, {
       134, 0.6431928461850139}, {134, 0}}]}, 
    {Hue[0.3995243549289498], 
     PolygonBox[{{134, 0}, {134, 0.6431928461850139}, {
       135, 0.6318620296564814}, {135, 0}}]}, 
    {Hue[0.3986464315610978], 
     PolygonBox[{{135, 0}, {135, 0.6318620296564814}, {
       136, 0.6206925709561847}, {136, 0}}]}, 
    {Hue[0.3977243101071357], 
     PolygonBox[{{136, 0}, {136, 0.6206925709561847}, {
       137, 0.609682605981362}, {137, 0}}]}, 
    {Hue[0.39675666120406183`], 
     PolygonBox[{{137, 0}, {137, 0.609682605981362}, {
       138, 0.5988304640893043}, {138, 0}}]}, 
    {Hue[0.3957420835286168], 
     PolygonBox[{{138, 0}, {138, 0.5988304640893043}, {
       139, 0.5881346706458351}, {139, 0}}]}, 
    {Hue[0.39467910160509684`], 
     PolygonBox[{{139, 0}, {139, 0.5881346706458351}, {
       140, 0.577593950059727}, {140, 0}}]}, 
    {Hue[0.3935661636585841], 
     PolygonBox[{{140, 0}, {140, 0.577593950059727}, {
       141, 0.5672072293131069}, {141, 0}}]}, 
    {Hue[0.3924016395481115], 
     PolygonBox[{{141, 0}, {141, 0.5672072293131069}, {
       142, 0.5569736419965962}, {142, 0}}]}, 
    {Hue[0.39118381882084907`], 
     PolygonBox[{{142, 0}, {142, 0.5569736419965962}, {
       143, 0.5468925328561159}, {143, 0}}]}, 
    {Hue[0.3899109089359666], 
     PolygonBox[{{143, 0}, {143, 0.5468925328561159}, {
       144, 0.5369634628557776}, {144, 0}}]}, 
    {Hue[0.38858103371548364`], 
     PolygonBox[{{144, 0}, {144, 0.5369634628557776}, {
       145, 0.5271862147580078}, {145, 0}}]}, 
    {Hue[0.38719223208929565`], 
     PolygonBox[{{145, 0}, {145, 0.5271862147580078}, {
       146, 0.5175607992177871}, {146, 0}}]}, 
    {Hue[0.385742457212746], 
     PolygonBox[{{146, 0}, {146, 0.5175607992177871}, {
       147, 0.5080874613825191}, {147, 0}}]}, 
    {Hue[0.38422957604772917`], 
     PolygonBox[{{147, 0}, {147, 0.5080874613825191}, {
       148, 0.4987666879822944}, {148, 0}}]}, 
    {Hue[0.3826513695124179], 
     PolygonBox[{{148, 0}, {148, 0.4987666879822944}, {
       149, 0.48959921488704927`}, {149, 0}}]}, 
    {Hue[0.38100553332038883`], 
     PolygonBox[{{149, 0}, {149, 0.48959921488704927`}, {
       150, 0.48058603509696607`}, {150, 0}}]}, 
    {Hue[0.37928967964717997`], 
     PolygonBox[{{150, 0}, {150, 0.48058603509696607`}, {
       151, 0.47172840712027536`}, {151, 0}}]}, 
    {Hue[0.3775013397811279], 
     PolygonBox[{{151, 0}, {151, 0.47172840712027536`}, {
       152, 0.4630278636779758}, {152, 0}}]}, 
    {Hue[0.37563796793557663`], 
     PolygonBox[{{152, 0}, {152, 0.4630278636779758}, {
       153, 0.4544862206576981}, {153, 0}}]}, 
    {Hue[0.37369694642101325`], 
     PolygonBox[{{153, 0}, {153, 0.4544862206576981}, {
       154, 0.44610558621856905`}, {154, 0}}]}, 
    {Hue[0.37167559239799863`], 
     PolygonBox[{{154, 0}, {154, 0.44610558621856905`}, {
       155, 0.4378883699253038}, {155, 0}}]}, 
    {Hue[0.3695711664544079], 
     PolygonBox[{{155, 0}, {155, 0.4378883699253038}, {
       156, 0.4298372917624667}, {156, 0}}]}, 
    {Hue[0.36738088327269336`], 
     PolygonBox[{{156, 0}, {156, 0.4298372917624667}, {
       157, 0.42195539084880085`}, {157, 0}}]}, 
    {Hue[0.3651019246736313], 
     PolygonBox[{{157, 0}, {157, 0.42195539084880085`}, {
       158, 0.4142460336365086}, {158, 0}}]}, 
    {Hue[0.36273145534093565`], 
     PolygonBox[{{158, 0}, {158, 0.4142460336365086}, {
       159, 0.4067129213414456}, {159, 0}}]}, 
    {Hue[0.36026664154449095`], 
     PolygonBox[{{159, 0}, {159, 0.4067129213414456}, {
       160, 0.3993600963075726}, {160, 0}}]}, 
    {Hue[0.3577046731866092], 
     PolygonBox[{{160, 0}, {160, 0.3993600963075726}, {
       161, 0.39219194696312154`}, {161, 0}}]}, 
    {Hue[0.3550427894929947], 
     PolygonBox[{{161, 0}, {161, 0.39219194696312154`}, {
       162, 0.38521321097766054`}, {162, 0}}]}, 
    {Hue[0.3522783086548923], 
     PolygonBox[{{162, 0}, {162, 0.38521321097766054`}, {
       163, 0.37842897617974636`}, {163, 0}}]}, 
    {Hue[0.34940866169756785`], 
     PolygonBox[{{163, 0}, {163, 0.37842897617974636`}, {
       164, 0.37184467874598587`}, {164, 0}}]}, 
    {Hue[0.34643143079881866`], 
     PolygonBox[{{164, 0}, {164, 0.37184467874598587`}, {
       165, 0.3654660981263813}, {165, 0}}]}, 
    {Hue[0.34334439220532015`], 
     PolygonBox[{{165, 0}, {165, 0.3654660981263813}, {
       166, 0.35929934813097936`}, {166, 0}}]}, 
    {Hue[0.3401455637899474], 
     PolygonBox[{{166, 0}, {166, 0.35929934813097936`}, {
       167, 0.3533508635728194}, {167, 0}}]}, 
    {Hue[0.3368332571557026], 
     PolygonBox[{{167, 0}, {167, 0.3533508635728194}, {
       168, 0.347627381846654}, {168, 0}}]}, 
    {Hue[0.33340613401825875`], 
     PolygonBox[{{168, 0}, {168, 0.347627381846654}, {
       169, 0.34213591882710703`}, {169, 0}}]}, 
    {Hue[0.3298632663874936], 
     PolygonBox[{{169, 0}, {169, 0.34213591882710703`}, {
       170, 0.33688373849974457`}, {170, 0}}]}, 
    {Hue[0.3262041998190041], 
     PolygonBox[{{170, 0}, {170, 0.33688373849974457`}, {
       171, 0.3318783157999753}, {171, 0}}]}, 
    {Hue[0.32242901872269153`], 
     PolygonBox[{{171, 0}, {171, 0.3318783157999753}, {
       172, 0.3271272922337773}, {172, 0}}]}, 
    {Hue[0.3185384124042748], 
     PolygonBox[{{172, 0}, {172, 0.3271272922337773}, {
       173, 0.3226384239960574}, {173, 0}}]}, 
    {Hue[0.3145337401888634], 
     PolygonBox[{{173, 0}, {173, 0.3226384239960574}, {
       174, 0.31841952249072486`}, {174, 0}}]}, 
    {Hue[0.3104170936507466], 
     PolygonBox[{{174, 0}, {174, 0.31841952249072486`}, {
       175, 0.3144783873925275}, {175, 0}}]}, 
    {Hue[0.30619135367299755`], 
     PolygonBox[{{175, 0}, {175, 0.3144783873925275}, {
       176, 0.310822732672404}, {176, 0}}]}, 
    {Hue[0.30186023981218174`], 
     PolygonBox[{{176, 0}, {176, 0.310822732672404}, {
       177, 0.3074601063292618}, {177, 0}}]}, 
    {Hue[0.2974283492789208], 
     PolygonBox[{{177, 0}, {177, 0.3074601063292618}, {
       178, 0.3043978049206642}, {178, 0}}]}, 
    {Hue[0.29290118279742616`], 
     PolygonBox[{{178, 0}, {178, 0.3043978049206642}, {
       179, 0.3016427843465241}, {179, 0}}]}, 
    {Hue[0.2882851547076869], 
     PolygonBox[{{179, 0}, {179, 0.3016427843465241}, {
       180, 0.29920156869229336`}, {180, 0}}]}, 
    {Hue[0.28358758494828235`], 
     PolygonBox[{{180, 0}, {180, 0.29920156869229336`}, {
       181, 0.29708015925590414`}, {181, 0}}]}, 
    {Hue[0.2788166710207419], 
     PolygonBox[{{181, 0}, {181, 0.29708015925590414`}, {
       182, 0.29528394613816555`}, {182, 0}}]}, 
    {Hue[0.2739814386881073], 
     PolygonBox[{{182, 0}, {182, 0.29528394613816555`}, {
       183, 0.2938176249417962}, {183, 0}}]}, 
    {Hue[0.2690916709824467], 
     PolygonBox[{{183, 0}, {183, 0.2938176249417962}, {
       184, 0.292685121175285}, {184, 0}}]}, 
    {Hue[0.2641578160500129], 
     PolygonBox[{{184, 0}, {184, 0.292685121175285}, {
       185, 0.29188952487614533`}, {185, 0}}]}, 
    {Hue[0.259190875390693], 
     PolygonBox[{{185, 0}, {185, 0.29188952487614533`}, {
       186, 0.29143303774505375`}, {186, 0}}]}, 
    {Hue[0.25420227507699295`], 
     PolygonBox[{{186, 0}, {186, 0.29143303774505375`}, {
       187, 0.29131693472061565`}, {187, 0}}]}, 
    {Hue[0.2492037234850193], 
     PolygonBox[{{187, 0}, {187, 0.29131693472061565`}, {
       188, 0.29154154143940825`}, {188, 0}}]}, 
    {Hue[0.2442070598538639], 
     PolygonBox[{{188, 0}, {188, 0.29154154143940825`}, {
       189, 0.2921062284449227}, {189, 0}}]}, 
    {Hue[0.23922409853887175`], 
     PolygonBox[{{189, 0}, {189, 0.2921062284449227}, {
       190, 0.2930094223691989}, {190, 0}}]}, 
    {Hue[0.23426647408637097`], 
     PolygonBox[{{190, 0}, {190, 0.2930094223691989}, {
       191, 0.294248633655739}, {191, 0}}]}, 
    {Hue[0.22934549220724543`], 
     PolygonBox[{{191, 0}, {191, 0.294248633655739}, {
       192, 0.2958204997666852}, {192, 0}}]}, 
    {Hue[0.22447199136906631`], 
     PolygonBox[{{192, 0}, {192, 0.2958204997666852}, {
       193, 0.2977208422631487}, {193, 0}}]}, 
    {Hue[0.21965621909587515`], 
     PolygonBox[{{193, 0}, {193, 0.2977208422631487}, {
       194, 0.29994473569935254`}, {194, 0}}]}, 
    {Hue[0.21490772622027834`], 
     PolygonBox[{{194, 0}, {194, 0.29994473569935254`}, {
       195, 0.3024865859526038}, {195, 0}}]}, 
    {Hue[0.2102352813503018], 
     PolygonBox[{{195, 0}, {195, 0.3024865859526038}, {
       196, 0.30534021543338724`}, {196, 0}}]}, 
    {Hue[0.20564680677638758`], 
     PolygonBox[{{196, 0}, {196, 0.30534021543338724`}, {
       197, 0.3084989525819398}, {197, 0}}]}, 
    {Hue[0.201149336032224], 
     PolygonBox[{{197, 0}, {197, 0.3084989525819398}, {
       198, 0.31195572314748965`}, {198, 0}}]}, 
    {Hue[0.1967489924057355], 
     PolygonBox[{{198, 0}, {198, 0.31195572314748965`}, {
       199, 0.3157031409433391}, {199, 0}}]}, 
    {Hue[0.19245098692552798`], 
     PolygonBox[{{199, 0}, {199, 0.3157031409433391}, {
       200, 0.31973359604934076`}, {200, 0}}]}, 
    {Hue[0.18825963375541802`], 
     PolygonBox[{{200, 0}, {200, 0.31973359604934076`}, {
       201, 0.324039338765039}, {201, 0}}]}, 
    {Hue[0.18417838052762747`], 
     PolygonBox[{{201, 0}, {201, 0.324039338765039}, {
       202, 0.3286125579746783}, {202, 0}}]}, 
    {Hue[0.1802098509284858], 
     PolygonBox[{{202, 0}, {202, 0.3286125579746783}, {
       203, 0.33344545294513145`}, {203, 0}}]}, 
    {Hue[0.17635589680026367`], 
     PolygonBox[{{203, 0}, {203, 0.33344545294513145`}, {
       204, 0.3385302979198541}, {204, 0}}]}, 
    {Hue[0.17261765711118718`], 
     PolygonBox[{{204, 0}, {204, 0.3385302979198541}, {
       205, 0.34385949918151604`}, {205, 0}}]}, 
    {Hue[0.16899562134048687`], 
     PolygonBox[{{205, 0}, {205, 0.34385949918151604`}, {
       206, 0.3494256445235595}, {206, 0}}]}, 
    {Hue[0.16548969509356448`], 
     PolygonBox[{{206, 0}, {206, 0.3494256445235595}, {
       207, 0.3552215452917484}, {207, 0}}]}, 
    {Hue[0.1620992660734879], 
     PolygonBox[{{207, 0}, {207, 0.3552215452917484}, {
       208, 0.3612402713299742}, {208, 0}}]}, 
    {Hue[0.15882326886276385`], 
     PolygonBox[{{208, 0}, {208, 0.3612402713299742}, {
       209, 0.3674751792923077}, {209, 0}}]}, 
    {Hue[0.1556602472927277], 
     PolygonBox[{{209, 0}, {209, 0.3674751792923077}, {
       210, 0.37391993486974545`}, {210, 0}}]}, 
    {Hue[0.15260841348147391`], 
     PolygonBox[{{210, 0}, {210, 0.37391993486974545`}, {
       211, 0.38056852953082887`}, {211, 0}}]}, 
    {Hue[0.1496657028947179], 
     PolygonBox[{{211, 0}, {211, 0.38056852953082887`}, {
       212, 0.38741529239628725`}, {212, 0}}]}, 
    {Hue[0.1468298250215432], 
     PolygonBox[{{212, 0}, {212, 0.38741529239628725`}, {
       213, 0.39445489786517196`}, {213, 0}}]}, 
    {Hue[0.14409830945641364`], 
     PolygonBox[{{213, 0}, {213, 0.39445489786517196`}, {
       214, 0.4016823695892508}, {214, 0}}]}, 
    {Hue[0.14146854734067116`], 
     PolygonBox[{{214, 0}, {214, 0.4016823695892508}, {
       215, 0.40909308135883365`}, {215, 0}}]}, 
    {Hue[0.13893782824337458`], 
     PolygonBox[{{215, 0}, {215, 0.40909308135883365`}, {
       216, 0.4166827554209975}, {216, 0}}]}, 
    {Hue[0.13650337265638213`], 
     PolygonBox[{{216, 0}, {216, 0.4166827554209975}, {
       217, 0.42444745870403544`}, {217, 0}}]}, 
    {Hue[0.13416236034620294`], 
     PolygonBox[{{217, 0}, {217, 0.42444745870403544`}, {
       218, 0.4323835973726282}, {218, 0}}]}, 
    {Hue[0.13191195484973545`], 
     PolygonBox[{{218, 0}, {218, 0.4323835973726282}, {
       219, 0.4404879100889934}, {219, 0}}]}, 
    {Hue[0.12974932442677484`], 
     PolygonBox[{{219, 0}, {219, 0.4404879100889934}, {
       220, 0.44875746030761465`}, {220, 0}}]}, 
    {Hue[0.12767165979304215`], 
     PolygonBox[{{220, 0}, {220, 0.44875746030761465`}, {
       221, 0.45718962788627027`}, {221, 0}}]}, 
    {Hue[0.12567618895689592`], 
     PolygonBox[{{221, 0}, {221, 0.45718962788627027`}, {
       222, 0.4657821002545632}, {222, 0}}]}, 
    {Hue[0.12376018947384236`], 
     PolygonBox[{{222, 0}, {222, 0.4657821002545632}, {
       223, 0.47453286334350614`}, {223, 0}}]}, 
    {Hue[0.1219209984179177], 
     PolygonBox[{{223, 0}, {223, 0.47453286334350614`}, {
       224, 0.48344019244593445`}, {224, 0}}]}, 
    {Hue[0.1201560203500318], 
     PolygonBox[{{224, 0}, {224, 0.48344019244593445`}, {
       225, 0.4925026431477232}, {225, 0}}]}, 
    {Hue[0.11846273354201657`], 
     PolygonBox[{{225, 0}, {225, 0.4925026431477232}, {
       226, 0.5017190424436649}, {226, 0}}]}, 
    {Hue[0.1168386946926883], 
     PolygonBox[{{226, 0}, {226, 0.5017190424436649}, {
       227, 0.511088480129326}, {227, 0}}]}, 
    {Hue[0.11528154234961846`], 
     PolygonBox[{{227, 0}, {227, 0.511088480129326}, {
       228, 0.5206103005408271}, {228, 0}}]}, 
    {Hue[0.11378899922822022`], 
     PolygonBox[{{228, 0}, {228, 0.5206103005408271}, {
       229, 0.5302840946980975}, {229, 0}}]}, 
    {Hue[0.11235887359864724`], 
     PolygonBox[{{229, 0}, {229, 0.5302840946980975}, {
       230, 0.5401096928933055}, {230, 0}}]}, 
    {Hue[0.11098905989119863`], 
     PolygonBox[{{230, 0}, {230, 0.5401096928933055}, {
       231, 0.55008715775468}, {231, 0}}]}, 
    {Hue[0.10967753865259308`], 
     PolygonBox[{{231, 0}, {231, 0.55008715775468}, {
       232, 0.5602167778063959}, {232, 0}}]}, 
    {Hue[0.10842237596872145`], 
     PolygonBox[{{232, 0}, {232, 0.5602167778063959}, {
       233, 0.570499061537459}, {233, 0}}]}, 
    {Hue[0.10722172245430746`], 
     PolygonBox[{{233, 0}, {233, 0.570499061537459}, {
       234, 0.5809347319862206}, {234, 0}}]}, 
    {Hue[0.10607381189628436`], 
     PolygonBox[{{234, 0}, {234, 0.5809347319862206}, {
       235, 0.5915247218421724}, {235, 0}}]}, 
    {Hue[0.10497695962554773`], 
     PolygonBox[{{235, 0}, {235, 0.5915247218421724}, {
       236, 0.6022701690627418}, {236, 0}}]}, 
    {Hue[0.1039295606809859], 
     PolygonBox[{{236, 0}, {236, 0.6022701690627418}, {
       237, 0.613172412999769}, {237, 0}}]}, 
    {Hue[0.10293008782021933`], 
     PolygonBox[{{237, 0}, {237, 0.613172412999769}, {
       238, 0.6242329910281189}, {238, 0}}]}, 
    {Hue[0.10197708942317613`], 
     PolygonBox[{{238, 0}, {238, 0.6242329910281189}, {
       239, 0.6354536356671805}, {239, 0}}]}, 
    {Hue[0.10106918732739838`], 
     PolygonBox[{{239, 0}, {239, 0.6354536356671805}, {
       240, 0.6468362721849269}, {240, 0}}]}, 
    {Hue[0.10020507462768936`], 
     PolygonBox[{{240, 0}, {240, 0.6468362721849269}, {
       241, 0.6583830166734275}, {241, 0}}]}, 
    {Hue[0.09938351346728382], 
     PolygonBox[{{241, 0}, {241, 0.6583830166734275}, {
       242, 0.6700961745843531}, {242, 0}}]}, 
    {Hue[0.09860333284304766], 
     PolygonBox[{{242, 0}, {242, 0.6700961745843531}, {
       243, 0.6819782397128307}, {243, 0}}]}, 
    {Hue[0.09786342644320914], 
     PolygonBox[{{243, 0}, {243, 0.6819782397128307}, {
       244, 0.6940318936180988}, {244, 0}}]}, 
    {Hue[0.09716275053269788], 
     PolygonBox[{{244, 0}, {244, 0.6940318936180988}, {
       245, 0.7062600054695745}, {245, 0}}]}, 
    {Hue[0.09650032189826309], 
     PolygonBox[{{245, 0}, {245, 0.7062600054695745}, {
       246, 0.7186656323072812}, {246, 0}}]}, 
    {Hue[0.09587521586307685], 
     PolygonBox[{{246, 0}, {246, 0.7186656323072812}, {
       247, 0.7312520197059096}, {247, 0}}]}, 
    {Hue[0.09528656437845633], 
     PolygonBox[{{247, 0}, {247, 0.7312520197059096}, {
       248, 0.7440226028322129}, {248, 0}}]}, 
    {Hue[0.09473355419859857], 
     PolygonBox[{{248, 0}, {248, 0.7440226028322129}, {
       249, 0.7569810078857947}, {249, 0}}]}, 
    {Hue[0.09421542514277592], 
     PolygonBox[{{249, 0}, {249, 0.7569810078857947}, {
       250, 0.7701310539137454}, {250, 0}}]}, 
    {Hue[0.09373146844824119], 
     PolygonBox[{{250, 0}, {250, 0.7701310539137454}, {
       251, 0.7834767549898709}, {251, 0}}]}, 
    {Hue[0.09328102521611016], 
     PolygonBox[{{251, 0}, {251, 0.7834767549898709}, {
       252, 0.7970223227495375}, {252, 0}}]}, 
    {Hue[0.0928634849516911], 
     PolygonBox[{{252, 0}, {252, 0.7970223227495375}, {
       253, 0.8107721692712812}, {253, 0}}]}, 
    {Hue[0.09247828420009056], 
     PolygonBox[{{253, 0}, {253, 0.8107721692712812}, {
       254, 0.8247309102964058}, {254, 0}}]}, 
    {Hue[0.09212490527741932], 
     PolygonBox[{{254, 0}, {254, 0.8247309102964058}, {
       255, 0.8389033687776825}, {255, 0}}]}, 
    {Hue[0.0918028750975315], 
     PolygonBox[{{255, 0}, {255, 0.8389033687776825}, {
       256, 0.8532945787480519}, {256, 0}}]}, 
    {Hue[0.0915117640939366], 
     PolygonBox[{{256, 0}, {256, 0.8532945787480519}, {
       257, 0.8679097894997816}, {257, 0}}]}, 
    {Hue[0.09125118523631245], 
     PolygonBox[{{257, 0}, {257, 0.8679097894997816}, {
       258, 0.8827544700639607}, {258, 0}}]}, 
    {Hue[0.09102079314090619], 
     PolygonBox[{{258, 0}, {258, 0.8827544700639607}, {
       259, 0.8978343139793286}, {259, 0}}]}, 
    {Hue[0.09082028327402719], 
     PolygonBox[{{259, 0}, {259, 0.8978343139793286}, {
       260, 0.9131552443383709}, {260, 0}}]}, 
    {Hue[0.09064939124780211], 
     PolygonBox[{{260, 0}, {260, 0.9131552443383709}, {
       261, 0.9287234190972201}, {261, 0}}]}, 
    {Hue[0.09050789220736889], 
     PolygonBox[{{261, 0}, {261, 0.9287234190972201}, {
       262, 0.944545236634167}, {262, 0}}]}, 
    {Hue[0.09039560030872781], 
     PolygonBox[{{262, 0}, {262, 0.944545236634167}, {
       263, 0.9606273415395494}, {263, 0}}]}, 
    {Hue[0.09031236828653581], 
     PolygonBox[{{263, 0}, {263, 0.9606273415395494}, {
       264, 0.9769766306172323}, {264, 0}}]}, 
    {Hue[0.09025808711122092], 
     PolygonBox[{{264, 0}, {264, 0.9769766306172323}, {
       265, 0.993600259074986}, {265, 0}}]}, 
    {Hue[0.09023268573490266], 
     PolygonBox[{{265, 0}, {265, 0.993600259074986}, {
       266, 1.0105056468775109`}, {266, 0}}]}, 
    {Hue[0.09023613092572517], 
     PolygonBox[{{266, 0}, {266, 1.0105056468775109`}, {
       267, 1.0277004852318197`}, {267, 0}}]}, 
    {Hue[0.0902684271903422], 
     PolygonBox[{{267, 0}, {267, 1.0277004852318197`}, {
       268, 1.0451927431698491`}, {268, 0}}]}, 
    {Hue[0.09032961678443013], 
     PolygonBox[{{268, 0}, {268, 1.0451927431698491`}, {
       269, 1.0629906741876982`}, {269, 0}}]}, 
    {Hue[0.09041977981124574], 
     PolygonBox[{{269, 0}, {269, 1.0629906741876982`}, {
       270, 1.0811028228944113`}, {270, 0}}]}, 
    {Hue[0.09053903440838593], 
     PolygonBox[{{270, 0}, {270, 1.0811028228944113`}, {
       271, 1.0995380316158987`}, {271, 0}}]}, 
    {Hue[0.09068753702304234], 
     PolygonBox[{{271, 0}, {271, 1.0995380316158987`}, {
       272, 1.1183054468910296`}, {272, 0}}]}, 
    {Hue[0.09086548277617436], 
     PolygonBox[{{272, 0}, {272, 1.1183054468910296`}, {
       273, 1.1374145257872348`}, {273, 0}}]}, 
    {Hue[0.0910731059161416], 
     PolygonBox[{{273, 0}, {273, 1.1374145257872348`}, {
       274, 1.15687504195173}, {274, 0}}]}, 
    {Hue[0.0913106803624428], 
     PolygonBox[{{274, 0}, {274, 1.15687504195173}, {
       275, 1.176697091301763}, {275, 0}}]}, 
    {Hue[0.0915785203402933], 
     PolygonBox[{{275, 0}, {275, 1.176697091301763}, {
       276, 1.196891097242638}, {276, 0}}]}, 
    {Hue[0.09187698110683541], 
     PolygonBox[{{276, 0}, {276, 1.196891097242638}, {
       277, 1.2174678152857403`}, {277, 0}}]}, 
    {Hue[0.09220645976981037], 
     PolygonBox[{{277, 0}, {277, 1.2174678152857403`}, {
       278, 1.2384383369197727`}, {278, 0}}]}, 
    {Hue[0.0925673961995166], 
     PolygonBox[{{278, 0}, {278, 1.2384383369197727`}, {
       279, 1.2598140925670158`}, {279, 0}}]}, 
    {Hue[0.09296027403483624], 
     PolygonBox[{{279, 0}, {279, 1.2598140925670158`}, {
       280, 1.2816068534319145`}, {280, 0}}]}, 
    {Hue[0.0933856217840145], 
     PolygonBox[{{280, 0}, {280, 1.2816068534319145`}, {
       281, 1.3038287320216952`}, {281, 0}}]}, 
    {Hue[0.09384401402072005], 
     PolygonBox[{{281, 0}, {281, 1.3038287320216952`}, {
       282, 1.3264921810873047`}, {282, 0}}]}, 
    {Hue[0.09433607267568449], 
     PolygonBox[{{282, 0}, {282, 1.3264921810873047`}, {
       283, 1.3496099906975556`}, {283, 0}}]}, 
    {Hue[0.09486246842390439], 
     PolygonBox[{{283, 0}, {283, 1.3496099906975556`}, {
       284, 1.373195283119297}, {284, 0}}]}, 
    {Hue[0.09542392216697197], 
     PolygonBox[{{284, 0}, {284, 1.373195283119297}, {
       285, 1.3972615051312876`}, {285, 0}}]}, 
    {Hue[0.09602120660956545], 
     PolygonBox[{{285, 0}, {285, 1.3972615051312876`}, {
       286, 1.421822417348653}, {286, 0}}]}, 
    {Hue[0.09665514792845407], 
     PolygonBox[{{286, 0}, {286, 1.421822417348653}, {
       287, 1.4468920800776297`}, {287, 0}}]}, 
    {Hue[0.0973266275315334], 
     PolygonBox[{{287, 0}, {287, 1.4468920800776297`}, {
       288, 1.4724848351563224`}, {288, 0}}]}, 
    {Hue[0.0980365839033763], 
     PolygonBox[{{288, 0}, {288, 1.4724848351563224`}, {
       289, 1.4986152831654425`}, {289, 0}}]}, 
    {Hue[0.09878601453253036], 
     PolygonBox[{{289, 0}, {289, 1.4986152831654425`}, {
       290, 1.5252982553130292`}, {290, 0}}]}, 
    {Hue[0.0995759779142804], 
     PolygonBox[{{290, 0}, {290, 1.5252982553130292`}, {
       291, 1.5525487792080372`}, {291, 0}}]}, 
    {Hue[0.10040759562077928`], 
     PolygonBox[{{291, 0}, {291, 1.5525487792080372`}, {
       292, 1.580382037638862}, {292, 0}}]}, 
    {Hue[0.10128205442829027`], 
     PolygonBox[{{292, 0}, {292, 1.580382037638862}, {
       293, 1.6088133193635277`}, {293, 0}}]}, 
    {Hue[0.10220060848871781`], 
     PolygonBox[{{293, 0}, {293, 1.6088133193635277`}, {
       294, 1.6378579607980193`}, {294, 0}}]}, 
    {Hue[0.10316458152958152`], 
     PolygonBox[{{294, 0}, {294, 1.6378579607980193`}, {
       295, 1.6675312773572866`}, {295, 0}}]}, 
    {Hue[0.10417536906303075`], 
     PolygonBox[{{295, 0}, {295, 1.6675312773572866`}, {
       296, 1.697848483059954}, {296, 0}}]}, 
    {Hue[0.10523444058034044`], 
     PolygonBox[{{296, 0}, {296, 1.697848483059954}, {
       297, 1.7288245968522369`}, {297, 0}}]}, 
    {Hue[0.10634334170348113`], 
     PolygonBox[{{297, 0}, {297, 1.7288245968522369`}, {
       298, 1.7604743339398818`}, {298, 0}}]}, 
    {Hue[0.10750369625973318`], 
     PolygonBox[{{298, 0}, {298, 1.7604743339398818`}, {
       299, 1.7928119802395879`}, {299, 0}}]}, 
    {Hue[0.10871720823881346`], 
     PolygonBox[{{299, 0}, {299, 1.7928119802395879`}, {
       300, 1.8258512478753377`}, {300, 0}}]}, 
    {Hue[0.10998566358450426`], 
     PolygonBox[{{300, 0}, {300, 1.8258512478753377`}, {
       301, 1.8596051094525754`}, {301, 0}}]}, 
    {Hue[0.11131093176420129`], 
     PolygonBox[{{301, 0}, {301, 1.8596051094525754`}, {
       302, 1.894085608648243}, {302, 0}}]}, 
    {Hue[0.11269496705003088`], 
     PolygonBox[{{302, 0}, {302, 1.894085608648243}, {
       303, 1.9293036444622458`}, {303, 0}}]}, 
    {Hue[0.11413980943410211`], 
     PolygonBox[{{303, 0}, {303, 1.9293036444622458`}, {
       304, 1.9652687262933393`}, {304, 0}}]}, 
    {Hue[0.11564758508797182`], 
     PolygonBox[{{304, 0}, {304, 1.9652687262933393`}, {
       305, 2.0019886968388962`}, {305, 0}}]}, 
    {Hue[0.11722050626240711`], 
     PolygonBox[{{305, 0}, {305, 2.0019886968388962`}, {
       306, 2.0394694196858913`}, {306, 0}}]}, 
    {Hue[0.11886087050797943`], 
     PolygonBox[{{306, 0}, {306, 2.0394694196858913`}, {
       307, 2.07771442837539}, {307, 0}}]}, 
    {Hue[0.12057105907988777`], 
     PolygonBox[{{307, 0}, {307, 2.07771442837539}, {
       308, 2.116724533704401}, {308, 0}}]}, 
    {Hue[0.12235353437171662`], 
     PolygonBox[{{308, 0}, {308, 2.116724533704401}, {
       309, 2.1564973861017296`}, {309, 0}}]}, 
    {Hue[0.1242108362026963], 
     PolygonBox[{{309, 0}, {309, 2.1564973861017296`}, {
       310, 2.197026990107997}, {310, 0}}]}, 
    {Hue[0.12614557676165872`], 
     PolygonBox[{{310, 0}, {310, 2.197026990107997}, {
       311, 2.2383031683401025`}, {311, 0}}]}, 
    {Hue[0.12816043398861424`], 
     PolygonBox[{{311, 0}, {311, 2.2383031683401025`}, {
       312, 2.2803109728691515`}, {312, 0}}]}, 
    {Hue[0.1302581431522373], 
     PolygonBox[{{312, 0}, {312, 2.2803109728691515`}, {
       313, 2.323030042736955}, {313, 0}}]}, 
    {Hue[0.13244148635927475`], 
     PolygonBox[{{313, 0}, {313, 2.323030042736955}, {
       314, 2.3664339074347533`}, {314, 0}}]}, 
    {Hue[0.13471327971098665`], 
     PolygonBox[{{314, 0}, {314, 2.3664339074347533`}, {
       315, 2.4104892376292466`}, {315, 0}}]}, 
    {Hue[0.1370763578035217], 
     PolygonBox[{{315, 0}, {315, 2.4104892376292466`}, {
       316, 2.4551550463096614`}, {316, 0}}]}, 
    {Hue[0.13953355525532402`], 
     PolygonBox[{{316, 0}, {316, 2.4551550463096614`}, {
       317, 2.5003818459101166`}, {317, 0}}]}, 
    {Hue[0.1420876849373924], 
     PolygonBox[{{317, 0}, {317, 2.5003818459101166`}, {
       318, 2.5461107698948164`}, {318, 0}}]}, 
    {Hue[0.1447415125840763], 
     PolygonBox[{{318, 0}, {318, 2.5461107698948164`}, {
       319, 2.592272670829625}, {319, 0}}]}, 
    {Hue[0.14749772747618398`], 
     PolygonBox[{{319, 0}, {319, 2.592272670829625}, {
       320, 2.638787211132612}, {320, 0}}]}, 
    {Hue[0.15035890891807502`], 
     PolygonBox[{{320, 0}, {320, 2.638787211132612}, {
       321, 2.6855619674970246`}, {321, 0}}]}, 
    {Hue[0.15332748828010634`], 
     PolygonBox[{{321, 0}, {321, 2.6855619674970246`}, {
       322, 2.732491575365895}, {322, 0}}]}, 
    {Hue[0.15640570645158214`], 
     PolygonBox[{{322, 0}, {322, 2.732491575365895}, {
       323, 2.779456945698226}, {323, 0}}]}, 
    {Hue[0.15959556665158295`], 
     PolygonBox[{{323, 0}, {323, 2.779456945698226}, {
       324, 2.826324592411627}, {324, 0}}]}, 
    {Hue[0.1628987826798028], 
     PolygonBox[{{324, 0}, {324, 2.826324592411627}, {
       325, 2.872946115024973}, {325, 0}}]}, 
    {Hue[0.16631672286018204`], 
     PolygonBox[{{325, 0}, {325, 2.872946115024973}, {
       326, 2.9191578867508277`}, {326, 0}}]}, 
    {Hue[0.16985035013870134`], 
     PolygonBox[{{326, 0}, {326, 2.9191578867508277`}, {
       327, 2.964781003069798}, {327, 0}}]}, 
    {Hue[0.17350015904316218`], 
     PolygonBox[{{327, 0}, {327, 2.964781003069798}, {
       328, 3.009621549001298}, {328, 0}}]}, 
    {Hue[0.17726611049412686`], 
     PolygonBox[{{328, 0}, {328, 3.009621549001298}, {
       329, 3.053471244104301}, {329, 0}}]}, 
    {Hue[0.1811475657656248], 
     PolygonBox[{{329, 0}, {329, 3.053471244104301}, {
       330, 3.0961085218656996`}, {330, 0}}]}, 
    {Hue[0.18514322122027146`], 
     PolygonBox[{{330, 0}, {330, 3.0961085218656996`}, {
       331, 3.1373000937293956`}, {331, 0}}]}, 
    {Hue[0.1892510457693329], 
     PolygonBox[{{331, 0}, {331, 3.1373000937293956`}, {
       332, 3.176803036845692}, {332, 0}}]}, 
    {Hue[0.193468223311716], 
     PolygonBox[{{332, 0}, {332, 3.176803036845692}, {
       333, 3.2143674281533077`}, {333, 0}}]}, 
    {Hue[0.19779110265946323`], 
     PolygonBox[{{333, 0}, {333, 3.2143674281533077`}, {
       334, 3.249739525478691}, {334, 0}}]}, 
    {Hue[0.20221515762974296`], 
     PolygonBox[{{334, 0}, {334, 3.249739525478691}, {
       335, 3.282665469285343}, {335, 0}}]}, 
    {Hue[0.20673496004147493`], 
     PolygonBox[{{335, 0}, {335, 3.282665469285343}, {
       336, 3.3128954474929615`}, {336, 0}}]}, 
    {Hue[0.21134416826699404`], 
     PolygonBox[{{336, 0}, {336, 3.3128954474929615`}, {
       337, 3.34018823207633}, {337, 0}}]}, 
    {Hue[0.2160355337294295], 
     PolygonBox[{{337, 0}, {337, 3.34018823207633}, {
       338, 3.364315962301607}, {338, 0}}]}, 
    {Hue[0.22080092728876333`], 
     PolygonBox[{{338, 0}, {338, 3.364315962301607}, {
       339, 3.3850690183884122`}, {339, 0}}]}, 
    {Hue[0.2256313868224282], 
     PolygonBox[{{339, 0}, {339, 3.3850690183884122`}, {
       340, 3.4022608043521823`}, {340, 0}}]}, 
    {Hue[0.23051718649662833`], 
     PolygonBox[{{340, 0}, {340, 3.4022608043521823`}, {
       341, 3.4157322430042165`}, {341, 0}}]}, 
    {Hue[0.23544792727923894`], 
     PolygonBox[{{341, 0}, {341, 3.4157322430042165`}, {
       342, 3.425355782320313}, {342, 0}}]}, 
    {Hue[0.2404126472205699], 
     PolygonBox[{{342, 0}, {342, 3.425355782320313}, {
       343, 3.4310387224681915`}, {343, 0}}]}, 
    {Hue[0.2453999489967783], 
     PolygonBox[{{343, 0}, {343, 3.4310387224681915`}, {
       344, 3.4327256972392663`}, {344, 0}}]}, 
    {Hue[0.2503981412539589], 
     PolygonBox[{{344, 0}, {344, 3.4327256972392663`}, {
       345, 3.4304001814542904`}, {345, 0}}]}, 
    {Hue[0.2553953894911681], 
     PolygonBox[{{345, 0}, {345, 3.4304001814542904`}, {
       346, 3.42408494453861}, {346, 0}}]}, 
    {Hue[0.26037987165064547`], 
     PolygonBox[{{346, 0}, {346, 3.42408494453861}, {
       347, 3.413841425995267}, {347, 0}}]}, 
    {Hue[0.265339933297222], 
     PolygonBox[{{347, 0}, {347, 3.413841425995267}, {
       348, 3.3997680661648597`}, {348, 0}}]}, 
    {Hue[0.2702642372940189], 
     PolygonBox[{{348, 0}, {348, 3.3997680661648597`}, {
       349, 3.3819976803972867`}, {349, 0}}]}, 
    {Hue[0.275141903215598], 
     PolygonBox[{{349, 0}, {349, 3.3819976803972867`}, {
       350, 3.3606940118971673`}, {350, 0}}]}, 
    {Hue[0.2799626323505173], 
     PolygonBox[{{350, 0}, {350, 3.3606940118971673`}, {
       351, 3.336047634332354}, {351, 0}}]}, 
    {Hue[0.2847168149752546], 
     PolygonBox[{{351, 0}, {351, 3.336047634332354}, {
       352, 3.308271397486986}, {352, 0}}]}, 
    {Hue[0.2893956175557322], 
     PolygonBox[{{352, 0}, {352, 3.308271397486986}, {
       353, 3.277595617041624}, {353, 0}}]}, 
    {Hue[0.2939910485683929], 
     PolygonBox[{{353, 0}, {353, 3.277595617041624}, {
       354, 3.244263203731856}, {354, 0}}]}, 
    {Hue[0.2984960026492212], 
     PolygonBox[{{354, 0}, {354, 3.244263203731856}, {
       355, 3.208524909683479}, {355, 0}}]}, 
    {Hue[0.3029042837061251], 
     PolygonBox[{{355, 0}, {355, 3.208524909683479}, {
       356, 3.1706348435057907`}, {356, 0}}]}, 
    {Hue[0.3072106084142318], 
     PolygonBox[{{356, 0}, {356, 3.1706348435057907`}, {
       357, 3.130846373999051}, {357, 0}}]}, 
    {Hue[0.31141059212121125`], 
     PolygonBox[{{357, 0}, {357, 3.130846373999051}, {
       358, 3.089408508319218}, {358, 0}}]}, 
    {Hue[0.3155007196069928], 
     PolygonBox[{{358, 0}, {358, 3.089408508319218}, {
       359, 3.046562796990261}, {359, 0}}]}, 
    {Hue[0.31947830337318855`], 
     PolygonBox[{{359, 0}, {359, 3.046562796990261}, {
       360, 3.002540787511276}, {360, 0}}]}, 
    {Hue[0.32334143220009265`], 
     PolygonBox[{{360, 0}, {360, 3.002540787511276}, {
       361, 2.957562022022738}, {361, 0}}]}, 
    {Hue[0.32708891263058115`], 
     PolygonBox[{{361, 0}, {361, 2.957562022022738}, {
       362, 2.9118325534303646`}, {362, 0}}]}, 
    {Hue[0.33072020585269274`], 
     PolygonBox[{{362, 0}, {362, 2.9118325534303646`}, {
       363, 2.8655439387831385`}, {363, 0}}]}, 
    {Hue[0.3342353621891143], 
     PolygonBox[{{363, 0}, {363, 2.8655439387831385`}, {
       364, 2.818872658330337}, {364, 0}}]}, 
    {Hue[0.3376349550930625], 
     PolygonBox[{{364, 0}, {364, 2.818872658330337}, {
       365, 2.7719799029728325`}, {365, 0}}]}, 
    {Hue[0.34092001622279267`], 
     PolygonBox[{{365, 0}, {365, 2.7719799029728325`}, {
       366, 2.7250116710136094`}, {366, 0}}]}, 
    {Hue[0.3440919728425891], 
     PolygonBox[{{366, 0}, {366, 2.7250116710136094`}, {
       367, 2.6780991163624273`}, {367, 0}}]}, 
    {Hue[0.347152588492495], 
     PolygonBox[{{367, 0}, {367, 2.6780991163624273`}, {
       368, 2.631359093835423}, {368, 0}}]}, 
    {Hue[0.350103907592898], 
     PolygonBox[{{368, 0}, {368, 2.631359093835423}, {
       369, 2.5848948521639556`}, {369, 0}}]}, 
    {Hue[0.35294820440955343`], 
     PolygonBox[{{369, 0}, {369, 2.5848948521639556`}, {
       370, 2.5387968311511697`}, {370, 0}}]}, 
    {Hue[0.3556879366021415], 
     PolygonBox[{{370, 0}, {370, 2.5387968311511697`}, {
       371, 2.4931435255784855`}, {371, 0}}]}, 
    {Hue[0.35832570341470105`], 
     PolygonBox[{{371, 0}, {371, 2.4931435255784855`}, {
       372, 2.448002384580521}, {372, 0}}]}, 
    {Hue[0.3608642084369533], 
     PolygonBox[{{372, 0}, {372, 2.448002384580521}, {
       373, 2.4034307210025285`}, {373, 0}}]}, 
    {Hue[0.36330622676812385`], 
     PolygonBox[{{373, 0}, {373, 2.4034307210025285`}, {
       374, 2.359476610552536}, {374, 0}}]}, 
    {Hue[0.36565457634521703`], 
     PolygonBox[{{374, 0}, {374, 2.359476610552536}, {
       375, 2.316179765262361}, {375, 0}}]}, 
    {Hue[0.3679120931514359], 
     PolygonBox[{{375, 0}, {375, 2.316179765262361}, {
       376, 2.273572369839035}, {376, 0}}]}, 
    {Hue[0.3700816099933188], 
     PolygonBox[{{376, 0}, {376, 2.273572369839035}, {
       377, 2.231679872925511}, {377, 0}}]}, 
    {Hue[0.3721659385232465], 
     PolygonBox[{{377, 0}, {377, 2.231679872925511}, {
       378, 2.190521728131045}, {378, 0}}]}, 
    {Hue[0.37416785418376197`], 
     PolygonBox[{{378, 0}, {378, 2.190521728131045}, {
       379, 2.1501120819896125`}, {379, 0}}]}, 
    {Hue[0.376090083758622], 
     PolygonBox[{{379, 0}, {379, 2.1501120819896125`}, {
       380, 2.1104604078209155`}, {380, 0}}]}, 
    {Hue[0.37793529523013486`], 
     PolygonBox[{{380, 0}, {380, 2.1104604078209155`}, {
       381, 2.071572085867996}, {381, 0}}]}, 
    {Hue[0.3797060896610835], 
     PolygonBox[{{381, 0}, {381, 2.071572085867996}, {
       382, 2.033448931131864}, {382, 0}}]}, 
    {Hue[0.3814049948407324], 
     PolygonBox[{{382, 0}, {382, 2.033448931131864}, {
       383, 1.9960896710767544`}, {383, 0}}]}, 
    {Hue[0.3830344604568081], 
     PolygonBox[{{383, 0}, {383, 1.9960896710767544`}, {
       384, 1.9594903758936122`}, {384, 0}}]}, 
    {Hue[0.3845968545779678], 
     PolygonBox[{{384, 0}, {384, 1.9594903758936122`}, {
       385, 1.9236448443319585`}, {385, 0}}]}, 
    {Hue[0.38609446125342217`], 
     PolygonBox[{{385, 0}, {385, 1.9236448443319585`}, {
       386, 1.8885449482823395`}, {386, 0}}]}, 
    {Hue[0.38752947905757806`], 
     PolygonBox[{{386, 0}, {386, 1.8885449482823395`}, {
       387, 1.8541809393479631`}, {387, 0}}]}, 
    {Hue[0.3889040204274842], 
     PolygonBox[{{387, 0}, {387, 1.8541809393479631`}, {
       388, 1.8205417206136092`}, {388, 0}}]}, 
    {Hue[0.3902201116593114], 
     PolygonBox[{{388, 0}, {388, 1.8205417206136092`}, {
       389, 1.7876150867261265`}, {389, 0}}]}, 
    {Hue[0.39147969344698613`], 
     PolygonBox[{{389, 0}, {389, 1.7876150867261265`}, {
       390, 1.755387935262753}, {390, 0}}]}, 
    {Hue[0.3926846218613914], 
     PolygonBox[{{390, 0}, {390, 1.755387935262753}, {
       391, 1.723846452196215}, {391, 0}}]}, 
    {Hue[0.39383666968230274`], 
     PolygonBox[{{391, 0}, {391, 1.723846452196215}, {
       392, 1.6929762740807974`}, {392, 0}}]}, 
    {Hue[0.39493752800747994`], 
     PolygonBox[{{392, 0}, {392, 1.6929762740807974`}, {
       393, 1.6627626293903885`}, {393, 0}}]}, 
    {Hue[0.395988808074207], 
     PolygonBox[{{393, 0}, {393, 1.6627626293903885`}, {
       394, 1.6331904612445762`}, {394, 0}}]}, 
    {Hue[0.39699204323813875`], 
     PolygonBox[{{394, 0}, {394, 1.6331904612445762`}, {
       395, 1.604244533567282}, {395, 0}}]}, 
    {Hue[0.397948691062706], 
     PolygonBox[{{395, 0}, {395, 1.604244533567282}, {
       396, 1.5759095225375437`}, {396, 0}}]}, 
    {Hue[0.39886013547964455`], 
     PolygonBox[{{396, 0}, {396, 1.5759095225375437`}, {
       397, 1.5481700950163886`}, {397, 0}}]}, 
    {Hue[0.3997276889875718], 
     PolygonBox[{{397, 0}, {397, 1.5481700950163886`}, {
       398, 1.5210109754687136`}, {398, 0}}]}, 
    {Hue[0.40055259486102296`], 
     PolygonBox[{{398, 0}, {398, 1.5210109754687136`}, {
       399, 1.4944170027455148`}, {399, 0}}]}, 
    {Hue[0.4013360293470951], 
     PolygonBox[{{399, 0}, {399, 1.4944170027455148`}, {
       400, 1.4683731779501288`}, {400, 0}}]}, 
    {Hue[0.40207910383090145`], 
     PolygonBox[{{400, 0}, {400, 1.4683731779501288`}, {
       401, 1.4428647044820953`}, {401, 0}}]}, 
    {Hue[0.4027828669545046], 
     PolygonBox[{{401, 0}, {401, 1.4428647044820953`}, {
       402, 1.417877021233777}, {402, 0}}]}, 
    {Hue[0.4034483066769441], 
     PolygonBox[{{402, 0}, {402, 1.417877021233777}, {
       403, 1.393395829807239}, {403, 0}}]}, 
    {Hue[0.40407635226547134`], 
     PolygonBox[{{403, 0}, {403, 1.393395829807239}, {
       404, 1.3694071165216868`}, {404, 0}}]}, 
    {Hue[0.4046678762102058], 
     PolygonBox[{{404, 0}, {404, 1.3694071165216868`}, {
       405, 1.3458971698941324`}, {405, 0}}]}, 
    {Hue[0.4052236960561905], 
     PolygonBox[{{405, 0}, {405, 1.3458971698941324`}, {
       406, 1.3228525941973395`}, {406, 0}}]}, 
    {Hue[0.4057445761482957], 
     PolygonBox[{{406, 0}, {406, 1.3228525941973395`}, {
       407, 1.3002603196286688`}, {407, 0}}]}, 
    {Hue[0.40623122928563093`], 
     PolygonBox[{{407, 0}, {407, 1.3002603196286688`}, {
       408, 1.2781076095605344`}, {408, 0}}]}, 
    {Hue[0.40668431828313056`], 
     PolygonBox[{{408, 0}, {408, 1.2781076095605344`}, {
       409, 1.2563820652871136`}, {409, 0}}]}, 
    {Hue[0.407104457438783], 
     PolygonBox[{{409, 0}, {409, 1.2563820652871136`}, {
       410, 1.2350716286320806`}, {410, 0}}]}, 
    {Hue[0.4074922139056299], 
     PolygonBox[{{410, 0}, {410, 1.2350716286320806`}, {
       411, 1.2141645827378191`}, {411, 0}}]}, 
    {Hue[0.4078481089681751], 
     PolygonBox[{{411, 0}, {411, 1.2141645827378191`}, {
       412, 1.1936495513173204`}, {412, 0}}]}, 
    {Hue[0.4081726192232428], 
     PolygonBox[{{412, 0}, {412, 1.1936495513173204`}, {
       413, 1.1735154966151806`}, {413, 0}}]}, 
    {Hue[0.4084661776656265], 
     PolygonBox[{{413, 0}, {413, 1.1735154966151806`}, {
       414, 1.1537517162933963`}, {414, 0}}]}, 
    {Hue[0.4087291746790843], 
     PolygonBox[{{414, 0}, {414, 1.1537517162933963`}, {
       415, 1.1343478394305064`}, {415, 0}}]}, 
    {Hue[0.4089619589333858], 
     PolygonBox[{{415, 0}, {415, 1.1343478394305064`}, {
       416, 1.1152938217987116`}, {416, 0}}]}, 
    {Hue[0.40916483818820265`], 
     PolygonBox[{{416, 0}, {416, 1.1152938217987116`}, {
       417, 1.096579940562533}, {417, 0}}]}, 
    {Hue[0.40933808000466976`], 
     PolygonBox[{{417, 0}, {417, 1.096579940562533}, {
       418, 1.0781967885240331`}, {418, 0}}]}, 
    {Hue[0.4094819123654433], 
     PolygonBox[{{418, 0}, {418, 1.0781967885240331`}, {
       419, 1.0601352680233638`}, {419, 0}}]}, 
    {Hue[0.4095965242040422], 
     PolygonBox[{{419, 0}, {419, 1.0601352680233638`}, {
       420, 1.0423865845891145`}, {420, 0}}]}, 
    {Hue[0.40968206584419165`], 
     PolygonBox[{{420, 0}, {420, 1.0423865845891145`}, {
       421, 1.024942240420442}, {421, 0}}]}, 
    {Hue[0.40973864934980114`], 
     PolygonBox[{{421, 0}, {421, 1.024942240420442}, {
       422, 1.0077940277720325`}, {422, 0}}]}, 
    {Hue[0.40976634878610024`], 
     PolygonBox[{{422, 0}, {422, 1.0077940277720325`}, {
       423, 0.9909340223033906}, {423, 0}}]}, 
    {Hue[0.4097652003923342], 
     PolygonBox[{{423, 0}, {423, 0.9909340223033906}, {
       424, 0.9743545764456529}, {424, 0}}]}, 
    {Hue[0.4097352026662924], 
     PolygonBox[{{424, 0}, {424, 0.9743545764456529}, {
       425, 0.9580483128318883}, {425, 0}}]}, 
    {Hue[0.40967631636080426`], 
     PolygonBox[{{425, 0}, {425, 0.9580483128318883}, {
       426, 0.942008117830584}, {426, 0}}]}, 
    {Hue[0.40958846439219654`], 
     PolygonBox[{{426, 0}, {426, 0.942008117830584}, {
       427, 0.9262271352166024}, {427, 0}}]}, 
    {Hue[0.40947153166056616`], 
     PolygonBox[{{427, 0}, {427, 0.9262271352166024}, {
       428, 0.9106987600092366}, {428, 0}}]}, 
    {Hue[0.4093253647815867], 
     PolygonBox[{{428, 0}, {428, 0.9106987600092366}, {
       429, 0.8954166325029831}, {429, 0}}]}, 
    {Hue[0.40914977172943473`], 
     PolygonBox[{{429, 0}, {429, 0.8954166325029831}, {
       430, 0.8803746325132586}, {430, 0}}]}, 
    {Hue[0.4089445213903031], 
     PolygonBox[{{430, 0}, {430, 0.8803746325132586}, {
       431, 0.86556687385638}, {431, 0}}]}, 
    {Hue[0.4087093430258638], 
     PolygonBox[{{431, 0}, {431, 0.86556687385638}, {
       432, 0.8509876990807144}, {432, 0}}]}, 
    {Hue[0.4084439256459527], 
     PolygonBox[{{432, 0}, {432, 0.8509876990807144}, {
       433, 0.8366316744638809}, {433, 0}}]}, 
    {Hue[0.40814791728968575`], 
     PolygonBox[{{433, 0}, {433, 0.8366316744638809}, {
       434, 0.8224935852892225}, {434, 0}}]}, 
    {Hue[0.407820924214181], 
     PolygonBox[{{434, 0}, {434, 0.8224935852892225}, {
       435, 0.8085684314134383}, {435, 0}}]}, 
    {Hue[0.4074625099900583], 
     PolygonBox[{{435, 0}, {435, 0.8085684314134383}, {
       436, 0.7948514231362066}, {436, 0}}]}, 
    {Hue[0.4070721945029304], 
     PolygonBox[{{436, 0}, {436, 0.7948514231362066}, {
       437, 0.7813379773818258}, {437, 0}}]}, 
    {Hue[0.40664945286019105`], 
     PolygonBox[{{437, 0}, {437, 0.7813379773818258}, {
       438, 0.768023714202326}, {438, 0}}]}, 
    {Hue[0.4061937142025564], 
     PolygonBox[{{438, 0}, {438, 0.768023714202326}, {
       439, 0.7549044536111109}, {439, 0}}]}, 
    {Hue[0.4057043604200406], 
     PolygonBox[{{439, 0}, {439, 0.7549044536111109}, {
       440, 0.7419762127559871}, {440, 0}}]}, 
    {Hue[0.40518072477235473`], 
     PolygonBox[{{440, 0}, {440, 0.7419762127559871}, {
       441, 0.7292352034403645}, {441, 0}}]}, 
    {Hue[0.404622090414123], 
     PolygonBox[{{441, 0}, {441, 0.7292352034403645}, {
       442, 0.7166778300014834}, {442, 0}}]}, 
    {Hue[0.4040276888258407], 
     PolygonBox[{{442, 0}, {442, 0.7166778300014834}, {
       443, 0.7043006875546974}, {443, 0}}]}, 
    {Hue[0.4033966981521577], 
     PolygonBox[{{443, 0}, {443, 0.7043006875546974}, {
       444, 0.6921005606130929}, {444, 0}}]}, 
    {Hue[0.4027282414498977], 
     PolygonBox[{{444, 0}, {444, 0.6921005606130929}, {
       445, 0.6800744220920681}, {445, 0}}]}, 
    {Hue[0.4020213848492414], 
     PolygonBox[{{445, 0}, {445, 0.6800744220920681}, {
       446, 0.6682194327088531}, {446, 0}}]}, 
    {Hue[0.4012751356327288], 
     PolygonBox[{{446, 0}, {446, 0.6682194327088531}, {
       447, 0.6565329407873504}, {447, 0}}]}, 
    {Hue[0.4004884402382371], 
     PolygonBox[{{447, 0}, {447, 0.6565329407873504}, {
       448, 0.6450124824790696}, {448, 0}}]}, 
    {Hue[0.39966018219386795`], 
     PolygonBox[{{448, 0}, {448, 0.6450124824790696}, {
       449, 0.6336557824112738}, {449, 0}}]}, 
    {Hue[0.39878917999482116`], 
     PolygonBox[{{449, 0}, {449, 0.6336557824112738}, {
       450, 0.6224607547737513}, {450, 0}}]}, 
    {Hue[0.3978741849348522], 
     PolygonBox[{{450, 0}, {450, 0.6224607547737513}, {
       451, 0.6114255048557959}, {451, 0}}]}, 
    {Hue[0.3969138789079031], 
     PolygonBox[{{451, 0}, {451, 0.6114255048557959}, {
       452, 0.6005483310450171}, {452, 0}}]}, 
    {Hue[0.39590687219900317`], 
     PolygonBox[{{452, 0}, {452, 0.6005483310450171}, {
       453, 0.5898277272994114}, {453, 0}}]}, 
    {Hue[0.39485170128764496`], 
     PolygonBox[{{453, 0}, {453, 0.5898277272994114}, {
       454, 0.5792623861036877}, {454, 0}}]}, 
    {Hue[0.39374682669162797`], 
     PolygonBox[{{454, 0}, {454, 0.5792623861036877}, {
       455, 0.5688512019200538}, {455, 0}}]}, 
    {Hue[0.3925906308849229], 
     PolygonBox[{{455, 0}, {455, 0.5688512019200538}, {
       456, 0.5585932751424517}, {456, 0}}]}, 
    {Hue[0.3913814163295345], 
     PolygonBox[{{456, 0}, {456, 0.5585932751424517}, {
       457, 0.5484879165615011}, {457, 0}}]}, 
    {Hue[0.39011740366874104`], 
     PolygonBox[{{457, 0}, {457, 0.5484879165615011}, {
       458, 0.5385346523450261}, {458, 0}}]}, 
    {Hue[0.38879673013756644`], 
     PolygonBox[{{458, 0}, {458, 0.5385346523450261}, {
       459, 0.5287332295358853}, {459, 0}}]}, 
    {Hue[0.387417448256012], 
     PolygonBox[{{459, 0}, {459, 0.5287332295358853}, {
       460, 0.5190836220647482}, {460, 0}}]}, 
    {Hue[0.3859775248815478], 
     PolygonBox[{{460, 0}, {460, 0.5190836220647482}, {
       461, 0.5095860372702581}, {461, 0}}]}, 
    {Hue[0.384474840709739], 
     PolygonBox[{{461, 0}, {461, 0.5095860372702581}, {
       462, 0.5002409229125371}, {462, 0}}]}, 
    {Hue[0.38290719032574927`], 
     PolygonBox[{{462, 0}, {462, 0.5002409229125371}, {
       463, 0.4910489746579478}, {463, 0}}]}, 
    {Hue[0.38127228292489324`], 
     PolygonBox[{{463, 0}, {463, 0.4910489746579478}, {
       464, 0.4820111440032227}, {464, 0}}]}, 
    {Hue[0.3795677438374164], 
     PolygonBox[{{464, 0}, {464, 0.4820111440032227}, {
       465, 0.4731286465952039}, {465, 0}}]}, 
    {Hue[0.37779111701125395`], 
     PolygonBox[{{465, 0}, {465, 0.4731286465952039}, {
       466, 0.464402970888225}, {466, 0}}]}, 
    {Hue[0.37593986862654816`], 
     PolygonBox[{{466, 0}, {466, 0.464402970888225}, {
       467, 0.45583588706429706`}, {467, 0}}]}, 
    {Hue[0.3740113920369912], 
     PolygonBox[{{467, 0}, {467, 0.45583588706429706`}, {
       468, 0.44742945612142665`}, {468, 0}}]}, 
    {Hue[0.3720030142552727], 
     PolygonBox[{{468, 0}, {468, 0.44742945612142665`}, {
       469, 0.4391860390122796}, {469, 0}}]}, 
    {Hue[0.36991200422254394`], 
     PolygonBox[{{469, 0}, {469, 0.4391860390122796}, {
       470, 0.4311083056887368}, {470, 0}}]}, 
    {Hue[0.36773558312414495`], 
     PolygonBox[{{470, 0}, {470, 0.4311083056887368}, {
       471, 0.4231992438774413}, {471, 0}}]}, 
    {Hue[0.36547093703490113`], 
     PolygonBox[{{471, 0}, {471, 0.4231992438774413}, {
       472, 0.4154621673770617}, {472, 0}}]}, 
    {Hue[0.36311523219577185`], 
     PolygonBox[{{472, 0}, {472, 0.4154621673770617}, {
       473, 0.4079007236296938}, {473, 0}}]}, 
    {Hue[0.3606656332378639], 
     PolygonBox[{{473, 0}, {473, 0.4079007236296938}, {
       474, 0.40051890027675924`}, {474, 0}}]}, 
    {Hue[0.35811932467770713`], 
     PolygonBox[{{474, 0}, {474, 0.40051890027675924`}, {
       475, 0.3933210303643579}, {475, 0}}]}, 
    {Hue[0.35547353600665976`], 
     PolygonBox[{{475, 0}, {475, 0.3933210303643579}, {
       476, 0.38631179581506153`}, {476, 0}}]}, 
    {Hue[0.3527255706843197], 
     PolygonBox[{{476, 0}, {476, 0.38631179581506153`}, {
       477, 0.3794962287337359}, {477, 0}}]}, 
    {Hue[0.3498728393173212], 
     PolygonBox[{{477, 0}, {477, 0.3794962287337359}, {
       478, 0.37287971006586274`}, {478, 0}}]}, 
    {Hue[0.34691289725692975`], 
     PolygonBox[{{478, 0}, {478, 0.37287971006586274`}, {
       479, 0.3664679650802437}, {479, 0}}]}, 
    {Hue[0.3438434867771454], 
     PolygonBox[{{479, 0}, {479, 0.3664679650802437}, {
       480, 0.36026705510689433`}, {480, 0}}]}, 
    {Hue[0.3406625838952227], 
     PolygonBox[{{480, 0}, {480, 0.36026705510689433`}, {
       481, 0.3542833649290702}, {481, 0}}]}, 
    {Hue[0.33736844976448443`], 
     PolygonBox[{{481, 0}, {481, 0.3542833649290702}, {
       482, 0.3485235852101875}, {482, 0}}]}, 
    {Hue[0.33395968640160834`], 
     PolygonBox[{{482, 0}, {482, 0.3485235852101875}, {
       483, 0.34299468933708455`}, {483, 0}}]}, 
    {Hue[0.33043529630503315`], 
     PolygonBox[{{483, 0}, {483, 0.34299468933708455`}, {
       484, 0.33770390408638284`}, {484, 0}}]}, 
    {Hue[0.3267947452776275], 
     PolygonBox[{{484, 0}, {484, 0.33770390408638284`}, {
       485, 0.3326586735767155}, {485, 0}}]}, 
    {Hue[0.32303802748799726`], 
     PolygonBox[{{485, 0}, {485, 0.3326586735767155}, {
       486, 0.3278666160622932}, {486, 0}}]}, 
    {Hue[0.3191657314972594], 
     PolygonBox[{{486, 0}, {486, 0.3278666160622932}, {
       487, 0.32333547325799183`}, {487, 0}}]}, 
    {Hue[0.3151791056528484], 
     PolygonBox[{{487, 0}, {487, 0.32333547325799183`}, {
       488, 0.3190730520668612}, {488, 0}}]}, 
    {Hue[0.31108012092428083`], 
     PolygonBox[{{488, 0}, {488, 0.3190730520668612}, {
       489, 0.3150871588093671}, {489, 0}}]}, 
    {Hue[0.30687152894962566`], 
     PolygonBox[{{489, 0}, {489, 0.3150871588093671}, {
       490, 0.31138552632838806`}, {490, 0}}]}, 
    {Hue[0.30255691280275177`], 
     PolygonBox[{{490, 0}, {490, 0.31138552632838806`}, {
       491, 0.307975734659485}, {491, 0}}]}, 
    {Hue[0.2981407278113426], 
     PolygonBox[{{491, 0}, {491, 0.307975734659485}, {
       492, 0.3048651263019561}, {492, 0}}]}, 
    {Hue[0.2936283296872143], 
     PolygonBox[{{492, 0}, {492, 0.3048651263019561}, {
       493, 0.302060717487196}, {493, 0}}]}, 
    {Hue[0.289025987305539], 
     PolygonBox[{{493, 0}, {493, 0.302060717487196}, {
       494, 0.29956910719634466`}, {494, 0}}]}, 
    {Hue[0.2843408777148538], 
     PolygonBox[{{494, 0}, {494, 0.29956910719634466`}, {
       495, 0.29739638600431884`}, {495, 0}}]}, 
    {Hue[0.2795810613922095], 
     PolygonBox[{{495, 0}, {495, 0.29739638600431884`}, {
       496, 0.29554804709457116`}, {496, 0}}]}, 
    {Hue[0.27475543638019395`], 
     PolygonBox[{{496, 0}, {496, 0.29554804709457116`}, {
       497, 0.29402890197049397`}, {497, 0}}]}, 
    {Hue[0.2698736707395825], 
     PolygonBox[{{497, 0}, {497, 0.29402890197049397`}, {
       498, 0.2928430034600401}, {498, 0}}]}, 
    {Hue[0.26494611368772064`], 
     PolygonBox[{{498, 0}, {498, 0.2928430034600401}, {
       499, 0.29199357855050057`}, {499, 0}}]}, 
    {Hue[0.2599836868134734], 
     PolygonBox[{{499, 0}, {499, 0.29199357855050057`}, {
       500, 0.29148297338996004`}, {500, 0}}]}, 
    {Hue[0.25499775779345224`], 
     PolygonBox[{{500, 0}, {500, 0.29148297338996004`}, {
       501, 0.2913126124515909}, {501, 0}}]}, 
    {Hue[0.24999999999999997`], 
     PolygonBox[{{501, 0}, {501, 0.2913126124515909}, {
       502, 0.29148297338996004`}, {502, 0}}]}, 
    {Hue[0.24500224220654768`], 
     PolygonBox[{{502, 0}, {502, 0.29148297338996004`}, {
       503, 0.2919935785505006}, {503, 0}}]}, 
    {Hue[0.24001631318652655`], 
     PolygonBox[{{503, 0}, {503, 0.2919935785505006}, {
       504, 0.2928430034600401}, {504, 0}}]}, 
    {Hue[0.23505388631227925`], 
     PolygonBox[{{504, 0}, {504, 0.2928430034600401}, {
       505, 0.29402890197049397`}, {505, 0}}]}, 
    {Hue[0.23012632926041737`], 
     PolygonBox[{{505, 0}, {505, 0.29402890197049397`}, {
       506, 0.29554804709457116`}, {506, 0}}]}, 
    {Hue[0.225244563619806], 
     PolygonBox[{{506, 0}, {506, 0.29554804709457116`}, {
       507, 0.29739638600431884`}, {507, 0}}]}, 
    {Hue[0.22041893860779038`], 
     PolygonBox[{{507, 0}, {507, 0.29739638600431884`}, {
       508, 0.2995691071963448}, {508, 0}}]}, 
    {Hue[0.2156591222851461], 
     PolygonBox[{{508, 0}, {508, 0.2995691071963448}, {
       509, 0.30206071748719604`}, {509, 0}}]}, 
    {Hue[0.2109740126944609], 
     PolygonBox[{{509, 0}, {509, 0.30206071748719604`}, {
       510, 0.30486512630195617`}, {510, 0}}]}, 
    {Hue[0.2063716703127856], 
     PolygonBox[{{510, 0}, {510, 0.30486512630195617`}, {
       511, 0.3079757346594851}, {511, 0}}]}, 
    {Hue[0.2018592721886573], 
     PolygonBox[{{511, 0}, {511, 0.3079757346594851}, {
       512, 0.3113855263283881}, {512, 0}}]}, 
    {Hue[0.19744308719724815`], 
     PolygonBox[{{512, 0}, {512, 0.3113855263283881}, {
       513, 0.3150871588093672}, {513, 0}}]}, 
    {Hue[0.19312847105037426`], 
     PolygonBox[{{513, 0}, {513, 0.3150871588093672}, {
       514, 0.31907305206686126`}, {514, 0}}]}, 
    {Hue[0.18891987907571905`], 
     PolygonBox[{{514, 0}, {514, 0.31907305206686126`}, {
       515, 0.3233354732579919}, {515, 0}}]}, 
    {Hue[0.18482089434715152`], 
     PolygonBox[{{515, 0}, {515, 0.3233354732579919}, {
       516, 0.32786661606229334`}, {516, 0}}]}, 
    {Hue[0.18083426850274054`], 
     PolygonBox[{{516, 0}, {516, 0.32786661606229334`}, {
       517, 0.3326586735767156}, {517, 0}}]}, 
    {Hue[0.17696197251200269`], 
     PolygonBox[{{517, 0}, {517, 0.3326586735767156}, {
       518, 0.3377039040863829}, {518, 0}}]}, 
    {Hue[0.1732052547223725], 
     PolygonBox[{{518, 0}, {518, 0.3377039040863829}, {
       519, 0.3429946893370846}, {519, 0}}]}, 
    {Hue[0.16956470369496676`], 
     PolygonBox[{{519, 0}, {519, 0.3429946893370846}, {
       520, 0.3485235852101876}, {520, 0}}]}, 
    {Hue[0.1660403135983916], 
     PolygonBox[{{520, 0}, {520, 0.3485235852101876}, {
       521, 0.35428336492907037`}, {521, 0}}]}, 
    {Hue[0.16263155023551548`], 
     PolygonBox[{{521, 0}, {521, 0.35428336492907037`}, {
       522, 0.36026705510689444`}, {522, 0}}]}, 
    {Hue[0.15933741610477728`], 
     PolygonBox[{{522, 0}, {522, 0.36026705510689444`}, {
       523, 0.36646796508024376`}, {523, 0}}]}, 
    {Hue[0.15615651322285456`], 
     PolygonBox[{{523, 0}, {523, 0.36646796508024376`}, {
       524, 0.37287971006586285`}, {524, 0}}]}, 
    {Hue[0.1530871027430702], 
     PolygonBox[{{524, 0}, {524, 0.37287971006586285`}, {
       525, 0.379496228733736}, {525, 0}}]}, 
    {Hue[0.1501271606826787], 
     PolygonBox[{{525, 0}, {525, 0.379496228733736}, {
       526, 0.3863117958150617}, {526, 0}}]}, 
    {Hue[0.14727442931568022`], 
     PolygonBox[{{526, 0}, {526, 0.3863117958150617}, {
       527, 0.39332103036435817`}, {527, 0}}]}, 
    {Hue[0.14452646399334018`], 
     PolygonBox[{{527, 0}, {527, 0.39332103036435817`}, {
       528, 0.40051890027675935`}, {528, 0}}]}, 
    {Hue[0.14188067532229282`], 
     PolygonBox[{{528, 0}, {528, 0.40051890027675935`}, {
       529, 0.407900723629694}, {529, 0}}]}, 
    {Hue[0.1393343667621361], 
     PolygonBox[{{529, 0}, {529, 0.407900723629694}, {
       530, 0.4154621673770619}, {530, 0}}]}, 
    {Hue[0.13688476780422815`], 
     PolygonBox[{{530, 0}, {530, 0.4154621673770619}, {
       531, 0.4231992438774415}, {531, 0}}]}, 
    {Hue[0.13452906296509884`], 
     PolygonBox[{{531, 0}, {531, 0.4231992438774415}, {
       532, 0.431108305688737}, {532, 0}}]}, 
    {Hue[0.13226441687585502`], 
     PolygonBox[{{532, 0}, {532, 0.431108305688737}, {
       533, 0.43918603901227965`}, {533, 0}}]}, 
    {Hue[0.13008799577745603`], 
     PolygonBox[{{533, 0}, {533, 0.43918603901227965`}, {
       534, 0.44742945612142676`}, {534, 0}}]}, 
    {Hue[0.12799698574472723`], 
     PolygonBox[{{534, 0}, {534, 0.44742945612142676`}, {
       535, 0.4558358870642973}, {535, 0}}]}, 
    {Hue[0.12598860796300881`], 
     PolygonBox[{{535, 0}, {535, 0.4558358870642973}, {
       536, 0.46440297088822524`}, {536, 0}}]}, 
    {Hue[0.12406013137345184`], 
     PolygonBox[{{536, 0}, {536, 0.46440297088822524`}, {
       537, 0.47312864659520415`}, {537, 0}}]}, 
    {Hue[0.12220888298874599`], 
     PolygonBox[{{537, 0}, {537, 0.47312864659520415`}, {
       538, 0.482011144003223}, {538, 0}}]}, 
    {Hue[0.12043225616258356`], 
     PolygonBox[{{538, 0}, {538, 0.482011144003223}, {
       539, 0.491048974657948}, {539, 0}}]}, 
    {Hue[0.11872771707510672`], 
     PolygonBox[{{539, 0}, {539, 0.491048974657948}, {
       540, 0.5002409229125373}, {540, 0}}]}, 
    {Hue[0.11709280967425072`], 
     PolygonBox[{{540, 0}, {540, 0.5002409229125373}, {
       541, 0.5095860372702582}, {541, 0}}]}, 
    {Hue[0.11552515929026098`], 
     PolygonBox[{{541, 0}, {541, 0.5095860372702582}, {
       542, 0.5190836220647483}, {542, 0}}]}, 
    {Hue[0.11402247511845215`], 
     PolygonBox[{{542, 0}, {542, 0.5190836220647483}, {
       543, 0.5287332295358855}, {543, 0}}]}, 
    {Hue[0.112582551743988], 
     PolygonBox[{{543, 0}, {543, 0.5287332295358855}, {
       544, 0.5385346523450264}, {544, 0}}]}, 
    {Hue[0.11120326986243353`], 
     PolygonBox[{{544, 0}, {544, 0.5385346523450264}, {
       545, 0.5484879165615015}, {545, 0}}]}, 
    {Hue[0.10988259633125892`], 
     PolygonBox[{{545, 0}, {545, 0.5484879165615015}, {
       546, 0.5585932751424518}, {546, 0}}]}, 
    {Hue[0.10861858367046551`], 
     PolygonBox[{{546, 0}, {546, 0.5585932751424518}, {
       547, 0.568851201920054}, {547, 0}}]}, 
    {Hue[0.10740936911507709`], 
     PolygonBox[{{547, 0}, {547, 0.568851201920054}, {
       548, 0.5792623861036881}, {548, 0}}]}, 
    {Hue[0.10625317330837199`], 
     PolygonBox[{{548, 0}, {548, 0.5792623861036881}, {
       549, 0.5898277272994116}, {549, 0}}]}, 
    {Hue[0.10514829871235504`], 
     PolygonBox[{{549, 0}, {549, 0.5898277272994116}, {
       550, 0.6005483310450175}, {550, 0}}]}, 
    {Hue[0.10409312780099685`], 
     PolygonBox[{{550, 0}, {550, 0.6005483310450175}, {
       551, 0.611425504855796}, {551, 0}}]}, 
    {Hue[0.10308612109209694`], 
     PolygonBox[{{551, 0}, {551, 0.611425504855796}, {
       552, 0.6224607547737515}, {552, 0}}]}, 
    {Hue[0.1021258150651478], 
     PolygonBox[{{552, 0}, {552, 0.6224607547737515}, {
       553, 0.6336557824112743}, {553, 0}}]}, 
    {Hue[0.10121082000517885`], 
     PolygonBox[{{553, 0}, {553, 0.6336557824112743}, {
       554, 0.6450124824790698}, {554, 0}}]}, 
    {Hue[0.10033981780613206`], 
     PolygonBox[{{554, 0}, {554, 0.6450124824790698}, {
       555, 0.6565329407873508}, {555, 0}}]}, 
    {Hue[0.09951155976176293], 
     PolygonBox[{{555, 0}, {555, 0.6565329407873508}, {
       556, 0.6682194327088534}, {556, 0}}]}, 
    {Hue[0.09872486436727117], 
     PolygonBox[{{556, 0}, {556, 0.6682194327088534}, {
       557, 0.6800744220920683}, {557, 0}}]}, 
    {Hue[0.09797861515075866], 
     PolygonBox[{{557, 0}, {557, 0.6800744220920683}, {
       558, 0.692100560613093}, {558, 0}}]}, 
    {Hue[0.09727175855010227], 
     PolygonBox[{{558, 0}, {558, 0.692100560613093}, {
       559, 0.7043006875546977}, {559, 0}}]}, 
    {Hue[0.09660330184784235], 
     PolygonBox[{{559, 0}, {559, 0.7043006875546977}, {
       560, 0.7166778300014839}, {560, 0}}]}, 
    {Hue[0.09597231117415926], 
     PolygonBox[{{560, 0}, {560, 0.7166778300014839}, {
       561, 0.7292352034403647}, {561, 0}}]}, 
    {Hue[0.09537790958587702], 
     PolygonBox[{{561, 0}, {561, 0.7292352034403647}, {
       562, 0.7419762127559874}, {562, 0}}]}, 
    {Hue[0.09481927522764533], 
     PolygonBox[{{562, 0}, {562, 0.7419762127559874}, {
       563, 0.754904453611111}, {563, 0}}]}, 
    {Hue[0.09429563957995939], 
     PolygonBox[{{563, 0}, {563, 0.754904453611111}, {
       564, 0.7680237142023262}, {564, 0}}]}, 
    {Hue[0.09380628579744363], 
     PolygonBox[{{564, 0}, {564, 0.7680237142023262}, {
       565, 0.7813379773818261}, {565, 0}}]}, 
    {Hue[0.0933505471398089], 
     PolygonBox[{{565, 0}, {565, 0.7813379773818261}, {
       566, 0.7948514231362068}, {566, 0}}]}, 
    {Hue[0.09292780549706957], 
     PolygonBox[{{566, 0}, {566, 0.7948514231362068}, {
       567, 0.8085684314134386}, {567, 0}}]}, 
    {Hue[0.09253749000994174], 
     PolygonBox[{{567, 0}, {567, 0.8085684314134386}, {
       568, 0.8224935852892226}, {568, 0}}]}, 
    {Hue[0.09217907578581903], 
     PolygonBox[{{568, 0}, {568, 0.8224935852892226}, {
       569, 0.8366316744638811}, {569, 0}}]}, 
    {Hue[0.09185208271031424], 
     PolygonBox[{{569, 0}, {569, 0.8366316744638811}, {
       570, 0.8509876990807146}, {570, 0}}]}, 
    {Hue[0.09155607435404726], 
     PolygonBox[{{570, 0}, {570, 0.8509876990807146}, {
       571, 0.8655668738563801}, {571, 0}}]}, 
    {Hue[0.09129065697413616], 
     PolygonBox[{{571, 0}, {571, 0.8655668738563801}, {
       572, 0.880374632513259}, {572, 0}}]}, 
    {Hue[0.09105547860969693], 
     PolygonBox[{{572, 0}, {572, 0.880374632513259}, {
       573, 0.8954166325029834}, {573, 0}}]}, 
    {Hue[0.09085022827056533], 
     PolygonBox[{{573, 0}, {573, 0.8954166325029834}, {
       574, 0.9106987600092368}, {574, 0}}]}, 
    {Hue[0.09067463521841328], 
     PolygonBox[{{574, 0}, {574, 0.9106987600092368}, {
       575, 0.9262271352166027}, {575, 0}}]}, 
    {Hue[0.09052846833943387], 
     PolygonBox[{{575, 0}, {575, 0.9262271352166027}, {
       576, 0.9420081178305844}, {576, 0}}]}, 
    {Hue[0.09041153560780353], 
     PolygonBox[{{576, 0}, {576, 0.9420081178305844}, {
       577, 0.9580483128318887}, {577, 0}}]}, 
    {Hue[0.09032368363919577], 
     PolygonBox[{{577, 0}, {577, 0.9580483128318887}, {
       578, 0.9743545764456533}, {578, 0}}]}, 
    {Hue[0.09026479733370764], 
     PolygonBox[{{578, 0}, {578, 0.9743545764456533}, {
       579, 0.990934022303391}, {579, 0}}]}, 
    {Hue[0.09023479960766582], 
     PolygonBox[{{579, 0}, {579, 0.990934022303391}, {
       580, 1.007794027772033}, {580, 0}}]}, 
    {Hue[0.09023365121389974], 
     PolygonBox[{{580, 0}, {580, 1.007794027772033}, {
       581, 1.0249422404204425`}, {581, 0}}]}, 
    {Hue[0.09026135065019887], 
     PolygonBox[{{581, 0}, {581, 1.0249422404204425`}, {
       582, 1.0423865845891147`}, {582, 0}}]}, 
    {Hue[0.09031793415580841], 
     PolygonBox[{{582, 0}, {582, 1.0423865845891147`}, {
       583, 1.0601352680233642`}, {583, 0}}]}, 
    {Hue[0.09040347579595782], 
     PolygonBox[{{583, 0}, {583, 1.0601352680233642`}, {
       584, 1.0781967885240333`}, {584, 0}}]}, 
    {Hue[0.09051808763455671], 
     PolygonBox[{{584, 0}, {584, 1.0781967885240333`}, {
       585, 1.0965799405625334`}, {585, 0}}]}, 
    {Hue[0.09066191999533027], 
     PolygonBox[{{585, 0}, {585, 1.0965799405625334`}, {
       586, 1.1152938217987118`}, {586, 0}}]}, 
    {Hue[0.09083516181179734], 
     PolygonBox[{{586, 0}, {586, 1.1152938217987118`}, {
       587, 1.1343478394305069`}, {587, 0}}]}, 
    {Hue[0.09103804106661416], 
     PolygonBox[{{587, 0}, {587, 1.1343478394305069`}, {
       588, 1.153751716293397}, {588, 0}}]}, 
    {Hue[0.09127082532091571], 
     PolygonBox[{{588, 0}, {588, 1.153751716293397}, {
       589, 1.1735154966151813`}, {589, 0}}]}, 
    {Hue[0.09153382233437346], 
     PolygonBox[{{589, 0}, {589, 1.1735154966151813`}, {
       590, 1.1936495513173209`}, {590, 0}}]}, 
    {Hue[0.09182738077675724], 
     PolygonBox[{{590, 0}, {590, 1.1936495513173209`}, {
       591, 1.2141645827378198`}, {591, 0}}]}, 
    {Hue[0.09215189103182497], 
     PolygonBox[{{591, 0}, {591, 1.2141645827378198`}, {
       592, 1.2350716286320809`}, {592, 0}}]}, 
    {Hue[0.09250778609437008], 
     PolygonBox[{{592, 0}, {592, 1.2350716286320809`}, {
       593, 1.256382065287114}, {593, 0}}]}, 
    {Hue[0.09289554256121699], 
     PolygonBox[{{593, 0}, {593, 1.256382065287114}, {
       594, 1.2781076095605346`}, {594, 0}}]}, 
    {Hue[0.09331568171686945], 
     PolygonBox[{{594, 0}, {594, 1.2781076095605346`}, {
       595, 1.3002603196286693`}, {595, 0}}]}, 
    {Hue[0.09376877071436908], 
     PolygonBox[{{595, 0}, {595, 1.3002603196286693`}, {
       596, 1.32285259419734}, {596, 0}}]}, 
    {Hue[0.09425542385170431], 
     PolygonBox[{{596, 0}, {596, 1.32285259419734}, {
       597, 1.3458971698941327`}, {597, 0}}]}, 
    {Hue[0.09477630394380944], 
     PolygonBox[{{597, 0}, {597, 1.3458971698941327`}, {
       598, 1.3694071165216875`}, {598, 0}}]}, 
    {Hue[0.09533212378979426], 
     PolygonBox[{{598, 0}, {598, 1.3694071165216875`}, {
       599, 1.3933958298072395`}, {599, 0}}]}, 
    {Hue[0.09592364773452867], 
     PolygonBox[{{599, 0}, {599, 1.3933958298072395`}, {
       600, 1.4178770212337775`}, {600, 0}}]}, 
    {Hue[0.09655169332305595], 
     PolygonBox[{{600, 0}, {600, 1.4178770212337775`}, {
       601, 1.4428647044820966`}, {601, 0}}]}, 
    {Hue[0.09721713304549544], 
     PolygonBox[{{601, 0}, {601, 1.4428647044820966`}, {
       602, 1.4683731779501292`}, {602, 0}}]}, 
    {Hue[0.09792089616909855], 
     PolygonBox[{{602, 0}, {602, 1.4683731779501292`}, {
       603, 1.4944170027455148`}, {603, 0}}]}, 
    {Hue[0.09866397065290491], 
     PolygonBox[{{603, 0}, {603, 1.4944170027455148`}, {
       604, 1.5210109754687136`}, {604, 0}}]}, 
    {Hue[0.09944740513897703], 
     PolygonBox[{{604, 0}, {604, 1.5210109754687136`}, {
       605, 1.5481700950163895`}, {605, 0}}]}, 
    {Hue[0.10027231101242819`], 
     PolygonBox[{{605, 0}, {605, 1.5481700950163895`}, {
       606, 1.5759095225375441`}, {606, 0}}]}, 
    {Hue[0.10113986452035546`], 
     PolygonBox[{{606, 0}, {606, 1.5759095225375441`}, {
       607, 1.6042445335672828`}, {607, 0}}]}, 
    {Hue[0.10205130893729412`], 
     PolygonBox[{{607, 0}, {607, 1.6042445335672828`}, {
       608, 1.633190461244577}, {608, 0}}]}, 
    {Hue[0.10300795676186127`], 
     PolygonBox[{{608, 0}, {608, 1.633190461244577}, {
       609, 1.6627626293903894`}, {609, 0}}]}, 
    {Hue[0.10401119192579301`], 
     PolygonBox[{{609, 0}, {609, 1.6627626293903894`}, {
       610, 1.6929762740807983`}, {610, 0}}]}, 
    {Hue[0.10506247199252006`], 
     PolygonBox[{{610, 0}, {610, 1.6929762740807983`}, {
       611, 1.7238464521962158`}, {611, 0}}]}, 
    {Hue[0.10616333031769727`], 
     PolygonBox[{{611, 0}, {611, 1.7238464521962158`}, {
       612, 1.7553879352627544`}, {612, 0}}]}, 
    {Hue[0.1073153781386086], 
     PolygonBox[{{612, 0}, {612, 1.7553879352627544`}, {
       613, 1.787615086726127}, {613, 0}}]}, 
    {Hue[0.10852030655301394`], 
     PolygonBox[{{613, 0}, {613, 1.787615086726127}, {
       614, 1.8205417206136099`}, {614, 0}}]}, 
    {Hue[0.1097798883406886], 
     PolygonBox[{{614, 0}, {614, 1.8205417206136099`}, {
       615, 1.854180939347964}, {615, 0}}]}, 
    {Hue[0.11109597957251585`], 
     PolygonBox[{{615, 0}, {615, 1.854180939347964}, {
       616, 1.8885449482823409`}, {616, 0}}]}, 
    {Hue[0.11247052094242194`], 
     PolygonBox[{{616, 0}, {616, 1.8885449482823409`}, {
       617, 1.9236448443319594`}, {617, 0}}]}, 
    {Hue[0.1139055387465779], 
     PolygonBox[{{617, 0}, {617, 1.9236448443319594`}, {
       618, 1.9594903758936129`}, {618, 0}}]}, 
    {Hue[0.11540314542203226`], 
     PolygonBox[{{618, 0}, {618, 1.9594903758936129`}, {
       619, 1.996089671076755}, {619, 0}}]}, 
    {Hue[0.11696553954319194`], 
     PolygonBox[{{619, 0}, {619, 1.996089671076755}, {
       620, 2.033448931131865}, {620, 0}}]}, 
    {Hue[0.11859500515926766`], 
     PolygonBox[{{620, 0}, {620, 2.033448931131865}, {
       621, 2.071572085867997}, {621, 0}}]}, 
    {Hue[0.12029391033891654`], 
     PolygonBox[{{621, 0}, {621, 2.071572085867997}, {
       622, 2.110460407820917}, {622, 0}}]}, 
    {Hue[0.12206470476986522`], 
     PolygonBox[{{622, 0}, {622, 2.110460407820917}, {
       623, 2.1501120819896133`}, {623, 0}}]}, 
    {Hue[0.12390991624137805`], 
     PolygonBox[{{623, 0}, {623, 2.1501120819896133`}, {
       624, 2.190521728131046}, {624, 0}}]}, 
    {Hue[0.12583214581623808`], 
     PolygonBox[{{624, 0}, {624, 2.190521728131046}, {
       625, 2.2316798729255116`}, {625, 0}}]}, 
    {Hue[0.1278340614767536], 
     PolygonBox[{{625, 0}, {625, 2.2316798729255116`}, {
       626, 2.2735723698390364`}, {626, 0}}]}, 
    {Hue[0.12991839000668126`], 
     PolygonBox[{{626, 0}, {626, 2.2735723698390364`}, {
       627, 2.316179765262363}, {627, 0}}]}, 
    {Hue[0.13208790684856414`], 
     PolygonBox[{{627, 0}, {627, 2.316179765262363}, {
       628, 2.359476610552537}, {628, 0}}]}, 
    {Hue[0.13434542365478302`], 
     PolygonBox[{{628, 0}, {628, 2.359476610552537}, {
       629, 2.4034307210025285`}, {629, 0}}]}, 
    {Hue[0.13669377323187615`], 
     PolygonBox[{{629, 0}, {629, 2.4034307210025285`}, {
       630, 2.4480023845805214`}, {630, 0}}]}, 
    {Hue[0.13913579156304676`], 
     PolygonBox[{{630, 0}, {630, 2.4480023845805214`}, {
       631, 2.4931435255784873`}, {631, 0}}]}, 
    {Hue[0.14167429658529906`], 
     PolygonBox[{{631, 0}, {631, 2.4931435255784873`}, {
       632, 2.538796831151171}, {632, 0}}]}, 
    {Hue[0.14431206339785863`], 
     PolygonBox[{{632, 0}, {632, 2.538796831151171}, {
       633, 2.5848948521639565`}, {633, 0}}]}, 
    {Hue[0.14705179559044665`], 
     PolygonBox[{{633, 0}, {633, 2.5848948521639565`}, {
       634, 2.631359093835424}, {634, 0}}]}, 
    {Hue[0.14989609240710206`], 
     PolygonBox[{{634, 0}, {634, 2.631359093835424}, {
       635, 2.6780991163624277`}, {635, 0}}]}, 
    {Hue[0.1528474115075051], 
     PolygonBox[{{635, 0}, {635, 2.6780991163624277`}, {
       636, 2.72501167101361}, {636, 0}}]}, 
    {Hue[0.15590802715741095`], 
     PolygonBox[{{636, 0}, {636, 2.72501167101361}, {
       637, 2.771979902972833}, {637, 0}}]}, 
    {Hue[0.1590799837772074], 
     PolygonBox[{{637, 0}, {637, 2.771979902972833}, {
       638, 2.818872658330337}, {638, 0}}]}, 
    {Hue[0.1623650449069375], 
     PolygonBox[{{638, 0}, {638, 2.818872658330337}, {
       639, 2.8655439387831403`}, {639, 0}}]}, 
    {Hue[0.16576463781088577`], 
     PolygonBox[{{639, 0}, {639, 2.8655439387831403`}, {
       640, 2.9118325534303655`}, {640, 0}}]}, 
    {Hue[0.16927979414730737`], 
     PolygonBox[{{640, 0}, {640, 2.9118325534303655`}, {
       641, 2.9575620220227408`}, {641, 0}}]}, 
    {Hue[0.17291108736941896`], 
     PolygonBox[{{641, 0}, {641, 2.9575620220227408`}, {
       642, 3.0025407875112764`}, {642, 0}}]}, 
    {Hue[0.17665856779990746`], 
     PolygonBox[{{642, 0}, {642, 3.0025407875112764`}, {
       643, 3.046562796990262}, {643, 0}}]}, 
    {Hue[0.1805216966268115], 
     PolygonBox[{{643, 0}, {643, 3.046562796990262}, {
       644, 3.0894085083192193`}, {644, 0}}]}, 
    {Hue[0.1844992803930073], 
     PolygonBox[{{644, 0}, {644, 3.0894085083192193`}, {
       645, 3.1308463739990517`}, {645, 0}}]}, 
    {Hue[0.1885894078787889], 
     PolygonBox[{{645, 0}, {645, 3.1308463739990517`}, {
       646, 3.1706348435057916`}, {646, 0}}]}, 
    {Hue[0.19278939158576827`], 
     PolygonBox[{{646, 0}, {646, 3.1706348435057916`}, {
       647, 3.2085249096834803`}, {647, 0}}]}, 
    {Hue[0.197095716293875], 
     PolygonBox[{{647, 0}, {647, 3.2085249096834803`}, {
       648, 3.244263203731857}, {648, 0}}]}, 
    {Hue[0.20150399735077892`], 
     PolygonBox[{{648, 0}, {648, 3.244263203731857}, {
       649, 3.277595617041625}, {649, 0}}]}, 
    {Hue[0.20600895143160722`], 
     PolygonBox[{{649, 0}, {649, 3.277595617041625}, {
       650, 3.3082713974869873`}, {650, 0}}]}, 
    {Hue[0.21060438244426793`], 
     PolygonBox[{{650, 0}, {650, 3.3082713974869873`}, {
       651, 3.336047634332355}, {651, 0}}]}, 
    {Hue[0.21528318502474553`], 
     PolygonBox[{{651, 0}, {651, 3.336047634332355}, {
       652, 3.36069401189717}, {652, 0}}]}, 
    {Hue[0.22003736764948278`], 
     PolygonBox[{{652, 0}, {652, 3.36069401189717}, {
       653, 3.381997680397286}, {653, 0}}]}, 
    {Hue[0.22485809678440208`], 
     PolygonBox[{{653, 0}, {653, 3.381997680397286}, {
       654, 3.3997680661648597`}, {654, 0}}]}, 
    {Hue[0.22973576270598112`], 
     PolygonBox[{{654, 0}, {654, 3.3997680661648597`}, {
       655, 3.413841425995267}, {655, 0}}]}, 
    {Hue[0.234660066702778], 
     PolygonBox[{{655, 0}, {655, 3.413841425995267}, {
       656, 3.4240849445386097`}, {656, 0}}]}, 
    {Hue[0.23962012834935464`], 
     PolygonBox[{{656, 0}, {656, 3.4240849445386097`}, {
       657, 3.4304001814542904`}, {657, 0}}]}, 
    {Hue[0.24460461050883203`], 
     PolygonBox[{{657, 0}, {657, 3.4304001814542904`}, {
       658, 3.4327256972392663`}, {658, 0}}]}, 
    {Hue[0.24960185874604124`], 
     PolygonBox[{{658, 0}, {658, 3.4327256972392663`}, {
       659, 3.4310387224681893`}, {659, 0}}]}, 
    {Hue[0.25460005100322186`], 
     PolygonBox[{{659, 0}, {659, 3.4310387224681893`}, {
       660, 3.425355782320313}, {660, 0}}]}, 
    {Hue[0.25958735277943024`], 
     PolygonBox[{{660, 0}, {660, 3.425355782320313}, {
       661, 3.4157322430042165`}, {661, 0}}]}, 
    {Hue[0.2645520727207612], 
     PolygonBox[{{661, 0}, {661, 3.4157322430042165`}, {
       662, 3.4022608043521827`}, {662, 0}}]}, 
    {Hue[0.2694828135033718], 
     PolygonBox[{{662, 0}, {662, 3.4022608043521827`}, {
       663, 3.385069018388413}, {663, 0}}]}, 
    {Hue[0.27436861317757194`], 
     PolygonBox[{{663, 0}, {663, 3.385069018388413}, {
       664, 3.364315962301606}, {664, 0}}]}, 
    {Hue[0.2791990727112368], 
     PolygonBox[{{664, 0}, {664, 3.364315962301606}, {
       665, 3.3401882320763288`}, {665, 0}}]}, 
    {Hue[0.28396446627057065`], 
     PolygonBox[{{665, 0}, {665, 3.3401882320763288`}, {
       666, 3.3128954474929615`}, {666, 0}}]}, 
    {Hue[0.2886558317330061], 
     PolygonBox[{{666, 0}, {666, 3.3128954474929615`}, {
       667, 3.282665469285343}, {667, 0}}]}, 
    {Hue[0.29326503995852515`], 
     PolygonBox[{{667, 0}, {667, 3.282665469285343}, {
       668, 3.2497395254786907`}, {668, 0}}]}, 
    {Hue[0.29778484237025715`], 
     PolygonBox[{{668, 0}, {668, 3.2497395254786907`}, {
       669, 3.214367428153307}, {669, 0}}]}, 
    {Hue[0.30220889734053685`], 
     PolygonBox[{{669, 0}, {669, 3.214367428153307}, {
       670, 3.176803036845691}, {670, 0}}]}, 
    {Hue[0.30653177668828413`], 
     PolygonBox[{{670, 0}, {670, 3.176803036845691}, {
       671, 3.1373000937293947`}, {671, 0}}]}, 
    {Hue[0.3107489542306672], 
     PolygonBox[{{671, 0}, {671, 3.1373000937293947`}, {
       672, 3.0961085218656996`}, {672, 0}}]}, 
    {Hue[0.3148567787797286], 
     PolygonBox[{{672, 0}, {672, 3.0961085218656996`}, {
       673, 3.0534712441043004`}, {673, 0}}]}, 
    {Hue[0.3188524342343753], 
     PolygonBox[{{673, 0}, {673, 3.0534712441043004`}, {
       674, 3.0096215490012956`}, {674, 0}}]}, 
    {Hue[0.32273388950587323`], 
     PolygonBox[{{674, 0}, {674, 3.0096215490012956`}, {
       675, 2.9647810030697963`}, {675, 0}}]}, 
    {Hue[0.3264998409568379], 
     PolygonBox[{{675, 0}, {675, 2.9647810030697963`}, {
       676, 2.919157886750826}, {676, 0}}]}, 
    {Hue[0.3301496498612988], 
     PolygonBox[{{676, 0}, {676, 2.919157886750826}, {
       677, 2.87294611502497}, {677, 0}}]}, 
    {Hue[0.333683277139818], 
     PolygonBox[{{677, 0}, {677, 2.87294611502497}, {
       678, 2.826324592411625}, {678, 0}}]}, 
    {Hue[0.33710121732019727`], 
     PolygonBox[{{678, 0}, {678, 2.826324592411625}, {
       679, 2.7794569456982243`}, {679, 0}}]}, 
    {Hue[0.34040443334841713`], 
     PolygonBox[{{679, 0}, {679, 2.7794569456982243`}, {
       680, 2.732491575365895}, {680, 0}}]}, 
    {Hue[0.34359429354841786`], 
     PolygonBox[{{680, 0}, {680, 2.732491575365895}, {
       681, 2.685561967497023}, {681, 0}}]}, 
    {Hue[0.3466725117198937], 
     PolygonBox[{{681, 0}, {681, 2.685561967497023}, {
       682, 2.6387872111326103`}, {682, 0}}]}, 
    {Hue[0.34964109108192504`], 
     PolygonBox[{{682, 0}, {682, 2.6387872111326103`}, {
       683, 2.5922726708296246`}, {683, 0}}]}, 
    {Hue[0.35250227252381605`], 
     PolygonBox[{{683, 0}, {683, 2.5922726708296246`}, {
       684, 2.546110769894815}, {684, 0}}]}, 
    {Hue[0.3552584874159237], 
     PolygonBox[{{684, 0}, {684, 2.546110769894815}, {
       685, 2.5003818459101153`}, {685, 0}}]}, 
    {Hue[0.3579123150626076], 
     PolygonBox[{{685, 0}, {685, 2.5003818459101153`}, {
       686, 2.455155046309661}, {686, 0}}]}, 
    {Hue[0.36046644474467604`], 
     PolygonBox[{{686, 0}, {686, 2.455155046309661}, {
       687, 2.4104892376292457`}, {687, 0}}]}, 
    {Hue[0.3629236421964784], 
     PolygonBox[{{687, 0}, {687, 2.4104892376292457`}, {
       688, 2.3664339074347525`}, {688, 0}}]}, 
    {Hue[0.36528672028901343`], 
     PolygonBox[{{688, 0}, {688, 2.3664339074347525`}, {
       689, 2.3230300427369537`}, {689, 0}}]}, 
    {Hue[0.3675585136407253], 
     PolygonBox[{{689, 0}, {689, 2.3230300427369537`}, {
       690, 2.2803109728691497`}, {690, 0}}]}, 
    {Hue[0.3697418568477628], 
     PolygonBox[{{690, 0}, {690, 2.2803109728691497`}, {
       691, 2.238303168340101}, {691, 0}}]}, 
    {Hue[0.3718395660113858], 
     PolygonBox[{{691, 0}, {691, 2.238303168340101}, {
       692, 2.197026990107996}, {692, 0}}]}, 
    {Hue[0.3738544232383413], 
     PolygonBox[{{692, 0}, {692, 2.197026990107996}, {
       693, 2.1564973861017287`}, {693, 0}}]}, 
    {Hue[0.3757891637973037], 
     PolygonBox[{{693, 0}, {693, 2.1564973861017287`}, {
       694, 2.1167245337044}, {694, 0}}]}, 
    {Hue[0.3776464656282834], 
     PolygonBox[{{694, 0}, {694, 2.1167245337044}, {
       695, 2.0777144283753888`}, {695, 0}}]}, 
    {Hue[0.3794289409201123], 
     PolygonBox[{{695, 0}, {695, 2.0777144283753888`}, {
       696, 2.03946941968589}, {696, 0}}]}, 
    {Hue[0.3811391294920206], 
     PolygonBox[{{696, 0}, {696, 2.03946941968589}, {
       697, 2.001988696838895}, {697, 0}}]}, 
    {Hue[0.38277949373759296`], 
     PolygonBox[{{697, 0}, {697, 2.001988696838895}, {
       698, 1.9652687262933382`}, {698, 0}}]}, 
    {Hue[0.3843524149120282], 
     PolygonBox[{{698, 0}, {698, 1.9652687262933382`}, {
       699, 1.9293036444622451`}, {699, 0}}]}, 
    {Hue[0.38586019056589793`], 
     PolygonBox[{{699, 0}, {699, 1.9293036444622451`}, {
       700, 1.894085608648242}, {700, 0}}]}, 
    {Hue[0.38730503294996915`], 
     PolygonBox[{{700, 0}, {700, 1.894085608648242}, {
       701, 1.8596051094525754`}, {701, 0}}]}, 
    {Hue[0.3886890682357987], 
     PolygonBox[{{701, 0}, {701, 1.8596051094525754`}, {
       702, 1.825851247875336}, {702, 0}}]}, 
    {Hue[0.3900143364154958], 
     PolygonBox[{{702, 0}, {702, 1.825851247875336}, {
       703, 1.7928119802395879`}, {703, 0}}]}, 
    {Hue[0.3912827917611866], 
     PolygonBox[{{703, 0}, {703, 1.7928119802395879`}, {
       704, 1.7604743339398805`}, {704, 0}}]}, 
    {Hue[0.3924963037402669], 
     PolygonBox[{{704, 0}, {704, 1.7604743339398805`}, {
       705, 1.7288245968522369`}, {705, 0}}]}, 
    {Hue[0.3936566582965189], 
     PolygonBox[{{705, 0}, {705, 1.7288245968522369`}, {
       706, 1.697848483059953}, {706, 0}}]}, 
    {Hue[0.3947655594196596], 
     PolygonBox[{{706, 0}, {706, 1.697848483059953}, {
       707, 1.6675312773572866`}, {707, 0}}]}, 
    {Hue[0.39582463093696924`], 
     PolygonBox[{{707, 0}, {707, 1.6675312773572866`}, {
       708, 1.6378579607980175`}, {708, 0}}]}, 
    {Hue[0.39683541847041853`], 
     PolygonBox[{{708, 0}, {708, 1.6378579607980175`}, {
       709, 1.6088133193635277`}, {709, 0}}]}, 
    {Hue[0.3977993915112822], 
     PolygonBox[{{709, 0}, {709, 1.6088133193635277`}, {
       710, 1.5803820376388602`}, {710, 0}}]}, 
    {Hue[0.39871794557170975`], 
     PolygonBox[{{710, 0}, {710, 1.5803820376388602`}, {
       711, 1.5525487792080372`}, {711, 0}}]}, 
    {Hue[0.3995924043792208], 
     PolygonBox[{{711, 0}, {711, 1.5525487792080372`}, {
       712, 1.525298255313028}, {712, 0}}]}, 
    {Hue[0.4004240220857197], 
     PolygonBox[{{712, 0}, {712, 1.525298255313028}, {
       713, 1.4986152831654425`}, {713, 0}}]}, 
    {Hue[0.4012139854674696], 
     PolygonBox[{{713, 0}, {713, 1.4986152831654425`}, {
       714, 1.4724848351563216`}, {714, 0}}]}, 
    {Hue[0.4019634160966237], 
     PolygonBox[{{714, 0}, {714, 1.4724848351563216`}, {
       715, 1.4468920800776297`}, {715, 0}}]}, 
    {Hue[0.40267337246846663`], 
     PolygonBox[{{715, 0}, {715, 1.4468920800776297`}, {
       716, 1.421822417348652}, {716, 0}}]}, 
    {Hue[0.40334485207154597`], 
     PolygonBox[{{716, 0}, {716, 1.421822417348652}, {
       717, 1.3972615051312876`}, {717, 0}}]}, 
    {Hue[0.4039787933904346], 
     PolygonBox[{{717, 0}, {717, 1.3972615051312876`}, {
       718, 1.373195283119297}, {718, 0}}]}, 
    {Hue[0.40457607783302807`], 
     PolygonBox[{{718, 0}, {718, 1.373195283119297}, {
       719, 1.3496099906975556`}, {719, 0}}]}, 
    {Hue[0.40513753157609567`], 
     PolygonBox[{{719, 0}, {719, 1.3496099906975556`}, {
       720, 1.3264921810873047`}, {720, 0}}]}, 
    {Hue[0.4056639273243155], 
     PolygonBox[{{720, 0}, {720, 1.3264921810873047`}, {
       721, 1.3038287320216944`}, {721, 0}}]}, 
    {Hue[0.40615598597928], 
     PolygonBox[{{721, 0}, {721, 1.3038287320216944`}, {
       722, 1.2816068534319145`}, {722, 0}}]}, 
    {Hue[0.4066143782159855], 
     PolygonBox[{{722, 0}, {722, 1.2816068534319145`}, {
       723, 1.259814092567015}, {723, 0}}]}, 
    {Hue[0.4070397259651638], 
     PolygonBox[{{723, 0}, {723, 1.259814092567015}, {
       724, 1.2384383369197727`}, {724, 0}}]}, 
    {Hue[0.40743260380048346`], 
     PolygonBox[{{724, 0}, {724, 1.2384383369197727`}, {
       725, 1.2174678152857394`}, {725, 0}}]}, 
    {Hue[0.40779354023018966`], 
     PolygonBox[{{725, 0}, {725, 1.2174678152857394`}, {
       726, 1.196891097242638}, {726, 0}}]}, 
    {Hue[0.40812301889316455`], 
     PolygonBox[{{726, 0}, {726, 1.196891097242638}, {
       727, 1.1766970913017618`}, {727, 0}}]}, 
    {Hue[0.40842147965970677`], 
     PolygonBox[{{727, 0}, {727, 1.1766970913017618`}, {
       728, 1.15687504195173}, {728, 0}}]}, 
    {Hue[0.40868931963755717`], 
     PolygonBox[{{728, 0}, {728, 1.15687504195173}, {
       729, 1.137414525787234}, {729, 0}}]}, 
    {Hue[0.4089268940838584], 
     PolygonBox[{{729, 0}, {729, 1.137414525787234}, {
       730, 1.1183054468910296`}, {730, 0}}]}, 
    {Hue[0.40913451722382566`], 
     PolygonBox[{{730, 0}, {730, 1.1183054468910296`}, {
       731, 1.099538031615898}, {731, 0}}]}, 
    {Hue[0.40931246297695767`], 
     PolygonBox[{{731, 0}, {731, 1.099538031615898}, {
       732, 1.0811028228944113`}, {732, 0}}]}, 
    {Hue[0.4094609655916141], 
     PolygonBox[{{732, 0}, {732, 1.0811028228944113`}, {
       733, 1.0629906741876975`}, {733, 0}}]}, 
    {Hue[0.4095802201887543], 
     PolygonBox[{{733, 0}, {733, 1.0629906741876975`}, {
       734, 1.0451927431698491`}, {734, 0}}]}, 
    {Hue[0.40967038321556987`], 
     PolygonBox[{{734, 0}, {734, 1.0451927431698491`}, {
       735, 1.0277004852318188`}, {735, 0}}]}, 
    {Hue[0.40973157280965783`], 
     PolygonBox[{{735, 0}, {735, 1.0277004852318188`}, {
       736, 1.0105056468775109`}, {736, 0}}]}, 
    {Hue[0.40976386907427487`], 
     PolygonBox[{{736, 0}, {736, 1.0105056468775109`}, {
       737, 0.9936002590749853}, {737, 0}}]}, 
    {Hue[0.4097673142650973], 
     PolygonBox[{{737, 0}, {737, 0.9936002590749853}, {
       738, 0.9769766306172323}, {738, 0}}]}, 
    {Hue[0.4097419128887791], 
     PolygonBox[{{738, 0}, {738, 0.9769766306172323}, {
       739, 0.9606273415395488}, {739, 0}}]}, 
    {Hue[0.40968763171346423`], 
     PolygonBox[{{739, 0}, {739, 0.9606273415395488}, {
       740, 0.944545236634167}, {740, 0}}]}, 
    {Hue[0.4096043996912722], 
     PolygonBox[{{740, 0}, {740, 0.944545236634167}, {
       741, 0.9287234190972194}, {741, 0}}]}, 
    {Hue[0.4094921077926311], 
     PolygonBox[{{741, 0}, {741, 0.9287234190972194}, {
       742, 0.9131552443383709}, {742, 0}}]}, 
    {Hue[0.4093506087521979], 
     PolygonBox[{{742, 0}, {742, 0.9131552443383709}, {
       743, 0.8978343139793279}, {743, 0}}]}, 
    {Hue[0.40917971672597286`], 
     PolygonBox[{{743, 0}, {743, 0.8978343139793279}, {
       744, 0.8827544700639607}, {744, 0}}]}, 
    {Hue[0.4089792068590938], 
     PolygonBox[{{744, 0}, {744, 0.8827544700639607}, {
       745, 0.8679097894997816}, {745, 0}}]}, 
    {Hue[0.4087488147636875], 
     PolygonBox[{{745, 0}, {745, 0.8679097894997816}, {
       746, 0.8532945787480514}, {746, 0}}]}, 
    {Hue[0.4084882359060634], 
     PolygonBox[{{746, 0}, {746, 0.8532945787480514}, {
       747, 0.8389033687776825}, {747, 0}}]}, 
    {Hue[0.4081971249024685], 
     PolygonBox[{{747, 0}, {747, 0.8389033687776825}, {
       748, 0.824730910296405}, {748, 0}}]}, 
    {Hue[0.40787509472258066`], 
     PolygonBox[{{748, 0}, {748, 0.824730910296405}, {
       749, 0.8107721692712812}, {749, 0}}]}, 
    {Hue[0.4075217157999094], 
     PolygonBox[{{749, 0}, {749, 0.8107721692712812}, {
       750, 0.7970223227495369}, {750, 0}}]}, 
    {Hue[0.40713651504830894`], 
     PolygonBox[{{750, 0}, {750, 0.7970223227495369}, {
       751, 0.7834767549898709}, {751, 0}}]}, 
    {Hue[0.40671897478388985`], 
     PolygonBox[{{751, 0}, {751, 0.7834767549898709}, {
       752, 0.7701310539137448}, {752, 0}}]}, 
    {Hue[0.4062685315517588], 
     PolygonBox[{{752, 0}, {752, 0.7701310539137448}, {
       753, 0.7569810078857947}, {753, 0}}]}, 
    {Hue[0.4057845748572241], 
     PolygonBox[{{753, 0}, {753, 0.7569810078857947}, {
       754, 0.7440226028322124}, {754, 0}}]}, 
    {Hue[0.4052664458014015], 
     PolygonBox[{{754, 0}, {754, 0.7440226028322124}, {
       755, 0.7312520197059096}, {755, 0}}]}, 
    {Hue[0.4047134356215437], 
     PolygonBox[{{755, 0}, {755, 0.7312520197059096}, {
       756, 0.7186656323072808}, {756, 0}}]}, 
    {Hue[0.4041247841369232], 
     PolygonBox[{{756, 0}, {756, 0.7186656323072808}, {
       757, 0.7062600054695745}, {757, 0}}]}, 
    {Hue[0.4034996781017369], 
     PolygonBox[{{757, 0}, {757, 0.7062600054695745}, {
       758, 0.6940318936180981}, {758, 0}}]}, 
    {Hue[0.4028372494673021], 
     PolygonBox[{{758, 0}, {758, 0.6940318936180981}, {
       759, 0.6819782397128307}, {759, 0}}]}, 
    {Hue[0.40213657355679083`], 
     PolygonBox[{{759, 0}, {759, 0.6819782397128307}, {
       760, 0.6700961745843526}, {760, 0}}]}, 
    {Hue[0.4013966671569524], 
     PolygonBox[{{760, 0}, {760, 0.6700961745843526}, {
       761, 0.6583830166734275}, {761, 0}}]}, 
    {Hue[0.4006164865327162], 
     PolygonBox[{{761, 0}, {761, 0.6583830166734275}, {
       762, 0.6468362721849265}, {762, 0}}]}, 
    {Hue[0.3997949253723106], 
     PolygonBox[{{762, 0}, {762, 0.6468362721849265}, {
       763, 0.6354536356671805}, {763, 0}}]}, 
    {Hue[0.3989308126726016], 
     PolygonBox[{{763, 0}, {763, 0.6354536356671805}, {
       764, 0.6242329910281185}, {764, 0}}]}, 
    {Hue[0.3980229105768238], 
     PolygonBox[{{764, 0}, {764, 0.6242329910281185}, {
       765, 0.613172412999769}, {765, 0}}]}, 
    {Hue[0.3970699121797807], 
     PolygonBox[{{765, 0}, {765, 0.613172412999769}, {
       766, 0.6022701690627412}, {766, 0}}]}, 
    {Hue[0.3960704393190141], 
     PolygonBox[{{766, 0}, {766, 0.6022701690627412}, {
       767, 0.5915247218421724}, {767, 0}}]}, 
    {Hue[0.3950230403744523], 
     PolygonBox[{{767, 0}, {767, 0.5915247218421724}, {
       768, 0.5809347319862201}, {768, 0}}]}, 
    {Hue[0.3939261881037156], 
     PolygonBox[{{768, 0}, {768, 0.5809347319862201}, {
       769, 0.570499061537459}, {769, 0}}]}, 
    {Hue[0.3927782775456926], 
     PolygonBox[{{769, 0}, {769, 0.570499061537459}, {
       770, 0.5602167778063959}, {770, 0}}]}, 
    {Hue[0.39157762403127855`], 
     PolygonBox[{{770, 0}, {770, 0.5602167778063959}, {
       771, 0.5500871577546795}, {771, 0}}]}, 
    {Hue[0.39032246134740683`], 
     PolygonBox[{{771, 0}, {771, 0.5500871577546795}, {
       772, 0.5401096928933055}, {772, 0}}]}, 
    {Hue[0.3890109401088014], 
     PolygonBox[{{772, 0}, {772, 0.5401096928933055}, {
       773, 0.530284094698097}, {773, 0}}]}, 
    {Hue[0.3876411264013527], 
     PolygonBox[{{773, 0}, {773, 0.530284094698097}, {
       774, 0.5206103005408271}, {774, 0}}]}, 
    {Hue[0.3862110007717798], 
     PolygonBox[{{774, 0}, {774, 0.5206103005408271}, {
       775, 0.5110884801293256}, {775, 0}}]}, 
    {Hue[0.38471845765038143`], 
     PolygonBox[{{775, 0}, {775, 0.5110884801293256}, {
       776, 0.5017190424436649}, {776, 0}}]}, 
    {Hue[0.3831613053073117], 
     PolygonBox[{{776, 0}, {776, 0.5017190424436649}, {
       777, 0.4925026431477228}, {777, 0}}]}, 
    {Hue[0.38153726645798336`], 
     PolygonBox[{{777, 0}, {777, 0.4925026431477228}, {
       778, 0.48344019244593445`}, {778, 0}}]}, 
    {Hue[0.3798439796499682], 
     PolygonBox[{{778, 0}, {778, 0.48344019244593445`}, {
       779, 0.4745328633435057}, {779, 0}}]}, 
    {Hue[0.3780790015820822], 
     PolygonBox[{{779, 0}, {779, 0.4745328633435057}, {
       780, 0.4657821002545632}, {780, 0}}]}, 
    {Hue[0.3762398105261576], 
     PolygonBox[{{780, 0}, {780, 0.4657821002545632}, {
       781, 0.4571896278862699}, {781, 0}}]}, 
    {Hue[0.37432381104310397`], 
     PolygonBox[{{781, 0}, {781, 0.4571896278862699}, {
       782, 0.44875746030761465`}, {782, 0}}]}, 
    {Hue[0.3723283402069579], 
     PolygonBox[{{782, 0}, {782, 0.44875746030761465`}, {
       783, 0.4404879100889929}, {783, 0}}]}, 
    {Hue[0.3702506755732251], 
     PolygonBox[{{783, 0}, {783, 0.4404879100889929}, {
       784, 0.4323835973726282}, {784, 0}}]}, 
    {Hue[0.36808804515026455`], 
     PolygonBox[{{784, 0}, {784, 0.4323835973726282}, {
       785, 0.424447458704035}, {785, 0}}]}, 
    {Hue[0.36583763965379695`], 
     PolygonBox[{{785, 0}, {785, 0.424447458704035}, {
       786, 0.4166827554209975}, {786, 0}}]}, 
    {Hue[0.3634966273436179], 
     PolygonBox[{{786, 0}, {786, 0.4166827554209975}, {
       787, 0.4090930813588333}, {787, 0}}]}, 
    {Hue[0.3610621717566253], 
     PolygonBox[{{787, 0}, {787, 0.4090930813588333}, {
       788, 0.4016823695892508}, {788, 0}}]}, 
    {Hue[0.35853145265932884`], 
     PolygonBox[{{788, 0}, {788, 0.4016823695892508}, {
       789, 0.3944548978651716}, {789, 0}}]}, 
    {Hue[0.3559016905435862], 
     PolygonBox[{{789, 0}, {789, 0.3944548978651716}, {
       790, 0.38741529239628725`}, {790, 0}}]}, 
    {Hue[0.3531701749784568], 
     PolygonBox[{{790, 0}, {790, 0.38741529239628725`}, {
       791, 0.3805685295308286}, {791, 0}}]}, 
    {Hue[0.35033429710528197`], 
     PolygonBox[{{791, 0}, {791, 0.3805685295308286}, {
       792, 0.37391993486974545`}, {792, 0}}]}, 
    {Hue[0.34739158651852614`], 
     PolygonBox[{{792, 0}, {792, 0.37391993486974545`}, {
       793, 0.36747517929230744`}, {793, 0}}]}, 
    {Hue[0.3443397527072722], 
     PolygonBox[{{793, 0}, {793, 0.36747517929230744`}, {
       794, 0.3612402713299742}, {794, 0}}]}, 
    {Hue[0.3411767311372362], 
     PolygonBox[{{794, 0}, {794, 0.3612402713299742}, {
       795, 0.3552215452917484}, {795, 0}}]}, 
    {Hue[0.3379007339265121], 
     PolygonBox[{{795, 0}, {795, 0.3552215452917484}, {
       796, 0.3494256445235595}, {796, 0}}]}, 
    {Hue[0.3345103049064355], 
     PolygonBox[{{796, 0}, {796, 0.3494256445235595}, {
       797, 0.34385949918151604`}, {797, 0}}]}, 
    {Hue[0.33100437865951315`], 
     PolygonBox[{{797, 0}, {797, 0.34385949918151604`}, {
       798, 0.3385302979198539}, {798, 0}}]}, 
    {Hue[0.3273823428888127], 
     PolygonBox[{{798, 0}, {798, 0.3385302979198539}, {
       799, 0.33344545294513145`}, {799, 0}}]}, 
    {Hue[0.3236441031997363], 
     PolygonBox[{{799, 0}, {799, 0.33344545294513145`}, {
       800, 0.3286125579746781}, {800, 0}}]}, 
    {Hue[0.31979014907151404`], 
     PolygonBox[{{800, 0}, {800, 0.3286125579746781}, {
       801, 0.324039338765039}, {801, 0}}]}, 
    {Hue[0.31582161947237253`], 
     PolygonBox[{{801, 0}, {801, 0.324039338765039}, {
       802, 0.3197335960493406}, {802, 0}}]}, 
    {Hue[0.3117403662445818], 
     PolygonBox[{{802, 0}, {802, 0.3197335960493406}, {
       803, 0.3157031409433391}, {803, 0}}]}, 
    {Hue[0.307549013074472], 
     PolygonBox[{{803, 0}, {803, 0.3157031409433391}, {
       804, 0.3119557231474894}, {804, 0}}]}, 
    {Hue[0.3032510075942643], 
     PolygonBox[{{804, 0}, {804, 0.3119557231474894}, {
       805, 0.3084989525819398}, {805, 0}}]}, 
    {Hue[0.298850663967776], 
     PolygonBox[{{805, 0}, {805, 0.3084989525819398}, {
       806, 0.3053402154333871}, {806, 0}}]}, 
    {Hue[0.2943531932236122], 
     PolygonBox[{{806, 0}, {806, 0.3053402154333871}, {
       807, 0.3024865859526038}, {807, 0}}]}, 
    {Hue[0.28976471864969816`], 
     PolygonBox[{{807, 0}, {807, 0.3024865859526038}, {
       808, 0.2999447356993524}, {808, 0}}]}, 
    {Hue[0.28509227377972146`], 
     PolygonBox[{{808, 0}, {808, 0.2999447356993524}, {
       809, 0.2977208422631487}, {809, 0}}]}, 
    {Hue[0.2803437809041249], 
     PolygonBox[{{809, 0}, {809, 0.2977208422631487}, {
       810, 0.295820499766685}, {810, 0}}]}, 
    {Hue[0.27552800863093346`], 
     PolygonBox[{{810, 0}, {810, 0.295820499766685}, {
       811, 0.294248633655739}, {811, 0}}]}, 
    {Hue[0.2706545077927546], 
     PolygonBox[{{811, 0}, {811, 0.294248633655739}, {
       812, 0.2930094223691988}, {812, 0}}]}, 
    {Hue[0.2657335259136288], 
     PolygonBox[{{812, 0}, {812, 0.2930094223691988}, {
       813, 0.2921062284449227}, {813, 0}}]}, 
    {Hue[0.2607759014611283], 
     PolygonBox[{{813, 0}, {813, 0.2921062284449227}, {
       814, 0.29154154143940825`}, {814, 0}}]}, 
    {Hue[0.2557929401461359], 
     PolygonBox[{{814, 0}, {814, 0.29154154143940825`}, {
       815, 0.29131693472061565`}, {815, 0}}]}, 
    {Hue[0.2507962765149807], 
     PolygonBox[{{815, 0}, {815, 0.29131693472061565`}, {
       816, 0.29143303774505375`}, {816, 0}}]}, 
    {Hue[0.24579772492300683`], 
     PolygonBox[{{816, 0}, {816, 0.29143303774505375`}, {
       817, 0.29188952487614533`}, {817, 0}}]}, 
    {Hue[0.24080912460930698`], 
     PolygonBox[{{817, 0}, {817, 0.29188952487614533`}, {
       818, 0.2926851211752851}, {818, 0}}]}, 
    {Hue[0.23584218394998696`], 
     PolygonBox[{{818, 0}, {818, 0.2926851211752851}, {
       819, 0.2938176249417962}, {819, 0}}]}, 
    {Hue[0.23090832901755332`], 
     PolygonBox[{{819, 0}, {819, 0.2938176249417962}, {
       820, 0.29528394613816555`}, {820, 0}}]}, 
    {Hue[0.22601856131189244`], 
     PolygonBox[{{820, 0}, {820, 0.29528394613816555`}, {
       821, 0.29708015925590414`}, {821, 0}}]}, 
    {Hue[0.2211833289792581], 
     PolygonBox[{{821, 0}, {821, 0.29708015925590414`}, {
       822, 0.29920156869229336`}, {822, 0}}]}, 
    {Hue[0.21641241505171765`], 
     PolygonBox[{{822, 0}, {822, 0.29920156869229336`}, {
       823, 0.3016427843465242}, {823, 0}}]}, 
    {Hue[0.2117148452923129], 
     PolygonBox[{{823, 0}, {823, 0.3016427843465242}, {
       824, 0.3043978049206642}, {824, 0}}]}, 
    {Hue[0.20709881720257386`], 
     PolygonBox[{{824, 0}, {824, 0.3043978049206642}, {
       825, 0.30746010632926196`}, {825, 0}}]}, 
    {Hue[0.20257165072107905`], 
     PolygonBox[{{825, 0}, {825, 0.30746010632926196`}, {
       826, 0.310822732672404}, {826, 0}}]}, 
    {Hue[0.1981397601878183], 
     PolygonBox[{{826, 0}, {826, 0.310822732672404}, {
       827, 0.3144783873925277}, {827, 0}}]}, 
    {Hue[0.19380864632700226`], 
     PolygonBox[{{827, 0}, {827, 0.3144783873925277}, {
       828, 0.31841952249072486`}, {828, 0}}]}, 
    {Hue[0.18958290634925337`], 
     PolygonBox[{{828, 0}, {828, 0.31841952249072486`}, {
       829, 0.3226384239960577}, {829, 0}}]}, 
    {Hue[0.18546625981113649`], 
     PolygonBox[{{829, 0}, {829, 0.3226384239960577}, {
       830, 0.3271272922337773}, {830, 0}}]}, 
    {Hue[0.18146158759572523`], 
     PolygonBox[{{830, 0}, {830, 0.3271272922337773}, {
       831, 0.3318783157999755}, {831, 0}}]}, 
    {Hue[0.17757098127730828`], 
     PolygonBox[{{831, 0}, {831, 0.3318783157999755}, {
       832, 0.33688373849974457`}, {832, 0}}]}, 
    {Hue[0.1737958001809959], 
     PolygonBox[{{832, 0}, {832, 0.33688373849974457`}, {
       833, 0.3421359188271072}, {833, 0}}]}, 
    {Hue[0.17013673361250628`], 
     PolygonBox[{{833, 0}, {833, 0.3421359188271072}, {
       834, 0.347627381846654}, {834, 0}}]}, 
    {Hue[0.16659386598174125`], 
     PolygonBox[{{834, 0}, {834, 0.347627381846654}, {
       835, 0.35335086357281975`}, {835, 0}}]}, 
    {Hue[0.16316674284429727`], 
     PolygonBox[{{835, 0}, {835, 0.35335086357281975`}, {
       836, 0.35929934813097936`}, {836, 0}}]}, 
    {Hue[0.1598544362100526], 
     PolygonBox[{{836, 0}, {836, 0.35929934813097936`}, {
       837, 0.3654660981263816}, {837, 0}}]}, 
    {Hue[0.15665560779467977`], 
     PolygonBox[{{837, 0}, {837, 0.3654660981263816}, {
       838, 0.37184467874598587`}, {838, 0}}]}, 
    {Hue[0.15356856920118134`], 
     PolygonBox[{{838, 0}, {838, 0.37184467874598587`}, {
       839, 0.37842897617974675`}, {839, 0}}]}, 
    {Hue[0.15059133830243207`], 
     PolygonBox[{{839, 0}, {839, 0.37842897617974675`}, {
       840, 0.38521321097766054`}, {840, 0}}]}, 
    {Hue[0.1477216913451077], 
     PolygonBox[{{840, 0}, {840, 0.38521321097766054`}, {
       841, 0.3921919469631218}, {841, 0}}]}, 
    {Hue[0.14495721050700522`], 
     PolygonBox[{{841, 0}, {841, 0.3921919469631218}, {
       842, 0.3993600963075726}, {842, 0}}]}, 
    {Hue[0.1422953268133908], 
     PolygonBox[{{842, 0}, {842, 0.3993600963075726}, {
       843, 0.40671292134144593`}, {843, 0}}]}, 
    {Hue[0.13973335845550897`], 
     PolygonBox[{{843, 0}, {843, 0.40671292134144593`}, {
       844, 0.4142460336365086}, {844, 0}}]}, 
    {Hue[0.13726854465906438`], 
     PolygonBox[{{844, 0}, {844, 0.4142460336365086}, {
       845, 0.4219553908488011}, {845, 0}}]}, 
    {Hue[0.13489807532636866`], 
     PolygonBox[{{845, 0}, {845, 0.4219553908488011}, {
       846, 0.4298372917624667}, {846, 0}}]}, 
    {Hue[0.13261911672730667`], 
     PolygonBox[{{846, 0}, {846, 0.4298372917624667}, {
       847, 0.4378883699253038}, {847, 0}}]}, 
    {Hue[0.1304288335455921], 
     PolygonBox[{{847, 0}, {847, 0.4378883699253038}, {
       848, 0.4461055862185694}, {848, 0}}]}, 
    {Hue[0.12832440760200128`], 
     PolygonBox[{{848, 0}, {848, 0.4461055862185694}, {
       849, 0.4544862206576981}, {849, 0}}]}, 
    {Hue[0.12630305357898677`], 
     PolygonBox[{{849, 0}, {849, 0.4544862206576981}, {
       850, 0.4630278636779762}, {850, 0}}]}, 
    {Hue[0.12436203206442331`], 
     PolygonBox[{{850, 0}, {850, 0.4630278636779762}, {
       851, 0.47172840712027536`}, {851, 0}}]}, 
    {Hue[0.12249866021887212`], 
     PolygonBox[{{851, 0}, {851, 0.47172840712027536`}, {
       852, 0.48058603509696657`}, {852, 0}}]}, 
    {Hue[0.12071032035281995`], 
     PolygonBox[{{852, 0}, {852, 0.48058603509696657`}, {
       853, 0.48959921488704927`}, {853, 0}}]}, 
    {Hue[0.11899446667961115`], 
     PolygonBox[{{853, 0}, {853, 0.48959921488704927`}, {
       854, 0.4987666879822948}, {854, 0}}]}, 
    {Hue[0.11734863048758207`], 
     PolygonBox[{{854, 0}, {854, 0.4987666879822948}, {
       855, 0.5080874613825191}, {855, 0}}]}, 
    {Hue[0.11577042395227086`], 
     PolygonBox[{{855, 0}, {855, 0.5080874613825191}, {
       856, 0.5175607992177876}, {856, 0}}]}, 
    {Hue[0.11425754278725393`], 
     PolygonBox[{{856, 0}, {856, 0.5175607992177876}, {
       857, 0.5271862147580078}, {857, 0}}]}, 
    {Hue[0.11280776791070432`], 
     PolygonBox[{{857, 0}, {857, 0.5271862147580078}, {
       858, 0.5369634628557781}, {858, 0}}]}, 
    {Hue[0.11141896628451631`], 
     PolygonBox[{{858, 0}, {858, 0.5369634628557781}, {
       859, 0.5468925328561159}, {859, 0}}]}, 
    {Hue[0.11008909106403345`], 
     PolygonBox[{{859, 0}, {859, 0.5468925328561159}, {
       860, 0.5569736419965965}, {860, 0}}]}, 
    {Hue[0.10881618117915084`], 
     PolygonBox[{{860, 0}, {860, 0.5569736419965965}, {
       861, 0.5672072293131069}, {861, 0}}]}, 
    {Hue[0.1075983604518885], 
     PolygonBox[{{861, 0}, {861, 0.5672072293131069}, {
       862, 0.5775939500597276}, {862, 0}}]}, 
    {Hue[0.10643383634141583`], 
     PolygonBox[{{862, 0}, {862, 0.5775939500597276}, {
       863, 0.5881346706458351}, {863, 0}}]}, 
    {Hue[0.10532089839490315`], 
     PolygonBox[{{863, 0}, {863, 0.5881346706458351}, {
       864, 0.5988304640893048}, {864, 0}}]}, 
    {Hue[0.10425791647138316`], 
     PolygonBox[{{864, 0}, {864, 0.5988304640893048}, {
       865, 0.609682605981362}, {865, 0}}]}, 
    {Hue[0.10324333879593821`], 
     PolygonBox[{{865, 0}, {865, 0.609682605981362}, {
       866, 0.6206925709561852}, {866, 0}}]}, 
    {Hue[0.1022756898928642], 
     PolygonBox[{{866, 0}, {866, 0.6206925709561852}, {
       867, 0.6318620296564814}, {867, 0}}]}, 
    {Hue[0.10135356843890214`], 
     PolygonBox[{{867, 0}, {867, 0.6318620296564814}, {
       868, 0.6431928461850144}, {868, 0}}]}, 
    {Hue[0.10047564507105021`], 
     PolygonBox[{{868, 0}, {868, 0.6431928461850144}, {
       869, 0.6546870760311746}, {869, 0}}]}, 
    {Hue[0.09964066017778304], 
     PolygonBox[{{869, 0}, {869, 0.6546870760311746}, {
       870, 0.666346964461224}, {870, 0}}]}, 
    {Hue[0.0988474216975958], 
     PolygonBox[{{870, 0}, {870, 0.666346964461224}, {
       871, 0.6781749453605979}, {871, 0}}]}, 
    {Hue[0.09809480294458439], 
     PolygonBox[{{871, 0}, {871, 0.6781749453605979}, {
       872, 0.6901736405166721}, {872, 0}}]}, 
    {Hue[0.09738174047716963], 
     PolygonBox[{{872, 0}, {872, 0.6901736405166721}, {
       873, 0.7023458593305426}, {873, 0}}]}, 
    {Hue[0.09670723202301136], 
     PolygonBox[{{873, 0}, {873, 0.7023458593305426}, {
       874, 0.714694598946642}, {874, 0}}]}, 
    {Hue[0.09607033447055864], 
     PolygonBox[{{874, 0}, {874, 0.714694598946642}, {
       875, 0.7272230447893758}, {875, 0}}]}, 
    {Hue[0.09547016193549047], 
     PolygonBox[{{875, 0}, {875, 0.7272230447893758}, {
       876, 0.7399345714963186}, {876, 0}}]}, 
    {Hue[0.09490588390846226], 
     PolygonBox[{{876, 0}, {876, 0.7399345714963186}, {
       877, 0.7528327442379391}, {877, 0}}]}, 
    {Hue[0.09437672348903715], 
     PolygonBox[{{877, 0}, {877, 0.7528327442379391}, {
       878, 0.7659213204141657}, {878, 0}}]}, 
    {Hue[0.09388195570940841], 
     PolygonBox[{{878, 0}, {878, 0.7659213204141657}, {
       879, 0.779204251718474}, {879, 0}}]}, 
    {Hue[0.09342090595047155], 
     PolygonBox[{{879, 0}, {879, 0.779204251718474}, {
       880, 0.7926856865604143}, {880, 0}}]}, 
    {Hue[0.09299294845195202], 
     PolygonBox[{{880, 0}, {880, 0.7926856865604143}, {
       881, 0.806369972837726}, {881, 0}}]}, 
    {Hue[0.09259750491760566], 
     PolygonBox[{{881, 0}, {881, 0.806369972837726}, {
       882, 0.8202616610492265}, {882, 0}}]}, 
    {Hue[0.09223404321596387], 
     PolygonBox[{{882, 0}, {882, 0.8202616610492265}, {
       883, 0.8343655077396622}, {883, 0}}]}, 
    {Hue[0.09190207617666941], 
     PolygonBox[{{883, 0}, {883, 0.8343655077396622}, {
       884, 0.848686479267484}, {884, 0}}]}, 
    {Hue[0.09160116048212635], 
     PolygonBox[{{884, 0}, {884, 0.848686479267484}, {
       885, 0.8632297558861892}, {885, 0}}]}, 
    {Hue[0.09133089565395161], 
     PolygonBox[{{885, 0}, {885, 0.8632297558861892}, {
       886, 0.8780007361292895}, {886, 0}}]}, 
    {Hue[0.09109092313355335], 
     PolygonBox[{{886, 0}, {886, 0.8780007361292895}, {
       887, 0.8930050414882371}, {887, 0}}]}, 
    {Hue[0.09088092545606051], 
     PolygonBox[{{887, 0}, {887, 0.8930050414882371}, {
       888, 0.908248521371588}, {888, 0}}]}, 
    {Hue[0.09070062551677992], 
     PolygonBox[{{888, 0}, {888, 0.908248521371588}, {
       889, 0.9237372583324326}, {889, 0}}]}, 
    {Hue[0.09054978592935167], 
     PolygonBox[{{889, 0}, {889, 0.9237372583324326}, {
       890, 0.9394775735494824}, {890, 0}}]}, 
    {Hue[0.09042820847480436], 
     PolygonBox[{{890, 0}, {890, 0.9394775735494824}, {
       891, 0.9554760325452752}, {891, 0}}]}, 
    {Hue[0.0903357336407719], 
     PolygonBox[{{891, 0}, {891, 0.9554760325452752}, {
       892, 0.9717394511225705}, {892, 0}}]}, 
    {Hue[0.09027224025021832], 
     PolygonBox[{{892, 0}, {892, 0.9717394511225705}, {
       893, 0.9882749014972276}, {893, 0}}]}, 
    {Hue[0.09023764517911921], 
     PolygonBox[{{893, 0}, {893, 0.9882749014972276}, {
       894, 1.0050897186025007`}, {894, 0}}]}, 
    {Hue[0.09023190316266748], 
     PolygonBox[{{894, 0}, {894, 1.0050897186025007`}, {
       895, 1.0221915065358327`}, {895, 0}}]}, 
    {Hue[0.0902550066896995], 
     PolygonBox[{{895, 0}, {895, 1.0221915065358327`}, {
       896, 1.0395881451146216`}, {896, 0}}]}, 
    {Hue[0.09030698598517319], 
     PolygonBox[{{896, 0}, {896, 1.0395881451146216`}, {
       897, 1.0572877965022083`}, {897, 0}}]}, 
    {Hue[0.09038790908067054], 
     PolygonBox[{{897, 0}, {897, 1.0572877965022083`}, {
       898, 1.0752989118591516`}, {898, 0}}]}, 
    {Hue[0.09049788197303688], 
     PolygonBox[{{898, 0}, {898, 1.0752989118591516`}, {
       899, 1.0936302379678378`}, {899, 0}}]}, 
    {Hue[0.09063704887140724], 
     PolygonBox[{{899, 0}, {899, 1.0936302379678378`}, {
       900, 1.1122908237703244`}, {900, 0}}]}, 
    {Hue[0.09080559253300266], 
     PolygonBox[{{900, 0}, {900, 1.1122908237703244`}, {
       901, 1.131290026749965}, {901, 0}}]}, 
    {Hue[0.09100373468820175], 
     PolygonBox[{{901, 0}, {901, 1.131290026749965}, {
       902, 1.150637519076697}, {902, 0}}]}, 
    {Hue[0.09123173655550187], 
     PolygonBox[{{902, 0}, {902, 1.150637519076697}, {
       903, 1.170343293423603}, {903, 0}}]}, 
    {Hue[0.09148989944707822], 
     PolygonBox[{{903, 0}, {903, 1.170343293423603}, {
       904, 1.1904176683483874`}, {904, 0}}]}, 
    {Hue[0.09177856546571721], 
     PolygonBox[{{904, 0}, {904, 1.1904176683483874`}, {
       905, 1.2108712931174994`}, {905, 0}}]}, 
    {Hue[0.09209811829394604], 
     PolygonBox[{{905, 0}, {905, 1.2108712931174994`}, {
       906, 1.2317151518324205`}, {906, 0}}]}, 
    {Hue[0.09244898407618865], 
     PolygonBox[{{906, 0}, {906, 1.2317151518324205`}, {
       907, 1.2529605666970567`}, {907, 0}}]}, 
    {Hue[0.09283163239474859], 
     PolygonBox[{{907, 0}, {907, 1.2529605666970567`}, {
       908, 1.2746192002416719`}, {908, 0}}]}, 
    {Hue[0.09324657734034036], 
     PolygonBox[{{908, 0}, {908, 1.2746192002416719`}, {
       909, 1.2967030562922541`}, {909, 0}}]}, 
    {Hue[0.09369437867775515], 
     PolygonBox[{{909, 0}, {909, 1.2967030562922541`}, {
       910, 1.3192244794440129`}, {910, 0}}]}, 
    {Hue[0.09417564310704028], 
     PolygonBox[{{910, 0}, {910, 1.3192244794440129`}, {
       911, 1.3421961527636583`}, {911, 0}}]}, 
    {Hue[0.0946910256202866], 
     PolygonBox[{{911, 0}, {911, 1.3421961527636583`}, {
       912, 1.3656310934065585`}, {912, 0}}]}, 
    {Hue[0.0952412309537347], 
     PolygonBox[{{912, 0}, {912, 1.3656310934065585`}, {
       913, 1.3895426457914564`}, {913, 0}}]}, 
    {Hue[0.09582701513441597], 
     PolygonBox[{{913, 0}, {913, 1.3895426457914564`}, {
       914, 1.4139444719263994`}, {914, 0}}]}, 
    {Hue[0.09644918711991478], 
     PolygonBox[{{914, 0}, {914, 1.4139444719263994`}, {
       915, 1.4388505384245776`}, {915, 0}}]}, 
    {Hue[0.09710861052905455], 
     PolygonBox[{{915, 0}, {915, 1.4388505384245776`}, {
       916, 1.4642750996869258`}, {916, 0}}]}, 
    {Hue[0.0978062054603436], 
     PolygonBox[{{916, 0}, {916, 1.4642750996869258`}, {
       917, 1.4902326766592286`}, {917, 0}}]}, 
    {Hue[0.0985429503938382], 
     PolygonBox[{{917, 0}, {917, 1.4902326766592286`}, {
       918, 1.5167380304941027`}, {918, 0}}]}, 
    {Hue[0.09931988417065232], 
     PolygonBox[{{918, 0}, {918, 1.5167380304941027`}, {
       919, 1.543806130362199}, {919, 0}}]}, 
    {Hue[0.10013810804263266`], 
     PolygonBox[{{919, 0}, {919, 1.543806130362199}, {
       920, 1.571452114561223}, {920, 0}}]}, 
    {Hue[0.10099878778266944`], 
     PolygonBox[{{920, 0}, {920, 1.571452114561223}, {
       921, 1.5996912439655713`}, {921, 0}}]}, 
    {Hue[0.10190315584368598`], 
     PolygonBox[{{921, 0}, {921, 1.5996912439655713`}, {
       922, 1.6285388467425115`}, {922, 0}}]}, 
    {Hue[0.1028525135514772], 
     PolygonBox[{{922, 0}, {922, 1.6285388467425115`}, {
       923, 1.6580102531328076`}, {923, 0}}]}, 
    {Hue[0.10384823331319042`], 
     PolygonBox[{{923, 0}, {923, 1.6580102531328076`}, {
       924, 1.688120718953775}, {924, 0}}]}, 
    {Hue[0.10489176081928282`], 
     PolygonBox[{{924, 0}, {924, 1.688120718953775}, {
       925, 1.7188853363310788`}, {925, 0}}]}, 
    {Hue[0.10598461721217321`], 
     PolygonBox[{{925, 0}, {925, 1.7188853363310788`}, {
       926, 1.7503189300024105`}, {926, 0}}]}, 
    {Hue[0.10712840118943952`], 
     PolygonBox[{{926, 0}, {926, 1.7503189300024105`}, {
       927, 1.7824359373619982`}, {927, 0}}]}, 
    {Hue[0.1083247910032021], 
     PolygonBox[{{927, 0}, {927, 1.7824359373619982`}, {
       928, 1.8152502702314992`}, {928, 0}}]}, 
    {Hue[0.10957554631017781`], 
     PolygonBox[{{928, 0}, {928, 1.8152502702314992`}, {
       929, 1.8487751561519863`}, {929, 0}}]}, 
    {Hue[0.11088250981867762`], 
     PolygonBox[{{929, 0}, {929, 1.8487751561519863`}, {
       930, 1.8830229567971635`}, {930, 0}}]}, 
    {Hue[0.11224760866944633`], 
     PolygonBox[{{930, 0}, {930, 1.8830229567971635`}, {
       931, 1.9180049609139518`}, {931, 0}}]}, 
    {Hue[0.11367285547658837`], 
     PolygonBox[{{931, 0}, {931, 1.9180049609139518`}, {
       932, 1.9537311490100706`}, {932, 0}}]}, 
    {Hue[0.11516034894279525`], 
     PolygonBox[{{932, 0}, {932, 1.9537311490100706`}, {
       933, 1.9902099268373457`}, {933, 0}}]}, 
    {Hue[0.11671227394958258`], 
     PolygonBox[{{933, 0}, {933, 1.9902099268373457`}, {
       934, 2.027447824575968}, {934, 0}}]}, 
    {Hue[0.11833090100819785`], 
     PolygonBox[{{934, 0}, {934, 2.027447824575968}, {
       935, 2.0654491585227683`}, {935, 0}}]}, 
    {Hue[0.120018584940224], 
     PolygonBox[{{935, 0}, {935, 2.0654491585227683`}, {
       936, 2.1042156520446857`}, {936, 0}}]}, 
    {Hue[0.12177776263870412`], 
     PolygonBox[{{936, 0}, {936, 2.1042156520446857`}, {
       937, 2.1437460125992653`}, {937, 0}}]}, 
    {Hue[0.12361094974091523`], 
     PolygonBox[{{937, 0}, {937, 2.1437460125992653`}, {
       938, 2.184035461775584}, {938, 0}}]}, 
    {Hue[0.12552073602291033`], 
     PolygonBox[{{938, 0}, {938, 2.184035461775584}, {
       939, 2.2250752156048885`}, {939, 0}}]}, 
    {Hue[0.127509779303914], 
     PolygonBox[{{939, 0}, {939, 2.2250752156048885`}, {
       940, 2.2668519128708233`}, {940, 0}}]}, 
    {Hue[0.12958079762607283`], 
     PolygonBox[{{940, 0}, {940, 2.2668519128708233`}, {
       941, 2.309346989860678}, {941, 0}}]}, 
    {Hue[0.13173655945257284`], 
     PolygonBox[{{941, 0}, {941, 2.309346989860678}, {
       942, 2.352536000995015}, {942, 0}}]}, 
    {Hue[0.13397987160567226`], 
     PolygonBox[{{942, 0}, {942, 2.352536000995015}, {
       943, 2.396387886111945}, {943, 0}}]}, 
    {Hue[0.1363135646469606], 
     PolygonBox[{{943, 0}, {943, 2.396387886111945}, {
       944, 2.4408641869278975`}, {944, 0}}]}, 
    {Hue[0.13874047538674186`], 
     PolygonBox[{{944, 0}, {944, 2.4408641869278975`}, {
       945, 2.4859182174136065`}, {945, 0}}]}, 
    {Hue[0.14126342619982157`], 
     PolygonBox[{{945, 0}, {945, 2.4859182174136065`}, {
       946, 2.5314941955752293`}, {946, 0}}]}, 
    {Hue[0.1438852008236211], 
     PolygonBox[{{946, 0}, {946, 2.5314941955752293`}, {
       947, 2.577526347469978}, {947, 0}}]}, 
    {Hue[0.14660851632436692`], 
     PolygonBox[{{947, 0}, {947, 2.577526347469978}, {
       948, 2.6239379982515305`}, {948, 0}}]}, 
    {Hue[0.14943599094155588`], 
     PolygonBox[{{948, 0}, {948, 2.6239379982515305`}, {
       949, 2.6706406696426033`}, {949, 0}}]}, 
    {Hue[0.15237010756382763`], 
     PolygonBox[{{949, 0}, {949, 2.6706406696426033`}, {
       950, 2.717533208440185}, {950, 0}}]}, 
    {Hue[0.15541317265501586`], 
     PolygonBox[{{950, 0}, {950, 2.717533208440185}, {
       951, 2.7645009763846855`}, {951, 0}}]}, 
    {Hue[0.1585672705418412], 
     PolygonBox[{{951, 0}, {951, 2.7645009763846855`}, {
       952, 2.811415137805233}, {952, 0}}]}, 
    {Hue[0.16183421309869955`], 
     PolygonBox[{{952, 0}, {952, 2.811415137805233}, {
       953, 2.8581320876322303`}, {953, 0}}]}, 
    {Hue[0.16521548502391814`], 
     PolygonBox[{{953, 0}, {953, 2.8581320876322303`}, {
       954, 2.9044930682774575`}, {954, 0}}]}, 
    {Hue[0.1687121850982408], 
     PolygonBox[{{954, 0}, {954, 2.9044930682774575`}, {
       955, 2.950324029030574}, {955, 0}}]}, 
    {Hue[0.17232496405086967`], 
     PolygonBox[{{955, 0}, {955, 2.950324029030574}, {
       956, 2.9954357853909994`}, {956, 0}}]}, 
    {Hue[0.1760539599291536], 
     PolygonBox[{{956, 0}, {956, 2.9954357853909994`}, {
       957, 3.039624537414216}, {957, 0}}]}, 
    {Hue[0.1798987321695189], 
     PolygonBox[{{957, 0}, {957, 3.039624537414216}, {
       958, 3.082672804885244}, {958, 0}}]}, 
    {Hue[0.18385819588953822`], 
     PolygonBox[{{958, 0}, {958, 3.082672804885244}, {
       959, 3.124350832097837}, {959, 0}}]}, 
    {Hue[0.18793055824913352`], 
     PolygonBox[{{959, 0}, {959, 3.124350832097837}, {
       960, 3.164418505433375}, {960, 0}}]}, 
    {Hue[0.19211325904223855`], 
     PolygonBox[{{960, 0}, {960, 3.164418505433375}, {
       961, 3.202627812190578}, {961, 0}}]}, 
    {Hue[0.19640291795298323`], 
     PolygonBox[{{961, 0}, {961, 3.202627812190578}, {
       962, 3.2387258489190978`}, {962, 0}}]}, 
    {Hue[0.20079529111228706`], 
     PolygonBox[{{962, 0}, {962, 3.2387258489190978`}, {
       963, 3.2724583620178387`}, {963, 0}}]}, 
    {Hue[0.20528523968888], 
     PolygonBox[{{963, 0}, {963, 3.2724583620178387`}, {
       964, 3.303573773324741}, {964, 0}}]}, 
    {Hue[0.20986671321067396`], 
     PolygonBox[{{964, 0}, {964, 3.303573773324741}, {
       965, 3.3318276102864983`}, {965, 0}}]}, 
    {Hue[0.21453275010979153`], 
     PolygonBox[{{965, 0}, {965, 3.3318276102864983`}, {
       966, 3.356987226195635}, {966, 0}}]}, 
    {Hue[0.21927549759764664`], 
     PolygonBox[{{966, 0}, {966, 3.356987226195635}, {
       967, 3.378836663683129}, {967, 0}}]}, 
    {Hue[0.22408625239880867`], 
     PolygonBox[{{967, 0}, {967, 3.378836663683129}, {
       968, 3.3971814873389627`}, {968, 0}}]}, 
    {Hue[0.2289555231146245], 
     PolygonBox[{{968, 0}, {968, 3.3971814873389627`}, {
       969, 3.4118533922769854`}, {969, 0}}]}, 
    {Hue[0.2338731140802322], 
     PolygonBox[{{969, 0}, {969, 3.4118533922769854`}, {
       970, 3.4227143876165074`}, {970, 0}}]}, 
    {Hue[0.23882822957206712`], 
     PolygonBox[{{970, 0}, {970, 3.4227143876165074`}, {
       971, 3.4296603593957564`}, {971, 0}}]}, 
    {Hue[0.2438095961850989], 
     PolygonBox[{{971, 0}, {971, 3.4296603593957564`}, {
       972, 3.4326238373419313`}, {972, 0}}]}, 
    {Hue[0.24880560020936765`], 
     PolygonBox[{{972, 0}, {972, 3.4326238373419313`}, {
       973, 3.4315758236945997`}, {973, 0}}]}, 
    {Hue[0.2538044359770707], 
     PolygonBox[{{973, 0}, {973, 3.4315758236945997`}, {
       974, 3.4265265878311806`}, {974, 0}}]}, 
    {Hue[0.25879426050132737`], 
     PolygonBox[{{974, 0}, {974, 3.4265265878311806`}, {
       975, 3.4175253842634223`}, {975, 0}}]}, 
    {Hue[0.26376334934674606`], 
     PolygonBox[{{975, 0}, {975, 3.4175253842634223`}, {
       976, 3.4046591091050606`}, {976, 0}}]}, 
    {Hue[0.26870024859662023`], 
     PolygonBox[{{976, 0}, {976, 3.4046591091050606`}, {
       977, 3.3880499663167947`}, {977, 0}}]}, 
    {Hue[0.2735939180193801], 
     PolygonBox[{{977, 0}, {977, 3.3880499663167947`}, {
       978, 3.3678522650511593`}, {978, 0}}]}, 
    {Hue[0.2784338610647217], 
     PolygonBox[{{978, 0}, {978, 3.3678522650511593`}, {
       979, 3.3442485091742142`}, {979, 0}}]}, 
    {Hue[0.28321023808750934`], 
     PolygonBox[{{979, 0}, {979, 3.3442485091742142`}, {
       980, 3.317444966734395}, {980, 0}}]}, 
    {Hue[0.2879139601346881], 
     PolygonBox[{{980, 0}, {980, 3.317444966734395}, {
       981, 3.2876669195202224`}, {981, 0}}]}, 
    {Hue[0.29253676165562253`], 
     PolygonBox[{{981, 0}, {981, 3.2876669195202224`}, {
       982, 3.255153791194101}, {982, 0}}]}, 
    {Hue[0.2970712515271431], 
     PolygonBox[{{982, 0}, {982, 3.255153791194101}, {
       983, 3.2201543384593965`}, {983, 0}}]}, 
    {Hue[0.3015109427467643], 
     PolygonBox[{{983, 0}, {983, 3.2201543384593965`}, {
       984, 3.1829220659492683`}, {984, 0}}]}, 
    {Hue[0.3058502619818296], 
     PolygonBox[{{984, 0}, {984, 3.1829220659492683`}, {
       985, 3.1437109951960913`}, {985, 0}}]}, 
    {Hue[0.31008454082854503`], 
     PolygonBox[{{985, 0}, {985, 3.1437109951960913`}, {
       986, 3.1027718844232792`}, {986, 0}}]}, 
    {Hue[0.31420999111310083`], 
     PolygonBox[{{986, 0}, {986, 3.1027718844232792`}, {
       987, 3.060348961994417}, {987, 0}}]}, 
    {Hue[0.3182236668559828], 
     PolygonBox[{{987, 0}, {987, 3.060348961994417}, {
       988, 3.0166772046139827`}, {988, 0}}]}, 
    {Hue[0.32212341563417995`], 
     PolygonBox[{{988, 0}, {988, 3.0166772046139827`}, {
       989, 2.9719801635773844`}, {989, 0}}]}, 
    {Hue[0.3259078220390363], 
     PolygonBox[{{989, 0}, {989, 2.9719801635773844`}, {
       990, 2.9264683195866152`}, {990, 0}}]}, 
    {Hue[0.3295761457710746], 
     PolygonBox[{{990, 0}, {990, 2.9264683195866152`}, {
       991, 2.880337929310962}, {991, 0}}]}, 
    {Hue[0.3331282566702682], 
     PolygonBox[{{991, 0}, {991, 2.880337929310962}, {
       992, 2.8337703148829796`}, {992, 0}}]}, 
    {Hue[0.3365645686827832], 
     PolygonBox[{{992, 0}, {992, 2.8337703148829796`}, {
       993, 2.7869315404016732`}, {993, 0}}]}, 
    {Hue[0.33988597444125196`], 
     PolygonBox[{{993, 0}, {993, 2.7869315404016732`}, {
       994, 2.7399724165517885`}, {994, 0}}]}, 
    {Hue[0.3430937818083756], 
     PolygonBox[{{994, 0}, {994, 2.7399724165517885`}, {
       995, 2.693028774815135}, {995, 0}}]}, 
    {Hue[0.3461896534206633], 
     PolygonBox[{{995, 0}, {995, 2.693028774815135}, {
       996, 2.646221955609127}, {996, 0}}]}, 
    {Hue[0.3491755499827372], 
     PolygonBox[{{996, 0}, {996, 2.646221955609127}, {
       997, 2.5996594592624964`}, {997, 0}}]}, 
    {Hue[0.35205367781031666`], 
     PolygonBox[{{997, 0}, {997, 2.5996594592624964`}, {
       998, 2.553435714352726}, {998, 0}}]}, 
    {Hue[0.3548264409053272], 
     PolygonBox[{{998, 0}, {998, 2.553435714352726}, {
       999, 2.507632924033198}, {999, 0}}]}, 
    {Hue[0.35749639766996494`], 
     PolygonBox[{{999, 0}, {999, 2.507632924033198}, {
       1000, 2.4623219571441757`}, {1000, 0}}]}, 
    {Hue[0.3600662222262793], 
     PolygonBox[{{1000, 0}, {1000, 2.4623219571441757`}, {
       1001, 2.417563256823005}, {1001, 0}}]}}, 
   LineBox[{{1, 2.417563256823005}, {2, 2.4623219571441757`}, {
     3, 2.507632924033198}, {4, 2.5534357143527298`}, {
     5, 2.5996594592624964`}, {6, 2.646221955609127}, {
     7, 2.693028774815135}, {8, 2.7399724165517934`}, {
     9, 2.7869315404016732`}, {10, 2.8337703148829796`}, {
     11, 2.880337929310962}, {12, 2.92646831958662}, {
     13, 2.9719801635773844`}, {14, 3.0166772046139827`}, {
     15, 3.060348961994417}, {16, 3.102771884423284}, {
     17, 3.1437109951960913`}, {18, 3.1829220659492683`}, {
     19, 3.2201543384593965`}, {20, 3.2551537911941044`}, {
     21, 3.2876669195202224`}, {22, 3.317444966734395}, {
     23, 3.3442485091742142`}, {24, 3.3678522650511598`}, {
     25, 3.3880499663167947`}, {26, 3.4046591091050606`}, {
     27, 3.4175253842634223`}, {28, 3.4265265878311806`}, {
     29, 3.4315758236945997`}, {30, 3.4326238373419313`}, {
     31, 3.4296603593957564`}, {32, 3.4227143876165074`}, {
     33, 3.411853392276984}, {34, 3.3971814873389627`}, {
     35, 3.378836663683129}, {36, 3.356987226195635}, {
     37, 3.331827610286496}, {38, 3.303573773324741}, {
     39, 3.2724583620178387`}, {40, 3.2387258489190978`}, {
     41, 3.202627812190574}, {42, 3.164418505433375}, {
     43, 3.124350832097837}, {44, 3.082672804885244}, {
     45, 3.0396245374142135`}, {46, 2.9954357853909994`}, {
     47, 2.950324029030574}, {48, 2.9044930682774575`}, {
     49, 2.858132087632226}, {50, 2.811415137805233}, {
     51, 2.7645009763846855`}, {52, 2.717533208440185}, {
     53, 2.6706406696426033`}, {54, 2.6239379982515265`}, {
     55, 2.577526347469978}, {56, 2.5314941955752293`}, {
     57, 2.4859182174136065`}, {58, 2.4408641869278944`}, {
     59, 2.396387886111945}, {60, 2.352536000995015}, {
     61, 2.309346989860678}, {62, 2.2668519128708198`}, {
     63, 2.2250752156048885`}, {64, 2.184035461775584}, {
     65, 2.1437460125992653`}, {66, 2.104215652044682}, {
     67, 2.0654491585227683`}, {68, 2.027447824575968}, {
     69, 1.9902099268373457`}, {70, 1.9537311490100666`}, {
     71, 1.9180049609139518`}, {72, 1.8830229567971635`}, {
     73, 1.8487751561519863`}, {74, 1.8152502702314963`}, {
     75, 1.7824359373619982`}, {76, 1.7503189300024105`}, {
     77, 1.7188853363310788`}, {78, 1.688120718953775}, {
     79, 1.6580102531328076`}, {80, 1.6285388467425115`}, {
     81, 1.5996912439655713`}, {82, 1.571452114561223}, {
     83, 1.5438061303621962`}, {84, 1.5167380304941027`}, {
     85, 1.4902326766592286`}, {86, 1.4642750996869258`}, {
     87, 1.4388505384245753`}, {88, 1.4139444719263994`}, {
     89, 1.3895426457914564`}, {90, 1.3656310934065585`}, {
     91, 1.3421961527636561`}, {92, 1.3192244794440129`}, {
     93, 1.2967030562922541`}, {94, 1.2746192002416719`}, {
     95, 1.252960566697055}, {96, 1.2317151518324205`}, {
     97, 1.2108712931174994`}, {98, 1.1904176683483874`}, {
     99, 1.1703432934236013`}, {100, 1.150637519076697}, {
     101, 1.131290026749965}, {102, 1.1122908237703237`}, {
     103, 1.0936302379678378`}, {104, 1.0752989118591516`}, {
     105, 1.0572877965022083`}, {106, 1.0395881451146216`}, {
     107, 1.022191506535832}, {108, 1.0050897186025007`}, {
     109, 0.988274901497227}, {110, 0.9717394511225705}, {
     111, 0.9554760325452746}, {112, 0.9394775735494824}, {
     113, 0.9237372583324318}, {114, 0.908248521371588}, {
     115, 0.8930050414882367}, {116, 0.8780007361292895}, {
     117, 0.8632297558861886}, {118, 0.848686479267484}, {
     119, 0.8343655077396616}, {120, 0.8202616610492265}, {
     121, 0.8063699728377254}, {122, 0.7926856865604143}, {
     123, 0.7792042517184735}, {124, 0.7659213204141657}, {
     125, 0.7528327442379384}, {126, 0.7399345714963186}, {
     127, 0.7272230447893754}, {128, 0.714694598946642}, {
     129, 0.7023458593305423}, {130, 0.6901736405166721}, {
     131, 0.6781749453605979}, {132, 0.6663469644612235}, {
     133, 0.6546870760311746}, {134, 0.6431928461850139}, {
     135, 0.6318620296564814}, {136, 0.6206925709561847}, {
     137, 0.609682605981362}, {138, 0.5988304640893043}, {
     139, 0.5881346706458351}, {140, 0.577593950059727}, {
     141, 0.5672072293131069}, {142, 0.5569736419965962}, {
     143, 0.5468925328561159}, {144, 0.5369634628557776}, {
     145, 0.5271862147580078}, {146, 0.5175607992177871}, {
     147, 0.5080874613825191}, {148, 0.4987666879822944}, {
     149, 0.48959921488704927`}, {150, 0.48058603509696607`}, {
     151, 0.47172840712027536`}, {152, 0.4630278636779758}, {
     153, 0.4544862206576981}, {154, 0.44610558621856905`}, {
     155, 0.4378883699253038}, {156, 0.4298372917624667}, {
     157, 0.42195539084880085`}, {158, 0.4142460336365086}, {
     159, 0.4067129213414456}, {160, 0.3993600963075726}, {
     161, 0.39219194696312154`}, {162, 0.38521321097766054`}, {
     163, 0.37842897617974636`}, {164, 0.37184467874598587`}, {
     165, 0.3654660981263813}, {166, 0.35929934813097936`}, {
     167, 0.3533508635728194}, {168, 0.347627381846654}, {
     169, 0.34213591882710703`}, {170, 0.33688373849974457`}, {
     171, 0.3318783157999753}, {172, 0.3271272922337773}, {
     173, 0.3226384239960574}, {174, 0.31841952249072486`}, {
     175, 0.3144783873925275}, {176, 0.310822732672404}, {
     177, 0.3074601063292618}, {178, 0.3043978049206642}, {
     179, 0.3016427843465241}, {180, 0.29920156869229336`}, {
     181, 0.29708015925590414`}, {182, 0.29528394613816555`}, {
     183, 0.2938176249417962}, {184, 0.292685121175285}, {
     185, 0.29188952487614533`}, {186, 0.29143303774505375`}, {
     187, 0.29131693472061565`}, {188, 0.29154154143940825`}, {
     189, 0.2921062284449227}, {190, 0.2930094223691989}, {
     191, 0.294248633655739}, {192, 0.2958204997666852}, {
     193, 0.2977208422631487}, {194, 0.29994473569935254`}, {
     195, 0.3024865859526038}, {196, 0.30534021543338724`}, {
     197, 0.3084989525819398}, {198, 0.31195572314748965`}, {
     199, 0.3157031409433391}, {200, 0.31973359604934076`}, {
     201, 0.324039338765039}, {202, 0.3286125579746783}, {
     203, 0.33344545294513145`}, {204, 0.3385302979198541}, {
     205, 0.34385949918151604`}, {206, 0.3494256445235595}, {
     207, 0.3552215452917484}, {208, 0.3612402713299742}, {
     209, 0.3674751792923077}, {210, 0.37391993486974545`}, {
     211, 0.38056852953082887`}, {212, 0.38741529239628725`}, {
     213, 0.39445489786517196`}, {214, 0.4016823695892508}, {
     215, 0.40909308135883365`}, {216, 0.4166827554209975}, {
     217, 0.42444745870403544`}, {218, 0.4323835973726282}, {
     219, 0.4404879100889934}, {220, 0.44875746030761465`}, {
     221, 0.45718962788627027`}, {222, 0.4657821002545632}, {
     223, 0.47453286334350614`}, {224, 0.48344019244593445`}, {
     225, 0.4925026431477232}, {226, 0.5017190424436649}, {
     227, 0.511088480129326}, {228, 0.5206103005408271}, {
     229, 0.5302840946980975}, {230, 0.5401096928933055}, {
     231, 0.55008715775468}, {232, 0.5602167778063959}, {
     233, 0.570499061537459}, {234, 0.5809347319862206}, {
     235, 0.5915247218421724}, {236, 0.6022701690627418}, {
     237, 0.613172412999769}, {238, 0.6242329910281189}, {
     239, 0.6354536356671805}, {240, 0.6468362721849269}, {
     241, 0.6583830166734275}, {242, 0.6700961745843531}, {
     243, 0.6819782397128307}, {244, 0.6940318936180988}, {
     245, 0.7062600054695745}, {246, 0.7186656323072812}, {
     247, 0.7312520197059096}, {248, 0.7440226028322129}, {
     249, 0.7569810078857947}, {250, 0.7701310539137454}, {
     251, 0.7834767549898709}, {252, 0.7970223227495375}, {
     253, 0.8107721692712812}, {254, 0.8247309102964058}, {
     255, 0.8389033687776825}, {256, 0.8532945787480519}, {
     257, 0.8679097894997816}, {258, 0.8827544700639607}, {
     259, 0.8978343139793286}, {260, 0.9131552443383709}, {
     261, 0.9287234190972201}, {262, 0.944545236634167}, {
     263, 0.9606273415395494}, {264, 0.9769766306172323}, {
     265, 0.993600259074986}, {266, 1.0105056468775109`}, {
     267, 1.0277004852318197`}, {268, 1.0451927431698491`}, {
     269, 1.0629906741876982`}, {270, 1.0811028228944113`}, {
     271, 1.0995380316158987`}, {272, 1.1183054468910296`}, {
     273, 1.1374145257872348`}, {274, 1.15687504195173}, {
     275, 1.176697091301763}, {276, 1.196891097242638}, {
     277, 1.2174678152857403`}, {278, 1.2384383369197727`}, {
     279, 1.2598140925670158`}, {280, 1.2816068534319145`}, {
     281, 1.3038287320216952`}, {282, 1.3264921810873047`}, {
     283, 1.3496099906975556`}, {284, 1.373195283119297}, {
     285, 1.3972615051312876`}, {286, 1.421822417348653}, {
     287, 1.4468920800776297`}, {288, 1.4724848351563224`}, {
     289, 1.4986152831654425`}, {290, 1.5252982553130292`}, {
     291, 1.5525487792080372`}, {292, 1.580382037638862}, {
     293, 1.6088133193635277`}, {294, 1.6378579607980193`}, {
     295, 1.6675312773572866`}, {296, 1.697848483059954}, {
     297, 1.7288245968522369`}, {298, 1.7604743339398818`}, {
     299, 1.7928119802395879`}, {300, 1.8258512478753377`}, {
     301, 1.8596051094525754`}, {302, 1.894085608648243}, {
     303, 1.9293036444622458`}, {304, 1.9652687262933393`}, {
     305, 2.0019886968388962`}, {306, 2.0394694196858913`}, {
     307, 2.07771442837539}, {308, 2.116724533704401}, {
     309, 2.1564973861017296`}, {310, 2.197026990107997}, {
     311, 2.2383031683401025`}, {312, 2.2803109728691515`}, {
     313, 2.323030042736955}, {314, 2.3664339074347533`}, {
     315, 2.4104892376292466`}, {316, 2.4551550463096614`}, {
     317, 2.5003818459101166`}, {318, 2.5461107698948164`}, {
     319, 2.592272670829625}, {320, 2.638787211132612}, {
     321, 2.6855619674970246`}, {322, 2.732491575365895}, {
     323, 2.779456945698226}, {324, 2.826324592411627}, {
     325, 2.872946115024973}, {326, 2.9191578867508277`}, {
     327, 2.964781003069798}, {328, 3.009621549001298}, {
     329, 3.053471244104301}, {330, 3.0961085218656996`}, {
     331, 3.1373000937293956`}, {332, 3.176803036845692}, {
     333, 3.2143674281533077`}, {334, 3.249739525478691}, {
     335, 3.282665469285343}, {336, 3.3128954474929615`}, {
     337, 3.34018823207633}, {338, 3.364315962301607}, {
     339, 3.3850690183884122`}, {340, 3.4022608043521823`}, {
     341, 3.4157322430042165`}, {342, 3.425355782320313}, {
     343, 3.4310387224681915`}, {344, 3.4327256972392663`}, {
     345, 3.4304001814542904`}, {346, 3.42408494453861}, {
     347, 3.413841425995267}, {348, 3.3997680661648597`}, {
     349, 3.3819976803972867`}, {350, 3.3606940118971673`}, {
     351, 3.336047634332354}, {352, 3.308271397486986}, {
     353, 3.277595617041624}, {354, 3.244263203731856}, {
     355, 3.208524909683479}, {356, 3.1706348435057907`}, {
     357, 3.130846373999051}, {358, 3.089408508319218}, {
     359, 3.046562796990261}, {360, 3.002540787511276}, {
     361, 2.957562022022738}, {362, 2.9118325534303646`}, {
     363, 2.8655439387831385`}, {364, 2.818872658330337}, {
     365, 2.7719799029728325`}, {366, 2.7250116710136094`}, {
     367, 2.6780991163624273`}, {368, 2.631359093835423}, {
     369, 2.5848948521639556`}, {370, 2.5387968311511697`}, {
     371, 2.4931435255784855`}, {372, 2.448002384580521}, {
     373, 2.4034307210025285`}, {374, 2.359476610552536}, {
     375, 2.316179765262361}, {376, 2.273572369839035}, {
     377, 2.231679872925511}, {378, 2.190521728131045}, {
     379, 2.1501120819896125`}, {380, 2.1104604078209155`}, {
     381, 2.071572085867996}, {382, 2.033448931131864}, {
     383, 1.9960896710767544`}, {384, 1.9594903758936122`}, {
     385, 1.9236448443319585`}, {386, 1.8885449482823395`}, {
     387, 1.8541809393479631`}, {388, 1.8205417206136092`}, {
     389, 1.7876150867261265`}, {390, 1.755387935262753}, {
     391, 1.723846452196215}, {392, 1.6929762740807974`}, {
     393, 1.6627626293903885`}, {394, 1.6331904612445762`}, {
     395, 1.604244533567282}, {396, 1.5759095225375437`}, {
     397, 1.5481700950163886`}, {398, 1.5210109754687136`}, {
     399, 1.4944170027455148`}, {400, 1.4683731779501288`}, {
     401, 1.4428647044820953`}, {402, 1.417877021233777}, {
     403, 1.393395829807239}, {404, 1.3694071165216868`}, {
     405, 1.3458971698941324`}, {406, 1.3228525941973395`}, {
     407, 1.3002603196286688`}, {408, 1.2781076095605344`}, {
     409, 1.2563820652871136`}, {410, 1.2350716286320806`}, {
     411, 1.2141645827378191`}, {412, 1.1936495513173204`}, {
     413, 1.1735154966151806`}, {414, 1.1537517162933963`}, {
     415, 1.1343478394305064`}, {416, 1.1152938217987116`}, {
     417, 1.096579940562533}, {418, 1.0781967885240331`}, {
     419, 1.0601352680233638`}, {420, 1.0423865845891145`}, {
     421, 1.024942240420442}, {422, 1.0077940277720325`}, {
     423, 0.9909340223033906}, {424, 0.9743545764456529}, {
     425, 0.9580483128318883}, {426, 0.942008117830584}, {
     427, 0.9262271352166024}, {428, 0.9106987600092366}, {
     429, 0.8954166325029831}, {430, 0.8803746325132586}, {
     431, 0.86556687385638}, {432, 0.8509876990807144}, {
     433, 0.8366316744638809}, {434, 0.8224935852892225}, {
     435, 0.8085684314134383}, {436, 0.7948514231362066}, {
     437, 0.7813379773818258}, {438, 0.768023714202326}, {
     439, 0.7549044536111109}, {440, 0.7419762127559871}, {
     441, 0.7292352034403645}, {442, 0.7166778300014834}, {
     443, 0.7043006875546974}, {444, 0.6921005606130929}, {
     445, 0.6800744220920681}, {446, 0.6682194327088531}, {
     447, 0.6565329407873504}, {448, 0.6450124824790696}, {
     449, 0.6336557824112738}, {450, 0.6224607547737513}, {
     451, 0.6114255048557959}, {452, 0.6005483310450171}, {
     453, 0.5898277272994114}, {454, 0.5792623861036877}, {
     455, 0.5688512019200538}, {456, 0.5585932751424517}, {
     457, 0.5484879165615011}, {458, 0.5385346523450261}, {
     459, 0.5287332295358853}, {460, 0.5190836220647482}, {
     461, 0.5095860372702581}, {462, 0.5002409229125371}, {
     463, 0.4910489746579478}, {464, 0.4820111440032227}, {
     465, 0.4731286465952039}, {466, 0.464402970888225}, {
     467, 0.45583588706429706`}, {468, 0.44742945612142665`}, {
     469, 0.4391860390122796}, {470, 0.4311083056887368}, {
     471, 0.4231992438774413}, {472, 0.4154621673770617}, {
     473, 0.4079007236296938}, {474, 0.40051890027675924`}, {
     475, 0.3933210303643579}, {476, 0.38631179581506153`}, {
     477, 0.3794962287337359}, {478, 0.37287971006586274`}, {
     479, 0.3664679650802437}, {480, 0.36026705510689433`}, {
     481, 0.3542833649290702}, {482, 0.3485235852101875}, {
     483, 0.34299468933708455`}, {484, 0.33770390408638284`}, {
     485, 0.3326586735767155}, {486, 0.3278666160622932}, {
     487, 0.32333547325799183`}, {488, 0.3190730520668612}, {
     489, 0.3150871588093671}, {490, 0.31138552632838806`}, {
     491, 0.307975734659485}, {492, 0.3048651263019561}, {
     493, 0.302060717487196}, {494, 0.29956910719634466`}, {
     495, 0.29739638600431884`}, {496, 0.29554804709457116`}, {
     497, 0.29402890197049397`}, {498, 0.2928430034600401}, {
     499, 0.29199357855050057`}, {500, 0.29148297338996004`}, {
     501, 0.2913126124515909}, {502, 0.29148297338996004`}, {
     503, 0.2919935785505006}, {504, 0.2928430034600401}, {
     505, 0.29402890197049397`}, {506, 0.29554804709457116`}, {
     507, 0.29739638600431884`}, {508, 0.2995691071963448}, {
     509, 0.30206071748719604`}, {510, 0.30486512630195617`}, {
     511, 0.3079757346594851}, {512, 0.3113855263283881}, {
     513, 0.3150871588093672}, {514, 0.31907305206686126`}, {
     515, 0.3233354732579919}, {516, 0.32786661606229334`}, {
     517, 0.3326586735767156}, {518, 0.3377039040863829}, {
     519, 0.3429946893370846}, {520, 0.3485235852101876}, {
     521, 0.35428336492907037`}, {522, 0.36026705510689444`}, {
     523, 0.36646796508024376`}, {524, 0.37287971006586285`}, {
     525, 0.379496228733736}, {526, 0.3863117958150617}, {
     527, 0.39332103036435817`}, {528, 0.40051890027675935`}, {
     529, 0.407900723629694}, {530, 0.4154621673770619}, {
     531, 0.4231992438774415}, {532, 0.431108305688737}, {
     533, 0.43918603901227965`}, {534, 0.44742945612142676`}, {
     535, 0.4558358870642973}, {536, 0.46440297088822524`}, {
     537, 0.47312864659520415`}, {538, 0.482011144003223}, {
     539, 0.491048974657948}, {540, 0.5002409229125373}, {
     541, 0.5095860372702582}, {542, 0.5190836220647483}, {
     543, 0.5287332295358855}, {544, 0.5385346523450264}, {
     545, 0.5484879165615015}, {546, 0.5585932751424518}, {
     547, 0.568851201920054}, {548, 0.5792623861036881}, {
     549, 0.5898277272994116}, {550, 0.6005483310450175}, {
     551, 0.611425504855796}, {552, 0.6224607547737515}, {
     553, 0.6336557824112743}, {554, 0.6450124824790698}, {
     555, 0.6565329407873508}, {556, 0.6682194327088534}, {
     557, 0.6800744220920683}, {558, 0.692100560613093}, {
     559, 0.7043006875546977}, {560, 0.7166778300014839}, {
     561, 0.7292352034403647}, {562, 0.7419762127559874}, {
     563, 0.754904453611111}, {564, 0.7680237142023262}, {
     565, 0.7813379773818261}, {566, 0.7948514231362068}, {
     567, 0.8085684314134386}, {568, 0.8224935852892226}, {
     569, 0.8366316744638811}, {570, 0.8509876990807146}, {
     571, 0.8655668738563801}, {572, 0.880374632513259}, {
     573, 0.8954166325029834}, {574, 0.9106987600092368}, {
     575, 0.9262271352166027}, {576, 0.9420081178305844}, {
     577, 0.9580483128318887}, {578, 0.9743545764456533}, {
     579, 0.990934022303391}, {580, 1.007794027772033}, {
     581, 1.0249422404204425`}, {582, 1.0423865845891147`}, {
     583, 1.0601352680233642`}, {584, 1.0781967885240333`}, {
     585, 1.0965799405625334`}, {586, 1.1152938217987118`}, {
     587, 1.1343478394305069`}, {588, 1.153751716293397}, {
     589, 1.1735154966151813`}, {590, 1.1936495513173209`}, {
     591, 1.2141645827378198`}, {592, 1.2350716286320809`}, {
     593, 1.256382065287114}, {594, 1.2781076095605346`}, {
     595, 1.3002603196286693`}, {596, 1.32285259419734}, {
     597, 1.3458971698941327`}, {598, 1.3694071165216875`}, {
     599, 1.3933958298072395`}, {600, 1.4178770212337775`}, {
     601, 1.4428647044820966`}, {602, 1.4683731779501292`}, {
     603, 1.4944170027455148`}, {604, 1.5210109754687136`}, {
     605, 1.5481700950163895`}, {606, 1.5759095225375441`}, {
     607, 1.6042445335672828`}, {608, 1.633190461244577}, {
     609, 1.6627626293903894`}, {610, 1.6929762740807983`}, {
     611, 1.7238464521962158`}, {612, 1.7553879352627544`}, {
     613, 1.787615086726127}, {614, 1.8205417206136099`}, {
     615, 1.854180939347964}, {616, 1.8885449482823409`}, {
     617, 1.9236448443319594`}, {618, 1.9594903758936129`}, {
     619, 1.996089671076755}, {620, 2.033448931131865}, {
     621, 2.071572085867997}, {622, 2.110460407820917}, {
     623, 2.1501120819896133`}, {624, 2.190521728131046}, {
     625, 2.2316798729255116`}, {626, 2.2735723698390364`}, {
     627, 2.316179765262363}, {628, 2.359476610552537}, {
     629, 2.4034307210025285`}, {630, 2.4480023845805214`}, {
     631, 2.4931435255784873`}, {632, 2.538796831151171}, {
     633, 2.5848948521639565`}, {634, 2.631359093835424}, {
     635, 2.6780991163624277`}, {636, 2.72501167101361}, {
     637, 2.771979902972833}, {638, 2.818872658330337}, {
     639, 2.8655439387831403`}, {640, 2.9118325534303655`}, {
     641, 2.9575620220227408`}, {642, 3.0025407875112764`}, {
     643, 3.046562796990262}, {644, 3.0894085083192193`}, {
     645, 3.1308463739990517`}, {646, 3.1706348435057916`}, {
     647, 3.2085249096834803`}, {648, 3.244263203731857}, {
     649, 3.277595617041625}, {650, 3.3082713974869873`}, {
     651, 3.336047634332355}, {652, 3.36069401189717}, {
     653, 3.381997680397286}, {654, 3.3997680661648597`}, {
     655, 3.413841425995267}, {656, 3.4240849445386097`}, {
     657, 3.4304001814542904`}, {658, 3.4327256972392663`}, {
     659, 3.4310387224681893`}, {660, 3.425355782320313}, {
     661, 3.4157322430042165`}, {662, 3.4022608043521827`}, {
     663, 3.385069018388413}, {664, 3.364315962301606}, {
     665, 3.3401882320763288`}, {666, 3.3128954474929615`}, {
     667, 3.282665469285343}, {668, 3.2497395254786907`}, {
     669, 3.214367428153307}, {670, 3.176803036845691}, {
     671, 3.1373000937293947`}, {672, 3.0961085218656996`}, {
     673, 3.0534712441043004`}, {674, 3.0096215490012956`}, {
     675, 2.9647810030697963`}, {676, 2.919157886750826}, {
     677, 2.87294611502497}, {678, 2.826324592411625}, {
     679, 2.7794569456982243`}, {680, 2.732491575365895}, {
     681, 2.685561967497023}, {682, 2.6387872111326103`}, {
     683, 2.5922726708296246`}, {684, 2.546110769894815}, {
     685, 2.5003818459101153`}, {686, 2.455155046309661}, {
     687, 2.4104892376292457`}, {688, 2.3664339074347525`}, {
     689, 2.3230300427369537`}, {690, 2.2803109728691497`}, {
     691, 2.238303168340101}, {692, 2.197026990107996}, {
     693, 2.1564973861017287`}, {694, 2.1167245337044}, {
     695, 2.0777144283753888`}, {696, 2.03946941968589}, {
     697, 2.001988696838895}, {698, 1.9652687262933382`}, {
     699, 1.9293036444622451`}, {700, 1.894085608648242}, {
     701, 1.8596051094525754`}, {702, 1.825851247875336}, {
     703, 1.7928119802395879`}, {704, 1.7604743339398805`}, {
     705, 1.7288245968522369`}, {706, 1.697848483059953}, {
     707, 1.6675312773572866`}, {708, 1.6378579607980175`}, {
     709, 1.6088133193635277`}, {710, 1.5803820376388602`}, {
     711, 1.5525487792080372`}, {712, 1.525298255313028}, {
     713, 1.4986152831654425`}, {714, 1.4724848351563216`}, {
     715, 1.4468920800776297`}, {716, 1.421822417348652}, {
     717, 1.3972615051312876`}, {718, 1.373195283119297}, {
     719, 1.3496099906975556`}, {720, 1.3264921810873047`}, {
     721, 1.3038287320216944`}, {722, 1.2816068534319145`}, {
     723, 1.259814092567015}, {724, 1.2384383369197727`}, {
     725, 1.2174678152857394`}, {726, 1.196891097242638}, {
     727, 1.1766970913017618`}, {728, 1.15687504195173}, {
     729, 1.137414525787234}, {730, 1.1183054468910296`}, {
     731, 1.099538031615898}, {732, 1.0811028228944113`}, {
     733, 1.0629906741876975`}, {734, 1.0451927431698491`}, {
     735, 1.0277004852318188`}, {736, 1.0105056468775109`}, {
     737, 0.9936002590749853}, {738, 0.9769766306172323}, {
     739, 0.9606273415395488}, {740, 0.944545236634167}, {
     741, 0.9287234190972194}, {742, 0.9131552443383709}, {
     743, 0.8978343139793279}, {744, 0.8827544700639607}, {
     745, 0.8679097894997816}, {746, 0.8532945787480514}, {
     747, 0.8389033687776825}, {748, 0.824730910296405}, {
     749, 0.8107721692712812}, {750, 0.7970223227495369}, {
     751, 0.7834767549898709}, {752, 0.7701310539137448}, {
     753, 0.7569810078857947}, {754, 0.7440226028322124}, {
     755, 0.7312520197059096}, {756, 0.7186656323072808}, {
     757, 0.7062600054695745}, {758, 0.6940318936180981}, {
     759, 0.6819782397128307}, {760, 0.6700961745843526}, {
     761, 0.6583830166734275}, {762, 0.6468362721849265}, {
     763, 0.6354536356671805}, {764, 0.6242329910281185}, {
     765, 0.613172412999769}, {766, 0.6022701690627412}, {
     767, 0.5915247218421724}, {768, 0.5809347319862201}, {
     769, 0.570499061537459}, {770, 0.5602167778063959}, {
     771, 0.5500871577546795}, {772, 0.5401096928933055}, {
     773, 0.530284094698097}, {774, 0.5206103005408271}, {
     775, 0.5110884801293256}, {776, 0.5017190424436649}, {
     777, 0.4925026431477228}, {778, 0.48344019244593445`}, {
     779, 0.4745328633435057}, {780, 0.4657821002545632}, {
     781, 0.4571896278862699}, {782, 0.44875746030761465`}, {
     783, 0.4404879100889929}, {784, 0.4323835973726282}, {
     785, 0.424447458704035}, {786, 0.4166827554209975}, {
     787, 0.4090930813588333}, {788, 0.4016823695892508}, {
     789, 0.3944548978651716}, {790, 0.38741529239628725`}, {
     791, 0.3805685295308286}, {792, 0.37391993486974545`}, {
     793, 0.36747517929230744`}, {794, 0.3612402713299742}, {
     795, 0.3552215452917484}, {796, 0.3494256445235595}, {
     797, 0.34385949918151604`}, {798, 0.3385302979198539}, {
     799, 0.33344545294513145`}, {800, 0.3286125579746781}, {
     801, 0.324039338765039}, {802, 0.3197335960493406}, {
     803, 0.3157031409433391}, {804, 0.3119557231474894}, {
     805, 0.3084989525819398}, {806, 0.3053402154333871}, {
     807, 0.3024865859526038}, {808, 0.2999447356993524}, {
     809, 0.2977208422631487}, {810, 0.295820499766685}, {
     811, 0.294248633655739}, {812, 0.2930094223691988}, {
     813, 0.2921062284449227}, {814, 0.29154154143940825`}, {
     815, 0.29131693472061565`}, {816, 0.29143303774505375`}, {
     817, 0.29188952487614533`}, {818, 0.2926851211752851}, {
     819, 0.2938176249417962}, {820, 0.29528394613816555`}, {
     821, 0.29708015925590414`}, {822, 0.29920156869229336`}, {
     823, 0.3016427843465242}, {824, 0.3043978049206642}, {
     825, 0.30746010632926196`}, {826, 0.310822732672404}, {
     827, 0.3144783873925277}, {828, 0.31841952249072486`}, {
     829, 0.3226384239960577}, {830, 0.3271272922337773}, {
     831, 0.3318783157999755}, {832, 0.33688373849974457`}, {
     833, 0.3421359188271072}, {834, 0.347627381846654}, {
     835, 0.35335086357281975`}, {836, 0.35929934813097936`}, {
     837, 0.3654660981263816}, {838, 0.37184467874598587`}, {
     839, 0.37842897617974675`}, {840, 0.38521321097766054`}, {
     841, 0.3921919469631218}, {842, 0.3993600963075726}, {
     843, 0.40671292134144593`}, {844, 0.4142460336365086}, {
     845, 0.4219553908488011}, {846, 0.4298372917624667}, {
     847, 0.4378883699253038}, {848, 0.4461055862185694}, {
     849, 0.4544862206576981}, {850, 0.4630278636779762}, {
     851, 0.47172840712027536`}, {852, 0.48058603509696657`}, {
     853, 0.48959921488704927`}, {854, 0.4987666879822948}, {
     855, 0.5080874613825191}, {856, 0.5175607992177876}, {
     857, 0.5271862147580078}, {858, 0.5369634628557781}, {
     859, 0.5468925328561159}, {860, 0.5569736419965965}, {
     861, 0.5672072293131069}, {862, 0.5775939500597276}, {
     863, 0.5881346706458351}, {864, 0.5988304640893048}, {
     865, 0.609682605981362}, {866, 0.6206925709561852}, {
     867, 0.6318620296564814}, {868, 0.6431928461850144}, {
     869, 0.6546870760311746}, {870, 0.666346964461224}, {
     871, 0.6781749453605979}, {872, 0.6901736405166721}, {
     873, 0.7023458593305426}, {874, 0.714694598946642}, {
     875, 0.7272230447893758}, {876, 0.7399345714963186}, {
     877, 0.7528327442379391}, {878, 0.7659213204141657}, {
     879, 0.779204251718474}, {880, 0.7926856865604143}, {
     881, 0.806369972837726}, {882, 0.8202616610492265}, {
     883, 0.8343655077396622}, {884, 0.848686479267484}, {
     885, 0.8632297558861892}, {886, 0.8780007361292895}, {
     887, 0.8930050414882371}, {888, 0.908248521371588}, {
     889, 0.9237372583324326}, {890, 0.9394775735494824}, {
     891, 0.9554760325452752}, {892, 0.9717394511225705}, {
     893, 0.9882749014972276}, {894, 1.0050897186025007`}, {
     895, 1.0221915065358327`}, {896, 1.0395881451146216`}, {
     897, 1.0572877965022083`}, {898, 1.0752989118591516`}, {
     899, 1.0936302379678378`}, {900, 1.1122908237703244`}, {
     901, 1.131290026749965}, {902, 1.150637519076697}, {
     903, 1.170343293423603}, {904, 1.1904176683483874`}, {
     905, 1.2108712931174994`}, {906, 1.2317151518324205`}, {
     907, 1.2529605666970567`}, {908, 1.2746192002416719`}, {
     909, 1.2967030562922541`}, {910, 1.3192244794440129`}, {
     911, 1.3421961527636583`}, {912, 1.3656310934065585`}, {
     913, 1.3895426457914564`}, {914, 1.4139444719263994`}, {
     915, 1.4388505384245776`}, {916, 1.4642750996869258`}, {
     917, 1.4902326766592286`}, {918, 1.5167380304941027`}, {
     919, 1.543806130362199}, {920, 1.571452114561223}, {
     921, 1.5996912439655713`}, {922, 1.6285388467425115`}, {
     923, 1.6580102531328076`}, {924, 1.688120718953775}, {
     925, 1.7188853363310788`}, {926, 1.7503189300024105`}, {
     927, 1.7824359373619982`}, {928, 1.8152502702314992`}, {
     929, 1.8487751561519863`}, {930, 1.8830229567971635`}, {
     931, 1.9180049609139518`}, {932, 1.9537311490100706`}, {
     933, 1.9902099268373457`}, {934, 2.027447824575968}, {
     935, 2.0654491585227683`}, {936, 2.1042156520446857`}, {
     937, 2.1437460125992653`}, {938, 2.184035461775584}, {
     939, 2.2250752156048885`}, {940, 2.2668519128708233`}, {
     941, 2.309346989860678}, {942, 2.352536000995015}, {
     943, 2.396387886111945}, {944, 2.4408641869278975`}, {
     945, 2.4859182174136065`}, {946, 2.5314941955752293`}, {
     947, 2.577526347469978}, {948, 2.6239379982515305`}, {
     949, 2.6706406696426033`}, {950, 2.717533208440185}, {
     951, 2.7645009763846855`}, {952, 2.811415137805233}, {
     953, 2.8581320876322303`}, {954, 2.9044930682774575`}, {
     955, 2.950324029030574}, {956, 2.9954357853909994`}, {
     957, 3.039624537414216}, {958, 3.082672804885244}, {
     959, 3.124350832097837}, {960, 3.164418505433375}, {
     961, 3.202627812190578}, {962, 3.2387258489190978`}, {
     963, 3.2724583620178387`}, {964, 3.303573773324741}, {
     965, 3.3318276102864983`}, {966, 3.356987226195635}, {
     967, 3.378836663683129}, {968, 3.3971814873389627`}, {
     969, 3.4118533922769854`}, {970, 3.4227143876165074`}, {
     971, 3.4296603593957564`}, {972, 3.4326238373419313`}, {
     973, 3.4315758236945997`}, {974, 3.4265265878311806`}, {
     975, 3.4175253842634223`}, {976, 3.4046591091050606`}, {
     977, 3.3880499663167947`}, {978, 3.3678522650511593`}, {
     979, 3.3442485091742142`}, {980, 3.317444966734395}, {
     981, 3.2876669195202224`}, {982, 3.255153791194101}, {
     983, 3.2201543384593965`}, {984, 3.1829220659492683`}, {
     985, 3.1437109951960913`}, {986, 3.1027718844232792`}, {
     987, 3.060348961994417}, {988, 3.0166772046139827`}, {
     989, 2.9719801635773844`}, {990, 2.9264683195866152`}, {
     991, 2.880337929310962}, {992, 2.8337703148829796`}, {
     993, 2.7869315404016732`}, {994, 2.7399724165517885`}, {
     995, 2.693028774815135}, {996, 2.646221955609127}, {
     997, 2.5996594592624964`}, {998, 2.553435714352726}, {
     999, 2.507632924033198}, {1000, 2.4623219571441757`}, {
     1001, 2.417563256823005}}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948]]], "Output",
 CellChangeTimes->{{3.3897310022137613`*^9, 3.3897310264285808`*^9}, 
   3.3897330459847794`*^9, 3.390893978083139*^9, 3.391779911107965*^9, 
   3.39184868184375*^9, 3.392469631648628*^9, 3.393842370539703*^9, 
   3.393846990878789*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "In ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 we can use ColorFunction to color the graphics as desired, however, \
antialiasing does not work (but should be possible to get it working)."
}], "Text",
 CellChangeTimes->{{3.38968723265423*^9, 3.389687262437056*^9}, {
  3.389725927556763*^9, 3.389725938893064*^9}, {3.3897303573364735`*^9, 
  3.3897303798488445`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ListArgColorPlot6", "[", "list_", "]"}], ":=", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"intfun", "=", 
        RowBox[{"Interpolation", "@", "list"}]}], "}"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"ListLinePlot", "[", 
         RowBox[{
          RowBox[{"Abs", "@", "list"}], ",", 
          RowBox[{"Filling", "\[Rule]", "Bottom"}], ",", 
          RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Epilog", "\[Rule]", 
           RowBox[{"(", 
            RowBox[{"FF", "=", 
             RowBox[{"First", "[", 
              RowBox[{"ListLinePlot", "[", 
               RowBox[{"Abs", "@", "yvalues"}], "]"}], "]"}]}], ")"}]}], ",", 
          
          RowBox[{"Axes", "\[Rule]", "False"}], ",", "\[IndentingNewLine]", 
          RowBox[{"ColorFunction", "\[RuleDelayed]", 
           RowBox[{"Function", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}], ",", 
             RowBox[{"(", 
              RowBox[{"Hue", "@", 
               RowBox[{"(", 
                RowBox[{"Mod", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Arg", "[", 
                    RowBox[{"intfun", "[", "x", "]"}], "]"}], "/", 
                   RowBox[{"(", 
                    RowBox[{"2", "Pi"}], ")"}]}], ",", "1"}], "]"}], ")"}]}], 
              ")"}]}], "]"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Antialiasing", "\[Rule]", "True"}]}], "]"}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListArgColorPlot6", "@", 
  "yvalues"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.38945746591965*^9, 3.3894575628759403`*^9}, {
   3.389457593733262*^9, 3.389457595416491*^9}, {3.3894576352561817`*^9, 
   3.38945767373312*^9}, {3.389457752806781*^9, 3.389457806891684*^9}, {
   3.389457917596899*^9, 3.389457973903749*^9}, {3.389458045302742*^9, 
   3.38945809454088*^9}, {3.3894581787968407`*^9, 3.389458213611639*^9}, {
   3.389458414750904*^9, 3.389458502908702*^9}, {3.389458533981883*^9, 
   3.389458555125238*^9}, {3.3895272767662067`*^9, 3.389527288996587*^9}, {
   3.389527362509859*^9, 3.389527427480012*^9}, {3.3895274602690897`*^9, 
   3.3895274930175962`*^9}, {3.389527554071372*^9, 3.389527563887487*^9}, 
   3.38952761966574*^9, {3.389527658695876*^9, 3.3895276660319*^9}, {
   3.389537421731752*^9, 3.389537424824993*^9}, {3.3896002436291633`*^9, 
   3.389600244710718*^9}, {3.3896002810329475`*^9, 3.3896002832160864`*^9}, {
   3.389679794318429*^9, 3.38967979571043*^9}, {3.389680213350968*^9, 
   3.3896802988739443`*^9}, {3.3896814535743217`*^9, 3.389681513320232*^9}, {
   3.3896818869775248`*^9, 3.389681890292291*^9}, 3.3896819335845423`*^9, {
   3.38968198394696*^9, 3.389681984477723*^9}, {3.3896820677274303`*^9, 
   3.389682099132589*^9}, {3.389682174000243*^9, 3.389682199747266*^9}, 
   3.3896822300308113`*^9, {3.3896871222955427`*^9, 3.389687216701291*^9}, {
   3.389720330366403*^9, 3.389720335073171*^9}, {3.389730824368032*^9, 
   3.3897308259803505`*^9}, {3.393842805445557*^9, 3.3938428117029333`*^9}}],

Cell[BoxData[
 StyleBox[
  GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJyF23lYVeXaP/DljJJFaUnp6exjWpTaIVOjcridccYxctzOOKAbB0QQXMyb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    "], {
     {GrayLevel[0.5], EdgeForm[None], 
      GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwtmwv4h8WYhn8z881Z2jYtSSrJbqGW5LDYSpKkSCpJilAh7UpOIUkqRXIO
UVqShGQlJCFJJJKkyKltyaklIbH34+m69rka85vTN/O+z/3+aZ90yDM3esFq
tYqrVfpf/rmgQPsX6Cb3rxL/92v0mzt+z7T/D/2OdnFf+i262b+t1qCLeQvz
Vne+Y+1fol95Lc1Jv0e30K5W+gO6lXZDk/Zf0d9o38lrLOyxaO013adjLMF7
aU76I/oT7W6lP6PbaA/PWdhz0V7/YC3MWTR2LbQu7buj9Wjzz9U/0b4LWof2
XT1mYZ2Fc63+0Vp0Bu29trXojDrbXaxFe2jtdXyG9Bd0u79NfYvWWNt7re5J
+95oE9oboLvRltb12XSGRWe6q3/TGZd7oPVpr2ctWkNz72EtG6KNaGvMI2k/
E+1P+9/dt9wLbey9V4+gvR96hseu9Nv90P1pa4zO9q/oAbQ3cd+yOdrCv600
dhu0LW3NYd9lM3Rfr6U5ywPRlrTvYy0PQlvR/meksTqD9r6v11gehbajvbn7
Fs69bO29NGd5MHoI7X+xloeih9He1HOWR6PtaW9hLY9BO9DmO1Ya+xS0F23N
4RzLk9ButB/sMctj0Y60H2Atj0M70X6gtTwe7Ux7S2vZBT2B9oP8hou+Ud+2
ofuWJ6JdvZf6Fp15U9/Viu9Y9kB7+mw6w/JktLt/0xmXp6K9af+btTwN7UP7
4dbydLSv31JvvDwLPZv21tbyHHQAbd5pdSDtT6PzaR+EeLflueh5tLn3Ffe+
4AnLIbQf7b7l+ehg/7biXpcXokNpP8ZrLlrzjrU0Z/kP9J8eqzHLi9BhtPUG
3OvycnQ4be519QraP0I/pv1KxD0vr0JH0H68tbwaHUl7Z89ZNOeOsepbXoOO
os07rHiH5XXoGNrc+0pv/U50Mm29Ofe6vBm9hfYeHrMci46jvau1vB4dT/tJ
1nICegPt3azljehE2k/2Ny0vRi+h/Vj3LW9CJ3kvnWl5LTraZ1vxzsvb0Tt8
Np1heSt6m3/TGZd3oXfTfqq1vAedQntva3kveh/tp3nP5aXoZb5b9S2notNo
72Mt70en0yZOVuT58mF0Fm18YcW7L59HF9LmnVf4xPJR9DHaz3Lf8gV0Ee2D
PWf5CDrbY9W3fBF9ibZYsh/tD6EzvdeKOFw+gc6l/RzH3PIZ9Fnaz/Uey8fR
OR6rvuVz6AKfTXOWT6L/pn2AtXwKnedYVs4vygnlwmY+w/JldDFtxbDe5jvo
Ktp6I8XmV9GltBWjis0r0LdoK0YV219H36B9qO9s+S/0Adr7es7yNXSZx2rN
5bvoatov9Z7LV9Al3ktrLt9GV/osGrN8D11D+2XeY7kcfdNnWSk3rkM/oH24
91w+iM7w3WrO8n10rceu4F7mP2f95z97zvJDdL1zawUbM/vlazx2pVyC9cvP
aSunlDvweRGfj3LfAv+Xm/zbSrkAvxbxSzlBXi7/g270WpqzUB8sqg9eay3U
A4vqAcW8coszLNr7OK+xwPdFfD/BfQvnXm7zXpqzUF8sqi9eZy3UC4vqhWM8
R6VAFv/fYGVqjKzagrxckVsZBmexVzlGnmf4nMXnt3pMpoDIWuREK1MfZNUH
b7Iy9UFWfXCSlWF4Frvf7DMs1CvLrf429WXqgbyG91qRtxmuZvGYvF2R1xne
57V9Np0hUx/ktfybzpjhexbf32llOJ/F/pOtDPOzWI8vrMidTI5n5fZn3Zdh
fl7fe6/w9Yxn5L09doVPZHiUxaNTEb6QyZMs1r7ffRke5U3924q8zeRTVj7h
Eyu8JsP5vInX0pwMh7NYf7qVYW4Wa8mTFXGaYVgWuz7kNTJcyuL7We7LcC4/
zHtpToa5Waz9gJVhbBZbP+g5GaZlsewjVt4GiTXyIHwh49FZ3owvrPCaDDOy
WHGux2QYlsWuj1oZRmWx6WNWhlFZbPq4lfHULC89x2+YN0Ri9SnuyzAo7+S9
1Jepc/LGvqsVXpVhSt7VZ9MZMgzIT/BvOmOGEVlsOM/KMCDL+z9tZbiQ9/Jb
6o0zHpTlPZ+z8n5I3iqPvIG2vlnfSl6u8PKMp2Z5qTz9C7TxySw+X+S+jKfm
A/zbCu/OeHyWt3/Ja2Y8Pu/vtTQn48n5eR6rMRmPzfJWfHaF12V8K8s75Xli
988Q55JXrPDajOdled2lVsa3srzta56T8cX8Eo9VX8a3svguj8WL86uRvEqe
jI9n5ZxyDd9d4a1ZniAvuNJjMr6V5WWXWxlPyvKib1oZT8nykiusTB5nedO3
/E0Z385iw8Xuy/hSPt576UyZb8xH+Gwr2JLlGSf5bDpDlsec6N90xqycV65f
bWV5lLzpe1ZWzivXr/GeGa7kQ3236svKceX2962smFQsyvPx+qwcUu7I8/H2
rBhS7Mjjf0RbOadc+7H7sjxE3vELz8nkWT7DY9WXFWOKLTEADmXl/Onea/UT
2spB5d5PHXNZMa9Yv9F7ZOX8WR6rvqyYP89n05ysHFTu/czKyrlzHMuqARfm
LT91LOkMWTGtWIZTK7iQ9aZ6S7iwgltZMazYhUMruJMVQ4odOLKCS1kxqtj8
re8sy9PkZdd5TtabX+yxWjMrJhQLt3jPrBy6yHtpzayY/IbPojFZMajY+4P3
yIr5S32WFZzIigG9/R+9Zz4Vnea71ZysGLrKY+V5mb8Zsv5W0JvAxqw5Ggsj
A/Mq/l3x78C7BDiY9WbcU9Df63A66410f3B2BWez3ujGv/9pv1rB8qyY+LHH
qi8rZn7utbRG1jfzrQGmBrFQNQT8Dt19WXfGXYXFe2S94Q3eK8DVrDvibkKx
su6UewrVyvrmW712gBMF/yv4X3io98j6Zn0r3A1wN2sPrX0nS/+1Q9FZYW6A
pYV1is62llWYV5gX4G6A+4UJpXqs5hS+sejb7uxvyHqzm312zSnaQ2vD7ACb
C/VEoZ4IMDqorT211zo+Y9ad3u6zak5h3bKmx2pO0RqaezfPKdrjjrV1hsIZ
SvZZNaZI8D9IsL/A9wLfAzVA4J8F3hR4E6gzAnVGge8FvocN3VfgddnEvwX6
Czwu3HOA80FrMa5s5LU0p9Bf4H/YyCrEV1F8sU9gnQKPCzwO9/EahXcq8Dts
6r5CvJatvJfmFOqDQn0QNrYK9UGhPgj39pxCfVGoL8JmVqE+KNQHQXuyT4GX
BV4G1g3UBgUeF3gcHuAxhXqgUA+E+1llG0Q9EO5vFXhf4H3Y3CrwvsD7sIXv
tOhO1/Pdqq/A/7KD99IdF93hBr6roG+nnig7+2w6Q4H/ZSf/pjMWeF/gfdjK
KtQjhXokPNgq8L7s7lhP5OHED+d5/u/cFPMF3hd4H3Snuhvqu0J9F3RH+jb4
XeB30DfqrvZD8D/oznQX8L7A+7C15xTqhbKvx6qvwPtygNfSGgWeF3geuKfA
dxf4W+BveKz7CvVAoR4I23mPQj1Q9vdeQXcJHwt8DNtbBV4VeBUeYxXqgXKY
19Y3FerRsre/TXsU6oFCPRD0prpLeF/w/bCTVfD9Al8D9x6IgwKvC7wOT7QK
vC7wOujOFSvwvRztsZpTqBcK9ULY2d9QqFfKIT675hR4XuB54J0C71KoJwr1
RMCHAu9W4HeB3+HJPmOhXimH+6yaU6g3yhs8VnMKfC/wPezpOYV6oJzktdVX
4H2B9+EpVoH3Bd6HvawC3wt8D9xT0FvB0wJPg96MeyvwqsCr8DSrwI8CB8I+
VoEDBT6Hp1uFeqBQD4R9vUYh3grxFg50X4ExBbYE4igQRwVeF3gdeOfAOxf4
XOBzeJbHFOqHcqbHqq/A6wKvw7M9p1APlLM9V32FerSc629RzhflsHJ3E5+h
UJ8U6pOgmFbswNMCT4NiiHcq8LrA60CcBcUq9UihHgnPswr1QKEeCM+3Cnwu
8DkcbBXqgUI9EF7gPQr1Tvms11JfgfflYu+lOy/UU+UU33Ugrgv1Q7nMZ9MZ
Cjwvl/o3nbFQfxTqj/Aiq1AvFOqFcJhVqAcK9UB4sZmdVaNdb/aqr8D7Au+D
ck65QA1YqPOCcoI4K4wvjA/kRSAvCjwv8Dy8yn0Ffpcf+7dA3Bd4W8Rb8iQo
VqkXyg+8luYU+FzgczjCKtQDRfUAeRKokws8L+L5a71GgddFvD7GfQU+lpu9
l+YUfKuoXjjSKtQfRfXHazynwPcivh9rFeqHovpBOUteVJhZxUryLpBrFf5V
8e9Ejynwv4j/r7cK91bE1+OtQj1QVA+cYP39f0ZQPfAGn6FQv5Rf+dvUV+F9
Td4rkIsVLlexWzlJrlbqh9p9Np2hUi/U6t90xko9UFUPvMWqMLuK1W+1KvVA
VT0gDyBvKx5R5Q2fcl+F93Vt7x3I7YqH1V09NpD7Fc5UsVgeQCxWmFzF4lPc
V+FR3cC/BXK7kk9V+aQcx0cqHKvreS3NqTC4ir3vtSo5WJV78hC8osLMKlae
7jUqHKti2wfdV2Fm3cJ7aU6F8VVsP9Wq1ABV7D/NcyoMrGLfGVaFeVX1Br4R
8IqK51d5vTwDn6gwpootH/WYCgOr2HemVeFEFfs+bFU4VsW6s6wKh6pY9xG/
YaWOqqqv3um+Cufqtt5LfZV6qq7ruwr4WoVRdQefTWeocKFu7990xorPV7Ho
E1aFKVUsOdeqMKc+wW+pN654fpXXn2dVmFDFAnwukKtV36hvU87iexXPqfIa
fCngSxXPrvLqz7mv4vF1H/8W8L2Kx1Z56+e9ZoUhdS+vpTkVj67P8FiNqXh0
lTfLI/HFiu9VeSe+KI8p/A1Z+DtIXhHwyYonVnnhl62K51V53cWeU/HYerDH
qq/ii1VejU8HfLriaVVehk8GvLCS81W5Lk/E1ys5WZWLl3tMxfOqvO5Sq3KO
Kq/6mlXxuCpvu8yqeFiVd33d31ThShUbv+C+iifVI72XzlTx5HqYzxbw6Yqn
1WN8Np2h4mn1aP+mM1Y8pspbvm1VeYq85EqryqPkTd/xnhWG1YN8t+qr8hB5
x1VWlWfIK/i7L+DrVTmu3ObeAz5eFXOKNXw58A5VOarcvM59VTmjXLnBc6o8
4RSPVV9VTCoW8fEAO6pi/GTvFfD9qhxXbv/QMVeVQ8qdn3iPqhw+zWPVV5Uz
Z/tsmlPlMfKW662qHD/DsSxmFb6r8Pes2KUzVHmavExMgSVVMaTYEVNgRVXM
KlbFDLy56g51d/Jo2FEVw4rdm3xnVZ4qL73ac6py4rMeqzWr3lhv+1vvWZWD
53kvrVkVs1/yWTSmKuYUazd7j6ocudBnCbCzKoYUO7/znlWMeIfvVnOqYvIy
j9WYqhhS7Pzeqop5xfotVlUMKXbgYBR79M2cK4pBsLDqzfRWYiKsq3oTvYWY
Bzer7uBqj1Vf1ZvoLf5iVXmKvOR2q+oN9XZwMcDFqje50f/zvfaoiqFrvZf6
qt6Ee43Bc6pi7gbPVV/Vm9zks+vMVW/KvcfFqrpT7iVmq+oOuZdYrKo74R4i
DI1ivc7MOeO0qvbUXnA1wt2qO7jNYzWncm+Ve4hwOcLOxrgGf+PanqN/TaBx
zqg+2NvoaKwTYXCEzY0zNp1tTc9p6lP7Lp7T+K6WPFZzGvu26b00p/ENrXpt
naHqzf7ks2qNpj21FzVEhIsN3jV4F+FihNuNv2kbf6dGOBzhUoNPjX9GOBTh
UIPXDV5H/hn1m9Zcx2PV16gHGvVAXM9q8L/B/3gPq1EfNPaJGqPf4HuD73ED
79Gkdb2X+hr8bpwzbug5jXO1jT1XfY1zt019dp25UR806oO4sdWoBxr1QLy3
1ag/GvVH3MRq1A+N+iGyT2SdBr8b/I6bWQ1+N/gd7+s7avC+PcxjNadRP7St
fJeRdRv8bfA3PtBzGrxv8D5yrsg5Gvxu8Dtyjsg5G/VEo56Im/tNmmJmbd+t
5jTqgbatx2pOox5pO3ovzWnwv23vtbVng/cN3sctrQbvG7yPD7Ia9Vujfos6
s74VXjd4HfXNigXqgUY9EBUT+lZ43eB1fJjnNOrDtpvHqq9RD7S9vZbWaNQD
jXogcm+Rczf43eB3fJT7Grxv8D4+0ns06o22p/eKuiv43+B/3Npq8LLBy7iN
1eBXO8hrRzjf8LeGv8UXeo8G7xu8j7pT3Q31QGNc3N5qjGvwP/IOkXts8LvB
7/g4q8HvBr+j3lB3DSfayzxWcxp8bvA57uBvaNQ3bX+fXXMavG/wPvIOkXtv
8LvB78i9R96lUU806om4i8/YqF/aIT6r5jTqgXakx2pOox5p1CNxV89p8L8d
7bXV1+B/g//xSVaD/w3+x92sBv8b/I+8a9TdU8816rmoN+CdG7xv8D7uYTX4
1eBX3NNq8KTBk/gUq8HrBq/jXl6jwecGn+Mz3deoFxr1QiQuInHRqA8a9UEk
ziJx1uB7g+/x6R7TqA/aKR6rvga/G/yO+3pOg/ftNM9VX4Pn7Qx/S9Tbwsd2
qWNBZ2jUA416IOpNFAvwusHrqJggbho8bvA4EpdRsUa90qhX4rOtRn3SqE/i
c6xGfdCoD+IBVoPXDV7HA71Hox5qH/Na6mvUC+1876U7b9RX7STfdSQPGvxu
F/psOkOjfmgX+DedscH/Bv/jC6xGPdKoR+IhVqN+aJf42xWDjfq1vcSxqhxo
1AONeiAqxpnbGdd1N1qDuGzwtYmvxFkkjhu8b/A+sk5knQa/G/yOxH1UrFMf
tG95rPoa/G/wP77MavC5wef4cqtRDzTqgaicUi7B+wbv4yu9R6PmbFd5L/U1
+N/gf3yV5zTqhXa956qvwfd2g8+uMzf438T/I60G75t4/xqrUa801StHWQ3+
N/GfvInkYYPPTXw+1mrwsYmPyjHlKvxvt3is5jTqhaZ6QTlHHnX42sXXN3lO
g/9N/CcPI3nX4XMXn8m7SF426oWmeuEEz+kwuYvFJ3lOo75ot3us5nT437P3
0py//2uBwWvrDI16pf3OZ9UaHf538Z88juROhxFdbFAOkXsd5nWxTjlIbnf4
38V/5Ti53eF3F7+V4/hAp67oa3qs+joc6mL7O60On7vYfLLVYX4X68n7SN53
uNzF8vd4jw7P+treS30dZnex+hTP6dQEfX3PVV+H4X1jn11n7jC2i62nWh0G
d7H3NKvD6C42v9/qMLOLlfIYvKLDvC7WnWF1uNXFtg/5jjrM7Ft6rOZ0mNq3
8F1Gcrvjy13s+JjndDjVxUJ5KF7TYVIXi+Q5eGGHcV1sO8tv0qn5+hq+W83p
cLI/3GM1p8Osvp330pwOR/rWXlt7dpjTxZqPW50872LROVaHWV2swrcivtTx
8C7vxociPtZhRhcr8LGIj3UY0cWGT3lOhzl9Z49VX8ez+u5eS2t0PL/L6+Vp
eFfH57q88kL3dTy8y7s/4z06zOq7eq+Iz3Y8vcvLP2d1fLuLPRdYHc/u+3tt
eVbj75PG3yfyHu3R8eAu78XHIz7e8cwur/yi1fHRLm+XZ+KNnXldXnWJ1fGc
Lq+BE/LAjkf2Qz1Wczoe2+WtX/Y3dJjT9/HZNafjeV1eJ8bgrR0P6vIeeSy1
R8enurztMp+xw4B+kM+qOR1P7Id7rOZ0PKrLmy73nI7H9SO8tvo6ntPlNd+0
Onne5UVXWB3P6vIqeTI+2xXzinV8M+LlXZ4hr7jS6vIUecl3rC4PkvdcZXXF
qGLzu16jy0PkHde7r8sz5BViAt7f5QHKfTEA7+/KaeXytR7T5Snv8Fj1dXmQ
vOc6z+nK+Xd7rvq6cvo0f0vEt7veVG/5a5+hK4eVu3Ak4vtdb6S3wfcjLOuK
OcWamAZnunJQufcTqytHlZs/tbpyWrn8M6srp5RLN3iPrhw/02uprytHzvVe
uvOOZ/fjfdcRFnXlyPk+m87QlUPn+TedsSvmFes3WV05pNz5pdUVMxf52/U3
d9V/J3OV/5bWHXQxXOwWw2BRV0wqFsUkWNAVk4pFMQF2dcWIYuMW93XF1Df9
W4Q1Xd+ob7vda3TF8GVeS3O6Ykix8werK2YUKzoPrOt6M73VbV6j6451t391
X1cMXe+9NKcrhhQ7f7S6Ykix8yfP6XoD3f3frK43vdH/un0SKzWHsUn/bjxc
7PpmvisVj+l6A+4+BavrzrnnFK2uO+ZuU7K67pS7TIvP0BXD1/rb1Nd1xzd7
r4RvD9YYmgsXE9zvupNbfTadoevOb/FvOmPXHXEPaVhdd849pWl1fTPfmeBC
glUDfgz4ke7vPv1r/yN47wTXBjwYW3tsgtuDAUNrwdUEVwfnGvA63cV9Q2us
4d8SXB7weMDjBGcT7B+ce3SvpTlDfWqvYw2toblwP8H5Ad8H66S7e40Bvwf8
Tuu7b6hvfe+lOUNraq27WkN9at/NcwZ8H/A93dMa1CeD+iTpjHB+wOeh/60Z
zif9Rj0zqGfSHWMG9cBgXNrQGowb1ANpI2tQDwzuLd3LGrpj3e3GfsPBGw+9
7ZruG/B+bOG91Dd401F9V0l7UT+MrXw2nWFQL4wt/ZvOOKgHBvVA2tQa8H3A
97SZNagHxiP9lnrjAe8HvE+bW4P6YlBfJJ0Bbg/8c+CfCe4mfTu8H/A+6Q60
N7we8Dpt6b4B/8dO/i3prPB3wN+0ldcc1A9jB6+lOYN6YDzBYzVmUA8M6oHE
vSd9C/sOeJ/0TXB24FcDv0pwNunb4OOAj+nh1oDvA76nR3jOoB4Ye3us+ga8
H/A+6Q4Uy9QPg/ohKaY514DPAz4nvjPpLvh7ZfD3StreYwb8H/A/bWMN+Drg
a9rWGtQDg3OmR1mDcw7qgbSdv2lQzwzqmfQQ9w14Pw7xXjrToP4Y+/tsSXdF
/TAO89l0hkG9MA71bzrjoB4Y1ANpR2vA9wHf0+OsQT0wqAfSTt5zUI+NPX23
6hvwfsD79HhrUE8M6omkN9XbwfcB35PeUHcJXwd8TbpTvRV8H/A97ea+AV8H
fE1P85wBn8bxHqu+AV8HfE16M959UE+MY7xX0t1QDwzqgbS7Y27A9wHf017e
Y1A/jBM9Vn0Dfo93+2yaM6gfBvVD2sMa1AvjbY5l5fyQ8BF5ic4wqFcG9Uoi
bhJxMODrgK+Jd07E0YD3A94n4ibxLgNeD3idiJtEHA34PuB7eqbvbFBPDeqp
tIvnDPg9zvRYrTmoDwb1QTrAew7qm/EB76U1B/wf5/gsGjPg99C/33Kg9xjU
D+NsnyURd4P6Y1B/pOd6z0G9No723WrOoB4Y53usxgz4Py5wLimHBrwf8D4d
bKZ31ayXmO2JuBz858F/TuRBIg8GfB7wOb3QfQP+j0v9WyIOB/wa8CsRh0mx
Tb0wLvZamjOoDwb1QTrUGtQDg3ogEeeJvBvwecDn9FKvMeD7gO/pcPcNeD2u
8V6aM6gvBvVFOswa1AuDeiG92HMG/B/wP73CGtQbg3ojKSe4pwG/h/hNHCa9
HXwe4vNRHjOoJwb1RHqVNagPBvVBOsIa1AdD9cGrrQH/h/h/pM8wqFfGVf42
9Q3qgXGT90rKDXg8xGPliN6Oex83+2w6w6A+GL/xbzrjgO9DfD/GGvB/iP/H
WoP6ZKg+Oc4a8H/c5r20x4D3Q7wnbxOxOfGBKW9VjJJrk/yYyg3lHHk9qTem
6o03WhNeTfHqRGvCpyk+vcma8HyK5yd5jQmTp1j8LvdN6oWpeoE8TeTphIFT
7CNPE3k64f0U79/uMZP6Ya7hseqb8HyK5+/wnAkX51qeq74J3+dd/S36ponv
T7Hhwz7DpD6Yqg/kGeTehENTLFMO4ksTRk6xEV9IeN2E6VMsP8WaMHyK3e+1
JpyeqgXeZ004PMXmU73HpKaYG3gt9U0YPTf1XnoD/b9CzOC7TvjQhMFzC59N
Z5jUC/P+/k1nnHB1irUftCbcnGLrGdaEMfMhflv9O1tF/w6H/vfiXXwHEwZO
sU+eRWxOvZneSjGKr0yYNcUqfC7hcxPOTLHn4+6bcGpu798SPjVhzBRb8M2E
N02YOLf1WpozYdTc0WM1ZsKYKbbIY/HBCRem2IHPyYMGf28N/t6SdyR8b+Lh
U979aWvChCkWnO85Ew7M3T1WfRMOTLEJX0z44sRjp7wV30t40cSzprxKnoTv
TTxxygu/6DETz57y6gusiedOee3nrYlHT3nzhdbE06e8/Av+psk9T3nvJ903
8eB5kPfSmSYMnPv4bInvnHznPMRn0xkmnjwP9m8648Qzp7zyK9bE86a87hJr
4jFT3vJV7znh6NzVd6u+iWdOeeWl1sRTp7wUH0/48CQ+prwOH0747lSOKbfw
2YQvTzxnymuucN+UR8gbrvGciS/Noz1WfVM5ptyCAwmvn3jiPNJ7JXx64kNT
Xvdtx9xUjiu3v+s9Jh42j/NY9U3l+Nt8Ns2ZyhnlypXWlCed6FhWTE/qprm1
Y1FnmMph5a6YhJdPxahiU54OW6ZyUrkoxsCGKU+UF4oRsGPKI+QN1/vOJgyZ
YsdlnjOVo6d7rNacyhHlxs+855RHvM97ac2pHDzLZ9GYqRxRbtzgPaZy+gyf
JcGWqTfVW97oPScMmkf4bjVnKqfO9Vj9O7BTOaLc+Pn/A1Ht7Y4=
        
        "]]]}, {{}, {}, {
       {Hue[0.1374613297993138], LineBox[{1, 2}]}, 
       {Hue[0.13993377777372068`], LineBox[{2, 3}]}, 
       {Hue[0.14250360233003503`], LineBox[{3, 4}]}, 
       {Hue[0.14517355909467305`], LineBox[{4, 5}]}, 
       {Hue[0.1479463221896834], LineBox[{5, 6}]}, 
       {Hue[0.15082445001726277`], LineBox[{6, 7}]}, 
       {Hue[0.15381034657933665`], LineBox[{7, 8}]}, 
       {Hue[0.15690621819162476`], LineBox[{8, 9}]}, 
       {Hue[0.1601140255587481], LineBox[{9, 10}]}, 
       {Hue[0.1634354313172168], LineBox[{10, 11}]}, 
       {Hue[0.16687174332973181`], LineBox[{11, 12}]}, 
       {Hue[0.17042385422892578`], LineBox[{12, 13}]}, 
       {Hue[0.17409217796096368`], LineBox[{13, 14}]}, 
       {Hue[0.17787658436582005`], LineBox[{14, 15}]}, 
       {Hue[0.18177633314401723`], LineBox[{15, 16}]}, 
       {Hue[0.18579000888689953`], LineBox[{16, 17}]}, 
       {Hue[0.18991545917145497`], LineBox[{17, 18}]}, 
       {Hue[0.19414973801817045`], LineBox[{18, 19}]}, 
       {Hue[0.19848905725323568`], LineBox[{19, 20}]}, 
       {Hue[0.20292874847285733`], LineBox[{20, 21}]}, 
       {Hue[0.20746323834437747`], LineBox[{21, 22}]}, 
       {Hue[0.21208603986531188`], LineBox[{22, 23}]}, 
       {Hue[0.2167897619124907], LineBox[{23, 24}]}, 
       {Hue[0.22156613893527877`], LineBox[{24, 25}]}, 
       {Hue[0.2264060819806199], LineBox[{25, 26}]}, 
       {Hue[0.23129975140337977`], LineBox[{26, 27}]}, 
       {Hue[0.23623665065325397`], LineBox[{27, 28}]}, 
       {Hue[0.24120573949867266`], LineBox[{28, 29}]}, 
       {Hue[0.2461955640229298], LineBox[{29, 30}]}, 
       {Hue[0.25119439979063235`], LineBox[{30, 31}]}, 
       {Hue[0.2561904038149011], LineBox[{31, 32}]}, 
       {Hue[0.2611717704279329], LineBox[{32, 33}]}, 
       {Hue[0.26612688591976824`], LineBox[{33, 34}]}, 
       {Hue[0.27104447688537553`], LineBox[{34, 35}]}, 
       {Hue[0.27591374760119136`], LineBox[{35, 36}]}, 
       {Hue[0.28072450240235336`], LineBox[{36, 37}]}, 
       {Hue[0.2854672498902089], LineBox[{37, 38}]}, 
       {Hue[0.29013328678932604`], LineBox[{38, 39}]}, 
       {Hue[0.29471476031112004`], LineBox[{39, 40}]}, 
       {Hue[0.29920470888771294`], LineBox[{40, 41}]}, 
       {Hue[0.3035970820470172], LineBox[{41, 42}]}, 
       {Hue[0.3078867409577615], LineBox[{42, 43}]}, 
       {Hue[0.3120694417508665], LineBox[{43, 44}]}, 
       {Hue[0.3161418041104618], LineBox[{44, 45}]}, 
       {Hue[0.3201012678304815], LineBox[{45, 46}]}, 
       {Hue[0.32394604007084643`], LineBox[{46, 47}]}, 
       {Hue[0.32767503594913033`], LineBox[{47, 48}]}, 
       {Hue[0.33128781490175924`], LineBox[{48, 49}]}, 
       {Hue[0.33478451497608214`], LineBox[{49, 50}]}, 
       {Hue[0.33816578690130045`], LineBox[{50, 51}]}, 
       {Hue[0.34143272945815883`], LineBox[{51, 52}]}, 
       {Hue[0.3445868273449842], LineBox[{52, 53}]}, 
       {Hue[0.34762989243617237`], LineBox[{53, 54}]}, 
       {Hue[0.35056400905844437`], LineBox[{54, 55}]}, 
       {Hue[0.3533914836756331], LineBox[{55, 56}]}, 
       {Hue[0.3561147991763789], LineBox[{56, 57}]}, 
       {Hue[0.3587365738001785], LineBox[{57, 58}]}, 
       {Hue[0.3612595246132584], LineBox[{58, 59}]}, 
       {Hue[0.3636864353530394], LineBox[{59, 60}]}, 
       {Hue[0.36602012839432774`], LineBox[{60, 61}]}, 
       {Hue[0.36826344054742716`], LineBox[{61, 62}]}, 
       {Hue[0.3704192023739274], LineBox[{62, 63}]}, 
       {Hue[0.372490220696086], LineBox[{63, 64}]}, 
       {Hue[0.37447926397708964`], LineBox[{64, 65}]}, 
       {Hue[0.3763890502590848], LineBox[{65, 66}]}, 
       {Hue[0.37822223736129607`], LineBox[{66, 67}]}, 
       {Hue[0.379981415059776], LineBox[{67, 68}]}, 
       {Hue[0.3816690989918021], LineBox[{68, 69}]}, 
       {Hue[0.38328772605041744`], LineBox[{69, 70}]}, 
       {Hue[0.3848396510572049], LineBox[{70, 71}]}, 
       {Hue[0.38632714452341166`], LineBox[{71, 72}]}, 
       {Hue[0.38775239133055367`], LineBox[{72, 73}]}, 
       {Hue[0.38911749018132236`], LineBox[{73, 74}]}, 
       {Hue[0.39042445368982226`], LineBox[{74, 75}]}, 
       {Hue[0.3916752089967979], LineBox[{75, 76}]}, 
       {Hue[0.3928715988105605], LineBox[{76, 77}]}, 
       {Hue[0.3940153827878268], LineBox[{77, 78}]}, 
       {Hue[0.3951082391807172], LineBox[{78, 79}]}, 
       {Hue[0.3961517666868096], LineBox[{79, 80}]}, 
       {Hue[0.39714748644852277`], LineBox[{80, 81}]}, 
       {Hue[0.398096844156314], LineBox[{81, 82}]}, 
       {Hue[0.39900121221733054`], LineBox[{82, 83}]}, 
       {Hue[0.39986189195736743`], LineBox[{83, 84}]}, 
       {Hue[0.4006801158293477], LineBox[{84, 85}]}, 
       {Hue[0.4014570496061618], LineBox[{85, 86}]}, 
       {Hue[0.40219379453965637`], LineBox[{86, 87}]}, 
       {Hue[0.4028913894709455], LineBox[{87, 88}]}, 
       {Hue[0.40355081288008526`], LineBox[{88, 89}]}, 
       {Hue[0.40417298486558406`], LineBox[{89, 90}]}, 
       {Hue[0.40475876904626534`], LineBox[{90, 91}]}, 
       {Hue[0.4053089743797134], LineBox[{91, 92}]}, 
       {Hue[0.40582435689295976`], LineBox[{92, 93}]}, 
       {Hue[0.40630562132224485`], LineBox[{93, 94}]}, 
       {Hue[0.40675342265965964`], LineBox[{94, 95}]}, 
       {Hue[0.40716836760525144`], LineBox[{95, 96}]}, 
       {Hue[0.4075510159238113], LineBox[{96, 97}]}, 
       {Hue[0.407901881706054], LineBox[{97, 98}]}, 
       {Hue[0.40822143453428283`], LineBox[{98, 99}]}, 
       {Hue[0.4085101005529218], LineBox[{99, 100}]}, 
       {Hue[0.4087682634444981], LineBox[{100, 101}]}, 
       {Hue[0.4089962653117982], LineBox[{101, 102}]}, 
       {Hue[0.40919440746699737`], LineBox[{102, 103}]}, 
       {Hue[0.4093629511285927], LineBox[{103, 104}]}, 
       {Hue[0.4095021180269631], LineBox[{104, 105}]}, 
       {Hue[0.40961209091932943`], LineBox[{105, 106}]}, 
       {Hue[0.40969301401482683`], LineBox[{106, 107}]}, 
       {Hue[0.4097449933103005], LineBox[{107, 108}]}, 
       {Hue[0.40976809683733256`], LineBox[{108, 109}]}, 
       {Hue[0.40976235482088086`], LineBox[{109, 110}]}, 
       {Hue[0.40972775974978165`], LineBox[{110, 111}]}, 
       {Hue[0.40966426635922815`], LineBox[{111, 112}]}, 
       {Hue[0.4095717915251957], LineBox[{112, 113}]}, 
       {Hue[0.40945021407064836`], LineBox[{113, 114}]}, 
       {Hue[0.40929937448322007`], LineBox[{114, 115}]}, 
       {Hue[0.4091190745439395], LineBox[{115, 116}]}, 
       {Hue[0.4089090768664466], LineBox[{116, 117}]}, 
       {Hue[0.40866910434604836`], LineBox[{117, 118}]}, 
       {Hue[0.40839883951787365`], LineBox[{118, 119}]}, 
       {Hue[0.40809792382333065`], LineBox[{119, 120}]}, 
       {Hue[0.40776595678403615`], LineBox[{120, 121}]}, 
       {Hue[0.40740249508239434`], LineBox[{121, 122}]}, 
       {Hue[0.407007051548048], LineBox[{122, 123}]}, 
       {Hue[0.40657909404952847`], LineBox[{123, 124}]}, 
       {Hue[0.40611804429059156`], LineBox[{124, 125}]}, 
       {Hue[0.40562327651096286`], LineBox[{125, 126}]}, 
       {Hue[0.4050941160915378], LineBox[{126, 127}]}, 
       {Hue[0.4045298380645095], LineBox[{127, 128}]}, 
       {Hue[0.4039296655294414], LineBox[{128, 129}]}, 
       {Hue[0.4032927679769886], LineBox[{129, 130}]}, 
       {Hue[0.40261825952283037`], LineBox[{130, 131}]}, 
       {Hue[0.4019051970554156], LineBox[{131, 132}]}, 
       {Hue[0.40115257830240414`], LineBox[{132, 133}]}, 
       {Hue[0.400359339822217], LineBox[{133, 134}]}, 
       {Hue[0.3995243549289498], LineBox[{134, 135}]}, 
       {Hue[0.3986464315610978], LineBox[{135, 136}]}, 
       {Hue[0.3977243101071357], LineBox[{136, 137}]}, 
       {Hue[0.39675666120406183`], LineBox[{137, 138}]}, 
       {Hue[0.3957420835286168], LineBox[{138, 139}]}, 
       {Hue[0.39467910160509684`], LineBox[{139, 140}]}, 
       {Hue[0.3935661636585841], LineBox[{140, 141}]}, 
       {Hue[0.3924016395481115], LineBox[{141, 142}]}, 
       {Hue[0.39118381882084907`], LineBox[{142, 143}]}, 
       {Hue[0.3899109089359666], LineBox[{143, 144}]}, 
       {Hue[0.38858103371548364`], LineBox[{144, 145}]}, 
       {Hue[0.38719223208929565`], LineBox[{145, 146}]}, 
       {Hue[0.385742457212746], LineBox[{146, 147}]}, 
       {Hue[0.38422957604772917`], LineBox[{147, 148}]}, 
       {Hue[0.3826513695124179], LineBox[{148, 149}]}, 
       {Hue[0.38100553332038883`], LineBox[{149, 150}]}, 
       {Hue[0.37928967964717997`], LineBox[{150, 151}]}, 
       {Hue[0.3775013397811279], LineBox[{151, 152}]}, 
       {Hue[0.37563796793557663`], LineBox[{152, 153}]}, 
       {Hue[0.37369694642101325`], LineBox[{153, 154}]}, 
       {Hue[0.37167559239799863`], LineBox[{154, 155}]}, 
       {Hue[0.3695711664544079], LineBox[{155, 156}]}, 
       {Hue[0.36738088327269336`], LineBox[{156, 157}]}, 
       {Hue[0.3651019246736313], LineBox[{157, 158}]}, 
       {Hue[0.36273145534093565`], LineBox[{158, 159}]}, 
       {Hue[0.36026664154449095`], LineBox[{159, 160}]}, 
       {Hue[0.3577046731866092], LineBox[{160, 161}]}, 
       {Hue[0.3550427894929947], LineBox[{161, 162}]}, 
       {Hue[0.3522783086548923], LineBox[{162, 163}]}, 
       {Hue[0.34940866169756785`], LineBox[{163, 164}]}, 
       {Hue[0.34643143079881866`], LineBox[{164, 165}]}, 
       {Hue[0.34334439220532015`], LineBox[{165, 166}]}, 
       {Hue[0.3401455637899474], LineBox[{166, 167}]}, 
       {Hue[0.3368332571557026], LineBox[{167, 168}]}, 
       {Hue[0.33340613401825875`], LineBox[{168, 169}]}, 
       {Hue[0.3298632663874936], LineBox[{169, 170}]}, 
       {Hue[0.3262041998190041], LineBox[{170, 171}]}, 
       {Hue[0.32242901872269153`], LineBox[{171, 172}]}, 
       {Hue[0.3185384124042748], LineBox[{172, 173}]}, 
       {Hue[0.3145337401888634], LineBox[{173, 174}]}, 
       {Hue[0.3104170936507466], LineBox[{174, 175}]}, 
       {Hue[0.30619135367299755`], LineBox[{175, 176}]}, 
       {Hue[0.30186023981218174`], LineBox[{176, 177}]}, 
       {Hue[0.2974283492789208], LineBox[{177, 178}]}, 
       {Hue[0.29290118279742616`], LineBox[{178, 179}]}, 
       {Hue[0.2882851547076869], LineBox[{179, 180}]}, 
       {Hue[0.28358758494828235`], LineBox[{180, 181}]}, 
       {Hue[0.2788166710207419], LineBox[{181, 182}]}, 
       {Hue[0.2739814386881073], LineBox[{182, 183}]}, 
       {Hue[0.2690916709824467], LineBox[{183, 184}]}, 
       {Hue[0.2641578160500129], LineBox[{184, 185}]}, 
       {Hue[0.259190875390693], LineBox[{185, 186}]}, 
       {Hue[0.25420227507699295`], LineBox[{186, 187}]}, 
       {Hue[0.2492037234850193], LineBox[{187, 188}]}, 
       {Hue[0.2442070598538639], LineBox[{188, 189}]}, 
       {Hue[0.23922409853887175`], LineBox[{189, 190}]}, 
       {Hue[0.23426647408637097`], LineBox[{190, 191}]}, 
       {Hue[0.22934549220724543`], LineBox[{191, 192}]}, 
       {Hue[0.22447199136906631`], LineBox[{192, 193}]}, 
       {Hue[0.21965621909587515`], LineBox[{193, 194}]}, 
       {Hue[0.21490772622027834`], LineBox[{194, 195}]}, 
       {Hue[0.2102352813503018], LineBox[{195, 196}]}, 
       {Hue[0.20564680677638758`], LineBox[{196, 197}]}, 
       {Hue[0.201149336032224], LineBox[{197, 198}]}, 
       {Hue[0.1967489924057355], LineBox[{198, 199}]}, 
       {Hue[0.19245098692552798`], LineBox[{199, 200}]}, 
       {Hue[0.18825963375541802`], LineBox[{200, 201}]}, 
       {Hue[0.18417838052762747`], LineBox[{201, 202}]}, 
       {Hue[0.1802098509284858], LineBox[{202, 203}]}, 
       {Hue[0.17635589680026367`], LineBox[{203, 204}]}, 
       {Hue[0.17261765711118718`], LineBox[{204, 205}]}, 
       {Hue[0.16899562134048687`], LineBox[{205, 206}]}, 
       {Hue[0.16548969509356448`], LineBox[{206, 207}]}, 
       {Hue[0.1620992660734879], LineBox[{207, 208}]}, 
       {Hue[0.15882326886276385`], LineBox[{208, 209}]}, 
       {Hue[0.1556602472927277], LineBox[{209, 210}]}, 
       {Hue[0.15260841348147391`], LineBox[{210, 211}]}, 
       {Hue[0.1496657028947179], LineBox[{211, 212}]}, 
       {Hue[0.1468298250215432], LineBox[{212, 213}]}, 
       {Hue[0.14409830945641364`], LineBox[{213, 214}]}, 
       {Hue[0.14146854734067116`], LineBox[{214, 215}]}, 
       {Hue[0.13893782824337458`], LineBox[{215, 216}]}, 
       {Hue[0.13650337265638213`], LineBox[{216, 217}]}, 
       {Hue[0.13416236034620294`], LineBox[{217, 218}]}, 
       {Hue[0.13191195484973545`], LineBox[{218, 219}]}, 
       {Hue[0.12974932442677484`], LineBox[{219, 220}]}, 
       {Hue[0.12767165979304215`], LineBox[{220, 221}]}, 
       {Hue[0.12567618895689592`], LineBox[{221, 222}]}, 
       {Hue[0.12376018947384236`], LineBox[{222, 223}]}, 
       {Hue[0.1219209984179177], LineBox[{223, 224}]}, 
       {Hue[0.1201560203500318], LineBox[{224, 225}]}, 
       {Hue[0.11846273354201657`], LineBox[{225, 226}]}, 
       {Hue[0.1168386946926883], LineBox[{226, 227}]}, 
       {Hue[0.11528154234961846`], LineBox[{227, 228}]}, 
       {Hue[0.11378899922822022`], LineBox[{228, 229}]}, 
       {Hue[0.11235887359864724`], LineBox[{229, 230}]}, 
       {Hue[0.11098905989119863`], LineBox[{230, 231}]}, 
       {Hue[0.10967753865259308`], LineBox[{231, 232}]}, 
       {Hue[0.10842237596872145`], LineBox[{232, 233}]}, 
       {Hue[0.10722172245430746`], LineBox[{233, 234}]}, 
       {Hue[0.10607381189628436`], LineBox[{234, 235}]}, 
       {Hue[0.10497695962554773`], LineBox[{235, 236}]}, 
       {Hue[0.1039295606809859], LineBox[{236, 237}]}, 
       {Hue[0.10293008782021933`], LineBox[{237, 238}]}, 
       {Hue[0.10197708942317613`], LineBox[{238, 239}]}, 
       {Hue[0.10106918732739838`], LineBox[{239, 240}]}, 
       {Hue[0.10020507462768936`], LineBox[{240, 241}]}, 
       {Hue[0.09938351346728382], LineBox[{241, 242}]}, 
       {Hue[0.09860333284304766], LineBox[{242, 243}]}, 
       {Hue[0.09786342644320914], LineBox[{243, 244}]}, 
       {Hue[0.09716275053269788], LineBox[{244, 245}]}, 
       {Hue[0.09650032189826309], LineBox[{245, 246}]}, 
       {Hue[0.09587521586307685], LineBox[{246, 247}]}, 
       {Hue[0.09528656437845633], LineBox[{247, 248}]}, 
       {Hue[0.09473355419859857], LineBox[{248, 249}]}, 
       {Hue[0.09421542514277592], LineBox[{249, 250}]}, 
       {Hue[0.09373146844824119], LineBox[{250, 251}]}, 
       {Hue[0.09328102521611016], LineBox[{251, 252}]}, 
       {Hue[0.0928634849516911], LineBox[{252, 253}]}, 
       {Hue[0.09247828420009056], LineBox[{253, 254}]}, 
       {Hue[0.09212490527741932], LineBox[{254, 255}]}, 
       {Hue[0.0918028750975315], LineBox[{255, 256}]}, 
       {Hue[0.0915117640939366], LineBox[{256, 257}]}, 
       {Hue[0.09125118523631245], LineBox[{257, 258}]}, 
       {Hue[0.09102079314090619], LineBox[{258, 259}]}, 
       {Hue[0.09082028327402719], LineBox[{259, 260}]}, 
       {Hue[0.09064939124780211], LineBox[{260, 261}]}, 
       {Hue[0.09050789220736889], LineBox[{261, 262}]}, 
       {Hue[0.09039560030872781], LineBox[{262, 263}]}, 
       {Hue[0.09031236828653581], LineBox[{263, 264}]}, 
       {Hue[0.09025808711122092], LineBox[{264, 265}]}, 
       {Hue[0.09023268573490266], LineBox[{265, 266}]}, 
       {Hue[0.09023613092572517], LineBox[{266, 267}]}, 
       {Hue[0.0902684271903422], LineBox[{267, 268}]}, 
       {Hue[0.09032961678443013], LineBox[{268, 269}]}, 
       {Hue[0.09041977981124574], LineBox[{269, 270}]}, 
       {Hue[0.09053903440838593], LineBox[{270, 271}]}, 
       {Hue[0.09068753702304234], LineBox[{271, 272}]}, 
       {Hue[0.09086548277617436], LineBox[{272, 273}]}, 
       {Hue[0.0910731059161416], LineBox[{273, 274}]}, 
       {Hue[0.0913106803624428], LineBox[{274, 275}]}, 
       {Hue[0.0915785203402933], LineBox[{275, 276}]}, 
       {Hue[0.09187698110683541], LineBox[{276, 277}]}, 
       {Hue[0.09220645976981037], LineBox[{277, 278}]}, 
       {Hue[0.0925673961995166], LineBox[{278, 279}]}, 
       {Hue[0.09296027403483624], LineBox[{279, 280}]}, 
       {Hue[0.0933856217840145], LineBox[{280, 281}]}, 
       {Hue[0.09384401402072005], LineBox[{281, 282}]}, 
       {Hue[0.09433607267568449], LineBox[{282, 283}]}, 
       {Hue[0.09486246842390439], LineBox[{283, 284}]}, 
       {Hue[0.09542392216697197], LineBox[{284, 285}]}, 
       {Hue[0.09602120660956545], LineBox[{285, 286}]}, 
       {Hue[0.09665514792845407], LineBox[{286, 287}]}, 
       {Hue[0.0973266275315334], LineBox[{287, 288}]}, 
       {Hue[0.0980365839033763], LineBox[{288, 289}]}, 
       {Hue[0.09878601453253036], LineBox[{289, 290}]}, 
       {Hue[0.0995759779142804], LineBox[{290, 291}]}, 
       {Hue[0.10040759562077928`], LineBox[{291, 292}]}, 
       {Hue[0.10128205442829027`], LineBox[{292, 293}]}, 
       {Hue[0.10220060848871781`], LineBox[{293, 294}]}, 
       {Hue[0.10316458152958152`], LineBox[{294, 295}]}, 
       {Hue[0.10417536906303075`], LineBox[{295, 296}]}, 
       {Hue[0.10523444058034044`], LineBox[{296, 297}]}, 
       {Hue[0.10634334170348113`], LineBox[{297, 298}]}, 
       {Hue[0.10750369625973318`], LineBox[{298, 299}]}, 
       {Hue[0.10871720823881346`], LineBox[{299, 300}]}, 
       {Hue[0.10998566358450426`], LineBox[{300, 301}]}, 
       {Hue[0.11131093176420129`], LineBox[{301, 302}]}, 
       {Hue[0.11269496705003088`], LineBox[{302, 303}]}, 
       {Hue[0.11413980943410211`], LineBox[{303, 304}]}, 
       {Hue[0.11564758508797182`], LineBox[{304, 305}]}, 
       {Hue[0.11722050626240711`], LineBox[{305, 306}]}, 
       {Hue[0.11886087050797943`], LineBox[{306, 307}]}, 
       {Hue[0.12057105907988777`], LineBox[{307, 308}]}, 
       {Hue[0.12235353437171662`], LineBox[{308, 309}]}, 
       {Hue[0.1242108362026963], LineBox[{309, 310}]}, 
       {Hue[0.12614557676165872`], LineBox[{310, 311}]}, 
       {Hue[0.12816043398861424`], LineBox[{311, 312}]}, 
       {Hue[0.1302581431522373], LineBox[{312, 313}]}, 
       {Hue[0.13244148635927475`], LineBox[{313, 314}]}, 
       {Hue[0.13471327971098665`], LineBox[{314, 315}]}, 
       {Hue[0.1370763578035217], LineBox[{315, 316}]}, 
       {Hue[0.13953355525532402`], LineBox[{316, 317}]}, 
       {Hue[0.1420876849373924], LineBox[{317, 318}]}, 
       {Hue[0.1447415125840763], LineBox[{318, 319}]}, 
       {Hue[0.14749772747618398`], LineBox[{319, 320}]}, 
       {Hue[0.15035890891807502`], LineBox[{320, 321}]}, 
       {Hue[0.15332748828010634`], LineBox[{321, 322}]}, 
       {Hue[0.15640570645158214`], LineBox[{322, 323}]}, 
       {Hue[0.15959556665158295`], LineBox[{323, 324}]}, 
       {Hue[0.1628987826798028], LineBox[{324, 325}]}, 
       {Hue[0.16631672286018204`], LineBox[{325, 326}]}, 
       {Hue[0.16985035013870134`], LineBox[{326, 327}]}, 
       {Hue[0.17350015904316218`], LineBox[{327, 328}]}, 
       {Hue[0.17726611049412686`], LineBox[{328, 329}]}, 
       {Hue[0.1811475657656248], LineBox[{329, 330}]}, 
       {Hue[0.18514322122027146`], LineBox[{330, 331}]}, 
       {Hue[0.1892510457693329], LineBox[{331, 332}]}, 
       {Hue[0.193468223311716], LineBox[{332, 333}]}, 
       {Hue[0.19779110265946323`], LineBox[{333, 334}]}, 
       {Hue[0.20221515762974296`], LineBox[{334, 335}]}, 
       {Hue[0.20673496004147493`], LineBox[{335, 336}]}, 
       {Hue[0.21134416826699404`], LineBox[{336, 337}]}, 
       {Hue[0.2160355337294295], LineBox[{337, 338}]}, 
       {Hue[0.22080092728876333`], LineBox[{338, 339}]}, 
       {Hue[0.2256313868224282], LineBox[{339, 340}]}, 
       {Hue[0.23051718649662833`], LineBox[{340, 341}]}, 
       {Hue[0.23544792727923894`], LineBox[{341, 342}]}, 
       {Hue[0.2404126472205699], LineBox[{342, 343}]}, 
       {Hue[0.2453999489967783], LineBox[{343, 344}]}, 
       {Hue[0.2503981412539589], LineBox[{344, 345}]}, 
       {Hue[0.2553953894911681], LineBox[{345, 346}]}, 
       {Hue[0.26037987165064547`], LineBox[{346, 347}]}, 
       {Hue[0.265339933297222], LineBox[{347, 348}]}, 
       {Hue[0.2702642372940189], LineBox[{348, 349}]}, 
       {Hue[0.275141903215598], LineBox[{349, 350}]}, 
       {Hue[0.2799626323505173], LineBox[{350, 351}]}, 
       {Hue[0.2847168149752546], LineBox[{351, 352}]}, 
       {Hue[0.2893956175557322], LineBox[{352, 353}]}, 
       {Hue[0.2939910485683929], LineBox[{353, 354}]}, 
       {Hue[0.2984960026492212], LineBox[{354, 355}]}, 
       {Hue[0.3029042837061251], LineBox[{355, 356}]}, 
       {Hue[0.3072106084142318], LineBox[{356, 357}]}, 
       {Hue[0.31141059212121125`], LineBox[{357, 358}]}, 
       {Hue[0.3155007196069928], LineBox[{358, 359}]}, 
       {Hue[0.31947830337318855`], LineBox[{359, 360}]}, 
       {Hue[0.32334143220009265`], LineBox[{360, 361}]}, 
       {Hue[0.32708891263058115`], LineBox[{361, 362}]}, 
       {Hue[0.33072020585269274`], LineBox[{362, 363}]}, 
       {Hue[0.3342353621891143], LineBox[{363, 364}]}, 
       {Hue[0.3376349550930625], LineBox[{364, 365}]}, 
       {Hue[0.34092001622279267`], LineBox[{365, 366}]}, 
       {Hue[0.3440919728425891], LineBox[{366, 367}]}, 
       {Hue[0.347152588492495], LineBox[{367, 368}]}, 
       {Hue[0.350103907592898], LineBox[{368, 369}]}, 
       {Hue[0.35294820440955343`], LineBox[{369, 370}]}, 
       {Hue[0.3556879366021415], LineBox[{370, 371}]}, 
       {Hue[0.35832570341470105`], LineBox[{371, 372}]}, 
       {Hue[0.3608642084369533], LineBox[{372, 373}]}, 
       {Hue[0.36330622676812385`], LineBox[{373, 374}]}, 
       {Hue[0.36565457634521703`], LineBox[{374, 375}]}, 
       {Hue[0.3679120931514359], LineBox[{375, 376}]}, 
       {Hue[0.3700816099933188], LineBox[{376, 377}]}, 
       {Hue[0.3721659385232465], LineBox[{377, 378}]}, 
       {Hue[0.37416785418376197`], LineBox[{378, 379}]}, 
       {Hue[0.376090083758622], LineBox[{379, 380}]}, 
       {Hue[0.37793529523013486`], LineBox[{380, 381}]}, 
       {Hue[0.3797060896610835], LineBox[{381, 382}]}, 
       {Hue[0.3814049948407324], LineBox[{382, 383}]}, 
       {Hue[0.3830344604568081], LineBox[{383, 384}]}, 
       {Hue[0.3845968545779678], LineBox[{384, 385}]}, 
       {Hue[0.38609446125342217`], LineBox[{385, 386}]}, 
       {Hue[0.38752947905757806`], LineBox[{386, 387}]}, 
       {Hue[0.3889040204274842], LineBox[{387, 388}]}, 
       {Hue[0.3902201116593114], LineBox[{388, 389}]}, 
       {Hue[0.39147969344698613`], LineBox[{389, 390}]}, 
       {Hue[0.3926846218613914], LineBox[{390, 391}]}, 
       {Hue[0.39383666968230274`], LineBox[{391, 392}]}, 
       {Hue[0.39493752800747994`], LineBox[{392, 393}]}, 
       {Hue[0.395988808074207], LineBox[{393, 394}]}, 
       {Hue[0.39699204323813875`], LineBox[{394, 395}]}, 
       {Hue[0.397948691062706], LineBox[{395, 396}]}, 
       {Hue[0.39886013547964455`], LineBox[{396, 397}]}, 
       {Hue[0.3997276889875718], LineBox[{397, 398}]}, 
       {Hue[0.40055259486102296`], LineBox[{398, 399}]}, 
       {Hue[0.4013360293470951], LineBox[{399, 400}]}, 
       {Hue[0.40207910383090145`], LineBox[{400, 401}]}, 
       {Hue[0.4027828669545046], LineBox[{401, 402}]}, 
       {Hue[0.4034483066769441], LineBox[{402, 403}]}, 
       {Hue[0.40407635226547134`], LineBox[{403, 404}]}, 
       {Hue[0.4046678762102058], LineBox[{404, 405}]}, 
       {Hue[0.4052236960561905], LineBox[{405, 406}]}, 
       {Hue[0.4057445761482957], LineBox[{406, 407}]}, 
       {Hue[0.40623122928563093`], LineBox[{407, 408}]}, 
       {Hue[0.40668431828313056`], LineBox[{408, 409}]}, 
       {Hue[0.407104457438783], LineBox[{409, 410}]}, 
       {Hue[0.4074922139056299], LineBox[{410, 411}]}, 
       {Hue[0.4078481089681751], LineBox[{411, 412}]}, 
       {Hue[0.4081726192232428], LineBox[{412, 413}]}, 
       {Hue[0.4084661776656265], LineBox[{413, 414}]}, 
       {Hue[0.4087291746790843], LineBox[{414, 415}]}, 
       {Hue[0.4089619589333858], LineBox[{415, 416}]}, 
       {Hue[0.40916483818820265`], LineBox[{416, 417}]}, 
       {Hue[0.40933808000466976`], LineBox[{417, 418}]}, 
       {Hue[0.4094819123654433], LineBox[{418, 419}]}, 
       {Hue[0.4095965242040422], LineBox[{419, 420}]}, 
       {Hue[0.40968206584419165`], LineBox[{420, 421}]}, 
       {Hue[0.40973864934980114`], LineBox[{421, 422}]}, 
       {Hue[0.40976634878610024`], LineBox[{422, 423}]}, 
       {Hue[0.4097652003923342], LineBox[{423, 424}]}, 
       {Hue[0.4097352026662924], LineBox[{424, 425}]}, 
       {Hue[0.40967631636080426`], LineBox[{425, 426}]}, 
       {Hue[0.40958846439219654`], LineBox[{426, 427}]}, 
       {Hue[0.40947153166056616`], LineBox[{427, 428}]}, 
       {Hue[0.4093253647815867], LineBox[{428, 429}]}, 
       {Hue[0.40914977172943473`], LineBox[{429, 430}]}, 
       {Hue[0.4089445213903031], LineBox[{430, 431}]}, 
       {Hue[0.4087093430258638], LineBox[{431, 432}]}, 
       {Hue[0.4084439256459527], LineBox[{432, 433}]}, 
       {Hue[0.40814791728968575`], LineBox[{433, 434}]}, 
       {Hue[0.407820924214181], LineBox[{434, 435}]}, 
       {Hue[0.4074625099900583], LineBox[{435, 436}]}, 
       {Hue[0.4070721945029304], LineBox[{436, 437}]}, 
       {Hue[0.40664945286019105`], LineBox[{437, 438}]}, 
       {Hue[0.4061937142025564], LineBox[{438, 439}]}, 
       {Hue[0.4057043604200406], LineBox[{439, 440}]}, 
       {Hue[0.40518072477235473`], LineBox[{440, 441}]}, 
       {Hue[0.404622090414123], LineBox[{441, 442}]}, 
       {Hue[0.4040276888258407], LineBox[{442, 443}]}, 
       {Hue[0.4033966981521577], LineBox[{443, 444}]}, 
       {Hue[0.4027282414498977], LineBox[{444, 445}]}, 
       {Hue[0.4020213848492414], LineBox[{445, 446}]}, 
       {Hue[0.4012751356327288], LineBox[{446, 447}]}, 
       {Hue[0.4004884402382371], LineBox[{447, 448}]}, 
       {Hue[0.39966018219386795`], LineBox[{448, 449}]}, 
       {Hue[0.39878917999482116`], LineBox[{449, 450}]}, 
       {Hue[0.3978741849348522], LineBox[{450, 451}]}, 
       {Hue[0.3969138789079031], LineBox[{451, 452}]}, 
       {Hue[0.39590687219900317`], LineBox[{452, 453}]}, 
       {Hue[0.39485170128764496`], LineBox[{453, 454}]}, 
       {Hue[0.39374682669162797`], LineBox[{454, 455}]}, 
       {Hue[0.3925906308849229], LineBox[{455, 456}]}, 
       {Hue[0.3913814163295345], LineBox[{456, 457}]}, 
       {Hue[0.39011740366874104`], LineBox[{457, 458}]}, 
       {Hue[0.38879673013756644`], LineBox[{458, 459}]}, 
       {Hue[0.387417448256012], LineBox[{459, 460}]}, 
       {Hue[0.3859775248815478], LineBox[{460, 461}]}, 
       {Hue[0.384474840709739], LineBox[{461, 462}]}, 
       {Hue[0.38290719032574927`], LineBox[{462, 463}]}, 
       {Hue[0.38127228292489324`], LineBox[{463, 464}]}, 
       {Hue[0.3795677438374164], LineBox[{464, 465}]}, 
       {Hue[0.37779111701125395`], LineBox[{465, 466}]}, 
       {Hue[0.37593986862654816`], LineBox[{466, 467}]}, 
       {Hue[0.3740113920369912], LineBox[{467, 468}]}, 
       {Hue[0.3720030142552727], LineBox[{468, 469}]}, 
       {Hue[0.36991200422254394`], LineBox[{469, 470}]}, 
       {Hue[0.36773558312414495`], LineBox[{470, 471}]}, 
       {Hue[0.36547093703490113`], LineBox[{471, 472}]}, 
       {Hue[0.36311523219577185`], LineBox[{472, 473}]}, 
       {Hue[0.3606656332378639], LineBox[{473, 474}]}, 
       {Hue[0.35811932467770713`], LineBox[{474, 475}]}, 
       {Hue[0.35547353600665976`], LineBox[{475, 476}]}, 
       {Hue[0.3527255706843197], LineBox[{476, 477}]}, 
       {Hue[0.3498728393173212], LineBox[{477, 478}]}, 
       {Hue[0.34691289725692975`], LineBox[{478, 479}]}, 
       {Hue[0.3438434867771454], LineBox[{479, 480}]}, 
       {Hue[0.3406625838952227], LineBox[{480, 481}]}, 
       {Hue[0.33736844976448443`], LineBox[{481, 482}]}, 
       {Hue[0.33395968640160834`], LineBox[{482, 483}]}, 
       {Hue[0.33043529630503315`], LineBox[{483, 484}]}, 
       {Hue[0.3267947452776275], LineBox[{484, 485}]}, 
       {Hue[0.32303802748799726`], LineBox[{485, 486}]}, 
       {Hue[0.3191657314972594], LineBox[{486, 487}]}, 
       {Hue[0.3151791056528484], LineBox[{487, 488}]}, 
       {Hue[0.31108012092428083`], LineBox[{488, 489}]}, 
       {Hue[0.30687152894962566`], LineBox[{489, 490}]}, 
       {Hue[0.30255691280275177`], LineBox[{490, 491}]}, 
       {Hue[0.2981407278113426], LineBox[{491, 492}]}, 
       {Hue[0.2936283296872143], LineBox[{492, 493}]}, 
       {Hue[0.289025987305539], LineBox[{493, 494}]}, 
       {Hue[0.2843408777148538], LineBox[{494, 495}]}, 
       {Hue[0.2795810613922095], LineBox[{495, 496}]}, 
       {Hue[0.27475543638019395`], LineBox[{496, 497}]}, 
       {Hue[0.2698736707395825], LineBox[{497, 498}]}, 
       {Hue[0.26494611368772064`], LineBox[{498, 499}]}, 
       {Hue[0.2599836868134734], LineBox[{499, 500}]}, 
       {Hue[0.25499775779345224`], LineBox[{500, 501}]}, 
       {Hue[0.24999999999999997`], LineBox[{501, 502}]}, 
       {Hue[0.24500224220654768`], LineBox[{502, 503}]}, 
       {Hue[0.24001631318652655`], LineBox[{503, 504}]}, 
       {Hue[0.23505388631227925`], LineBox[{504, 505}]}, 
       {Hue[0.23012632926041737`], LineBox[{505, 506}]}, 
       {Hue[0.225244563619806], LineBox[{506, 507}]}, 
       {Hue[0.22041893860779038`], LineBox[{507, 508}]}, 
       {Hue[0.2156591222851461], LineBox[{508, 509}]}, 
       {Hue[0.2109740126944609], LineBox[{509, 510}]}, 
       {Hue[0.2063716703127856], LineBox[{510, 511}]}, 
       {Hue[0.2018592721886573], LineBox[{511, 512}]}, 
       {Hue[0.19744308719724815`], LineBox[{512, 513}]}, 
       {Hue[0.19312847105037426`], LineBox[{513, 514}]}, 
       {Hue[0.18891987907571905`], LineBox[{514, 515}]}, 
       {Hue[0.18482089434715152`], LineBox[{515, 516}]}, 
       {Hue[0.18083426850274054`], LineBox[{516, 517}]}, 
       {Hue[0.17696197251200269`], LineBox[{517, 518}]}, 
       {Hue[0.1732052547223725], LineBox[{518, 519}]}, 
       {Hue[0.16956470369496676`], LineBox[{519, 520}]}, 
       {Hue[0.1660403135983916], LineBox[{520, 521}]}, 
       {Hue[0.16263155023551548`], LineBox[{521, 522}]}, 
       {Hue[0.15933741610477728`], LineBox[{522, 523}]}, 
       {Hue[0.15615651322285456`], LineBox[{523, 524}]}, 
       {Hue[0.1530871027430702], LineBox[{524, 525}]}, 
       {Hue[0.1501271606826787], LineBox[{525, 526}]}, 
       {Hue[0.14727442931568022`], LineBox[{526, 527}]}, 
       {Hue[0.14452646399334018`], LineBox[{527, 528}]}, 
       {Hue[0.14188067532229282`], LineBox[{528, 529}]}, 
       {Hue[0.1393343667621361], LineBox[{529, 530}]}, 
       {Hue[0.13688476780422815`], LineBox[{530, 531}]}, 
       {Hue[0.13452906296509884`], LineBox[{531, 532}]}, 
       {Hue[0.13226441687585502`], LineBox[{532, 533}]}, 
       {Hue[0.13008799577745603`], LineBox[{533, 534}]}, 
       {Hue[0.12799698574472723`], LineBox[{534, 535}]}, 
       {Hue[0.12598860796300881`], LineBox[{535, 536}]}, 
       {Hue[0.12406013137345184`], LineBox[{536, 537}]}, 
       {Hue[0.12220888298874599`], LineBox[{537, 538}]}, 
       {Hue[0.12043225616258356`], LineBox[{538, 539}]}, 
       {Hue[0.11872771707510672`], LineBox[{539, 540}]}, 
       {Hue[0.11709280967425072`], LineBox[{540, 541}]}, 
       {Hue[0.11552515929026098`], LineBox[{541, 542}]}, 
       {Hue[0.11402247511845215`], LineBox[{542, 543}]}, 
       {Hue[0.112582551743988], LineBox[{543, 544}]}, 
       {Hue[0.11120326986243353`], LineBox[{544, 545}]}, 
       {Hue[0.10988259633125892`], LineBox[{545, 546}]}, 
       {Hue[0.10861858367046551`], LineBox[{546, 547}]}, 
       {Hue[0.10740936911507709`], LineBox[{547, 548}]}, 
       {Hue[0.10625317330837199`], LineBox[{548, 549}]}, 
       {Hue[0.10514829871235504`], LineBox[{549, 550}]}, 
       {Hue[0.10409312780099685`], LineBox[{550, 551}]}, 
       {Hue[0.10308612109209694`], LineBox[{551, 552}]}, 
       {Hue[0.1021258150651478], LineBox[{552, 553}]}, 
       {Hue[0.10121082000517885`], LineBox[{553, 554}]}, 
       {Hue[0.10033981780613206`], LineBox[{554, 555}]}, 
       {Hue[0.09951155976176293], LineBox[{555, 556}]}, 
       {Hue[0.09872486436727117], LineBox[{556, 557}]}, 
       {Hue[0.09797861515075866], LineBox[{557, 558}]}, 
       {Hue[0.09727175855010227], LineBox[{558, 559}]}, 
       {Hue[0.09660330184784235], LineBox[{559, 560}]}, 
       {Hue[0.09597231117415926], LineBox[{560, 561}]}, 
       {Hue[0.09537790958587702], LineBox[{561, 562}]}, 
       {Hue[0.09481927522764533], LineBox[{562, 563}]}, 
       {Hue[0.09429563957995939], LineBox[{563, 564}]}, 
       {Hue[0.09380628579744363], LineBox[{564, 565}]}, 
       {Hue[0.0933505471398089], LineBox[{565, 566}]}, 
       {Hue[0.09292780549706957], LineBox[{566, 567}]}, 
       {Hue[0.09253749000994174], LineBox[{567, 568}]}, 
       {Hue[0.09217907578581903], LineBox[{568, 569}]}, 
       {Hue[0.09185208271031424], LineBox[{569, 570}]}, 
       {Hue[0.09155607435404726], LineBox[{570, 571}]}, 
       {Hue[0.09129065697413616], LineBox[{571, 572}]}, 
       {Hue[0.09105547860969693], LineBox[{572, 573}]}, 
       {Hue[0.09085022827056533], LineBox[{573, 574}]}, 
       {Hue[0.09067463521841328], LineBox[{574, 575}]}, 
       {Hue[0.09052846833943387], LineBox[{575, 576}]}, 
       {Hue[0.09041153560780353], LineBox[{576, 577}]}, 
       {Hue[0.09032368363919577], LineBox[{577, 578}]}, 
       {Hue[0.09026479733370764], LineBox[{578, 579}]}, 
       {Hue[0.09023479960766582], LineBox[{579, 580}]}, 
       {Hue[0.09023365121389974], LineBox[{580, 581}]}, 
       {Hue[0.09026135065019887], LineBox[{581, 582}]}, 
       {Hue[0.09031793415580841], LineBox[{582, 583}]}, 
       {Hue[0.09040347579595782], LineBox[{583, 584}]}, 
       {Hue[0.09051808763455671], LineBox[{584, 585}]}, 
       {Hue[0.09066191999533027], LineBox[{585, 586}]}, 
       {Hue[0.09083516181179734], LineBox[{586, 587}]}, 
       {Hue[0.09103804106661416], LineBox[{587, 588}]}, 
       {Hue[0.09127082532091571], LineBox[{588, 589}]}, 
       {Hue[0.09153382233437346], LineBox[{589, 590}]}, 
       {Hue[0.09182738077675724], LineBox[{590, 591}]}, 
       {Hue[0.09215189103182497], LineBox[{591, 592}]}, 
       {Hue[0.09250778609437008], LineBox[{592, 593}]}, 
       {Hue[0.09289554256121699], LineBox[{593, 594}]}, 
       {Hue[0.09331568171686945], LineBox[{594, 595}]}, 
       {Hue[0.09376877071436908], LineBox[{595, 596}]}, 
       {Hue[0.09425542385170431], LineBox[{596, 597}]}, 
       {Hue[0.09477630394380944], LineBox[{597, 598}]}, 
       {Hue[0.09533212378979426], LineBox[{598, 599}]}, 
       {Hue[0.09592364773452867], LineBox[{599, 600}]}, 
       {Hue[0.09655169332305595], LineBox[{600, 601}]}, 
       {Hue[0.09721713304549544], LineBox[{601, 602}]}, 
       {Hue[0.09792089616909855], LineBox[{602, 603}]}, 
       {Hue[0.09866397065290491], LineBox[{603, 604}]}, 
       {Hue[0.09944740513897703], LineBox[{604, 605}]}, 
       {Hue[0.10027231101242819`], LineBox[{605, 606}]}, 
       {Hue[0.10113986452035546`], LineBox[{606, 607}]}, 
       {Hue[0.10205130893729412`], LineBox[{607, 608}]}, 
       {Hue[0.10300795676186127`], LineBox[{608, 609}]}, 
       {Hue[0.10401119192579301`], LineBox[{609, 610}]}, 
       {Hue[0.10506247199252006`], LineBox[{610, 611}]}, 
       {Hue[0.10616333031769727`], LineBox[{611, 612}]}, 
       {Hue[0.1073153781386086], LineBox[{612, 613}]}, 
       {Hue[0.10852030655301394`], LineBox[{613, 614}]}, 
       {Hue[0.1097798883406886], LineBox[{614, 615}]}, 
       {Hue[0.11109597957251585`], LineBox[{615, 616}]}, 
       {Hue[0.11247052094242194`], LineBox[{616, 617}]}, 
       {Hue[0.1139055387465779], LineBox[{617, 618}]}, 
       {Hue[0.11540314542203226`], LineBox[{618, 619}]}, 
       {Hue[0.11696553954319194`], LineBox[{619, 620}]}, 
       {Hue[0.11859500515926766`], LineBox[{620, 621}]}, 
       {Hue[0.12029391033891654`], LineBox[{621, 622}]}, 
       {Hue[0.12206470476986522`], LineBox[{622, 623}]}, 
       {Hue[0.12390991624137805`], LineBox[{623, 624}]}, 
       {Hue[0.12583214581623808`], LineBox[{624, 625}]}, 
       {Hue[0.1278340614767536], LineBox[{625, 626}]}, 
       {Hue[0.12991839000668126`], LineBox[{626, 627}]}, 
       {Hue[0.13208790684856414`], LineBox[{627, 628}]}, 
       {Hue[0.13434542365478302`], LineBox[{628, 629}]}, 
       {Hue[0.13669377323187615`], LineBox[{629, 630}]}, 
       {Hue[0.13913579156304676`], LineBox[{630, 631}]}, 
       {Hue[0.14167429658529906`], LineBox[{631, 632}]}, 
       {Hue[0.14431206339785863`], LineBox[{632, 633}]}, 
       {Hue[0.14705179559044665`], LineBox[{633, 634}]}, 
       {Hue[0.14989609240710206`], LineBox[{634, 635}]}, 
       {Hue[0.1528474115075051], LineBox[{635, 636}]}, 
       {Hue[0.15590802715741095`], LineBox[{636, 637}]}, 
       {Hue[0.1590799837772074], LineBox[{637, 638}]}, 
       {Hue[0.1623650449069375], LineBox[{638, 639}]}, 
       {Hue[0.16576463781088577`], LineBox[{639, 640}]}, 
       {Hue[0.16927979414730737`], LineBox[{640, 641}]}, 
       {Hue[0.17291108736941896`], LineBox[{641, 642}]}, 
       {Hue[0.17665856779990746`], LineBox[{642, 643}]}, 
       {Hue[0.1805216966268115], LineBox[{643, 644}]}, 
       {Hue[0.1844992803930073], LineBox[{644, 645}]}, 
       {Hue[0.1885894078787889], LineBox[{645, 646}]}, 
       {Hue[0.19278939158576827`], LineBox[{646, 647}]}, 
       {Hue[0.197095716293875], LineBox[{647, 648}]}, 
       {Hue[0.20150399735077892`], LineBox[{648, 649}]}, 
       {Hue[0.20600895143160722`], LineBox[{649, 650}]}, 
       {Hue[0.21060438244426793`], LineBox[{650, 651}]}, 
       {Hue[0.21528318502474553`], LineBox[{651, 652}]}, 
       {Hue[0.22003736764948278`], LineBox[{652, 653}]}, 
       {Hue[0.22485809678440208`], LineBox[{653, 654}]}, 
       {Hue[0.22973576270598112`], LineBox[{654, 655}]}, 
       {Hue[0.234660066702778], LineBox[{655, 656}]}, 
       {Hue[0.23962012834935464`], LineBox[{656, 657}]}, 
       {Hue[0.24460461050883203`], LineBox[{657, 658}]}, 
       {Hue[0.24960185874604124`], LineBox[{658, 659}]}, 
       {Hue[0.25460005100322186`], LineBox[{659, 660}]}, 
       {Hue[0.25958735277943024`], LineBox[{660, 661}]}, 
       {Hue[0.2645520727207612], LineBox[{661, 662}]}, 
       {Hue[0.2694828135033718], LineBox[{662, 663}]}, 
       {Hue[0.27436861317757194`], LineBox[{663, 664}]}, 
       {Hue[0.2791990727112368], LineBox[{664, 665}]}, 
       {Hue[0.28396446627057065`], LineBox[{665, 666}]}, 
       {Hue[0.2886558317330061], LineBox[{666, 667}]}, 
       {Hue[0.29326503995852515`], LineBox[{667, 668}]}, 
       {Hue[0.29778484237025715`], LineBox[{668, 669}]}, 
       {Hue[0.30220889734053685`], LineBox[{669, 670}]}, 
       {Hue[0.30653177668828413`], LineBox[{670, 671}]}, 
       {Hue[0.3107489542306672], LineBox[{671, 672}]}, 
       {Hue[0.3148567787797286], LineBox[{672, 673}]}, 
       {Hue[0.3188524342343753], LineBox[{673, 674}]}, 
       {Hue[0.32273388950587323`], LineBox[{674, 675}]}, 
       {Hue[0.3264998409568379], LineBox[{675, 676}]}, 
       {Hue[0.3301496498612988], LineBox[{676, 677}]}, 
       {Hue[0.333683277139818], LineBox[{677, 678}]}, 
       {Hue[0.33710121732019727`], LineBox[{678, 679}]}, 
       {Hue[0.34040443334841713`], LineBox[{679, 680}]}, 
       {Hue[0.34359429354841786`], LineBox[{680, 681}]}, 
       {Hue[0.3466725117198937], LineBox[{681, 682}]}, 
       {Hue[0.34964109108192504`], LineBox[{682, 683}]}, 
       {Hue[0.35250227252381605`], LineBox[{683, 684}]}, 
       {Hue[0.3552584874159237], LineBox[{684, 685}]}, 
       {Hue[0.3579123150626076], LineBox[{685, 686}]}, 
       {Hue[0.36046644474467604`], LineBox[{686, 687}]}, 
       {Hue[0.3629236421964784], LineBox[{687, 688}]}, 
       {Hue[0.36528672028901343`], LineBox[{688, 689}]}, 
       {Hue[0.3675585136407253], LineBox[{689, 690}]}, 
       {Hue[0.3697418568477628], LineBox[{690, 691}]}, 
       {Hue[0.3718395660113858], LineBox[{691, 692}]}, 
       {Hue[0.3738544232383413], LineBox[{692, 693}]}, 
       {Hue[0.3757891637973037], LineBox[{693, 694}]}, 
       {Hue[0.3776464656282834], LineBox[{694, 695}]}, 
       {Hue[0.3794289409201123], LineBox[{695, 696}]}, 
       {Hue[0.3811391294920206], LineBox[{696, 697}]}, 
       {Hue[0.38277949373759296`], LineBox[{697, 698}]}, 
       {Hue[0.3843524149120282], LineBox[{698, 699}]}, 
       {Hue[0.38586019056589793`], LineBox[{699, 700}]}, 
       {Hue[0.38730503294996915`], LineBox[{700, 701}]}, 
       {Hue[0.3886890682357987], LineBox[{701, 702}]}, 
       {Hue[0.3900143364154958], LineBox[{702, 703}]}, 
       {Hue[0.3912827917611866], LineBox[{703, 704}]}, 
       {Hue[0.3924963037402669], LineBox[{704, 705}]}, 
       {Hue[0.3936566582965189], LineBox[{705, 706}]}, 
       {Hue[0.3947655594196596], LineBox[{706, 707}]}, 
       {Hue[0.39582463093696924`], LineBox[{707, 708}]}, 
       {Hue[0.39683541847041853`], LineBox[{708, 709}]}, 
       {Hue[0.3977993915112822], LineBox[{709, 710}]}, 
       {Hue[0.39871794557170975`], LineBox[{710, 711}]}, 
       {Hue[0.3995924043792208], LineBox[{711, 712}]}, 
       {Hue[0.4004240220857197], LineBox[{712, 713}]}, 
       {Hue[0.4012139854674696], LineBox[{713, 714}]}, 
       {Hue[0.4019634160966237], LineBox[{714, 715}]}, 
       {Hue[0.40267337246846663`], LineBox[{715, 716}]}, 
       {Hue[0.40334485207154597`], LineBox[{716, 717}]}, 
       {Hue[0.4039787933904346], LineBox[{717, 718}]}, 
       {Hue[0.40457607783302807`], LineBox[{718, 719}]}, 
       {Hue[0.40513753157609567`], LineBox[{719, 720}]}, 
       {Hue[0.4056639273243155], LineBox[{720, 721}]}, 
       {Hue[0.40615598597928], LineBox[{721, 722}]}, 
       {Hue[0.4066143782159855], LineBox[{722, 723}]}, 
       {Hue[0.4070397259651638], LineBox[{723, 724}]}, 
       {Hue[0.40743260380048346`], LineBox[{724, 725}]}, 
       {Hue[0.40779354023018966`], LineBox[{725, 726}]}, 
       {Hue[0.40812301889316455`], LineBox[{726, 727}]}, 
       {Hue[0.40842147965970677`], LineBox[{727, 728}]}, 
       {Hue[0.40868931963755717`], LineBox[{728, 729}]}, 
       {Hue[0.4089268940838584], LineBox[{729, 730}]}, 
       {Hue[0.40913451722382566`], LineBox[{730, 731}]}, 
       {Hue[0.40931246297695767`], LineBox[{731, 732}]}, 
       {Hue[0.4094609655916141], LineBox[{732, 733}]}, 
       {Hue[0.4095802201887543], LineBox[{733, 734}]}, 
       {Hue[0.40967038321556987`], LineBox[{734, 735}]}, 
       {Hue[0.40973157280965783`], LineBox[{735, 736}]}, 
       {Hue[0.40976386907427487`], LineBox[{736, 737}]}, 
       {Hue[0.4097673142650973], LineBox[{737, 738}]}, 
       {Hue[0.4097419128887791], LineBox[{738, 739}]}, 
       {Hue[0.40968763171346423`], LineBox[{739, 740}]}, 
       {Hue[0.4096043996912722], LineBox[{740, 741}]}, 
       {Hue[0.4094921077926311], LineBox[{741, 742}]}, 
       {Hue[0.4093506087521979], LineBox[{742, 743}]}, 
       {Hue[0.40917971672597286`], LineBox[{743, 744}]}, 
       {Hue[0.4089792068590938], LineBox[{744, 745}]}, 
       {Hue[0.4087488147636875], LineBox[{745, 746}]}, 
       {Hue[0.4084882359060634], LineBox[{746, 747}]}, 
       {Hue[0.4081971249024685], LineBox[{747, 748}]}, 
       {Hue[0.40787509472258066`], LineBox[{748, 749}]}, 
       {Hue[0.4075217157999094], LineBox[{749, 750}]}, 
       {Hue[0.40713651504830894`], LineBox[{750, 751}]}, 
       {Hue[0.40671897478388985`], LineBox[{751, 752}]}, 
       {Hue[0.4062685315517588], LineBox[{752, 753}]}, 
       {Hue[0.4057845748572241], LineBox[{753, 754}]}, 
       {Hue[0.4052664458014015], LineBox[{754, 755}]}, 
       {Hue[0.4047134356215437], LineBox[{755, 756}]}, 
       {Hue[0.4041247841369232], LineBox[{756, 757}]}, 
       {Hue[0.4034996781017369], LineBox[{757, 758}]}, 
       {Hue[0.4028372494673021], LineBox[{758, 759}]}, 
       {Hue[0.40213657355679083`], LineBox[{759, 760}]}, 
       {Hue[0.4013966671569524], LineBox[{760, 761}]}, 
       {Hue[0.4006164865327162], LineBox[{761, 762}]}, 
       {Hue[0.3997949253723106], LineBox[{762, 763}]}, 
       {Hue[0.3989308126726016], LineBox[{763, 764}]}, 
       {Hue[0.3980229105768238], LineBox[{764, 765}]}, 
       {Hue[0.3970699121797807], LineBox[{765, 766}]}, 
       {Hue[0.3960704393190141], LineBox[{766, 767}]}, 
       {Hue[0.3950230403744523], LineBox[{767, 768}]}, 
       {Hue[0.3939261881037156], LineBox[{768, 769}]}, 
       {Hue[0.3927782775456926], LineBox[{769, 770}]}, 
       {Hue[0.39157762403127855`], LineBox[{770, 771}]}, 
       {Hue[0.39032246134740683`], LineBox[{771, 772}]}, 
       {Hue[0.3890109401088014], LineBox[{772, 773}]}, 
       {Hue[0.3876411264013527], LineBox[{773, 774}]}, 
       {Hue[0.3862110007717798], LineBox[{774, 775}]}, 
       {Hue[0.38471845765038143`], LineBox[{775, 776}]}, 
       {Hue[0.3831613053073117], LineBox[{776, 777}]}, 
       {Hue[0.38153726645798336`], LineBox[{777, 778}]}, 
       {Hue[0.3798439796499682], LineBox[{778, 779}]}, 
       {Hue[0.3780790015820822], LineBox[{779, 780}]}, 
       {Hue[0.3762398105261576], LineBox[{780, 781}]}, 
       {Hue[0.37432381104310397`], LineBox[{781, 782}]}, 
       {Hue[0.3723283402069579], LineBox[{782, 783}]}, 
       {Hue[0.3702506755732251], LineBox[{783, 784}]}, 
       {Hue[0.36808804515026455`], LineBox[{784, 785}]}, 
       {Hue[0.36583763965379695`], LineBox[{785, 786}]}, 
       {Hue[0.3634966273436179], LineBox[{786, 787}]}, 
       {Hue[0.3610621717566253], LineBox[{787, 788}]}, 
       {Hue[0.35853145265932884`], LineBox[{788, 789}]}, 
       {Hue[0.3559016905435862], LineBox[{789, 790}]}, 
       {Hue[0.3531701749784568], LineBox[{790, 791}]}, 
       {Hue[0.35033429710528197`], LineBox[{791, 792}]}, 
       {Hue[0.34739158651852614`], LineBox[{792, 793}]}, 
       {Hue[0.3443397527072722], LineBox[{793, 794}]}, 
       {Hue[0.3411767311372362], LineBox[{794, 795}]}, 
       {Hue[0.3379007339265121], LineBox[{795, 796}]}, 
       {Hue[0.3345103049064355], LineBox[{796, 797}]}, 
       {Hue[0.33100437865951315`], LineBox[{797, 798}]}, 
       {Hue[0.3273823428888127], LineBox[{798, 799}]}, 
       {Hue[0.3236441031997363], LineBox[{799, 800}]}, 
       {Hue[0.31979014907151404`], LineBox[{800, 801}]}, 
       {Hue[0.31582161947237253`], LineBox[{801, 802}]}, 
       {Hue[0.3117403662445818], LineBox[{802, 803}]}, 
       {Hue[0.307549013074472], LineBox[{803, 804}]}, 
       {Hue[0.3032510075942643], LineBox[{804, 805}]}, 
       {Hue[0.298850663967776], LineBox[{805, 806}]}, 
       {Hue[0.2943531932236122], LineBox[{806, 807}]}, 
       {Hue[0.28976471864969816`], LineBox[{807, 808}]}, 
       {Hue[0.28509227377972146`], LineBox[{808, 809}]}, 
       {Hue[0.2803437809041249], LineBox[{809, 810}]}, 
       {Hue[0.27552800863093346`], LineBox[{810, 811}]}, 
       {Hue[0.2706545077927546], LineBox[{811, 812}]}, 
       {Hue[0.2657335259136288], LineBox[{812, 813}]}, 
       {Hue[0.2607759014611283], LineBox[{813, 814}]}, 
       {Hue[0.2557929401461359], LineBox[{814, 815}]}, 
       {Hue[0.2507962765149807], LineBox[{815, 816}]}, 
       {Hue[0.24579772492300683`], LineBox[{816, 817}]}, 
       {Hue[0.24080912460930698`], LineBox[{817, 818}]}, 
       {Hue[0.23584218394998696`], LineBox[{818, 819}]}, 
       {Hue[0.23090832901755332`], LineBox[{819, 820}]}, 
       {Hue[0.22601856131189244`], LineBox[{820, 821}]}, 
       {Hue[0.2211833289792581], LineBox[{821, 822}]}, 
       {Hue[0.21641241505171765`], LineBox[{822, 823}]}, 
       {Hue[0.2117148452923129], LineBox[{823, 824}]}, 
       {Hue[0.20709881720257386`], LineBox[{824, 825}]}, 
       {Hue[0.20257165072107905`], LineBox[{825, 826}]}, 
       {Hue[0.1981397601878183], LineBox[{826, 827}]}, 
       {Hue[0.19380864632700226`], LineBox[{827, 828}]}, 
       {Hue[0.18958290634925337`], LineBox[{828, 829}]}, 
       {Hue[0.18546625981113649`], LineBox[{829, 830}]}, 
       {Hue[0.18146158759572523`], LineBox[{830, 831}]}, 
       {Hue[0.17757098127730828`], LineBox[{831, 832}]}, 
       {Hue[0.1737958001809959], LineBox[{832, 833}]}, 
       {Hue[0.17013673361250628`], LineBox[{833, 834}]}, 
       {Hue[0.16659386598174125`], LineBox[{834, 835}]}, 
       {Hue[0.16316674284429727`], LineBox[{835, 836}]}, 
       {Hue[0.1598544362100526], LineBox[{836, 837}]}, 
       {Hue[0.15665560779467977`], LineBox[{837, 838}]}, 
       {Hue[0.15356856920118134`], LineBox[{838, 839}]}, 
       {Hue[0.15059133830243207`], LineBox[{839, 840}]}, 
       {Hue[0.1477216913451077], LineBox[{840, 841}]}, 
       {Hue[0.14495721050700522`], LineBox[{841, 842}]}, 
       {Hue[0.1422953268133908], LineBox[{842, 843}]}, 
       {Hue[0.13973335845550897`], LineBox[{843, 844}]}, 
       {Hue[0.13726854465906438`], LineBox[{844, 845}]}, 
       {Hue[0.13489807532636866`], LineBox[{845, 846}]}, 
       {Hue[0.13261911672730667`], LineBox[{846, 847}]}, 
       {Hue[0.1304288335455921], LineBox[{847, 848}]}, 
       {Hue[0.12832440760200128`], LineBox[{848, 849}]}, 
       {Hue[0.12630305357898677`], LineBox[{849, 850}]}, 
       {Hue[0.12436203206442331`], LineBox[{850, 851}]}, 
       {Hue[0.12249866021887212`], LineBox[{851, 852}]}, 
       {Hue[0.12071032035281995`], LineBox[{852, 853}]}, 
       {Hue[0.11899446667961115`], LineBox[{853, 854}]}, 
       {Hue[0.11734863048758207`], LineBox[{854, 855}]}, 
       {Hue[0.11577042395227086`], LineBox[{855, 856}]}, 
       {Hue[0.11425754278725393`], LineBox[{856, 857}]}, 
       {Hue[0.11280776791070432`], LineBox[{857, 858}]}, 
       {Hue[0.11141896628451631`], LineBox[{858, 859}]}, 
       {Hue[0.11008909106403345`], LineBox[{859, 860}]}, 
       {Hue[0.10881618117915084`], LineBox[{860, 861}]}, 
       {Hue[0.1075983604518885], LineBox[{861, 862}]}, 
       {Hue[0.10643383634141583`], LineBox[{862, 863}]}, 
       {Hue[0.10532089839490315`], LineBox[{863, 864}]}, 
       {Hue[0.10425791647138316`], LineBox[{864, 865}]}, 
       {Hue[0.10324333879593821`], LineBox[{865, 866}]}, 
       {Hue[0.1022756898928642], LineBox[{866, 867}]}, 
       {Hue[0.10135356843890214`], LineBox[{867, 868}]}, 
       {Hue[0.10047564507105021`], LineBox[{868, 869}]}, 
       {Hue[0.09964066017778304], LineBox[{869, 870}]}, 
       {Hue[0.0988474216975958], LineBox[{870, 871}]}, 
       {Hue[0.09809480294458439], LineBox[{871, 872}]}, 
       {Hue[0.09738174047716963], LineBox[{872, 873}]}, 
       {Hue[0.09670723202301136], LineBox[{873, 874}]}, 
       {Hue[0.09607033447055864], LineBox[{874, 875}]}, 
       {Hue[0.09547016193549047], LineBox[{875, 876}]}, 
       {Hue[0.09490588390846226], LineBox[{876, 877}]}, 
       {Hue[0.09437672348903715], LineBox[{877, 878}]}, 
       {Hue[0.09388195570940841], LineBox[{878, 879}]}, 
       {Hue[0.09342090595047155], LineBox[{879, 880}]}, 
       {Hue[0.09299294845195202], LineBox[{880, 881}]}, 
       {Hue[0.09259750491760566], LineBox[{881, 882}]}, 
       {Hue[0.09223404321596387], LineBox[{882, 883}]}, 
       {Hue[0.09190207617666941], LineBox[{883, 884}]}, 
       {Hue[0.09160116048212635], LineBox[{884, 885}]}, 
       {Hue[0.09133089565395161], LineBox[{885, 886}]}, 
       {Hue[0.09109092313355335], LineBox[{886, 887}]}, 
       {Hue[0.09088092545606051], LineBox[{887, 888}]}, 
       {Hue[0.09070062551677992], LineBox[{888, 889}]}, 
       {Hue[0.09054978592935167], LineBox[{889, 890}]}, 
       {Hue[0.09042820847480436], LineBox[{890, 891}]}, 
       {Hue[0.0903357336407719], LineBox[{891, 892}]}, 
       {Hue[0.09027224025021832], LineBox[{892, 893}]}, 
       {Hue[0.09023764517911921], LineBox[{893, 894}]}, 
       {Hue[0.09023190316266748], LineBox[{894, 895}]}, 
       {Hue[0.0902550066896995], LineBox[{895, 896}]}, 
       {Hue[0.09030698598517319], LineBox[{896, 897}]}, 
       {Hue[0.09038790908067054], LineBox[{897, 898}]}, 
       {Hue[0.09049788197303688], LineBox[{898, 899}]}, 
       {Hue[0.09063704887140724], LineBox[{899, 900}]}, 
       {Hue[0.09080559253300266], LineBox[{900, 901}]}, 
       {Hue[0.09100373468820175], LineBox[{901, 902}]}, 
       {Hue[0.09123173655550187], LineBox[{902, 903}]}, 
       {Hue[0.09148989944707822], LineBox[{903, 904}]}, 
       {Hue[0.09177856546571721], LineBox[{904, 905}]}, 
       {Hue[0.09209811829394604], LineBox[{905, 906}]}, 
       {Hue[0.09244898407618865], LineBox[{906, 907}]}, 
       {Hue[0.09283163239474859], LineBox[{907, 908}]}, 
       {Hue[0.09324657734034036], LineBox[{908, 909}]}, 
       {Hue[0.09369437867775515], LineBox[{909, 910}]}, 
       {Hue[0.09417564310704028], LineBox[{910, 911}]}, 
       {Hue[0.0946910256202866], LineBox[{911, 912}]}, 
       {Hue[0.0952412309537347], LineBox[{912, 913}]}, 
       {Hue[0.09582701513441597], LineBox[{913, 914}]}, 
       {Hue[0.09644918711991478], LineBox[{914, 915}]}, 
       {Hue[0.09710861052905455], LineBox[{915, 916}]}, 
       {Hue[0.0978062054603436], LineBox[{916, 917}]}, 
       {Hue[0.0985429503938382], LineBox[{917, 918}]}, 
       {Hue[0.09931988417065232], LineBox[{918, 919}]}, 
       {Hue[0.10013810804263266`], LineBox[{919, 920}]}, 
       {Hue[0.10099878778266944`], LineBox[{920, 921}]}, 
       {Hue[0.10190315584368598`], LineBox[{921, 922}]}, 
       {Hue[0.1028525135514772], LineBox[{922, 923}]}, 
       {Hue[0.10384823331319042`], LineBox[{923, 924}]}, 
       {Hue[0.10489176081928282`], LineBox[{924, 925}]}, 
       {Hue[0.10598461721217321`], LineBox[{925, 926}]}, 
       {Hue[0.10712840118943952`], LineBox[{926, 927}]}, 
       {Hue[0.1083247910032021], LineBox[{927, 928}]}, 
       {Hue[0.10957554631017781`], LineBox[{928, 929}]}, 
       {Hue[0.11088250981867762`], LineBox[{929, 930}]}, 
       {Hue[0.11224760866944633`], LineBox[{930, 931}]}, 
       {Hue[0.11367285547658837`], LineBox[{931, 932}]}, 
       {Hue[0.11516034894279525`], LineBox[{932, 933}]}, 
       {Hue[0.11671227394958258`], LineBox[{933, 934}]}, 
       {Hue[0.11833090100819785`], LineBox[{934, 935}]}, 
       {Hue[0.120018584940224], LineBox[{935, 936}]}, 
       {Hue[0.12177776263870412`], LineBox[{936, 937}]}, 
       {Hue[0.12361094974091523`], LineBox[{937, 938}]}, 
       {Hue[0.12552073602291033`], LineBox[{938, 939}]}, 
       {Hue[0.127509779303914], LineBox[{939, 940}]}, 
       {Hue[0.12958079762607283`], LineBox[{940, 941}]}, 
       {Hue[0.13173655945257284`], LineBox[{941, 942}]}, 
       {Hue[0.13397987160567226`], LineBox[{942, 943}]}, 
       {Hue[0.1363135646469606], LineBox[{943, 944}]}, 
       {Hue[0.13874047538674186`], LineBox[{944, 945}]}, 
       {Hue[0.14126342619982157`], LineBox[{945, 946}]}, 
       {Hue[0.1438852008236211], LineBox[{946, 947}]}, 
       {Hue[0.14660851632436692`], LineBox[{947, 948}]}, 
       {Hue[0.14943599094155588`], LineBox[{948, 949}]}, 
       {Hue[0.15237010756382763`], LineBox[{949, 950}]}, 
       {Hue[0.15541317265501586`], LineBox[{950, 951}]}, 
       {Hue[0.1585672705418412], LineBox[{951, 952}]}, 
       {Hue[0.16183421309869955`], LineBox[{952, 953}]}, 
       {Hue[0.16521548502391814`], LineBox[{953, 954}]}, 
       {Hue[0.1687121850982408], LineBox[{954, 955}]}, 
       {Hue[0.17232496405086967`], LineBox[{955, 956}]}, 
       {Hue[0.1760539599291536], LineBox[{956, 957}]}, 
       {Hue[0.1798987321695189], LineBox[{957, 958}]}, 
       {Hue[0.18385819588953822`], LineBox[{958, 959}]}, 
       {Hue[0.18793055824913352`], LineBox[{959, 960}]}, 
       {Hue[0.19211325904223855`], LineBox[{960, 961}]}, 
       {Hue[0.19640291795298323`], LineBox[{961, 962}]}, 
       {Hue[0.20079529111228706`], LineBox[{962, 963}]}, 
       {Hue[0.20528523968888], LineBox[{963, 964}]}, 
       {Hue[0.20986671321067396`], LineBox[{964, 965}]}, 
       {Hue[0.21453275010979153`], LineBox[{965, 966}]}, 
       {Hue[0.21927549759764664`], LineBox[{966, 967}]}, 
       {Hue[0.22408625239880867`], LineBox[{967, 968}]}, 
       {Hue[0.2289555231146245], LineBox[{968, 969}]}, 
       {Hue[0.2338731140802322], LineBox[{969, 970}]}, 
       {Hue[0.23882822957206712`], LineBox[{970, 971}]}, 
       {Hue[0.2438095961850989], LineBox[{971, 972}]}, 
       {Hue[0.24880560020936765`], LineBox[{972, 973}]}, 
       {Hue[0.2538044359770707], LineBox[{973, 974}]}, 
       {Hue[0.25879426050132737`], LineBox[{974, 975}]}, 
       {Hue[0.26376334934674606`], LineBox[{975, 976}]}, 
       {Hue[0.26870024859662023`], LineBox[{976, 977}]}, 
       {Hue[0.2735939180193801], LineBox[{977, 978}]}, 
       {Hue[0.2784338610647217], LineBox[{978, 979}]}, 
       {Hue[0.28321023808750934`], LineBox[{979, 980}]}, 
       {Hue[0.2879139601346881], LineBox[{980, 981}]}, 
       {Hue[0.29253676165562253`], LineBox[{981, 982}]}, 
       {Hue[0.2970712515271431], LineBox[{982, 983}]}, 
       {Hue[0.3015109427467643], LineBox[{983, 984}]}, 
       {Hue[0.3058502619818296], LineBox[{984, 985}]}, 
       {Hue[0.31008454082854503`], LineBox[{985, 986}]}, 
       {Hue[0.31420999111310083`], LineBox[{986, 987}]}, 
       {Hue[0.3182236668559828], LineBox[{987, 988}]}, 
       {Hue[0.32212341563417995`], LineBox[{988, 989}]}, 
       {Hue[0.3259078220390363], LineBox[{989, 990}]}, 
       {Hue[0.3295761457710746], LineBox[{990, 991}]}, 
       {Hue[0.3331282566702682], LineBox[{991, 992}]}, 
       {Hue[0.3365645686827832], LineBox[{992, 993}]}, 
       {Hue[0.33988597444125196`], LineBox[{993, 994}]}, 
       {Hue[0.3430937818083756], LineBox[{994, 995}]}, 
       {Hue[0.3461896534206633], LineBox[{995, 996}]}, 
       {Hue[0.3491755499827372], LineBox[{996, 997}]}, 
       {Hue[0.35205367781031666`], LineBox[{997, 998}]}, 
       {Hue[0.3548264409053272], LineBox[{998, 999}]}, 
       {Hue[0.35749639766996494`], LineBox[{999, 1000}]}, 
       {Hue[0.3600662222262793], LineBox[{1000, 1001}]}}}},
    VertexColors->{
      Hue[0.1374613297993138], 
      Hue[0.13993377777372068`], 
      Hue[0.14250360233003503`], 
      Hue[0.14517355909467305`], 
      Hue[0.1479463221896834], 
      Hue[0.15082445001726277`], 
      Hue[0.15381034657933665`], 
      Hue[0.15690621819162476`], 
      Hue[0.1601140255587481], 
      Hue[0.1634354313172168], 
      Hue[0.16687174332973181`], 
      Hue[0.17042385422892578`], 
      Hue[0.17409217796096368`], 
      Hue[0.17787658436582005`], 
      Hue[0.18177633314401723`], 
      Hue[0.18579000888689953`], 
      Hue[0.18991545917145497`], 
      Hue[0.19414973801817045`], 
      Hue[0.19848905725323568`], 
      Hue[0.20292874847285733`], 
      Hue[0.20746323834437747`], 
      Hue[0.21208603986531188`], 
      Hue[0.2167897619124907], 
      Hue[0.22156613893527877`], 
      Hue[0.2264060819806199], 
      Hue[0.23129975140337977`], 
      Hue[0.23623665065325397`], 
      Hue[0.24120573949867266`], 
      Hue[0.2461955640229298], 
      Hue[0.25119439979063235`], 
      Hue[0.2561904038149011], 
      Hue[0.2611717704279329], 
      Hue[0.26612688591976824`], 
      Hue[0.27104447688537553`], 
      Hue[0.27591374760119136`], 
      Hue[0.28072450240235336`], 
      Hue[0.2854672498902089], 
      Hue[0.29013328678932604`], 
      Hue[0.29471476031112004`], 
      Hue[0.29920470888771294`], 
      Hue[0.3035970820470172], 
      Hue[0.3078867409577615], 
      Hue[0.3120694417508665], 
      Hue[0.3161418041104618], 
      Hue[0.3201012678304815], 
      Hue[0.32394604007084643`], 
      Hue[0.32767503594913033`], 
      Hue[0.33128781490175924`], 
      Hue[0.33478451497608214`], 
      Hue[0.33816578690130045`], 
      Hue[0.34143272945815883`], 
      Hue[0.3445868273449842], 
      Hue[0.34762989243617237`], 
      Hue[0.35056400905844437`], 
      Hue[0.3533914836756331], 
      Hue[0.3561147991763789], 
      Hue[0.3587365738001785], 
      Hue[0.3612595246132584], 
      Hue[0.3636864353530394], 
      Hue[0.36602012839432774`], 
      Hue[0.36826344054742716`], 
      Hue[0.3704192023739274], 
      Hue[0.372490220696086], 
      Hue[0.37447926397708964`], 
      Hue[0.3763890502590848], 
      Hue[0.37822223736129607`], 
      Hue[0.379981415059776], 
      Hue[0.3816690989918021], 
      Hue[0.38328772605041744`], 
      Hue[0.3848396510572049], 
      Hue[0.38632714452341166`], 
      Hue[0.38775239133055367`], 
      Hue[0.38911749018132236`], 
      Hue[0.39042445368982226`], 
      Hue[0.3916752089967979], 
      Hue[0.3928715988105605], 
      Hue[0.3940153827878268], 
      Hue[0.3951082391807172], 
      Hue[0.3961517666868096], 
      Hue[0.39714748644852277`], 
      Hue[0.398096844156314], 
      Hue[0.39900121221733054`], 
      Hue[0.39986189195736743`], 
      Hue[0.4006801158293477], 
      Hue[0.4014570496061618], 
      Hue[0.40219379453965637`], 
      Hue[0.4028913894709455], 
      Hue[0.40355081288008526`], 
      Hue[0.40417298486558406`], 
      Hue[0.40475876904626534`], 
      Hue[0.4053089743797134], 
      Hue[0.40582435689295976`], 
      Hue[0.40630562132224485`], 
      Hue[0.40675342265965964`], 
      Hue[0.40716836760525144`], 
      Hue[0.4075510159238113], 
      Hue[0.407901881706054], 
      Hue[0.40822143453428283`], 
      Hue[0.4085101005529218], 
      Hue[0.4087682634444981], 
      Hue[0.4089962653117982], 
      Hue[0.40919440746699737`], 
      Hue[0.4093629511285927], 
      Hue[0.4095021180269631], 
      Hue[0.40961209091932943`], 
      Hue[0.40969301401482683`], 
      Hue[0.4097449933103005], 
      Hue[0.40976809683733256`], 
      Hue[0.40976235482088086`], 
      Hue[0.40972775974978165`], 
      Hue[0.40966426635922815`], 
      Hue[0.4095717915251957], 
      Hue[0.40945021407064836`], 
      Hue[0.40929937448322007`], 
      Hue[0.4091190745439395], 
      Hue[0.4089090768664466], 
      Hue[0.40866910434604836`], 
      Hue[0.40839883951787365`], 
      Hue[0.40809792382333065`], 
      Hue[0.40776595678403615`], 
      Hue[0.40740249508239434`], 
      Hue[0.407007051548048], 
      Hue[0.40657909404952847`], 
      Hue[0.40611804429059156`], 
      Hue[0.40562327651096286`], 
      Hue[0.4050941160915378], 
      Hue[0.4045298380645095], 
      Hue[0.4039296655294414], 
      Hue[0.4032927679769886], 
      Hue[0.40261825952283037`], 
      Hue[0.4019051970554156], 
      Hue[0.40115257830240414`], 
      Hue[0.400359339822217], 
      Hue[0.3995243549289498], 
      Hue[0.3986464315610978], 
      Hue[0.3977243101071357], 
      Hue[0.39675666120406183`], 
      Hue[0.3957420835286168], 
      Hue[0.39467910160509684`], 
      Hue[0.3935661636585841], 
      Hue[0.3924016395481115], 
      Hue[0.39118381882084907`], 
      Hue[0.3899109089359666], 
      Hue[0.38858103371548364`], 
      Hue[0.38719223208929565`], 
      Hue[0.385742457212746], 
      Hue[0.38422957604772917`], 
      Hue[0.3826513695124179], 
      Hue[0.38100553332038883`], 
      Hue[0.37928967964717997`], 
      Hue[0.3775013397811279], 
      Hue[0.37563796793557663`], 
      Hue[0.37369694642101325`], 
      Hue[0.37167559239799863`], 
      Hue[0.3695711664544079], 
      Hue[0.36738088327269336`], 
      Hue[0.3651019246736313], 
      Hue[0.36273145534093565`], 
      Hue[0.36026664154449095`], 
      Hue[0.3577046731866092], 
      Hue[0.3550427894929947], 
      Hue[0.3522783086548923], 
      Hue[0.34940866169756785`], 
      Hue[0.34643143079881866`], 
      Hue[0.34334439220532015`], 
      Hue[0.3401455637899474], 
      Hue[0.3368332571557026], 
      Hue[0.33340613401825875`], 
      Hue[0.3298632663874936], 
      Hue[0.3262041998190041], 
      Hue[0.32242901872269153`], 
      Hue[0.3185384124042748], 
      Hue[0.3145337401888634], 
      Hue[0.3104170936507466], 
      Hue[0.30619135367299755`], 
      Hue[0.30186023981218174`], 
      Hue[0.2974283492789208], 
      Hue[0.29290118279742616`], 
      Hue[0.2882851547076869], 
      Hue[0.28358758494828235`], 
      Hue[0.2788166710207419], 
      Hue[0.2739814386881073], 
      Hue[0.2690916709824467], 
      Hue[0.2641578160500129], 
      Hue[0.259190875390693], 
      Hue[0.25420227507699295`], 
      Hue[0.2492037234850193], 
      Hue[0.2442070598538639], 
      Hue[0.23922409853887175`], 
      Hue[0.23426647408637097`], 
      Hue[0.22934549220724543`], 
      Hue[0.22447199136906631`], 
      Hue[0.21965621909587515`], 
      Hue[0.21490772622027834`], 
      Hue[0.2102352813503018], 
      Hue[0.20564680677638758`], 
      Hue[0.201149336032224], 
      Hue[0.1967489924057355], 
      Hue[0.19245098692552798`], 
      Hue[0.18825963375541802`], 
      Hue[0.18417838052762747`], 
      Hue[0.1802098509284858], 
      Hue[0.17635589680026367`], 
      Hue[0.17261765711118718`], 
      Hue[0.16899562134048687`], 
      Hue[0.16548969509356448`], 
      Hue[0.1620992660734879], 
      Hue[0.15882326886276385`], 
      Hue[0.1556602472927277], 
      Hue[0.15260841348147391`], 
      Hue[0.1496657028947179], 
      Hue[0.1468298250215432], 
      Hue[0.14409830945641364`], 
      Hue[0.14146854734067116`], 
      Hue[0.13893782824337458`], 
      Hue[0.13650337265638213`], 
      Hue[0.13416236034620294`], 
      Hue[0.13191195484973545`], 
      Hue[0.12974932442677484`], 
      Hue[0.12767165979304215`], 
      Hue[0.12567618895689592`], 
      Hue[0.12376018947384236`], 
      Hue[0.1219209984179177], 
      Hue[0.1201560203500318], 
      Hue[0.11846273354201657`], 
      Hue[0.1168386946926883], 
      Hue[0.11528154234961846`], 
      Hue[0.11378899922822022`], 
      Hue[0.11235887359864724`], 
      Hue[0.11098905989119863`], 
      Hue[0.10967753865259308`], 
      Hue[0.10842237596872145`], 
      Hue[0.10722172245430746`], 
      Hue[0.10607381189628436`], 
      Hue[0.10497695962554773`], 
      Hue[0.1039295606809859], 
      Hue[0.10293008782021933`], 
      Hue[0.10197708942317613`], 
      Hue[0.10106918732739838`], 
      Hue[0.10020507462768936`], 
      Hue[0.09938351346728382], 
      Hue[0.09860333284304766], 
      Hue[0.09786342644320914], 
      Hue[0.09716275053269788], 
      Hue[0.09650032189826309], 
      Hue[0.09587521586307685], 
      Hue[0.09528656437845633], 
      Hue[0.09473355419859857], 
      Hue[0.09421542514277592], 
      Hue[0.09373146844824119], 
      Hue[0.09328102521611016], 
      Hue[0.0928634849516911], 
      Hue[0.09247828420009056], 
      Hue[0.09212490527741932], 
      Hue[0.0918028750975315], 
      Hue[0.0915117640939366], 
      Hue[0.09125118523631245], 
      Hue[0.09102079314090619], 
      Hue[0.09082028327402719], 
      Hue[0.09064939124780211], 
      Hue[0.09050789220736889], 
      Hue[0.09039560030872781], 
      Hue[0.09031236828653581], 
      Hue[0.09025808711122092], 
      Hue[0.09023268573490266], 
      Hue[0.09023613092572517], 
      Hue[0.0902684271903422], 
      Hue[0.09032961678443013], 
      Hue[0.09041977981124574], 
      Hue[0.09053903440838593], 
      Hue[0.09068753702304234], 
      Hue[0.09086548277617436], 
      Hue[0.0910731059161416], 
      Hue[0.0913106803624428], 
      Hue[0.0915785203402933], 
      Hue[0.09187698110683541], 
      Hue[0.09220645976981037], 
      Hue[0.0925673961995166], 
      Hue[0.09296027403483624], 
      Hue[0.0933856217840145], 
      Hue[0.09384401402072005], 
      Hue[0.09433607267568449], 
      Hue[0.09486246842390439], 
      Hue[0.09542392216697197], 
      Hue[0.09602120660956545], 
      Hue[0.09665514792845407], 
      Hue[0.0973266275315334], 
      Hue[0.0980365839033763], 
      Hue[0.09878601453253036], 
      Hue[0.0995759779142804], 
      Hue[0.10040759562077928`], 
      Hue[0.10128205442829027`], 
      Hue[0.10220060848871781`], 
      Hue[0.10316458152958152`], 
      Hue[0.10417536906303075`], 
      Hue[0.10523444058034044`], 
      Hue[0.10634334170348113`], 
      Hue[0.10750369625973318`], 
      Hue[0.10871720823881346`], 
      Hue[0.10998566358450426`], 
      Hue[0.11131093176420129`], 
      Hue[0.11269496705003088`], 
      Hue[0.11413980943410211`], 
      Hue[0.11564758508797182`], 
      Hue[0.11722050626240711`], 
      Hue[0.11886087050797943`], 
      Hue[0.12057105907988777`], 
      Hue[0.12235353437171662`], 
      Hue[0.1242108362026963], 
      Hue[0.12614557676165872`], 
      Hue[0.12816043398861424`], 
      Hue[0.1302581431522373], 
      Hue[0.13244148635927475`], 
      Hue[0.13471327971098665`], 
      Hue[0.1370763578035217], 
      Hue[0.13953355525532402`], 
      Hue[0.1420876849373924], 
      Hue[0.1447415125840763], 
      Hue[0.14749772747618398`], 
      Hue[0.15035890891807502`], 
      Hue[0.15332748828010634`], 
      Hue[0.15640570645158214`], 
      Hue[0.15959556665158295`], 
      Hue[0.1628987826798028], 
      Hue[0.16631672286018204`], 
      Hue[0.16985035013870134`], 
      Hue[0.17350015904316218`], 
      Hue[0.17726611049412686`], 
      Hue[0.1811475657656248], 
      Hue[0.18514322122027146`], 
      Hue[0.1892510457693329], 
      Hue[0.193468223311716], 
      Hue[0.19779110265946323`], 
      Hue[0.20221515762974296`], 
      Hue[0.20673496004147493`], 
      Hue[0.21134416826699404`], 
      Hue[0.2160355337294295], 
      Hue[0.22080092728876333`], 
      Hue[0.2256313868224282], 
      Hue[0.23051718649662833`], 
      Hue[0.23544792727923894`], 
      Hue[0.2404126472205699], 
      Hue[0.2453999489967783], 
      Hue[0.2503981412539589], 
      Hue[0.2553953894911681], 
      Hue[0.26037987165064547`], 
      Hue[0.265339933297222], 
      Hue[0.2702642372940189], 
      Hue[0.275141903215598], 
      Hue[0.2799626323505173], 
      Hue[0.2847168149752546], 
      Hue[0.2893956175557322], 
      Hue[0.2939910485683929], 
      Hue[0.2984960026492212], 
      Hue[0.3029042837061251], 
      Hue[0.3072106084142318], 
      Hue[0.31141059212121125`], 
      Hue[0.3155007196069928], 
      Hue[0.31947830337318855`], 
      Hue[0.32334143220009265`], 
      Hue[0.32708891263058115`], 
      Hue[0.33072020585269274`], 
      Hue[0.3342353621891143], 
      Hue[0.3376349550930625], 
      Hue[0.34092001622279267`], 
      Hue[0.3440919728425891], 
      Hue[0.347152588492495], 
      Hue[0.350103907592898], 
      Hue[0.35294820440955343`], 
      Hue[0.3556879366021415], 
      Hue[0.35832570341470105`], 
      Hue[0.3608642084369533], 
      Hue[0.36330622676812385`], 
      Hue[0.36565457634521703`], 
      Hue[0.3679120931514359], 
      Hue[0.3700816099933188], 
      Hue[0.3721659385232465], 
      Hue[0.37416785418376197`], 
      Hue[0.376090083758622], 
      Hue[0.37793529523013486`], 
      Hue[0.3797060896610835], 
      Hue[0.3814049948407324], 
      Hue[0.3830344604568081], 
      Hue[0.3845968545779678], 
      Hue[0.38609446125342217`], 
      Hue[0.38752947905757806`], 
      Hue[0.3889040204274842], 
      Hue[0.3902201116593114], 
      Hue[0.39147969344698613`], 
      Hue[0.3926846218613914], 
      Hue[0.39383666968230274`], 
      Hue[0.39493752800747994`], 
      Hue[0.395988808074207], 
      Hue[0.39699204323813875`], 
      Hue[0.397948691062706], 
      Hue[0.39886013547964455`], 
      Hue[0.3997276889875718], 
      Hue[0.40055259486102296`], 
      Hue[0.4013360293470951], 
      Hue[0.40207910383090145`], 
      Hue[0.4027828669545046], 
      Hue[0.4034483066769441], 
      Hue[0.40407635226547134`], 
      Hue[0.4046678762102058], 
      Hue[0.4052236960561905], 
      Hue[0.4057445761482957], 
      Hue[0.40623122928563093`], 
      Hue[0.40668431828313056`], 
      Hue[0.407104457438783], 
      Hue[0.4074922139056299], 
      Hue[0.4078481089681751], 
      Hue[0.4081726192232428], 
      Hue[0.4084661776656265], 
      Hue[0.4087291746790843], 
      Hue[0.4089619589333858], 
      Hue[0.40916483818820265`], 
      Hue[0.40933808000466976`], 
      Hue[0.4094819123654433], 
      Hue[0.4095965242040422], 
      Hue[0.40968206584419165`], 
      Hue[0.40973864934980114`], 
      Hue[0.40976634878610024`], 
      Hue[0.4097652003923342], 
      Hue[0.4097352026662924], 
      Hue[0.40967631636080426`], 
      Hue[0.40958846439219654`], 
      Hue[0.40947153166056616`], 
      Hue[0.4093253647815867], 
      Hue[0.40914977172943473`], 
      Hue[0.4089445213903031], 
      Hue[0.4087093430258638], 
      Hue[0.4084439256459527], 
      Hue[0.40814791728968575`], 
      Hue[0.407820924214181], 
      Hue[0.4074625099900583], 
      Hue[0.4070721945029304], 
      Hue[0.40664945286019105`], 
      Hue[0.4061937142025564], 
      Hue[0.4057043604200406], 
      Hue[0.40518072477235473`], 
      Hue[0.404622090414123], 
      Hue[0.4040276888258407], 
      Hue[0.4033966981521577], 
      Hue[0.4027282414498977], 
      Hue[0.4020213848492414], 
      Hue[0.4012751356327288], 
      Hue[0.4004884402382371], 
      Hue[0.39966018219386795`], 
      Hue[0.39878917999482116`], 
      Hue[0.3978741849348522], 
      Hue[0.3969138789079031], 
      Hue[0.39590687219900317`], 
      Hue[0.39485170128764496`], 
      Hue[0.39374682669162797`], 
      Hue[0.3925906308849229], 
      Hue[0.3913814163295345], 
      Hue[0.39011740366874104`], 
      Hue[0.38879673013756644`], 
      Hue[0.387417448256012], 
      Hue[0.3859775248815478], 
      Hue[0.384474840709739], 
      Hue[0.38290719032574927`], 
      Hue[0.38127228292489324`], 
      Hue[0.3795677438374164], 
      Hue[0.37779111701125395`], 
      Hue[0.37593986862654816`], 
      Hue[0.3740113920369912], 
      Hue[0.3720030142552727], 
      Hue[0.36991200422254394`], 
      Hue[0.36773558312414495`], 
      Hue[0.36547093703490113`], 
      Hue[0.36311523219577185`], 
      Hue[0.3606656332378639], 
      Hue[0.35811932467770713`], 
      Hue[0.35547353600665976`], 
      Hue[0.3527255706843197], 
      Hue[0.3498728393173212], 
      Hue[0.34691289725692975`], 
      Hue[0.3438434867771454], 
      Hue[0.3406625838952227], 
      Hue[0.33736844976448443`], 
      Hue[0.33395968640160834`], 
      Hue[0.33043529630503315`], 
      Hue[0.3267947452776275], 
      Hue[0.32303802748799726`], 
      Hue[0.3191657314972594], 
      Hue[0.3151791056528484], 
      Hue[0.31108012092428083`], 
      Hue[0.30687152894962566`], 
      Hue[0.30255691280275177`], 
      Hue[0.2981407278113426], 
      Hue[0.2936283296872143], 
      Hue[0.289025987305539], 
      Hue[0.2843408777148538], 
      Hue[0.2795810613922095], 
      Hue[0.27475543638019395`], 
      Hue[0.2698736707395825], 
      Hue[0.26494611368772064`], 
      Hue[0.2599836868134734], 
      Hue[0.25499775779345224`], 
      Hue[0.24999999999999997`], 
      Hue[0.24500224220654768`], 
      Hue[0.24001631318652655`], 
      Hue[0.23505388631227925`], 
      Hue[0.23012632926041737`], 
      Hue[0.225244563619806], 
      Hue[0.22041893860779038`], 
      Hue[0.2156591222851461], 
      Hue[0.2109740126944609], 
      Hue[0.2063716703127856], 
      Hue[0.2018592721886573], 
      Hue[0.19744308719724815`], 
      Hue[0.19312847105037426`], 
      Hue[0.18891987907571905`], 
      Hue[0.18482089434715152`], 
      Hue[0.18083426850274054`], 
      Hue[0.17696197251200269`], 
      Hue[0.1732052547223725], 
      Hue[0.16956470369496676`], 
      Hue[0.1660403135983916], 
      Hue[0.16263155023551548`], 
      Hue[0.15933741610477728`], 
      Hue[0.15615651322285456`], 
      Hue[0.1530871027430702], 
      Hue[0.1501271606826787], 
      Hue[0.14727442931568022`], 
      Hue[0.14452646399334018`], 
      Hue[0.14188067532229282`], 
      Hue[0.1393343667621361], 
      Hue[0.13688476780422815`], 
      Hue[0.13452906296509884`], 
      Hue[0.13226441687585502`], 
      Hue[0.13008799577745603`], 
      Hue[0.12799698574472723`], 
      Hue[0.12598860796300881`], 
      Hue[0.12406013137345184`], 
      Hue[0.12220888298874599`], 
      Hue[0.12043225616258356`], 
      Hue[0.11872771707510672`], 
      Hue[0.11709280967425072`], 
      Hue[0.11552515929026098`], 
      Hue[0.11402247511845215`], 
      Hue[0.112582551743988], 
      Hue[0.11120326986243353`], 
      Hue[0.10988259633125892`], 
      Hue[0.10861858367046551`], 
      Hue[0.10740936911507709`], 
      Hue[0.10625317330837199`], 
      Hue[0.10514829871235504`], 
      Hue[0.10409312780099685`], 
      Hue[0.10308612109209694`], 
      Hue[0.1021258150651478], 
      Hue[0.10121082000517885`], 
      Hue[0.10033981780613206`], 
      Hue[0.09951155976176293], 
      Hue[0.09872486436727117], 
      Hue[0.09797861515075866], 
      Hue[0.09727175855010227], 
      Hue[0.09660330184784235], 
      Hue[0.09597231117415926], 
      Hue[0.09537790958587702], 
      Hue[0.09481927522764533], 
      Hue[0.09429563957995939], 
      Hue[0.09380628579744363], 
      Hue[0.0933505471398089], 
      Hue[0.09292780549706957], 
      Hue[0.09253749000994174], 
      Hue[0.09217907578581903], 
      Hue[0.09185208271031424], 
      Hue[0.09155607435404726], 
      Hue[0.09129065697413616], 
      Hue[0.09105547860969693], 
      Hue[0.09085022827056533], 
      Hue[0.09067463521841328], 
      Hue[0.09052846833943387], 
      Hue[0.09041153560780353], 
      Hue[0.09032368363919577], 
      Hue[0.09026479733370764], 
      Hue[0.09023479960766582], 
      Hue[0.09023365121389974], 
      Hue[0.09026135065019887], 
      Hue[0.09031793415580841], 
      Hue[0.09040347579595782], 
      Hue[0.09051808763455671], 
      Hue[0.09066191999533027], 
      Hue[0.09083516181179734], 
      Hue[0.09103804106661416], 
      Hue[0.09127082532091571], 
      Hue[0.09153382233437346], 
      Hue[0.09182738077675724], 
      Hue[0.09215189103182497], 
      Hue[0.09250778609437008], 
      Hue[0.09289554256121699], 
      Hue[0.09331568171686945], 
      Hue[0.09376877071436908], 
      Hue[0.09425542385170431], 
      Hue[0.09477630394380944], 
      Hue[0.09533212378979426], 
      Hue[0.09592364773452867], 
      Hue[0.09655169332305595], 
      Hue[0.09721713304549544], 
      Hue[0.09792089616909855], 
      Hue[0.09866397065290491], 
      Hue[0.09944740513897703], 
      Hue[0.10027231101242819`], 
      Hue[0.10113986452035546`], 
      Hue[0.10205130893729412`], 
      Hue[0.10300795676186127`], 
      Hue[0.10401119192579301`], 
      Hue[0.10506247199252006`], 
      Hue[0.10616333031769727`], 
      Hue[0.1073153781386086], 
      Hue[0.10852030655301394`], 
      Hue[0.1097798883406886], 
      Hue[0.11109597957251585`], 
      Hue[0.11247052094242194`], 
      Hue[0.1139055387465779], 
      Hue[0.11540314542203226`], 
      Hue[0.11696553954319194`], 
      Hue[0.11859500515926766`], 
      Hue[0.12029391033891654`], 
      Hue[0.12206470476986522`], 
      Hue[0.12390991624137805`], 
      Hue[0.12583214581623808`], 
      Hue[0.1278340614767536], 
      Hue[0.12991839000668126`], 
      Hue[0.13208790684856414`], 
      Hue[0.13434542365478302`], 
      Hue[0.13669377323187615`], 
      Hue[0.13913579156304676`], 
      Hue[0.14167429658529906`], 
      Hue[0.14431206339785863`], 
      Hue[0.14705179559044665`], 
      Hue[0.14989609240710206`], 
      Hue[0.1528474115075051], 
      Hue[0.15590802715741095`], 
      Hue[0.1590799837772074], 
      Hue[0.1623650449069375], 
      Hue[0.16576463781088577`], 
      Hue[0.16927979414730737`], 
      Hue[0.17291108736941896`], 
      Hue[0.17665856779990746`], 
      Hue[0.1805216966268115], 
      Hue[0.1844992803930073], 
      Hue[0.1885894078787889], 
      Hue[0.19278939158576827`], 
      Hue[0.197095716293875], 
      Hue[0.20150399735077892`], 
      Hue[0.20600895143160722`], 
      Hue[0.21060438244426793`], 
      Hue[0.21528318502474553`], 
      Hue[0.22003736764948278`], 
      Hue[0.22485809678440208`], 
      Hue[0.22973576270598112`], 
      Hue[0.234660066702778], 
      Hue[0.23962012834935464`], 
      Hue[0.24460461050883203`], 
      Hue[0.24960185874604124`], 
      Hue[0.25460005100322186`], 
      Hue[0.25958735277943024`], 
      Hue[0.2645520727207612], 
      Hue[0.2694828135033718], 
      Hue[0.27436861317757194`], 
      Hue[0.2791990727112368], 
      Hue[0.28396446627057065`], 
      Hue[0.2886558317330061], 
      Hue[0.29326503995852515`], 
      Hue[0.29778484237025715`], 
      Hue[0.30220889734053685`], 
      Hue[0.30653177668828413`], 
      Hue[0.3107489542306672], 
      Hue[0.3148567787797286], 
      Hue[0.3188524342343753], 
      Hue[0.32273388950587323`], 
      Hue[0.3264998409568379], 
      Hue[0.3301496498612988], 
      Hue[0.333683277139818], 
      Hue[0.33710121732019727`], 
      Hue[0.34040443334841713`], 
      Hue[0.34359429354841786`], 
      Hue[0.3466725117198937], 
      Hue[0.34964109108192504`], 
      Hue[0.35250227252381605`], 
      Hue[0.3552584874159237], 
      Hue[0.3579123150626076], 
      Hue[0.36046644474467604`], 
      Hue[0.3629236421964784], 
      Hue[0.36528672028901343`], 
      Hue[0.3675585136407253], 
      Hue[0.3697418568477628], 
      Hue[0.3718395660113858], 
      Hue[0.3738544232383413], 
      Hue[0.3757891637973037], 
      Hue[0.3776464656282834], 
      Hue[0.3794289409201123], 
      Hue[0.3811391294920206], 
      Hue[0.38277949373759296`], 
      Hue[0.3843524149120282], 
      Hue[0.38586019056589793`], 
      Hue[0.38730503294996915`], 
      Hue[0.3886890682357987], 
      Hue[0.3900143364154958], 
      Hue[0.3912827917611866], 
      Hue[0.3924963037402669], 
      Hue[0.3936566582965189], 
      Hue[0.3947655594196596], 
      Hue[0.39582463093696924`], 
      Hue[0.39683541847041853`], 
      Hue[0.3977993915112822], 
      Hue[0.39871794557170975`], 
      Hue[0.3995924043792208], 
      Hue[0.4004240220857197], 
      Hue[0.4012139854674696], 
      Hue[0.4019634160966237], 
      Hue[0.40267337246846663`], 
      Hue[0.40334485207154597`], 
      Hue[0.4039787933904346], 
      Hue[0.40457607783302807`], 
      Hue[0.40513753157609567`], 
      Hue[0.4056639273243155], 
      Hue[0.40615598597928], 
      Hue[0.4066143782159855], 
      Hue[0.4070397259651638], 
      Hue[0.40743260380048346`], 
      Hue[0.40779354023018966`], 
      Hue[0.40812301889316455`], 
      Hue[0.40842147965970677`], 
      Hue[0.40868931963755717`], 
      Hue[0.4089268940838584], 
      Hue[0.40913451722382566`], 
      Hue[0.40931246297695767`], 
      Hue[0.4094609655916141], 
      Hue[0.4095802201887543], 
      Hue[0.40967038321556987`], 
      Hue[0.40973157280965783`], 
      Hue[0.40976386907427487`], 
      Hue[0.4097673142650973], 
      Hue[0.4097419128887791], 
      Hue[0.40968763171346423`], 
      Hue[0.4096043996912722], 
      Hue[0.4094921077926311], 
      Hue[0.4093506087521979], 
      Hue[0.40917971672597286`], 
      Hue[0.4089792068590938], 
      Hue[0.4087488147636875], 
      Hue[0.4084882359060634], 
      Hue[0.4081971249024685], 
      Hue[0.40787509472258066`], 
      Hue[0.4075217157999094], 
      Hue[0.40713651504830894`], 
      Hue[0.40671897478388985`], 
      Hue[0.4062685315517588], 
      Hue[0.4057845748572241], 
      Hue[0.4052664458014015], 
      Hue[0.4047134356215437], 
      Hue[0.4041247841369232], 
      Hue[0.4034996781017369], 
      Hue[0.4028372494673021], 
      Hue[0.40213657355679083`], 
      Hue[0.4013966671569524], 
      Hue[0.4006164865327162], 
      Hue[0.3997949253723106], 
      Hue[0.3989308126726016], 
      Hue[0.3980229105768238], 
      Hue[0.3970699121797807], 
      Hue[0.3960704393190141], 
      Hue[0.3950230403744523], 
      Hue[0.3939261881037156], 
      Hue[0.3927782775456926], 
      Hue[0.39157762403127855`], 
      Hue[0.39032246134740683`], 
      Hue[0.3890109401088014], 
      Hue[0.3876411264013527], 
      Hue[0.3862110007717798], 
      Hue[0.38471845765038143`], 
      Hue[0.3831613053073117], 
      Hue[0.38153726645798336`], 
      Hue[0.3798439796499682], 
      Hue[0.3780790015820822], 
      Hue[0.3762398105261576], 
      Hue[0.37432381104310397`], 
      Hue[0.3723283402069579], 
      Hue[0.3702506755732251], 
      Hue[0.36808804515026455`], 
      Hue[0.36583763965379695`], 
      Hue[0.3634966273436179], 
      Hue[0.3610621717566253], 
      Hue[0.35853145265932884`], 
      Hue[0.3559016905435862], 
      Hue[0.3531701749784568], 
      Hue[0.35033429710528197`], 
      Hue[0.34739158651852614`], 
      Hue[0.3443397527072722], 
      Hue[0.3411767311372362], 
      Hue[0.3379007339265121], 
      Hue[0.3345103049064355], 
      Hue[0.33100437865951315`], 
      Hue[0.3273823428888127], 
      Hue[0.3236441031997363], 
      Hue[0.31979014907151404`], 
      Hue[0.31582161947237253`], 
      Hue[0.3117403662445818], 
      Hue[0.307549013074472], 
      Hue[0.3032510075942643], 
      Hue[0.298850663967776], 
      Hue[0.2943531932236122], 
      Hue[0.28976471864969816`], 
      Hue[0.28509227377972146`], 
      Hue[0.2803437809041249], 
      Hue[0.27552800863093346`], 
      Hue[0.2706545077927546], 
      Hue[0.2657335259136288], 
      Hue[0.2607759014611283], 
      Hue[0.2557929401461359], 
      Hue[0.2507962765149807], 
      Hue[0.24579772492300683`], 
      Hue[0.24080912460930698`], 
      Hue[0.23584218394998696`], 
      Hue[0.23090832901755332`], 
      Hue[0.22601856131189244`], 
      Hue[0.2211833289792581], 
      Hue[0.21641241505171765`], 
      Hue[0.2117148452923129], 
      Hue[0.20709881720257386`], 
      Hue[0.20257165072107905`], 
      Hue[0.1981397601878183], 
      Hue[0.19380864632700226`], 
      Hue[0.18958290634925337`], 
      Hue[0.18546625981113649`], 
      Hue[0.18146158759572523`], 
      Hue[0.17757098127730828`], 
      Hue[0.1737958001809959], 
      Hue[0.17013673361250628`], 
      Hue[0.16659386598174125`], 
      Hue[0.16316674284429727`], 
      Hue[0.1598544362100526], 
      Hue[0.15665560779467977`], 
      Hue[0.15356856920118134`], 
      Hue[0.15059133830243207`], 
      Hue[0.1477216913451077], 
      Hue[0.14495721050700522`], 
      Hue[0.1422953268133908], 
      Hue[0.13973335845550897`], 
      Hue[0.13726854465906438`], 
      Hue[0.13489807532636866`], 
      Hue[0.13261911672730667`], 
      Hue[0.1304288335455921], 
      Hue[0.12832440760200128`], 
      Hue[0.12630305357898677`], 
      Hue[0.12436203206442331`], 
      Hue[0.12249866021887212`], 
      Hue[0.12071032035281995`], 
      Hue[0.11899446667961115`], 
      Hue[0.11734863048758207`], 
      Hue[0.11577042395227086`], 
      Hue[0.11425754278725393`], 
      Hue[0.11280776791070432`], 
      Hue[0.11141896628451631`], 
      Hue[0.11008909106403345`], 
      Hue[0.10881618117915084`], 
      Hue[0.1075983604518885], 
      Hue[0.10643383634141583`], 
      Hue[0.10532089839490315`], 
      Hue[0.10425791647138316`], 
      Hue[0.10324333879593821`], 
      Hue[0.1022756898928642], 
      Hue[0.10135356843890214`], 
      Hue[0.10047564507105021`], 
      Hue[0.09964066017778304], 
      Hue[0.0988474216975958], 
      Hue[0.09809480294458439], 
      Hue[0.09738174047716963], 
      Hue[0.09670723202301136], 
      Hue[0.09607033447055864], 
      Hue[0.09547016193549047], 
      Hue[0.09490588390846226], 
      Hue[0.09437672348903715], 
      Hue[0.09388195570940841], 
      Hue[0.09342090595047155], 
      Hue[0.09299294845195202], 
      Hue[0.09259750491760566], 
      Hue[0.09223404321596387], 
      Hue[0.09190207617666941], 
      Hue[0.09160116048212635], 
      Hue[0.09133089565395161], 
      Hue[0.09109092313355335], 
      Hue[0.09088092545606051], 
      Hue[0.09070062551677992], 
      Hue[0.09054978592935167], 
      Hue[0.09042820847480436], 
      Hue[0.0903357336407719], 
      Hue[0.09027224025021832], 
      Hue[0.09023764517911921], 
      Hue[0.09023190316266748], 
      Hue[0.0902550066896995], 
      Hue[0.09030698598517319], 
      Hue[0.09038790908067054], 
      Hue[0.09049788197303688], 
      Hue[0.09063704887140724], 
      Hue[0.09080559253300266], 
      Hue[0.09100373468820175], 
      Hue[0.09123173655550187], 
      Hue[0.09148989944707822], 
      Hue[0.09177856546571721], 
      Hue[0.09209811829394604], 
      Hue[0.09244898407618865], 
      Hue[0.09283163239474859], 
      Hue[0.09324657734034036], 
      Hue[0.09369437867775515], 
      Hue[0.09417564310704028], 
      Hue[0.0946910256202866], 
      Hue[0.0952412309537347], 
      Hue[0.09582701513441597], 
      Hue[0.09644918711991478], 
      Hue[0.09710861052905455], 
      Hue[0.0978062054603436], 
      Hue[0.0985429503938382], 
      Hue[0.09931988417065232], 
      Hue[0.10013810804263266`], 
      Hue[0.10099878778266944`], 
      Hue[0.10190315584368598`], 
      Hue[0.1028525135514772], 
      Hue[0.10384823331319042`], 
      Hue[0.10489176081928282`], 
      Hue[0.10598461721217321`], 
      Hue[0.10712840118943952`], 
      Hue[0.1083247910032021], 
      Hue[0.10957554631017781`], 
      Hue[0.11088250981867762`], 
      Hue[0.11224760866944633`], 
      Hue[0.11367285547658837`], 
      Hue[0.11516034894279525`], 
      Hue[0.11671227394958258`], 
      Hue[0.11833090100819785`], 
      Hue[0.120018584940224], 
      Hue[0.12177776263870412`], 
      Hue[0.12361094974091523`], 
      Hue[0.12552073602291033`], 
      Hue[0.127509779303914], 
      Hue[0.12958079762607283`], 
      Hue[0.13173655945257284`], 
      Hue[0.13397987160567226`], 
      Hue[0.1363135646469606], 
      Hue[0.13874047538674186`], 
      Hue[0.14126342619982157`], 
      Hue[0.1438852008236211], 
      Hue[0.14660851632436692`], 
      Hue[0.14943599094155588`], 
      Hue[0.15237010756382763`], 
      Hue[0.15541317265501586`], 
      Hue[0.1585672705418412], 
      Hue[0.16183421309869955`], 
      Hue[0.16521548502391814`], 
      Hue[0.1687121850982408], 
      Hue[0.17232496405086967`], 
      Hue[0.1760539599291536], 
      Hue[0.1798987321695189], 
      Hue[0.18385819588953822`], 
      Hue[0.18793055824913352`], 
      Hue[0.19211325904223855`], 
      Hue[0.19640291795298323`], 
      Hue[0.20079529111228706`], 
      Hue[0.20528523968888], 
      Hue[0.20986671321067396`], 
      Hue[0.21453275010979153`], 
      Hue[0.21927549759764664`], 
      Hue[0.22408625239880867`], 
      Hue[0.2289555231146245], 
      Hue[0.2338731140802322], 
      Hue[0.23882822957206712`], 
      Hue[0.2438095961850989], 
      Hue[0.24880560020936765`], 
      Hue[0.2538044359770707], 
      Hue[0.25879426050132737`], 
      Hue[0.26376334934674606`], 
      Hue[0.26870024859662023`], 
      Hue[0.2735939180193801], 
      Hue[0.2784338610647217], 
      Hue[0.28321023808750934`], 
      Hue[0.2879139601346881], 
      Hue[0.29253676165562253`], 
      Hue[0.2970712515271431], 
      Hue[0.3015109427467643], 
      Hue[0.3058502619818296], 
      Hue[0.31008454082854503`], 
      Hue[0.31420999111310083`], 
      Hue[0.3182236668559828], 
      Hue[0.32212341563417995`], 
      Hue[0.3259078220390363], 
      Hue[0.3295761457710746], 
      Hue[0.3331282566702682], 
      Hue[0.3365645686827832], 
      Hue[0.33988597444125196`], 
      Hue[0.3430937818083756], 
      Hue[0.3461896534206633], 
      Hue[0.3491755499827372], 
      Hue[0.35205367781031666`], 
      Hue[0.3548264409053272], 
      Hue[0.35749639766996494`], 
      Hue[0.3600662222262793], 
      Hue[0.36253867020068614`], 
      Hue[0.1374613297993138], 
      Hue[0.13993377777372068`], 
      Hue[0.13993377777372068`], 
      Hue[0.14250360233003503`], 
      Hue[0.14250360233003503`], 
      Hue[0.14517355909467305`], 
      Hue[0.14517355909467305`], 
      Hue[0.1479463221896834], 
      Hue[0.1479463221896834], 
      Hue[0.15082445001726277`], 
      Hue[0.15082445001726277`], 
      Hue[0.15381034657933665`], 
      Hue[0.15381034657933665`], 
      Hue[0.15690621819162476`], 
      Hue[0.15690621819162476`], 
      Hue[0.1601140255587481], 
      Hue[0.1601140255587481], 
      Hue[0.1634354313172168], 
      Hue[0.1634354313172168], 
      Hue[0.16687174332973181`], 
      Hue[0.16687174332973181`], 
      Hue[0.17042385422892578`], 
      Hue[0.17042385422892578`], 
      Hue[0.17409217796096368`], 
      Hue[0.17409217796096368`], 
      Hue[0.17787658436582005`], 
      Hue[0.17787658436582005`], 
      Hue[0.18177633314401723`], 
      Hue[0.18177633314401723`], 
      Hue[0.18579000888689953`], 
      Hue[0.18579000888689953`], 
      Hue[0.18991545917145497`], 
      Hue[0.18991545917145497`], 
      Hue[0.19414973801817045`], 
      Hue[0.19414973801817045`], 
      Hue[0.19848905725323568`], 
      Hue[0.19848905725323568`], 
      Hue[0.20292874847285733`], 
      Hue[0.20292874847285733`], 
      Hue[0.20746323834437747`], 
      Hue[0.20746323834437747`], 
      Hue[0.21208603986531188`], 
      Hue[0.21208603986531188`], 
      Hue[0.2167897619124907], 
      Hue[0.2167897619124907], 
      Hue[0.22156613893527877`], 
      Hue[0.22156613893527877`], 
      Hue[0.2264060819806199], 
      Hue[0.2264060819806199], 
      Hue[0.23129975140337977`], 
      Hue[0.23129975140337977`], 
      Hue[0.23623665065325397`], 
      Hue[0.23623665065325397`], 
      Hue[0.24120573949867266`], 
      Hue[0.24120573949867266`], 
      Hue[0.2461955640229298], 
      Hue[0.2461955640229298], 
      Hue[0.25119439979063235`], 
      Hue[0.25119439979063235`], 
      Hue[0.2561904038149011], 
      Hue[0.2561904038149011], 
      Hue[0.2611717704279329], 
      Hue[0.2611717704279329], 
      Hue[0.26612688591976824`], 
      Hue[0.26612688591976824`], 
      Hue[0.27104447688537553`], 
      Hue[0.27104447688537553`], 
      Hue[0.27591374760119136`], 
      Hue[0.27591374760119136`], 
      Hue[0.28072450240235336`], 
      Hue[0.28072450240235336`], 
      Hue[0.2854672498902089], 
      Hue[0.2854672498902089], 
      Hue[0.29013328678932604`], 
      Hue[0.29013328678932604`], 
      Hue[0.29471476031112004`], 
      Hue[0.29471476031112004`], 
      Hue[0.29920470888771294`], 
      Hue[0.29920470888771294`], 
      Hue[0.3035970820470172], 
      Hue[0.3035970820470172], 
      Hue[0.3078867409577615], 
      Hue[0.3078867409577615], 
      Hue[0.3120694417508665], 
      Hue[0.3120694417508665], 
      Hue[0.3161418041104618], 
      Hue[0.3161418041104618], 
      Hue[0.3201012678304815], 
      Hue[0.3201012678304815], 
      Hue[0.32394604007084643`], 
      Hue[0.32394604007084643`], 
      Hue[0.32767503594913033`], 
      Hue[0.32767503594913033`], 
      Hue[0.33128781490175924`], 
      Hue[0.33128781490175924`], 
      Hue[0.33478451497608214`], 
      Hue[0.33478451497608214`], 
      Hue[0.33816578690130045`], 
      Hue[0.33816578690130045`], 
      Hue[0.34143272945815883`], 
      Hue[0.34143272945815883`], 
      Hue[0.3445868273449842], 
      Hue[0.3445868273449842], 
      Hue[0.34762989243617237`], 
      Hue[0.34762989243617237`], 
      Hue[0.35056400905844437`], 
      Hue[0.35056400905844437`], 
      Hue[0.3533914836756331], 
      Hue[0.3533914836756331], 
      Hue[0.3561147991763789], 
      Hue[0.3561147991763789], 
      Hue[0.3587365738001785], 
      Hue[0.3587365738001785], 
      Hue[0.3612595246132584], 
      Hue[0.3612595246132584], 
      Hue[0.3636864353530394], 
      Hue[0.3636864353530394], 
      Hue[0.36602012839432774`], 
      Hue[0.36602012839432774`], 
      Hue[0.36826344054742716`], 
      Hue[0.36826344054742716`], 
      Hue[0.3704192023739274], 
      Hue[0.3704192023739274], 
      Hue[0.372490220696086], 
      Hue[0.372490220696086], 
      Hue[0.37447926397708964`], 
      Hue[0.37447926397708964`], 
      Hue[0.3763890502590848], 
      Hue[0.3763890502590848], 
      Hue[0.37822223736129607`], 
      Hue[0.37822223736129607`], 
      Hue[0.379981415059776], 
      Hue[0.379981415059776], 
      Hue[0.3816690989918021], 
      Hue[0.3816690989918021], 
      Hue[0.38328772605041744`], 
      Hue[0.38328772605041744`], 
      Hue[0.3848396510572049], 
      Hue[0.3848396510572049], 
      Hue[0.38632714452341166`], 
      Hue[0.38632714452341166`], 
      Hue[0.38775239133055367`], 
      Hue[0.38775239133055367`], 
      Hue[0.38911749018132236`], 
      Hue[0.38911749018132236`], 
      Hue[0.39042445368982226`], 
      Hue[0.39042445368982226`], 
      Hue[0.3916752089967979], 
      Hue[0.3916752089967979], 
      Hue[0.3928715988105605], 
      Hue[0.3928715988105605], 
      Hue[0.3940153827878268], 
      Hue[0.3940153827878268], 
      Hue[0.3951082391807172], 
      Hue[0.3951082391807172], 
      Hue[0.3961517666868096], 
      Hue[0.3961517666868096], 
      Hue[0.39714748644852277`], 
      Hue[0.39714748644852277`], 
      Hue[0.398096844156314], 
      Hue[0.398096844156314], 
      Hue[0.39900121221733054`], 
      Hue[0.39900121221733054`], 
      Hue[0.39986189195736743`], 
      Hue[0.39986189195736743`], 
      Hue[0.4006801158293477], 
      Hue[0.4006801158293477], 
      Hue[0.4014570496061618], 
      Hue[0.4014570496061618], 
      Hue[0.40219379453965637`], 
      Hue[0.40219379453965637`], 
      Hue[0.4028913894709455], 
      Hue[0.4028913894709455], 
      Hue[0.40355081288008526`], 
      Hue[0.40355081288008526`], 
      Hue[0.40417298486558406`], 
      Hue[0.40417298486558406`], 
      Hue[0.40475876904626534`], 
      Hue[0.40475876904626534`], 
      Hue[0.4053089743797134], 
      Hue[0.4053089743797134], 
      Hue[0.40582435689295976`], 
      Hue[0.40582435689295976`], 
      Hue[0.40630562132224485`], 
      Hue[0.40630562132224485`], 
      Hue[0.40675342265965964`], 
      Hue[0.40675342265965964`], 
      Hue[0.40716836760525144`], 
      Hue[0.40716836760525144`], 
      Hue[0.4075510159238113], 
      Hue[0.4075510159238113], 
      Hue[0.407901881706054], 
      Hue[0.407901881706054], 
      Hue[0.40822143453428283`], 
      Hue[0.40822143453428283`], 
      Hue[0.4085101005529218], 
      Hue[0.4085101005529218], 
      Hue[0.4087682634444981], 
      Hue[0.4087682634444981], 
      Hue[0.4089962653117982], 
      Hue[0.4089962653117982], 
      Hue[0.40919440746699737`], 
      Hue[0.40919440746699737`], 
      Hue[0.4093629511285927], 
      Hue[0.4093629511285927], 
      Hue[0.4095021180269631], 
      Hue[0.4095021180269631], 
      Hue[0.40961209091932943`], 
      Hue[0.40961209091932943`], 
      Hue[0.40969301401482683`], 
      Hue[0.40969301401482683`], 
      Hue[0.4097449933103005], 
      Hue[0.4097449933103005], 
      Hue[0.40976809683733256`], 
      Hue[0.40976809683733256`], 
      Hue[0.40976235482088086`], 
      Hue[0.40976235482088086`], 
      Hue[0.40972775974978165`], 
      Hue[0.40972775974978165`], 
      Hue[0.40966426635922815`], 
      Hue[0.40966426635922815`], 
      Hue[0.4095717915251957], 
      Hue[0.4095717915251957], 
      Hue[0.40945021407064836`], 
      Hue[0.40945021407064836`], 
      Hue[0.40929937448322007`], 
      Hue[0.40929937448322007`], 
      Hue[0.4091190745439395], 
      Hue[0.4091190745439395], 
      Hue[0.4089090768664466], 
      Hue[0.4089090768664466], 
      Hue[0.40866910434604836`], 
      Hue[0.40866910434604836`], 
      Hue[0.40839883951787365`], 
      Hue[0.40839883951787365`], 
      Hue[0.40809792382333065`], 
      Hue[0.40809792382333065`], 
      Hue[0.40776595678403615`], 
      Hue[0.40776595678403615`], 
      Hue[0.40740249508239434`], 
      Hue[0.40740249508239434`], 
      Hue[0.407007051548048], 
      Hue[0.407007051548048], 
      Hue[0.40657909404952847`], 
      Hue[0.40657909404952847`], 
      Hue[0.40611804429059156`], 
      Hue[0.40611804429059156`], 
      Hue[0.40562327651096286`], 
      Hue[0.40562327651096286`], 
      Hue[0.4050941160915378], 
      Hue[0.4050941160915378], 
      Hue[0.4045298380645095], 
      Hue[0.4045298380645095], 
      Hue[0.4039296655294414], 
      Hue[0.4039296655294414], 
      Hue[0.4032927679769886], 
      Hue[0.4032927679769886], 
      Hue[0.40261825952283037`], 
      Hue[0.40261825952283037`], 
      Hue[0.4019051970554156], 
      Hue[0.4019051970554156], 
      Hue[0.40115257830240414`], 
      Hue[0.40115257830240414`], 
      Hue[0.400359339822217], 
      Hue[0.400359339822217], 
      Hue[0.3995243549289498], 
      Hue[0.3995243549289498], 
      Hue[0.3986464315610978], 
      Hue[0.3986464315610978], 
      Hue[0.3977243101071357], 
      Hue[0.3977243101071357], 
      Hue[0.39675666120406183`], 
      Hue[0.39675666120406183`], 
      Hue[0.3957420835286168], 
      Hue[0.3957420835286168], 
      Hue[0.39467910160509684`], 
      Hue[0.39467910160509684`], 
      Hue[0.3935661636585841], 
      Hue[0.3935661636585841], 
      Hue[0.3924016395481115], 
      Hue[0.3924016395481115], 
      Hue[0.39118381882084907`], 
      Hue[0.39118381882084907`], 
      Hue[0.3899109089359666], 
      Hue[0.3899109089359666], 
      Hue[0.38858103371548364`], 
      Hue[0.38858103371548364`], 
      Hue[0.38719223208929565`], 
      Hue[0.38719223208929565`], 
      Hue[0.385742457212746], 
      Hue[0.385742457212746], 
      Hue[0.38422957604772917`], 
      Hue[0.38422957604772917`], 
      Hue[0.3826513695124179], 
      Hue[0.3826513695124179], 
      Hue[0.38100553332038883`], 
      Hue[0.38100553332038883`], 
      Hue[0.37928967964717997`], 
      Hue[0.37928967964717997`], 
      Hue[0.3775013397811279], 
      Hue[0.3775013397811279], 
      Hue[0.37563796793557663`], 
      Hue[0.37563796793557663`], 
      Hue[0.37369694642101325`], 
      Hue[0.37369694642101325`], 
      Hue[0.37167559239799863`], 
      Hue[0.37167559239799863`], 
      Hue[0.3695711664544079], 
      Hue[0.3695711664544079], 
      Hue[0.36738088327269336`], 
      Hue[0.36738088327269336`], 
      Hue[0.3651019246736313], 
      Hue[0.3651019246736313], 
      Hue[0.36273145534093565`], 
      Hue[0.36273145534093565`], 
      Hue[0.36026664154449095`], 
      Hue[0.36026664154449095`], 
      Hue[0.3577046731866092], 
      Hue[0.3577046731866092], 
      Hue[0.3550427894929947], 
      Hue[0.3550427894929947], 
      Hue[0.3522783086548923], 
      Hue[0.3522783086548923], 
      Hue[0.34940866169756785`], 
      Hue[0.34940866169756785`], 
      Hue[0.34643143079881866`], 
      Hue[0.34643143079881866`], 
      Hue[0.34334439220532015`], 
      Hue[0.34334439220532015`], 
      Hue[0.3401455637899474], 
      Hue[0.3401455637899474], 
      Hue[0.3368332571557026], 
      Hue[0.3368332571557026], 
      Hue[0.33340613401825875`], 
      Hue[0.33340613401825875`], 
      Hue[0.3298632663874936], 
      Hue[0.3298632663874936], 
      Hue[0.3262041998190041], 
      Hue[0.3262041998190041], 
      Hue[0.32242901872269153`], 
      Hue[0.32242901872269153`], 
      Hue[0.3185384124042748], 
      Hue[0.3185384124042748], 
      Hue[0.3145337401888634], 
      Hue[0.3145337401888634], 
      Hue[0.3104170936507466], 
      Hue[0.3104170936507466], 
      Hue[0.30619135367299755`], 
      Hue[0.30619135367299755`], 
      Hue[0.30186023981218174`], 
      Hue[0.30186023981218174`], 
      Hue[0.2974283492789208], 
      Hue[0.2974283492789208], 
      Hue[0.29290118279742616`], 
      Hue[0.29290118279742616`], 
      Hue[0.2882851547076869], 
      Hue[0.2882851547076869], 
      Hue[0.28358758494828235`], 
      Hue[0.28358758494828235`], 
      Hue[0.2788166710207419], 
      Hue[0.2788166710207419], 
      Hue[0.2739814386881073], 
      Hue[0.2739814386881073], 
      Hue[0.2690916709824467], 
      Hue[0.2690916709824467], 
      Hue[0.2641578160500129], 
      Hue[0.2641578160500129], 
      Hue[0.259190875390693], 
      Hue[0.259190875390693], 
      Hue[0.25420227507699295`], 
      Hue[0.25420227507699295`], 
      Hue[0.2492037234850193], 
      Hue[0.2492037234850193], 
      Hue[0.2442070598538639], 
      Hue[0.2442070598538639], 
      Hue[0.23922409853887175`], 
      Hue[0.23922409853887175`], 
      Hue[0.23426647408637097`], 
      Hue[0.23426647408637097`], 
      Hue[0.22934549220724543`], 
      Hue[0.22934549220724543`], 
      Hue[0.22447199136906631`], 
      Hue[0.22447199136906631`], 
      Hue[0.21965621909587515`], 
      Hue[0.21965621909587515`], 
      Hue[0.21490772622027834`], 
      Hue[0.21490772622027834`], 
      Hue[0.2102352813503018], 
      Hue[0.2102352813503018], 
      Hue[0.20564680677638758`], 
      Hue[0.20564680677638758`], 
      Hue[0.201149336032224], 
      Hue[0.201149336032224], 
      Hue[0.1967489924057355], 
      Hue[0.1967489924057355], 
      Hue[0.19245098692552798`], 
      Hue[0.19245098692552798`], 
      Hue[0.18825963375541802`], 
      Hue[0.18825963375541802`], 
      Hue[0.18417838052762747`], 
      Hue[0.18417838052762747`], 
      Hue[0.1802098509284858], 
      Hue[0.1802098509284858], 
      Hue[0.17635589680026367`], 
      Hue[0.17635589680026367`], 
      Hue[0.17261765711118718`], 
      Hue[0.17261765711118718`], 
      Hue[0.16899562134048687`], 
      Hue[0.16899562134048687`], 
      Hue[0.16548969509356448`], 
      Hue[0.16548969509356448`], 
      Hue[0.1620992660734879], 
      Hue[0.1620992660734879], 
      Hue[0.15882326886276385`], 
      Hue[0.15882326886276385`], 
      Hue[0.1556602472927277], 
      Hue[0.1556602472927277], 
      Hue[0.15260841348147391`], 
      Hue[0.15260841348147391`], 
      Hue[0.1496657028947179], 
      Hue[0.1496657028947179], 
      Hue[0.1468298250215432], 
      Hue[0.1468298250215432], 
      Hue[0.14409830945641364`], 
      Hue[0.14409830945641364`], 
      Hue[0.14146854734067116`], 
      Hue[0.14146854734067116`], 
      Hue[0.13893782824337458`], 
      Hue[0.13893782824337458`], 
      Hue[0.13650337265638213`], 
      Hue[0.13650337265638213`], 
      Hue[0.13416236034620294`], 
      Hue[0.13416236034620294`], 
      Hue[0.13191195484973545`], 
      Hue[0.13191195484973545`], 
      Hue[0.12974932442677484`], 
      Hue[0.12974932442677484`], 
      Hue[0.12767165979304215`], 
      Hue[0.12767165979304215`], 
      Hue[0.12567618895689592`], 
      Hue[0.12567618895689592`], 
      Hue[0.12376018947384236`], 
      Hue[0.12376018947384236`], 
      Hue[0.1219209984179177], 
      Hue[0.1219209984179177], 
      Hue[0.1201560203500318], 
      Hue[0.1201560203500318], 
      Hue[0.11846273354201657`], 
      Hue[0.11846273354201657`], 
      Hue[0.1168386946926883], 
      Hue[0.1168386946926883], 
      Hue[0.11528154234961846`], 
      Hue[0.11528154234961846`], 
      Hue[0.11378899922822022`], 
      Hue[0.11378899922822022`], 
      Hue[0.11235887359864724`], 
      Hue[0.11235887359864724`], 
      Hue[0.11098905989119863`], 
      Hue[0.11098905989119863`], 
      Hue[0.10967753865259308`], 
      Hue[0.10967753865259308`], 
      Hue[0.10842237596872145`], 
      Hue[0.10842237596872145`], 
      Hue[0.10722172245430746`], 
      Hue[0.10722172245430746`], 
      Hue[0.10607381189628436`], 
      Hue[0.10607381189628436`], 
      Hue[0.10497695962554773`], 
      Hue[0.10497695962554773`], 
      Hue[0.1039295606809859], 
      Hue[0.1039295606809859], 
      Hue[0.10293008782021933`], 
      Hue[0.10293008782021933`], 
      Hue[0.10197708942317613`], 
      Hue[0.10197708942317613`], 
      Hue[0.10106918732739838`], 
      Hue[0.10106918732739838`], 
      Hue[0.10020507462768936`], 
      Hue[0.10020507462768936`], 
      Hue[0.09938351346728382], 
      Hue[0.09938351346728382], 
      Hue[0.09860333284304766], 
      Hue[0.09860333284304766], 
      Hue[0.09786342644320914], 
      Hue[0.09786342644320914], 
      Hue[0.09716275053269788], 
      Hue[0.09716275053269788], 
      Hue[0.09650032189826309], 
      Hue[0.09650032189826309], 
      Hue[0.09587521586307685], 
      Hue[0.09587521586307685], 
      Hue[0.09528656437845633], 
      Hue[0.09528656437845633], 
      Hue[0.09473355419859857], 
      Hue[0.09473355419859857], 
      Hue[0.09421542514277592], 
      Hue[0.09421542514277592], 
      Hue[0.09373146844824119], 
      Hue[0.09373146844824119], 
      Hue[0.09328102521611016], 
      Hue[0.09328102521611016], 
      Hue[0.0928634849516911], 
      Hue[0.0928634849516911], 
      Hue[0.09247828420009056], 
      Hue[0.09247828420009056], 
      Hue[0.09212490527741932], 
      Hue[0.09212490527741932], 
      Hue[0.0918028750975315], 
      Hue[0.0918028750975315], 
      Hue[0.0915117640939366], 
      Hue[0.0915117640939366], 
      Hue[0.09125118523631245], 
      Hue[0.09125118523631245], 
      Hue[0.09102079314090619], 
      Hue[0.09102079314090619], 
      Hue[0.09082028327402719], 
      Hue[0.09082028327402719], 
      Hue[0.09064939124780211], 
      Hue[0.09064939124780211], 
      Hue[0.09050789220736889], 
      Hue[0.09050789220736889], 
      Hue[0.09039560030872781], 
      Hue[0.09039560030872781], 
      Hue[0.09031236828653581], 
      Hue[0.09031236828653581], 
      Hue[0.09025808711122092], 
      Hue[0.09025808711122092], 
      Hue[0.09023268573490266], 
      Hue[0.09023268573490266], 
      Hue[0.09023613092572517], 
      Hue[0.09023613092572517], 
      Hue[0.0902684271903422], 
      Hue[0.0902684271903422], 
      Hue[0.09032961678443013], 
      Hue[0.09032961678443013], 
      Hue[0.09041977981124574], 
      Hue[0.09041977981124574], 
      Hue[0.09053903440838593], 
      Hue[0.09053903440838593], 
      Hue[0.09068753702304234], 
      Hue[0.09068753702304234], 
      Hue[0.09086548277617436], 
      Hue[0.09086548277617436], 
      Hue[0.0910731059161416], 
      Hue[0.0910731059161416], 
      Hue[0.0913106803624428], 
      Hue[0.0913106803624428], 
      Hue[0.0915785203402933], 
      Hue[0.0915785203402933], 
      Hue[0.09187698110683541], 
      Hue[0.09187698110683541], 
      Hue[0.09220645976981037], 
      Hue[0.09220645976981037], 
      Hue[0.0925673961995166], 
      Hue[0.0925673961995166], 
      Hue[0.09296027403483624], 
      Hue[0.09296027403483624], 
      Hue[0.0933856217840145], 
      Hue[0.0933856217840145], 
      Hue[0.09384401402072005], 
      Hue[0.09384401402072005], 
      Hue[0.09433607267568449], 
      Hue[0.09433607267568449], 
      Hue[0.09486246842390439], 
      Hue[0.09486246842390439], 
      Hue[0.09542392216697197], 
      Hue[0.09542392216697197], 
      Hue[0.09602120660956545], 
      Hue[0.09602120660956545], 
      Hue[0.09665514792845407], 
      Hue[0.09665514792845407], 
      Hue[0.0973266275315334], 
      Hue[0.0973266275315334], 
      Hue[0.0980365839033763], 
      Hue[0.0980365839033763], 
      Hue[0.09878601453253036], 
      Hue[0.09878601453253036], 
      Hue[0.0995759779142804], 
      Hue[0.0995759779142804], 
      Hue[0.10040759562077928`], 
      Hue[0.10040759562077928`], 
      Hue[0.10128205442829027`], 
      Hue[0.10128205442829027`], 
      Hue[0.10220060848871781`], 
      Hue[0.10220060848871781`], 
      Hue[0.10316458152958152`], 
      Hue[0.10316458152958152`], 
      Hue[0.10417536906303075`], 
      Hue[0.10417536906303075`], 
      Hue[0.10523444058034044`], 
      Hue[0.10523444058034044`], 
      Hue[0.10634334170348113`], 
      Hue[0.10634334170348113`], 
      Hue[0.10750369625973318`], 
      Hue[0.10750369625973318`], 
      Hue[0.10871720823881346`], 
      Hue[0.10871720823881346`], 
      Hue[0.10998566358450426`], 
      Hue[0.10998566358450426`], 
      Hue[0.11131093176420129`], 
      Hue[0.11131093176420129`], 
      Hue[0.11269496705003088`], 
      Hue[0.11269496705003088`], 
      Hue[0.11413980943410211`], 
      Hue[0.11413980943410211`], 
      Hue[0.11564758508797182`], 
      Hue[0.11564758508797182`], 
      Hue[0.11722050626240711`], 
      Hue[0.11722050626240711`], 
      Hue[0.11886087050797943`], 
      Hue[0.11886087050797943`], 
      Hue[0.12057105907988777`], 
      Hue[0.12057105907988777`], 
      Hue[0.12235353437171662`], 
      Hue[0.12235353437171662`], 
      Hue[0.1242108362026963], 
      Hue[0.1242108362026963], 
      Hue[0.12614557676165872`], 
      Hue[0.12614557676165872`], 
      Hue[0.12816043398861424`], 
      Hue[0.12816043398861424`], 
      Hue[0.1302581431522373], 
      Hue[0.1302581431522373], 
      Hue[0.13244148635927475`], 
      Hue[0.13244148635927475`], 
      Hue[0.13471327971098665`], 
      Hue[0.13471327971098665`], 
      Hue[0.1370763578035217], 
      Hue[0.1370763578035217], 
      Hue[0.13953355525532402`], 
      Hue[0.13953355525532402`], 
      Hue[0.1420876849373924], 
      Hue[0.1420876849373924], 
      Hue[0.1447415125840763], 
      Hue[0.1447415125840763], 
      Hue[0.14749772747618398`], 
      Hue[0.14749772747618398`], 
      Hue[0.15035890891807502`], 
      Hue[0.15035890891807502`], 
      Hue[0.15332748828010634`], 
      Hue[0.15332748828010634`], 
      Hue[0.15640570645158214`], 
      Hue[0.15640570645158214`], 
      Hue[0.15959556665158295`], 
      Hue[0.15959556665158295`], 
      Hue[0.1628987826798028], 
      Hue[0.1628987826798028], 
      Hue[0.16631672286018204`], 
      Hue[0.16631672286018204`], 
      Hue[0.16985035013870134`], 
      Hue[0.16985035013870134`], 
      Hue[0.17350015904316218`], 
      Hue[0.17350015904316218`], 
      Hue[0.17726611049412686`], 
      Hue[0.17726611049412686`], 
      Hue[0.1811475657656248], 
      Hue[0.1811475657656248], 
      Hue[0.18514322122027146`], 
      Hue[0.18514322122027146`], 
      Hue[0.1892510457693329], 
      Hue[0.1892510457693329], 
      Hue[0.193468223311716], 
      Hue[0.193468223311716], 
      Hue[0.19779110265946323`], 
      Hue[0.19779110265946323`], 
      Hue[0.20221515762974296`], 
      Hue[0.20221515762974296`], 
      Hue[0.20673496004147493`], 
      Hue[0.20673496004147493`], 
      Hue[0.21134416826699404`], 
      Hue[0.21134416826699404`], 
      Hue[0.2160355337294295], 
      Hue[0.2160355337294295], 
      Hue[0.22080092728876333`], 
      Hue[0.22080092728876333`], 
      Hue[0.2256313868224282], 
      Hue[0.2256313868224282], 
      Hue[0.23051718649662833`], 
      Hue[0.23051718649662833`], 
      Hue[0.23544792727923894`], 
      Hue[0.23544792727923894`], 
      Hue[0.2404126472205699], 
      Hue[0.2404126472205699], 
      Hue[0.2453999489967783], 
      Hue[0.2453999489967783], 
      Hue[0.2503981412539589], 
      Hue[0.2503981412539589], 
      Hue[0.2553953894911681], 
      Hue[0.2553953894911681], 
      Hue[0.26037987165064547`], 
      Hue[0.26037987165064547`], 
      Hue[0.265339933297222], 
      Hue[0.265339933297222], 
      Hue[0.2702642372940189], 
      Hue[0.2702642372940189], 
      Hue[0.275141903215598], 
      Hue[0.275141903215598], 
      Hue[0.2799626323505173], 
      Hue[0.2799626323505173], 
      Hue[0.2847168149752546], 
      Hue[0.2847168149752546], 
      Hue[0.2893956175557322], 
      Hue[0.2893956175557322], 
      Hue[0.2939910485683929], 
      Hue[0.2939910485683929], 
      Hue[0.2984960026492212], 
      Hue[0.2984960026492212], 
      Hue[0.3029042837061251], 
      Hue[0.3029042837061251], 
      Hue[0.3072106084142318], 
      Hue[0.3072106084142318], 
      Hue[0.31141059212121125`], 
      Hue[0.31141059212121125`], 
      Hue[0.3155007196069928], 
      Hue[0.3155007196069928], 
      Hue[0.31947830337318855`], 
      Hue[0.31947830337318855`], 
      Hue[0.32334143220009265`], 
      Hue[0.32334143220009265`], 
      Hue[0.32708891263058115`], 
      Hue[0.32708891263058115`], 
      Hue[0.33072020585269274`], 
      Hue[0.33072020585269274`], 
      Hue[0.3342353621891143], 
      Hue[0.3342353621891143], 
      Hue[0.3376349550930625], 
      Hue[0.3376349550930625], 
      Hue[0.34092001622279267`], 
      Hue[0.34092001622279267`], 
      Hue[0.3440919728425891], 
      Hue[0.3440919728425891], 
      Hue[0.347152588492495], 
      Hue[0.347152588492495], 
      Hue[0.350103907592898], 
      Hue[0.350103907592898], 
      Hue[0.35294820440955343`], 
      Hue[0.35294820440955343`], 
      Hue[0.3556879366021415], 
      Hue[0.3556879366021415], 
      Hue[0.35832570341470105`], 
      Hue[0.35832570341470105`], 
      Hue[0.3608642084369533], 
      Hue[0.3608642084369533], 
      Hue[0.36330622676812385`], 
      Hue[0.36330622676812385`], 
      Hue[0.36565457634521703`], 
      Hue[0.36565457634521703`], 
      Hue[0.3679120931514359], 
      Hue[0.3679120931514359], 
      Hue[0.3700816099933188], 
      Hue[0.3700816099933188], 
      Hue[0.3721659385232465], 
      Hue[0.3721659385232465], 
      Hue[0.37416785418376197`], 
      Hue[0.37416785418376197`], 
      Hue[0.376090083758622], 
      Hue[0.376090083758622], 
      Hue[0.37793529523013486`], 
      Hue[0.37793529523013486`], 
      Hue[0.3797060896610835], 
      Hue[0.3797060896610835], 
      Hue[0.3814049948407324], 
      Hue[0.3814049948407324], 
      Hue[0.3830344604568081], 
      Hue[0.3830344604568081], 
      Hue[0.3845968545779678], 
      Hue[0.3845968545779678], 
      Hue[0.38609446125342217`], 
      Hue[0.38609446125342217`], 
      Hue[0.38752947905757806`], 
      Hue[0.38752947905757806`], 
      Hue[0.3889040204274842], 
      Hue[0.3889040204274842], 
      Hue[0.3902201116593114], 
      Hue[0.3902201116593114], 
      Hue[0.39147969344698613`], 
      Hue[0.39147969344698613`], 
      Hue[0.3926846218613914], 
      Hue[0.3926846218613914], 
      Hue[0.39383666968230274`], 
      Hue[0.39383666968230274`], 
      Hue[0.39493752800747994`], 
      Hue[0.39493752800747994`], 
      Hue[0.395988808074207], 
      Hue[0.395988808074207], 
      Hue[0.39699204323813875`], 
      Hue[0.39699204323813875`], 
      Hue[0.397948691062706], 
      Hue[0.397948691062706], 
      Hue[0.39886013547964455`], 
      Hue[0.39886013547964455`], 
      Hue[0.3997276889875718], 
      Hue[0.3997276889875718], 
      Hue[0.40055259486102296`], 
      Hue[0.40055259486102296`], 
      Hue[0.4013360293470951], 
      Hue[0.4013360293470951], 
      Hue[0.40207910383090145`], 
      Hue[0.40207910383090145`], 
      Hue[0.4027828669545046], 
      Hue[0.4027828669545046], 
      Hue[0.4034483066769441], 
      Hue[0.4034483066769441], 
      Hue[0.40407635226547134`], 
      Hue[0.40407635226547134`], 
      Hue[0.4046678762102058], 
      Hue[0.4046678762102058], 
      Hue[0.4052236960561905], 
      Hue[0.4052236960561905], 
      Hue[0.4057445761482957], 
      Hue[0.4057445761482957], 
      Hue[0.40623122928563093`], 
      Hue[0.40623122928563093`], 
      Hue[0.40668431828313056`], 
      Hue[0.40668431828313056`], 
      Hue[0.407104457438783], 
      Hue[0.407104457438783], 
      Hue[0.4074922139056299], 
      Hue[0.4074922139056299], 
      Hue[0.4078481089681751], 
      Hue[0.4078481089681751], 
      Hue[0.4081726192232428], 
      Hue[0.4081726192232428], 
      Hue[0.4084661776656265], 
      Hue[0.4084661776656265], 
      Hue[0.4087291746790843], 
      Hue[0.4087291746790843], 
      Hue[0.4089619589333858], 
      Hue[0.4089619589333858], 
      Hue[0.40916483818820265`], 
      Hue[0.40916483818820265`], 
      Hue[0.40933808000466976`], 
      Hue[0.40933808000466976`], 
      Hue[0.4094819123654433], 
      Hue[0.4094819123654433], 
      Hue[0.4095965242040422], 
      Hue[0.4095965242040422], 
      Hue[0.40968206584419165`], 
      Hue[0.40968206584419165`], 
      Hue[0.40973864934980114`], 
      Hue[0.40973864934980114`], 
      Hue[0.40976634878610024`], 
      Hue[0.40976634878610024`], 
      Hue[0.4097652003923342], 
      Hue[0.4097652003923342], 
      Hue[0.4097352026662924], 
      Hue[0.4097352026662924], 
      Hue[0.40967631636080426`], 
      Hue[0.40967631636080426`], 
      Hue[0.40958846439219654`], 
      Hue[0.40958846439219654`], 
      Hue[0.40947153166056616`], 
      Hue[0.40947153166056616`], 
      Hue[0.4093253647815867], 
      Hue[0.4093253647815867], 
      Hue[0.40914977172943473`], 
      Hue[0.40914977172943473`], 
      Hue[0.4089445213903031], 
      Hue[0.4089445213903031], 
      Hue[0.4087093430258638], 
      Hue[0.4087093430258638], 
      Hue[0.4084439256459527], 
      Hue[0.4084439256459527], 
      Hue[0.40814791728968575`], 
      Hue[0.40814791728968575`], 
      Hue[0.407820924214181], 
      Hue[0.407820924214181], 
      Hue[0.4074625099900583], 
      Hue[0.4074625099900583], 
      Hue[0.4070721945029304], 
      Hue[0.4070721945029304], 
      Hue[0.40664945286019105`], 
      Hue[0.40664945286019105`], 
      Hue[0.4061937142025564], 
      Hue[0.4061937142025564], 
      Hue[0.4057043604200406], 
      Hue[0.4057043604200406], 
      Hue[0.40518072477235473`], 
      Hue[0.40518072477235473`], 
      Hue[0.404622090414123], 
      Hue[0.404622090414123], 
      Hue[0.4040276888258407], 
      Hue[0.4040276888258407], 
      Hue[0.4033966981521577], 
      Hue[0.4033966981521577], 
      Hue[0.4027282414498977], 
      Hue[0.4027282414498977], 
      Hue[0.4020213848492414], 
      Hue[0.4020213848492414], 
      Hue[0.4012751356327288], 
      Hue[0.4012751356327288], 
      Hue[0.4004884402382371], 
      Hue[0.4004884402382371], 
      Hue[0.39966018219386795`], 
      Hue[0.39966018219386795`], 
      Hue[0.39878917999482116`], 
      Hue[0.39878917999482116`], 
      Hue[0.3978741849348522], 
      Hue[0.3978741849348522], 
      Hue[0.3969138789079031], 
      Hue[0.3969138789079031], 
      Hue[0.39590687219900317`], 
      Hue[0.39590687219900317`], 
      Hue[0.39485170128764496`], 
      Hue[0.39485170128764496`], 
      Hue[0.39374682669162797`], 
      Hue[0.39374682669162797`], 
      Hue[0.3925906308849229], 
      Hue[0.3925906308849229], 
      Hue[0.3913814163295345], 
      Hue[0.3913814163295345], 
      Hue[0.39011740366874104`], 
      Hue[0.39011740366874104`], 
      Hue[0.38879673013756644`], 
      Hue[0.38879673013756644`], 
      Hue[0.387417448256012], 
      Hue[0.387417448256012], 
      Hue[0.3859775248815478], 
      Hue[0.3859775248815478], 
      Hue[0.384474840709739], 
      Hue[0.384474840709739], 
      Hue[0.38290719032574927`], 
      Hue[0.38290719032574927`], 
      Hue[0.38127228292489324`], 
      Hue[0.38127228292489324`], 
      Hue[0.3795677438374164], 
      Hue[0.3795677438374164], 
      Hue[0.37779111701125395`], 
      Hue[0.37779111701125395`], 
      Hue[0.37593986862654816`], 
      Hue[0.37593986862654816`], 
      Hue[0.3740113920369912], 
      Hue[0.3740113920369912], 
      Hue[0.3720030142552727], 
      Hue[0.3720030142552727], 
      Hue[0.36991200422254394`], 
      Hue[0.36991200422254394`], 
      Hue[0.36773558312414495`], 
      Hue[0.36773558312414495`], 
      Hue[0.36547093703490113`], 
      Hue[0.36547093703490113`], 
      Hue[0.36311523219577185`], 
      Hue[0.36311523219577185`], 
      Hue[0.3606656332378639], 
      Hue[0.3606656332378639], 
      Hue[0.35811932467770713`], 
      Hue[0.35811932467770713`], 
      Hue[0.35547353600665976`], 
      Hue[0.35547353600665976`], 
      Hue[0.3527255706843197], 
      Hue[0.3527255706843197], 
      Hue[0.3498728393173212], 
      Hue[0.3498728393173212], 
      Hue[0.34691289725692975`], 
      Hue[0.34691289725692975`], 
      Hue[0.3438434867771454], 
      Hue[0.3438434867771454], 
      Hue[0.3406625838952227], 
      Hue[0.3406625838952227], 
      Hue[0.33736844976448443`], 
      Hue[0.33736844976448443`], 
      Hue[0.33395968640160834`], 
      Hue[0.33395968640160834`], 
      Hue[0.33043529630503315`], 
      Hue[0.33043529630503315`], 
      Hue[0.3267947452776275], 
      Hue[0.3267947452776275], 
      Hue[0.32303802748799726`], 
      Hue[0.32303802748799726`], 
      Hue[0.3191657314972594], 
      Hue[0.3191657314972594], 
      Hue[0.3151791056528484], 
      Hue[0.3151791056528484], 
      Hue[0.31108012092428083`], 
      Hue[0.31108012092428083`], 
      Hue[0.30687152894962566`], 
      Hue[0.30687152894962566`], 
      Hue[0.30255691280275177`], 
      Hue[0.30255691280275177`], 
      Hue[0.2981407278113426], 
      Hue[0.2981407278113426], 
      Hue[0.2936283296872143], 
      Hue[0.2936283296872143], 
      Hue[0.289025987305539], 
      Hue[0.289025987305539], 
      Hue[0.2843408777148538], 
      Hue[0.2843408777148538], 
      Hue[0.2795810613922095], 
      Hue[0.2795810613922095], 
      Hue[0.27475543638019395`], 
      Hue[0.27475543638019395`], 
      Hue[0.2698736707395825], 
      Hue[0.2698736707395825], 
      Hue[0.26494611368772064`], 
      Hue[0.26494611368772064`], 
      Hue[0.2599836868134734], 
      Hue[0.2599836868134734], 
      Hue[0.25499775779345224`], 
      Hue[0.25499775779345224`], 
      Hue[0.24999999999999997`], 
      Hue[0.24999999999999997`], 
      Hue[0.24500224220654768`], 
      Hue[0.24500224220654768`], 
      Hue[0.24001631318652655`], 
      Hue[0.24001631318652655`], 
      Hue[0.23505388631227925`], 
      Hue[0.23505388631227925`], 
      Hue[0.23012632926041737`], 
      Hue[0.23012632926041737`], 
      Hue[0.225244563619806], 
      Hue[0.225244563619806], 
      Hue[0.22041893860779038`], 
      Hue[0.22041893860779038`], 
      Hue[0.2156591222851461], 
      Hue[0.2156591222851461], 
      Hue[0.2109740126944609], 
      Hue[0.2109740126944609], 
      Hue[0.2063716703127856], 
      Hue[0.2063716703127856], 
      Hue[0.2018592721886573], 
      Hue[0.2018592721886573], 
      Hue[0.19744308719724815`], 
      Hue[0.19744308719724815`], 
      Hue[0.19312847105037426`], 
      Hue[0.19312847105037426`], 
      Hue[0.18891987907571905`], 
      Hue[0.18891987907571905`], 
      Hue[0.18482089434715152`], 
      Hue[0.18482089434715152`], 
      Hue[0.18083426850274054`], 
      Hue[0.18083426850274054`], 
      Hue[0.17696197251200269`], 
      Hue[0.17696197251200269`], 
      Hue[0.1732052547223725], 
      Hue[0.1732052547223725], 
      Hue[0.16956470369496676`], 
      Hue[0.16956470369496676`], 
      Hue[0.1660403135983916], 
      Hue[0.1660403135983916], 
      Hue[0.16263155023551548`], 
      Hue[0.16263155023551548`], 
      Hue[0.15933741610477728`], 
      Hue[0.15933741610477728`], 
      Hue[0.15615651322285456`], 
      Hue[0.15615651322285456`], 
      Hue[0.1530871027430702], 
      Hue[0.1530871027430702], 
      Hue[0.1501271606826787], 
      Hue[0.1501271606826787], 
      Hue[0.14727442931568022`], 
      Hue[0.14727442931568022`], 
      Hue[0.14452646399334018`], 
      Hue[0.14452646399334018`], 
      Hue[0.14188067532229282`], 
      Hue[0.14188067532229282`], 
      Hue[0.1393343667621361], 
      Hue[0.1393343667621361], 
      Hue[0.13688476780422815`], 
      Hue[0.13688476780422815`], 
      Hue[0.13452906296509884`], 
      Hue[0.13452906296509884`], 
      Hue[0.13226441687585502`], 
      Hue[0.13226441687585502`], 
      Hue[0.13008799577745603`], 
      Hue[0.13008799577745603`], 
      Hue[0.12799698574472723`], 
      Hue[0.12799698574472723`], 
      Hue[0.12598860796300881`], 
      Hue[0.12598860796300881`], 
      Hue[0.12406013137345184`], 
      Hue[0.12406013137345184`], 
      Hue[0.12220888298874599`], 
      Hue[0.12220888298874599`], 
      Hue[0.12043225616258356`], 
      Hue[0.12043225616258356`], 
      Hue[0.11872771707510672`], 
      Hue[0.11872771707510672`], 
      Hue[0.11709280967425072`], 
      Hue[0.11709280967425072`], 
      Hue[0.11552515929026098`], 
      Hue[0.11552515929026098`], 
      Hue[0.11402247511845215`], 
      Hue[0.11402247511845215`], 
      Hue[0.112582551743988], 
      Hue[0.112582551743988], 
      Hue[0.11120326986243353`], 
      Hue[0.11120326986243353`], 
      Hue[0.10988259633125892`], 
      Hue[0.10988259633125892`], 
      Hue[0.10861858367046551`], 
      Hue[0.10861858367046551`], 
      Hue[0.10740936911507709`], 
      Hue[0.10740936911507709`], 
      Hue[0.10625317330837199`], 
      Hue[0.10625317330837199`], 
      Hue[0.10514829871235504`], 
      Hue[0.10514829871235504`], 
      Hue[0.10409312780099685`], 
      Hue[0.10409312780099685`], 
      Hue[0.10308612109209694`], 
      Hue[0.10308612109209694`], 
      Hue[0.1021258150651478], 
      Hue[0.1021258150651478], 
      Hue[0.10121082000517885`], 
      Hue[0.10121082000517885`], 
      Hue[0.10033981780613206`], 
      Hue[0.10033981780613206`], 
      Hue[0.09951155976176293], 
      Hue[0.09951155976176293], 
      Hue[0.09872486436727117], 
      Hue[0.09872486436727117], 
      Hue[0.09797861515075866], 
      Hue[0.09797861515075866], 
      Hue[0.09727175855010227], 
      Hue[0.09727175855010227], 
      Hue[0.09660330184784235], 
      Hue[0.09660330184784235], 
      Hue[0.09597231117415926], 
      Hue[0.09597231117415926], 
      Hue[0.09537790958587702], 
      Hue[0.09537790958587702], 
      Hue[0.09481927522764533], 
      Hue[0.09481927522764533], 
      Hue[0.09429563957995939], 
      Hue[0.09429563957995939], 
      Hue[0.09380628579744363], 
      Hue[0.09380628579744363], 
      Hue[0.0933505471398089], 
      Hue[0.0933505471398089], 
      Hue[0.09292780549706957], 
      Hue[0.09292780549706957], 
      Hue[0.09253749000994174], 
      Hue[0.09253749000994174], 
      Hue[0.09217907578581903], 
      Hue[0.09217907578581903], 
      Hue[0.09185208271031424], 
      Hue[0.09185208271031424], 
      Hue[0.09155607435404726], 
      Hue[0.09155607435404726], 
      Hue[0.09129065697413616], 
      Hue[0.09129065697413616], 
      Hue[0.09105547860969693], 
      Hue[0.09105547860969693], 
      Hue[0.09085022827056533], 
      Hue[0.09085022827056533], 
      Hue[0.09067463521841328], 
      Hue[0.09067463521841328], 
      Hue[0.09052846833943387], 
      Hue[0.09052846833943387], 
      Hue[0.09041153560780353], 
      Hue[0.09041153560780353], 
      Hue[0.09032368363919577], 
      Hue[0.09032368363919577], 
      Hue[0.09026479733370764], 
      Hue[0.09026479733370764], 
      Hue[0.09023479960766582], 
      Hue[0.09023479960766582], 
      Hue[0.09023365121389974], 
      Hue[0.09023365121389974], 
      Hue[0.09026135065019887], 
      Hue[0.09026135065019887], 
      Hue[0.09031793415580841], 
      Hue[0.09031793415580841], 
      Hue[0.09040347579595782], 
      Hue[0.09040347579595782], 
      Hue[0.09051808763455671], 
      Hue[0.09051808763455671], 
      Hue[0.09066191999533027], 
      Hue[0.09066191999533027], 
      Hue[0.09083516181179734], 
      Hue[0.09083516181179734], 
      Hue[0.09103804106661416], 
      Hue[0.09103804106661416], 
      Hue[0.09127082532091571], 
      Hue[0.09127082532091571], 
      Hue[0.09153382233437346], 
      Hue[0.09153382233437346], 
      Hue[0.09182738077675724], 
      Hue[0.09182738077675724], 
      Hue[0.09215189103182497], 
      Hue[0.09215189103182497], 
      Hue[0.09250778609437008], 
      Hue[0.09250778609437008], 
      Hue[0.09289554256121699], 
      Hue[0.09289554256121699], 
      Hue[0.09331568171686945], 
      Hue[0.09331568171686945], 
      Hue[0.09376877071436908], 
      Hue[0.09376877071436908], 
      Hue[0.09425542385170431], 
      Hue[0.09425542385170431], 
      Hue[0.09477630394380944], 
      Hue[0.09477630394380944], 
      Hue[0.09533212378979426], 
      Hue[0.09533212378979426], 
      Hue[0.09592364773452867], 
      Hue[0.09592364773452867], 
      Hue[0.09655169332305595], 
      Hue[0.09655169332305595], 
      Hue[0.09721713304549544], 
      Hue[0.09721713304549544], 
      Hue[0.09792089616909855], 
      Hue[0.09792089616909855], 
      Hue[0.09866397065290491], 
      Hue[0.09866397065290491], 
      Hue[0.09944740513897703], 
      Hue[0.09944740513897703], 
      Hue[0.10027231101242819`], 
      Hue[0.10027231101242819`], 
      Hue[0.10113986452035546`], 
      Hue[0.10113986452035546`], 
      Hue[0.10205130893729412`], 
      Hue[0.10205130893729412`], 
      Hue[0.10300795676186127`], 
      Hue[0.10300795676186127`], 
      Hue[0.10401119192579301`], 
      Hue[0.10401119192579301`], 
      Hue[0.10506247199252006`], 
      Hue[0.10506247199252006`], 
      Hue[0.10616333031769727`], 
      Hue[0.10616333031769727`], 
      Hue[0.1073153781386086], 
      Hue[0.1073153781386086], 
      Hue[0.10852030655301394`], 
      Hue[0.10852030655301394`], 
      Hue[0.1097798883406886], 
      Hue[0.1097798883406886], 
      Hue[0.11109597957251585`], 
      Hue[0.11109597957251585`], 
      Hue[0.11247052094242194`], 
      Hue[0.11247052094242194`], 
      Hue[0.1139055387465779], 
      Hue[0.1139055387465779], 
      Hue[0.11540314542203226`], 
      Hue[0.11540314542203226`], 
      Hue[0.11696553954319194`], 
      Hue[0.11696553954319194`], 
      Hue[0.11859500515926766`], 
      Hue[0.11859500515926766`], 
      Hue[0.12029391033891654`], 
      Hue[0.12029391033891654`], 
      Hue[0.12206470476986522`], 
      Hue[0.12206470476986522`], 
      Hue[0.12390991624137805`], 
      Hue[0.12390991624137805`], 
      Hue[0.12583214581623808`], 
      Hue[0.12583214581623808`], 
      Hue[0.1278340614767536], 
      Hue[0.1278340614767536], 
      Hue[0.12991839000668126`], 
      Hue[0.12991839000668126`], 
      Hue[0.13208790684856414`], 
      Hue[0.13208790684856414`], 
      Hue[0.13434542365478302`], 
      Hue[0.13434542365478302`], 
      Hue[0.13669377323187615`], 
      Hue[0.13669377323187615`], 
      Hue[0.13913579156304676`], 
      Hue[0.13913579156304676`], 
      Hue[0.14167429658529906`], 
      Hue[0.14167429658529906`], 
      Hue[0.14431206339785863`], 
      Hue[0.14431206339785863`], 
      Hue[0.14705179559044665`], 
      Hue[0.14705179559044665`], 
      Hue[0.14989609240710206`], 
      Hue[0.14989609240710206`], 
      Hue[0.1528474115075051], 
      Hue[0.1528474115075051], 
      Hue[0.15590802715741095`], 
      Hue[0.15590802715741095`], 
      Hue[0.1590799837772074], 
      Hue[0.1590799837772074], 
      Hue[0.1623650449069375], 
      Hue[0.1623650449069375], 
      Hue[0.16576463781088577`], 
      Hue[0.16576463781088577`], 
      Hue[0.16927979414730737`], 
      Hue[0.16927979414730737`], 
      Hue[0.17291108736941896`], 
      Hue[0.17291108736941896`], 
      Hue[0.17665856779990746`], 
      Hue[0.17665856779990746`], 
      Hue[0.1805216966268115], 
      Hue[0.1805216966268115], 
      Hue[0.1844992803930073], 
      Hue[0.1844992803930073], 
      Hue[0.1885894078787889], 
      Hue[0.1885894078787889], 
      Hue[0.19278939158576827`], 
      Hue[0.19278939158576827`], 
      Hue[0.197095716293875], 
      Hue[0.197095716293875], 
      Hue[0.20150399735077892`], 
      Hue[0.20150399735077892`], 
      Hue[0.20600895143160722`], 
      Hue[0.20600895143160722`], 
      Hue[0.21060438244426793`], 
      Hue[0.21060438244426793`], 
      Hue[0.21528318502474553`], 
      Hue[0.21528318502474553`], 
      Hue[0.22003736764948278`], 
      Hue[0.22003736764948278`], 
      Hue[0.22485809678440208`], 
      Hue[0.22485809678440208`], 
      Hue[0.22973576270598112`], 
      Hue[0.22973576270598112`], 
      Hue[0.234660066702778], 
      Hue[0.234660066702778], 
      Hue[0.23962012834935464`], 
      Hue[0.23962012834935464`], 
      Hue[0.24460461050883203`], 
      Hue[0.24460461050883203`], 
      Hue[0.24960185874604124`], 
      Hue[0.24960185874604124`], 
      Hue[0.25460005100322186`], 
      Hue[0.25460005100322186`], 
      Hue[0.25958735277943024`], 
      Hue[0.25958735277943024`], 
      Hue[0.2645520727207612], 
      Hue[0.2645520727207612], 
      Hue[0.2694828135033718], 
      Hue[0.2694828135033718], 
      Hue[0.27436861317757194`], 
      Hue[0.27436861317757194`], 
      Hue[0.2791990727112368], 
      Hue[0.2791990727112368], 
      Hue[0.28396446627057065`], 
      Hue[0.28396446627057065`], 
      Hue[0.2886558317330061], 
      Hue[0.2886558317330061], 
      Hue[0.29326503995852515`], 
      Hue[0.29326503995852515`], 
      Hue[0.29778484237025715`], 
      Hue[0.29778484237025715`], 
      Hue[0.30220889734053685`], 
      Hue[0.30220889734053685`], 
      Hue[0.30653177668828413`], 
      Hue[0.30653177668828413`], 
      Hue[0.3107489542306672], 
      Hue[0.3107489542306672], 
      Hue[0.3148567787797286], 
      Hue[0.3148567787797286], 
      Hue[0.3188524342343753], 
      Hue[0.3188524342343753], 
      Hue[0.32273388950587323`], 
      Hue[0.32273388950587323`], 
      Hue[0.3264998409568379], 
      Hue[0.3264998409568379], 
      Hue[0.3301496498612988], 
      Hue[0.3301496498612988], 
      Hue[0.333683277139818], 
      Hue[0.333683277139818], 
      Hue[0.33710121732019727`], 
      Hue[0.33710121732019727`], 
      Hue[0.34040443334841713`], 
      Hue[0.34040443334841713`], 
      Hue[0.34359429354841786`], 
      Hue[0.34359429354841786`], 
      Hue[0.3466725117198937], 
      Hue[0.3466725117198937], 
      Hue[0.34964109108192504`], 
      Hue[0.34964109108192504`], 
      Hue[0.35250227252381605`], 
      Hue[0.35250227252381605`], 
      Hue[0.3552584874159237], 
      Hue[0.3552584874159237], 
      Hue[0.3579123150626076], 
      Hue[0.3579123150626076], 
      Hue[0.36046644474467604`], 
      Hue[0.36046644474467604`], 
      Hue[0.3629236421964784], 
      Hue[0.3629236421964784], 
      Hue[0.36528672028901343`], 
      Hue[0.36528672028901343`], 
      Hue[0.3675585136407253], 
      Hue[0.3675585136407253], 
      Hue[0.3697418568477628], 
      Hue[0.3697418568477628], 
      Hue[0.3718395660113858], 
      Hue[0.3718395660113858], 
      Hue[0.3738544232383413], 
      Hue[0.3738544232383413], 
      Hue[0.3757891637973037], 
      Hue[0.3757891637973037], 
      Hue[0.3776464656282834], 
      Hue[0.3776464656282834], 
      Hue[0.3794289409201123], 
      Hue[0.3794289409201123], 
      Hue[0.3811391294920206], 
      Hue[0.3811391294920206], 
      Hue[0.38277949373759296`], 
      Hue[0.38277949373759296`], 
      Hue[0.3843524149120282], 
      Hue[0.3843524149120282], 
      Hue[0.38586019056589793`], 
      Hue[0.38586019056589793`], 
      Hue[0.38730503294996915`], 
      Hue[0.38730503294996915`], 
      Hue[0.3886890682357987], 
      Hue[0.3886890682357987], 
      Hue[0.3900143364154958], 
      Hue[0.3900143364154958], 
      Hue[0.3912827917611866], 
      Hue[0.3912827917611866], 
      Hue[0.3924963037402669], 
      Hue[0.3924963037402669], 
      Hue[0.3936566582965189], 
      Hue[0.3936566582965189], 
      Hue[0.3947655594196596], 
      Hue[0.3947655594196596], 
      Hue[0.39582463093696924`], 
      Hue[0.39582463093696924`], 
      Hue[0.39683541847041853`], 
      Hue[0.39683541847041853`], 
      Hue[0.3977993915112822], 
      Hue[0.3977993915112822], 
      Hue[0.39871794557170975`], 
      Hue[0.39871794557170975`], 
      Hue[0.3995924043792208], 
      Hue[0.3995924043792208], 
      Hue[0.4004240220857197], 
      Hue[0.4004240220857197], 
      Hue[0.4012139854674696], 
      Hue[0.4012139854674696], 
      Hue[0.4019634160966237], 
      Hue[0.4019634160966237], 
      Hue[0.40267337246846663`], 
      Hue[0.40267337246846663`], 
      Hue[0.40334485207154597`], 
      Hue[0.40334485207154597`], 
      Hue[0.4039787933904346], 
      Hue[0.4039787933904346], 
      Hue[0.40457607783302807`], 
      Hue[0.40457607783302807`], 
      Hue[0.40513753157609567`], 
      Hue[0.40513753157609567`], 
      Hue[0.4056639273243155], 
      Hue[0.4056639273243155], 
      Hue[0.40615598597928], 
      Hue[0.40615598597928], 
      Hue[0.4066143782159855], 
      Hue[0.4066143782159855], 
      Hue[0.4070397259651638], 
      Hue[0.4070397259651638], 
      Hue[0.40743260380048346`], 
      Hue[0.40743260380048346`], 
      Hue[0.40779354023018966`], 
      Hue[0.40779354023018966`], 
      Hue[0.40812301889316455`], 
      Hue[0.40812301889316455`], 
      Hue[0.40842147965970677`], 
      Hue[0.40842147965970677`], 
      Hue[0.40868931963755717`], 
      Hue[0.40868931963755717`], 
      Hue[0.4089268940838584], 
      Hue[0.4089268940838584], 
      Hue[0.40913451722382566`], 
      Hue[0.40913451722382566`], 
      Hue[0.40931246297695767`], 
      Hue[0.40931246297695767`], 
      Hue[0.4094609655916141], 
      Hue[0.4094609655916141], 
      Hue[0.4095802201887543], 
      Hue[0.4095802201887543], 
      Hue[0.40967038321556987`], 
      Hue[0.40967038321556987`], 
      Hue[0.40973157280965783`], 
      Hue[0.40973157280965783`], 
      Hue[0.40976386907427487`], 
      Hue[0.40976386907427487`], 
      Hue[0.4097673142650973], 
      Hue[0.4097673142650973], 
      Hue[0.4097419128887791], 
      Hue[0.4097419128887791], 
      Hue[0.40968763171346423`], 
      Hue[0.40968763171346423`], 
      Hue[0.4096043996912722], 
      Hue[0.4096043996912722], 
      Hue[0.4094921077926311], 
      Hue[0.4094921077926311], 
      Hue[0.4093506087521979], 
      Hue[0.4093506087521979], 
      Hue[0.40917971672597286`], 
      Hue[0.40917971672597286`], 
      Hue[0.4089792068590938], 
      Hue[0.4089792068590938], 
      Hue[0.4087488147636875], 
      Hue[0.4087488147636875], 
      Hue[0.4084882359060634], 
      Hue[0.4084882359060634], 
      Hue[0.4081971249024685], 
      Hue[0.4081971249024685], 
      Hue[0.40787509472258066`], 
      Hue[0.40787509472258066`], 
      Hue[0.4075217157999094], 
      Hue[0.4075217157999094], 
      Hue[0.40713651504830894`], 
      Hue[0.40713651504830894`], 
      Hue[0.40671897478388985`], 
      Hue[0.40671897478388985`], 
      Hue[0.4062685315517588], 
      Hue[0.4062685315517588], 
      Hue[0.4057845748572241], 
      Hue[0.4057845748572241], 
      Hue[0.4052664458014015], 
      Hue[0.4052664458014015], 
      Hue[0.4047134356215437], 
      Hue[0.4047134356215437], 
      Hue[0.4041247841369232], 
      Hue[0.4041247841369232], 
      Hue[0.4034996781017369], 
      Hue[0.4034996781017369], 
      Hue[0.4028372494673021], 
      Hue[0.4028372494673021], 
      Hue[0.40213657355679083`], 
      Hue[0.40213657355679083`], 
      Hue[0.4013966671569524], 
      Hue[0.4013966671569524], 
      Hue[0.4006164865327162], 
      Hue[0.4006164865327162], 
      Hue[0.3997949253723106], 
      Hue[0.3997949253723106], 
      Hue[0.3989308126726016], 
      Hue[0.3989308126726016], 
      Hue[0.3980229105768238], 
      Hue[0.3980229105768238], 
      Hue[0.3970699121797807], 
      Hue[0.3970699121797807], 
      Hue[0.3960704393190141], 
      Hue[0.3960704393190141], 
      Hue[0.3950230403744523], 
      Hue[0.3950230403744523], 
      Hue[0.3939261881037156], 
      Hue[0.3939261881037156], 
      Hue[0.3927782775456926], 
      Hue[0.3927782775456926], 
      Hue[0.39157762403127855`], 
      Hue[0.39157762403127855`], 
      Hue[0.39032246134740683`], 
      Hue[0.39032246134740683`], 
      Hue[0.3890109401088014], 
      Hue[0.3890109401088014], 
      Hue[0.3876411264013527], 
      Hue[0.3876411264013527], 
      Hue[0.3862110007717798], 
      Hue[0.3862110007717798], 
      Hue[0.38471845765038143`], 
      Hue[0.38471845765038143`], 
      Hue[0.3831613053073117], 
      Hue[0.3831613053073117], 
      Hue[0.38153726645798336`], 
      Hue[0.38153726645798336`], 
      Hue[0.3798439796499682], 
      Hue[0.3798439796499682], 
      Hue[0.3780790015820822], 
      Hue[0.3780790015820822], 
      Hue[0.3762398105261576], 
      Hue[0.3762398105261576], 
      Hue[0.37432381104310397`], 
      Hue[0.37432381104310397`], 
      Hue[0.3723283402069579], 
      Hue[0.3723283402069579], 
      Hue[0.3702506755732251], 
      Hue[0.3702506755732251], 
      Hue[0.36808804515026455`], 
      Hue[0.36808804515026455`], 
      Hue[0.36583763965379695`], 
      Hue[0.36583763965379695`], 
      Hue[0.3634966273436179], 
      Hue[0.3634966273436179], 
      Hue[0.3610621717566253], 
      Hue[0.3610621717566253], 
      Hue[0.35853145265932884`], 
      Hue[0.35853145265932884`], 
      Hue[0.3559016905435862], 
      Hue[0.3559016905435862], 
      Hue[0.3531701749784568], 
      Hue[0.3531701749784568], 
      Hue[0.35033429710528197`], 
      Hue[0.35033429710528197`], 
      Hue[0.34739158651852614`], 
      Hue[0.34739158651852614`], 
      Hue[0.3443397527072722], 
      Hue[0.3443397527072722], 
      Hue[0.3411767311372362], 
      Hue[0.3411767311372362], 
      Hue[0.3379007339265121], 
      Hue[0.3379007339265121], 
      Hue[0.3345103049064355], 
      Hue[0.3345103049064355], 
      Hue[0.33100437865951315`], 
      Hue[0.33100437865951315`], 
      Hue[0.3273823428888127], 
      Hue[0.3273823428888127], 
      Hue[0.3236441031997363], 
      Hue[0.3236441031997363], 
      Hue[0.31979014907151404`], 
      Hue[0.31979014907151404`], 
      Hue[0.31582161947237253`], 
      Hue[0.31582161947237253`], 
      Hue[0.3117403662445818], 
      Hue[0.3117403662445818], 
      Hue[0.307549013074472], 
      Hue[0.307549013074472], 
      Hue[0.3032510075942643], 
      Hue[0.3032510075942643], 
      Hue[0.298850663967776], 
      Hue[0.298850663967776], 
      Hue[0.2943531932236122], 
      Hue[0.2943531932236122], 
      Hue[0.28976471864969816`], 
      Hue[0.28976471864969816`], 
      Hue[0.28509227377972146`], 
      Hue[0.28509227377972146`], 
      Hue[0.2803437809041249], 
      Hue[0.2803437809041249], 
      Hue[0.27552800863093346`], 
      Hue[0.27552800863093346`], 
      Hue[0.2706545077927546], 
      Hue[0.2706545077927546], 
      Hue[0.2657335259136288], 
      Hue[0.2657335259136288], 
      Hue[0.2607759014611283], 
      Hue[0.2607759014611283], 
      Hue[0.2557929401461359], 
      Hue[0.2557929401461359], 
      Hue[0.2507962765149807], 
      Hue[0.2507962765149807], 
      Hue[0.24579772492300683`], 
      Hue[0.24579772492300683`], 
      Hue[0.24080912460930698`], 
      Hue[0.24080912460930698`], 
      Hue[0.23584218394998696`], 
      Hue[0.23584218394998696`], 
      Hue[0.23090832901755332`], 
      Hue[0.23090832901755332`], 
      Hue[0.22601856131189244`], 
      Hue[0.22601856131189244`], 
      Hue[0.2211833289792581], 
      Hue[0.2211833289792581], 
      Hue[0.21641241505171765`], 
      Hue[0.21641241505171765`], 
      Hue[0.2117148452923129], 
      Hue[0.2117148452923129], 
      Hue[0.20709881720257386`], 
      Hue[0.20709881720257386`], 
      Hue[0.20257165072107905`], 
      Hue[0.20257165072107905`], 
      Hue[0.1981397601878183], 
      Hue[0.1981397601878183], 
      Hue[0.19380864632700226`], 
      Hue[0.19380864632700226`], 
      Hue[0.18958290634925337`], 
      Hue[0.18958290634925337`], 
      Hue[0.18546625981113649`], 
      Hue[0.18546625981113649`], 
      Hue[0.18146158759572523`], 
      Hue[0.18146158759572523`], 
      Hue[0.17757098127730828`], 
      Hue[0.17757098127730828`], 
      Hue[0.1737958001809959], 
      Hue[0.1737958001809959], 
      Hue[0.17013673361250628`], 
      Hue[0.17013673361250628`], 
      Hue[0.16659386598174125`], 
      Hue[0.16659386598174125`], 
      Hue[0.16316674284429727`], 
      Hue[0.16316674284429727`], 
      Hue[0.1598544362100526], 
      Hue[0.1598544362100526], 
      Hue[0.15665560779467977`], 
      Hue[0.15665560779467977`], 
      Hue[0.15356856920118134`], 
      Hue[0.15356856920118134`], 
      Hue[0.15059133830243207`], 
      Hue[0.15059133830243207`], 
      Hue[0.1477216913451077], 
      Hue[0.1477216913451077], 
      Hue[0.14495721050700522`], 
      Hue[0.14495721050700522`], 
      Hue[0.1422953268133908], 
      Hue[0.1422953268133908], 
      Hue[0.13973335845550897`], 
      Hue[0.13973335845550897`], 
      Hue[0.13726854465906438`], 
      Hue[0.13726854465906438`], 
      Hue[0.13489807532636866`], 
      Hue[0.13489807532636866`], 
      Hue[0.13261911672730667`], 
      Hue[0.13261911672730667`], 
      Hue[0.1304288335455921], 
      Hue[0.1304288335455921], 
      Hue[0.12832440760200128`], 
      Hue[0.12832440760200128`], 
      Hue[0.12630305357898677`], 
      Hue[0.12630305357898677`], 
      Hue[0.12436203206442331`], 
      Hue[0.12436203206442331`], 
      Hue[0.12249866021887212`], 
      Hue[0.12249866021887212`], 
      Hue[0.12071032035281995`], 
      Hue[0.12071032035281995`], 
      Hue[0.11899446667961115`], 
      Hue[0.11899446667961115`], 
      Hue[0.11734863048758207`], 
      Hue[0.11734863048758207`], 
      Hue[0.11577042395227086`], 
      Hue[0.11577042395227086`], 
      Hue[0.11425754278725393`], 
      Hue[0.11425754278725393`], 
      Hue[0.11280776791070432`], 
      Hue[0.11280776791070432`], 
      Hue[0.11141896628451631`], 
      Hue[0.11141896628451631`], 
      Hue[0.11008909106403345`], 
      Hue[0.11008909106403345`], 
      Hue[0.10881618117915084`], 
      Hue[0.10881618117915084`], 
      Hue[0.1075983604518885], 
      Hue[0.1075983604518885], 
      Hue[0.10643383634141583`], 
      Hue[0.10643383634141583`], 
      Hue[0.10532089839490315`], 
      Hue[0.10532089839490315`], 
      Hue[0.10425791647138316`], 
      Hue[0.10425791647138316`], 
      Hue[0.10324333879593821`], 
      Hue[0.10324333879593821`], 
      Hue[0.1022756898928642], 
      Hue[0.1022756898928642], 
      Hue[0.10135356843890214`], 
      Hue[0.10135356843890214`], 
      Hue[0.10047564507105021`], 
      Hue[0.10047564507105021`], 
      Hue[0.09964066017778304], 
      Hue[0.09964066017778304], 
      Hue[0.0988474216975958], 
      Hue[0.0988474216975958], 
      Hue[0.09809480294458439], 
      Hue[0.09809480294458439], 
      Hue[0.09738174047716963], 
      Hue[0.09738174047716963], 
      Hue[0.09670723202301136], 
      Hue[0.09670723202301136], 
      Hue[0.09607033447055864], 
      Hue[0.09607033447055864], 
      Hue[0.09547016193549047], 
      Hue[0.09547016193549047], 
      Hue[0.09490588390846226], 
      Hue[0.09490588390846226], 
      Hue[0.09437672348903715], 
      Hue[0.09437672348903715], 
      Hue[0.09388195570940841], 
      Hue[0.09388195570940841], 
      Hue[0.09342090595047155], 
      Hue[0.09342090595047155], 
      Hue[0.09299294845195202], 
      Hue[0.09299294845195202], 
      Hue[0.09259750491760566], 
      Hue[0.09259750491760566], 
      Hue[0.09223404321596387], 
      Hue[0.09223404321596387], 
      Hue[0.09190207617666941], 
      Hue[0.09190207617666941], 
      Hue[0.09160116048212635], 
      Hue[0.09160116048212635], 
      Hue[0.09133089565395161], 
      Hue[0.09133089565395161], 
      Hue[0.09109092313355335], 
      Hue[0.09109092313355335], 
      Hue[0.09088092545606051], 
      Hue[0.09088092545606051], 
      Hue[0.09070062551677992], 
      Hue[0.09070062551677992], 
      Hue[0.09054978592935167], 
      Hue[0.09054978592935167], 
      Hue[0.09042820847480436], 
      Hue[0.09042820847480436], 
      Hue[0.0903357336407719], 
      Hue[0.0903357336407719], 
      Hue[0.09027224025021832], 
      Hue[0.09027224025021832], 
      Hue[0.09023764517911921], 
      Hue[0.09023764517911921], 
      Hue[0.09023190316266748], 
      Hue[0.09023190316266748], 
      Hue[0.0902550066896995], 
      Hue[0.0902550066896995], 
      Hue[0.09030698598517319], 
      Hue[0.09030698598517319], 
      Hue[0.09038790908067054], 
      Hue[0.09038790908067054], 
      Hue[0.09049788197303688], 
      Hue[0.09049788197303688], 
      Hue[0.09063704887140724], 
      Hue[0.09063704887140724], 
      Hue[0.09080559253300266], 
      Hue[0.09080559253300266], 
      Hue[0.09100373468820175], 
      Hue[0.09100373468820175], 
      Hue[0.09123173655550187], 
      Hue[0.09123173655550187], 
      Hue[0.09148989944707822], 
      Hue[0.09148989944707822], 
      Hue[0.09177856546571721], 
      Hue[0.09177856546571721], 
      Hue[0.09209811829394604], 
      Hue[0.09209811829394604], 
      Hue[0.09244898407618865], 
      Hue[0.09244898407618865], 
      Hue[0.09283163239474859], 
      Hue[0.09283163239474859], 
      Hue[0.09324657734034036], 
      Hue[0.09324657734034036], 
      Hue[0.09369437867775515], 
      Hue[0.09369437867775515], 
      Hue[0.09417564310704028], 
      Hue[0.09417564310704028], 
      Hue[0.0946910256202866], 
      Hue[0.0946910256202866], 
      Hue[0.0952412309537347], 
      Hue[0.0952412309537347], 
      Hue[0.09582701513441597], 
      Hue[0.09582701513441597], 
      Hue[0.09644918711991478], 
      Hue[0.09644918711991478], 
      Hue[0.09710861052905455], 
      Hue[0.09710861052905455], 
      Hue[0.0978062054603436], 
      Hue[0.0978062054603436], 
      Hue[0.0985429503938382], 
      Hue[0.0985429503938382], 
      Hue[0.09931988417065232], 
      Hue[0.09931988417065232], 
      Hue[0.10013810804263266`], 
      Hue[0.10013810804263266`], 
      Hue[0.10099878778266944`], 
      Hue[0.10099878778266944`], 
      Hue[0.10190315584368598`], 
      Hue[0.10190315584368598`], 
      Hue[0.1028525135514772], 
      Hue[0.1028525135514772], 
      Hue[0.10384823331319042`], 
      Hue[0.10384823331319042`], 
      Hue[0.10489176081928282`], 
      Hue[0.10489176081928282`], 
      Hue[0.10598461721217321`], 
      Hue[0.10598461721217321`], 
      Hue[0.10712840118943952`], 
      Hue[0.10712840118943952`], 
      Hue[0.1083247910032021], 
      Hue[0.1083247910032021], 
      Hue[0.10957554631017781`], 
      Hue[0.10957554631017781`], 
      Hue[0.11088250981867762`], 
      Hue[0.11088250981867762`], 
      Hue[0.11224760866944633`], 
      Hue[0.11224760866944633`], 
      Hue[0.11367285547658837`], 
      Hue[0.11367285547658837`], 
      Hue[0.11516034894279525`], 
      Hue[0.11516034894279525`], 
      Hue[0.11671227394958258`], 
      Hue[0.11671227394958258`], 
      Hue[0.11833090100819785`], 
      Hue[0.11833090100819785`], 
      Hue[0.120018584940224], 
      Hue[0.120018584940224], 
      Hue[0.12177776263870412`], 
      Hue[0.12177776263870412`], 
      Hue[0.12361094974091523`], 
      Hue[0.12361094974091523`], 
      Hue[0.12552073602291033`], 
      Hue[0.12552073602291033`], 
      Hue[0.127509779303914], 
      Hue[0.127509779303914], 
      Hue[0.12958079762607283`], 
      Hue[0.12958079762607283`], 
      Hue[0.13173655945257284`], 
      Hue[0.13173655945257284`], 
      Hue[0.13397987160567226`], 
      Hue[0.13397987160567226`], 
      Hue[0.1363135646469606], 
      Hue[0.1363135646469606], 
      Hue[0.13874047538674186`], 
      Hue[0.13874047538674186`], 
      Hue[0.14126342619982157`], 
      Hue[0.14126342619982157`], 
      Hue[0.1438852008236211], 
      Hue[0.1438852008236211], 
      Hue[0.14660851632436692`], 
      Hue[0.14660851632436692`], 
      Hue[0.14943599094155588`], 
      Hue[0.14943599094155588`], 
      Hue[0.15237010756382763`], 
      Hue[0.15237010756382763`], 
      Hue[0.15541317265501586`], 
      Hue[0.15541317265501586`], 
      Hue[0.1585672705418412], 
      Hue[0.1585672705418412], 
      Hue[0.16183421309869955`], 
      Hue[0.16183421309869955`], 
      Hue[0.16521548502391814`], 
      Hue[0.16521548502391814`], 
      Hue[0.1687121850982408], 
      Hue[0.1687121850982408], 
      Hue[0.17232496405086967`], 
      Hue[0.17232496405086967`], 
      Hue[0.1760539599291536], 
      Hue[0.1760539599291536], 
      Hue[0.1798987321695189], 
      Hue[0.1798987321695189], 
      Hue[0.18385819588953822`], 
      Hue[0.18385819588953822`], 
      Hue[0.18793055824913352`], 
      Hue[0.18793055824913352`], 
      Hue[0.19211325904223855`], 
      Hue[0.19211325904223855`], 
      Hue[0.19640291795298323`], 
      Hue[0.19640291795298323`], 
      Hue[0.20079529111228706`], 
      Hue[0.20079529111228706`], 
      Hue[0.20528523968888], 
      Hue[0.20528523968888], 
      Hue[0.20986671321067396`], 
      Hue[0.20986671321067396`], 
      Hue[0.21453275010979153`], 
      Hue[0.21453275010979153`], 
      Hue[0.21927549759764664`], 
      Hue[0.21927549759764664`], 
      Hue[0.22408625239880867`], 
      Hue[0.22408625239880867`], 
      Hue[0.2289555231146245], 
      Hue[0.2289555231146245], 
      Hue[0.2338731140802322], 
      Hue[0.2338731140802322], 
      Hue[0.23882822957206712`], 
      Hue[0.23882822957206712`], 
      Hue[0.2438095961850989], 
      Hue[0.2438095961850989], 
      Hue[0.24880560020936765`], 
      Hue[0.24880560020936765`], 
      Hue[0.2538044359770707], 
      Hue[0.2538044359770707], 
      Hue[0.25879426050132737`], 
      Hue[0.25879426050132737`], 
      Hue[0.26376334934674606`], 
      Hue[0.26376334934674606`], 
      Hue[0.26870024859662023`], 
      Hue[0.26870024859662023`], 
      Hue[0.2735939180193801], 
      Hue[0.2735939180193801], 
      Hue[0.2784338610647217], 
      Hue[0.2784338610647217], 
      Hue[0.28321023808750934`], 
      Hue[0.28321023808750934`], 
      Hue[0.2879139601346881], 
      Hue[0.2879139601346881], 
      Hue[0.29253676165562253`], 
      Hue[0.29253676165562253`], 
      Hue[0.2970712515271431], 
      Hue[0.2970712515271431], 
      Hue[0.3015109427467643], 
      Hue[0.3015109427467643], 
      Hue[0.3058502619818296], 
      Hue[0.3058502619818296], 
      Hue[0.31008454082854503`], 
      Hue[0.31008454082854503`], 
      Hue[0.31420999111310083`], 
      Hue[0.31420999111310083`], 
      Hue[0.3182236668559828], 
      Hue[0.3182236668559828], 
      Hue[0.32212341563417995`], 
      Hue[0.32212341563417995`], 
      Hue[0.3259078220390363], 
      Hue[0.3259078220390363], 
      Hue[0.3295761457710746], 
      Hue[0.3295761457710746], 
      Hue[0.3331282566702682], 
      Hue[0.3331282566702682], 
      Hue[0.3365645686827832], 
      Hue[0.3365645686827832], 
      Hue[0.33988597444125196`], 
      Hue[0.33988597444125196`], 
      Hue[0.3430937818083756], 
      Hue[0.3430937818083756], 
      Hue[0.3461896534206633], 
      Hue[0.3461896534206633], 
      Hue[0.3491755499827372], 
      Hue[0.3491755499827372], 
      Hue[0.35205367781031666`], 
      Hue[0.35205367781031666`], 
      Hue[0.3548264409053272], 
      Hue[0.3548264409053272], 
      Hue[0.35749639766996494`], 
      Hue[0.35749639766996494`], 
      Hue[0.3600662222262793], 
      Hue[0.3600662222262793], 
      Hue[0.36253867020068614`]}],
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   AxesOrigin->{0, 0},
   Epilog->{{{}, {}, {
       Hue[0.67, 0.6, 0.6], 
       LineBox[CompressedData["
1:eJxdm3d8zXf7/2MlIrXVbpsqajdVI2ZeQuxNUDEiRIRE9h7OytnnpCp2SaWK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        "]]}}},
   PlotRange->{{0., 1001.}, {0., 3.4327256972392663`}},
   PlotRangeClipping->True,
   PlotRangePadding->{
     Scaled[0.02], 
     Scaled[0.02]}],
  StripOnInput->False,
  Antialiasing->True]], "Output",
 CellChangeTimes->{{3.389731003745965*^9, 3.389731027990827*^9}, 
   3.3897330476171265`*^9, 3.390893979272873*^9, 3.3917799120578823`*^9, 
   3.39184868403125*^9, 3.392469632902677*^9, 3.393842371993867*^9, 
   3.393842814224084*^9, 3.393846992293686*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The package VQM`ArgColorPlot", "Section"],

Cell[TextData[{
 "The (non-standard) package ",
 StyleBox["VQM`ArgColorPlot", "InlineInput"],
 " provides additional functionality"
}], "Text"],

Cell["Needs[\"VQM`ArgColorPlot`\"]", "Input",
 CellChangeTimes->{{3.389729708183037*^9, 3.3897297208412385`*^9}}],

Cell[TextData[{
 "All symbols defined by the VQM packages start with the letter \"Q\". In \
particular, the package implements ",
 StyleBox["QListArgColorPlot", "Input"],
 " which corresponds to the command ",
 StyleBox["ListArgColorPlot", "Input"],
 " defined above. But the command defined in the package accepts the standard \
options:"
}], "Text"],

Cell[CellGroupData[{

Cell["\<\
yvalues = Table[Tan[x + 0.3 I],{x,-5.,5.,0.01}];
QListArgColorPlot[yvalues, Frame->True, \
Axes->{True,False},PlotRange->{-.5,4}]\
\>", "Input",
 CellChangeTimes->{
  3.3896393778181124`*^9, 3.3896402913116517`*^9, 3.389641665908224*^9, 
   3.389641799610479*^9, {3.389685727509939*^9, 3.38968572849135*^9}, {
   3.3897279618218927`*^9, 3.3897279782655373`*^9}, {3.3897280121142097`*^9, 
   3.3897280297896256`*^9}, {3.3897281512642975`*^9, 3.3897281774719825`*^9}, 
   3.3897285166897535`*^9, {3.389728614820859*^9, 3.3897286158323135`*^9}, 
   3.3897287043596096`*^9}],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJyF23d4VOXaLvBFD2SjIyBGUfdsBAwK7hEpUSkPPfTQI3XooQQmAUI6K5M2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   "], {
    {GrayLevel[0.5], EdgeForm[None], 
     GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwtmwv4h8WYhn8z881Z2jYtSSrJbqGW5LDYSpKkSCpJilAh7UpOIUkqRXIO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       "]]]}, {{}, {}, {
      {Hue[0.1374613297993138, 1, 1], LineBox[{1, 2}]}, 
      {Hue[0.13993377777372068`, 1, 1], LineBox[{2, 3}]}, 
      {Hue[0.14250360233003503`, 1, 1], LineBox[{3, 4}]}, 
      {Hue[0.14517355909467305`, 1, 1], LineBox[{4, 5}]}, 
      {Hue[0.1479463221896834, 1, 1], LineBox[{5, 6}]}, 
      {Hue[0.15082445001726277`, 1, 1], LineBox[{6, 7}]}, 
      {Hue[0.15381034657933665`, 1, 1], LineBox[{7, 8}]}, 
      {Hue[0.15690621819162476`, 1, 1], LineBox[{8, 9}]}, 
      {Hue[0.1601140255587481, 1, 1], LineBox[{9, 10}]}, 
      {Hue[0.1634354313172168, 1, 1], LineBox[{10, 11}]}, 
      {Hue[0.16687174332973181`, 1, 1], LineBox[{11, 12}]}, 
      {Hue[0.17042385422892578`, 1, 1], LineBox[{12, 13}]}, 
      {Hue[0.17409217796096368`, 1, 1], LineBox[{13, 14}]}, 
      {Hue[0.17787658436582005`, 1, 1], LineBox[{14, 15}]}, 
      {Hue[0.18177633314401723`, 1, 1], LineBox[{15, 16}]}, 
      {Hue[0.18579000888689953`, 1, 1], LineBox[{16, 17}]}, 
      {Hue[0.18991545917145497`, 1, 1], LineBox[{17, 18}]}, 
      {Hue[0.19414973801817045`, 1, 1], LineBox[{18, 19}]}, 
      {Hue[0.19848905725323568`, 1, 1], LineBox[{19, 20}]}, 
      {Hue[0.20292874847285733`, 1, 1], LineBox[{20, 21}]}, 
      {Hue[0.20746323834437747`, 1, 1], LineBox[{21, 22}]}, 
      {Hue[0.21208603986531188`, 1, 1], LineBox[{22, 23}]}, 
      {Hue[0.2167897619124907, 1, 1], LineBox[{23, 24}]}, 
      {Hue[0.22156613893527877`, 1, 1], LineBox[{24, 25}]}, 
      {Hue[0.2264060819806199, 1, 1], LineBox[{25, 26}]}, 
      {Hue[0.23129975140337977`, 1, 1], LineBox[{26, 27}]}, 
      {Hue[0.23623665065325397`, 1, 1], LineBox[{27, 28}]}, 
      {Hue[0.24120573949867266`, 1, 1], LineBox[{28, 29}]}, 
      {Hue[0.2461955640229298, 1, 1], LineBox[{29, 30}]}, 
      {Hue[0.25119439979063235`, 1, 1], LineBox[{30, 31}]}, 
      {Hue[0.2561904038149011, 1, 1], LineBox[{31, 32}]}, 
      {Hue[0.2611717704279329, 1, 1], LineBox[{32, 33}]}, 
      {Hue[0.26612688591976824`, 1, 1], LineBox[{33, 34}]}, 
      {Hue[0.27104447688537553`, 1, 1], LineBox[{34, 35}]}, 
      {Hue[0.27591374760119136`, 1, 1], LineBox[{35, 36}]}, 
      {Hue[0.28072450240235336`, 1, 1], LineBox[{36, 37}]}, 
      {Hue[0.2854672498902089, 1, 1], LineBox[{37, 38}]}, 
      {Hue[0.29013328678932604`, 1, 1], LineBox[{38, 39}]}, 
      {Hue[0.29471476031112004`, 1, 1], LineBox[{39, 40}]}, 
      {Hue[0.29920470888771294`, 1, 1], LineBox[{40, 41}]}, 
      {Hue[0.3035970820470172, 1, 1], LineBox[{41, 42}]}, 
      {Hue[0.3078867409577615, 1, 1], LineBox[{42, 43}]}, 
      {Hue[0.3120694417508665, 1, 1], LineBox[{43, 44}]}, 
      {Hue[0.3161418041104618, 1, 1], LineBox[{44, 45}]}, 
      {Hue[0.3201012678304815, 1, 1], LineBox[{45, 46}]}, 
      {Hue[0.32394604007084643`, 1, 1], LineBox[{46, 47}]}, 
      {Hue[0.32767503594913033`, 1, 1], LineBox[{47, 48}]}, 
      {Hue[0.33128781490175924`, 1, 1], LineBox[{48, 49}]}, 
      {Hue[0.33478451497608214`, 1, 1], LineBox[{49, 50}]}, 
      {Hue[0.33816578690130045`, 1, 1], LineBox[{50, 51}]}, 
      {Hue[0.34143272945815883`, 1, 1], LineBox[{51, 52}]}, 
      {Hue[0.3445868273449842, 1, 1], LineBox[{52, 53}]}, 
      {Hue[0.34762989243617237`, 1, 1], LineBox[{53, 54}]}, 
      {Hue[0.35056400905844437`, 1, 1], LineBox[{54, 55}]}, 
      {Hue[0.3533914836756331, 1, 1], LineBox[{55, 56}]}, 
      {Hue[0.3561147991763789, 1, 1], LineBox[{56, 57}]}, 
      {Hue[0.35873657380017865`, 1, 1], LineBox[{57, 58}]}, 
      {Hue[0.3612595246132584, 1, 1], LineBox[{58, 59}]}, 
      {Hue[0.3636864353530394, 1, 1], LineBox[{59, 60}]}, 
      {Hue[0.36602012839432774`, 1, 1], LineBox[{60, 61}]}, 
      {Hue[0.36826344054742716`, 1, 1], LineBox[{61, 62}]}, 
      {Hue[0.3704192023739274, 1, 1], LineBox[{62, 63}]}, 
      {Hue[0.372490220696086, 1, 1], LineBox[{63, 64}]}, 
      {Hue[0.37447926397708964`, 1, 1], LineBox[{64, 65}]}, 
      {Hue[0.3763890502590848, 1, 1], LineBox[{65, 66}]}, 
      {Hue[0.37822223736129607`, 1, 1], LineBox[{66, 67}]}, 
      {Hue[0.379981415059776, 1, 1], LineBox[{67, 68}]}, 
      {Hue[0.3816690989918021, 1, 1], LineBox[{68, 69}]}, 
      {Hue[0.38328772605041744`, 1, 1], LineBox[{69, 70}]}, 
      {Hue[0.3848396510572049, 1, 1], LineBox[{70, 71}]}, 
      {Hue[0.38632714452341166`, 1, 1], LineBox[{71, 72}]}, 
      {Hue[0.38775239133055367`, 1, 1], LineBox[{72, 73}]}, 
      {Hue[0.38911749018132236`, 1, 1], LineBox[{73, 74}]}, 
      {Hue[0.39042445368982226`, 1, 1], LineBox[{74, 75}]}, 
      {Hue[0.3916752089967979, 1, 1], LineBox[{75, 76}]}, 
      {Hue[0.3928715988105605, 1, 1], LineBox[{76, 77}]}, 
      {Hue[0.3940153827878268, 1, 1], LineBox[{77, 78}]}, 
      {Hue[0.3951082391807172, 1, 1], LineBox[{78, 79}]}, 
      {Hue[0.3961517666868096, 1, 1], LineBox[{79, 80}]}, 
      {Hue[0.39714748644852277`, 1, 1], LineBox[{80, 81}]}, 
      {Hue[0.398096844156314, 1, 1], LineBox[{81, 82}]}, 
      {Hue[0.39900121221733065`, 1, 1], LineBox[{82, 83}]}, 
      {Hue[0.39986189195736743`, 1, 1], LineBox[{83, 84}]}, 
      {Hue[0.4006801158293477, 1, 1], LineBox[{84, 85}]}, 
      {Hue[0.4014570496061618, 1, 1], LineBox[{85, 86}]}, 
      {Hue[0.40219379453965637`, 1, 1], LineBox[{86, 87}]}, 
      {Hue[0.4028913894709455, 1, 1], LineBox[{87, 88}]}, 
      {Hue[0.40355081288008526`, 1, 1], LineBox[{88, 89}]}, 
      {Hue[0.40417298486558406`, 1, 1], LineBox[{89, 90}]}, 
      {Hue[0.40475876904626534`, 1, 1], LineBox[{90, 91}]}, 
      {Hue[0.4053089743797134, 1, 1], LineBox[{91, 92}]}, 
      {Hue[0.40582435689295976`, 1, 1], LineBox[{92, 93}]}, 
      {Hue[0.40630562132224485`, 1, 1], LineBox[{93, 94}]}, 
      {Hue[0.40675342265965964`, 1, 1], LineBox[{94, 95}]}, 
      {Hue[0.40716836760525144`, 1, 1], LineBox[{95, 96}]}, 
      {Hue[0.4075510159238113, 1, 1], LineBox[{96, 97}]}, 
      {Hue[0.407901881706054, 1, 1], LineBox[{97, 98}]}, 
      {Hue[0.40822143453428283`, 1, 1], LineBox[{98, 99}]}, 
      {Hue[0.4085101005529218, 1, 1], LineBox[{99, 100}]}, 
      {Hue[0.4087682634444981, 1, 1], LineBox[{100, 101}]}, 
      {Hue[0.4089962653117982, 1, 1], LineBox[{101, 102}]}, 
      {Hue[0.40919440746699737`, 1, 1], LineBox[{102, 103}]}, 
      {Hue[0.4093629511285927, 1, 1], LineBox[{103, 104}]}, 
      {Hue[0.4095021180269631, 1, 1], LineBox[{104, 105}]}, 
      {Hue[0.40961209091932943`, 1, 1], LineBox[{105, 106}]}, 
      {Hue[0.40969301401482683`, 1, 1], LineBox[{106, 107}]}, 
      {Hue[0.4097449933103005, 1, 1], LineBox[{107, 108}]}, 
      {Hue[0.40976809683733256`, 1, 1], LineBox[{108, 109}]}, 
      {Hue[0.40976235482088086`, 1, 1], LineBox[{109, 110}]}, 
      {Hue[0.40972775974978165`, 1, 1], LineBox[{110, 111}]}, 
      {Hue[0.40966426635922815`, 1, 1], LineBox[{111, 112}]}, 
      {Hue[0.4095717915251957, 1, 1], LineBox[{112, 113}]}, 
      {Hue[0.40945021407064836`, 1, 1], LineBox[{113, 114}]}, 
      {Hue[0.40929937448322007`, 1, 1], LineBox[{114, 115}]}, 
      {Hue[0.4091190745439395, 1, 1], LineBox[{115, 116}]}, 
      {Hue[0.4089090768664466, 1, 1], LineBox[{116, 117}]}, 
      {Hue[0.40866910434604836`, 1, 1], LineBox[{117, 118}]}, 
      {Hue[0.40839883951787365`, 1, 1], LineBox[{118, 119}]}, 
      {Hue[0.40809792382333065`, 1, 1], LineBox[{119, 120}]}, 
      {Hue[0.40776595678403615`, 1, 1], LineBox[{120, 121}]}, 
      {Hue[0.40740249508239434`, 1, 1], LineBox[{121, 122}]}, 
      {Hue[0.407007051548048, 1, 1], LineBox[{122, 123}]}, 
      {Hue[0.40657909404952847`, 1, 1], LineBox[{123, 124}]}, 
      {Hue[0.40611804429059156`, 1, 1], LineBox[{124, 125}]}, 
      {Hue[0.40562327651096286`, 1, 1], LineBox[{125, 126}]}, 
      {Hue[0.4050941160915378, 1, 1], LineBox[{126, 127}]}, 
      {Hue[0.4045298380645096, 1, 1], LineBox[{127, 128}]}, 
      {Hue[0.4039296655294414, 1, 1], LineBox[{128, 129}]}, 
      {Hue[0.4032927679769886, 1, 1], LineBox[{129, 130}]}, 
      {Hue[0.40261825952283037`, 1, 1], LineBox[{130, 131}]}, 
      {Hue[0.4019051970554156, 1, 1], LineBox[{131, 132}]}, 
      {Hue[0.40115257830240414`, 1, 1], LineBox[{132, 133}]}, 
      {Hue[0.4003593398222169, 1, 1], LineBox[{133, 134}]}, 
      {Hue[0.3995243549289498, 1, 1], LineBox[{134, 135}]}, 
      {Hue[0.3986464315610978, 1, 1], LineBox[{135, 136}]}, 
      {Hue[0.3977243101071357, 1, 1], LineBox[{136, 137}]}, 
      {Hue[0.3967566612040617, 1, 1], LineBox[{137, 138}]}, 
      {Hue[0.3957420835286168, 1, 1], LineBox[{138, 139}]}, 
      {Hue[0.39467910160509684`, 1, 1], LineBox[{139, 140}]}, 
      {Hue[0.3935661636585841, 1, 1], LineBox[{140, 141}]}, 
      {Hue[0.3924016395481114, 1, 1], LineBox[{141, 142}]}, 
      {Hue[0.39118381882084907`, 1, 1], LineBox[{142, 143}]}, 
      {Hue[0.3899109089359666, 1, 1], LineBox[{143, 144}]}, 
      {Hue[0.38858103371548375`, 1, 1], LineBox[{144, 145}]}, 
      {Hue[0.38719223208929565`, 1, 1], LineBox[{145, 146}]}, 
      {Hue[0.385742457212746, 1, 1], LineBox[{146, 147}]}, 
      {Hue[0.38422957604772917`, 1, 1], LineBox[{147, 148}]}, 
      {Hue[0.38265136951241796`, 1, 1], LineBox[{148, 149}]}, 
      {Hue[0.38100553332038883`, 1, 1], LineBox[{149, 150}]}, 
      {Hue[0.37928967964717997`, 1, 1], LineBox[{150, 151}]}, 
      {Hue[0.3775013397811279, 1, 1], LineBox[{151, 152}]}, 
      {Hue[0.37563796793557663`, 1, 1], LineBox[{152, 153}]}, 
      {Hue[0.37369694642101325`, 1, 1], LineBox[{153, 154}]}, 
      {Hue[0.37167559239799863`, 1, 1], LineBox[{154, 155}]}, 
      {Hue[0.3695711664544079, 1, 1], LineBox[{155, 156}]}, 
      {Hue[0.36738088327269336`, 1, 1], LineBox[{156, 157}]}, 
      {Hue[0.3651019246736313, 1, 1], LineBox[{157, 158}]}, 
      {Hue[0.3627314553409355, 1, 1], LineBox[{158, 159}]}, 
      {Hue[0.36026664154449095`, 1, 1], LineBox[{159, 160}]}, 
      {Hue[0.3577046731866092, 1, 1], LineBox[{160, 161}]}, 
      {Hue[0.3550427894929947, 1, 1], LineBox[{161, 162}]}, 
      {Hue[0.3522783086548922, 1, 1], LineBox[{162, 163}]}, 
      {Hue[0.34940866169756785`, 1, 1], LineBox[{163, 164}]}, 
      {Hue[0.34643143079881866`, 1, 1], LineBox[{164, 165}]}, 
      {Hue[0.34334439220532015`, 1, 1], LineBox[{165, 166}]}, 
      {Hue[0.3401455637899473, 1, 1], LineBox[{166, 167}]}, 
      {Hue[0.3368332571557026, 1, 1], LineBox[{167, 168}]}, 
      {Hue[0.33340613401825875`, 1, 1], LineBox[{168, 169}]}, 
      {Hue[0.32986326638749375`, 1, 1], LineBox[{169, 170}]}, 
      {Hue[0.3262041998190041, 1, 1], LineBox[{170, 171}]}, 
      {Hue[0.32242901872269153`, 1, 1], LineBox[{171, 172}]}, 
      {Hue[0.3185384124042748, 1, 1], LineBox[{172, 173}]}, 
      {Hue[0.31453374018886354`, 1, 1], LineBox[{173, 174}]}, 
      {Hue[0.3104170936507466, 1, 1], LineBox[{174, 175}]}, 
      {Hue[0.30619135367299755`, 1, 1], LineBox[{175, 176}]}, 
      {Hue[0.30186023981218174`, 1, 1], LineBox[{176, 177}]}, 
      {Hue[0.297428349278921, 1, 1], LineBox[{177, 178}]}, 
      {Hue[0.29290118279742616`, 1, 1], LineBox[{178, 179}]}, 
      {Hue[0.2882851547076869, 1, 1], LineBox[{179, 180}]}, 
      {Hue[0.28358758494828235`, 1, 1], LineBox[{180, 181}]}, 
      {Hue[0.2788166710207419, 1, 1], LineBox[{181, 182}]}, 
      {Hue[0.2739814386881073, 1, 1], LineBox[{182, 183}]}, 
      {Hue[0.26909167098244646`, 1, 1], LineBox[{183, 184}]}, 
      {Hue[0.2641578160500129, 1, 1], LineBox[{184, 185}]}, 
      {Hue[0.259190875390693, 1, 1], LineBox[{185, 186}]}, 
      {Hue[0.25420227507699295`, 1, 1], LineBox[{186, 187}]}, 
      {Hue[0.24920372348501907`, 1, 1], LineBox[{187, 188}]}, 
      {Hue[0.2442070598538639, 1, 1], LineBox[{188, 189}]}, 
      {Hue[0.23922409853887175`, 1, 1], LineBox[{189, 190}]}, 
      {Hue[0.23426647408637097`, 1, 1], LineBox[{190, 191}]}, 
      {Hue[0.22934549220724518`, 1, 1], LineBox[{191, 192}]}, 
      {Hue[0.22447199136906631`, 1, 1], LineBox[{192, 193}]}, 
      {Hue[0.21965621909587515`, 1, 1], LineBox[{193, 194}]}, 
      {Hue[0.21490772622027857`, 1, 1], LineBox[{194, 195}]}, 
      {Hue[0.2102352813503018, 1, 1], LineBox[{195, 196}]}, 
      {Hue[0.20564680677638758`, 1, 1], LineBox[{196, 197}]}, 
      {Hue[0.201149336032224, 1, 1], LineBox[{197, 198}]}, 
      {Hue[0.1967489924057357, 1, 1], LineBox[{198, 199}]}, 
      {Hue[0.19245098692552798`, 1, 1], LineBox[{199, 200}]}, 
      {Hue[0.18825963375541802`, 1, 1], LineBox[{200, 201}]}, 
      {Hue[0.18417838052762747`, 1, 1], LineBox[{201, 202}]}, 
      {Hue[0.1802098509284858, 1, 1], LineBox[{202, 203}]}, 
      {Hue[0.17635589680026367`, 1, 1], LineBox[{203, 204}]}, 
      {Hue[0.17261765711118718`, 1, 1], LineBox[{204, 205}]}, 
      {Hue[0.16899562134048687`, 1, 1], LineBox[{205, 206}]}, 
      {Hue[0.16548969509356448`, 1, 1], LineBox[{206, 207}]}, 
      {Hue[0.1620992660734879, 1, 1], LineBox[{207, 208}]}, 
      {Hue[0.15882326886276385`, 1, 1], LineBox[{208, 209}]}, 
      {Hue[0.1556602472927277, 1, 1], LineBox[{209, 210}]}, 
      {Hue[0.15260841348147391`, 1, 1], LineBox[{210, 211}]}, 
      {Hue[0.1496657028947179, 1, 1], LineBox[{211, 212}]}, 
      {Hue[0.1468298250215432, 1, 1], LineBox[{212, 213}]}, 
      {Hue[0.14409830945641364`, 1, 1], LineBox[{213, 214}]}, 
      {Hue[0.14146854734067116`, 1, 1], LineBox[{214, 215}]}, 
      {Hue[0.13893782824337458`, 1, 1], LineBox[{215, 216}]}, 
      {Hue[0.13650337265638213`, 1, 1], LineBox[{216, 217}]}, 
      {Hue[0.13416236034620294`, 1, 1], LineBox[{217, 218}]}, 
      {Hue[0.13191195484973545`, 1, 1], LineBox[{218, 219}]}, 
      {Hue[0.12974932442677484`, 1, 1], LineBox[{219, 220}]}, 
      {Hue[0.12767165979304215`, 1, 1], LineBox[{220, 221}]}, 
      {Hue[0.12567618895689592`, 1, 1], LineBox[{221, 222}]}, 
      {Hue[0.12376018947384236`, 1, 1], LineBox[{222, 223}]}, 
      {Hue[0.1219209984179177, 1, 1], LineBox[{223, 224}]}, 
      {Hue[0.1201560203500318, 1, 1], LineBox[{224, 225}]}, 
      {Hue[0.11846273354201657`, 1, 1], LineBox[{225, 226}]}, 
      {Hue[0.1168386946926883, 1, 1], LineBox[{226, 227}]}, 
      {Hue[0.11528154234961846`, 1, 1], LineBox[{227, 228}]}, 
      {Hue[0.11378899922822022`, 1, 1], LineBox[{228, 229}]}, 
      {Hue[0.11235887359864724`, 1, 1], LineBox[{229, 230}]}, 
      {Hue[0.11098905989119863`, 1, 1], LineBox[{230, 231}]}, 
      {Hue[0.10967753865259308`, 1, 1], LineBox[{231, 232}]}, 
      {Hue[0.10842237596872145`, 1, 1], LineBox[{232, 233}]}, 
      {Hue[0.10722172245430746`, 1, 1], LineBox[{233, 234}]}, 
      {Hue[0.10607381189628436`, 1, 1], LineBox[{234, 235}]}, 
      {Hue[0.10497695962554773`, 1, 1], LineBox[{235, 236}]}, 
      {Hue[0.1039295606809859, 1, 1], LineBox[{236, 237}]}, 
      {Hue[0.10293008782021933`, 1, 1], LineBox[{237, 238}]}, 
      {Hue[0.10197708942317613`, 1, 1], LineBox[{238, 239}]}, 
      {Hue[0.10106918732739838`, 1, 1], LineBox[{239, 240}]}, 
      {Hue[0.10020507462768936`, 1, 1], LineBox[{240, 241}]}, 
      {Hue[0.09938351346728382, 1, 1], LineBox[{241, 242}]}, 
      {Hue[0.09860333284304766, 1, 1], LineBox[{242, 243}]}, 
      {Hue[0.09786342644320914, 1, 1], LineBox[{243, 244}]}, 
      {Hue[0.09716275053269788, 1, 1], LineBox[{244, 245}]}, 
      {Hue[0.09650032189826309, 1, 1], LineBox[{245, 246}]}, 
      {Hue[0.09587521586307685, 1, 1], LineBox[{246, 247}]}, 
      {Hue[0.09528656437845633, 1, 1], LineBox[{247, 248}]}, 
      {Hue[0.09473355419859857, 1, 1], LineBox[{248, 249}]}, 
      {Hue[0.09421542514277592, 1, 1], LineBox[{249, 250}]}, 
      {Hue[0.09373146844824119, 1, 1], LineBox[{250, 251}]}, 
      {Hue[0.09328102521611016, 1, 1], LineBox[{251, 252}]}, 
      {Hue[0.0928634849516911, 1, 1], LineBox[{252, 253}]}, 
      {Hue[0.09247828420009056, 1, 1], LineBox[{253, 254}]}, 
      {Hue[0.09212490527741932, 1, 1], LineBox[{254, 255}]}, 
      {Hue[0.0918028750975315, 1, 1], LineBox[{255, 256}]}, 
      {Hue[0.0915117640939366, 1, 1], LineBox[{256, 257}]}, 
      {Hue[0.09125118523631245, 1, 1], LineBox[{257, 258}]}, 
      {Hue[0.09102079314090619, 1, 1], LineBox[{258, 259}]}, 
      {Hue[0.09082028327402719, 1, 1], LineBox[{259, 260}]}, 
      {Hue[0.09064939124780211, 1, 1], LineBox[{260, 261}]}, 
      {Hue[0.09050789220736889, 1, 1], LineBox[{261, 262}]}, 
      {Hue[0.09039560030872781, 1, 1], LineBox[{262, 263}]}, 
      {Hue[0.09031236828653581, 1, 1], LineBox[{263, 264}]}, 
      {Hue[0.09025808711122092, 1, 1], LineBox[{264, 265}]}, 
      {Hue[0.09023268573490266, 1, 1], LineBox[{265, 266}]}, 
      {Hue[0.09023613092572517, 1, 1], LineBox[{266, 267}]}, 
      {Hue[0.0902684271903422, 1, 1], LineBox[{267, 268}]}, 
      {Hue[0.09032961678443013, 1, 1], LineBox[{268, 269}]}, 
      {Hue[0.09041977981124574, 1, 1], LineBox[{269, 270}]}, 
      {Hue[0.09053903440838593, 1, 1], LineBox[{270, 271}]}, 
      {Hue[0.09068753702304234, 1, 1], LineBox[{271, 272}]}, 
      {Hue[0.09086548277617436, 1, 1], LineBox[{272, 273}]}, 
      {Hue[0.0910731059161416, 1, 1], LineBox[{273, 274}]}, 
      {Hue[0.0913106803624428, 1, 1], LineBox[{274, 275}]}, 
      {Hue[0.0915785203402933, 1, 1], LineBox[{275, 276}]}, 
      {Hue[0.09187698110683541, 1, 1], LineBox[{276, 277}]}, 
      {Hue[0.09220645976981037, 1, 1], LineBox[{277, 278}]}, 
      {Hue[0.0925673961995166, 1, 1], LineBox[{278, 279}]}, 
      {Hue[0.09296027403483624, 1, 1], LineBox[{279, 280}]}, 
      {Hue[0.0933856217840145, 1, 1], LineBox[{280, 281}]}, 
      {Hue[0.09384401402072005, 1, 1], LineBox[{281, 282}]}, 
      {Hue[0.09433607267568449, 1, 1], LineBox[{282, 283}]}, 
      {Hue[0.09486246842390439, 1, 1], LineBox[{283, 284}]}, 
      {Hue[0.09542392216697197, 1, 1], LineBox[{284, 285}]}, 
      {Hue[0.09602120660956545, 1, 1], LineBox[{285, 286}]}, 
      {Hue[0.09665514792845407, 1, 1], LineBox[{286, 287}]}, 
      {Hue[0.0973266275315334, 1, 1], LineBox[{287, 288}]}, 
      {Hue[0.0980365839033763, 1, 1], LineBox[{288, 289}]}, 
      {Hue[0.09878601453253036, 1, 1], LineBox[{289, 290}]}, 
      {Hue[0.0995759779142804, 1, 1], LineBox[{290, 291}]}, 
      {Hue[0.10040759562077928`, 1, 1], LineBox[{291, 292}]}, 
      {Hue[0.10128205442829027`, 1, 1], LineBox[{292, 293}]}, 
      {Hue[0.10220060848871781`, 1, 1], LineBox[{293, 294}]}, 
      {Hue[0.10316458152958152`, 1, 1], LineBox[{294, 295}]}, 
      {Hue[0.10417536906303075`, 1, 1], LineBox[{295, 296}]}, 
      {Hue[0.10523444058034044`, 1, 1], LineBox[{296, 297}]}, 
      {Hue[0.10634334170348113`, 1, 1], LineBox[{297, 298}]}, 
      {Hue[0.10750369625973318`, 1, 1], LineBox[{298, 299}]}, 
      {Hue[0.10871720823881346`, 1, 1], LineBox[{299, 300}]}, 
      {Hue[0.10998566358450426`, 1, 1], LineBox[{300, 301}]}, 
      {Hue[0.11131093176420129`, 1, 1], LineBox[{301, 302}]}, 
      {Hue[0.1126949670500309, 1, 1], LineBox[{302, 303}]}, 
      {Hue[0.11413980943410211`, 1, 1], LineBox[{303, 304}]}, 
      {Hue[0.11564758508797188`, 1, 1], LineBox[{304, 305}]}, 
      {Hue[0.11722050626240711`, 1, 1], LineBox[{305, 306}]}, 
      {Hue[0.11886087050797946`, 1, 1], LineBox[{306, 307}]}, 
      {Hue[0.12057105907988777`, 1, 1], LineBox[{307, 308}]}, 
      {Hue[0.12235353437171666`, 1, 1], LineBox[{308, 309}]}, 
      {Hue[0.1242108362026963, 1, 1], LineBox[{309, 310}]}, 
      {Hue[0.1261455767616587, 1, 1], LineBox[{310, 311}]}, 
      {Hue[0.12816043398861424`, 1, 1], LineBox[{311, 312}]}, 
      {Hue[0.13025814315223724`, 1, 1], LineBox[{312, 313}]}, 
      {Hue[0.13244148635927475`, 1, 1], LineBox[{313, 314}]}, 
      {Hue[0.13471327971098657`, 1, 1], LineBox[{314, 315}]}, 
      {Hue[0.1370763578035217, 1, 1], LineBox[{315, 316}]}, 
      {Hue[0.13953355525532396`, 1, 1], LineBox[{316, 317}]}, 
      {Hue[0.1420876849373924, 1, 1], LineBox[{317, 318}]}, 
      {Hue[0.14474151258407625`, 1, 1], LineBox[{318, 319}]}, 
      {Hue[0.14749772747618398`, 1, 1], LineBox[{319, 320}]}, 
      {Hue[0.15035890891807496`, 1, 1], LineBox[{320, 321}]}, 
      {Hue[0.15332748828010634`, 1, 1], LineBox[{321, 322}]}, 
      {Hue[0.15640570645158214`, 1, 1], LineBox[{322, 323}]}, 
      {Hue[0.15959556665158303`, 1, 1], LineBox[{323, 324}]}, 
      {Hue[0.1628987826798028, 1, 1], LineBox[{324, 325}]}, 
      {Hue[0.16631672286018212`, 1, 1], LineBox[{325, 326}]}, 
      {Hue[0.16985035013870134`, 1, 1], LineBox[{326, 327}]}, 
      {Hue[0.17350015904316224`, 1, 1], LineBox[{327, 328}]}, 
      {Hue[0.17726611049412686`, 1, 1], LineBox[{328, 329}]}, 
      {Hue[0.1811475657656249, 1, 1], LineBox[{329, 330}]}, 
      {Hue[0.18514322122027146`, 1, 1], LineBox[{330, 331}]}, 
      {Hue[0.18925104576933302`, 1, 1], LineBox[{331, 332}]}, 
      {Hue[0.193468223311716, 1, 1], LineBox[{332, 333}]}, 
      {Hue[0.19779110265946334`, 1, 1], LineBox[{333, 334}]}, 
      {Hue[0.20221515762974296`, 1, 1], LineBox[{334, 335}]}, 
      {Hue[0.20673496004147482`, 1, 1], LineBox[{335, 336}]}, 
      {Hue[0.21134416826699404`, 1, 1], LineBox[{336, 337}]}, 
      {Hue[0.21603553372942938`, 1, 1], LineBox[{337, 338}]}, 
      {Hue[0.22080092728876333`, 1, 1], LineBox[{338, 339}]}, 
      {Hue[0.2256313868224281, 1, 1], LineBox[{339, 340}]}, 
      {Hue[0.23051718649662833`, 1, 1], LineBox[{340, 341}]}, 
      {Hue[0.23544792727923883`, 1, 1], LineBox[{341, 342}]}, 
      {Hue[0.2404126472205699, 1, 1], LineBox[{342, 343}]}, 
      {Hue[0.24539994899677817`, 1, 1], LineBox[{343, 344}]}, 
      {Hue[0.2503981412539589, 1, 1], LineBox[{344, 345}]}, 
      {Hue[0.25539538949116797`, 1, 1], LineBox[{345, 346}]}, 
      {Hue[0.26037987165064547`, 1, 1], LineBox[{346, 347}]}, 
      {Hue[0.265339933297222, 1, 1], LineBox[{347, 348}]}, 
      {Hue[0.270264237294019, 1, 1], LineBox[{348, 349}]}, 
      {Hue[0.275141903215598, 1, 1], LineBox[{349, 350}]}, 
      {Hue[0.27996263235051744`, 1, 1], LineBox[{350, 351}]}, 
      {Hue[0.2847168149752546, 1, 1], LineBox[{351, 352}]}, 
      {Hue[0.2893956175557323, 1, 1], LineBox[{352, 353}]}, 
      {Hue[0.2939910485683929, 1, 1], LineBox[{353, 354}]}, 
      {Hue[0.2984960026492213, 1, 1], LineBox[{354, 355}]}, 
      {Hue[0.3029042837061251, 1, 1], LineBox[{355, 356}]}, 
      {Hue[0.3072106084142319, 1, 1], LineBox[{356, 357}]}, 
      {Hue[0.31141059212121125`, 1, 1], LineBox[{357, 358}]}, 
      {Hue[0.3155007196069929, 1, 1], LineBox[{358, 359}]}, 
      {Hue[0.31947830337318855`, 1, 1], LineBox[{359, 360}]}, 
      {Hue[0.32334143220009254`, 1, 1], LineBox[{360, 361}]}, 
      {Hue[0.32708891263058115`, 1, 1], LineBox[{361, 362}]}, 
      {Hue[0.33072020585269263`, 1, 1], LineBox[{362, 363}]}, 
      {Hue[0.3342353621891143, 1, 1], LineBox[{363, 364}]}, 
      {Hue[0.3376349550930625, 1, 1], LineBox[{364, 365}]}, 
      {Hue[0.34092001622279267`, 1, 1], LineBox[{365, 366}]}, 
      {Hue[0.344091972842589, 1, 1], LineBox[{366, 367}]}, 
      {Hue[0.347152588492495, 1, 1], LineBox[{367, 368}]}, 
      {Hue[0.35010390759289794`, 1, 1], LineBox[{368, 369}]}, 
      {Hue[0.35294820440955343`, 1, 1], LineBox[{369, 370}]}, 
      {Hue[0.3556879366021414, 1, 1], LineBox[{370, 371}]}, 
      {Hue[0.35832570341470105`, 1, 1], LineBox[{371, 372}]}, 
      {Hue[0.36086420843695327`, 1, 1], LineBox[{372, 373}]}, 
      {Hue[0.3633062267681239, 1, 1], LineBox[{373, 374}]}, 
      {Hue[0.36565457634521703`, 1, 1], LineBox[{374, 375}]}, 
      {Hue[0.36791209315143597`, 1, 1], LineBox[{375, 376}]}, 
      {Hue[0.3700816099933188, 1, 1], LineBox[{376, 377}]}, 
      {Hue[0.3721659385232465, 1, 1], LineBox[{377, 378}]}, 
      {Hue[0.37416785418376197`, 1, 1], LineBox[{378, 379}]}, 
      {Hue[0.376090083758622, 1, 1], LineBox[{379, 380}]}, 
      {Hue[0.37793529523013486`, 1, 1], LineBox[{380, 381}]}, 
      {Hue[0.37970608966108355`, 1, 1], LineBox[{381, 382}]}, 
      {Hue[0.3814049948407324, 1, 1], LineBox[{382, 383}]}, 
      {Hue[0.38303446045680817`, 1, 1], LineBox[{383, 384}]}, 
      {Hue[0.3845968545779678, 1, 1], LineBox[{384, 385}]}, 
      {Hue[0.3860944612534221, 1, 1], LineBox[{385, 386}]}, 
      {Hue[0.38752947905757806`, 1, 1], LineBox[{386, 387}]}, 
      {Hue[0.3889040204274842, 1, 1], LineBox[{387, 388}]}, 
      {Hue[0.3902201116593114, 1, 1], LineBox[{388, 389}]}, 
      {Hue[0.3914796934469861, 1, 1], LineBox[{389, 390}]}, 
      {Hue[0.3926846218613914, 1, 1], LineBox[{390, 391}]}, 
      {Hue[0.39383666968230274`, 1, 1], LineBox[{391, 392}]}, 
      {Hue[0.39493752800747994`, 1, 1], LineBox[{392, 393}]}, 
      {Hue[0.395988808074207, 1, 1], LineBox[{393, 394}]}, 
      {Hue[0.39699204323813875`, 1, 1], LineBox[{394, 395}]}, 
      {Hue[0.39794869106270586`, 1, 1], LineBox[{395, 396}]}, 
      {Hue[0.39886013547964455`, 1, 1], LineBox[{396, 397}]}, 
      {Hue[0.3997276889875718, 1, 1], LineBox[{397, 398}]}, 
      {Hue[0.400552594861023, 1, 1], LineBox[{398, 399}]}, 
      {Hue[0.4013360293470951, 1, 1], LineBox[{399, 400}]}, 
      {Hue[0.40207910383090145`, 1, 1], LineBox[{400, 401}]}, 
      {Hue[0.4027828669545046, 1, 1], LineBox[{401, 402}]}, 
      {Hue[0.4034483066769441, 1, 1], LineBox[{402, 403}]}, 
      {Hue[0.40407635226547134`, 1, 1], LineBox[{403, 404}]}, 
      {Hue[0.4046678762102058, 1, 1], LineBox[{404, 405}]}, 
      {Hue[0.4052236960561905, 1, 1], LineBox[{405, 406}]}, 
      {Hue[0.4057445761482957, 1, 1], LineBox[{406, 407}]}, 
      {Hue[0.40623122928563093`, 1, 1], LineBox[{407, 408}]}, 
      {Hue[0.4066843182831306, 1, 1], LineBox[{408, 409}]}, 
      {Hue[0.407104457438783, 1, 1], LineBox[{409, 410}]}, 
      {Hue[0.4074922139056299, 1, 1], LineBox[{410, 411}]}, 
      {Hue[0.4078481089681751, 1, 1], LineBox[{411, 412}]}, 
      {Hue[0.4081726192232428, 1, 1], LineBox[{412, 413}]}, 
      {Hue[0.4084661776656265, 1, 1], LineBox[{413, 414}]}, 
      {Hue[0.4087291746790843, 1, 1], LineBox[{414, 415}]}, 
      {Hue[0.4089619589333858, 1, 1], LineBox[{415, 416}]}, 
      {Hue[0.4091648381882027, 1, 1], LineBox[{416, 417}]}, 
      {Hue[0.40933808000466976`, 1, 1], LineBox[{417, 418}]}, 
      {Hue[0.4094819123654433, 1, 1], LineBox[{418, 419}]}, 
      {Hue[0.4095965242040422, 1, 1], LineBox[{419, 420}]}, 
      {Hue[0.40968206584419165`, 1, 1], LineBox[{420, 421}]}, 
      {Hue[0.40973864934980114`, 1, 1], LineBox[{421, 422}]}, 
      {Hue[0.40976634878610024`, 1, 1], LineBox[{422, 423}]}, 
      {Hue[0.4097652003923342, 1, 1], LineBox[{423, 424}]}, 
      {Hue[0.4097352026662924, 1, 1], LineBox[{424, 425}]}, 
      {Hue[0.40967631636080426`, 1, 1], LineBox[{425, 426}]}, 
      {Hue[0.40958846439219654`, 1, 1], LineBox[{426, 427}]}, 
      {Hue[0.40947153166056616`, 1, 1], LineBox[{427, 428}]}, 
      {Hue[0.4093253647815867, 1, 1], LineBox[{428, 429}]}, 
      {Hue[0.40914977172943473`, 1, 1], LineBox[{429, 430}]}, 
      {Hue[0.4089445213903031, 1, 1], LineBox[{430, 431}]}, 
      {Hue[0.4087093430258638, 1, 1], LineBox[{431, 432}]}, 
      {Hue[0.4084439256459527, 1, 1], LineBox[{432, 433}]}, 
      {Hue[0.40814791728968575`, 1, 1], LineBox[{433, 434}]}, 
      {Hue[0.407820924214181, 1, 1], LineBox[{434, 435}]}, 
      {Hue[0.4074625099900583, 1, 1], LineBox[{435, 436}]}, 
      {Hue[0.40707219450293036`, 1, 1], LineBox[{436, 437}]}, 
      {Hue[0.40664945286019105`, 1, 1], LineBox[{437, 438}]}, 
      {Hue[0.4061937142025564, 1, 1], LineBox[{438, 439}]}, 
      {Hue[0.4057043604200406, 1, 1], LineBox[{439, 440}]}, 
      {Hue[0.40518072477235473`, 1, 1], LineBox[{440, 441}]}, 
      {Hue[0.404622090414123, 1, 1], LineBox[{441, 442}]}, 
      {Hue[0.4040276888258407, 1, 1], LineBox[{442, 443}]}, 
      {Hue[0.4033966981521577, 1, 1], LineBox[{443, 444}]}, 
      {Hue[0.4027282414498978, 1, 1], LineBox[{444, 445}]}, 
      {Hue[0.40202138484924127`, 1, 1], LineBox[{445, 446}]}, 
      {Hue[0.4012751356327288, 1, 1], LineBox[{446, 447}]}, 
      {Hue[0.4004884402382371, 1, 1], LineBox[{447, 448}]}, 
      {Hue[0.39966018219386795`, 1, 1], LineBox[{448, 449}]}, 
      {Hue[0.3987891799948211, 1, 1], LineBox[{449, 450}]}, 
      {Hue[0.3978741849348522, 1, 1], LineBox[{450, 451}]}, 
      {Hue[0.3969138789079031, 1, 1], LineBox[{451, 452}]}, 
      {Hue[0.39590687219900317`, 1, 1], LineBox[{452, 453}]}, 
      {Hue[0.3948517012876449, 1, 1], LineBox[{453, 454}]}, 
      {Hue[0.39374682669162797`, 1, 1], LineBox[{454, 455}]}, 
      {Hue[0.3925906308849229, 1, 1], LineBox[{455, 456}]}, 
      {Hue[0.3913814163295345, 1, 1], LineBox[{456, 457}]}, 
      {Hue[0.39011740366874104`, 1, 1], LineBox[{457, 458}]}, 
      {Hue[0.38879673013756644`, 1, 1], LineBox[{458, 459}]}, 
      {Hue[0.387417448256012, 1, 1], LineBox[{459, 460}]}, 
      {Hue[0.3859775248815479, 1, 1], LineBox[{460, 461}]}, 
      {Hue[0.3844748407097389, 1, 1], LineBox[{461, 462}]}, 
      {Hue[0.3829071903257492, 1, 1], LineBox[{462, 463}]}, 
      {Hue[0.38127228292489324`, 1, 1], LineBox[{463, 464}]}, 
      {Hue[0.3795677438374164, 1, 1], LineBox[{464, 465}]}, 
      {Hue[0.377791117011254, 1, 1], LineBox[{465, 466}]}, 
      {Hue[0.3759398686265481, 1, 1], LineBox[{466, 467}]}, 
      {Hue[0.3740113920369912, 1, 1], LineBox[{467, 468}]}, 
      {Hue[0.37200301425527277`, 1, 1], LineBox[{468, 469}]}, 
      {Hue[0.3699120042225441, 1, 1], LineBox[{469, 470}]}, 
      {Hue[0.36773558312414484`, 1, 1], LineBox[{470, 471}]}, 
      {Hue[0.36547093703490113`, 1, 1], LineBox[{471, 472}]}, 
      {Hue[0.36311523219577185`, 1, 1], LineBox[{472, 473}]}, 
      {Hue[0.36066563323786394`, 1, 1], LineBox[{473, 474}]}, 
      {Hue[0.3581193246777071, 1, 1], LineBox[{474, 475}]}, 
      {Hue[0.3554735360066597, 1, 1], LineBox[{475, 476}]}, 
      {Hue[0.3527255706843198, 1, 1], LineBox[{476, 477}]}, 
      {Hue[0.3498728393173214, 1, 1], LineBox[{477, 478}]}, 
      {Hue[0.34691289725692964`, 1, 1], LineBox[{478, 479}]}, 
      {Hue[0.3438434867771453, 1, 1], LineBox[{479, 480}]}, 
      {Hue[0.3406625838952227, 1, 1], LineBox[{480, 481}]}, 
      {Hue[0.3373684497644846, 1, 1], LineBox[{481, 482}]}, 
      {Hue[0.3339596864016082, 1, 1], LineBox[{482, 483}]}, 
      {Hue[0.33043529630503304`, 1, 1], LineBox[{483, 484}]}, 
      {Hue[0.3267947452776275, 1, 1], LineBox[{484, 485}]}, 
      {Hue[0.3230380274879973, 1, 1], LineBox[{485, 486}]}, 
      {Hue[0.3191657314972592, 1, 1], LineBox[{486, 487}]}, 
      {Hue[0.3151791056528483, 1, 1], LineBox[{487, 488}]}, 
      {Hue[0.31108012092428083`, 1, 1], LineBox[{488, 489}]}, 
      {Hue[0.30687152894962577`, 1, 1], LineBox[{489, 490}]}, 
      {Hue[0.302556912802752, 1, 1], LineBox[{490, 491}]}, 
      {Hue[0.2981407278113425, 1, 1], LineBox[{491, 492}]}, 
      {Hue[0.2936283296872143, 1, 1], LineBox[{492, 493}]}, 
      {Hue[0.2890259873055391, 1, 1], LineBox[{493, 494}]}, 
      {Hue[0.28434087771485395`, 1, 1], LineBox[{494, 495}]}, 
      {Hue[0.2795810613922094, 1, 1], LineBox[{495, 496}]}, 
      {Hue[0.2747554363801939, 1, 1], LineBox[{496, 497}]}, 
      {Hue[0.2698736707395826, 1, 1], LineBox[{497, 498}]}, 
      {Hue[0.26494611368772086`, 1, 1], LineBox[{498, 499}]}, 
      {Hue[0.25998368681347317`, 1, 1], LineBox[{499, 500}]}, 
      {Hue[0.25499775779345213`, 1, 1], LineBox[{500, 501}]}, 
      {Hue[0.25, 1, 1], LineBox[{501, 502}]}, 
      {Hue[0.24500224220654787`, 1, 1], LineBox[{502, 503}]}, 
      {Hue[0.24001631318652636`, 1, 1], LineBox[{503, 504}]}, 
      {Hue[0.23505388631227916`, 1, 1], LineBox[{504, 505}]}, 
      {Hue[0.2301263292604174, 1, 1], LineBox[{505, 506}]}, 
      {Hue[0.2252445636198061, 1, 1], LineBox[{506, 507}]}, 
      {Hue[0.22041893860779022`, 1, 1], LineBox[{507, 508}]}, 
      {Hue[0.21565912228514605`, 1, 1], LineBox[{508, 509}]}, 
      {Hue[0.21097401269446092`, 1, 1], LineBox[{509, 510}]}, 
      {Hue[0.20637167031278572`, 1, 1], LineBox[{510, 511}]}, 
      {Hue[0.20185927218865712`, 1, 1], LineBox[{511, 512}]}, 
      {Hue[0.19744308719724804`, 1, 1], LineBox[{512, 513}]}, 
      {Hue[0.19312847105037426`, 1, 1], LineBox[{513, 514}]}, 
      {Hue[0.18891987907571917`, 1, 1], LineBox[{514, 515}]}, 
      {Hue[0.1848208943471517, 1, 1], LineBox[{515, 516}]}, 
      {Hue[0.18083426850274045`, 1, 1], LineBox[{516, 517}]}, 
      {Hue[0.17696197251200269`, 1, 1], LineBox[{517, 518}]}, 
      {Hue[0.17320525472237253`, 1, 1], LineBox[{518, 519}]}, 
      {Hue[0.16956470369496696`, 1, 1], LineBox[{519, 520}]}, 
      {Hue[0.1660403135983915, 1, 1], LineBox[{520, 521}]}, 
      {Hue[0.16263155023551543`, 1, 1], LineBox[{521, 522}]}, 
      {Hue[0.1593374161047773, 1, 1], LineBox[{522, 523}]}, 
      {Hue[0.15615651322285468`, 1, 1], LineBox[{523, 524}]}, 
      {Hue[0.1530871027430701, 1, 1], LineBox[{524, 525}]}, 
      {Hue[0.15012716068267867`, 1, 1], LineBox[{525, 526}]}, 
      {Hue[0.14727442931568024`, 1, 1], LineBox[{526, 527}]}, 
      {Hue[0.14452646399334027`, 1, 1], LineBox[{527, 528}]}, 
      {Hue[0.14188067532229273`, 1, 1], LineBox[{528, 529}]}, 
      {Hue[0.13933436676213606`, 1, 1], LineBox[{529, 530}]}, 
      {Hue[0.13688476780422817`, 1, 1], LineBox[{530, 531}]}, 
      {Hue[0.1345290629650989, 1, 1], LineBox[{531, 532}]}, 
      {Hue[0.13226441687585494`, 1, 1], LineBox[{532, 533}]}, 
      {Hue[0.13008799577745597`, 1, 1], LineBox[{533, 534}]}, 
      {Hue[0.12799698574472723`, 1, 1], LineBox[{534, 535}]}, 
      {Hue[0.12598860796300887`, 1, 1], LineBox[{535, 536}]}, 
      {Hue[0.12406013137345176`, 1, 1], LineBox[{536, 537}]}, 
      {Hue[0.12220888298874596`, 1, 1], LineBox[{537, 538}]}, 
      {Hue[0.12043225616258356`, 1, 1], LineBox[{538, 539}]}, 
      {Hue[0.11872771707510678`, 1, 1], LineBox[{539, 540}]}, 
      {Hue[0.11709280967425079`, 1, 1], LineBox[{540, 541}]}, 
      {Hue[0.11552515929026094`, 1, 1], LineBox[{541, 542}]}, 
      {Hue[0.11402247511845215`, 1, 1], LineBox[{542, 543}]}, 
      {Hue[0.11258255174398803`, 1, 1], LineBox[{543, 544}]}, 
      {Hue[0.11120326986243356`, 1, 1], LineBox[{544, 545}]}, 
      {Hue[0.10988259633125891`, 1, 1], LineBox[{545, 546}]}, 
      {Hue[0.10861858367046552`, 1, 1], LineBox[{546, 547}]}, 
      {Hue[0.1074093691150771, 1, 1], LineBox[{547, 548}]}, 
      {Hue[0.10625317330837203`, 1, 1], LineBox[{548, 549}]}, 
      {Hue[0.10514829871235498`, 1, 1], LineBox[{549, 550}]}, 
      {Hue[0.1040931278009968, 1, 1], LineBox[{550, 551}]}, 
      {Hue[0.10308612109209696`, 1, 1], LineBox[{551, 552}]}, 
      {Hue[0.10212581506514784`, 1, 1], LineBox[{552, 553}]}, 
      {Hue[0.1012108200051788, 1, 1], LineBox[{553, 554}]}, 
      {Hue[0.10033981780613205`, 1, 1], LineBox[{554, 555}]}, 
      {Hue[0.09951155976176294, 1, 1], LineBox[{555, 556}]}, 
      {Hue[0.09872486436727118, 1, 1], LineBox[{556, 557}]}, 
      {Hue[0.09797861515075862, 1, 1], LineBox[{557, 558}]}, 
      {Hue[0.09727175855010227, 1, 1], LineBox[{558, 559}]}, 
      {Hue[0.09660330184784235, 1, 1], LineBox[{559, 560}]}, 
      {Hue[0.09597231117415929, 1, 1], LineBox[{560, 561}]}, 
      {Hue[0.09537790958587701, 1, 1], LineBox[{561, 562}]}, 
      {Hue[0.0948192752276453, 1, 1], LineBox[{562, 563}]}, 
      {Hue[0.09429563957995939, 1, 1], LineBox[{563, 564}]}, 
      {Hue[0.09380628579744363, 1, 1], LineBox[{564, 565}]}, 
      {Hue[0.09335054713980892, 1, 1], LineBox[{565, 566}]}, 
      {Hue[0.09292780549706957, 1, 1], LineBox[{566, 567}]}, 
      {Hue[0.09253749000994174, 1, 1], LineBox[{567, 568}]}, 
      {Hue[0.09217907578581903, 1, 1], LineBox[{568, 569}]}, 
      {Hue[0.09185208271031428, 1, 1], LineBox[{569, 570}]}, 
      {Hue[0.09155607435404725, 1, 1], LineBox[{570, 571}]}, 
      {Hue[0.09129065697413616, 1, 1], LineBox[{571, 572}]}, 
      {Hue[0.09105547860969695, 1, 1], LineBox[{572, 573}]}, 
      {Hue[0.09085022827056533, 1, 1], LineBox[{573, 574}]}, 
      {Hue[0.09067463521841328, 1, 1], LineBox[{574, 575}]}, 
      {Hue[0.09052846833943386, 1, 1], LineBox[{575, 576}]}, 
      {Hue[0.0904115356078035, 1, 1], LineBox[{576, 577}]}, 
      {Hue[0.09032368363919577, 1, 1], LineBox[{577, 578}]}, 
      {Hue[0.09026479733370765, 1, 1], LineBox[{578, 579}]}, 
      {Hue[0.09023479960766582, 1, 1], LineBox[{579, 580}]}, 
      {Hue[0.09023365121389974, 1, 1], LineBox[{580, 581}]}, 
      {Hue[0.09026135065019884, 1, 1], LineBox[{581, 582}]}, 
      {Hue[0.09031793415580841, 1, 1], LineBox[{582, 583}]}, 
      {Hue[0.09040347579595784, 1, 1], LineBox[{583, 584}]}, 
      {Hue[0.09051808763455671, 1, 1], LineBox[{584, 585}]}, 
      {Hue[0.0906619199953303, 1, 1], LineBox[{585, 586}]}, 
      {Hue[0.09083516181179734, 1, 1], LineBox[{586, 587}]}, 
      {Hue[0.09103804106661419, 1, 1], LineBox[{587, 588}]}, 
      {Hue[0.09127082532091571, 1, 1], LineBox[{588, 589}]}, 
      {Hue[0.09153382233437349, 1, 1], LineBox[{589, 590}]}, 
      {Hue[0.09182738077675719, 1, 1], LineBox[{590, 591}]}, 
      {Hue[0.09215189103182497, 1, 1], LineBox[{591, 592}]}, 
      {Hue[0.09250778609437008, 1, 1], LineBox[{592, 593}]}, 
      {Hue[0.09289554256121696, 1, 1], LineBox[{593, 594}]}, 
      {Hue[0.09331568171686941, 1, 1], LineBox[{594, 595}]}, 
      {Hue[0.09376877071436909, 1, 1], LineBox[{595, 596}]}, 
      {Hue[0.09425542385170431, 1, 1], LineBox[{596, 597}]}, 
      {Hue[0.09477630394380945, 1, 1], LineBox[{597, 598}]}, 
      {Hue[0.09533212378979423, 1, 1], LineBox[{598, 599}]}, 
      {Hue[0.0959236477345287, 1, 1], LineBox[{599, 600}]}, 
      {Hue[0.09655169332305595, 1, 1], LineBox[{600, 601}]}, 
      {Hue[0.09721713304549541, 1, 1], LineBox[{601, 602}]}, 
      {Hue[0.09792089616909852, 1, 1], LineBox[{602, 603}]}, 
      {Hue[0.09866397065290494, 1, 1], LineBox[{603, 604}]}, 
      {Hue[0.09944740513897704, 1, 1], LineBox[{604, 605}]}, 
      {Hue[0.10027231101242819`, 1, 1], LineBox[{605, 606}]}, 
      {Hue[0.10113986452035546`, 1, 1], LineBox[{606, 607}]}, 
      {Hue[0.10205130893729414`, 1, 1], LineBox[{607, 608}]}, 
      {Hue[0.10300795676186128`, 1, 1], LineBox[{608, 609}]}, 
      {Hue[0.10401119192579301`, 1, 1], LineBox[{609, 610}]}, 
      {Hue[0.10506247199252004`, 1, 1], LineBox[{610, 611}]}, 
      {Hue[0.10616333031769733`, 1, 1], LineBox[{611, 612}]}, 
      {Hue[0.10731537813860864`, 1, 1], LineBox[{612, 613}]}, 
      {Hue[0.10852030655301394`, 1, 1], LineBox[{613, 614}]}, 
      {Hue[0.10977988834068858`, 1, 1], LineBox[{614, 615}]}, 
      {Hue[0.11109597957251591`, 1, 1], LineBox[{615, 616}]}, 
      {Hue[0.11247052094242196`, 1, 1], LineBox[{616, 617}]}, 
      {Hue[0.1139055387465779, 1, 1], LineBox[{617, 618}]}, 
      {Hue[0.11540314542203223`, 1, 1], LineBox[{618, 619}]}, 
      {Hue[0.11696553954319186`, 1, 1], LineBox[{619, 620}]}, 
      {Hue[0.1185950051592677, 1, 1], LineBox[{620, 621}]}, 
      {Hue[0.12029391033891654`, 1, 1], LineBox[{621, 622}]}, 
      {Hue[0.12206470476986518`, 1, 1], LineBox[{622, 623}]}, 
      {Hue[0.12390991624137798`, 1, 1], LineBox[{623, 624}]}, 
      {Hue[0.12583214581623814`, 1, 1], LineBox[{624, 625}]}, 
      {Hue[0.1278340614767536, 1, 1], LineBox[{625, 626}]}, 
      {Hue[0.12991839000668118`, 1, 1], LineBox[{626, 627}]}, 
      {Hue[0.13208790684856403`, 1, 1], LineBox[{627, 628}]}, 
      {Hue[0.13434542365478308`, 1, 1], LineBox[{628, 629}]}, 
      {Hue[0.13669377323187623`, 1, 1], LineBox[{629, 630}]}, 
      {Hue[0.13913579156304676`, 1, 1], LineBox[{630, 631}]}, 
      {Hue[0.14167429658529898`, 1, 1], LineBox[{631, 632}]}, 
      {Hue[0.1443120633978587, 1, 1], LineBox[{632, 633}]}, 
      {Hue[0.1470517955904467, 1, 1], LineBox[{633, 634}]}, 
      {Hue[0.14989609240710206`, 1, 1], LineBox[{634, 635}]}, 
      {Hue[0.15284741150750505`, 1, 1], LineBox[{635, 636}]}, 
      {Hue[0.15590802715741112`, 1, 1], LineBox[{636, 637}]}, 
      {Hue[0.15907998377720747`, 1, 1], LineBox[{637, 638}]}, 
      {Hue[0.1623650449069375, 1, 1], LineBox[{638, 639}]}, 
      {Hue[0.16576463781088568`, 1, 1], LineBox[{639, 640}]}, 
      {Hue[0.1692797941473075, 1, 1], LineBox[{640, 641}]}, 
      {Hue[0.17291108736941907`, 1, 1], LineBox[{641, 642}]}, 
      {Hue[0.17665856779990746`, 1, 1], LineBox[{642, 643}]}, 
      {Hue[0.18052169662681145`, 1, 1], LineBox[{643, 644}]}, 
      {Hue[0.18449928039300711`, 1, 1], LineBox[{644, 645}]}, 
      {Hue[0.18858940787878894`, 1, 1], LineBox[{645, 646}]}, 
      {Hue[0.19278939158576827`, 1, 1], LineBox[{646, 647}]}, 
      {Hue[0.1970957162938749, 1, 1], LineBox[{647, 648}]}, 
      {Hue[0.2015039973507787, 1, 1], LineBox[{648, 649}]}, 
      {Hue[0.2060089514316073, 1, 1], LineBox[{649, 650}]}, 
      {Hue[0.21060438244426793`, 1, 1], LineBox[{650, 651}]}, 
      {Hue[0.21528318502474542`, 1, 1], LineBox[{651, 652}]}, 
      {Hue[0.2200373676494826, 1, 1], LineBox[{652, 653}]}, 
      {Hue[0.2248580967844022, 1, 1], LineBox[{653, 654}]}, 
      {Hue[0.22973576270598123`, 1, 1], LineBox[{654, 655}]}, 
      {Hue[0.234660066702778, 1, 1], LineBox[{655, 656}]}, 
      {Hue[0.23962012834935453`, 1, 1], LineBox[{656, 657}]}, 
      {Hue[0.24460461050883225`, 1, 1], LineBox[{657, 658}]}, 
      {Hue[0.24960185874604135`, 1, 1], LineBox[{658, 659}]}, 
      {Hue[0.25460005100322186`, 1, 1], LineBox[{659, 660}]}, 
      {Hue[0.2595873527794301, 1, 1], LineBox[{660, 661}]}, 
      {Hue[0.2645520727207614, 1, 1], LineBox[{661, 662}]}, 
      {Hue[0.2694828135033719, 1, 1], LineBox[{662, 663}]}, 
      {Hue[0.27436861317757194`, 1, 1], LineBox[{663, 664}]}, 
      {Hue[0.2791990727112367, 1, 1], LineBox[{664, 665}]}, 
      {Hue[0.2839644662705708, 1, 1], LineBox[{665, 666}]}, 
      {Hue[0.2886558317330062, 1, 1], LineBox[{666, 667}]}, 
      {Hue[0.29326503995852515`, 1, 1], LineBox[{667, 668}]}, 
      {Hue[0.29778484237025704`, 1, 1], LineBox[{668, 669}]}, 
      {Hue[0.3022088973405367, 1, 1], LineBox[{669, 670}]}, 
      {Hue[0.3065317766882842, 1, 1], LineBox[{670, 671}]}, 
      {Hue[0.3107489542306672, 1, 1], LineBox[{671, 672}]}, 
      {Hue[0.31485677877972856`, 1, 1], LineBox[{672, 673}]}, 
      {Hue[0.31885243423437515`, 1, 1], LineBox[{673, 674}]}, 
      {Hue[0.3227338895058733, 1, 1], LineBox[{674, 675}]}, 
      {Hue[0.3264998409568379, 1, 1], LineBox[{675, 676}]}, 
      {Hue[0.3301496498612987, 1, 1], LineBox[{676, 677}]}, 
      {Hue[0.3336832771398179, 1, 1], LineBox[{677, 678}]}, 
      {Hue[0.3371012173201974, 1, 1], LineBox[{678, 679}]}, 
      {Hue[0.34040443334841713`, 1, 1], LineBox[{679, 680}]}, 
      {Hue[0.34359429354841786`, 1, 1], LineBox[{680, 681}]}, 
      {Hue[0.34667251171989366`, 1, 1], LineBox[{681, 682}]}, 
      {Hue[0.34964109108192515`, 1, 1], LineBox[{682, 683}]}, 
      {Hue[0.3525022725238161, 1, 1], LineBox[{683, 684}]}, 
      {Hue[0.3552584874159237, 1, 1], LineBox[{684, 685}]}, 
      {Hue[0.3579123150626076, 1, 1], LineBox[{685, 686}]}, 
      {Hue[0.3604664447446762, 1, 1], LineBox[{686, 687}]}, 
      {Hue[0.36292364219647844`, 1, 1], LineBox[{687, 688}]}, 
      {Hue[0.36528672028901343`, 1, 1], LineBox[{688, 689}]}, 
      {Hue[0.3675585136407253, 1, 1], LineBox[{689, 690}]}, 
      {Hue[0.3697418568477629, 1, 1], LineBox[{690, 691}]}, 
      {Hue[0.37183956601138585`, 1, 1], LineBox[{691, 692}]}, 
      {Hue[0.3738544232383413, 1, 1], LineBox[{692, 693}]}, 
      {Hue[0.3757891637973037, 1, 1], LineBox[{693, 694}]}, 
      {Hue[0.3776464656282834, 1, 1], LineBox[{694, 695}]}, 
      {Hue[0.3794289409201123, 1, 1], LineBox[{695, 696}]}, 
      {Hue[0.3811391294920206, 1, 1], LineBox[{696, 697}]}, 
      {Hue[0.3827794937375929, 1, 1], LineBox[{697, 698}]}, 
      {Hue[0.3843524149120281, 1, 1], LineBox[{698, 699}]}, 
      {Hue[0.385860190565898, 1, 1], LineBox[{699, 700}]}, 
      {Hue[0.38730503294996915`, 1, 1], LineBox[{700, 701}]}, 
      {Hue[0.3886890682357987, 1, 1], LineBox[{701, 702}]}, 
      {Hue[0.39001433641549577`, 1, 1], LineBox[{702, 703}]}, 
      {Hue[0.39128279176118663`, 1, 1], LineBox[{703, 704}]}, 
      {Hue[0.3924963037402669, 1, 1], LineBox[{704, 705}]}, 
      {Hue[0.3936566582965189, 1, 1], LineBox[{705, 706}]}, 
      {Hue[0.3947655594196596, 1, 1], LineBox[{706, 707}]}, 
      {Hue[0.39582463093696935`, 1, 1], LineBox[{707, 708}]}, 
      {Hue[0.39683541847041853`, 1, 1], LineBox[{708, 709}]}, 
      {Hue[0.3977993915112822, 1, 1], LineBox[{709, 710}]}, 
      {Hue[0.39871794557170975`, 1, 1], LineBox[{710, 711}]}, 
      {Hue[0.3995924043792208, 1, 1], LineBox[{711, 712}]}, 
      {Hue[0.4004240220857197, 1, 1], LineBox[{712, 713}]}, 
      {Hue[0.4012139854674696, 1, 1], LineBox[{713, 714}]}, 
      {Hue[0.4019634160966237, 1, 1], LineBox[{714, 715}]}, 
      {Hue[0.40267337246846663`, 1, 1], LineBox[{715, 716}]}, 
      {Hue[0.40334485207154597`, 1, 1], LineBox[{716, 717}]}, 
      {Hue[0.4039787933904346, 1, 1], LineBox[{717, 718}]}, 
      {Hue[0.40457607783302807`, 1, 1], LineBox[{718, 719}]}, 
      {Hue[0.4051375315760956, 1, 1], LineBox[{719, 720}]}, 
      {Hue[0.40566392732431555`, 1, 1], LineBox[{720, 721}]}, 
      {Hue[0.40615598597928, 1, 1], LineBox[{721, 722}]}, 
      {Hue[0.4066143782159855, 1, 1], LineBox[{722, 723}]}, 
      {Hue[0.4070397259651638, 1, 1], LineBox[{723, 724}]}, 
      {Hue[0.40743260380048346`, 1, 1], LineBox[{724, 725}]}, 
      {Hue[0.40779354023018966`, 1, 1], LineBox[{725, 726}]}, 
      {Hue[0.40812301889316455`, 1, 1], LineBox[{726, 727}]}, 
      {Hue[0.40842147965970677`, 1, 1], LineBox[{727, 728}]}, 
      {Hue[0.4086893196375572, 1, 1], LineBox[{728, 729}]}, 
      {Hue[0.4089268940838584, 1, 1], LineBox[{729, 730}]}, 
      {Hue[0.40913451722382566`, 1, 1], LineBox[{730, 731}]}, 
      {Hue[0.40931246297695767`, 1, 1], LineBox[{731, 732}]}, 
      {Hue[0.4094609655916141, 1, 1], LineBox[{732, 733}]}, 
      {Hue[0.4095802201887543, 1, 1], LineBox[{733, 734}]}, 
      {Hue[0.40967038321556987`, 1, 1], LineBox[{734, 735}]}, 
      {Hue[0.40973157280965783`, 1, 1], LineBox[{735, 736}]}, 
      {Hue[0.40976386907427487`, 1, 1], LineBox[{736, 737}]}, 
      {Hue[0.4097673142650973, 1, 1], LineBox[{737, 738}]}, 
      {Hue[0.4097419128887791, 1, 1], LineBox[{738, 739}]}, 
      {Hue[0.40968763171346423`, 1, 1], LineBox[{739, 740}]}, 
      {Hue[0.4096043996912722, 1, 1], LineBox[{740, 741}]}, 
      {Hue[0.4094921077926311, 1, 1], LineBox[{741, 742}]}, 
      {Hue[0.4093506087521979, 1, 1], LineBox[{742, 743}]}, 
      {Hue[0.40917971672597286`, 1, 1], LineBox[{743, 744}]}, 
      {Hue[0.4089792068590938, 1, 1], LineBox[{744, 745}]}, 
      {Hue[0.4087488147636875, 1, 1], LineBox[{745, 746}]}, 
      {Hue[0.4084882359060634, 1, 1], LineBox[{746, 747}]}, 
      {Hue[0.4081971249024685, 1, 1], LineBox[{747, 748}]}, 
      {Hue[0.40787509472258066`, 1, 1], LineBox[{748, 749}]}, 
      {Hue[0.4075217157999094, 1, 1], LineBox[{749, 750}]}, 
      {Hue[0.40713651504830894`, 1, 1], LineBox[{750, 751}]}, 
      {Hue[0.40671897478388985`, 1, 1], LineBox[{751, 752}]}, 
      {Hue[0.4062685315517588, 1, 1], LineBox[{752, 753}]}, 
      {Hue[0.4057845748572241, 1, 1], LineBox[{753, 754}]}, 
      {Hue[0.4052664458014015, 1, 1], LineBox[{754, 755}]}, 
      {Hue[0.4047134356215437, 1, 1], LineBox[{755, 756}]}, 
      {Hue[0.4041247841369232, 1, 1], LineBox[{756, 757}]}, 
      {Hue[0.40349967810173687`, 1, 1], LineBox[{757, 758}]}, 
      {Hue[0.4028372494673021, 1, 1], LineBox[{758, 759}]}, 
      {Hue[0.40213657355679083`, 1, 1], LineBox[{759, 760}]}, 
      {Hue[0.4013966671569524, 1, 1], LineBox[{760, 761}]}, 
      {Hue[0.4006164865327162, 1, 1], LineBox[{761, 762}]}, 
      {Hue[0.3997949253723106, 1, 1], LineBox[{762, 763}]}, 
      {Hue[0.3989308126726016, 1, 1], LineBox[{763, 764}]}, 
      {Hue[0.39802291057682393`, 1, 1], LineBox[{764, 765}]}, 
      {Hue[0.39706991217978066`, 1, 1], LineBox[{765, 766}]}, 
      {Hue[0.3960704393190141, 1, 1], LineBox[{766, 767}]}, 
      {Hue[0.3950230403744523, 1, 1], LineBox[{767, 768}]}, 
      {Hue[0.3939261881037157, 1, 1], LineBox[{768, 769}]}, 
      {Hue[0.3927782775456926, 1, 1], LineBox[{769, 770}]}, 
      {Hue[0.3915776240312785, 1, 1], LineBox[{770, 771}]}, 
      {Hue[0.39032246134740683`, 1, 1], LineBox[{771, 772}]}, 
      {Hue[0.3890109401088014, 1, 1], LineBox[{772, 773}]}, 
      {Hue[0.38764112640135273`, 1, 1], LineBox[{773, 774}]}, 
      {Hue[0.3862110007717797, 1, 1], LineBox[{774, 775}]}, 
      {Hue[0.38471845765038143`, 1, 1], LineBox[{775, 776}]}, 
      {Hue[0.3831613053073117, 1, 1], LineBox[{776, 777}]}, 
      {Hue[0.3815372664579834, 1, 1], LineBox[{777, 778}]}, 
      {Hue[0.37984397964996813`, 1, 1], LineBox[{778, 779}]}, 
      {Hue[0.3780790015820822, 1, 1], LineBox[{779, 780}]}, 
      {Hue[0.3762398105261576, 1, 1], LineBox[{780, 781}]}, 
      {Hue[0.3743238110431041, 1, 1], LineBox[{781, 782}]}, 
      {Hue[0.37232834020695776`, 1, 1], LineBox[{782, 783}]}, 
      {Hue[0.3702506755732251, 1, 1], LineBox[{783, 784}]}, 
      {Hue[0.36808804515026455`, 1, 1], LineBox[{784, 785}]}, 
      {Hue[0.3658376396537971, 1, 1], LineBox[{785, 786}]}, 
      {Hue[0.36349662734361776`, 1, 1], LineBox[{786, 787}]}, 
      {Hue[0.3610621717566253, 1, 1], LineBox[{787, 788}]}, 
      {Hue[0.35853145265932884`, 1, 1], LineBox[{788, 789}]}, 
      {Hue[0.3559016905435864, 1, 1], LineBox[{789, 790}]}, 
      {Hue[0.35317017497845665`, 1, 1], LineBox[{790, 791}]}, 
      {Hue[0.35033429710528197`, 1, 1], LineBox[{791, 792}]}, 
      {Hue[0.34739158651852614`, 1, 1], LineBox[{792, 793}]}, 
      {Hue[0.3443397527072723, 1, 1], LineBox[{793, 794}]}, 
      {Hue[0.341176731137236, 1, 1], LineBox[{794, 795}]}, 
      {Hue[0.337900733926512, 1, 1], LineBox[{795, 796}]}, 
      {Hue[0.3345103049064355, 1, 1], LineBox[{796, 797}]}, 
      {Hue[0.33100437865951315`, 1, 1], LineBox[{797, 798}]}, 
      {Hue[0.3273823428888128, 1, 1], LineBox[{798, 799}]}, 
      {Hue[0.3236441031997362, 1, 1], LineBox[{799, 800}]}, 
      {Hue[0.31979014907151404`, 1, 1], LineBox[{800, 801}]}, 
      {Hue[0.31582161947237253`, 1, 1], LineBox[{801, 802}]}, 
      {Hue[0.311740366244582, 1, 1], LineBox[{802, 803}]}, 
      {Hue[0.3075490130744722, 1, 1], LineBox[{803, 804}]}, 
      {Hue[0.30325100759426465`, 1, 1], LineBox[{804, 805}]}, 
      {Hue[0.2988506639677756, 1, 1], LineBox[{805, 806}]}, 
      {Hue[0.29435319322361203`, 1, 1], LineBox[{806, 807}]}, 
      {Hue[0.289764718649698, 1, 1], LineBox[{807, 808}]}, 
      {Hue[0.28509227377972146`, 1, 1], LineBox[{808, 809}]}, 
      {Hue[0.2803437809041249, 1, 1], LineBox[{809, 810}]}, 
      {Hue[0.2755280086309337, 1, 1], LineBox[{810, 811}]}, 
      {Hue[0.27065450779275485`, 1, 1], LineBox[{811, 812}]}, 
      {Hue[0.2657335259136293, 1, 1], LineBox[{812, 813}]}, 
      {Hue[0.26077590146112783`, 1, 1], LineBox[{813, 814}]}, 
      {Hue[0.2557929401461357, 1, 1], LineBox[{814, 815}]}, 
      {Hue[0.2507962765149805, 1, 1], LineBox[{815, 816}]}, 
      {Hue[0.24579772492300683`, 1, 1], LineBox[{816, 817}]}, 
      {Hue[0.24080912460930698`, 1, 1], LineBox[{817, 818}]}, 
      {Hue[0.23584218394998716`, 1, 1], LineBox[{818, 819}]}, 
      {Hue[0.23090832901755357`, 1, 1], LineBox[{819, 820}]}, 
      {Hue[0.22601856131189288`, 1, 1], LineBox[{820, 821}]}, 
      {Hue[0.22118332897925852`, 1, 1], LineBox[{821, 822}]}, 
      {Hue[0.2164124150517172, 1, 1], LineBox[{822, 823}]}, 
      {Hue[0.2117148452923127, 1, 1], LineBox[{823, 824}]}, 
      {Hue[0.20709881720257367`, 1, 1], LineBox[{824, 825}]}, 
      {Hue[0.20257165072107905`, 1, 1], LineBox[{825, 826}]}, 
      {Hue[0.1981397601878183, 1, 1], LineBox[{826, 827}]}, 
      {Hue[0.19380864632700245`, 1, 1], LineBox[{827, 828}]}, 
      {Hue[0.18958290634925357`, 1, 1], LineBox[{828, 829}]}, 
      {Hue[0.18546625981113685`, 1, 1], LineBox[{829, 830}]}, 
      {Hue[0.18146158759572487`, 1, 1], LineBox[{830, 831}]}, 
      {Hue[0.1775709812773081, 1, 1], LineBox[{831, 832}]}, 
      {Hue[0.17379580018099575`, 1, 1], LineBox[{832, 833}]}, 
      {Hue[0.17013673361250628`, 1, 1], LineBox[{833, 834}]}, 
      {Hue[0.16659386598174125`, 1, 1], LineBox[{834, 835}]}, 
      {Hue[0.1631667428442974, 1, 1], LineBox[{835, 836}]}, 
      {Hue[0.15985443621005277`, 1, 1], LineBox[{836, 837}]}, 
      {Hue[0.15665560779468002`, 1, 1], LineBox[{837, 838}]}, 
      {Hue[0.15356856920118103`, 1, 1], LineBox[{838, 839}]}, 
      {Hue[0.15059133830243193`, 1, 1], LineBox[{839, 840}]}, 
      {Hue[0.14772169134510757`, 1, 1], LineBox[{840, 841}]}, 
      {Hue[0.14495721050700522`, 1, 1], LineBox[{841, 842}]}, 
      {Hue[0.1422953268133908, 1, 1], LineBox[{842, 843}]}, 
      {Hue[0.13973335845550908`, 1, 1], LineBox[{843, 844}]}, 
      {Hue[0.13726854465906446`, 1, 1], LineBox[{844, 845}]}, 
      {Hue[0.13489807532636885`, 1, 1], LineBox[{845, 846}]}, 
      {Hue[0.13261911672730686`, 1, 1], LineBox[{846, 847}]}, 
      {Hue[0.13042883354559187`, 1, 1], LineBox[{847, 848}]}, 
      {Hue[0.1283244076020012, 1, 1], LineBox[{848, 849}]}, 
      {Hue[0.12630305357898672`, 1, 1], LineBox[{849, 850}]}, 
      {Hue[0.12436203206442331`, 1, 1], LineBox[{850, 851}]}, 
      {Hue[0.12249866021887212`, 1, 1], LineBox[{851, 852}]}, 
      {Hue[0.12071032035282003`, 1, 1], LineBox[{852, 853}]}, 
      {Hue[0.11899446667961121`, 1, 1], LineBox[{853, 854}]}, 
      {Hue[0.1173486304875822, 1, 1], LineBox[{854, 855}]}, 
      {Hue[0.1157704239522707, 1, 1], LineBox[{855, 856}]}, 
      {Hue[0.11425754278725386`, 1, 1], LineBox[{856, 857}]}, 
      {Hue[0.11280776791070425`, 1, 1], LineBox[{857, 858}]}, 
      {Hue[0.11141896628451631`, 1, 1], LineBox[{858, 859}]}, 
      {Hue[0.11008909106403345`, 1, 1], LineBox[{859, 860}]}, 
      {Hue[0.10881618117915089`, 1, 1], LineBox[{860, 861}]}, 
      {Hue[0.10759836045188853`, 1, 1], LineBox[{861, 862}]}, 
      {Hue[0.10643383634141594`, 1, 1], LineBox[{862, 863}]}, 
      {Hue[0.10532089839490304`, 1, 1], LineBox[{863, 864}]}, 
      {Hue[0.10425791647138313`, 1, 1], LineBox[{864, 865}]}, 
      {Hue[0.10324333879593817`, 1, 1], LineBox[{865, 866}]}, 
      {Hue[0.1022756898928642, 1, 1], LineBox[{866, 867}]}, 
      {Hue[0.10135356843890214`, 1, 1], LineBox[{867, 868}]}, 
      {Hue[0.10047564507105025`, 1, 1], LineBox[{868, 869}]}, 
      {Hue[0.09964066017778309, 1, 1], LineBox[{869, 870}]}, 
      {Hue[0.09884742169759587, 1, 1], LineBox[{870, 871}]}, 
      {Hue[0.09809480294458432, 1, 1], LineBox[{871, 872}]}, 
      {Hue[0.09738174047716955, 1, 1], LineBox[{872, 873}]}, 
      {Hue[0.09670723202301132, 1, 1], LineBox[{873, 874}]}, 
      {Hue[0.09607033447055863, 1, 1], LineBox[{874, 875}]}, 
      {Hue[0.09547016193549047, 1, 1], LineBox[{875, 876}]}, 
      {Hue[0.09490588390846226, 1, 1], LineBox[{876, 877}]}, 
      {Hue[0.09437672348903718, 1, 1], LineBox[{877, 878}]}, 
      {Hue[0.09388195570940842, 1, 1], LineBox[{878, 879}]}, 
      {Hue[0.09342090595047157, 1, 1], LineBox[{879, 880}]}, 
      {Hue[0.09299294845195198, 1, 1], LineBox[{880, 881}]}, 
      {Hue[0.09259750491760563, 1, 1], LineBox[{881, 882}]}, 
      {Hue[0.09223404321596386, 1, 1], LineBox[{882, 883}]}, 
      {Hue[0.09190207617666941, 1, 1], LineBox[{883, 884}]}, 
      {Hue[0.09160116048212635, 1, 1], LineBox[{884, 885}]}, 
      {Hue[0.09133089565395162, 1, 1], LineBox[{885, 886}]}, 
      {Hue[0.09109092313355337, 1, 1], LineBox[{886, 887}]}, 
      {Hue[0.09088092545606051, 1, 1], LineBox[{887, 888}]}, 
      {Hue[0.0907006255167799, 1, 1], LineBox[{888, 889}]}, 
      {Hue[0.09054978592935166, 1, 1], LineBox[{889, 890}]}, 
      {Hue[0.09042820847480434, 1, 1], LineBox[{890, 891}]}, 
      {Hue[0.0903357336407719, 1, 1], LineBox[{891, 892}]}, 
      {Hue[0.09027224025021832, 1, 1], LineBox[{892, 893}]}, 
      {Hue[0.09023764517911921, 1, 1], LineBox[{893, 894}]}, 
      {Hue[0.09023190316266748, 1, 1], LineBox[{894, 895}]}, 
      {Hue[0.0902550066896995, 1, 1], LineBox[{895, 896}]}, 
      {Hue[0.09030698598517319, 1, 1], LineBox[{896, 897}]}, 
      {Hue[0.09038790908067054, 1, 1], LineBox[{897, 898}]}, 
      {Hue[0.0904978819730369, 1, 1], LineBox[{898, 899}]}, 
      {Hue[0.09063704887140724, 1, 1], LineBox[{899, 900}]}, 
      {Hue[0.09080559253300266, 1, 1], LineBox[{900, 901}]}, 
      {Hue[0.09100373468820175, 1, 1], LineBox[{901, 902}]}, 
      {Hue[0.09123173655550187, 1, 1], LineBox[{902, 903}]}, 
      {Hue[0.09148989944707818, 1, 1], LineBox[{903, 904}]}, 
      {Hue[0.09177856546571717, 1, 1], LineBox[{904, 905}]}, 
      {Hue[0.09209811829394607, 1, 1], LineBox[{905, 906}]}, 
      {Hue[0.0924489840761887, 1, 1], LineBox[{906, 907}]}, 
      {Hue[0.09283163239474859, 1, 1], LineBox[{907, 908}]}, 
      {Hue[0.09324657734034036, 1, 1], LineBox[{908, 909}]}, 
      {Hue[0.09369437867775515, 1, 1], LineBox[{909, 910}]}, 
      {Hue[0.09417564310704028, 1, 1], LineBox[{910, 911}]}, 
      {Hue[0.09469102562028656, 1, 1], LineBox[{911, 912}]}, 
      {Hue[0.09524123095373464, 1, 1], LineBox[{912, 913}]}, 
      {Hue[0.09582701513441601, 1, 1], LineBox[{913, 914}]}, 
      {Hue[0.0964491871199148, 1, 1], LineBox[{914, 915}]}, 
      {Hue[0.09710861052905455, 1, 1], LineBox[{915, 916}]}, 
      {Hue[0.0978062054603436, 1, 1], LineBox[{916, 917}]}, 
      {Hue[0.0985429503938382, 1, 1], LineBox[{917, 918}]}, 
      {Hue[0.09931988417065232, 1, 1], LineBox[{918, 919}]}, 
      {Hue[0.1001381080426326, 1, 1], LineBox[{919, 920}]}, 
      {Hue[0.10099878778266937`, 1, 1], LineBox[{920, 921}]}, 
      {Hue[0.10190315584368605`, 1, 1], LineBox[{921, 922}]}, 
      {Hue[0.10285251355147729`, 1, 1], LineBox[{922, 923}]}, 
      {Hue[0.10384823331319051`, 1, 1], LineBox[{923, 924}]}, 
      {Hue[0.10489176081928282`, 1, 1], LineBox[{924, 925}]}, 
      {Hue[0.10598461721217321`, 1, 1], LineBox[{925, 926}]}, 
      {Hue[0.10712840118943952`, 1, 1], LineBox[{926, 927}]}, 
      {Hue[0.1083247910032021, 1, 1], LineBox[{927, 928}]}, 
      {Hue[0.10957554631017771`, 1, 1], LineBox[{928, 929}]}, 
      {Hue[0.11088250981867752`, 1, 1], LineBox[{929, 930}]}, 
      {Hue[0.11224760866944647`, 1, 1], LineBox[{930, 931}]}, 
      {Hue[0.11367285547658848`, 1, 1], LineBox[{931, 932}]}, 
      {Hue[0.11516034894279525`, 1, 1], LineBox[{932, 933}]}, 
      {Hue[0.11671227394958258`, 1, 1], LineBox[{933, 934}]}, 
      {Hue[0.11833090100819785`, 1, 1], LineBox[{934, 935}]}, 
      {Hue[0.120018584940224, 1, 1], LineBox[{935, 936}]}, 
      {Hue[0.12177776263870398`, 1, 1], LineBox[{936, 937}]}, 
      {Hue[0.12361094974091508`, 1, 1], LineBox[{937, 938}]}, 
      {Hue[0.1255207360229105, 1, 1], LineBox[{938, 939}]}, 
      {Hue[0.1275097793039142, 1, 1], LineBox[{939, 940}]}, 
      {Hue[0.12958079762607283`, 1, 1], LineBox[{940, 941}]}, 
      {Hue[0.13173655945257284`, 1, 1], LineBox[{941, 942}]}, 
      {Hue[0.13397987160567226`, 1, 1], LineBox[{942, 943}]}, 
      {Hue[0.1363135646469606, 1, 1], LineBox[{943, 944}]}, 
      {Hue[0.13874047538674164`, 1, 1], LineBox[{944, 945}]}, 
      {Hue[0.14126342619982135`, 1, 1], LineBox[{945, 946}]}, 
      {Hue[0.14388520082362136`, 1, 1], LineBox[{946, 947}]}, 
      {Hue[0.14660851632436717`, 1, 1], LineBox[{947, 948}]}, 
      {Hue[0.14943599094155588`, 1, 1], LineBox[{948, 949}]}, 
      {Hue[0.15237010756382763`, 1, 1], LineBox[{949, 950}]}, 
      {Hue[0.15541317265501586`, 1, 1], LineBox[{950, 951}]}, 
      {Hue[0.1585672705418412, 1, 1], LineBox[{951, 952}]}, 
      {Hue[0.16183421309869955`, 1, 1], LineBox[{952, 953}]}, 
      {Hue[0.16521548502391786`, 1, 1], LineBox[{953, 954}]}, 
      {Hue[0.16871218509824049`, 1, 1], LineBox[{954, 955}]}, 
      {Hue[0.17232496405087, 1, 1], LineBox[{955, 956}]}, 
      {Hue[0.17605395992915393`, 1, 1], LineBox[{956, 957}]}, 
      {Hue[0.1798987321695189, 1, 1], LineBox[{957, 958}]}, 
      {Hue[0.18385819588953822`, 1, 1], LineBox[{958, 959}]}, 
      {Hue[0.18793055824913352`, 1, 1], LineBox[{959, 960}]}, 
      {Hue[0.19211325904223855`, 1, 1], LineBox[{960, 961}]}, 
      {Hue[0.19640291795298284`, 1, 1], LineBox[{961, 962}]}, 
      {Hue[0.20079529111228667`, 1, 1], LineBox[{962, 963}]}, 
      {Hue[0.20528523968888038`, 1, 1], LineBox[{963, 964}]}, 
      {Hue[0.20986671321067435`, 1, 1], LineBox[{964, 965}]}, 
      {Hue[0.21453275010979153`, 1, 1], LineBox[{965, 966}]}, 
      {Hue[0.21927549759764664`, 1, 1], LineBox[{966, 967}]}, 
      {Hue[0.22408625239880867`, 1, 1], LineBox[{967, 968}]}, 
      {Hue[0.2289555231146245, 1, 1], LineBox[{968, 969}]}, 
      {Hue[0.2338731140802318, 1, 1], LineBox[{969, 970}]}, 
      {Hue[0.2388282295720667, 1, 1], LineBox[{970, 971}]}, 
      {Hue[0.24380959618509931`, 1, 1], LineBox[{971, 972}]}, 
      {Hue[0.24880560020936812`, 1, 1], LineBox[{972, 973}]}, 
      {Hue[0.2538044359770707, 1, 1], LineBox[{973, 974}]}, 
      {Hue[0.25879426050132737`, 1, 1], LineBox[{974, 975}]}, 
      {Hue[0.26376334934674606`, 1, 1], LineBox[{975, 976}]}, 
      {Hue[0.26870024859662023`, 1, 1], LineBox[{976, 977}]}, 
      {Hue[0.2735939180193801, 1, 1], LineBox[{977, 978}]}, 
      {Hue[0.27843386106472123`, 1, 1], LineBox[{978, 979}]}, 
      {Hue[0.2832102380875089, 1, 1], LineBox[{979, 980}]}, 
      {Hue[0.2879139601346885, 1, 1], LineBox[{980, 981}]}, 
      {Hue[0.2925367616556229, 1, 1], LineBox[{981, 982}]}, 
      {Hue[0.2970712515271431, 1, 1], LineBox[{982, 983}]}, 
      {Hue[0.3015109427467643, 1, 1], LineBox[{983, 984}]}, 
      {Hue[0.3058502619818296, 1, 1], LineBox[{984, 985}]}, 
      {Hue[0.31008454082854503`, 1, 1], LineBox[{985, 986}]}, 
      {Hue[0.3142099911131005, 1, 1], LineBox[{986, 987}]}, 
      {Hue[0.3182236668559824, 1, 1], LineBox[{987, 988}]}, 
      {Hue[0.3221234156341803, 1, 1], LineBox[{988, 989}]}, 
      {Hue[0.3259078220390367, 1, 1], LineBox[{989, 990}]}, 
      {Hue[0.3295761457710746, 1, 1], LineBox[{990, 991}]}, 
      {Hue[0.3331282566702682, 1, 1], LineBox[{991, 992}]}, 
      {Hue[0.3365645686827832, 1, 1], LineBox[{992, 993}]}, 
      {Hue[0.33988597444125196`, 1, 1], LineBox[{993, 994}]}, 
      {Hue[0.34309378180837524`, 1, 1], LineBox[{994, 995}]}, 
      {Hue[0.3461896534206631, 1, 1], LineBox[{995, 996}]}, 
      {Hue[0.3491755499827375, 1, 1], LineBox[{996, 997}]}, 
      {Hue[0.3520536778103168, 1, 1], LineBox[{997, 998}]}, 
      {Hue[0.3548264409053272, 1, 1], LineBox[{998, 999}]}, 
      {Hue[0.35749639766996494`, 1, 1], LineBox[{999, 1000}]}, 
      {Hue[0.3600662222262793, 1, 1], LineBox[{1000, 1001}]}}}},
   VertexColors->{
     Hue[0.1374613297993138, 1, 1], 
     Hue[0.13993377777372068`, 1, 1], 
     Hue[0.14250360233003503`, 1, 1], 
     Hue[0.14517355909467305`, 1, 1], 
     Hue[0.1479463221896834, 1, 1], 
     Hue[0.15082445001726277`, 1, 1], 
     Hue[0.15381034657933665`, 1, 1], 
     Hue[0.15690621819162476`, 1, 1], 
     Hue[0.1601140255587481, 1, 1], 
     Hue[0.1634354313172168, 1, 1], 
     Hue[0.16687174332973181`, 1, 1], 
     Hue[0.17042385422892578`, 1, 1], 
     Hue[0.17409217796096368`, 1, 1], 
     Hue[0.17787658436582005`, 1, 1], 
     Hue[0.18177633314401723`, 1, 1], 
     Hue[0.18579000888689953`, 1, 1], 
     Hue[0.18991545917145497`, 1, 1], 
     Hue[0.19414973801817045`, 1, 1], 
     Hue[0.19848905725323568`, 1, 1], 
     Hue[0.20292874847285733`, 1, 1], 
     Hue[0.20746323834437747`, 1, 1], 
     Hue[0.21208603986531188`, 1, 1], 
     Hue[0.2167897619124907, 1, 1], 
     Hue[0.22156613893527877`, 1, 1], 
     Hue[0.2264060819806199, 1, 1], 
     Hue[0.23129975140337977`, 1, 1], 
     Hue[0.23623665065325397`, 1, 1], 
     Hue[0.24120573949867266`, 1, 1], 
     Hue[0.2461955640229298, 1, 1], 
     Hue[0.25119439979063235`, 1, 1], 
     Hue[0.2561904038149011, 1, 1], 
     Hue[0.2611717704279329, 1, 1], 
     Hue[0.26612688591976824`, 1, 1], 
     Hue[0.27104447688537553`, 1, 1], 
     Hue[0.27591374760119136`, 1, 1], 
     Hue[0.28072450240235336`, 1, 1], 
     Hue[0.2854672498902089, 1, 1], 
     Hue[0.29013328678932604`, 1, 1], 
     Hue[0.29471476031112004`, 1, 1], 
     Hue[0.29920470888771294`, 1, 1], 
     Hue[0.3035970820470172, 1, 1], 
     Hue[0.3078867409577615, 1, 1], 
     Hue[0.3120694417508665, 1, 1], 
     Hue[0.3161418041104618, 1, 1], 
     Hue[0.3201012678304815, 1, 1], 
     Hue[0.32394604007084643`, 1, 1], 
     Hue[0.32767503594913033`, 1, 1], 
     Hue[0.33128781490175924`, 1, 1], 
     Hue[0.33478451497608214`, 1, 1], 
     Hue[0.33816578690130045`, 1, 1], 
     Hue[0.34143272945815883`, 1, 1], 
     Hue[0.3445868273449842, 1, 1], 
     Hue[0.34762989243617237`, 1, 1], 
     Hue[0.35056400905844437`, 1, 1], 
     Hue[0.3533914836756331, 1, 1], 
     Hue[0.3561147991763789, 1, 1], 
     Hue[0.35873657380017865`, 1, 1], 
     Hue[0.3612595246132584, 1, 1], 
     Hue[0.3636864353530394, 1, 1], 
     Hue[0.36602012839432774`, 1, 1], 
     Hue[0.36826344054742716`, 1, 1], 
     Hue[0.3704192023739274, 1, 1], 
     Hue[0.372490220696086, 1, 1], 
     Hue[0.37447926397708964`, 1, 1], 
     Hue[0.3763890502590848, 1, 1], 
     Hue[0.37822223736129607`, 1, 1], 
     Hue[0.379981415059776, 1, 1], 
     Hue[0.3816690989918021, 1, 1], 
     Hue[0.38328772605041744`, 1, 1], 
     Hue[0.3848396510572049, 1, 1], 
     Hue[0.38632714452341166`, 1, 1], 
     Hue[0.38775239133055367`, 1, 1], 
     Hue[0.38911749018132236`, 1, 1], 
     Hue[0.39042445368982226`, 1, 1], 
     Hue[0.3916752089967979, 1, 1], 
     Hue[0.3928715988105605, 1, 1], 
     Hue[0.3940153827878268, 1, 1], 
     Hue[0.3951082391807172, 1, 1], 
     Hue[0.3961517666868096, 1, 1], 
     Hue[0.39714748644852277`, 1, 1], 
     Hue[0.398096844156314, 1, 1], 
     Hue[0.39900121221733065`, 1, 1], 
     Hue[0.39986189195736743`, 1, 1], 
     Hue[0.4006801158293477, 1, 1], 
     Hue[0.4014570496061618, 1, 1], 
     Hue[0.40219379453965637`, 1, 1], 
     Hue[0.4028913894709455, 1, 1], 
     Hue[0.40355081288008526`, 1, 1], 
     Hue[0.40417298486558406`, 1, 1], 
     Hue[0.40475876904626534`, 1, 1], 
     Hue[0.4053089743797134, 1, 1], 
     Hue[0.40582435689295976`, 1, 1], 
     Hue[0.40630562132224485`, 1, 1], 
     Hue[0.40675342265965964`, 1, 1], 
     Hue[0.40716836760525144`, 1, 1], 
     Hue[0.4075510159238113, 1, 1], 
     Hue[0.407901881706054, 1, 1], 
     Hue[0.40822143453428283`, 1, 1], 
     Hue[0.4085101005529218, 1, 1], 
     Hue[0.4087682634444981, 1, 1], 
     Hue[0.4089962653117982, 1, 1], 
     Hue[0.40919440746699737`, 1, 1], 
     Hue[0.4093629511285927, 1, 1], 
     Hue[0.4095021180269631, 1, 1], 
     Hue[0.40961209091932943`, 1, 1], 
     Hue[0.40969301401482683`, 1, 1], 
     Hue[0.4097449933103005, 1, 1], 
     Hue[0.40976809683733256`, 1, 1], 
     Hue[0.40976235482088086`, 1, 1], 
     Hue[0.40972775974978165`, 1, 1], 
     Hue[0.40966426635922815`, 1, 1], 
     Hue[0.4095717915251957, 1, 1], 
     Hue[0.40945021407064836`, 1, 1], 
     Hue[0.40929937448322007`, 1, 1], 
     Hue[0.4091190745439395, 1, 1], 
     Hue[0.4089090768664466, 1, 1], 
     Hue[0.40866910434604836`, 1, 1], 
     Hue[0.40839883951787365`, 1, 1], 
     Hue[0.40809792382333065`, 1, 1], 
     Hue[0.40776595678403615`, 1, 1], 
     Hue[0.40740249508239434`, 1, 1], 
     Hue[0.407007051548048, 1, 1], 
     Hue[0.40657909404952847`, 1, 1], 
     Hue[0.40611804429059156`, 1, 1], 
     Hue[0.40562327651096286`, 1, 1], 
     Hue[0.4050941160915378, 1, 1], 
     Hue[0.4045298380645096, 1, 1], 
     Hue[0.4039296655294414, 1, 1], 
     Hue[0.4032927679769886, 1, 1], 
     Hue[0.40261825952283037`, 1, 1], 
     Hue[0.4019051970554156, 1, 1], 
     Hue[0.40115257830240414`, 1, 1], 
     Hue[0.4003593398222169, 1, 1], 
     Hue[0.3995243549289498, 1, 1], 
     Hue[0.3986464315610978, 1, 1], 
     Hue[0.3977243101071357, 1, 1], 
     Hue[0.3967566612040617, 1, 1], 
     Hue[0.3957420835286168, 1, 1], 
     Hue[0.39467910160509684`, 1, 1], 
     Hue[0.3935661636585841, 1, 1], 
     Hue[0.3924016395481114, 1, 1], 
     Hue[0.39118381882084907`, 1, 1], 
     Hue[0.3899109089359666, 1, 1], 
     Hue[0.38858103371548375`, 1, 1], 
     Hue[0.38719223208929565`, 1, 1], 
     Hue[0.385742457212746, 1, 1], 
     Hue[0.38422957604772917`, 1, 1], 
     Hue[0.38265136951241796`, 1, 1], 
     Hue[0.38100553332038883`, 1, 1], 
     Hue[0.37928967964717997`, 1, 1], 
     Hue[0.3775013397811279, 1, 1], 
     Hue[0.37563796793557663`, 1, 1], 
     Hue[0.37369694642101325`, 1, 1], 
     Hue[0.37167559239799863`, 1, 1], 
     Hue[0.3695711664544079, 1, 1], 
     Hue[0.36738088327269336`, 1, 1], 
     Hue[0.3651019246736313, 1, 1], 
     Hue[0.3627314553409355, 1, 1], 
     Hue[0.36026664154449095`, 1, 1], 
     Hue[0.3577046731866092, 1, 1], 
     Hue[0.3550427894929947, 1, 1], 
     Hue[0.3522783086548922, 1, 1], 
     Hue[0.34940866169756785`, 1, 1], 
     Hue[0.34643143079881866`, 1, 1], 
     Hue[0.34334439220532015`, 1, 1], 
     Hue[0.3401455637899473, 1, 1], 
     Hue[0.3368332571557026, 1, 1], 
     Hue[0.33340613401825875`, 1, 1], 
     Hue[0.32986326638749375`, 1, 1], 
     Hue[0.3262041998190041, 1, 1], 
     Hue[0.32242901872269153`, 1, 1], 
     Hue[0.3185384124042748, 1, 1], 
     Hue[0.31453374018886354`, 1, 1], 
     Hue[0.3104170936507466, 1, 1], 
     Hue[0.30619135367299755`, 1, 1], 
     Hue[0.30186023981218174`, 1, 1], 
     Hue[0.297428349278921, 1, 1], 
     Hue[0.29290118279742616`, 1, 1], 
     Hue[0.2882851547076869, 1, 1], 
     Hue[0.28358758494828235`, 1, 1], 
     Hue[0.2788166710207419, 1, 1], 
     Hue[0.2739814386881073, 1, 1], 
     Hue[0.26909167098244646`, 1, 1], 
     Hue[0.2641578160500129, 1, 1], 
     Hue[0.259190875390693, 1, 1], 
     Hue[0.25420227507699295`, 1, 1], 
     Hue[0.24920372348501907`, 1, 1], 
     Hue[0.2442070598538639, 1, 1], 
     Hue[0.23922409853887175`, 1, 1], 
     Hue[0.23426647408637097`, 1, 1], 
     Hue[0.22934549220724518`, 1, 1], 
     Hue[0.22447199136906631`, 1, 1], 
     Hue[0.21965621909587515`, 1, 1], 
     Hue[0.21490772622027857`, 1, 1], 
     Hue[0.2102352813503018, 1, 1], 
     Hue[0.20564680677638758`, 1, 1], 
     Hue[0.201149336032224, 1, 1], 
     Hue[0.1967489924057357, 1, 1], 
     Hue[0.19245098692552798`, 1, 1], 
     Hue[0.18825963375541802`, 1, 1], 
     Hue[0.18417838052762747`, 1, 1], 
     Hue[0.1802098509284858, 1, 1], 
     Hue[0.17635589680026367`, 1, 1], 
     Hue[0.17261765711118718`, 1, 1], 
     Hue[0.16899562134048687`, 1, 1], 
     Hue[0.16548969509356448`, 1, 1], 
     Hue[0.1620992660734879, 1, 1], 
     Hue[0.15882326886276385`, 1, 1], 
     Hue[0.1556602472927277, 1, 1], 
     Hue[0.15260841348147391`, 1, 1], 
     Hue[0.1496657028947179, 1, 1], 
     Hue[0.1468298250215432, 1, 1], 
     Hue[0.14409830945641364`, 1, 1], 
     Hue[0.14146854734067116`, 1, 1], 
     Hue[0.13893782824337458`, 1, 1], 
     Hue[0.13650337265638213`, 1, 1], 
     Hue[0.13416236034620294`, 1, 1], 
     Hue[0.13191195484973545`, 1, 1], 
     Hue[0.12974932442677484`, 1, 1], 
     Hue[0.12767165979304215`, 1, 1], 
     Hue[0.12567618895689592`, 1, 1], 
     Hue[0.12376018947384236`, 1, 1], 
     Hue[0.1219209984179177, 1, 1], 
     Hue[0.1201560203500318, 1, 1], 
     Hue[0.11846273354201657`, 1, 1], 
     Hue[0.1168386946926883, 1, 1], 
     Hue[0.11528154234961846`, 1, 1], 
     Hue[0.11378899922822022`, 1, 1], 
     Hue[0.11235887359864724`, 1, 1], 
     Hue[0.11098905989119863`, 1, 1], 
     Hue[0.10967753865259308`, 1, 1], 
     Hue[0.10842237596872145`, 1, 1], 
     Hue[0.10722172245430746`, 1, 1], 
     Hue[0.10607381189628436`, 1, 1], 
     Hue[0.10497695962554773`, 1, 1], 
     Hue[0.1039295606809859, 1, 1], 
     Hue[0.10293008782021933`, 1, 1], 
     Hue[0.10197708942317613`, 1, 1], 
     Hue[0.10106918732739838`, 1, 1], 
     Hue[0.10020507462768936`, 1, 1], 
     Hue[0.09938351346728382, 1, 1], 
     Hue[0.09860333284304766, 1, 1], 
     Hue[0.09786342644320914, 1, 1], 
     Hue[0.09716275053269788, 1, 1], 
     Hue[0.09650032189826309, 1, 1], 
     Hue[0.09587521586307685, 1, 1], 
     Hue[0.09528656437845633, 1, 1], 
     Hue[0.09473355419859857, 1, 1], 
     Hue[0.09421542514277592, 1, 1], 
     Hue[0.09373146844824119, 1, 1], 
     Hue[0.09328102521611016, 1, 1], 
     Hue[0.0928634849516911, 1, 1], 
     Hue[0.09247828420009056, 1, 1], 
     Hue[0.09212490527741932, 1, 1], 
     Hue[0.0918028750975315, 1, 1], 
     Hue[0.0915117640939366, 1, 1], 
     Hue[0.09125118523631245, 1, 1], 
     Hue[0.09102079314090619, 1, 1], 
     Hue[0.09082028327402719, 1, 1], 
     Hue[0.09064939124780211, 1, 1], 
     Hue[0.09050789220736889, 1, 1], 
     Hue[0.09039560030872781, 1, 1], 
     Hue[0.09031236828653581, 1, 1], 
     Hue[0.09025808711122092, 1, 1], 
     Hue[0.09023268573490266, 1, 1], 
     Hue[0.09023613092572517, 1, 1], 
     Hue[0.0902684271903422, 1, 1], 
     Hue[0.09032961678443013, 1, 1], 
     Hue[0.09041977981124574, 1, 1], 
     Hue[0.09053903440838593, 1, 1], 
     Hue[0.09068753702304234, 1, 1], 
     Hue[0.09086548277617436, 1, 1], 
     Hue[0.0910731059161416, 1, 1], 
     Hue[0.0913106803624428, 1, 1], 
     Hue[0.0915785203402933, 1, 1], 
     Hue[0.09187698110683541, 1, 1], 
     Hue[0.09220645976981037, 1, 1], 
     Hue[0.0925673961995166, 1, 1], 
     Hue[0.09296027403483624, 1, 1], 
     Hue[0.0933856217840145, 1, 1], 
     Hue[0.09384401402072005, 1, 1], 
     Hue[0.09433607267568449, 1, 1], 
     Hue[0.09486246842390439, 1, 1], 
     Hue[0.09542392216697197, 1, 1], 
     Hue[0.09602120660956545, 1, 1], 
     Hue[0.09665514792845407, 1, 1], 
     Hue[0.0973266275315334, 1, 1], 
     Hue[0.0980365839033763, 1, 1], 
     Hue[0.09878601453253036, 1, 1], 
     Hue[0.0995759779142804, 1, 1], 
     Hue[0.10040759562077928`, 1, 1], 
     Hue[0.10128205442829027`, 1, 1], 
     Hue[0.10220060848871781`, 1, 1], 
     Hue[0.10316458152958152`, 1, 1], 
     Hue[0.10417536906303075`, 1, 1], 
     Hue[0.10523444058034044`, 1, 1], 
     Hue[0.10634334170348113`, 1, 1], 
     Hue[0.10750369625973318`, 1, 1], 
     Hue[0.10871720823881346`, 1, 1], 
     Hue[0.10998566358450426`, 1, 1], 
     Hue[0.11131093176420129`, 1, 1], 
     Hue[0.1126949670500309, 1, 1], 
     Hue[0.11413980943410211`, 1, 1], 
     Hue[0.11564758508797188`, 1, 1], 
     Hue[0.11722050626240711`, 1, 1], 
     Hue[0.11886087050797946`, 1, 1], 
     Hue[0.12057105907988777`, 1, 1], 
     Hue[0.12235353437171666`, 1, 1], 
     Hue[0.1242108362026963, 1, 1], 
     Hue[0.1261455767616587, 1, 1], 
     Hue[0.12816043398861424`, 1, 1], 
     Hue[0.13025814315223724`, 1, 1], 
     Hue[0.13244148635927475`, 1, 1], 
     Hue[0.13471327971098657`, 1, 1], 
     Hue[0.1370763578035217, 1, 1], 
     Hue[0.13953355525532396`, 1, 1], 
     Hue[0.1420876849373924, 1, 1], 
     Hue[0.14474151258407625`, 1, 1], 
     Hue[0.14749772747618398`, 1, 1], 
     Hue[0.15035890891807496`, 1, 1], 
     Hue[0.15332748828010634`, 1, 1], 
     Hue[0.15640570645158214`, 1, 1], 
     Hue[0.15959556665158303`, 1, 1], 
     Hue[0.1628987826798028, 1, 1], 
     Hue[0.16631672286018212`, 1, 1], 
     Hue[0.16985035013870134`, 1, 1], 
     Hue[0.17350015904316224`, 1, 1], 
     Hue[0.17726611049412686`, 1, 1], 
     Hue[0.1811475657656249, 1, 1], 
     Hue[0.18514322122027146`, 1, 1], 
     Hue[0.18925104576933302`, 1, 1], 
     Hue[0.193468223311716, 1, 1], 
     Hue[0.19779110265946334`, 1, 1], 
     Hue[0.20221515762974296`, 1, 1], 
     Hue[0.20673496004147482`, 1, 1], 
     Hue[0.21134416826699404`, 1, 1], 
     Hue[0.21603553372942938`, 1, 1], 
     Hue[0.22080092728876333`, 1, 1], 
     Hue[0.2256313868224281, 1, 1], 
     Hue[0.23051718649662833`, 1, 1], 
     Hue[0.23544792727923883`, 1, 1], 
     Hue[0.2404126472205699, 1, 1], 
     Hue[0.24539994899677817`, 1, 1], 
     Hue[0.2503981412539589, 1, 1], 
     Hue[0.25539538949116797`, 1, 1], 
     Hue[0.26037987165064547`, 1, 1], 
     Hue[0.265339933297222, 1, 1], 
     Hue[0.270264237294019, 1, 1], 
     Hue[0.275141903215598, 1, 1], 
     Hue[0.27996263235051744`, 1, 1], 
     Hue[0.2847168149752546, 1, 1], 
     Hue[0.2893956175557323, 1, 1], 
     Hue[0.2939910485683929, 1, 1], 
     Hue[0.2984960026492213, 1, 1], 
     Hue[0.3029042837061251, 1, 1], 
     Hue[0.3072106084142319, 1, 1], 
     Hue[0.31141059212121125`, 1, 1], 
     Hue[0.3155007196069929, 1, 1], 
     Hue[0.31947830337318855`, 1, 1], 
     Hue[0.32334143220009254`, 1, 1], 
     Hue[0.32708891263058115`, 1, 1], 
     Hue[0.33072020585269263`, 1, 1], 
     Hue[0.3342353621891143, 1, 1], 
     Hue[0.3376349550930625, 1, 1], 
     Hue[0.34092001622279267`, 1, 1], 
     Hue[0.344091972842589, 1, 1], 
     Hue[0.347152588492495, 1, 1], 
     Hue[0.35010390759289794`, 1, 1], 
     Hue[0.35294820440955343`, 1, 1], 
     Hue[0.3556879366021414, 1, 1], 
     Hue[0.35832570341470105`, 1, 1], 
     Hue[0.36086420843695327`, 1, 1], 
     Hue[0.3633062267681239, 1, 1], 
     Hue[0.36565457634521703`, 1, 1], 
     Hue[0.36791209315143597`, 1, 1], 
     Hue[0.3700816099933188, 1, 1], 
     Hue[0.3721659385232465, 1, 1], 
     Hue[0.37416785418376197`, 1, 1], 
     Hue[0.376090083758622, 1, 1], 
     Hue[0.37793529523013486`, 1, 1], 
     Hue[0.37970608966108355`, 1, 1], 
     Hue[0.3814049948407324, 1, 1], 
     Hue[0.38303446045680817`, 1, 1], 
     Hue[0.3845968545779678, 1, 1], 
     Hue[0.3860944612534221, 1, 1], 
     Hue[0.38752947905757806`, 1, 1], 
     Hue[0.3889040204274842, 1, 1], 
     Hue[0.3902201116593114, 1, 1], 
     Hue[0.3914796934469861, 1, 1], 
     Hue[0.3926846218613914, 1, 1], 
     Hue[0.39383666968230274`, 1, 1], 
     Hue[0.39493752800747994`, 1, 1], 
     Hue[0.395988808074207, 1, 1], 
     Hue[0.39699204323813875`, 1, 1], 
     Hue[0.39794869106270586`, 1, 1], 
     Hue[0.39886013547964455`, 1, 1], 
     Hue[0.3997276889875718, 1, 1], 
     Hue[0.400552594861023, 1, 1], 
     Hue[0.4013360293470951, 1, 1], 
     Hue[0.40207910383090145`, 1, 1], 
     Hue[0.4027828669545046, 1, 1], 
     Hue[0.4034483066769441, 1, 1], 
     Hue[0.40407635226547134`, 1, 1], 
     Hue[0.4046678762102058, 1, 1], 
     Hue[0.4052236960561905, 1, 1], 
     Hue[0.4057445761482957, 1, 1], 
     Hue[0.40623122928563093`, 1, 1], 
     Hue[0.4066843182831306, 1, 1], 
     Hue[0.407104457438783, 1, 1], 
     Hue[0.4074922139056299, 1, 1], 
     Hue[0.4078481089681751, 1, 1], 
     Hue[0.4081726192232428, 1, 1], 
     Hue[0.4084661776656265, 1, 1], 
     Hue[0.4087291746790843, 1, 1], 
     Hue[0.4089619589333858, 1, 1], 
     Hue[0.4091648381882027, 1, 1], 
     Hue[0.40933808000466976`, 1, 1], 
     Hue[0.4094819123654433, 1, 1], 
     Hue[0.4095965242040422, 1, 1], 
     Hue[0.40968206584419165`, 1, 1], 
     Hue[0.40973864934980114`, 1, 1], 
     Hue[0.40976634878610024`, 1, 1], 
     Hue[0.4097652003923342, 1, 1], 
     Hue[0.4097352026662924, 1, 1], 
     Hue[0.40967631636080426`, 1, 1], 
     Hue[0.40958846439219654`, 1, 1], 
     Hue[0.40947153166056616`, 1, 1], 
     Hue[0.4093253647815867, 1, 1], 
     Hue[0.40914977172943473`, 1, 1], 
     Hue[0.4089445213903031, 1, 1], 
     Hue[0.4087093430258638, 1, 1], 
     Hue[0.4084439256459527, 1, 1], 
     Hue[0.40814791728968575`, 1, 1], 
     Hue[0.407820924214181, 1, 1], 
     Hue[0.4074625099900583, 1, 1], 
     Hue[0.40707219450293036`, 1, 1], 
     Hue[0.40664945286019105`, 1, 1], 
     Hue[0.4061937142025564, 1, 1], 
     Hue[0.4057043604200406, 1, 1], 
     Hue[0.40518072477235473`, 1, 1], 
     Hue[0.404622090414123, 1, 1], 
     Hue[0.4040276888258407, 1, 1], 
     Hue[0.4033966981521577, 1, 1], 
     Hue[0.4027282414498978, 1, 1], 
     Hue[0.40202138484924127`, 1, 1], 
     Hue[0.4012751356327288, 1, 1], 
     Hue[0.4004884402382371, 1, 1], 
     Hue[0.39966018219386795`, 1, 1], 
     Hue[0.3987891799948211, 1, 1], 
     Hue[0.3978741849348522, 1, 1], 
     Hue[0.3969138789079031, 1, 1], 
     Hue[0.39590687219900317`, 1, 1], 
     Hue[0.3948517012876449, 1, 1], 
     Hue[0.39374682669162797`, 1, 1], 
     Hue[0.3925906308849229, 1, 1], 
     Hue[0.3913814163295345, 1, 1], 
     Hue[0.39011740366874104`, 1, 1], 
     Hue[0.38879673013756644`, 1, 1], 
     Hue[0.387417448256012, 1, 1], 
     Hue[0.3859775248815479, 1, 1], 
     Hue[0.3844748407097389, 1, 1], 
     Hue[0.3829071903257492, 1, 1], 
     Hue[0.38127228292489324`, 1, 1], 
     Hue[0.3795677438374164, 1, 1], 
     Hue[0.377791117011254, 1, 1], 
     Hue[0.3759398686265481, 1, 1], 
     Hue[0.3740113920369912, 1, 1], 
     Hue[0.37200301425527277`, 1, 1], 
     Hue[0.3699120042225441, 1, 1], 
     Hue[0.36773558312414484`, 1, 1], 
     Hue[0.36547093703490113`, 1, 1], 
     Hue[0.36311523219577185`, 1, 1], 
     Hue[0.36066563323786394`, 1, 1], 
     Hue[0.3581193246777071, 1, 1], 
     Hue[0.3554735360066597, 1, 1], 
     Hue[0.3527255706843198, 1, 1], 
     Hue[0.3498728393173214, 1, 1], 
     Hue[0.34691289725692964`, 1, 1], 
     Hue[0.3438434867771453, 1, 1], 
     Hue[0.3406625838952227, 1, 1], 
     Hue[0.3373684497644846, 1, 1], 
     Hue[0.3339596864016082, 1, 1], 
     Hue[0.33043529630503304`, 1, 1], 
     Hue[0.3267947452776275, 1, 1], 
     Hue[0.3230380274879973, 1, 1], 
     Hue[0.3191657314972592, 1, 1], 
     Hue[0.3151791056528483, 1, 1], 
     Hue[0.31108012092428083`, 1, 1], 
     Hue[0.30687152894962577`, 1, 1], 
     Hue[0.302556912802752, 1, 1], 
     Hue[0.2981407278113425, 1, 1], 
     Hue[0.2936283296872143, 1, 1], 
     Hue[0.2890259873055391, 1, 1], 
     Hue[0.28434087771485395`, 1, 1], 
     Hue[0.2795810613922094, 1, 1], 
     Hue[0.2747554363801939, 1, 1], 
     Hue[0.2698736707395826, 1, 1], 
     Hue[0.26494611368772086`, 1, 1], 
     Hue[0.25998368681347317`, 1, 1], 
     Hue[0.25499775779345213`, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.24500224220654787`, 1, 1], 
     Hue[0.24001631318652636`, 1, 1], 
     Hue[0.23505388631227916`, 1, 1], 
     Hue[0.2301263292604174, 1, 1], 
     Hue[0.2252445636198061, 1, 1], 
     Hue[0.22041893860779022`, 1, 1], 
     Hue[0.21565912228514605`, 1, 1], 
     Hue[0.21097401269446092`, 1, 1], 
     Hue[0.20637167031278572`, 1, 1], 
     Hue[0.20185927218865712`, 1, 1], 
     Hue[0.19744308719724804`, 1, 1], 
     Hue[0.19312847105037426`, 1, 1], 
     Hue[0.18891987907571917`, 1, 1], 
     Hue[0.1848208943471517, 1, 1], 
     Hue[0.18083426850274045`, 1, 1], 
     Hue[0.17696197251200269`, 1, 1], 
     Hue[0.17320525472237253`, 1, 1], 
     Hue[0.16956470369496696`, 1, 1], 
     Hue[0.1660403135983915, 1, 1], 
     Hue[0.16263155023551543`, 1, 1], 
     Hue[0.1593374161047773, 1, 1], 
     Hue[0.15615651322285468`, 1, 1], 
     Hue[0.1530871027430701, 1, 1], 
     Hue[0.15012716068267867`, 1, 1], 
     Hue[0.14727442931568024`, 1, 1], 
     Hue[0.14452646399334027`, 1, 1], 
     Hue[0.14188067532229273`, 1, 1], 
     Hue[0.13933436676213606`, 1, 1], 
     Hue[0.13688476780422817`, 1, 1], 
     Hue[0.1345290629650989, 1, 1], 
     Hue[0.13226441687585494`, 1, 1], 
     Hue[0.13008799577745597`, 1, 1], 
     Hue[0.12799698574472723`, 1, 1], 
     Hue[0.12598860796300887`, 1, 1], 
     Hue[0.12406013137345176`, 1, 1], 
     Hue[0.12220888298874596`, 1, 1], 
     Hue[0.12043225616258356`, 1, 1], 
     Hue[0.11872771707510678`, 1, 1], 
     Hue[0.11709280967425079`, 1, 1], 
     Hue[0.11552515929026094`, 1, 1], 
     Hue[0.11402247511845215`, 1, 1], 
     Hue[0.11258255174398803`, 1, 1], 
     Hue[0.11120326986243356`, 1, 1], 
     Hue[0.10988259633125891`, 1, 1], 
     Hue[0.10861858367046552`, 1, 1], 
     Hue[0.1074093691150771, 1, 1], 
     Hue[0.10625317330837203`, 1, 1], 
     Hue[0.10514829871235498`, 1, 1], 
     Hue[0.1040931278009968, 1, 1], 
     Hue[0.10308612109209696`, 1, 1], 
     Hue[0.10212581506514784`, 1, 1], 
     Hue[0.1012108200051788, 1, 1], 
     Hue[0.10033981780613205`, 1, 1], 
     Hue[0.09951155976176294, 1, 1], 
     Hue[0.09872486436727118, 1, 1], 
     Hue[0.09797861515075862, 1, 1], 
     Hue[0.09727175855010227, 1, 1], 
     Hue[0.09660330184784235, 1, 1], 
     Hue[0.09597231117415929, 1, 1], 
     Hue[0.09537790958587701, 1, 1], 
     Hue[0.0948192752276453, 1, 1], 
     Hue[0.09429563957995939, 1, 1], 
     Hue[0.09380628579744363, 1, 1], 
     Hue[0.09335054713980892, 1, 1], 
     Hue[0.09292780549706957, 1, 1], 
     Hue[0.09253749000994174, 1, 1], 
     Hue[0.09217907578581903, 1, 1], 
     Hue[0.09185208271031428, 1, 1], 
     Hue[0.09155607435404725, 1, 1], 
     Hue[0.09129065697413616, 1, 1], 
     Hue[0.09105547860969695, 1, 1], 
     Hue[0.09085022827056533, 1, 1], 
     Hue[0.09067463521841328, 1, 1], 
     Hue[0.09052846833943386, 1, 1], 
     Hue[0.0904115356078035, 1, 1], 
     Hue[0.09032368363919577, 1, 1], 
     Hue[0.09026479733370765, 1, 1], 
     Hue[0.09023479960766582, 1, 1], 
     Hue[0.09023365121389974, 1, 1], 
     Hue[0.09026135065019884, 1, 1], 
     Hue[0.09031793415580841, 1, 1], 
     Hue[0.09040347579595784, 1, 1], 
     Hue[0.09051808763455671, 1, 1], 
     Hue[0.0906619199953303, 1, 1], 
     Hue[0.09083516181179734, 1, 1], 
     Hue[0.09103804106661419, 1, 1], 
     Hue[0.09127082532091571, 1, 1], 
     Hue[0.09153382233437349, 1, 1], 
     Hue[0.09182738077675719, 1, 1], 
     Hue[0.09215189103182497, 1, 1], 
     Hue[0.09250778609437008, 1, 1], 
     Hue[0.09289554256121696, 1, 1], 
     Hue[0.09331568171686941, 1, 1], 
     Hue[0.09376877071436909, 1, 1], 
     Hue[0.09425542385170431, 1, 1], 
     Hue[0.09477630394380945, 1, 1], 
     Hue[0.09533212378979423, 1, 1], 
     Hue[0.0959236477345287, 1, 1], 
     Hue[0.09655169332305595, 1, 1], 
     Hue[0.09721713304549541, 1, 1], 
     Hue[0.09792089616909852, 1, 1], 
     Hue[0.09866397065290494, 1, 1], 
     Hue[0.09944740513897704, 1, 1], 
     Hue[0.10027231101242819`, 1, 1], 
     Hue[0.10113986452035546`, 1, 1], 
     Hue[0.10205130893729414`, 1, 1], 
     Hue[0.10300795676186128`, 1, 1], 
     Hue[0.10401119192579301`, 1, 1], 
     Hue[0.10506247199252004`, 1, 1], 
     Hue[0.10616333031769733`, 1, 1], 
     Hue[0.10731537813860864`, 1, 1], 
     Hue[0.10852030655301394`, 1, 1], 
     Hue[0.10977988834068858`, 1, 1], 
     Hue[0.11109597957251591`, 1, 1], 
     Hue[0.11247052094242196`, 1, 1], 
     Hue[0.1139055387465779, 1, 1], 
     Hue[0.11540314542203223`, 1, 1], 
     Hue[0.11696553954319186`, 1, 1], 
     Hue[0.1185950051592677, 1, 1], 
     Hue[0.12029391033891654`, 1, 1], 
     Hue[0.12206470476986518`, 1, 1], 
     Hue[0.12390991624137798`, 1, 1], 
     Hue[0.12583214581623814`, 1, 1], 
     Hue[0.1278340614767536, 1, 1], 
     Hue[0.12991839000668118`, 1, 1], 
     Hue[0.13208790684856403`, 1, 1], 
     Hue[0.13434542365478308`, 1, 1], 
     Hue[0.13669377323187623`, 1, 1], 
     Hue[0.13913579156304676`, 1, 1], 
     Hue[0.14167429658529898`, 1, 1], 
     Hue[0.1443120633978587, 1, 1], 
     Hue[0.1470517955904467, 1, 1], 
     Hue[0.14989609240710206`, 1, 1], 
     Hue[0.15284741150750505`, 1, 1], 
     Hue[0.15590802715741112`, 1, 1], 
     Hue[0.15907998377720747`, 1, 1], 
     Hue[0.1623650449069375, 1, 1], 
     Hue[0.16576463781088568`, 1, 1], 
     Hue[0.1692797941473075, 1, 1], 
     Hue[0.17291108736941907`, 1, 1], 
     Hue[0.17665856779990746`, 1, 1], 
     Hue[0.18052169662681145`, 1, 1], 
     Hue[0.18449928039300711`, 1, 1], 
     Hue[0.18858940787878894`, 1, 1], 
     Hue[0.19278939158576827`, 1, 1], 
     Hue[0.1970957162938749, 1, 1], 
     Hue[0.2015039973507787, 1, 1], 
     Hue[0.2060089514316073, 1, 1], 
     Hue[0.21060438244426793`, 1, 1], 
     Hue[0.21528318502474542`, 1, 1], 
     Hue[0.2200373676494826, 1, 1], 
     Hue[0.2248580967844022, 1, 1], 
     Hue[0.22973576270598123`, 1, 1], 
     Hue[0.234660066702778, 1, 1], 
     Hue[0.23962012834935453`, 1, 1], 
     Hue[0.24460461050883225`, 1, 1], 
     Hue[0.24960185874604135`, 1, 1], 
     Hue[0.25460005100322186`, 1, 1], 
     Hue[0.2595873527794301, 1, 1], 
     Hue[0.2645520727207614, 1, 1], 
     Hue[0.2694828135033719, 1, 1], 
     Hue[0.27436861317757194`, 1, 1], 
     Hue[0.2791990727112367, 1, 1], 
     Hue[0.2839644662705708, 1, 1], 
     Hue[0.2886558317330062, 1, 1], 
     Hue[0.29326503995852515`, 1, 1], 
     Hue[0.29778484237025704`, 1, 1], 
     Hue[0.3022088973405367, 1, 1], 
     Hue[0.3065317766882842, 1, 1], 
     Hue[0.3107489542306672, 1, 1], 
     Hue[0.31485677877972856`, 1, 1], 
     Hue[0.31885243423437515`, 1, 1], 
     Hue[0.3227338895058733, 1, 1], 
     Hue[0.3264998409568379, 1, 1], 
     Hue[0.3301496498612987, 1, 1], 
     Hue[0.3336832771398179, 1, 1], 
     Hue[0.3371012173201974, 1, 1], 
     Hue[0.34040443334841713`, 1, 1], 
     Hue[0.34359429354841786`, 1, 1], 
     Hue[0.34667251171989366`, 1, 1], 
     Hue[0.34964109108192515`, 1, 1], 
     Hue[0.3525022725238161, 1, 1], 
     Hue[0.3552584874159237, 1, 1], 
     Hue[0.3579123150626076, 1, 1], 
     Hue[0.3604664447446762, 1, 1], 
     Hue[0.36292364219647844`, 1, 1], 
     Hue[0.36528672028901343`, 1, 1], 
     Hue[0.3675585136407253, 1, 1], 
     Hue[0.3697418568477629, 1, 1], 
     Hue[0.37183956601138585`, 1, 1], 
     Hue[0.3738544232383413, 1, 1], 
     Hue[0.3757891637973037, 1, 1], 
     Hue[0.3776464656282834, 1, 1], 
     Hue[0.3794289409201123, 1, 1], 
     Hue[0.3811391294920206, 1, 1], 
     Hue[0.3827794937375929, 1, 1], 
     Hue[0.3843524149120281, 1, 1], 
     Hue[0.385860190565898, 1, 1], 
     Hue[0.38730503294996915`, 1, 1], 
     Hue[0.3886890682357987, 1, 1], 
     Hue[0.39001433641549577`, 1, 1], 
     Hue[0.39128279176118663`, 1, 1], 
     Hue[0.3924963037402669, 1, 1], 
     Hue[0.3936566582965189, 1, 1], 
     Hue[0.3947655594196596, 1, 1], 
     Hue[0.39582463093696935`, 1, 1], 
     Hue[0.39683541847041853`, 1, 1], 
     Hue[0.3977993915112822, 1, 1], 
     Hue[0.39871794557170975`, 1, 1], 
     Hue[0.3995924043792208, 1, 1], 
     Hue[0.4004240220857197, 1, 1], 
     Hue[0.4012139854674696, 1, 1], 
     Hue[0.4019634160966237, 1, 1], 
     Hue[0.40267337246846663`, 1, 1], 
     Hue[0.40334485207154597`, 1, 1], 
     Hue[0.4039787933904346, 1, 1], 
     Hue[0.40457607783302807`, 1, 1], 
     Hue[0.4051375315760956, 1, 1], 
     Hue[0.40566392732431555`, 1, 1], 
     Hue[0.40615598597928, 1, 1], 
     Hue[0.4066143782159855, 1, 1], 
     Hue[0.4070397259651638, 1, 1], 
     Hue[0.40743260380048346`, 1, 1], 
     Hue[0.40779354023018966`, 1, 1], 
     Hue[0.40812301889316455`, 1, 1], 
     Hue[0.40842147965970677`, 1, 1], 
     Hue[0.4086893196375572, 1, 1], 
     Hue[0.4089268940838584, 1, 1], 
     Hue[0.40913451722382566`, 1, 1], 
     Hue[0.40931246297695767`, 1, 1], 
     Hue[0.4094609655916141, 1, 1], 
     Hue[0.4095802201887543, 1, 1], 
     Hue[0.40967038321556987`, 1, 1], 
     Hue[0.40973157280965783`, 1, 1], 
     Hue[0.40976386907427487`, 1, 1], 
     Hue[0.4097673142650973, 1, 1], 
     Hue[0.4097419128887791, 1, 1], 
     Hue[0.40968763171346423`, 1, 1], 
     Hue[0.4096043996912722, 1, 1], 
     Hue[0.4094921077926311, 1, 1], 
     Hue[0.4093506087521979, 1, 1], 
     Hue[0.40917971672597286`, 1, 1], 
     Hue[0.4089792068590938, 1, 1], 
     Hue[0.4087488147636875, 1, 1], 
     Hue[0.4084882359060634, 1, 1], 
     Hue[0.4081971249024685, 1, 1], 
     Hue[0.40787509472258066`, 1, 1], 
     Hue[0.4075217157999094, 1, 1], 
     Hue[0.40713651504830894`, 1, 1], 
     Hue[0.40671897478388985`, 1, 1], 
     Hue[0.4062685315517588, 1, 1], 
     Hue[0.4057845748572241, 1, 1], 
     Hue[0.4052664458014015, 1, 1], 
     Hue[0.4047134356215437, 1, 1], 
     Hue[0.4041247841369232, 1, 1], 
     Hue[0.40349967810173687`, 1, 1], 
     Hue[0.4028372494673021, 1, 1], 
     Hue[0.40213657355679083`, 1, 1], 
     Hue[0.4013966671569524, 1, 1], 
     Hue[0.4006164865327162, 1, 1], 
     Hue[0.3997949253723106, 1, 1], 
     Hue[0.3989308126726016, 1, 1], 
     Hue[0.39802291057682393`, 1, 1], 
     Hue[0.39706991217978066`, 1, 1], 
     Hue[0.3960704393190141, 1, 1], 
     Hue[0.3950230403744523, 1, 1], 
     Hue[0.3939261881037157, 1, 1], 
     Hue[0.3927782775456926, 1, 1], 
     Hue[0.3915776240312785, 1, 1], 
     Hue[0.39032246134740683`, 1, 1], 
     Hue[0.3890109401088014, 1, 1], 
     Hue[0.38764112640135273`, 1, 1], 
     Hue[0.3862110007717797, 1, 1], 
     Hue[0.38471845765038143`, 1, 1], 
     Hue[0.3831613053073117, 1, 1], 
     Hue[0.3815372664579834, 1, 1], 
     Hue[0.37984397964996813`, 1, 1], 
     Hue[0.3780790015820822, 1, 1], 
     Hue[0.3762398105261576, 1, 1], 
     Hue[0.3743238110431041, 1, 1], 
     Hue[0.37232834020695776`, 1, 1], 
     Hue[0.3702506755732251, 1, 1], 
     Hue[0.36808804515026455`, 1, 1], 
     Hue[0.3658376396537971, 1, 1], 
     Hue[0.36349662734361776`, 1, 1], 
     Hue[0.3610621717566253, 1, 1], 
     Hue[0.35853145265932884`, 1, 1], 
     Hue[0.3559016905435864, 1, 1], 
     Hue[0.35317017497845665`, 1, 1], 
     Hue[0.35033429710528197`, 1, 1], 
     Hue[0.34739158651852614`, 1, 1], 
     Hue[0.3443397527072723, 1, 1], 
     Hue[0.341176731137236, 1, 1], 
     Hue[0.337900733926512, 1, 1], 
     Hue[0.3345103049064355, 1, 1], 
     Hue[0.33100437865951315`, 1, 1], 
     Hue[0.3273823428888128, 1, 1], 
     Hue[0.3236441031997362, 1, 1], 
     Hue[0.31979014907151404`, 1, 1], 
     Hue[0.31582161947237253`, 1, 1], 
     Hue[0.311740366244582, 1, 1], 
     Hue[0.3075490130744722, 1, 1], 
     Hue[0.30325100759426465`, 1, 1], 
     Hue[0.2988506639677756, 1, 1], 
     Hue[0.29435319322361203`, 1, 1], 
     Hue[0.289764718649698, 1, 1], 
     Hue[0.28509227377972146`, 1, 1], 
     Hue[0.2803437809041249, 1, 1], 
     Hue[0.2755280086309337, 1, 1], 
     Hue[0.27065450779275485`, 1, 1], 
     Hue[0.2657335259136293, 1, 1], 
     Hue[0.26077590146112783`, 1, 1], 
     Hue[0.2557929401461357, 1, 1], 
     Hue[0.2507962765149805, 1, 1], 
     Hue[0.24579772492300683`, 1, 1], 
     Hue[0.24080912460930698`, 1, 1], 
     Hue[0.23584218394998716`, 1, 1], 
     Hue[0.23090832901755357`, 1, 1], 
     Hue[0.22601856131189288`, 1, 1], 
     Hue[0.22118332897925852`, 1, 1], 
     Hue[0.2164124150517172, 1, 1], 
     Hue[0.2117148452923127, 1, 1], 
     Hue[0.20709881720257367`, 1, 1], 
     Hue[0.20257165072107905`, 1, 1], 
     Hue[0.1981397601878183, 1, 1], 
     Hue[0.19380864632700245`, 1, 1], 
     Hue[0.18958290634925357`, 1, 1], 
     Hue[0.18546625981113685`, 1, 1], 
     Hue[0.18146158759572487`, 1, 1], 
     Hue[0.1775709812773081, 1, 1], 
     Hue[0.17379580018099575`, 1, 1], 
     Hue[0.17013673361250628`, 1, 1], 
     Hue[0.16659386598174125`, 1, 1], 
     Hue[0.1631667428442974, 1, 1], 
     Hue[0.15985443621005277`, 1, 1], 
     Hue[0.15665560779468002`, 1, 1], 
     Hue[0.15356856920118103`, 1, 1], 
     Hue[0.15059133830243193`, 1, 1], 
     Hue[0.14772169134510757`, 1, 1], 
     Hue[0.14495721050700522`, 1, 1], 
     Hue[0.1422953268133908, 1, 1], 
     Hue[0.13973335845550908`, 1, 1], 
     Hue[0.13726854465906446`, 1, 1], 
     Hue[0.13489807532636885`, 1, 1], 
     Hue[0.13261911672730686`, 1, 1], 
     Hue[0.13042883354559187`, 1, 1], 
     Hue[0.1283244076020012, 1, 1], 
     Hue[0.12630305357898672`, 1, 1], 
     Hue[0.12436203206442331`, 1, 1], 
     Hue[0.12249866021887212`, 1, 1], 
     Hue[0.12071032035282003`, 1, 1], 
     Hue[0.11899446667961121`, 1, 1], 
     Hue[0.1173486304875822, 1, 1], 
     Hue[0.1157704239522707, 1, 1], 
     Hue[0.11425754278725386`, 1, 1], 
     Hue[0.11280776791070425`, 1, 1], 
     Hue[0.11141896628451631`, 1, 1], 
     Hue[0.11008909106403345`, 1, 1], 
     Hue[0.10881618117915089`, 1, 1], 
     Hue[0.10759836045188853`, 1, 1], 
     Hue[0.10643383634141594`, 1, 1], 
     Hue[0.10532089839490304`, 1, 1], 
     Hue[0.10425791647138313`, 1, 1], 
     Hue[0.10324333879593817`, 1, 1], 
     Hue[0.1022756898928642, 1, 1], 
     Hue[0.10135356843890214`, 1, 1], 
     Hue[0.10047564507105025`, 1, 1], 
     Hue[0.09964066017778309, 1, 1], 
     Hue[0.09884742169759587, 1, 1], 
     Hue[0.09809480294458432, 1, 1], 
     Hue[0.09738174047716955, 1, 1], 
     Hue[0.09670723202301132, 1, 1], 
     Hue[0.09607033447055863, 1, 1], 
     Hue[0.09547016193549047, 1, 1], 
     Hue[0.09490588390846226, 1, 1], 
     Hue[0.09437672348903718, 1, 1], 
     Hue[0.09388195570940842, 1, 1], 
     Hue[0.09342090595047157, 1, 1], 
     Hue[0.09299294845195198, 1, 1], 
     Hue[0.09259750491760563, 1, 1], 
     Hue[0.09223404321596386, 1, 1], 
     Hue[0.09190207617666941, 1, 1], 
     Hue[0.09160116048212635, 1, 1], 
     Hue[0.09133089565395162, 1, 1], 
     Hue[0.09109092313355337, 1, 1], 
     Hue[0.09088092545606051, 1, 1], 
     Hue[0.0907006255167799, 1, 1], 
     Hue[0.09054978592935166, 1, 1], 
     Hue[0.09042820847480434, 1, 1], 
     Hue[0.0903357336407719, 1, 1], 
     Hue[0.09027224025021832, 1, 1], 
     Hue[0.09023764517911921, 1, 1], 
     Hue[0.09023190316266748, 1, 1], 
     Hue[0.0902550066896995, 1, 1], 
     Hue[0.09030698598517319, 1, 1], 
     Hue[0.09038790908067054, 1, 1], 
     Hue[0.0904978819730369, 1, 1], 
     Hue[0.09063704887140724, 1, 1], 
     Hue[0.09080559253300266, 1, 1], 
     Hue[0.09100373468820175, 1, 1], 
     Hue[0.09123173655550187, 1, 1], 
     Hue[0.09148989944707818, 1, 1], 
     Hue[0.09177856546571717, 1, 1], 
     Hue[0.09209811829394607, 1, 1], 
     Hue[0.0924489840761887, 1, 1], 
     Hue[0.09283163239474859, 1, 1], 
     Hue[0.09324657734034036, 1, 1], 
     Hue[0.09369437867775515, 1, 1], 
     Hue[0.09417564310704028, 1, 1], 
     Hue[0.09469102562028656, 1, 1], 
     Hue[0.09524123095373464, 1, 1], 
     Hue[0.09582701513441601, 1, 1], 
     Hue[0.0964491871199148, 1, 1], 
     Hue[0.09710861052905455, 1, 1], 
     Hue[0.0978062054603436, 1, 1], 
     Hue[0.0985429503938382, 1, 1], 
     Hue[0.09931988417065232, 1, 1], 
     Hue[0.1001381080426326, 1, 1], 
     Hue[0.10099878778266937`, 1, 1], 
     Hue[0.10190315584368605`, 1, 1], 
     Hue[0.10285251355147729`, 1, 1], 
     Hue[0.10384823331319051`, 1, 1], 
     Hue[0.10489176081928282`, 1, 1], 
     Hue[0.10598461721217321`, 1, 1], 
     Hue[0.10712840118943952`, 1, 1], 
     Hue[0.1083247910032021, 1, 1], 
     Hue[0.10957554631017771`, 1, 1], 
     Hue[0.11088250981867752`, 1, 1], 
     Hue[0.11224760866944647`, 1, 1], 
     Hue[0.11367285547658848`, 1, 1], 
     Hue[0.11516034894279525`, 1, 1], 
     Hue[0.11671227394958258`, 1, 1], 
     Hue[0.11833090100819785`, 1, 1], 
     Hue[0.120018584940224, 1, 1], 
     Hue[0.12177776263870398`, 1, 1], 
     Hue[0.12361094974091508`, 1, 1], 
     Hue[0.1255207360229105, 1, 1], 
     Hue[0.1275097793039142, 1, 1], 
     Hue[0.12958079762607283`, 1, 1], 
     Hue[0.13173655945257284`, 1, 1], 
     Hue[0.13397987160567226`, 1, 1], 
     Hue[0.1363135646469606, 1, 1], 
     Hue[0.13874047538674164`, 1, 1], 
     Hue[0.14126342619982135`, 1, 1], 
     Hue[0.14388520082362136`, 1, 1], 
     Hue[0.14660851632436717`, 1, 1], 
     Hue[0.14943599094155588`, 1, 1], 
     Hue[0.15237010756382763`, 1, 1], 
     Hue[0.15541317265501586`, 1, 1], 
     Hue[0.1585672705418412, 1, 1], 
     Hue[0.16183421309869955`, 1, 1], 
     Hue[0.16521548502391786`, 1, 1], 
     Hue[0.16871218509824049`, 1, 1], 
     Hue[0.17232496405087, 1, 1], 
     Hue[0.17605395992915393`, 1, 1], 
     Hue[0.1798987321695189, 1, 1], 
     Hue[0.18385819588953822`, 1, 1], 
     Hue[0.18793055824913352`, 1, 1], 
     Hue[0.19211325904223855`, 1, 1], 
     Hue[0.19640291795298284`, 1, 1], 
     Hue[0.20079529111228667`, 1, 1], 
     Hue[0.20528523968888038`, 1, 1], 
     Hue[0.20986671321067435`, 1, 1], 
     Hue[0.21453275010979153`, 1, 1], 
     Hue[0.21927549759764664`, 1, 1], 
     Hue[0.22408625239880867`, 1, 1], 
     Hue[0.2289555231146245, 1, 1], 
     Hue[0.2338731140802318, 1, 1], 
     Hue[0.2388282295720667, 1, 1], 
     Hue[0.24380959618509931`, 1, 1], 
     Hue[0.24880560020936812`, 1, 1], 
     Hue[0.2538044359770707, 1, 1], 
     Hue[0.25879426050132737`, 1, 1], 
     Hue[0.26376334934674606`, 1, 1], 
     Hue[0.26870024859662023`, 1, 1], 
     Hue[0.2735939180193801, 1, 1], 
     Hue[0.27843386106472123`, 1, 1], 
     Hue[0.2832102380875089, 1, 1], 
     Hue[0.2879139601346885, 1, 1], 
     Hue[0.2925367616556229, 1, 1], 
     Hue[0.2970712515271431, 1, 1], 
     Hue[0.3015109427467643, 1, 1], 
     Hue[0.3058502619818296, 1, 1], 
     Hue[0.31008454082854503`, 1, 1], 
     Hue[0.3142099911131005, 1, 1], 
     Hue[0.3182236668559824, 1, 1], 
     Hue[0.3221234156341803, 1, 1], 
     Hue[0.3259078220390367, 1, 1], 
     Hue[0.3295761457710746, 1, 1], 
     Hue[0.3331282566702682, 1, 1], 
     Hue[0.3365645686827832, 1, 1], 
     Hue[0.33988597444125196`, 1, 1], 
     Hue[0.34309378180837524`, 1, 1], 
     Hue[0.3461896534206631, 1, 1], 
     Hue[0.3491755499827375, 1, 1], 
     Hue[0.3520536778103168, 1, 1], 
     Hue[0.3548264409053272, 1, 1], 
     Hue[0.35749639766996494`, 1, 1], 
     Hue[0.3600662222262793, 1, 1], 
     Hue[0.36253867020068614`, 1, 1], 
     Hue[0.1374613297993138, 1, 1], 
     Hue[0.13993377777372068`, 1, 1], 
     Hue[0.13993377777372068`, 1, 1], 
     Hue[0.14250360233003503`, 1, 1], 
     Hue[0.14250360233003503`, 1, 1], 
     Hue[0.14517355909467305`, 1, 1], 
     Hue[0.14517355909467305`, 1, 1], 
     Hue[0.1479463221896834, 1, 1], 
     Hue[0.1479463221896834, 1, 1], 
     Hue[0.15082445001726277`, 1, 1], 
     Hue[0.15082445001726277`, 1, 1], 
     Hue[0.15381034657933665`, 1, 1], 
     Hue[0.15381034657933665`, 1, 1], 
     Hue[0.15690621819162476`, 1, 1], 
     Hue[0.15690621819162476`, 1, 1], 
     Hue[0.1601140255587481, 1, 1], 
     Hue[0.1601140255587481, 1, 1], 
     Hue[0.1634354313172168, 1, 1], 
     Hue[0.1634354313172168, 1, 1], 
     Hue[0.16687174332973181`, 1, 1], 
     Hue[0.16687174332973181`, 1, 1], 
     Hue[0.17042385422892578`, 1, 1], 
     Hue[0.17042385422892578`, 1, 1], 
     Hue[0.17409217796096368`, 1, 1], 
     Hue[0.17409217796096368`, 1, 1], 
     Hue[0.17787658436582005`, 1, 1], 
     Hue[0.17787658436582005`, 1, 1], 
     Hue[0.18177633314401723`, 1, 1], 
     Hue[0.18177633314401723`, 1, 1], 
     Hue[0.18579000888689953`, 1, 1], 
     Hue[0.18579000888689953`, 1, 1], 
     Hue[0.18991545917145497`, 1, 1], 
     Hue[0.18991545917145497`, 1, 1], 
     Hue[0.19414973801817045`, 1, 1], 
     Hue[0.19414973801817045`, 1, 1], 
     Hue[0.19848905725323568`, 1, 1], 
     Hue[0.19848905725323568`, 1, 1], 
     Hue[0.20292874847285733`, 1, 1], 
     Hue[0.20292874847285733`, 1, 1], 
     Hue[0.20746323834437747`, 1, 1], 
     Hue[0.20746323834437747`, 1, 1], 
     Hue[0.21208603986531188`, 1, 1], 
     Hue[0.21208603986531188`, 1, 1], 
     Hue[0.2167897619124907, 1, 1], 
     Hue[0.2167897619124907, 1, 1], 
     Hue[0.22156613893527877`, 1, 1], 
     Hue[0.22156613893527877`, 1, 1], 
     Hue[0.2264060819806199, 1, 1], 
     Hue[0.2264060819806199, 1, 1], 
     Hue[0.23129975140337977`, 1, 1], 
     Hue[0.23129975140337977`, 1, 1], 
     Hue[0.23623665065325397`, 1, 1], 
     Hue[0.23623665065325397`, 1, 1], 
     Hue[0.24120573949867266`, 1, 1], 
     Hue[0.24120573949867266`, 1, 1], 
     Hue[0.2461955640229298, 1, 1], 
     Hue[0.2461955640229298, 1, 1], 
     Hue[0.25119439979063235`, 1, 1], 
     Hue[0.25119439979063235`, 1, 1], 
     Hue[0.2561904038149011, 1, 1], 
     Hue[0.2561904038149011, 1, 1], 
     Hue[0.2611717704279329, 1, 1], 
     Hue[0.2611717704279329, 1, 1], 
     Hue[0.26612688591976824`, 1, 1], 
     Hue[0.26612688591976824`, 1, 1], 
     Hue[0.27104447688537553`, 1, 1], 
     Hue[0.27104447688537553`, 1, 1], 
     Hue[0.27591374760119136`, 1, 1], 
     Hue[0.27591374760119136`, 1, 1], 
     Hue[0.28072450240235336`, 1, 1], 
     Hue[0.28072450240235336`, 1, 1], 
     Hue[0.2854672498902089, 1, 1], 
     Hue[0.2854672498902089, 1, 1], 
     Hue[0.29013328678932604`, 1, 1], 
     Hue[0.29013328678932604`, 1, 1], 
     Hue[0.29471476031112004`, 1, 1], 
     Hue[0.29471476031112004`, 1, 1], 
     Hue[0.29920470888771294`, 1, 1], 
     Hue[0.29920470888771294`, 1, 1], 
     Hue[0.3035970820470172, 1, 1], 
     Hue[0.3035970820470172, 1, 1], 
     Hue[0.3078867409577615, 1, 1], 
     Hue[0.3078867409577615, 1, 1], 
     Hue[0.3120694417508665, 1, 1], 
     Hue[0.3120694417508665, 1, 1], 
     Hue[0.3161418041104618, 1, 1], 
     Hue[0.3161418041104618, 1, 1], 
     Hue[0.3201012678304815, 1, 1], 
     Hue[0.3201012678304815, 1, 1], 
     Hue[0.32394604007084643`, 1, 1], 
     Hue[0.32394604007084643`, 1, 1], 
     Hue[0.32767503594913033`, 1, 1], 
     Hue[0.32767503594913033`, 1, 1], 
     Hue[0.33128781490175924`, 1, 1], 
     Hue[0.33128781490175924`, 1, 1], 
     Hue[0.33478451497608214`, 1, 1], 
     Hue[0.33478451497608214`, 1, 1], 
     Hue[0.33816578690130045`, 1, 1], 
     Hue[0.33816578690130045`, 1, 1], 
     Hue[0.34143272945815883`, 1, 1], 
     Hue[0.34143272945815883`, 1, 1], 
     Hue[0.3445868273449842, 1, 1], 
     Hue[0.3445868273449842, 1, 1], 
     Hue[0.34762989243617237`, 1, 1], 
     Hue[0.34762989243617237`, 1, 1], 
     Hue[0.35056400905844437`, 1, 1], 
     Hue[0.35056400905844437`, 1, 1], 
     Hue[0.3533914836756331, 1, 1], 
     Hue[0.3533914836756331, 1, 1], 
     Hue[0.3561147991763789, 1, 1], 
     Hue[0.3561147991763789, 1, 1], 
     Hue[0.35873657380017865`, 1, 1], 
     Hue[0.35873657380017865`, 1, 1], 
     Hue[0.3612595246132584, 1, 1], 
     Hue[0.3612595246132584, 1, 1], 
     Hue[0.3636864353530394, 1, 1], 
     Hue[0.3636864353530394, 1, 1], 
     Hue[0.36602012839432774`, 1, 1], 
     Hue[0.36602012839432774`, 1, 1], 
     Hue[0.36826344054742716`, 1, 1], 
     Hue[0.36826344054742716`, 1, 1], 
     Hue[0.3704192023739274, 1, 1], 
     Hue[0.3704192023739274, 1, 1], 
     Hue[0.372490220696086, 1, 1], 
     Hue[0.372490220696086, 1, 1], 
     Hue[0.37447926397708964`, 1, 1], 
     Hue[0.37447926397708964`, 1, 1], 
     Hue[0.3763890502590848, 1, 1], 
     Hue[0.3763890502590848, 1, 1], 
     Hue[0.37822223736129607`, 1, 1], 
     Hue[0.37822223736129607`, 1, 1], 
     Hue[0.379981415059776, 1, 1], 
     Hue[0.379981415059776, 1, 1], 
     Hue[0.3816690989918021, 1, 1], 
     Hue[0.3816690989918021, 1, 1], 
     Hue[0.38328772605041744`, 1, 1], 
     Hue[0.38328772605041744`, 1, 1], 
     Hue[0.3848396510572049, 1, 1], 
     Hue[0.3848396510572049, 1, 1], 
     Hue[0.38632714452341166`, 1, 1], 
     Hue[0.38632714452341166`, 1, 1], 
     Hue[0.38775239133055367`, 1, 1], 
     Hue[0.38775239133055367`, 1, 1], 
     Hue[0.38911749018132236`, 1, 1], 
     Hue[0.38911749018132236`, 1, 1], 
     Hue[0.39042445368982226`, 1, 1], 
     Hue[0.39042445368982226`, 1, 1], 
     Hue[0.3916752089967979, 1, 1], 
     Hue[0.3916752089967979, 1, 1], 
     Hue[0.3928715988105605, 1, 1], 
     Hue[0.3928715988105605, 1, 1], 
     Hue[0.3940153827878268, 1, 1], 
     Hue[0.3940153827878268, 1, 1], 
     Hue[0.3951082391807172, 1, 1], 
     Hue[0.3951082391807172, 1, 1], 
     Hue[0.3961517666868096, 1, 1], 
     Hue[0.3961517666868096, 1, 1], 
     Hue[0.39714748644852277`, 1, 1], 
     Hue[0.39714748644852277`, 1, 1], 
     Hue[0.398096844156314, 1, 1], 
     Hue[0.398096844156314, 1, 1], 
     Hue[0.39900121221733065`, 1, 1], 
     Hue[0.39900121221733065`, 1, 1], 
     Hue[0.39986189195736743`, 1, 1], 
     Hue[0.39986189195736743`, 1, 1], 
     Hue[0.4006801158293477, 1, 1], 
     Hue[0.4006801158293477, 1, 1], 
     Hue[0.4014570496061618, 1, 1], 
     Hue[0.4014570496061618, 1, 1], 
     Hue[0.40219379453965637`, 1, 1], 
     Hue[0.40219379453965637`, 1, 1], 
     Hue[0.4028913894709455, 1, 1], 
     Hue[0.4028913894709455, 1, 1], 
     Hue[0.40355081288008526`, 1, 1], 
     Hue[0.40355081288008526`, 1, 1], 
     Hue[0.40417298486558406`, 1, 1], 
     Hue[0.40417298486558406`, 1, 1], 
     Hue[0.40475876904626534`, 1, 1], 
     Hue[0.40475876904626534`, 1, 1], 
     Hue[0.4053089743797134, 1, 1], 
     Hue[0.4053089743797134, 1, 1], 
     Hue[0.40582435689295976`, 1, 1], 
     Hue[0.40582435689295976`, 1, 1], 
     Hue[0.40630562132224485`, 1, 1], 
     Hue[0.40630562132224485`, 1, 1], 
     Hue[0.40675342265965964`, 1, 1], 
     Hue[0.40675342265965964`, 1, 1], 
     Hue[0.40716836760525144`, 1, 1], 
     Hue[0.40716836760525144`, 1, 1], 
     Hue[0.4075510159238113, 1, 1], 
     Hue[0.4075510159238113, 1, 1], 
     Hue[0.407901881706054, 1, 1], 
     Hue[0.407901881706054, 1, 1], 
     Hue[0.40822143453428283`, 1, 1], 
     Hue[0.40822143453428283`, 1, 1], 
     Hue[0.4085101005529218, 1, 1], 
     Hue[0.4085101005529218, 1, 1], 
     Hue[0.4087682634444981, 1, 1], 
     Hue[0.4087682634444981, 1, 1], 
     Hue[0.4089962653117982, 1, 1], 
     Hue[0.4089962653117982, 1, 1], 
     Hue[0.40919440746699737`, 1, 1], 
     Hue[0.40919440746699737`, 1, 1], 
     Hue[0.4093629511285927, 1, 1], 
     Hue[0.4093629511285927, 1, 1], 
     Hue[0.4095021180269631, 1, 1], 
     Hue[0.4095021180269631, 1, 1], 
     Hue[0.40961209091932943`, 1, 1], 
     Hue[0.40961209091932943`, 1, 1], 
     Hue[0.40969301401482683`, 1, 1], 
     Hue[0.40969301401482683`, 1, 1], 
     Hue[0.4097449933103005, 1, 1], 
     Hue[0.4097449933103005, 1, 1], 
     Hue[0.40976809683733256`, 1, 1], 
     Hue[0.40976809683733256`, 1, 1], 
     Hue[0.40976235482088086`, 1, 1], 
     Hue[0.40976235482088086`, 1, 1], 
     Hue[0.40972775974978165`, 1, 1], 
     Hue[0.40972775974978165`, 1, 1], 
     Hue[0.40966426635922815`, 1, 1], 
     Hue[0.40966426635922815`, 1, 1], 
     Hue[0.4095717915251957, 1, 1], 
     Hue[0.4095717915251957, 1, 1], 
     Hue[0.40945021407064836`, 1, 1], 
     Hue[0.40945021407064836`, 1, 1], 
     Hue[0.40929937448322007`, 1, 1], 
     Hue[0.40929937448322007`, 1, 1], 
     Hue[0.4091190745439395, 1, 1], 
     Hue[0.4091190745439395, 1, 1], 
     Hue[0.4089090768664466, 1, 1], 
     Hue[0.4089090768664466, 1, 1], 
     Hue[0.40866910434604836`, 1, 1], 
     Hue[0.40866910434604836`, 1, 1], 
     Hue[0.40839883951787365`, 1, 1], 
     Hue[0.40839883951787365`, 1, 1], 
     Hue[0.40809792382333065`, 1, 1], 
     Hue[0.40809792382333065`, 1, 1], 
     Hue[0.40776595678403615`, 1, 1], 
     Hue[0.40776595678403615`, 1, 1], 
     Hue[0.40740249508239434`, 1, 1], 
     Hue[0.40740249508239434`, 1, 1], 
     Hue[0.407007051548048, 1, 1], 
     Hue[0.407007051548048, 1, 1], 
     Hue[0.40657909404952847`, 1, 1], 
     Hue[0.40657909404952847`, 1, 1], 
     Hue[0.40611804429059156`, 1, 1], 
     Hue[0.40611804429059156`, 1, 1], 
     Hue[0.40562327651096286`, 1, 1], 
     Hue[0.40562327651096286`, 1, 1], 
     Hue[0.4050941160915378, 1, 1], 
     Hue[0.4050941160915378, 1, 1], 
     Hue[0.4045298380645096, 1, 1], 
     Hue[0.4045298380645096, 1, 1], 
     Hue[0.4039296655294414, 1, 1], 
     Hue[0.4039296655294414, 1, 1], 
     Hue[0.4032927679769886, 1, 1], 
     Hue[0.4032927679769886, 1, 1], 
     Hue[0.40261825952283037`, 1, 1], 
     Hue[0.40261825952283037`, 1, 1], 
     Hue[0.4019051970554156, 1, 1], 
     Hue[0.4019051970554156, 1, 1], 
     Hue[0.40115257830240414`, 1, 1], 
     Hue[0.40115257830240414`, 1, 1], 
     Hue[0.4003593398222169, 1, 1], 
     Hue[0.4003593398222169, 1, 1], 
     Hue[0.3995243549289498, 1, 1], 
     Hue[0.3995243549289498, 1, 1], 
     Hue[0.3986464315610978, 1, 1], 
     Hue[0.3986464315610978, 1, 1], 
     Hue[0.3977243101071357, 1, 1], 
     Hue[0.3977243101071357, 1, 1], 
     Hue[0.3967566612040617, 1, 1], 
     Hue[0.3967566612040617, 1, 1], 
     Hue[0.3957420835286168, 1, 1], 
     Hue[0.3957420835286168, 1, 1], 
     Hue[0.39467910160509684`, 1, 1], 
     Hue[0.39467910160509684`, 1, 1], 
     Hue[0.3935661636585841, 1, 1], 
     Hue[0.3935661636585841, 1, 1], 
     Hue[0.3924016395481114, 1, 1], 
     Hue[0.3924016395481114, 1, 1], 
     Hue[0.39118381882084907`, 1, 1], 
     Hue[0.39118381882084907`, 1, 1], 
     Hue[0.3899109089359666, 1, 1], 
     Hue[0.3899109089359666, 1, 1], 
     Hue[0.38858103371548375`, 1, 1], 
     Hue[0.38858103371548375`, 1, 1], 
     Hue[0.38719223208929565`, 1, 1], 
     Hue[0.38719223208929565`, 1, 1], 
     Hue[0.385742457212746, 1, 1], 
     Hue[0.385742457212746, 1, 1], 
     Hue[0.38422957604772917`, 1, 1], 
     Hue[0.38422957604772917`, 1, 1], 
     Hue[0.38265136951241796`, 1, 1], 
     Hue[0.38265136951241796`, 1, 1], 
     Hue[0.38100553332038883`, 1, 1], 
     Hue[0.38100553332038883`, 1, 1], 
     Hue[0.37928967964717997`, 1, 1], 
     Hue[0.37928967964717997`, 1, 1], 
     Hue[0.3775013397811279, 1, 1], 
     Hue[0.3775013397811279, 1, 1], 
     Hue[0.37563796793557663`, 1, 1], 
     Hue[0.37563796793557663`, 1, 1], 
     Hue[0.37369694642101325`, 1, 1], 
     Hue[0.37369694642101325`, 1, 1], 
     Hue[0.37167559239799863`, 1, 1], 
     Hue[0.37167559239799863`, 1, 1], 
     Hue[0.3695711664544079, 1, 1], 
     Hue[0.3695711664544079, 1, 1], 
     Hue[0.36738088327269336`, 1, 1], 
     Hue[0.36738088327269336`, 1, 1], 
     Hue[0.3651019246736313, 1, 1], 
     Hue[0.3651019246736313, 1, 1], 
     Hue[0.3627314553409355, 1, 1], 
     Hue[0.3627314553409355, 1, 1], 
     Hue[0.36026664154449095`, 1, 1], 
     Hue[0.36026664154449095`, 1, 1], 
     Hue[0.3577046731866092, 1, 1], 
     Hue[0.3577046731866092, 1, 1], 
     Hue[0.3550427894929947, 1, 1], 
     Hue[0.3550427894929947, 1, 1], 
     Hue[0.3522783086548922, 1, 1], 
     Hue[0.3522783086548922, 1, 1], 
     Hue[0.34940866169756785`, 1, 1], 
     Hue[0.34940866169756785`, 1, 1], 
     Hue[0.34643143079881866`, 1, 1], 
     Hue[0.34643143079881866`, 1, 1], 
     Hue[0.34334439220532015`, 1, 1], 
     Hue[0.34334439220532015`, 1, 1], 
     Hue[0.3401455637899473, 1, 1], 
     Hue[0.3401455637899473, 1, 1], 
     Hue[0.3368332571557026, 1, 1], 
     Hue[0.3368332571557026, 1, 1], 
     Hue[0.33340613401825875`, 1, 1], 
     Hue[0.33340613401825875`, 1, 1], 
     Hue[0.32986326638749375`, 1, 1], 
     Hue[0.32986326638749375`, 1, 1], 
     Hue[0.3262041998190041, 1, 1], 
     Hue[0.3262041998190041, 1, 1], 
     Hue[0.32242901872269153`, 1, 1], 
     Hue[0.32242901872269153`, 1, 1], 
     Hue[0.3185384124042748, 1, 1], 
     Hue[0.3185384124042748, 1, 1], 
     Hue[0.31453374018886354`, 1, 1], 
     Hue[0.31453374018886354`, 1, 1], 
     Hue[0.3104170936507466, 1, 1], 
     Hue[0.3104170936507466, 1, 1], 
     Hue[0.30619135367299755`, 1, 1], 
     Hue[0.30619135367299755`, 1, 1], 
     Hue[0.30186023981218174`, 1, 1], 
     Hue[0.30186023981218174`, 1, 1], 
     Hue[0.297428349278921, 1, 1], 
     Hue[0.297428349278921, 1, 1], 
     Hue[0.29290118279742616`, 1, 1], 
     Hue[0.29290118279742616`, 1, 1], 
     Hue[0.2882851547076869, 1, 1], 
     Hue[0.2882851547076869, 1, 1], 
     Hue[0.28358758494828235`, 1, 1], 
     Hue[0.28358758494828235`, 1, 1], 
     Hue[0.2788166710207419, 1, 1], 
     Hue[0.2788166710207419, 1, 1], 
     Hue[0.2739814386881073, 1, 1], 
     Hue[0.2739814386881073, 1, 1], 
     Hue[0.26909167098244646`, 1, 1], 
     Hue[0.26909167098244646`, 1, 1], 
     Hue[0.2641578160500129, 1, 1], 
     Hue[0.2641578160500129, 1, 1], 
     Hue[0.259190875390693, 1, 1], 
     Hue[0.259190875390693, 1, 1], 
     Hue[0.25420227507699295`, 1, 1], 
     Hue[0.25420227507699295`, 1, 1], 
     Hue[0.24920372348501907`, 1, 1], 
     Hue[0.24920372348501907`, 1, 1], 
     Hue[0.2442070598538639, 1, 1], 
     Hue[0.2442070598538639, 1, 1], 
     Hue[0.23922409853887175`, 1, 1], 
     Hue[0.23922409853887175`, 1, 1], 
     Hue[0.23426647408637097`, 1, 1], 
     Hue[0.23426647408637097`, 1, 1], 
     Hue[0.22934549220724518`, 1, 1], 
     Hue[0.22934549220724518`, 1, 1], 
     Hue[0.22447199136906631`, 1, 1], 
     Hue[0.22447199136906631`, 1, 1], 
     Hue[0.21965621909587515`, 1, 1], 
     Hue[0.21965621909587515`, 1, 1], 
     Hue[0.21490772622027857`, 1, 1], 
     Hue[0.21490772622027857`, 1, 1], 
     Hue[0.2102352813503018, 1, 1], 
     Hue[0.2102352813503018, 1, 1], 
     Hue[0.20564680677638758`, 1, 1], 
     Hue[0.20564680677638758`, 1, 1], 
     Hue[0.201149336032224, 1, 1], 
     Hue[0.201149336032224, 1, 1], 
     Hue[0.1967489924057357, 1, 1], 
     Hue[0.1967489924057357, 1, 1], 
     Hue[0.19245098692552798`, 1, 1], 
     Hue[0.19245098692552798`, 1, 1], 
     Hue[0.18825963375541802`, 1, 1], 
     Hue[0.18825963375541802`, 1, 1], 
     Hue[0.18417838052762747`, 1, 1], 
     Hue[0.18417838052762747`, 1, 1], 
     Hue[0.1802098509284858, 1, 1], 
     Hue[0.1802098509284858, 1, 1], 
     Hue[0.17635589680026367`, 1, 1], 
     Hue[0.17635589680026367`, 1, 1], 
     Hue[0.17261765711118718`, 1, 1], 
     Hue[0.17261765711118718`, 1, 1], 
     Hue[0.16899562134048687`, 1, 1], 
     Hue[0.16899562134048687`, 1, 1], 
     Hue[0.16548969509356448`, 1, 1], 
     Hue[0.16548969509356448`, 1, 1], 
     Hue[0.1620992660734879, 1, 1], 
     Hue[0.1620992660734879, 1, 1], 
     Hue[0.15882326886276385`, 1, 1], 
     Hue[0.15882326886276385`, 1, 1], 
     Hue[0.1556602472927277, 1, 1], 
     Hue[0.1556602472927277, 1, 1], 
     Hue[0.15260841348147391`, 1, 1], 
     Hue[0.15260841348147391`, 1, 1], 
     Hue[0.1496657028947179, 1, 1], 
     Hue[0.1496657028947179, 1, 1], 
     Hue[0.1468298250215432, 1, 1], 
     Hue[0.1468298250215432, 1, 1], 
     Hue[0.14409830945641364`, 1, 1], 
     Hue[0.14409830945641364`, 1, 1], 
     Hue[0.14146854734067116`, 1, 1], 
     Hue[0.14146854734067116`, 1, 1], 
     Hue[0.13893782824337458`, 1, 1], 
     Hue[0.13893782824337458`, 1, 1], 
     Hue[0.13650337265638213`, 1, 1], 
     Hue[0.13650337265638213`, 1, 1], 
     Hue[0.13416236034620294`, 1, 1], 
     Hue[0.13416236034620294`, 1, 1], 
     Hue[0.13191195484973545`, 1, 1], 
     Hue[0.13191195484973545`, 1, 1], 
     Hue[0.12974932442677484`, 1, 1], 
     Hue[0.12974932442677484`, 1, 1], 
     Hue[0.12767165979304215`, 1, 1], 
     Hue[0.12767165979304215`, 1, 1], 
     Hue[0.12567618895689592`, 1, 1], 
     Hue[0.12567618895689592`, 1, 1], 
     Hue[0.12376018947384236`, 1, 1], 
     Hue[0.12376018947384236`, 1, 1], 
     Hue[0.1219209984179177, 1, 1], 
     Hue[0.1219209984179177, 1, 1], 
     Hue[0.1201560203500318, 1, 1], 
     Hue[0.1201560203500318, 1, 1], 
     Hue[0.11846273354201657`, 1, 1], 
     Hue[0.11846273354201657`, 1, 1], 
     Hue[0.1168386946926883, 1, 1], 
     Hue[0.1168386946926883, 1, 1], 
     Hue[0.11528154234961846`, 1, 1], 
     Hue[0.11528154234961846`, 1, 1], 
     Hue[0.11378899922822022`, 1, 1], 
     Hue[0.11378899922822022`, 1, 1], 
     Hue[0.11235887359864724`, 1, 1], 
     Hue[0.11235887359864724`, 1, 1], 
     Hue[0.11098905989119863`, 1, 1], 
     Hue[0.11098905989119863`, 1, 1], 
     Hue[0.10967753865259308`, 1, 1], 
     Hue[0.10967753865259308`, 1, 1], 
     Hue[0.10842237596872145`, 1, 1], 
     Hue[0.10842237596872145`, 1, 1], 
     Hue[0.10722172245430746`, 1, 1], 
     Hue[0.10722172245430746`, 1, 1], 
     Hue[0.10607381189628436`, 1, 1], 
     Hue[0.10607381189628436`, 1, 1], 
     Hue[0.10497695962554773`, 1, 1], 
     Hue[0.10497695962554773`, 1, 1], 
     Hue[0.1039295606809859, 1, 1], 
     Hue[0.1039295606809859, 1, 1], 
     Hue[0.10293008782021933`, 1, 1], 
     Hue[0.10293008782021933`, 1, 1], 
     Hue[0.10197708942317613`, 1, 1], 
     Hue[0.10197708942317613`, 1, 1], 
     Hue[0.10106918732739838`, 1, 1], 
     Hue[0.10106918732739838`, 1, 1], 
     Hue[0.10020507462768936`, 1, 1], 
     Hue[0.10020507462768936`, 1, 1], 
     Hue[0.09938351346728382, 1, 1], 
     Hue[0.09938351346728382, 1, 1], 
     Hue[0.09860333284304766, 1, 1], 
     Hue[0.09860333284304766, 1, 1], 
     Hue[0.09786342644320914, 1, 1], 
     Hue[0.09786342644320914, 1, 1], 
     Hue[0.09716275053269788, 1, 1], 
     Hue[0.09716275053269788, 1, 1], 
     Hue[0.09650032189826309, 1, 1], 
     Hue[0.09650032189826309, 1, 1], 
     Hue[0.09587521586307685, 1, 1], 
     Hue[0.09587521586307685, 1, 1], 
     Hue[0.09528656437845633, 1, 1], 
     Hue[0.09528656437845633, 1, 1], 
     Hue[0.09473355419859857, 1, 1], 
     Hue[0.09473355419859857, 1, 1], 
     Hue[0.09421542514277592, 1, 1], 
     Hue[0.09421542514277592, 1, 1], 
     Hue[0.09373146844824119, 1, 1], 
     Hue[0.09373146844824119, 1, 1], 
     Hue[0.09328102521611016, 1, 1], 
     Hue[0.09328102521611016, 1, 1], 
     Hue[0.0928634849516911, 1, 1], 
     Hue[0.0928634849516911, 1, 1], 
     Hue[0.09247828420009056, 1, 1], 
     Hue[0.09247828420009056, 1, 1], 
     Hue[0.09212490527741932, 1, 1], 
     Hue[0.09212490527741932, 1, 1], 
     Hue[0.0918028750975315, 1, 1], 
     Hue[0.0918028750975315, 1, 1], 
     Hue[0.0915117640939366, 1, 1], 
     Hue[0.0915117640939366, 1, 1], 
     Hue[0.09125118523631245, 1, 1], 
     Hue[0.09125118523631245, 1, 1], 
     Hue[0.09102079314090619, 1, 1], 
     Hue[0.09102079314090619, 1, 1], 
     Hue[0.09082028327402719, 1, 1], 
     Hue[0.09082028327402719, 1, 1], 
     Hue[0.09064939124780211, 1, 1], 
     Hue[0.09064939124780211, 1, 1], 
     Hue[0.09050789220736889, 1, 1], 
     Hue[0.09050789220736889, 1, 1], 
     Hue[0.09039560030872781, 1, 1], 
     Hue[0.09039560030872781, 1, 1], 
     Hue[0.09031236828653581, 1, 1], 
     Hue[0.09031236828653581, 1, 1], 
     Hue[0.09025808711122092, 1, 1], 
     Hue[0.09025808711122092, 1, 1], 
     Hue[0.09023268573490266, 1, 1], 
     Hue[0.09023268573490266, 1, 1], 
     Hue[0.09023613092572517, 1, 1], 
     Hue[0.09023613092572517, 1, 1], 
     Hue[0.0902684271903422, 1, 1], 
     Hue[0.0902684271903422, 1, 1], 
     Hue[0.09032961678443013, 1, 1], 
     Hue[0.09032961678443013, 1, 1], 
     Hue[0.09041977981124574, 1, 1], 
     Hue[0.09041977981124574, 1, 1], 
     Hue[0.09053903440838593, 1, 1], 
     Hue[0.09053903440838593, 1, 1], 
     Hue[0.09068753702304234, 1, 1], 
     Hue[0.09068753702304234, 1, 1], 
     Hue[0.09086548277617436, 1, 1], 
     Hue[0.09086548277617436, 1, 1], 
     Hue[0.0910731059161416, 1, 1], 
     Hue[0.0910731059161416, 1, 1], 
     Hue[0.0913106803624428, 1, 1], 
     Hue[0.0913106803624428, 1, 1], 
     Hue[0.0915785203402933, 1, 1], 
     Hue[0.0915785203402933, 1, 1], 
     Hue[0.09187698110683541, 1, 1], 
     Hue[0.09187698110683541, 1, 1], 
     Hue[0.09220645976981037, 1, 1], 
     Hue[0.09220645976981037, 1, 1], 
     Hue[0.0925673961995166, 1, 1], 
     Hue[0.0925673961995166, 1, 1], 
     Hue[0.09296027403483624, 1, 1], 
     Hue[0.09296027403483624, 1, 1], 
     Hue[0.0933856217840145, 1, 1], 
     Hue[0.0933856217840145, 1, 1], 
     Hue[0.09384401402072005, 1, 1], 
     Hue[0.09384401402072005, 1, 1], 
     Hue[0.09433607267568449, 1, 1], 
     Hue[0.09433607267568449, 1, 1], 
     Hue[0.09486246842390439, 1, 1], 
     Hue[0.09486246842390439, 1, 1], 
     Hue[0.09542392216697197, 1, 1], 
     Hue[0.09542392216697197, 1, 1], 
     Hue[0.09602120660956545, 1, 1], 
     Hue[0.09602120660956545, 1, 1], 
     Hue[0.09665514792845407, 1, 1], 
     Hue[0.09665514792845407, 1, 1], 
     Hue[0.0973266275315334, 1, 1], 
     Hue[0.0973266275315334, 1, 1], 
     Hue[0.0980365839033763, 1, 1], 
     Hue[0.0980365839033763, 1, 1], 
     Hue[0.09878601453253036, 1, 1], 
     Hue[0.09878601453253036, 1, 1], 
     Hue[0.0995759779142804, 1, 1], 
     Hue[0.0995759779142804, 1, 1], 
     Hue[0.10040759562077928`, 1, 1], 
     Hue[0.10040759562077928`, 1, 1], 
     Hue[0.10128205442829027`, 1, 1], 
     Hue[0.10128205442829027`, 1, 1], 
     Hue[0.10220060848871781`, 1, 1], 
     Hue[0.10220060848871781`, 1, 1], 
     Hue[0.10316458152958152`, 1, 1], 
     Hue[0.10316458152958152`, 1, 1], 
     Hue[0.10417536906303075`, 1, 1], 
     Hue[0.10417536906303075`, 1, 1], 
     Hue[0.10523444058034044`, 1, 1], 
     Hue[0.10523444058034044`, 1, 1], 
     Hue[0.10634334170348113`, 1, 1], 
     Hue[0.10634334170348113`, 1, 1], 
     Hue[0.10750369625973318`, 1, 1], 
     Hue[0.10750369625973318`, 1, 1], 
     Hue[0.10871720823881346`, 1, 1], 
     Hue[0.10871720823881346`, 1, 1], 
     Hue[0.10998566358450426`, 1, 1], 
     Hue[0.10998566358450426`, 1, 1], 
     Hue[0.11131093176420129`, 1, 1], 
     Hue[0.11131093176420129`, 1, 1], 
     Hue[0.1126949670500309, 1, 1], 
     Hue[0.1126949670500309, 1, 1], 
     Hue[0.11413980943410211`, 1, 1], 
     Hue[0.11413980943410211`, 1, 1], 
     Hue[0.11564758508797188`, 1, 1], 
     Hue[0.11564758508797188`, 1, 1], 
     Hue[0.11722050626240711`, 1, 1], 
     Hue[0.11722050626240711`, 1, 1], 
     Hue[0.11886087050797946`, 1, 1], 
     Hue[0.11886087050797946`, 1, 1], 
     Hue[0.12057105907988777`, 1, 1], 
     Hue[0.12057105907988777`, 1, 1], 
     Hue[0.12235353437171666`, 1, 1], 
     Hue[0.12235353437171666`, 1, 1], 
     Hue[0.1242108362026963, 1, 1], 
     Hue[0.1242108362026963, 1, 1], 
     Hue[0.1261455767616587, 1, 1], 
     Hue[0.1261455767616587, 1, 1], 
     Hue[0.12816043398861424`, 1, 1], 
     Hue[0.12816043398861424`, 1, 1], 
     Hue[0.13025814315223724`, 1, 1], 
     Hue[0.13025814315223724`, 1, 1], 
     Hue[0.13244148635927475`, 1, 1], 
     Hue[0.13244148635927475`, 1, 1], 
     Hue[0.13471327971098657`, 1, 1], 
     Hue[0.13471327971098657`, 1, 1], 
     Hue[0.1370763578035217, 1, 1], 
     Hue[0.1370763578035217, 1, 1], 
     Hue[0.13953355525532396`, 1, 1], 
     Hue[0.13953355525532396`, 1, 1], 
     Hue[0.1420876849373924, 1, 1], 
     Hue[0.1420876849373924, 1, 1], 
     Hue[0.14474151258407625`, 1, 1], 
     Hue[0.14474151258407625`, 1, 1], 
     Hue[0.14749772747618398`, 1, 1], 
     Hue[0.14749772747618398`, 1, 1], 
     Hue[0.15035890891807496`, 1, 1], 
     Hue[0.15035890891807496`, 1, 1], 
     Hue[0.15332748828010634`, 1, 1], 
     Hue[0.15332748828010634`, 1, 1], 
     Hue[0.15640570645158214`, 1, 1], 
     Hue[0.15640570645158214`, 1, 1], 
     Hue[0.15959556665158303`, 1, 1], 
     Hue[0.15959556665158303`, 1, 1], 
     Hue[0.1628987826798028, 1, 1], 
     Hue[0.1628987826798028, 1, 1], 
     Hue[0.16631672286018212`, 1, 1], 
     Hue[0.16631672286018212`, 1, 1], 
     Hue[0.16985035013870134`, 1, 1], 
     Hue[0.16985035013870134`, 1, 1], 
     Hue[0.17350015904316224`, 1, 1], 
     Hue[0.17350015904316224`, 1, 1], 
     Hue[0.17726611049412686`, 1, 1], 
     Hue[0.17726611049412686`, 1, 1], 
     Hue[0.1811475657656249, 1, 1], 
     Hue[0.1811475657656249, 1, 1], 
     Hue[0.18514322122027146`, 1, 1], 
     Hue[0.18514322122027146`, 1, 1], 
     Hue[0.18925104576933302`, 1, 1], 
     Hue[0.18925104576933302`, 1, 1], 
     Hue[0.193468223311716, 1, 1], 
     Hue[0.193468223311716, 1, 1], 
     Hue[0.19779110265946334`, 1, 1], 
     Hue[0.19779110265946334`, 1, 1], 
     Hue[0.20221515762974296`, 1, 1], 
     Hue[0.20221515762974296`, 1, 1], 
     Hue[0.20673496004147482`, 1, 1], 
     Hue[0.20673496004147482`, 1, 1], 
     Hue[0.21134416826699404`, 1, 1], 
     Hue[0.21134416826699404`, 1, 1], 
     Hue[0.21603553372942938`, 1, 1], 
     Hue[0.21603553372942938`, 1, 1], 
     Hue[0.22080092728876333`, 1, 1], 
     Hue[0.22080092728876333`, 1, 1], 
     Hue[0.2256313868224281, 1, 1], 
     Hue[0.2256313868224281, 1, 1], 
     Hue[0.23051718649662833`, 1, 1], 
     Hue[0.23051718649662833`, 1, 1], 
     Hue[0.23544792727923883`, 1, 1], 
     Hue[0.23544792727923883`, 1, 1], 
     Hue[0.2404126472205699, 1, 1], 
     Hue[0.2404126472205699, 1, 1], 
     Hue[0.24539994899677817`, 1, 1], 
     Hue[0.24539994899677817`, 1, 1], 
     Hue[0.2503981412539589, 1, 1], 
     Hue[0.2503981412539589, 1, 1], 
     Hue[0.25539538949116797`, 1, 1], 
     Hue[0.25539538949116797`, 1, 1], 
     Hue[0.26037987165064547`, 1, 1], 
     Hue[0.26037987165064547`, 1, 1], 
     Hue[0.265339933297222, 1, 1], 
     Hue[0.265339933297222, 1, 1], 
     Hue[0.270264237294019, 1, 1], 
     Hue[0.270264237294019, 1, 1], 
     Hue[0.275141903215598, 1, 1], 
     Hue[0.275141903215598, 1, 1], 
     Hue[0.27996263235051744`, 1, 1], 
     Hue[0.27996263235051744`, 1, 1], 
     Hue[0.2847168149752546, 1, 1], 
     Hue[0.2847168149752546, 1, 1], 
     Hue[0.2893956175557323, 1, 1], 
     Hue[0.2893956175557323, 1, 1], 
     Hue[0.2939910485683929, 1, 1], 
     Hue[0.2939910485683929, 1, 1], 
     Hue[0.2984960026492213, 1, 1], 
     Hue[0.2984960026492213, 1, 1], 
     Hue[0.3029042837061251, 1, 1], 
     Hue[0.3029042837061251, 1, 1], 
     Hue[0.3072106084142319, 1, 1], 
     Hue[0.3072106084142319, 1, 1], 
     Hue[0.31141059212121125`, 1, 1], 
     Hue[0.31141059212121125`, 1, 1], 
     Hue[0.3155007196069929, 1, 1], 
     Hue[0.3155007196069929, 1, 1], 
     Hue[0.31947830337318855`, 1, 1], 
     Hue[0.31947830337318855`, 1, 1], 
     Hue[0.32334143220009254`, 1, 1], 
     Hue[0.32334143220009254`, 1, 1], 
     Hue[0.32708891263058115`, 1, 1], 
     Hue[0.32708891263058115`, 1, 1], 
     Hue[0.33072020585269263`, 1, 1], 
     Hue[0.33072020585269263`, 1, 1], 
     Hue[0.3342353621891143, 1, 1], 
     Hue[0.3342353621891143, 1, 1], 
     Hue[0.3376349550930625, 1, 1], 
     Hue[0.3376349550930625, 1, 1], 
     Hue[0.34092001622279267`, 1, 1], 
     Hue[0.34092001622279267`, 1, 1], 
     Hue[0.344091972842589, 1, 1], 
     Hue[0.344091972842589, 1, 1], 
     Hue[0.347152588492495, 1, 1], 
     Hue[0.347152588492495, 1, 1], 
     Hue[0.35010390759289794`, 1, 1], 
     Hue[0.35010390759289794`, 1, 1], 
     Hue[0.35294820440955343`, 1, 1], 
     Hue[0.35294820440955343`, 1, 1], 
     Hue[0.3556879366021414, 1, 1], 
     Hue[0.3556879366021414, 1, 1], 
     Hue[0.35832570341470105`, 1, 1], 
     Hue[0.35832570341470105`, 1, 1], 
     Hue[0.36086420843695327`, 1, 1], 
     Hue[0.36086420843695327`, 1, 1], 
     Hue[0.3633062267681239, 1, 1], 
     Hue[0.3633062267681239, 1, 1], 
     Hue[0.36565457634521703`, 1, 1], 
     Hue[0.36565457634521703`, 1, 1], 
     Hue[0.36791209315143597`, 1, 1], 
     Hue[0.36791209315143597`, 1, 1], 
     Hue[0.3700816099933188, 1, 1], 
     Hue[0.3700816099933188, 1, 1], 
     Hue[0.3721659385232465, 1, 1], 
     Hue[0.3721659385232465, 1, 1], 
     Hue[0.37416785418376197`, 1, 1], 
     Hue[0.37416785418376197`, 1, 1], 
     Hue[0.376090083758622, 1, 1], 
     Hue[0.376090083758622, 1, 1], 
     Hue[0.37793529523013486`, 1, 1], 
     Hue[0.37793529523013486`, 1, 1], 
     Hue[0.37970608966108355`, 1, 1], 
     Hue[0.37970608966108355`, 1, 1], 
     Hue[0.3814049948407324, 1, 1], 
     Hue[0.3814049948407324, 1, 1], 
     Hue[0.38303446045680817`, 1, 1], 
     Hue[0.38303446045680817`, 1, 1], 
     Hue[0.3845968545779678, 1, 1], 
     Hue[0.3845968545779678, 1, 1], 
     Hue[0.3860944612534221, 1, 1], 
     Hue[0.3860944612534221, 1, 1], 
     Hue[0.38752947905757806`, 1, 1], 
     Hue[0.38752947905757806`, 1, 1], 
     Hue[0.3889040204274842, 1, 1], 
     Hue[0.3889040204274842, 1, 1], 
     Hue[0.3902201116593114, 1, 1], 
     Hue[0.3902201116593114, 1, 1], 
     Hue[0.3914796934469861, 1, 1], 
     Hue[0.3914796934469861, 1, 1], 
     Hue[0.3926846218613914, 1, 1], 
     Hue[0.3926846218613914, 1, 1], 
     Hue[0.39383666968230274`, 1, 1], 
     Hue[0.39383666968230274`, 1, 1], 
     Hue[0.39493752800747994`, 1, 1], 
     Hue[0.39493752800747994`, 1, 1], 
     Hue[0.395988808074207, 1, 1], 
     Hue[0.395988808074207, 1, 1], 
     Hue[0.39699204323813875`, 1, 1], 
     Hue[0.39699204323813875`, 1, 1], 
     Hue[0.39794869106270586`, 1, 1], 
     Hue[0.39794869106270586`, 1, 1], 
     Hue[0.39886013547964455`, 1, 1], 
     Hue[0.39886013547964455`, 1, 1], 
     Hue[0.3997276889875718, 1, 1], 
     Hue[0.3997276889875718, 1, 1], 
     Hue[0.400552594861023, 1, 1], 
     Hue[0.400552594861023, 1, 1], 
     Hue[0.4013360293470951, 1, 1], 
     Hue[0.4013360293470951, 1, 1], 
     Hue[0.40207910383090145`, 1, 1], 
     Hue[0.40207910383090145`, 1, 1], 
     Hue[0.4027828669545046, 1, 1], 
     Hue[0.4027828669545046, 1, 1], 
     Hue[0.4034483066769441, 1, 1], 
     Hue[0.4034483066769441, 1, 1], 
     Hue[0.40407635226547134`, 1, 1], 
     Hue[0.40407635226547134`, 1, 1], 
     Hue[0.4046678762102058, 1, 1], 
     Hue[0.4046678762102058, 1, 1], 
     Hue[0.4052236960561905, 1, 1], 
     Hue[0.4052236960561905, 1, 1], 
     Hue[0.4057445761482957, 1, 1], 
     Hue[0.4057445761482957, 1, 1], 
     Hue[0.40623122928563093`, 1, 1], 
     Hue[0.40623122928563093`, 1, 1], 
     Hue[0.4066843182831306, 1, 1], 
     Hue[0.4066843182831306, 1, 1], 
     Hue[0.407104457438783, 1, 1], 
     Hue[0.407104457438783, 1, 1], 
     Hue[0.4074922139056299, 1, 1], 
     Hue[0.4074922139056299, 1, 1], 
     Hue[0.4078481089681751, 1, 1], 
     Hue[0.4078481089681751, 1, 1], 
     Hue[0.4081726192232428, 1, 1], 
     Hue[0.4081726192232428, 1, 1], 
     Hue[0.4084661776656265, 1, 1], 
     Hue[0.4084661776656265, 1, 1], 
     Hue[0.4087291746790843, 1, 1], 
     Hue[0.4087291746790843, 1, 1], 
     Hue[0.4089619589333858, 1, 1], 
     Hue[0.4089619589333858, 1, 1], 
     Hue[0.4091648381882027, 1, 1], 
     Hue[0.4091648381882027, 1, 1], 
     Hue[0.40933808000466976`, 1, 1], 
     Hue[0.40933808000466976`, 1, 1], 
     Hue[0.4094819123654433, 1, 1], 
     Hue[0.4094819123654433, 1, 1], 
     Hue[0.4095965242040422, 1, 1], 
     Hue[0.4095965242040422, 1, 1], 
     Hue[0.40968206584419165`, 1, 1], 
     Hue[0.40968206584419165`, 1, 1], 
     Hue[0.40973864934980114`, 1, 1], 
     Hue[0.40973864934980114`, 1, 1], 
     Hue[0.40976634878610024`, 1, 1], 
     Hue[0.40976634878610024`, 1, 1], 
     Hue[0.4097652003923342, 1, 1], 
     Hue[0.4097652003923342, 1, 1], 
     Hue[0.4097352026662924, 1, 1], 
     Hue[0.4097352026662924, 1, 1], 
     Hue[0.40967631636080426`, 1, 1], 
     Hue[0.40967631636080426`, 1, 1], 
     Hue[0.40958846439219654`, 1, 1], 
     Hue[0.40958846439219654`, 1, 1], 
     Hue[0.40947153166056616`, 1, 1], 
     Hue[0.40947153166056616`, 1, 1], 
     Hue[0.4093253647815867, 1, 1], 
     Hue[0.4093253647815867, 1, 1], 
     Hue[0.40914977172943473`, 1, 1], 
     Hue[0.40914977172943473`, 1, 1], 
     Hue[0.4089445213903031, 1, 1], 
     Hue[0.4089445213903031, 1, 1], 
     Hue[0.4087093430258638, 1, 1], 
     Hue[0.4087093430258638, 1, 1], 
     Hue[0.4084439256459527, 1, 1], 
     Hue[0.4084439256459527, 1, 1], 
     Hue[0.40814791728968575`, 1, 1], 
     Hue[0.40814791728968575`, 1, 1], 
     Hue[0.407820924214181, 1, 1], 
     Hue[0.407820924214181, 1, 1], 
     Hue[0.4074625099900583, 1, 1], 
     Hue[0.4074625099900583, 1, 1], 
     Hue[0.40707219450293036`, 1, 1], 
     Hue[0.40707219450293036`, 1, 1], 
     Hue[0.40664945286019105`, 1, 1], 
     Hue[0.40664945286019105`, 1, 1], 
     Hue[0.4061937142025564, 1, 1], 
     Hue[0.4061937142025564, 1, 1], 
     Hue[0.4057043604200406, 1, 1], 
     Hue[0.4057043604200406, 1, 1], 
     Hue[0.40518072477235473`, 1, 1], 
     Hue[0.40518072477235473`, 1, 1], 
     Hue[0.404622090414123, 1, 1], 
     Hue[0.404622090414123, 1, 1], 
     Hue[0.4040276888258407, 1, 1], 
     Hue[0.4040276888258407, 1, 1], 
     Hue[0.4033966981521577, 1, 1], 
     Hue[0.4033966981521577, 1, 1], 
     Hue[0.4027282414498978, 1, 1], 
     Hue[0.4027282414498978, 1, 1], 
     Hue[0.40202138484924127`, 1, 1], 
     Hue[0.40202138484924127`, 1, 1], 
     Hue[0.4012751356327288, 1, 1], 
     Hue[0.4012751356327288, 1, 1], 
     Hue[0.4004884402382371, 1, 1], 
     Hue[0.4004884402382371, 1, 1], 
     Hue[0.39966018219386795`, 1, 1], 
     Hue[0.39966018219386795`, 1, 1], 
     Hue[0.3987891799948211, 1, 1], 
     Hue[0.3987891799948211, 1, 1], 
     Hue[0.3978741849348522, 1, 1], 
     Hue[0.3978741849348522, 1, 1], 
     Hue[0.3969138789079031, 1, 1], 
     Hue[0.3969138789079031, 1, 1], 
     Hue[0.39590687219900317`, 1, 1], 
     Hue[0.39590687219900317`, 1, 1], 
     Hue[0.3948517012876449, 1, 1], 
     Hue[0.3948517012876449, 1, 1], 
     Hue[0.39374682669162797`, 1, 1], 
     Hue[0.39374682669162797`, 1, 1], 
     Hue[0.3925906308849229, 1, 1], 
     Hue[0.3925906308849229, 1, 1], 
     Hue[0.3913814163295345, 1, 1], 
     Hue[0.3913814163295345, 1, 1], 
     Hue[0.39011740366874104`, 1, 1], 
     Hue[0.39011740366874104`, 1, 1], 
     Hue[0.38879673013756644`, 1, 1], 
     Hue[0.38879673013756644`, 1, 1], 
     Hue[0.387417448256012, 1, 1], 
     Hue[0.387417448256012, 1, 1], 
     Hue[0.3859775248815479, 1, 1], 
     Hue[0.3859775248815479, 1, 1], 
     Hue[0.3844748407097389, 1, 1], 
     Hue[0.3844748407097389, 1, 1], 
     Hue[0.3829071903257492, 1, 1], 
     Hue[0.3829071903257492, 1, 1], 
     Hue[0.38127228292489324`, 1, 1], 
     Hue[0.38127228292489324`, 1, 1], 
     Hue[0.3795677438374164, 1, 1], 
     Hue[0.3795677438374164, 1, 1], 
     Hue[0.377791117011254, 1, 1], 
     Hue[0.377791117011254, 1, 1], 
     Hue[0.3759398686265481, 1, 1], 
     Hue[0.3759398686265481, 1, 1], 
     Hue[0.3740113920369912, 1, 1], 
     Hue[0.3740113920369912, 1, 1], 
     Hue[0.37200301425527277`, 1, 1], 
     Hue[0.37200301425527277`, 1, 1], 
     Hue[0.3699120042225441, 1, 1], 
     Hue[0.3699120042225441, 1, 1], 
     Hue[0.36773558312414484`, 1, 1], 
     Hue[0.36773558312414484`, 1, 1], 
     Hue[0.36547093703490113`, 1, 1], 
     Hue[0.36547093703490113`, 1, 1], 
     Hue[0.36311523219577185`, 1, 1], 
     Hue[0.36311523219577185`, 1, 1], 
     Hue[0.36066563323786394`, 1, 1], 
     Hue[0.36066563323786394`, 1, 1], 
     Hue[0.3581193246777071, 1, 1], 
     Hue[0.3581193246777071, 1, 1], 
     Hue[0.3554735360066597, 1, 1], 
     Hue[0.3554735360066597, 1, 1], 
     Hue[0.3527255706843198, 1, 1], 
     Hue[0.3527255706843198, 1, 1], 
     Hue[0.3498728393173214, 1, 1], 
     Hue[0.3498728393173214, 1, 1], 
     Hue[0.34691289725692964`, 1, 1], 
     Hue[0.34691289725692964`, 1, 1], 
     Hue[0.3438434867771453, 1, 1], 
     Hue[0.3438434867771453, 1, 1], 
     Hue[0.3406625838952227, 1, 1], 
     Hue[0.3406625838952227, 1, 1], 
     Hue[0.3373684497644846, 1, 1], 
     Hue[0.3373684497644846, 1, 1], 
     Hue[0.3339596864016082, 1, 1], 
     Hue[0.3339596864016082, 1, 1], 
     Hue[0.33043529630503304`, 1, 1], 
     Hue[0.33043529630503304`, 1, 1], 
     Hue[0.3267947452776275, 1, 1], 
     Hue[0.3267947452776275, 1, 1], 
     Hue[0.3230380274879973, 1, 1], 
     Hue[0.3230380274879973, 1, 1], 
     Hue[0.3191657314972592, 1, 1], 
     Hue[0.3191657314972592, 1, 1], 
     Hue[0.3151791056528483, 1, 1], 
     Hue[0.3151791056528483, 1, 1], 
     Hue[0.31108012092428083`, 1, 1], 
     Hue[0.31108012092428083`, 1, 1], 
     Hue[0.30687152894962577`, 1, 1], 
     Hue[0.30687152894962577`, 1, 1], 
     Hue[0.302556912802752, 1, 1], 
     Hue[0.302556912802752, 1, 1], 
     Hue[0.2981407278113425, 1, 1], 
     Hue[0.2981407278113425, 1, 1], 
     Hue[0.2936283296872143, 1, 1], 
     Hue[0.2936283296872143, 1, 1], 
     Hue[0.2890259873055391, 1, 1], 
     Hue[0.2890259873055391, 1, 1], 
     Hue[0.28434087771485395`, 1, 1], 
     Hue[0.28434087771485395`, 1, 1], 
     Hue[0.2795810613922094, 1, 1], 
     Hue[0.2795810613922094, 1, 1], 
     Hue[0.2747554363801939, 1, 1], 
     Hue[0.2747554363801939, 1, 1], 
     Hue[0.2698736707395826, 1, 1], 
     Hue[0.2698736707395826, 1, 1], 
     Hue[0.26494611368772086`, 1, 1], 
     Hue[0.26494611368772086`, 1, 1], 
     Hue[0.25998368681347317`, 1, 1], 
     Hue[0.25998368681347317`, 1, 1], 
     Hue[0.25499775779345213`, 1, 1], 
     Hue[0.25499775779345213`, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.24500224220654787`, 1, 1], 
     Hue[0.24500224220654787`, 1, 1], 
     Hue[0.24001631318652636`, 1, 1], 
     Hue[0.24001631318652636`, 1, 1], 
     Hue[0.23505388631227916`, 1, 1], 
     Hue[0.23505388631227916`, 1, 1], 
     Hue[0.2301263292604174, 1, 1], 
     Hue[0.2301263292604174, 1, 1], 
     Hue[0.2252445636198061, 1, 1], 
     Hue[0.2252445636198061, 1, 1], 
     Hue[0.22041893860779022`, 1, 1], 
     Hue[0.22041893860779022`, 1, 1], 
     Hue[0.21565912228514605`, 1, 1], 
     Hue[0.21565912228514605`, 1, 1], 
     Hue[0.21097401269446092`, 1, 1], 
     Hue[0.21097401269446092`, 1, 1], 
     Hue[0.20637167031278572`, 1, 1], 
     Hue[0.20637167031278572`, 1, 1], 
     Hue[0.20185927218865712`, 1, 1], 
     Hue[0.20185927218865712`, 1, 1], 
     Hue[0.19744308719724804`, 1, 1], 
     Hue[0.19744308719724804`, 1, 1], 
     Hue[0.19312847105037426`, 1, 1], 
     Hue[0.19312847105037426`, 1, 1], 
     Hue[0.18891987907571917`, 1, 1], 
     Hue[0.18891987907571917`, 1, 1], 
     Hue[0.1848208943471517, 1, 1], 
     Hue[0.1848208943471517, 1, 1], 
     Hue[0.18083426850274045`, 1, 1], 
     Hue[0.18083426850274045`, 1, 1], 
     Hue[0.17696197251200269`, 1, 1], 
     Hue[0.17696197251200269`, 1, 1], 
     Hue[0.17320525472237253`, 1, 1], 
     Hue[0.17320525472237253`, 1, 1], 
     Hue[0.16956470369496696`, 1, 1], 
     Hue[0.16956470369496696`, 1, 1], 
     Hue[0.1660403135983915, 1, 1], 
     Hue[0.1660403135983915, 1, 1], 
     Hue[0.16263155023551543`, 1, 1], 
     Hue[0.16263155023551543`, 1, 1], 
     Hue[0.1593374161047773, 1, 1], 
     Hue[0.1593374161047773, 1, 1], 
     Hue[0.15615651322285468`, 1, 1], 
     Hue[0.15615651322285468`, 1, 1], 
     Hue[0.1530871027430701, 1, 1], 
     Hue[0.1530871027430701, 1, 1], 
     Hue[0.15012716068267867`, 1, 1], 
     Hue[0.15012716068267867`, 1, 1], 
     Hue[0.14727442931568024`, 1, 1], 
     Hue[0.14727442931568024`, 1, 1], 
     Hue[0.14452646399334027`, 1, 1], 
     Hue[0.14452646399334027`, 1, 1], 
     Hue[0.14188067532229273`, 1, 1], 
     Hue[0.14188067532229273`, 1, 1], 
     Hue[0.13933436676213606`, 1, 1], 
     Hue[0.13933436676213606`, 1, 1], 
     Hue[0.13688476780422817`, 1, 1], 
     Hue[0.13688476780422817`, 1, 1], 
     Hue[0.1345290629650989, 1, 1], 
     Hue[0.1345290629650989, 1, 1], 
     Hue[0.13226441687585494`, 1, 1], 
     Hue[0.13226441687585494`, 1, 1], 
     Hue[0.13008799577745597`, 1, 1], 
     Hue[0.13008799577745597`, 1, 1], 
     Hue[0.12799698574472723`, 1, 1], 
     Hue[0.12799698574472723`, 1, 1], 
     Hue[0.12598860796300887`, 1, 1], 
     Hue[0.12598860796300887`, 1, 1], 
     Hue[0.12406013137345176`, 1, 1], 
     Hue[0.12406013137345176`, 1, 1], 
     Hue[0.12220888298874596`, 1, 1], 
     Hue[0.12220888298874596`, 1, 1], 
     Hue[0.12043225616258356`, 1, 1], 
     Hue[0.12043225616258356`, 1, 1], 
     Hue[0.11872771707510678`, 1, 1], 
     Hue[0.11872771707510678`, 1, 1], 
     Hue[0.11709280967425079`, 1, 1], 
     Hue[0.11709280967425079`, 1, 1], 
     Hue[0.11552515929026094`, 1, 1], 
     Hue[0.11552515929026094`, 1, 1], 
     Hue[0.11402247511845215`, 1, 1], 
     Hue[0.11402247511845215`, 1, 1], 
     Hue[0.11258255174398803`, 1, 1], 
     Hue[0.11258255174398803`, 1, 1], 
     Hue[0.11120326986243356`, 1, 1], 
     Hue[0.11120326986243356`, 1, 1], 
     Hue[0.10988259633125891`, 1, 1], 
     Hue[0.10988259633125891`, 1, 1], 
     Hue[0.10861858367046552`, 1, 1], 
     Hue[0.10861858367046552`, 1, 1], 
     Hue[0.1074093691150771, 1, 1], 
     Hue[0.1074093691150771, 1, 1], 
     Hue[0.10625317330837203`, 1, 1], 
     Hue[0.10625317330837203`, 1, 1], 
     Hue[0.10514829871235498`, 1, 1], 
     Hue[0.10514829871235498`, 1, 1], 
     Hue[0.1040931278009968, 1, 1], 
     Hue[0.1040931278009968, 1, 1], 
     Hue[0.10308612109209696`, 1, 1], 
     Hue[0.10308612109209696`, 1, 1], 
     Hue[0.10212581506514784`, 1, 1], 
     Hue[0.10212581506514784`, 1, 1], 
     Hue[0.1012108200051788, 1, 1], 
     Hue[0.1012108200051788, 1, 1], 
     Hue[0.10033981780613205`, 1, 1], 
     Hue[0.10033981780613205`, 1, 1], 
     Hue[0.09951155976176294, 1, 1], 
     Hue[0.09951155976176294, 1, 1], 
     Hue[0.09872486436727118, 1, 1], 
     Hue[0.09872486436727118, 1, 1], 
     Hue[0.09797861515075862, 1, 1], 
     Hue[0.09797861515075862, 1, 1], 
     Hue[0.09727175855010227, 1, 1], 
     Hue[0.09727175855010227, 1, 1], 
     Hue[0.09660330184784235, 1, 1], 
     Hue[0.09660330184784235, 1, 1], 
     Hue[0.09597231117415929, 1, 1], 
     Hue[0.09597231117415929, 1, 1], 
     Hue[0.09537790958587701, 1, 1], 
     Hue[0.09537790958587701, 1, 1], 
     Hue[0.0948192752276453, 1, 1], 
     Hue[0.0948192752276453, 1, 1], 
     Hue[0.09429563957995939, 1, 1], 
     Hue[0.09429563957995939, 1, 1], 
     Hue[0.09380628579744363, 1, 1], 
     Hue[0.09380628579744363, 1, 1], 
     Hue[0.09335054713980892, 1, 1], 
     Hue[0.09335054713980892, 1, 1], 
     Hue[0.09292780549706957, 1, 1], 
     Hue[0.09292780549706957, 1, 1], 
     Hue[0.09253749000994174, 1, 1], 
     Hue[0.09253749000994174, 1, 1], 
     Hue[0.09217907578581903, 1, 1], 
     Hue[0.09217907578581903, 1, 1], 
     Hue[0.09185208271031428, 1, 1], 
     Hue[0.09185208271031428, 1, 1], 
     Hue[0.09155607435404725, 1, 1], 
     Hue[0.09155607435404725, 1, 1], 
     Hue[0.09129065697413616, 1, 1], 
     Hue[0.09129065697413616, 1, 1], 
     Hue[0.09105547860969695, 1, 1], 
     Hue[0.09105547860969695, 1, 1], 
     Hue[0.09085022827056533, 1, 1], 
     Hue[0.09085022827056533, 1, 1], 
     Hue[0.09067463521841328, 1, 1], 
     Hue[0.09067463521841328, 1, 1], 
     Hue[0.09052846833943386, 1, 1], 
     Hue[0.09052846833943386, 1, 1], 
     Hue[0.0904115356078035, 1, 1], 
     Hue[0.0904115356078035, 1, 1], 
     Hue[0.09032368363919577, 1, 1], 
     Hue[0.09032368363919577, 1, 1], 
     Hue[0.09026479733370765, 1, 1], 
     Hue[0.09026479733370765, 1, 1], 
     Hue[0.09023479960766582, 1, 1], 
     Hue[0.09023479960766582, 1, 1], 
     Hue[0.09023365121389974, 1, 1], 
     Hue[0.09023365121389974, 1, 1], 
     Hue[0.09026135065019884, 1, 1], 
     Hue[0.09026135065019884, 1, 1], 
     Hue[0.09031793415580841, 1, 1], 
     Hue[0.09031793415580841, 1, 1], 
     Hue[0.09040347579595784, 1, 1], 
     Hue[0.09040347579595784, 1, 1], 
     Hue[0.09051808763455671, 1, 1], 
     Hue[0.09051808763455671, 1, 1], 
     Hue[0.0906619199953303, 1, 1], 
     Hue[0.0906619199953303, 1, 1], 
     Hue[0.09083516181179734, 1, 1], 
     Hue[0.09083516181179734, 1, 1], 
     Hue[0.09103804106661419, 1, 1], 
     Hue[0.09103804106661419, 1, 1], 
     Hue[0.09127082532091571, 1, 1], 
     Hue[0.09127082532091571, 1, 1], 
     Hue[0.09153382233437349, 1, 1], 
     Hue[0.09153382233437349, 1, 1], 
     Hue[0.09182738077675719, 1, 1], 
     Hue[0.09182738077675719, 1, 1], 
     Hue[0.09215189103182497, 1, 1], 
     Hue[0.09215189103182497, 1, 1], 
     Hue[0.09250778609437008, 1, 1], 
     Hue[0.09250778609437008, 1, 1], 
     Hue[0.09289554256121696, 1, 1], 
     Hue[0.09289554256121696, 1, 1], 
     Hue[0.09331568171686941, 1, 1], 
     Hue[0.09331568171686941, 1, 1], 
     Hue[0.09376877071436909, 1, 1], 
     Hue[0.09376877071436909, 1, 1], 
     Hue[0.09425542385170431, 1, 1], 
     Hue[0.09425542385170431, 1, 1], 
     Hue[0.09477630394380945, 1, 1], 
     Hue[0.09477630394380945, 1, 1], 
     Hue[0.09533212378979423, 1, 1], 
     Hue[0.09533212378979423, 1, 1], 
     Hue[0.0959236477345287, 1, 1], 
     Hue[0.0959236477345287, 1, 1], 
     Hue[0.09655169332305595, 1, 1], 
     Hue[0.09655169332305595, 1, 1], 
     Hue[0.09721713304549541, 1, 1], 
     Hue[0.09721713304549541, 1, 1], 
     Hue[0.09792089616909852, 1, 1], 
     Hue[0.09792089616909852, 1, 1], 
     Hue[0.09866397065290494, 1, 1], 
     Hue[0.09866397065290494, 1, 1], 
     Hue[0.09944740513897704, 1, 1], 
     Hue[0.09944740513897704, 1, 1], 
     Hue[0.10027231101242819`, 1, 1], 
     Hue[0.10027231101242819`, 1, 1], 
     Hue[0.10113986452035546`, 1, 1], 
     Hue[0.10113986452035546`, 1, 1], 
     Hue[0.10205130893729414`, 1, 1], 
     Hue[0.10205130893729414`, 1, 1], 
     Hue[0.10300795676186128`, 1, 1], 
     Hue[0.10300795676186128`, 1, 1], 
     Hue[0.10401119192579301`, 1, 1], 
     Hue[0.10401119192579301`, 1, 1], 
     Hue[0.10506247199252004`, 1, 1], 
     Hue[0.10506247199252004`, 1, 1], 
     Hue[0.10616333031769733`, 1, 1], 
     Hue[0.10616333031769733`, 1, 1], 
     Hue[0.10731537813860864`, 1, 1], 
     Hue[0.10731537813860864`, 1, 1], 
     Hue[0.10852030655301394`, 1, 1], 
     Hue[0.10852030655301394`, 1, 1], 
     Hue[0.10977988834068858`, 1, 1], 
     Hue[0.10977988834068858`, 1, 1], 
     Hue[0.11109597957251591`, 1, 1], 
     Hue[0.11109597957251591`, 1, 1], 
     Hue[0.11247052094242196`, 1, 1], 
     Hue[0.11247052094242196`, 1, 1], 
     Hue[0.1139055387465779, 1, 1], 
     Hue[0.1139055387465779, 1, 1], 
     Hue[0.11540314542203223`, 1, 1], 
     Hue[0.11540314542203223`, 1, 1], 
     Hue[0.11696553954319186`, 1, 1], 
     Hue[0.11696553954319186`, 1, 1], 
     Hue[0.1185950051592677, 1, 1], 
     Hue[0.1185950051592677, 1, 1], 
     Hue[0.12029391033891654`, 1, 1], 
     Hue[0.12029391033891654`, 1, 1], 
     Hue[0.12206470476986518`, 1, 1], 
     Hue[0.12206470476986518`, 1, 1], 
     Hue[0.12390991624137798`, 1, 1], 
     Hue[0.12390991624137798`, 1, 1], 
     Hue[0.12583214581623814`, 1, 1], 
     Hue[0.12583214581623814`, 1, 1], 
     Hue[0.1278340614767536, 1, 1], 
     Hue[0.1278340614767536, 1, 1], 
     Hue[0.12991839000668118`, 1, 1], 
     Hue[0.12991839000668118`, 1, 1], 
     Hue[0.13208790684856403`, 1, 1], 
     Hue[0.13208790684856403`, 1, 1], 
     Hue[0.13434542365478308`, 1, 1], 
     Hue[0.13434542365478308`, 1, 1], 
     Hue[0.13669377323187623`, 1, 1], 
     Hue[0.13669377323187623`, 1, 1], 
     Hue[0.13913579156304676`, 1, 1], 
     Hue[0.13913579156304676`, 1, 1], 
     Hue[0.14167429658529898`, 1, 1], 
     Hue[0.14167429658529898`, 1, 1], 
     Hue[0.1443120633978587, 1, 1], 
     Hue[0.1443120633978587, 1, 1], 
     Hue[0.1470517955904467, 1, 1], 
     Hue[0.1470517955904467, 1, 1], 
     Hue[0.14989609240710206`, 1, 1], 
     Hue[0.14989609240710206`, 1, 1], 
     Hue[0.15284741150750505`, 1, 1], 
     Hue[0.15284741150750505`, 1, 1], 
     Hue[0.15590802715741112`, 1, 1], 
     Hue[0.15590802715741112`, 1, 1], 
     Hue[0.15907998377720747`, 1, 1], 
     Hue[0.15907998377720747`, 1, 1], 
     Hue[0.1623650449069375, 1, 1], 
     Hue[0.1623650449069375, 1, 1], 
     Hue[0.16576463781088568`, 1, 1], 
     Hue[0.16576463781088568`, 1, 1], 
     Hue[0.1692797941473075, 1, 1], 
     Hue[0.1692797941473075, 1, 1], 
     Hue[0.17291108736941907`, 1, 1], 
     Hue[0.17291108736941907`, 1, 1], 
     Hue[0.17665856779990746`, 1, 1], 
     Hue[0.17665856779990746`, 1, 1], 
     Hue[0.18052169662681145`, 1, 1], 
     Hue[0.18052169662681145`, 1, 1], 
     Hue[0.18449928039300711`, 1, 1], 
     Hue[0.18449928039300711`, 1, 1], 
     Hue[0.18858940787878894`, 1, 1], 
     Hue[0.18858940787878894`, 1, 1], 
     Hue[0.19278939158576827`, 1, 1], 
     Hue[0.19278939158576827`, 1, 1], 
     Hue[0.1970957162938749, 1, 1], 
     Hue[0.1970957162938749, 1, 1], 
     Hue[0.2015039973507787, 1, 1], 
     Hue[0.2015039973507787, 1, 1], 
     Hue[0.2060089514316073, 1, 1], 
     Hue[0.2060089514316073, 1, 1], 
     Hue[0.21060438244426793`, 1, 1], 
     Hue[0.21060438244426793`, 1, 1], 
     Hue[0.21528318502474542`, 1, 1], 
     Hue[0.21528318502474542`, 1, 1], 
     Hue[0.2200373676494826, 1, 1], 
     Hue[0.2200373676494826, 1, 1], 
     Hue[0.2248580967844022, 1, 1], 
     Hue[0.2248580967844022, 1, 1], 
     Hue[0.22973576270598123`, 1, 1], 
     Hue[0.22973576270598123`, 1, 1], 
     Hue[0.234660066702778, 1, 1], 
     Hue[0.234660066702778, 1, 1], 
     Hue[0.23962012834935453`, 1, 1], 
     Hue[0.23962012834935453`, 1, 1], 
     Hue[0.24460461050883225`, 1, 1], 
     Hue[0.24460461050883225`, 1, 1], 
     Hue[0.24960185874604135`, 1, 1], 
     Hue[0.24960185874604135`, 1, 1], 
     Hue[0.25460005100322186`, 1, 1], 
     Hue[0.25460005100322186`, 1, 1], 
     Hue[0.2595873527794301, 1, 1], 
     Hue[0.2595873527794301, 1, 1], 
     Hue[0.2645520727207614, 1, 1], 
     Hue[0.2645520727207614, 1, 1], 
     Hue[0.2694828135033719, 1, 1], 
     Hue[0.2694828135033719, 1, 1], 
     Hue[0.27436861317757194`, 1, 1], 
     Hue[0.27436861317757194`, 1, 1], 
     Hue[0.2791990727112367, 1, 1], 
     Hue[0.2791990727112367, 1, 1], 
     Hue[0.2839644662705708, 1, 1], 
     Hue[0.2839644662705708, 1, 1], 
     Hue[0.2886558317330062, 1, 1], 
     Hue[0.2886558317330062, 1, 1], 
     Hue[0.29326503995852515`, 1, 1], 
     Hue[0.29326503995852515`, 1, 1], 
     Hue[0.29778484237025704`, 1, 1], 
     Hue[0.29778484237025704`, 1, 1], 
     Hue[0.3022088973405367, 1, 1], 
     Hue[0.3022088973405367, 1, 1], 
     Hue[0.3065317766882842, 1, 1], 
     Hue[0.3065317766882842, 1, 1], 
     Hue[0.3107489542306672, 1, 1], 
     Hue[0.3107489542306672, 1, 1], 
     Hue[0.31485677877972856`, 1, 1], 
     Hue[0.31485677877972856`, 1, 1], 
     Hue[0.31885243423437515`, 1, 1], 
     Hue[0.31885243423437515`, 1, 1], 
     Hue[0.3227338895058733, 1, 1], 
     Hue[0.3227338895058733, 1, 1], 
     Hue[0.3264998409568379, 1, 1], 
     Hue[0.3264998409568379, 1, 1], 
     Hue[0.3301496498612987, 1, 1], 
     Hue[0.3301496498612987, 1, 1], 
     Hue[0.3336832771398179, 1, 1], 
     Hue[0.3336832771398179, 1, 1], 
     Hue[0.3371012173201974, 1, 1], 
     Hue[0.3371012173201974, 1, 1], 
     Hue[0.34040443334841713`, 1, 1], 
     Hue[0.34040443334841713`, 1, 1], 
     Hue[0.34359429354841786`, 1, 1], 
     Hue[0.34359429354841786`, 1, 1], 
     Hue[0.34667251171989366`, 1, 1], 
     Hue[0.34667251171989366`, 1, 1], 
     Hue[0.34964109108192515`, 1, 1], 
     Hue[0.34964109108192515`, 1, 1], 
     Hue[0.3525022725238161, 1, 1], 
     Hue[0.3525022725238161, 1, 1], 
     Hue[0.3552584874159237, 1, 1], 
     Hue[0.3552584874159237, 1, 1], 
     Hue[0.3579123150626076, 1, 1], 
     Hue[0.3579123150626076, 1, 1], 
     Hue[0.3604664447446762, 1, 1], 
     Hue[0.3604664447446762, 1, 1], 
     Hue[0.36292364219647844`, 1, 1], 
     Hue[0.36292364219647844`, 1, 1], 
     Hue[0.36528672028901343`, 1, 1], 
     Hue[0.36528672028901343`, 1, 1], 
     Hue[0.3675585136407253, 1, 1], 
     Hue[0.3675585136407253, 1, 1], 
     Hue[0.3697418568477629, 1, 1], 
     Hue[0.3697418568477629, 1, 1], 
     Hue[0.37183956601138585`, 1, 1], 
     Hue[0.37183956601138585`, 1, 1], 
     Hue[0.3738544232383413, 1, 1], 
     Hue[0.3738544232383413, 1, 1], 
     Hue[0.3757891637973037, 1, 1], 
     Hue[0.3757891637973037, 1, 1], 
     Hue[0.3776464656282834, 1, 1], 
     Hue[0.3776464656282834, 1, 1], 
     Hue[0.3794289409201123, 1, 1], 
     Hue[0.3794289409201123, 1, 1], 
     Hue[0.3811391294920206, 1, 1], 
     Hue[0.3811391294920206, 1, 1], 
     Hue[0.3827794937375929, 1, 1], 
     Hue[0.3827794937375929, 1, 1], 
     Hue[0.3843524149120281, 1, 1], 
     Hue[0.3843524149120281, 1, 1], 
     Hue[0.385860190565898, 1, 1], 
     Hue[0.385860190565898, 1, 1], 
     Hue[0.38730503294996915`, 1, 1], 
     Hue[0.38730503294996915`, 1, 1], 
     Hue[0.3886890682357987, 1, 1], 
     Hue[0.3886890682357987, 1, 1], 
     Hue[0.39001433641549577`, 1, 1], 
     Hue[0.39001433641549577`, 1, 1], 
     Hue[0.39128279176118663`, 1, 1], 
     Hue[0.39128279176118663`, 1, 1], 
     Hue[0.3924963037402669, 1, 1], 
     Hue[0.3924963037402669, 1, 1], 
     Hue[0.3936566582965189, 1, 1], 
     Hue[0.3936566582965189, 1, 1], 
     Hue[0.3947655594196596, 1, 1], 
     Hue[0.3947655594196596, 1, 1], 
     Hue[0.39582463093696935`, 1, 1], 
     Hue[0.39582463093696935`, 1, 1], 
     Hue[0.39683541847041853`, 1, 1], 
     Hue[0.39683541847041853`, 1, 1], 
     Hue[0.3977993915112822, 1, 1], 
     Hue[0.3977993915112822, 1, 1], 
     Hue[0.39871794557170975`, 1, 1], 
     Hue[0.39871794557170975`, 1, 1], 
     Hue[0.3995924043792208, 1, 1], 
     Hue[0.3995924043792208, 1, 1], 
     Hue[0.4004240220857197, 1, 1], 
     Hue[0.4004240220857197, 1, 1], 
     Hue[0.4012139854674696, 1, 1], 
     Hue[0.4012139854674696, 1, 1], 
     Hue[0.4019634160966237, 1, 1], 
     Hue[0.4019634160966237, 1, 1], 
     Hue[0.40267337246846663`, 1, 1], 
     Hue[0.40267337246846663`, 1, 1], 
     Hue[0.40334485207154597`, 1, 1], 
     Hue[0.40334485207154597`, 1, 1], 
     Hue[0.4039787933904346, 1, 1], 
     Hue[0.4039787933904346, 1, 1], 
     Hue[0.40457607783302807`, 1, 1], 
     Hue[0.40457607783302807`, 1, 1], 
     Hue[0.4051375315760956, 1, 1], 
     Hue[0.4051375315760956, 1, 1], 
     Hue[0.40566392732431555`, 1, 1], 
     Hue[0.40566392732431555`, 1, 1], 
     Hue[0.40615598597928, 1, 1], 
     Hue[0.40615598597928, 1, 1], 
     Hue[0.4066143782159855, 1, 1], 
     Hue[0.4066143782159855, 1, 1], 
     Hue[0.4070397259651638, 1, 1], 
     Hue[0.4070397259651638, 1, 1], 
     Hue[0.40743260380048346`, 1, 1], 
     Hue[0.40743260380048346`, 1, 1], 
     Hue[0.40779354023018966`, 1, 1], 
     Hue[0.40779354023018966`, 1, 1], 
     Hue[0.40812301889316455`, 1, 1], 
     Hue[0.40812301889316455`, 1, 1], 
     Hue[0.40842147965970677`, 1, 1], 
     Hue[0.40842147965970677`, 1, 1], 
     Hue[0.4086893196375572, 1, 1], 
     Hue[0.4086893196375572, 1, 1], 
     Hue[0.4089268940838584, 1, 1], 
     Hue[0.4089268940838584, 1, 1], 
     Hue[0.40913451722382566`, 1, 1], 
     Hue[0.40913451722382566`, 1, 1], 
     Hue[0.40931246297695767`, 1, 1], 
     Hue[0.40931246297695767`, 1, 1], 
     Hue[0.4094609655916141, 1, 1], 
     Hue[0.4094609655916141, 1, 1], 
     Hue[0.4095802201887543, 1, 1], 
     Hue[0.4095802201887543, 1, 1], 
     Hue[0.40967038321556987`, 1, 1], 
     Hue[0.40967038321556987`, 1, 1], 
     Hue[0.40973157280965783`, 1, 1], 
     Hue[0.40973157280965783`, 1, 1], 
     Hue[0.40976386907427487`, 1, 1], 
     Hue[0.40976386907427487`, 1, 1], 
     Hue[0.4097673142650973, 1, 1], 
     Hue[0.4097673142650973, 1, 1], 
     Hue[0.4097419128887791, 1, 1], 
     Hue[0.4097419128887791, 1, 1], 
     Hue[0.40968763171346423`, 1, 1], 
     Hue[0.40968763171346423`, 1, 1], 
     Hue[0.4096043996912722, 1, 1], 
     Hue[0.4096043996912722, 1, 1], 
     Hue[0.4094921077926311, 1, 1], 
     Hue[0.4094921077926311, 1, 1], 
     Hue[0.4093506087521979, 1, 1], 
     Hue[0.4093506087521979, 1, 1], 
     Hue[0.40917971672597286`, 1, 1], 
     Hue[0.40917971672597286`, 1, 1], 
     Hue[0.4089792068590938, 1, 1], 
     Hue[0.4089792068590938, 1, 1], 
     Hue[0.4087488147636875, 1, 1], 
     Hue[0.4087488147636875, 1, 1], 
     Hue[0.4084882359060634, 1, 1], 
     Hue[0.4084882359060634, 1, 1], 
     Hue[0.4081971249024685, 1, 1], 
     Hue[0.4081971249024685, 1, 1], 
     Hue[0.40787509472258066`, 1, 1], 
     Hue[0.40787509472258066`, 1, 1], 
     Hue[0.4075217157999094, 1, 1], 
     Hue[0.4075217157999094, 1, 1], 
     Hue[0.40713651504830894`, 1, 1], 
     Hue[0.40713651504830894`, 1, 1], 
     Hue[0.40671897478388985`, 1, 1], 
     Hue[0.40671897478388985`, 1, 1], 
     Hue[0.4062685315517588, 1, 1], 
     Hue[0.4062685315517588, 1, 1], 
     Hue[0.4057845748572241, 1, 1], 
     Hue[0.4057845748572241, 1, 1], 
     Hue[0.4052664458014015, 1, 1], 
     Hue[0.4052664458014015, 1, 1], 
     Hue[0.4047134356215437, 1, 1], 
     Hue[0.4047134356215437, 1, 1], 
     Hue[0.4041247841369232, 1, 1], 
     Hue[0.4041247841369232, 1, 1], 
     Hue[0.40349967810173687`, 1, 1], 
     Hue[0.40349967810173687`, 1, 1], 
     Hue[0.4028372494673021, 1, 1], 
     Hue[0.4028372494673021, 1, 1], 
     Hue[0.40213657355679083`, 1, 1], 
     Hue[0.40213657355679083`, 1, 1], 
     Hue[0.4013966671569524, 1, 1], 
     Hue[0.4013966671569524, 1, 1], 
     Hue[0.4006164865327162, 1, 1], 
     Hue[0.4006164865327162, 1, 1], 
     Hue[0.3997949253723106, 1, 1], 
     Hue[0.3997949253723106, 1, 1], 
     Hue[0.3989308126726016, 1, 1], 
     Hue[0.3989308126726016, 1, 1], 
     Hue[0.39802291057682393`, 1, 1], 
     Hue[0.39802291057682393`, 1, 1], 
     Hue[0.39706991217978066`, 1, 1], 
     Hue[0.39706991217978066`, 1, 1], 
     Hue[0.3960704393190141, 1, 1], 
     Hue[0.3960704393190141, 1, 1], 
     Hue[0.3950230403744523, 1, 1], 
     Hue[0.3950230403744523, 1, 1], 
     Hue[0.3939261881037157, 1, 1], 
     Hue[0.3939261881037157, 1, 1], 
     Hue[0.3927782775456926, 1, 1], 
     Hue[0.3927782775456926, 1, 1], 
     Hue[0.3915776240312785, 1, 1], 
     Hue[0.3915776240312785, 1, 1], 
     Hue[0.39032246134740683`, 1, 1], 
     Hue[0.39032246134740683`, 1, 1], 
     Hue[0.3890109401088014, 1, 1], 
     Hue[0.3890109401088014, 1, 1], 
     Hue[0.38764112640135273`, 1, 1], 
     Hue[0.38764112640135273`, 1, 1], 
     Hue[0.3862110007717797, 1, 1], 
     Hue[0.3862110007717797, 1, 1], 
     Hue[0.38471845765038143`, 1, 1], 
     Hue[0.38471845765038143`, 1, 1], 
     Hue[0.3831613053073117, 1, 1], 
     Hue[0.3831613053073117, 1, 1], 
     Hue[0.3815372664579834, 1, 1], 
     Hue[0.3815372664579834, 1, 1], 
     Hue[0.37984397964996813`, 1, 1], 
     Hue[0.37984397964996813`, 1, 1], 
     Hue[0.3780790015820822, 1, 1], 
     Hue[0.3780790015820822, 1, 1], 
     Hue[0.3762398105261576, 1, 1], 
     Hue[0.3762398105261576, 1, 1], 
     Hue[0.3743238110431041, 1, 1], 
     Hue[0.3743238110431041, 1, 1], 
     Hue[0.37232834020695776`, 1, 1], 
     Hue[0.37232834020695776`, 1, 1], 
     Hue[0.3702506755732251, 1, 1], 
     Hue[0.3702506755732251, 1, 1], 
     Hue[0.36808804515026455`, 1, 1], 
     Hue[0.36808804515026455`, 1, 1], 
     Hue[0.3658376396537971, 1, 1], 
     Hue[0.3658376396537971, 1, 1], 
     Hue[0.36349662734361776`, 1, 1], 
     Hue[0.36349662734361776`, 1, 1], 
     Hue[0.3610621717566253, 1, 1], 
     Hue[0.3610621717566253, 1, 1], 
     Hue[0.35853145265932884`, 1, 1], 
     Hue[0.35853145265932884`, 1, 1], 
     Hue[0.3559016905435864, 1, 1], 
     Hue[0.3559016905435864, 1, 1], 
     Hue[0.35317017497845665`, 1, 1], 
     Hue[0.35317017497845665`, 1, 1], 
     Hue[0.35033429710528197`, 1, 1], 
     Hue[0.35033429710528197`, 1, 1], 
     Hue[0.34739158651852614`, 1, 1], 
     Hue[0.34739158651852614`, 1, 1], 
     Hue[0.3443397527072723, 1, 1], 
     Hue[0.3443397527072723, 1, 1], 
     Hue[0.341176731137236, 1, 1], 
     Hue[0.341176731137236, 1, 1], 
     Hue[0.337900733926512, 1, 1], 
     Hue[0.337900733926512, 1, 1], 
     Hue[0.3345103049064355, 1, 1], 
     Hue[0.3345103049064355, 1, 1], 
     Hue[0.33100437865951315`, 1, 1], 
     Hue[0.33100437865951315`, 1, 1], 
     Hue[0.3273823428888128, 1, 1], 
     Hue[0.3273823428888128, 1, 1], 
     Hue[0.3236441031997362, 1, 1], 
     Hue[0.3236441031997362, 1, 1], 
     Hue[0.31979014907151404`, 1, 1], 
     Hue[0.31979014907151404`, 1, 1], 
     Hue[0.31582161947237253`, 1, 1], 
     Hue[0.31582161947237253`, 1, 1], 
     Hue[0.311740366244582, 1, 1], 
     Hue[0.311740366244582, 1, 1], 
     Hue[0.3075490130744722, 1, 1], 
     Hue[0.3075490130744722, 1, 1], 
     Hue[0.30325100759426465`, 1, 1], 
     Hue[0.30325100759426465`, 1, 1], 
     Hue[0.2988506639677756, 1, 1], 
     Hue[0.2988506639677756, 1, 1], 
     Hue[0.29435319322361203`, 1, 1], 
     Hue[0.29435319322361203`, 1, 1], 
     Hue[0.289764718649698, 1, 1], 
     Hue[0.289764718649698, 1, 1], 
     Hue[0.28509227377972146`, 1, 1], 
     Hue[0.28509227377972146`, 1, 1], 
     Hue[0.2803437809041249, 1, 1], 
     Hue[0.2803437809041249, 1, 1], 
     Hue[0.2755280086309337, 1, 1], 
     Hue[0.2755280086309337, 1, 1], 
     Hue[0.27065450779275485`, 1, 1], 
     Hue[0.27065450779275485`, 1, 1], 
     Hue[0.2657335259136293, 1, 1], 
     Hue[0.2657335259136293, 1, 1], 
     Hue[0.26077590146112783`, 1, 1], 
     Hue[0.26077590146112783`, 1, 1], 
     Hue[0.2557929401461357, 1, 1], 
     Hue[0.2557929401461357, 1, 1], 
     Hue[0.2507962765149805, 1, 1], 
     Hue[0.2507962765149805, 1, 1], 
     Hue[0.24579772492300683`, 1, 1], 
     Hue[0.24579772492300683`, 1, 1], 
     Hue[0.24080912460930698`, 1, 1], 
     Hue[0.24080912460930698`, 1, 1], 
     Hue[0.23584218394998716`, 1, 1], 
     Hue[0.23584218394998716`, 1, 1], 
     Hue[0.23090832901755357`, 1, 1], 
     Hue[0.23090832901755357`, 1, 1], 
     Hue[0.22601856131189288`, 1, 1], 
     Hue[0.22601856131189288`, 1, 1], 
     Hue[0.22118332897925852`, 1, 1], 
     Hue[0.22118332897925852`, 1, 1], 
     Hue[0.2164124150517172, 1, 1], 
     Hue[0.2164124150517172, 1, 1], 
     Hue[0.2117148452923127, 1, 1], 
     Hue[0.2117148452923127, 1, 1], 
     Hue[0.20709881720257367`, 1, 1], 
     Hue[0.20709881720257367`, 1, 1], 
     Hue[0.20257165072107905`, 1, 1], 
     Hue[0.20257165072107905`, 1, 1], 
     Hue[0.1981397601878183, 1, 1], 
     Hue[0.1981397601878183, 1, 1], 
     Hue[0.19380864632700245`, 1, 1], 
     Hue[0.19380864632700245`, 1, 1], 
     Hue[0.18958290634925357`, 1, 1], 
     Hue[0.18958290634925357`, 1, 1], 
     Hue[0.18546625981113685`, 1, 1], 
     Hue[0.18546625981113685`, 1, 1], 
     Hue[0.18146158759572487`, 1, 1], 
     Hue[0.18146158759572487`, 1, 1], 
     Hue[0.1775709812773081, 1, 1], 
     Hue[0.1775709812773081, 1, 1], 
     Hue[0.17379580018099575`, 1, 1], 
     Hue[0.17379580018099575`, 1, 1], 
     Hue[0.17013673361250628`, 1, 1], 
     Hue[0.17013673361250628`, 1, 1], 
     Hue[0.16659386598174125`, 1, 1], 
     Hue[0.16659386598174125`, 1, 1], 
     Hue[0.1631667428442974, 1, 1], 
     Hue[0.1631667428442974, 1, 1], 
     Hue[0.15985443621005277`, 1, 1], 
     Hue[0.15985443621005277`, 1, 1], 
     Hue[0.15665560779468002`, 1, 1], 
     Hue[0.15665560779468002`, 1, 1], 
     Hue[0.15356856920118103`, 1, 1], 
     Hue[0.15356856920118103`, 1, 1], 
     Hue[0.15059133830243193`, 1, 1], 
     Hue[0.15059133830243193`, 1, 1], 
     Hue[0.14772169134510757`, 1, 1], 
     Hue[0.14772169134510757`, 1, 1], 
     Hue[0.14495721050700522`, 1, 1], 
     Hue[0.14495721050700522`, 1, 1], 
     Hue[0.1422953268133908, 1, 1], 
     Hue[0.1422953268133908, 1, 1], 
     Hue[0.13973335845550908`, 1, 1], 
     Hue[0.13973335845550908`, 1, 1], 
     Hue[0.13726854465906446`, 1, 1], 
     Hue[0.13726854465906446`, 1, 1], 
     Hue[0.13489807532636885`, 1, 1], 
     Hue[0.13489807532636885`, 1, 1], 
     Hue[0.13261911672730686`, 1, 1], 
     Hue[0.13261911672730686`, 1, 1], 
     Hue[0.13042883354559187`, 1, 1], 
     Hue[0.13042883354559187`, 1, 1], 
     Hue[0.1283244076020012, 1, 1], 
     Hue[0.1283244076020012, 1, 1], 
     Hue[0.12630305357898672`, 1, 1], 
     Hue[0.12630305357898672`, 1, 1], 
     Hue[0.12436203206442331`, 1, 1], 
     Hue[0.12436203206442331`, 1, 1], 
     Hue[0.12249866021887212`, 1, 1], 
     Hue[0.12249866021887212`, 1, 1], 
     Hue[0.12071032035282003`, 1, 1], 
     Hue[0.12071032035282003`, 1, 1], 
     Hue[0.11899446667961121`, 1, 1], 
     Hue[0.11899446667961121`, 1, 1], 
     Hue[0.1173486304875822, 1, 1], 
     Hue[0.1173486304875822, 1, 1], 
     Hue[0.1157704239522707, 1, 1], 
     Hue[0.1157704239522707, 1, 1], 
     Hue[0.11425754278725386`, 1, 1], 
     Hue[0.11425754278725386`, 1, 1], 
     Hue[0.11280776791070425`, 1, 1], 
     Hue[0.11280776791070425`, 1, 1], 
     Hue[0.11141896628451631`, 1, 1], 
     Hue[0.11141896628451631`, 1, 1], 
     Hue[0.11008909106403345`, 1, 1], 
     Hue[0.11008909106403345`, 1, 1], 
     Hue[0.10881618117915089`, 1, 1], 
     Hue[0.10881618117915089`, 1, 1], 
     Hue[0.10759836045188853`, 1, 1], 
     Hue[0.10759836045188853`, 1, 1], 
     Hue[0.10643383634141594`, 1, 1], 
     Hue[0.10643383634141594`, 1, 1], 
     Hue[0.10532089839490304`, 1, 1], 
     Hue[0.10532089839490304`, 1, 1], 
     Hue[0.10425791647138313`, 1, 1], 
     Hue[0.10425791647138313`, 1, 1], 
     Hue[0.10324333879593817`, 1, 1], 
     Hue[0.10324333879593817`, 1, 1], 
     Hue[0.1022756898928642, 1, 1], 
     Hue[0.1022756898928642, 1, 1], 
     Hue[0.10135356843890214`, 1, 1], 
     Hue[0.10135356843890214`, 1, 1], 
     Hue[0.10047564507105025`, 1, 1], 
     Hue[0.10047564507105025`, 1, 1], 
     Hue[0.09964066017778309, 1, 1], 
     Hue[0.09964066017778309, 1, 1], 
     Hue[0.09884742169759587, 1, 1], 
     Hue[0.09884742169759587, 1, 1], 
     Hue[0.09809480294458432, 1, 1], 
     Hue[0.09809480294458432, 1, 1], 
     Hue[0.09738174047716955, 1, 1], 
     Hue[0.09738174047716955, 1, 1], 
     Hue[0.09670723202301132, 1, 1], 
     Hue[0.09670723202301132, 1, 1], 
     Hue[0.09607033447055863, 1, 1], 
     Hue[0.09607033447055863, 1, 1], 
     Hue[0.09547016193549047, 1, 1], 
     Hue[0.09547016193549047, 1, 1], 
     Hue[0.09490588390846226, 1, 1], 
     Hue[0.09490588390846226, 1, 1], 
     Hue[0.09437672348903718, 1, 1], 
     Hue[0.09437672348903718, 1, 1], 
     Hue[0.09388195570940842, 1, 1], 
     Hue[0.09388195570940842, 1, 1], 
     Hue[0.09342090595047157, 1, 1], 
     Hue[0.09342090595047157, 1, 1], 
     Hue[0.09299294845195198, 1, 1], 
     Hue[0.09299294845195198, 1, 1], 
     Hue[0.09259750491760563, 1, 1], 
     Hue[0.09259750491760563, 1, 1], 
     Hue[0.09223404321596386, 1, 1], 
     Hue[0.09223404321596386, 1, 1], 
     Hue[0.09190207617666941, 1, 1], 
     Hue[0.09190207617666941, 1, 1], 
     Hue[0.09160116048212635, 1, 1], 
     Hue[0.09160116048212635, 1, 1], 
     Hue[0.09133089565395162, 1, 1], 
     Hue[0.09133089565395162, 1, 1], 
     Hue[0.09109092313355337, 1, 1], 
     Hue[0.09109092313355337, 1, 1], 
     Hue[0.09088092545606051, 1, 1], 
     Hue[0.09088092545606051, 1, 1], 
     Hue[0.0907006255167799, 1, 1], 
     Hue[0.0907006255167799, 1, 1], 
     Hue[0.09054978592935166, 1, 1], 
     Hue[0.09054978592935166, 1, 1], 
     Hue[0.09042820847480434, 1, 1], 
     Hue[0.09042820847480434, 1, 1], 
     Hue[0.0903357336407719, 1, 1], 
     Hue[0.0903357336407719, 1, 1], 
     Hue[0.09027224025021832, 1, 1], 
     Hue[0.09027224025021832, 1, 1], 
     Hue[0.09023764517911921, 1, 1], 
     Hue[0.09023764517911921, 1, 1], 
     Hue[0.09023190316266748, 1, 1], 
     Hue[0.09023190316266748, 1, 1], 
     Hue[0.0902550066896995, 1, 1], 
     Hue[0.0902550066896995, 1, 1], 
     Hue[0.09030698598517319, 1, 1], 
     Hue[0.09030698598517319, 1, 1], 
     Hue[0.09038790908067054, 1, 1], 
     Hue[0.09038790908067054, 1, 1], 
     Hue[0.0904978819730369, 1, 1], 
     Hue[0.0904978819730369, 1, 1], 
     Hue[0.09063704887140724, 1, 1], 
     Hue[0.09063704887140724, 1, 1], 
     Hue[0.09080559253300266, 1, 1], 
     Hue[0.09080559253300266, 1, 1], 
     Hue[0.09100373468820175, 1, 1], 
     Hue[0.09100373468820175, 1, 1], 
     Hue[0.09123173655550187, 1, 1], 
     Hue[0.09123173655550187, 1, 1], 
     Hue[0.09148989944707818, 1, 1], 
     Hue[0.09148989944707818, 1, 1], 
     Hue[0.09177856546571717, 1, 1], 
     Hue[0.09177856546571717, 1, 1], 
     Hue[0.09209811829394607, 1, 1], 
     Hue[0.09209811829394607, 1, 1], 
     Hue[0.0924489840761887, 1, 1], 
     Hue[0.0924489840761887, 1, 1], 
     Hue[0.09283163239474859, 1, 1], 
     Hue[0.09283163239474859, 1, 1], 
     Hue[0.09324657734034036, 1, 1], 
     Hue[0.09324657734034036, 1, 1], 
     Hue[0.09369437867775515, 1, 1], 
     Hue[0.09369437867775515, 1, 1], 
     Hue[0.09417564310704028, 1, 1], 
     Hue[0.09417564310704028, 1, 1], 
     Hue[0.09469102562028656, 1, 1], 
     Hue[0.09469102562028656, 1, 1], 
     Hue[0.09524123095373464, 1, 1], 
     Hue[0.09524123095373464, 1, 1], 
     Hue[0.09582701513441601, 1, 1], 
     Hue[0.09582701513441601, 1, 1], 
     Hue[0.0964491871199148, 1, 1], 
     Hue[0.0964491871199148, 1, 1], 
     Hue[0.09710861052905455, 1, 1], 
     Hue[0.09710861052905455, 1, 1], 
     Hue[0.0978062054603436, 1, 1], 
     Hue[0.0978062054603436, 1, 1], 
     Hue[0.0985429503938382, 1, 1], 
     Hue[0.0985429503938382, 1, 1], 
     Hue[0.09931988417065232, 1, 1], 
     Hue[0.09931988417065232, 1, 1], 
     Hue[0.1001381080426326, 1, 1], 
     Hue[0.1001381080426326, 1, 1], 
     Hue[0.10099878778266937`, 1, 1], 
     Hue[0.10099878778266937`, 1, 1], 
     Hue[0.10190315584368605`, 1, 1], 
     Hue[0.10190315584368605`, 1, 1], 
     Hue[0.10285251355147729`, 1, 1], 
     Hue[0.10285251355147729`, 1, 1], 
     Hue[0.10384823331319051`, 1, 1], 
     Hue[0.10384823331319051`, 1, 1], 
     Hue[0.10489176081928282`, 1, 1], 
     Hue[0.10489176081928282`, 1, 1], 
     Hue[0.10598461721217321`, 1, 1], 
     Hue[0.10598461721217321`, 1, 1], 
     Hue[0.10712840118943952`, 1, 1], 
     Hue[0.10712840118943952`, 1, 1], 
     Hue[0.1083247910032021, 1, 1], 
     Hue[0.1083247910032021, 1, 1], 
     Hue[0.10957554631017771`, 1, 1], 
     Hue[0.10957554631017771`, 1, 1], 
     Hue[0.11088250981867752`, 1, 1], 
     Hue[0.11088250981867752`, 1, 1], 
     Hue[0.11224760866944647`, 1, 1], 
     Hue[0.11224760866944647`, 1, 1], 
     Hue[0.11367285547658848`, 1, 1], 
     Hue[0.11367285547658848`, 1, 1], 
     Hue[0.11516034894279525`, 1, 1], 
     Hue[0.11516034894279525`, 1, 1], 
     Hue[0.11671227394958258`, 1, 1], 
     Hue[0.11671227394958258`, 1, 1], 
     Hue[0.11833090100819785`, 1, 1], 
     Hue[0.11833090100819785`, 1, 1], 
     Hue[0.120018584940224, 1, 1], 
     Hue[0.120018584940224, 1, 1], 
     Hue[0.12177776263870398`, 1, 1], 
     Hue[0.12177776263870398`, 1, 1], 
     Hue[0.12361094974091508`, 1, 1], 
     Hue[0.12361094974091508`, 1, 1], 
     Hue[0.1255207360229105, 1, 1], 
     Hue[0.1255207360229105, 1, 1], 
     Hue[0.1275097793039142, 1, 1], 
     Hue[0.1275097793039142, 1, 1], 
     Hue[0.12958079762607283`, 1, 1], 
     Hue[0.12958079762607283`, 1, 1], 
     Hue[0.13173655945257284`, 1, 1], 
     Hue[0.13173655945257284`, 1, 1], 
     Hue[0.13397987160567226`, 1, 1], 
     Hue[0.13397987160567226`, 1, 1], 
     Hue[0.1363135646469606, 1, 1], 
     Hue[0.1363135646469606, 1, 1], 
     Hue[0.13874047538674164`, 1, 1], 
     Hue[0.13874047538674164`, 1, 1], 
     Hue[0.14126342619982135`, 1, 1], 
     Hue[0.14126342619982135`, 1, 1], 
     Hue[0.14388520082362136`, 1, 1], 
     Hue[0.14388520082362136`, 1, 1], 
     Hue[0.14660851632436717`, 1, 1], 
     Hue[0.14660851632436717`, 1, 1], 
     Hue[0.14943599094155588`, 1, 1], 
     Hue[0.14943599094155588`, 1, 1], 
     Hue[0.15237010756382763`, 1, 1], 
     Hue[0.15237010756382763`, 1, 1], 
     Hue[0.15541317265501586`, 1, 1], 
     Hue[0.15541317265501586`, 1, 1], 
     Hue[0.1585672705418412, 1, 1], 
     Hue[0.1585672705418412, 1, 1], 
     Hue[0.16183421309869955`, 1, 1], 
     Hue[0.16183421309869955`, 1, 1], 
     Hue[0.16521548502391786`, 1, 1], 
     Hue[0.16521548502391786`, 1, 1], 
     Hue[0.16871218509824049`, 1, 1], 
     Hue[0.16871218509824049`, 1, 1], 
     Hue[0.17232496405087, 1, 1], 
     Hue[0.17232496405087, 1, 1], 
     Hue[0.17605395992915393`, 1, 1], 
     Hue[0.17605395992915393`, 1, 1], 
     Hue[0.1798987321695189, 1, 1], 
     Hue[0.1798987321695189, 1, 1], 
     Hue[0.18385819588953822`, 1, 1], 
     Hue[0.18385819588953822`, 1, 1], 
     Hue[0.18793055824913352`, 1, 1], 
     Hue[0.18793055824913352`, 1, 1], 
     Hue[0.19211325904223855`, 1, 1], 
     Hue[0.19211325904223855`, 1, 1], 
     Hue[0.19640291795298284`, 1, 1], 
     Hue[0.19640291795298284`, 1, 1], 
     Hue[0.20079529111228667`, 1, 1], 
     Hue[0.20079529111228667`, 1, 1], 
     Hue[0.20528523968888038`, 1, 1], 
     Hue[0.20528523968888038`, 1, 1], 
     Hue[0.20986671321067435`, 1, 1], 
     Hue[0.20986671321067435`, 1, 1], 
     Hue[0.21453275010979153`, 1, 1], 
     Hue[0.21453275010979153`, 1, 1], 
     Hue[0.21927549759764664`, 1, 1], 
     Hue[0.21927549759764664`, 1, 1], 
     Hue[0.22408625239880867`, 1, 1], 
     Hue[0.22408625239880867`, 1, 1], 
     Hue[0.2289555231146245, 1, 1], 
     Hue[0.2289555231146245, 1, 1], 
     Hue[0.2338731140802318, 1, 1], 
     Hue[0.2338731140802318, 1, 1], 
     Hue[0.2388282295720667, 1, 1], 
     Hue[0.2388282295720667, 1, 1], 
     Hue[0.24380959618509931`, 1, 1], 
     Hue[0.24380959618509931`, 1, 1], 
     Hue[0.24880560020936812`, 1, 1], 
     Hue[0.24880560020936812`, 1, 1], 
     Hue[0.2538044359770707, 1, 1], 
     Hue[0.2538044359770707, 1, 1], 
     Hue[0.25879426050132737`, 1, 1], 
     Hue[0.25879426050132737`, 1, 1], 
     Hue[0.26376334934674606`, 1, 1], 
     Hue[0.26376334934674606`, 1, 1], 
     Hue[0.26870024859662023`, 1, 1], 
     Hue[0.26870024859662023`, 1, 1], 
     Hue[0.2735939180193801, 1, 1], 
     Hue[0.2735939180193801, 1, 1], 
     Hue[0.27843386106472123`, 1, 1], 
     Hue[0.27843386106472123`, 1, 1], 
     Hue[0.2832102380875089, 1, 1], 
     Hue[0.2832102380875089, 1, 1], 
     Hue[0.2879139601346885, 1, 1], 
     Hue[0.2879139601346885, 1, 1], 
     Hue[0.2925367616556229, 1, 1], 
     Hue[0.2925367616556229, 1, 1], 
     Hue[0.2970712515271431, 1, 1], 
     Hue[0.2970712515271431, 1, 1], 
     Hue[0.3015109427467643, 1, 1], 
     Hue[0.3015109427467643, 1, 1], 
     Hue[0.3058502619818296, 1, 1], 
     Hue[0.3058502619818296, 1, 1], 
     Hue[0.31008454082854503`, 1, 1], 
     Hue[0.31008454082854503`, 1, 1], 
     Hue[0.3142099911131005, 1, 1], 
     Hue[0.3142099911131005, 1, 1], 
     Hue[0.3182236668559824, 1, 1], 
     Hue[0.3182236668559824, 1, 1], 
     Hue[0.3221234156341803, 1, 1], 
     Hue[0.3221234156341803, 1, 1], 
     Hue[0.3259078220390367, 1, 1], 
     Hue[0.3259078220390367, 1, 1], 
     Hue[0.3295761457710746, 1, 1], 
     Hue[0.3295761457710746, 1, 1], 
     Hue[0.3331282566702682, 1, 1], 
     Hue[0.3331282566702682, 1, 1], 
     Hue[0.3365645686827832, 1, 1], 
     Hue[0.3365645686827832, 1, 1], 
     Hue[0.33988597444125196`, 1, 1], 
     Hue[0.33988597444125196`, 1, 1], 
     Hue[0.34309378180837524`, 1, 1], 
     Hue[0.34309378180837524`, 1, 1], 
     Hue[0.3461896534206631, 1, 1], 
     Hue[0.3461896534206631, 1, 1], 
     Hue[0.3491755499827375, 1, 1], 
     Hue[0.3491755499827375, 1, 1], 
     Hue[0.3520536778103168, 1, 1], 
     Hue[0.3520536778103168, 1, 1], 
     Hue[0.3548264409053272, 1, 1], 
     Hue[0.3548264409053272, 1, 1], 
     Hue[0.35749639766996494`, 1, 1], 
     Hue[0.35749639766996494`, 1, 1], 
     Hue[0.3600662222262793, 1, 1], 
     Hue[0.3600662222262793, 1, 1], 
     Hue[0.36253867020068614`, 1, 1]}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, False},
  AxesOrigin->{0, 0},
  Frame->True,
  PlotRange->{-0.5, 4},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], Automatic}]], "Output",
 CellChangeTimes->{{3.389731004597189*^9, 3.3897310302040095`*^9}, 
   3.3897330498403234`*^9, 3.390893980573523*^9, 3.391779913024013*^9, 
   3.391848686640625*^9, 3.39246963494413*^9, 3.3938423736357203`*^9, 
   3.393843348332851*^9, 3.39384699421854*^9}]
}, Open  ]],

Cell[BoxData["          "], "Input",
 CellChangeTimes->{{3.3897285033505726`*^9, 3.389728503931408*^9}}],

Cell["There is a variant which corresponds to Plot", "Text"],

Cell[CellGroupData[{

Cell["\<\
Timing@QArgColorPlot[Tan[x + 0.3 I], {x,-5,5}, Frame->True, \
Axes->{True,False},
PlotRange->{-.5,4}]\
\>", "Input",
 CellChangeTimes->{3.3896857380350733`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.09016900000000039`", ",", 
   GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJx03Hk0FX/cwHH73az3plQqkZJKSbTy+SqFUhFJC7KkTRJCaV8kCaWNUpbI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     "], {
      {GrayLevel[0.5], EdgeForm[None], 
       GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwtmw0Yr0OZxv/vvPM9tvW1VqWSqKMtlc4ilRU6TqWSdoVkdUK2FKl8ZTcU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         "]]]}, {{}, {}, {
        {Hue[0.13746137928285332`, 1, 1], LineBox[{1, 2}]}, 
        {Hue[0.13820948846216125`, 1, 1], LineBox[{2, 3}]}, 
        {Hue[0.13896657474173696`, 1, 1], LineBox[{3, 4}]}, 
        {Hue[0.14050800268839436`, 1, 1], LineBox[{4, 5}]}, 
        {Hue[0.1437021245063721, 1, 1], LineBox[{5, 6}]}, 
        {Hue[0.15055280222422127`, 1, 1], LineBox[{6, 7}]}, 
        {Hue[0.16622502716328028`, 1, 1], LineBox[{7, 8}]}, 
        {Hue[0.16729551209291504`, 1, 1], LineBox[{8, 9}]}, 
        {Hue[0.1683769001377003, 1, 1], LineBox[{9, 10}]}, 
        {Hue[0.17057244283003498`, 1, 1], LineBox[{10, 11}]}, 
        {Hue[0.17509473455672098`, 1, 1], LineBox[{11, 12}]}, 
        {Hue[0.18466086804889803`, 1, 1], LineBox[{12, 13}]}, 
        {Hue[0.1859048209095598, 1, 1], LineBox[{13, 14}]}, 
        {Hue[0.18715928654499617`, 1, 1], LineBox[{14, 15}]}, 
        {Hue[0.189699439497734, 1, 1], LineBox[{15, 16}]}, 
        {Hue[0.19490200595475718`, 1, 1], LineBox[{16, 17}]}, 
        {Hue[0.19622748350701, 1, 1], LineBox[{17, 18}]}, 
        {Hue[0.19756264682346575`, 1, 1], LineBox[{18, 19}]}, 
        {Hue[0.20026147036145872`, 1, 1], LineBox[{19, 20}]}, 
        {Hue[0.20576873236433116`, 1, 1], LineBox[{20, 21}]}, 
        {Hue[0.20728540929010691`, 1, 1], LineBox[{21, 22}]}, 
        {Hue[0.20881188651419175`, 1, 1], LineBox[{22, 23}]}, 
        {Hue[0.2118931929353548, 1, 1], LineBox[{23, 24}]}, 
        {Hue[0.2134474702692289, 1, 1], LineBox[{24, 25}]}, 
        {Hue[0.21501044443624207`, 1, 1], LineBox[{25, 26}]}, 
        {Hue[0.21816126211834544`, 1, 1], LineBox[{26, 27}]}, 
        {Hue[0.21974846936819142`, 1, 1], LineBox[{27, 28}]}, 
        {Hue[0.2213431014159557, 1, 1], LineBox[{28, 29}]}, 
        {Hue[0.2229448156054945, 1, 1], LineBox[{29, 30}]}, 
        {Hue[0.22455326002009915`, 1, 1], LineBox[{30, 31}]}, 
        {Hue[0.2261680738325532, 1, 1], LineBox[{31, 32}]}, 
        {Hue[0.2277888876834923, 1, 1], LineBox[{32, 33}]}, 
        {Hue[0.2310469978650528, 1, 1], LineBox[{33, 34}]}, 
        {Hue[0.23268351660232733`, 1, 1], LineBox[{34, 35}]}, 
        {Hue[0.2343244811326102, 1, 1], LineBox[{35, 36}]}, 
        {Hue[0.2359694860430502, 1, 1], LineBox[{36, 37}]}, 
        {Hue[0.23761812020223172`, 1, 1], LineBox[{37, 38}]}, 
        {Hue[0.2392699673079651, 1, 1], LineBox[{38, 39}]}, 
        {Hue[0.24092460645339872`, 1, 1], LineBox[{39, 40}]}, 
        {Hue[0.24258161270959408`, 1, 1], LineBox[{40, 41}]}, 
        {Hue[0.24424055772258552`, 1, 1], LineBox[{41, 42}]}, 
        {Hue[0.24590101032284942`, 1, 1], LineBox[{42, 43}]}, 
        {Hue[0.24756253714503626`, 1, 1], LineBox[{43, 44}]}, 
        {Hue[0.2492247032557368, 1, 1], LineBox[{44, 45}]}, 
        {Hue[0.2508870727870003, 1, 1], LineBox[{45, 46}]}, 
        {Hue[0.25254920957329396`, 1, 1], LineBox[{46, 47}]}, 
        {Hue[0.25421067778955825`, 1, 1], LineBox[{47, 48}]}, 
        {Hue[0.25587104258800464`, 1, 1], LineBox[{48, 49}]}, 
        {Hue[0.25752987073132283`, 1, 1], LineBox[{49, 50}]}, 
        {Hue[0.25918673121997765`, 1, 1], LineBox[{50, 51}]}, 
        {Hue[0.26084119591131755`, 1, 1], LineBox[{51, 52}]}, 
        {Hue[0.26249284012827817`, 1, 1], LineBox[{52, 53}]}, 
        {Hue[0.2641412432555312, 1, 1], LineBox[{53, 54}]}, 
        {Hue[0.2657859893210139, 1, 1], LineBox[{54, 55}]}, 
        {Hue[0.2674266675608657, 1, 1], LineBox[{55, 56}]}, 
        {Hue[0.2690628729659228, 1, 1], LineBox[{56, 57}]}, 
        {Hue[0.2706942068080275, 1, 1], LineBox[{57, 58}]}, 
        {Hue[0.2723202771445412, 1, 1], LineBox[{58, 59}]}, 
        {Hue[0.27394069929959797`, 1, 1], LineBox[{59, 60}]}, 
        {Hue[0.2771630994099747, 1, 1], LineBox[{60, 61}]}, 
        {Hue[0.2787643483275841, 1, 1], LineBox[{61, 62}]}, 
        {Hue[0.28035849176891875`, 1, 1], LineBox[{62, 63}]}, 
        {Hue[0.28352410373863535`, 1, 1], LineBox[{63, 64}]}, 
        {Hue[0.2850949173206909, 1, 1], LineBox[{64, 65}]}, 
        {Hue[0.28665731608422046`, 1, 1], LineBox[{65, 66}]}, 
        {Hue[0.28975567177753964`, 1, 1], LineBox[{66, 67}]}, 
        {Hue[0.29583883575681735`, 1, 1], LineBox[{67, 68}]}, 
        {Hue[0.29733447822971454`, 1, 1], LineBox[{68, 69}]}, 
        {Hue[0.29881959396345864`, 1, 1], LineBox[{69, 70}]}, 
        {Hue[0.3017574000659596, 1, 1], LineBox[{70, 71}]}, 
        {Hue[0.3074980180283031, 1, 1], LineBox[{71, 72}]}, 
        {Hue[0.3088112650179473, 1, 1], LineBox[{72, 73}]}, 
        {Hue[0.3101141182202154, 1, 1], LineBox[{73, 74}]}, 
        {Hue[0.31268823430097303`, 1, 1], LineBox[{74, 75}]}, 
        {Hue[0.31770767361251995`, 1, 1], LineBox[{75, 76}]}, 
        {Hue[0.32721798630401006`, 1, 1], LineBox[{76, 77}]}, 
        {Hue[0.3440994062470403, 1, 1], LineBox[{77, 78}]}, 
        {Hue[0.34506135399786736`, 1, 1], LineBox[{78, 79}]}, 
        {Hue[0.3460126270728155, 1, 1], LineBox[{79, 80}]}, 
        {Hue[0.34788339592473755`, 1, 1], LineBox[{80, 81}]}, 
        {Hue[0.3514996725638811, 1, 1], LineBox[{81, 82}]}, 
        {Hue[0.35824742555367506`, 1, 1], LineBox[{82, 83}]}, 
        {Hue[0.36994779154882457`, 1, 1], LineBox[{83, 84}]}, 
        {Hue[0.37059271440310043`, 1, 1], LineBox[{84, 85}]}, 
        {Hue[0.3712298079832746, 1, 1], LineBox[{85, 86}]}, 
        {Hue[0.37248082065677623`, 1, 1], LineBox[{86, 87}]}, 
        {Hue[0.37489231872115614`, 1, 1], LineBox[{87, 88}]}, 
        {Hue[0.3793701597355998, 1, 1], LineBox[{88, 89}]}, 
        {Hue[0.38707272557400624`, 1, 1], LineBox[{89, 90}]}, 
        {Hue[0.38750335016567417`, 1, 1], LineBox[{90, 91}]}, 
        {Hue[0.3879283691424907, 1, 1], LineBox[{91, 92}]}, 
        {Hue[0.38876182160996525`, 1, 1], LineBox[{92, 93}]}, 
        {Hue[0.39036396280815006`, 1, 1], LineBox[{93, 94}]}, 
        {Hue[0.3933212025779785, 1, 1], LineBox[{94, 95}]}, 
        {Hue[0.39833410261663843`, 1, 1], LineBox[{95, 96}]}, 
        {Hue[0.3986338130830903, 1, 1], LineBox[{96, 97}]}, 
        {Hue[0.3989287040312569, 1, 1], LineBox[{97, 98}]}, 
        {Hue[0.39950421132970115`, 1, 1], LineBox[{98, 99}]}, 
        {Hue[0.4005993697652989, 1, 1], LineBox[{99, 100}]}, 
        {Hue[0.40257554078570135`, 1, 1], LineBox[{100, 101}]}, 
        {Hue[0.4057356684232952, 1, 1], LineBox[{101, 102}]}, 
        {Hue[0.40590029660362614`, 1, 1], LineBox[{102, 103}]}, 
        {Hue[0.40606121720573835`, 1, 1], LineBox[{103, 104}]}, 
        {Hue[0.40637203065308264`, 1, 1], LineBox[{104, 105}]}, 
        {Hue[0.40695017905799874`, 1, 1], LineBox[{105, 106}]}, 
        {Hue[0.4079371518908691, 1, 1], LineBox[{106, 107}]}, 
        {Hue[0.4092633841450911, 1, 1], LineBox[{107, 108}]}, 
        {Hue[0.4093149294696022, 1, 1], LineBox[{108, 109}]}, 
        {Hue[0.40936367983611355`, 1, 1], LineBox[{109, 110}]}, 
        {Hue[0.4094528196801485, 1, 1], LineBox[{110, 111}]}, 
        {Hue[0.4095978041088556, 1, 1], LineBox[{111, 112}]}, 
        {Hue[0.40975548717713933`, 1, 1], LineBox[{112, 113}]}, 
        {Hue[0.40954426883675954`, 1, 1], LineBox[{113, 114}]}, 
        {Hue[0.40950768140882704`, 1, 1], LineBox[{114, 115}]}, 
        {Hue[0.40946832305826364`, 1, 1], LineBox[{115, 116}]}, 
        {Hue[0.4093812736271459, 1, 1], LineBox[{116, 117}]}, 
        {Hue[0.4091736845372748, 1, 1], LineBox[{117, 118}]}, 
        {Hue[0.4086229737213832, 1, 1], LineBox[{118, 119}]}, 
        {Hue[0.40696194316759793`, 1, 1], LineBox[{119, 120}]}, 
        {Hue[0.4068214884567911, 1, 1], LineBox[{120, 121}]}, 
        {Hue[0.40667738053353103`, 1, 1], LineBox[{121, 122}]}, 
        {Hue[0.4063781175802646, 1, 1], LineBox[{122, 123}]}, 
        {Hue[0.40573475781136353`, 1, 1], LineBox[{123, 124}]}, 
        {Hue[0.4042630261723425, 1, 1], LineBox[{124, 125}]}, 
        {Hue[0.4005253393518465, 1, 1], LineBox[{125, 126}]}, 
        {Hue[0.4002540736094535, 1, 1], LineBox[{126, 127}]}, 
        {Hue[0.3999781364961741, 1, 1], LineBox[{127, 128}]}, 
        {Hue[0.39941207182497673`, 1, 1], LineBox[{128, 129}]}, 
        {Hue[0.39822189965370713`, 1, 1], LineBox[{129, 130}]}, 
        {Hue[0.39559841012914626`, 1, 1], LineBox[{130, 131}]}, 
        {Hue[0.38927869920109026`, 1, 1], LineBox[{131, 132}]}, 
        {Hue[0.3888399772641208, 1, 1], LineBox[{132, 133}]}, 
        {Hue[0.388394963584852, 1, 1], LineBox[{133, 134}]}, 
        {Hue[0.38748577790804056`, 1, 1], LineBox[{134, 135}]}, 
        {Hue[0.3855887359544105, 1, 1], LineBox[{135, 136}]}, 
        {Hue[0.3814628352700234, 1, 1], LineBox[{136, 137}]}, 
        {Hue[0.37173372291841067`, 1, 1], LineBox[{137, 138}]}, 
        {Hue[0.37105386165135806`, 1, 1], LineBox[{138, 139}]}, 
        {Hue[0.3703649828309856, 1, 1], LineBox[{139, 140}]}, 
        {Hue[0.3689597795059132, 1, 1], LineBox[{140, 141}]}, 
        {Hue[0.3660368171137257, 1, 1], LineBox[{141, 142}]}, 
        {Hue[0.3597183228001783, 1, 1], LineBox[{142, 143}]}, 
        {Hue[0.3450166153059282, 1, 1], LineBox[{143, 144}]}, 
        {Hue[0.34406866867533, 1, 1], LineBox[{144, 145}]}, 
        {Hue[0.34311030621309635`, 1, 1], LineBox[{145, 146}]}, 
        {Hue[0.34116212235166454`, 1, 1], LineBox[{146, 147}]}, 
        {Hue[0.33713859269466767`, 1, 1], LineBox[{147, 148}]}, 
        {Hue[0.336105977198826, 1, 1], LineBox[{148, 149}]}, 
        {Hue[0.33506259907204494`, 1, 1], LineBox[{149, 150}]}, 
        {Hue[0.3329434452146678, 1, 1], LineBox[{150, 151}]}, 
        {Hue[0.32857500545725493`, 1, 1], LineBox[{151, 152}]}, 
        {Hue[0.3274557226348999, 1, 1], LineBox[{152, 153}]}, 
        {Hue[0.32632556806944496`, 1, 1], LineBox[{153, 154}]}, 
        {Hue[0.3240326787240054, 1, 1], LineBox[{154, 155}]}, 
        {Hue[0.3193171293971264, 1, 1], LineBox[{155, 156}]}, 
        {Hue[0.3093763878000331, 1, 1], LineBox[{156, 157}]}, 
        {Hue[0.30808731441261034`, 1, 1], LineBox[{157, 158}]}, 
        {Hue[0.306788215526912, 1, 1], LineBox[{158, 159}]}, 
        {Hue[0.30416039443485693`, 1, 1], LineBox[{159, 160}]}, 
        {Hue[0.29878986430591753`, 1, 1], LineBox[{160, 161}]}, 
        {Hue[0.297424139625042, 1, 1], LineBox[{161, 162}]}, 
        {Hue[0.2960494988720876, 1, 1], LineBox[{162, 163}]}, 
        {Hue[0.2932741747666602, 1, 1], LineBox[{163, 164}]}, 
        {Hue[0.28762474263566434`, 1, 1], LineBox[{164, 165}]}, 
        {Hue[0.2861930190637915, 1, 1], LineBox[{165, 166}]}, 
        {Hue[0.28475399678167057`, 1, 1], LineBox[{166, 167}]}, 
        {Hue[0.28185501171152305`, 1, 1], LineBox[{167, 168}]}, 
        {Hue[0.2803955450722904, 1, 1], LineBox[{168, 169}]}, 
        {Hue[0.2789297716917106, 1, 1], LineBox[{169, 170}]}, 
        {Hue[0.27598037393415603`, 1, 1], LineBox[{170, 171}]}, 
        {Hue[0.2744973006144621, 1, 1], LineBox[{171, 172}]}, 
        {Hue[0.273009022197911, 1, 1], LineBox[{172, 173}]}, 
        {Hue[0.27151582956915815`, 1, 1], LineBox[{173, 174}]}, 
        {Hue[0.2700180192733129, 1, 1], LineBox[{174, 175}]}, 
        {Hue[0.26851589322315084`, 1, 1], LineBox[{175, 176}]}, 
        {Hue[0.26700975839106955`, 1, 1], LineBox[{176, 177}]}, 
        {Hue[0.2654999264864793, 1, 1], LineBox[{177, 178}]}, 
        {Hue[0.26398671361939574`, 1, 1], LineBox[{178, 179}]}, 
        {Hue[0.2623423989168026, 1, 1], LineBox[{179, 180}]}, 
        {Hue[0.2606948983788057, 1, 1], LineBox[{180, 181}]}, 
        {Hue[0.259044629643859, 1, 1], LineBox[{181, 182}]}, 
        {Hue[0.25739201431728453`, 1, 1], LineBox[{182, 183}]}, 
        {Hue[0.25573747738188285`, 1, 1], LineBox[{183, 184}]}, 
        {Hue[0.2540814465963658, 1, 1], LineBox[{184, 185}]}, 
        {Hue[0.25242435188372836`, 1, 1], LineBox[{185, 186}]}, 
        {Hue[0.2507666247117442, 1, 1], LineBox[{186, 187}]}, 
        {Hue[0.2491086974678189, 1, 1], LineBox[{187, 188}]}, 
        {Hue[0.2474510028304805, 1, 1], LineBox[{188, 189}]}, 
        {Hue[0.24579397313980375`, 1, 1], LineBox[{189, 190}]}, 
        {Hue[0.2441380397690721, 1, 1], LineBox[{190, 191}]}, 
        {Hue[0.24248363249997854`, 1, 1], LineBox[{191, 192}]}, 
        {Hue[0.24083117890363506`, 1, 1], LineBox[{192, 193}]}, 
        {Hue[0.23918110372962625`, 1, 1], LineBox[{193, 194}]}, 
        {Hue[0.23753382830528533`, 1, 1], LineBox[{194, 195}]}, 
        {Hue[0.23588976994730335`, 1, 1], LineBox[{195, 196}]}, 
        {Hue[0.23424934138769948`, 1, 1], LineBox[{196, 197}]}, 
        {Hue[0.23261295021608513`, 1, 1], LineBox[{197, 198}]}, 
        {Hue[0.23098099834004762`, 1, 1], LineBox[{198, 199}]}, 
        {Hue[0.22935388146536165`, 1, 1], LineBox[{199, 200}]}, 
        {Hue[0.2277319885976102, 1, 1], LineBox[{200, 201}]}, 
        {Hue[0.22450539457530133`, 1, 1], LineBox[{201, 202}]}, 
        {Hue[0.2229014337731939, 1, 1], LineBox[{202, 203}]}, 
        {Hue[0.22130417685714895`, 1, 1], LineBox[{203, 204}]}, 
        {Hue[0.21813116099880744`, 1, 1], LineBox[{204, 205}]}, 
        {Hue[0.21655607197282462`, 1, 1], LineBox[{205, 206}]}, 
        {Hue[0.21498902606179987`, 1, 1], LineBox[{206, 207}]}, 
        {Hue[0.21188029495880237`, 1, 1], LineBox[{207, 208}]}, 
        {Hue[0.21033919959982983`, 1, 1], LineBox[{208, 209}]}, 
        {Hue[0.2088073266502412, 1, 1], LineBox[{209, 210}]}, 
        {Hue[0.20577231019503095`, 1, 1], LineBox[{210, 211}]}, 
        {Hue[0.1998240165692344, 1, 1], LineBox[{211, 212}]}, 
        {Hue[0.1983635977460293, 1, 1], LineBox[{212, 213}]}, 
        {Hue[0.19691423956973725`, 1, 1], LineBox[{213, 214}]}, 
        {Hue[0.19404941492286482`, 1, 1], LineBox[{214, 215}]}, 
        {Hue[0.18845969765507464`, 1, 1], LineBox[{215, 216}]}, 
        {Hue[0.18709220732702012`, 1, 1], LineBox[{216, 217}]}, 
        {Hue[0.18573692123038024`, 1, 1], LineBox[{217, 218}]}, 
        {Hue[0.18306333991646467`, 1, 1], LineBox[{218, 219}]}, 
        {Hue[0.17786626298060795`, 1, 1], LineBox[{219, 220}]}, 
        {Hue[0.16808219701189292`, 1, 1], LineBox[{220, 221}]}, 
        {Hue[0.16699371239842187`, 1, 1], LineBox[{221, 222}]}, 
        {Hue[0.16591633107354078`, 1, 1], LineBox[{222, 223}]}, 
        {Hue[0.16379478795220836`, 1, 1], LineBox[{223, 224}]}, 
        {Hue[0.15968372062739766`, 1, 1], LineBox[{224, 225}]}, 
        {Hue[0.15197985391585334`, 1, 1], LineBox[{225, 226}]}, 
        {Hue[0.13853277491719201`, 1, 1], LineBox[{226, 227}]}, 
        {Hue[0.1377738220754108, 1, 1], LineBox[{227, 228}]}, 
        {Hue[0.1370239673003393, 1, 1], LineBox[{228, 229}]}, 
        {Hue[0.13555121635600353`, 1, 1], LineBox[{229, 230}]}, 
        {Hue[0.13271119263942177`, 1, 1], LineBox[{230, 231}]}, 
        {Hue[0.12743425493324345`, 1, 1], LineBox[{231, 232}]}, 
        {Hue[0.11834676203112361`, 1, 1], LineBox[{232, 233}]}, 
        {Hue[0.1178481476064225, 1, 1], LineBox[{233, 234}]}, 
        {Hue[0.11735582833230397`, 1, 1], LineBox[{234, 235}]}, 
        {Hue[0.11638981212902569`, 1, 1], LineBox[{235, 236}]}, 
        {Hue[0.11453046736725407`, 1, 1], LineBox[{236, 237}]}, 
        {Hue[0.11108872350717168`, 1, 1], LineBox[{237, 238}]}, 
        {Hue[0.1052123583254662, 1, 1], LineBox[{238, 239}]}, 
        {Hue[0.10488606095667141`, 1, 1], LineBox[{239, 240}]}, 
        {Hue[0.10456430556085441`, 1, 1], LineBox[{240, 241}]}, 
        {Hue[0.10393424834786041`, 1, 1], LineBox[{241, 242}]}, 
        {Hue[0.10272677809256568`, 1, 1], LineBox[{242, 243}]}, 
        {Hue[0.1005135817593554, 1, 1], LineBox[{243, 244}]}, 
        {Hue[0.0968314933591577, 1, 1], LineBox[{244, 245}]}, 
        {Hue[0.09661533599070436, 1, 1], LineBox[{245, 246}]}, 
        {Hue[0.09640324226118178, 1, 1], LineBox[{246, 247}]}, 
        {Hue[0.09599111832854997, 1, 1], LineBox[{247, 248}]}, 
        {Hue[0.09521426952698792, 1, 1], LineBox[{248, 249}]}, 
        {Hue[0.09384385983910681, 1, 1], LineBox[{249, 250}]}, 
        {Hue[0.09179371983945782, 1, 1], LineBox[{250, 251}]}, 
        {Hue[0.09169477194276891, 1, 1], LineBox[{251, 252}]}, 
        {Hue[0.09159916053999045, 1, 1], LineBox[{252, 253}]}, 
        {Hue[0.09141789259430799, 1, 1], LineBox[{253, 254}]}, 
        {Hue[0.09109482119154585, 1, 1], LineBox[{254, 255}]}, 
        {Hue[0.09060409969933404, 1, 1], LineBox[{255, 256}]}, 
        {Hue[0.09023109808403493, 1, 1], LineBox[{256, 257}]}, 
        {Hue[0.09023411067556117, 1, 1], LineBox[{257, 258}]}, 
        {Hue[0.0902398463047016, 1, 1], LineBox[{258, 259}]}, 
        {Hue[0.09025948984485721, 1, 1], LineBox[{259, 260}]}, 
        {Hue[0.09033150708820208, 1, 1], LineBox[{260, 261}]}, 
        {Hue[0.09060707444588882, 1, 1], LineBox[{261, 262}]}, 
        {Hue[0.09169385014939964, 1, 1], LineBox[{262, 263}]}, 
        {Hue[0.09178604291184185, 1, 1], LineBox[{263, 264}]}, 
        {Hue[0.09188115204181956, 1, 1], LineBox[{264, 265}]}, 
        {Hue[0.09208016761582169, 1, 1], LineBox[{265, 266}]}, 
        {Hue[0.09251374699129271, 1, 1], LineBox[{266, 267}]}, 
        {Hue[0.09352630053290582, 1, 1], LineBox[{267, 268}]}, 
        {Hue[0.0961641592161592, 1, 1], LineBox[{268, 269}]}, 
        {Hue[0.09637401077629908, 1, 1], LineBox[{269, 270}]}, 
        {Hue[0.09658798214801334, 1, 1], LineBox[{270, 271}]}, 
        {Hue[0.09702841715209193, 1, 1], LineBox[{271, 272}]}, 
        {Hue[0.09796022560324257, 1, 1], LineBox[{272, 273}]}, 
        {Hue[0.10003596737296662`, 1, 1], LineBox[{273, 274}]}, 
        {Hue[0.10511348204998489`, 1, 1], LineBox[{274, 275}]}, 
        {Hue[0.1054753192367514, 1, 1], LineBox[{275, 276}]}, 
        {Hue[0.10584272188102303`, 1, 1], LineBox[{276, 277}]}, 
        {Hue[0.10659446311456468`, 1, 1], LineBox[{277, 278}]}, 
        {Hue[0.1081674214609732, 1, 1], LineBox[{278, 279}]}, 
        {Hue[0.11160594432032918`, 1, 1], LineBox[{279, 280}]}, 
        {Hue[0.11978499951209916`, 1, 1], LineBox[{280, 281}]}, 
        {Hue[0.12034899506253112`, 1, 1], LineBox[{281, 282}]}, 
        {Hue[0.12092068334206281`, 1, 1], LineBox[{282, 283}]}, 
        {Hue[0.12208748916473826`, 1, 1], LineBox[{283, 284}]}, 
        {Hue[0.12451732344674074`, 1, 1], LineBox[{284, 285}]}, 
        {Hue[0.12978258579492077`, 1, 1], LineBox[{285, 286}]}, 
        {Hue[0.1421086688131542, 1, 1], LineBox[{286, 287}]}, 
        {Hue[0.14296551098648935`, 1, 1], LineBox[{287, 288}]}, 
        {Hue[0.14383310886615724`, 1, 1], LineBox[{288, 289}]}, 
        {Hue[0.14560094714610378`, 1, 1], LineBox[{289, 290}]}, 
        {Hue[0.14926975174540813`, 1, 1], LineBox[{290, 291}]}, 
        {Hue[0.15715889873838787`, 1, 1], LineBox[{291, 292}]}, 
        {Hue[0.17525796584811823`, 1, 1], LineBox[{292, 293}]}, 
        {Hue[0.17641063818258332`, 1, 1], LineBox[{293, 294}]}, 
        {Hue[0.17757407272949438`, 1, 1], LineBox[{294, 295}]}, 
        {Hue[0.1799331196861262, 1, 1], LineBox[{295, 296}]}, 
        {Hue[0.18477882969224882`, 1, 1], LineBox[{296, 297}]}, 
        {Hue[0.18601654267374626`, 1, 1], LineBox[{297, 298}]}, 
        {Hue[0.18726464041417418`, 1, 1], LineBox[{298, 299}]}, 
        {Hue[0.18979167661003718`, 1, 1], LineBox[{299, 300}]}, 
        {Hue[0.19496651611008947`, 1, 1], LineBox[{300, 301}]}, 
        {Hue[0.1962847590586272, 1, 1], LineBox[{301, 302}]}, 
        {Hue[0.19761257014897182`, 1, 1], LineBox[{302, 303}]}, 
        {Hue[0.2002963448389659, 1, 1], LineBox[{303, 304}]}, 
        {Hue[0.20577220112177008`, 1, 1], LineBox[{304, 305}]}, 
        {Hue[0.20716274044895866`, 1, 1], LineBox[{305, 306}]}, 
        {Hue[0.2085615392613596, 1, 1], LineBox[{306, 307}]}, 
        {Hue[0.2113831111990829, 1, 1], LineBox[{307, 308}]}, 
        {Hue[0.21711609114900818`, 1, 1], LineBox[{308, 309}]}, 
        {Hue[0.21856670124663347`, 1, 1], LineBox[{309, 310}]}, 
        {Hue[0.2200237650173236, 1, 1], LineBox[{310, 311}]}, 
        {Hue[0.22295621284811204`, 1, 1], LineBox[{311, 312}]}, 
        {Hue[0.22443105990434736`, 1, 1], LineBox[{312, 313}]}, 
        {Hue[0.22591128706472471`, 1, 1], LineBox[{313, 314}]}, 
        {Hue[0.22888673940727833`, 1, 1], LineBox[{314, 315}]}, 
        {Hue[0.2303813792337912, 1, 1], LineBox[{315, 316}]}, 
        {Hue[0.2318802290230583, 1, 1], LineBox[{316, 317}]}, 
        {Hue[0.23338298319566028`, 1, 1], LineBox[{317, 318}]}, 
        {Hue[0.2348893315762122, 1, 1], LineBox[{318, 319}]}, 
        {Hue[0.23639895972833885`, 1, 1], LineBox[{319, 320}]}, 
        {Hue[0.2379115493021532, 1, 1], LineBox[{320, 321}]}, 
        {Hue[0.23942677839332926`, 1, 1], LineBox[{321, 322}]}, 
        {Hue[0.2409443219127958, 1, 1], LineBox[{322, 323}]}, 
        {Hue[0.2424638519660188, 1, 1], LineBox[{323, 324}]}, 
        {Hue[0.24398503824078827`, 1, 1], LineBox[{324, 325}]}, 
        {Hue[0.24550754840237582`, 1, 1], LineBox[{325, 326}]}, 
        {Hue[0.24703104849488877`, 1, 1], LineBox[{326, 327}]}, 
        {Hue[0.24855520334761128`, 1, 1], LineBox[{327, 328}]}, 
        {Hue[0.2500796769850933, 1, 1], LineBox[{328, 329}]}, 
        {Hue[0.25160413303972873`, 1, 1], LineBox[{329, 330}]}, 
        {Hue[0.25312823516554733`, 1, 1], LineBox[{330, 331}]}, 
        {Hue[0.2546516474519393, 1, 1], LineBox[{331, 332}]}, 
        {Hue[0.2561740348360327, 1, 1], LineBox[{332, 333}]}, 
        {Hue[0.2576950635124497, 1, 1], LineBox[{333, 334}]}, 
        {Hue[0.2592144013391834, 1, 1], LineBox[{334, 335}]}, 
        {Hue[0.26073171823836067`, 1, 1], LineBox[{335, 336}]}, 
        {Hue[0.26224668659068356`, 1, 1], LineBox[{336, 337}]}, 
        {Hue[0.2637589816223793, 1, 1], LineBox[{337, 338}]}, 
        {Hue[0.26526828178353035`, 1, 1], LineBox[{338, 339}]}, 
        {Hue[0.2669015208378314, 1, 1], LineBox[{339, 340}]}, 
        {Hue[0.2685304624501527, 1, 1], LineBox[{340, 341}]}, 
        {Hue[0.2701547121986632, 1, 1], LineBox[{341, 342}]}, 
        {Hue[0.2717738821447812, 1, 1], LineBox[{342, 343}]}, 
        {Hue[0.2733875913092925, 1, 1], LineBox[{343, 344}]}, 
        {Hue[0.2749954661250675, 1, 1], LineBox[{344, 345}]}, 
        {Hue[0.27819225804551456`, 1, 1], LineBox[{345, 346}]}, 
        {Hue[0.2797804688006209, 1, 1], LineBox[{346, 347}]}, 
        {Hue[0.2813614332326815, 1, 1], LineBox[{347, 348}]}, 
        {Hue[0.2845003102718554, 1, 1], LineBox[{348, 349}]}, 
        {Hue[0.2906772176085068, 1, 1], LineBox[{349, 350}]}, 
        {Hue[0.2921987541664596, 1, 1], LineBox[{350, 351}]}, 
        {Hue[0.2937106805999584, 1, 1], LineBox[{351, 352}]}, 
        {Hue[0.29670472137024995`, 1, 1], LineBox[{352, 353}]}, 
        {Hue[0.3025672946820125, 1, 1], LineBox[{353, 354}]}, 
        {Hue[0.31374945708595803`, 1, 1], LineBox[{354, 355}]}, 
        {Hue[0.31509353323795314`, 1, 1], LineBox[{355, 356}]}, 
        {Hue[0.3164253192978638, 1, 1], LineBox[{356, 357}]}, 
        {Hue[0.31905170673925193`, 1, 1], LineBox[{357, 358}]}, 
        {Hue[0.3241540409925034, 1, 1], LineBox[{358, 359}]}, 
        {Hue[0.3337501532209499, 1, 1], LineBox[{359, 360}]}, 
        {Hue[0.350541561728972, 1, 1], LineBox[{360, 361}]}, 
        {Hue[0.3514258805603984, 1, 1], LineBox[{361, 362}]}, 
        {Hue[0.35230010633610065`, 1, 1], LineBox[{362, 363}]}, 
        {Hue[0.35401857193051417`, 1, 1], LineBox[{363, 364}]}, 
        {Hue[0.35733768196051424`, 1, 1], LineBox[{364, 365}]}, 
        {Hue[0.36352237946496996`, 1, 1], LineBox[{365, 366}]}, 
        {Hue[0.37422543501061617`, 1, 1], LineBox[{366, 367}]}, 
        {Hue[0.3748264558374755, 1, 1], LineBox[{367, 368}]}, 
        {Hue[0.3754199707514887, 1, 1], LineBox[{368, 369}]}, 
        {Hue[0.3765847963156973, 1, 1], LineBox[{369, 370}]}, 
        {Hue[0.37882779075730993`, 1, 1], LineBox[{370, 371}]}, 
        {Hue[0.3829838801872636, 1, 1], LineBox[{371, 372}]}, 
        {Hue[0.39010047548039445`, 1, 1], LineBox[{372, 373}]}, 
        {Hue[0.3905297243937972, 1, 1], LineBox[{373, 374}]}, 
        {Hue[0.39095270289204387`, 1, 1], LineBox[{374, 375}]}, 
        {Hue[0.3917801265418822, 1, 1], LineBox[{375, 376}]}, 
        {Hue[0.39336272725434035`, 1, 1], LineBox[{376, 377}]}, 
        {Hue[0.3962531777944164, 1, 1], LineBox[{377, 378}]}, 
        {Hue[0.4010358914281367, 1, 1], LineBox[{378, 379}]}, 
        {Hue[0.4012941342254527, 1, 1], LineBox[{379, 380}]}, 
        {Hue[0.4015478555045166, 1, 1], LineBox[{380, 381}]}, 
        {Hue[0.4020418932642732, 1, 1], LineBox[{381, 382}]}, 
        {Hue[0.40297742480239407`, 1, 1], LineBox[{382, 383}]}, 
        {Hue[0.4046462899486198, 1, 1], LineBox[{383, 384}]}, 
        {Hue[0.40722972232858984`, 1, 1], LineBox[{384, 385}]}, 
        {Hue[0.40735728081049016`, 1, 1], LineBox[{385, 386}]}, 
        {Hue[0.407481384141232, 1, 1], LineBox[{386, 387}]}, 
        {Hue[0.40771929669596146`, 1, 1], LineBox[{387, 388}]}, 
        {Hue[0.40815441592586765`, 1, 1], LineBox[{388, 389}]}, 
        {Hue[0.40886517270134404`, 1, 1], LineBox[{389, 390}]}, 
        {Hue[0.4096690113085412, 1, 1], LineBox[{390, 391}]}, 
        {Hue[0.4096924676771947, 1, 1], LineBox[{391, 392}]}, 
        {Hue[0.4097128029353805, 1, 1], LineBox[{392, 393}]}, 
        {Hue[0.4097441211607842, 1, 1], LineBox[{393, 394}]}, 
        {Hue[0.4097694010842793, 1, 1], LineBox[{394, 395}]}, 
        {Hue[0.40967058706743387`, 1, 1], LineBox[{395, 396}]}, 
        {Hue[0.40886995724294445`, 1, 1], LineBox[{396, 397}]}, 
        {Hue[0.4087980558661437, 1, 1], LineBox[{397, 398}]}, 
        {Hue[0.4087233277050319, 1, 1], LineBox[{398, 399}]}, 
        {Hue[0.4085653535501107, 1, 1], LineBox[{399, 400}]}, 
        {Hue[0.40821505124941054`, 1, 1], LineBox[{400, 401}]}, 
        {Hue[0.40737445871401995`, 1, 1], LineBox[{401, 402}]}, 
        {Hue[0.4051075494657718, 1, 1], LineBox[{402, 403}]}, 
        {Hue[0.40493870990116054`, 1, 1], LineBox[{403, 404}]}, 
        {Hue[0.4047665546889354, 1, 1], LineBox[{404, 405}]}, 
        {Hue[0.4044122079179068, 1, 1], LineBox[{405, 406}]}, 
        {Hue[0.40366271681245325`, 1, 1], LineBox[{406, 407}]}, 
        {Hue[0.4019949188192042, 1, 1], LineBox[{407, 408}]}, 
        {Hue[0.3979320972303152, 1, 1], LineBox[{408, 409}]}, 
        {Hue[0.39761915336196957`, 1, 1], LineBox[{409, 410}]}, 
        {Hue[0.3973011703858511, 1, 1], LineBox[{410, 411}]}, 
        {Hue[0.39664988322637146`, 1, 1], LineBox[{411, 412}]}, 
        {Hue[0.3952845466771191, 1, 1], LineBox[{412, 413}]}, 
        {Hue[0.3922902289186927, 1, 1], LineBox[{413, 414}]}, 
        {Hue[0.3851331701499759, 1, 1], LineBox[{414, 415}]}, 
        {Hue[0.38462910664291455`, 1, 1], LineBox[{415, 416}]}, 
        {Hue[0.38411790121245004`, 1, 1], LineBox[{416, 417}]}, 
        {Hue[0.38307373315093146`, 1, 1], LineBox[{417, 418}]}, 
        {Hue[0.3808959904639192, 1, 1], LineBox[{418, 419}]}, 
        {Hue[0.3761630151418116, 1, 1], LineBox[{419, 420}]}, 
        {Hue[0.36501623897987223`, 1, 1], LineBox[{420, 421}]}, 
        {Hue[0.36428997505010396`, 1, 1], LineBox[{421, 422}]}, 
        {Hue[0.36355481527921674`, 1, 1], LineBox[{422, 423}]}, 
        {Hue[0.3620574699831381, 1, 1], LineBox[{423, 424}]}, 
        {Hue[0.35895232040239183`, 1, 1], LineBox[{424, 425}]}, 
        {Hue[0.35228171438100103`, 1, 1], LineBox[{425, 426}]}, 
        {Hue[0.3514031796685319, 1, 1], LineBox[{426, 427}]}, 
        {Hue[0.3505144557864918, 1, 1], LineBox[{427, 428}]}, 
        {Hue[0.3487061523770762, 1, 1], LineBox[{428, 429}]}, 
        {Hue[0.34496420464381167`, 1, 1], LineBox[{429, 430}]}, 
        {Hue[0.33696544846136095`, 1, 1], LineBox[{430, 431}]}, 
        {Hue[0.3359163566928962, 1, 1], LineBox[{431, 432}]}, 
        {Hue[0.3348561909617689, 1, 1], LineBox[{432, 433}]}, 
        {Hue[0.3327025262937034, 1, 1], LineBox[{433, 434}]}, 
        {Hue[0.3282613264487417, 1, 1], LineBox[{434, 435}]}, 
        {Hue[0.3271230790150251, 1, 1], LineBox[{435, 436}]}, 
        {Hue[0.32597365273401074`, 1, 1], LineBox[{436, 437}]}, 
        {Hue[0.3236413068585622, 1, 1], LineBox[{437, 438}]}, 
        {Hue[0.31884327051813827`, 1, 1], LineBox[{438, 439}]}, 
        {Hue[0.3176161841284539, 1, 1], LineBox[{439, 440}]}, 
        {Hue[0.31637816230129767`, 1, 1], LineBox[{440, 441}]}, 
        {Hue[0.31386955801377747`, 1, 1], LineBox[{441, 442}]}, 
        {Hue[0.3087242317668114, 1, 1], LineBox[{442, 443}]}, 
        {Hue[0.3074117392680444, 1, 1], LineBox[{443, 444}]}, 
        {Hue[0.30608899520711413`, 1, 1], LineBox[{444, 445}]}, 
        {Hue[0.30341324198979863`, 1, 1], LineBox[{445, 446}]}, 
        {Hue[0.2979445629630031, 1, 1], LineBox[{446, 447}]}, 
        {Hue[0.29658128674676587`, 1, 1], LineBox[{447, 448}]}, 
        {Hue[0.2952093026577684, 1, 1], LineBox[{448, 449}]}, 
        {Hue[0.2924399234396595, 1, 1], LineBox[{449, 450}]}, 
        {Hue[0.2910429041168856, 1, 1], LineBox[{450, 451}]}, 
        {Hue[0.2896379284640285, 1, 1], LineBox[{451, 452}]}, 
        {Hue[0.28680494472218837`, 1, 1], LineBox[{452, 453}]}, 
        {Hue[0.2853773738522607, 1, 1], LineBox[{453, 454}]}, 
        {Hue[0.2839427208894022, 1, 1], LineBox[{454, 455}]}, 
        {Hue[0.28105312410615385`, 1, 1], LineBox[{455, 456}]}, 
        {Hue[0.2795986756937567, 1, 1], LineBox[{456, 457}]}, 
        {Hue[0.2781381356658366, 1, 1], LineBox[{457, 458}]}, 
        {Hue[0.2751998455984212, 1, 1], LineBox[{458, 459}]}, 
        {Hue[0.2737226437409136, 1, 1], LineBox[{459, 460}]}, 
        {Hue[0.2722404461575608, 1, 1], LineBox[{460, 461}]}, 
        {Hue[0.270753541608276, 1, 1], LineBox[{461, 462}]}, 
        {Hue[0.2692622242375826, 1, 1], LineBox[{462, 463}]}, 
        {Hue[0.2677667932825646, 1, 1], LineBox[{463, 464}]}, 
        {Hue[0.26626755276641384`, 1, 1], LineBox[{464, 465}]}, 
        {Hue[0.26476481117827755`, 1, 1], LineBox[{465, 466}]}, 
        {Hue[0.26325888114017865`, 1, 1], LineBox[{466, 467}]}, 
        {Hue[0.2617500790618505, 1, 1], LineBox[{467, 468}]}, 
        {Hue[0.26023872478439325`, 1, 1], LineBox[{468, 469}]}, 
        {Hue[0.2587251412137176, 1, 1], LineBox[{469, 470}]}, 
        {Hue[0.25720965394480033`, 1, 1], LineBox[{470, 471}]}, 
        {Hue[0.2556925908778249, 1, 1], LineBox[{471, 472}]}, 
        {Hue[0.2541742818273268, 1, 1], LineBox[{472, 473}]}, 
        {Hue[0.2526550581255023, 1, 1], LineBox[{473, 474}]}, 
        {Hue[0.25113525222087285`, 1, 1], LineBox[{474, 475}]}, 
        {Hue[0.249615197273523, 1, 1], LineBox[{475, 476}]}, 
        {Hue[0.2480952267481501, 1, 1], LineBox[{476, 477}]}, 
        {Hue[0.24657567400617633`, 1, 1], LineBox[{477, 478}]}, 
        {Hue[0.2450568718981785, 1, 1], LineBox[{478, 479}]}, 
        {Hue[0.24353915235789014`, 1, 1], LineBox[{479, 480}]}, 
        {Hue[0.24202284599902035`, 1, 1], LineBox[{480, 481}]}, 
        {Hue[0.24050828171611904`, 1, 1], LineBox[{481, 482}]}, 
        {Hue[0.2389957862906937, 1, 1], LineBox[{482, 483}]}, 
        {Hue[0.23748568400375378`, 1, 1], LineBox[{483, 484}]}, 
        {Hue[0.23597829625592256`, 1, 1], LineBox[{484, 485}]}, 
        {Hue[0.2344739411962137, 1, 1], LineBox[{485, 486}]}, 
        {Hue[0.232972933360521, 1, 1], LineBox[{486, 487}]}, 
        {Hue[0.23147558332081697`, 1, 1], LineBox[{487, 488}]}, 
        {Hue[0.2299821973459975, 1, 1], LineBox[{488, 489}]}, 
        {Hue[0.22700851920472437`, 1, 1], LineBox[{489, 490}]}, 
        {Hue[0.2255288151883302, 1, 1], LineBox[{490, 491}]}, 
        {Hue[0.22405425095318177`, 1, 1], LineBox[{491, 492}]}, 
        {Hue[0.2211216563018685, 1, 1], LineBox[{492, 493}]}, 
        {Hue[0.2196641677629019, 1, 1], LineBox[{493, 494}]}, 
        {Hue[0.21821290230202672`, 1, 1], LineBox[{494, 495}]}, 
        {Hue[0.21533005202995625`, 1, 1], LineBox[{495, 496}]}, 
        {Hue[0.21389895551510865`, 1, 1], LineBox[{496, 497}]}, 
        {Hue[0.21247505834997557`, 1, 1], LineBox[{497, 498}]}, 
        {Hue[0.2096497587775929, 1, 1], LineBox[{498, 499}]}, 
        {Hue[0.20409499215900984`, 1, 1], LineBox[{499, 500}]}, 
        {Hue[0.20261175427618366`, 1, 1], LineBox[{500, 501}]}, 
        {Hue[0.2011388828334624, 1, 1], LineBox[{501, 502}]}, 
        {Hue[0.19822506293838285`, 1, 1], LineBox[{502, 503}]}, 
        {Hue[0.1925302773412124, 1, 1], LineBox[{503, 504}]}, 
        {Hue[0.19113521014229293`, 1, 1], LineBox[{504, 505}]}, 
        {Hue[0.18975187892150783`, 1, 1], LineBox[{505, 506}]}, 
        {Hue[0.18702091149995037`, 1, 1], LineBox[{506, 507}]}, 
        {Hue[0.18170461874057245`, 1, 1], LineBox[{507, 508}]}, 
        {Hue[0.1804063739789718, 1, 1], LineBox[{508, 509}]}, 
        {Hue[0.17912059119000334`, 1, 1], LineBox[{509, 510}]}, 
        {Hue[0.1765866041385517, 1, 1], LineBox[{510, 511}]}, 
        {Hue[0.1716698451032985, 1, 1], LineBox[{511, 512}]}, 
        {Hue[0.16244237099486505`, 1, 1], LineBox[{512, 513}]}, 
        {Hue[0.16134539215035096`, 1, 1], LineBox[{513, 514}]}, 
        {Hue[0.16026083263510568`, 1, 1], LineBox[{514, 515}]}, 
        {Hue[0.15812876306007306`, 1, 1], LineBox[{515, 516}]}, 
        {Hue[0.15401113810246653`, 1, 1], LineBox[{516, 517}]}, 
        {Hue[0.14634569057424546`, 1, 1], LineBox[{517, 518}]}, 
        {Hue[0.13313460025303378`, 1, 1], LineBox[{518, 519}]}, 
        {Hue[0.13244486425174398`, 1, 1], LineBox[{519, 520}]}, 
        {Hue[0.1317635081336088, 1, 1], LineBox[{520, 521}]}, 
        {Hue[0.13042560610271023`, 1, 1], LineBox[{521, 522}]}, 
        {Hue[0.12784675114535354`, 1, 1], LineBox[{522, 523}]}, 
        {Hue[0.12305881926933442`, 1, 1], LineBox[{523, 524}]}, 
        {Hue[0.11482520840057447`, 1, 1], LineBox[{524, 525}]}, 
        {Hue[0.11436495819834291`, 1, 1], LineBox[{525, 526}]}, 
        {Hue[0.11391070091135178`, 1, 1], LineBox[{526, 527}]}, 
        {Hue[0.11301991284716098`, 1, 1], LineBox[{527, 528}]}, 
        {Hue[0.11130752046589712`, 1, 1], LineBox[{528, 529}]}, 
        {Hue[0.10814634076874291`, 1, 1], LineBox[{529, 530}]}, 
        {Hue[0.10278351231703153`, 1, 1], LineBox[{530, 531}]}, 
        {Hue[0.10246282126767692`, 1, 1], LineBox[{531, 532}]}, 
        {Hue[0.1021472262314288, 1, 1], LineBox[{532, 533}]}, 
        {Hue[0.10153112209141552`, 1, 1], LineBox[{533, 534}]}, 
        {Hue[0.10035789197997409`, 1, 1], LineBox[{534, 535}]}, 
        {Hue[0.09823713324640483, 1, 1], LineBox[{535, 536}]}, 
        {Hue[0.09482740633597951, 1, 1], LineBox[{536, 537}]}, 
        {Hue[0.09464869630352665, 1, 1], LineBox[{537, 538}]}, 
        {Hue[0.09447385463900781, 1, 1], LineBox[{538, 539}]}, 
        {Hue[0.0941356705078944, 1, 1], LineBox[{539, 540}]}, 
        {Hue[0.09350459245405085, 1, 1], LineBox[{540, 541}]}, 
        {Hue[0.09241844972328409, 1, 1], LineBox[{541, 542}]}, 
        {Hue[0.09091667900824618, 1, 1], LineBox[{542, 543}]}, 
        {Hue[0.09085261528978804, 1, 1], LineBox[{543, 544}]}, 
        {Hue[0.09079173258992837, 1, 1], LineBox[{544, 545}]}, 
        {Hue[0.09067947630206728, 1, 1], LineBox[{545, 546}]}, 
        {Hue[0.0904927878598572, 1, 1], LineBox[{546, 547}]}, 
        {Hue[0.09026938374624895, 1, 1], LineBox[{547, 548}]}, 
        {Hue[0.09041777699793806, 1, 1], LineBox[{548, 549}]}, 
        {Hue[0.0904534399381244, 1, 1], LineBox[{549, 550}]}, 
        {Hue[0.09049222762530817, 1, 1], LineBox[{550, 551}]}, 
        {Hue[0.09057919950957763, 1, 1], LineBox[{551, 552}]}, 
        {Hue[0.09079091010041693, 1, 1], LineBox[{552, 553}]}, 
        {Hue[0.09136722308944603, 1, 1], LineBox[{553, 554}]}, 
        {Hue[0.09315226164974892, 1, 1], LineBox[{554, 555}]}, 
        {Hue[0.09328332399589831, 1, 1], LineBox[{555, 556}]}, 
        {Hue[0.09341745653170223, 1, 1], LineBox[{556, 557}]}, 
        {Hue[0.09369500032297386, 1, 1], LineBox[{557, 558}]}, 
        {Hue[0.0942877031750773, 1, 1], LineBox[{558, 559}]}, 
        {Hue[0.09562793340973948, 1, 1], LineBox[{559, 560}]}, 
        {Hue[0.09896871742721873, 1, 1], LineBox[{560, 561}]}, 
        {Hue[0.09920861961596243, 1, 1], LineBox[{561, 562}]}, 
        {Hue[0.09945235945136019, 1, 1], LineBox[{562, 563}]}, 
        {Hue[0.09995148190022532, 1, 1], LineBox[{563, 564}]}, 
        {Hue[0.10099723872815546`, 1, 1], LineBox[{564, 565}]}, 
        {Hue[0.1032868215182252, 1, 1], LineBox[{565, 566}]}, 
        {Hue[0.10873083924759783`, 1, 1], LineBox[{566, 567}]}, 
        {Hue[0.10914506217092164`, 1, 1], LineBox[{567, 568}]}, 
        {Hue[0.10956538296201762`, 1, 1], LineBox[{568, 569}]}, 
        {Hue[0.11042459108072257`, 1, 1], LineBox[{569, 570}]}, 
        {Hue[0.11221924121316484`, 1, 1], LineBox[{570, 571}]}, 
        {Hue[0.11613008608096333`, 1, 1], LineBox[{571, 572}]}, 
        {Hue[0.12538463783238452`, 1, 1], LineBox[{572, 573}]}, 
        {Hue[0.12603278750728658`, 1, 1], LineBox[{573, 574}]}, 
        {Hue[0.1266897115689617, 1, 1], LineBox[{574, 575}]}, 
        {Hue[0.12803027830723673`, 1, 1], LineBox[{575, 576}]}, 
        {Hue[0.13082108912281273`, 1, 1], LineBox[{576, 577}]}, 
        {Hue[0.13686423047619967`, 1, 1], LineBox[{577, 578}]}, 
        {Hue[0.15097947402249753`, 1, 1], LineBox[{578, 579}]}, 
        {Hue[0.15189296341282663`, 1, 1], LineBox[{579, 580}]}, 
        {Hue[0.15281683856639172`, 1, 1], LineBox[{580, 581}]}, 
        {Hue[0.15469600524574909`, 1, 1], LineBox[{581, 582}]}, 
        {Hue[0.15858169264073016`, 1, 1], LineBox[{582, 583}]}, 
        {Hue[0.16687371278992438`, 1, 1], LineBox[{583, 584}]}, 
        {Hue[0.16795976737908938`, 1, 1], LineBox[{584, 585}]}, 
        {Hue[0.16905691631350925`, 1, 1], LineBox[{585, 586}]}, 
        {Hue[0.17128454445962046`, 1, 1], LineBox[{586, 587}]}, 
        {Hue[0.17587317639470604`, 1, 1], LineBox[{587, 588}]}, 
        {Hue[0.18557973508091857`, 1, 1], LineBox[{588, 589}]}, 
        {Hue[0.18684186280226484`, 1, 1], LineBox[{589, 590}]}, 
        {Hue[0.18811461973075905`, 1, 1], LineBox[{590, 591}]}, 
        {Hue[0.19069167437911466`, 1, 1], LineBox[{591, 592}]}, 
        {Hue[0.19596909005150134`, 1, 1], LineBox[{592, 593}]}, 
        {Hue[0.19731344576720333`, 1, 1], LineBox[{593, 594}]}, 
        {Hue[0.1986675344202881, 1, 1], LineBox[{594, 595}]}, 
        {Hue[0.20140430923467675`, 1, 1], LineBox[{595, 596}]}, 
        {Hue[0.20698757293278702`, 1, 1], LineBox[{596, 597}]}, 
        {Hue[0.20840517416596105`, 1, 1], LineBox[{597, 598}]}, 
        {Hue[0.20983108864214775`, 1, 1], LineBox[{598, 599}]}, 
        {Hue[0.21270698937836283`, 1, 1], LineBox[{599, 600}]}, 
        {Hue[0.21415652130787333`, 1, 1], LineBox[{600, 601}]}, 
        {Hue[0.21561345802485604`, 1, 1], LineBox[{601, 602}]}, 
        {Hue[0.2185485500156821, 1, 1], LineBox[{602, 603}]}, 
        {Hue[0.220026188321021, 1, 1], LineBox[{603, 604}]}, 
        {Hue[0.22151019783439335`, 1, 1], LineBox[{604, 605}]}, 
        {Hue[0.22449621673451894`, 1, 1], LineBox[{605, 606}]}, 
        {Hue[0.22599765223426094`, 1, 1], LineBox[{606, 607}]}, 
        {Hue[0.22750431167627122`, 1, 1], LineBox[{607, 608}]}, 
        {Hue[0.2305320854524918, 1, 1], LineBox[{608, 609}]}, 
        {Hue[0.23202259318706228`, 1, 1], LineBox[{609, 610}]}, 
        {Hue[0.2335169310468691, 1, 1], LineBox[{610, 611}]}, 
        {Hue[0.23501479384867535`, 1, 1], LineBox[{611, 612}]}, 
        {Hue[0.23651587227642965`, 1, 1], LineBox[{612, 613}]}, 
        {Hue[0.2380198532197434, 1, 1], LineBox[{613, 614}]}, 
        {Hue[0.23952642012348818`, 1, 1], LineBox[{614, 615}]}, 
        {Hue[0.24103525334757261`, 1, 1], LineBox[{615, 616}]}, 
        {Hue[0.24254603053590387`, 1, 1], LineBox[{616, 617}]}, 
        {Hue[0.24405842699349092`, 1, 1], LineBox[{617, 618}]}, 
        {Hue[0.2455721160705974, 1, 1], LineBox[{618, 619}]}, 
        {Hue[0.24708676955281506`, 1, 1], LineBox[{619, 620}]}, 
        {Hue[0.24860205805589547`, 1, 1], LineBox[{620, 621}]}, 
        {Hue[0.25011765142415027`, 1, 1], LineBox[{621, 622}]}, 
        {Hue[0.251633219131208, 1, 1], LineBox[{622, 623}]}, 
        {Hue[0.2531484306819064, 1, 1], LineBox[{623, 624}]}, 
        {Hue[0.25466295601408956`, 1, 1], LineBox[{624, 625}]}, 
        {Hue[0.2561764658990785, 1, 1], LineBox[{625, 626}]}, 
        {Hue[0.25768863233959627`, 1, 1], LineBox[{626, 627}]}, 
        {Hue[0.2591991289639389, 1, 1], LineBox[{627, 628}]}, 
        {Hue[0.2607076314152042, 1, 1], LineBox[{628, 629}]}, 
        {Hue[0.2622138177344243, 1, 1], LineBox[{629, 630}]}, 
        {Hue[0.2637173687364747, 1, 1], LineBox[{630, 631}]}, 
        {Hue[0.26521796837767736`, 1, 1], LineBox[{631, 632}]}, 
        {Hue[0.2667153041140611, 1, 1], LineBox[{632, 633}]}, 
        {Hue[0.26820906724929244`, 1, 1], LineBox[{633, 634}]}, 
        {Hue[0.2696989532713471, 1, 1], LineBox[{634, 635}]}, 
        {Hue[0.2711846621770523, 1, 1], LineBox[{635, 636}]}, 
        {Hue[0.272665898783697, 1, 1], LineBox[{636, 637}]}, 
        {Hue[0.27414237302696876`, 1, 1], LineBox[{637, 638}]}, 
        {Hue[0.2756138002445543, 1, 1], LineBox[{638, 639}]}, 
        {Hue[0.2785404035599646, 1, 1], LineBox[{639, 640}]}, 
        {Hue[0.2799950396834619, 1, 1], LineBox[{640, 641}]}, 
        {Hue[0.2814435492909886, 1, 1], LineBox[{641, 642}]}, 
        {Hue[0.28432117998232237`, 1, 1], LineBox[{642, 643}]}, 
        {Hue[0.2899922128977139, 1, 1], LineBox[{643, 644}]}, 
        {Hue[0.29139111701553144`, 1, 1], LineBox[{644, 645}]}, 
        {Hue[0.2927820611782468, 1, 1], LineBox[{645, 646}]}, 
        {Hue[0.29553929367677334`, 1, 1], LineBox[{646, 647}]}, 
        {Hue[0.30095013485158145`, 1, 1], LineBox[{647, 648}]}, 
        {Hue[0.30228030524665117`, 1, 1], LineBox[{648, 649}]}, 
        {Hue[0.30360116427667505`, 1, 1], LineBox[{649, 650}]}, 
        {Hue[0.3062144186223152, 1, 1], LineBox[{650, 651}]}, 
        {Hue[0.31132378522277415`, 1, 1], LineBox[{651, 652}]}, 
        {Hue[0.3210536968784911, 1, 1], LineBox[{652, 653}]}, 
        {Hue[0.3223218500230857, 1, 1], LineBox[{653, 654}]}, 
        {Hue[0.32357751158298587`, 1, 1], LineBox[{654, 655}]}, 
        {Hue[0.32605123684540527`, 1, 1], LineBox[{655, 656}]}, 
        {Hue[0.33084784684615137`, 1, 1], LineBox[{656, 657}]}, 
        {Hue[0.3398396183482885, 1, 1], LineBox[{657, 658}]}, 
        {Hue[0.355500396496161, 1, 1], LineBox[{658, 659}]}, 
        {Hue[0.35638151906932103`, 1, 1], LineBox[{659, 660}]}, 
        {Hue[0.3572516829056088, 1, 1], LineBox[{660, 661}]}, 
        {Hue[0.3589595198215501, 1, 1], LineBox[{661, 662}]}, 
        {Hue[0.36224797710544837`, 1, 1], LineBox[{662, 663}]}, 
        {Hue[0.3683384303172307, 1, 1], LineBox[{663, 664}]}, 
        {Hue[0.37875264805533854`, 1, 1], LineBox[{664, 665}]}, 
        {Hue[0.37929362622467283`, 1, 1], LineBox[{665, 666}]}, 
        {Hue[0.3798277778511279, 1, 1], LineBox[{666, 667}]}, 
        {Hue[0.380875889423548, 1, 1], LineBox[{667, 668}]}, 
        {Hue[0.38289332188529274`, 1, 1], LineBox[{668, 669}]}, 
        {Hue[0.38662821727958574`, 1, 1], LineBox[{669, 670}]}, 
        {Hue[0.3930095196165625, 1, 1], LineBox[{670, 671}]}, 
        {Hue[0.39336417574492377`, 1, 1], LineBox[{671, 672}]}, 
        {Hue[0.3937139455239383, 1, 1], LineBox[{672, 673}]}, 
        {Hue[0.3943990186292021, 1, 1], LineBox[{673, 674}]}, 
        {Hue[0.395712607699501, 1, 1], LineBox[{674, 675}]}, 
        {Hue[0.3981234490220214, 1, 1], LineBox[{675, 676}]}, 
        {Hue[0.4021501625061843, 1, 1], LineBox[{676, 677}]}, 
        {Hue[0.4023873407192471, 1, 1], LineBox[{677, 678}]}, 
        {Hue[0.4026202159141308, 1, 1], LineBox[{678, 679}]}, 
        {Hue[0.4030732011740065, 1, 1], LineBox[{679, 680}]}, 
        {Hue[0.40392907850898685`, 1, 1], LineBox[{680, 681}]}, 
        {Hue[0.40544761775066657`, 1, 1], LineBox[{681, 682}]}, 
        {Hue[0.4077603803804117, 1, 1], LineBox[{682, 683}]}, 
        {Hue[0.4078744683774124, 1, 1], LineBox[{683, 684}]}, 
        {Hue[0.4079850865643154, 1, 1], LineBox[{684, 685}]}, 
        {Hue[0.4081959783765846, 1, 1], LineBox[{685, 686}]}, 
        {Hue[0.4085768084358308, 1, 1], LineBox[{686, 687}]}, 
        {Hue[0.4091776206003223, 1, 1], LineBox[{687, 688}]}, 
        {Hue[0.40975293542221014`, 1, 1], LineBox[{688, 689}]}, 
        {Hue[0.4097611193350166, 1, 1], LineBox[{689, 690}]}, 
        {Hue[0.4097665185692879, 1, 1], LineBox[{690, 691}]}, 
        {Hue[0.4097689653770375, 1, 1], LineBox[{691, 692}]}, 
        {Hue[0.40974044929379533`, 1, 1], LineBox[{692, 693}]}, 
        {Hue[0.4095494583315227, 1, 1], LineBox[{693, 694}]}, 
        {Hue[0.40862430565017754`, 1, 1], LineBox[{694, 695}]}, 
        {Hue[0.4085419614152326, 1, 1], LineBox[{695, 696}]}, 
        {Hue[0.4084566775056169, 1, 1], LineBox[{696, 697}]}, 
        {Hue[0.40827724658271597`, 1, 1], LineBox[{697, 698}]}, 
        {Hue[0.407882601853082, 1, 1], LineBox[{698, 699}]}, 
        {Hue[0.4069472010760087, 1, 1], LineBox[{699, 700}]}, 
        {Hue[0.4044624736480377, 1, 1], LineBox[{700, 701}]}, 
        {Hue[0.4042822445041957, 1, 1], LineBox[{701, 702}]}, 
        {Hue[0.40409865408433143`, 1, 1], LineBox[{702, 703}]}, 
        {Hue[0.4037212946549849, 1, 1], LineBox[{703, 704}]}, 
        {Hue[0.40292517139812906`, 1, 1], LineBox[{704, 705}]}, 
        {Hue[0.40116137317952255`, 1, 1], LineBox[{705, 706}]}, 
        {Hue[0.39689304163001865`, 1, 1], LineBox[{706, 707}]}, 
        {Hue[0.39659103554071956`, 1, 1], LineBox[{707, 708}]}, 
        {Hue[0.39628465410213765`, 1, 1], LineBox[{708, 709}]}, 
        {Hue[0.39565859933134845`, 1, 1], LineBox[{709, 710}]}, 
        {Hue[0.3943521247485118, 1, 1], LineBox[{710, 711}]}, 
        {Hue[0.39151157288054333`, 1, 1], LineBox[{711, 712}]}, 
        {Hue[0.38482951461333476`, 1, 1], LineBox[{712, 713}]}, 
        {Hue[0.3843238853318252, 1, 1], LineBox[{713, 714}]}, 
        {Hue[0.38381114153803164`, 1, 1], LineBox[{714, 715}]}, 
        {Hue[0.38276398184616783`, 1, 1], LineBox[{715, 716}]}, 
        {Hue[0.38058061776456975`, 1, 1], LineBox[{716, 717}]}, 
        {Hue[0.37583804197913634`, 1, 1], LineBox[{717, 718}]}, 
        {Hue[0.3752082040380512, 1, 1], LineBox[{718, 719}]}, 
        {Hue[0.3745698258565449, 1, 1], LineBox[{719, 720}]}, 
        {Hue[0.3732670619073295, 1, 1], LineBox[{720, 721}]}, 
        {Hue[0.3705547570168888, 1, 1], LineBox[{721, 722}]}, 
        {Hue[0.36468060256182117`, 1, 1], LineBox[{722, 723}]}, 
        {Hue[0.3639022070275845, 1, 1], LineBox[{723, 724}]}, 
        {Hue[0.3631136647647018, 1, 1], LineBox[{724, 725}]}, 
        {Hue[0.3615057315284429, 1, 1], LineBox[{725, 726}]}, 
        {Hue[0.35816362884341324`, 1, 1], LineBox[{726, 727}]}, 
        {Hue[0.3509523098959172, 1, 1], LineBox[{727, 728}]}, 
        {Hue[0.34999962576890675`, 1, 1], LineBox[{728, 729}]}, 
        {Hue[0.34903524934367025`, 1, 1], LineBox[{729, 730}]}, 
        {Hue[0.34707108462234215`, 1, 1], LineBox[{730, 731}]}, 
        {Hue[0.3429989061925738, 1, 1], LineBox[{731, 732}]}, 
        {Hue[0.3342642269480573, 1, 1], LineBox[{732, 733}]}, 
        {Hue[0.3331930035562039, 1, 1], LineBox[{733, 734}]}, 
        {Hue[0.33211076815748714`, 1, 1], LineBox[{734, 735}]}, 
        {Hue[0.32991319509794204`, 1, 1], LineBox[{735, 736}]}, 
        {Hue[0.325385438219588, 1, 1], LineBox[{736, 737}]}, 
        {Hue[0.3242258881801064, 1, 1], LineBox[{737, 738}]}, 
        {Hue[0.323055320810639, 1, 1], LineBox[{738, 739}]}, 
        {Hue[0.3206812337556658, 1, 1], LineBox[{739, 740}]}, 
        {Hue[0.3158022921032632, 1, 1], LineBox[{740, 741}]}, 
        {Hue[0.314555605815536, 1, 1], LineBox[{741, 742}]}, 
        {Hue[0.31329826645953185`, 1, 1], LineBox[{742, 743}]}, 
        {Hue[0.3107519397411877, 1, 1], LineBox[{743, 744}]}, 
        {Hue[0.30553528853419687`, 1, 1], LineBox[{744, 745}]}, 
        {Hue[0.30420592264675606`, 1, 1], LineBox[{745, 746}]}, 
        {Hue[0.30286672287717026`, 1, 1], LineBox[{746, 747}]}, 
        {Hue[0.3001593807259757, 1, 1], LineBox[{747, 748}]}, 
        {Hue[0.2946332981225129, 1, 1], LineBox[{748, 749}]}, 
        {Hue[0.2932295766835387, 1, 1], LineBox[{749, 750}]}, 
        {Hue[0.29181735334658276`, 1, 1], LineBox[{750, 751}]}, 
        {Hue[0.28896822368511427`, 1, 1], LineBox[{751, 752}]}, 
        {Hue[0.287531749070397, 1, 1], LineBox[{752, 753}]}, 
        {Hue[0.2860876358170311, 1, 1], LineBox[{753, 754}]}, 
        {Hue[0.28317744444809123`, 1, 1], LineBox[{754, 755}]}, 
        {Hue[0.28171186115808783`, 1, 1], LineBox[{755, 756}]}, 
        {Hue[0.28023962857231266`, 1, 1], LineBox[{756, 757}]}, 
        {Hue[0.27727628653889375`, 1, 1], LineBox[{757, 758}]}, 
        {Hue[0.2757857300982778, 1, 1], LineBox[{758, 759}]}, 
        {Hue[0.27428962991808825`, 1, 1], LineBox[{759, 760}]}, 
        {Hue[0.2712819761798951, 1, 1], LineBox[{760, 761}]}, 
        {Hue[0.2697710264956914, 1, 1], LineBox[{761, 762}]}, 
        {Hue[0.2682557402209194, 1, 1], LineBox[{762, 763}]}, 
        {Hue[0.26673643287062415`, 1, 1], LineBox[{763, 764}]}, 
        {Hue[0.2652134247967895, 1, 1], LineBox[{764, 765}]}, 
        {Hue[0.26368704083529704`, 1, 1], LineBox[{765, 766}]}, 
        {Hue[0.26215760993943915`, 1, 1], LineBox[{766, 767}]}, 
        {Hue[0.2606254648009678, 1, 1], LineBox[{767, 768}]}, 
        {Hue[0.25909094145972433`, 1, 1], LineBox[{768, 769}]}, 
        {Hue[0.25755437890296545`, 1, 1], LineBox[{769, 770}]}, 
        {Hue[0.256016118655555, 1, 1], LineBox[{770, 771}]}, 
        {Hue[0.25447650436224506`, 1, 1], LineBox[{771, 772}]}, 
        {Hue[0.2529358813633165, 1, 1], LineBox[{772, 773}]}, 
        {Hue[0.25139459626488575`, 1, 1], LineBox[{773, 774}]}, 
        {Hue[0.24985299650521825`, 1, 1], LineBox[{774, 775}]}, 
        {Hue[0.24831142991841035`, 1, 1], LineBox[{775, 776}]}, 
        {Hue[0.24677024429681763`, 1, 1], LineBox[{776, 777}]}, 
        {Hue[0.2451009482308841, 1, 1], LineBox[{777, 778}]}, 
        {Hue[0.24343294813544247`, 1, 1], LineBox[{778, 779}]}, 
        {Hue[0.24176668284857408`, 1, 1], LineBox[{779, 780}]}, 
        {Hue[0.24010258865990125`, 1, 1], LineBox[{780, 781}]}, 
        {Hue[0.23844109868021815`, 1, 1], LineBox[{781, 782}]}, 
        {Hue[0.23678264222279086`, 1, 1], LineBox[{782, 783}]}, 
        {Hue[0.23512764419851573`, 1, 1], LineBox[{783, 784}]}, 
        {Hue[0.23347652452703027`, 1, 1], LineBox[{784, 785}]}, 
        {Hue[0.23182969756576696`, 1, 1], LineBox[{785, 786}]}, 
        {Hue[0.2301875715588206, 1, 1], LineBox[{786, 787}]}, 
        {Hue[0.22855054810736894`, 1, 1], LineBox[{787, 788}]}, 
        {Hue[0.2269190216632464, 1, 1], LineBox[{788, 789}]}, 
        {Hue[0.22529337904712582`, 1, 1], LineBox[{789, 790}]}, 
        {Hue[0.22367399899260962`, 1, 1], LineBox[{790, 791}]}, 
        {Hue[0.22045549852231355`, 1, 1], LineBox[{791, 792}]}, 
        {Hue[0.21885709141959922`, 1, 1], LineBox[{792, 793}]}, 
        {Hue[0.217266372790134, 1, 1], LineBox[{793, 794}]}, 
        {Hue[0.21410932047351375`, 1, 1], LineBox[{794, 795}]}, 
        {Hue[0.21254362073091193`, 1, 1], LineBox[{795, 796}]}, 
        {Hue[0.21098687687763032`, 1, 1], LineBox[{796, 797}]}, 
        {Hue[0.20790140636583182`, 1, 1], LineBox[{797, 798}]}, 
        {Hue[0.20637322671235359`, 1, 1], LineBox[{798, 799}]}, 
        {Hue[0.2048550967249044, 1, 1], LineBox[{799, 800}]}, 
        {Hue[0.20184995542164957`, 1, 1], LineBox[{800, 801}]}, 
        {Hue[0.19597029624263876`, 1, 1], LineBox[{801, 802}]}, 
        {Hue[0.19452874292108502`, 1, 1], LineBox[{802, 803}]}, 
        {Hue[0.19309888279146298`, 1, 1], LineBox[{803, 804}]}, 
        {Hue[0.19027485071865918`, 1, 1], LineBox[{804, 805}]}, 
        {Hue[0.18477319872821427`, 1, 1], LineBox[{805, 806}]}, 
        {Hue[0.18342892922777343`, 1, 1], LineBox[{806, 807}]}, 
        {Hue[0.18209729671824224`, 1, 1], LineBox[{807, 808}]}, 
        {Hue[0.17947222511151453`, 1, 1], LineBox[{808, 809}]}, 
        {Hue[0.17437632845634157`, 1, 1], LineBox[{809, 810}]}, 
        {Hue[0.17313469628239997`, 1, 1], LineBox[{810, 811}]}, 
        {Hue[0.17190603976867702`, 1, 1], LineBox[{811, 812}]}, 
        {Hue[0.16948767141168178`, 1, 1], LineBox[{812, 813}]}, 
        {Hue[0.16480645400154653`, 1, 1], LineBox[{813, 814}]}, 
        {Hue[0.15605900300476466`, 1, 1], LineBox[{814, 815}]}, 
        {Hue[0.1550410185402729, 1, 1], LineBox[{815, 816}]}, 
        {Hue[0.1540349598266497, 1, 1], LineBox[{816, 817}]}, 
        {Hue[0.15205832929130986`, 1, 1], LineBox[{817, 818}]}, 
        {Hue[0.14824483243506137`, 1, 1], LineBox[{818, 819}]}, 
        {Hue[0.14115763383018473`, 1, 1], LineBox[{819, 820}]}, 
        {Hue[0.1289715832906963, 1, 1], LineBox[{820, 821}]}, 
        {Hue[0.12829095625803003`, 1, 1], LineBox[{821, 822}]}, 
        {Hue[0.1276192641062114, 1, 1], LineBox[{822, 823}]}, 
        {Hue[0.1263022957406865, 1, 1], LineBox[{823, 824}]}, 
        {Hue[0.12377133654903728`, 1, 1], LineBox[{824, 825}]}, 
        {Hue[0.11910044939296187`, 1, 1], LineBox[{825, 826}]}, 
        {Hue[0.11116740194873345`, 1, 1], LineBox[{826, 827}]}, 
        {Hue[0.11075759360678568`, 1, 1], LineBox[{827, 828}]}, 
        {Hue[0.11035321163720087`, 1, 1], LineBox[{828, 829}]}, 
        {Hue[0.10956050419122346`, 1, 1], LineBox[{829, 830}]}, 
        {Hue[0.1080377985587239, 1, 1], LineBox[{830, 831}]}, 
        {Hue[0.10523170575685457`, 1, 1], LineBox[{831, 832}]}, 
        {Hue[0.10049410187347046`, 1, 1], LineBox[{832, 833}]}, 
        {Hue[0.10023379590079735`, 1, 1], LineBox[{833, 834}]}, 
        {Hue[0.09997747814246605, 1, 1], LineBox[{834, 835}]}, 
        {Hue[0.09947667075362084, 1, 1], LineBox[{835, 836}]}, 
        {Hue[0.09852144509498116, 1, 1], LineBox[{836, 837}]}, 
        {Hue[0.0967896309754321, 1, 1], LineBox[{837, 838}]}, 
        {Hue[0.09399223012894711, 1, 1], LineBox[{838, 839}]}, 
        {Hue[0.09383298147141982, 1, 1], LineBox[{839, 840}]}, 
        {Hue[0.09367743751047676, 1, 1], LineBox[{840, 841}]}, 
        {Hue[0.09337737120833485, 1, 1], LineBox[{841, 842}]}, 
        {Hue[0.09282071022361339, 1, 1], LineBox[{842, 843}]}, 
        {Hue[0.09187682825364682, 1, 1], LineBox[{843, 844}]}, 
        {Hue[0.09063843139077606, 1, 1], LineBox[{844, 845}]}, 
        {Hue[0.0905889192555303, 1, 1], LineBox[{845, 846}]}, 
        {Hue[0.0905426342862054, 1, 1], LineBox[{846, 847}]}, 
        {Hue[0.09045971955010312, 1, 1], LineBox[{847, 848}]}, 
        {Hue[0.09033235298815732, 1, 1], LineBox[{848, 849}]}, 
        {Hue[0.09023059737119334, 1, 1], LineBox[{849, 850}]}, 
        {Hue[0.09063817418121681, 1, 1], LineBox[{850, 851}]}, 
        {Hue[0.0906873024606514, 1, 1], LineBox[{851, 852}]}, 
        {Hue[0.09073925594576789, 1, 1], LineBox[{852, 853}]}, 
        {Hue[0.09085166512393306, 1, 1], LineBox[{853, 854}]}, 
        {Hue[0.09111069879010815, 1, 1], LineBox[{854, 855}]}, 
        {Hue[0.09176758903447274, 1, 1], LineBox[{855, 856}]}, 
        {Hue[0.09365749455030073, 1, 1], LineBox[{856, 857}]}, 
        {Hue[0.09380214744060655, 1, 1], LineBox[{857, 858}]}, 
        {Hue[0.0939500253234712, 1, 1], LineBox[{858, 859}]}, 
        {Hue[0.09425553371778239, 1, 1], LineBox[{859, 860}]}, 
        {Hue[0.09490613011053897, 1, 1], LineBox[{860, 861}]}, 
        {Hue[0.09637058890848448, 1, 1], LineBox[{861, 862}]}, 
        {Hue[0.09999887332533781, 1, 1], LineBox[{862, 863}]}, 
        {Hue[0.10025355910323622`, 1, 1], LineBox[{863, 864}]}, 
        {Hue[0.10051217529773122`, 1, 1], LineBox[{864, 865}]}, 
        {Hue[0.10104133596751991`, 1, 1], LineBox[{865, 866}]}, 
        {Hue[0.10214836218573363`, 1, 1], LineBox[{866, 867}]}, 
        {Hue[0.10456567158763809`, 1, 1], LineBox[{867, 868}]}, 
        {Hue[0.11028933953886229`, 1, 1], LineBox[{868, 869}]}, 
        {Hue[0.11068977519898907`, 1, 1], LineBox[{869, 870}]}, 
        {Hue[0.11109554582408324`, 1, 1], LineBox[{870, 871}]}, 
        {Hue[0.11192331344287035`, 1, 1], LineBox[{871, 872}]}, 
        {Hue[0.11364534537254753`, 1, 1], LineBox[{872, 873}]}, 
        {Hue[0.11736874137085049`, 1, 1], LineBox[{873, 874}]}, 
        {Hue[0.1260493022632204, 1, 1], LineBox[{874, 875}]}, 
        {Hue[0.12670290085955513`, 1, 1], LineBox[{875, 876}]}, 
        {Hue[0.12736527955215443`, 1, 1], LineBox[{876, 877}]}, 
        {Hue[0.1287167689565863, 1, 1], LineBox[{877, 878}]}, 
        {Hue[0.1315294494736765, 1, 1], LineBox[{878, 879}]}, 
        {Hue[0.13761614096095554`, 1, 1], LineBox[{879, 880}]}, 
        {Hue[0.1518144271856748, 1, 1], LineBox[{880, 881}]}, 
        {Hue[0.152798236924112, 1, 1], LineBox[{881, 882}]}, 
        {Hue[0.15379391030547238`, 1, 1], LineBox[{882, 883}]}, 
        {Hue[0.15582115078652523`, 1, 1], LineBox[{883, 884}]}, 
        {Hue[0.16002115342078155`, 1, 1], LineBox[{884, 885}]}, 
        {Hue[0.16901565709777427`, 1, 1], LineBox[{885, 886}]}, 
        {Hue[0.17019645630551, 1, 1], LineBox[{886, 887}]}, 
        {Hue[0.17138987521657856`, 1, 1], LineBox[{887, 888}]}, 
        {Hue[0.17381458010188858`, 1, 1], LineBox[{888, 889}]}, 
        {Hue[0.17881512867260027`, 1, 1], LineBox[{889, 890}]}, 
        {Hue[0.18941168734824332`, 1, 1], LineBox[{890, 891}]}, 
        {Hue[0.19069808681679384`, 1, 1], LineBox[{891, 892}]}, 
        {Hue[0.1919947191543809, 1, 1], LineBox[{892, 893}]}, 
        {Hue[0.19461825080086767`, 1, 1], LineBox[{893, 894}]}, 
        {Hue[0.19998292268526505`, 1, 1], LineBox[{894, 895}]}, 
        {Hue[0.2013477787780611, 1, 1], LineBox[{895, 896}]}, 
        {Hue[0.20272179880864102`, 1, 1], LineBox[{896, 897}]}, 
        {Hue[0.20549664275274446`, 1, 1], LineBox[{897, 898}]}, 
        {Hue[0.21114827280065565`, 1, 1], LineBox[{898, 899}]}, 
        {Hue[0.21258122487000575`, 1, 1], LineBox[{899, 900}]}, 
        {Hue[0.21402175351842842`, 1, 1], LineBox[{900, 901}]}, 
        {Hue[0.21692459533587813`, 1, 1], LineBox[{901, 902}]}, 
        {Hue[0.21838641684569332`, 1, 1], LineBox[{902, 903}]}, 
        {Hue[0.21985483192269922`, 1, 1], LineBox[{903, 904}]}, 
        {Hue[0.22281037915363844`, 1, 1], LineBox[{904, 905}]}, 
        {Hue[0.22429696223557977`, 1, 1], LineBox[{905, 906}]}, 
        {Hue[0.2257890411942412, 1, 1], LineBox[{906, 907}]}, 
        {Hue[0.22728632528562825`, 1, 1], LineBox[{907, 908}]}, 
        {Hue[0.22878851775265263`, 1, 1], LineBox[{908, 909}]}, 
        {Hue[0.23029531611281676`, 1, 1], LineBox[{909, 910}]}, 
        {Hue[0.2318064124621705, 1, 1], LineBox[{910, 911}]}, 
        {Hue[0.23332149379488656`, 1, 1], LineBox[{911, 912}]}, 
        {Hue[0.2348402423377181, 1, 1], LineBox[{912, 913}]}, 
        {Hue[0.2363623358985253, 1, 1], LineBox[{913, 914}]}, 
        {Hue[0.23788744822798047`, 1, 1], LineBox[{914, 915}]}, 
        {Hue[0.23941524939348993`, 1, 1], LineBox[{915, 916}]}, 
        {Hue[0.2409454061643028, 1, 1], LineBox[{916, 917}]}, 
        {Hue[0.24247758240671533`, 1, 1], LineBox[{917, 918}]}, 
        {Hue[0.24401143948822065`, 1, 1], LineBox[{918, 919}]}, 
        {Hue[0.24554663668940443`, 1, 1], LineBox[{919, 920}]}, 
        {Hue[0.2470828316223405, 1, 1], LineBox[{920, 921}]}, 
        {Hue[0.248619680654207, 1, 1], LineBox[{921, 922}]}, 
        {Hue[0.25015683933480554`, 1, 1], LineBox[{922, 923}]}, 
        {Hue[0.25169396282665035`, 1, 1], LineBox[{923, 924}]}, 
        {Hue[0.2532307063362786, 1, 1], LineBox[{924, 925}]}, 
        {Hue[0.25476672554542085`, 1, 1], LineBox[{925, 926}]}, 
        {Hue[0.2563016770406758, 1, 1], LineBox[{926, 927}]}, 
        {Hue[0.25783521874034127`, 1, 1], LineBox[{927, 928}]}, 
        {Hue[0.2593670103170697, 1, 1], LineBox[{928, 929}]}, 
        {Hue[0.2608967136150411, 1, 1], LineBox[{929, 930}]}, 
        {Hue[0.2624239930603774, 1, 1], LineBox[{930, 931}]}, 
        {Hue[0.26394851606356307`, 1, 1], LineBox[{931, 932}]}, 
        {Hue[0.26546995341268076`, 1, 1], LineBox[{932, 933}]}, 
        {Hue[0.266987979656324, 1, 1], LineBox[{933, 934}]}, 
        {Hue[0.2685022734751077, 1, 1], LineBox[{934, 935}]}, 
        {Hue[0.27151840136184685`, 1, 1], LineBox[{935, 936}]}, 
        {Hue[0.2730196166152586, 1, 1], LineBox[{936, 937}]}, 
        {Hue[0.2745158624626535, 1, 1], LineBox[{937, 938}]}, 
        {Hue[0.2774922697975911, 1, 1], LineBox[{938, 939}]}, 
        {Hue[0.2789718586559422, 1, 1], LineBox[{939, 940}]}, 
        {Hue[0.2804453333671589, 1, 1], LineBox[{940, 941}]}, 
        {Hue[0.2833728684217173, 1, 1], LineBox[{941, 942}]}, 
        {Hue[0.28494805114961574`, 1, 1], LineBox[{942, 943}]}, 
        {Hue[0.2865148095774135, 1, 1], LineBox[{943, 944}]}, 
        {Hue[0.28962184403704333`, 1, 1], LineBox[{944, 945}]}, 
        {Hue[0.29572212318283986`, 1, 1], LineBox[{945, 946}]}, 
        {Hue[0.2972219783273021, 1, 1], LineBox[{946, 947}]}, 
        {Hue[0.2987112753149434, 1, 1], LineBox[{947, 948}]}, 
        {Hue[0.3016573405488317, 1, 1], LineBox[{948, 949}]}, 
        {Hue[0.307414005316261, 1, 1], LineBox[{949, 950}]}, 
        {Hue[0.308823964284711, 1, 1], LineBox[{950, 951}]}, 
        {Hue[0.3102219462137112, 1, 1], LineBox[{951, 952}]}, 
        {Hue[0.31298147564305767`, 1, 1], LineBox[{952, 953}]}, 
        {Hue[0.3183518443929145, 1, 1], LineBox[{953, 954}]}, 
        {Hue[0.32848217251441936`, 1, 1], LineBox[{954, 955}]}, 
        {Hue[0.3296905120360762, 1, 1], LineBox[{955, 956}]}, 
        {Hue[0.33088594126591037`, 1, 1], LineBox[{956, 957}]}, 
        {Hue[0.333238114357738, 1, 1], LineBox[{957, 958}]}, 
        {Hue[0.33778838168498754`, 1, 1], LineBox[{958, 959}]}, 
        {Hue[0.3462823596904424, 1, 1], LineBox[{959, 960}]}, 
        {Hue[0.3609737714582459, 1, 1], LineBox[{960, 961}]}, 
        {Hue[0.3609985214325128, 1, 1], LineBox[{961, 962}]}, 
        {Hue[0.36102326185082423`, 1, 1], LineBox[{962, 963}]}, 
        {Hue[0.36107271403066793`, 1, 1], LineBox[{963, 964}]}, 
        {Hue[0.36117150384086955`, 1, 1], LineBox[{964, 965}]}, 
        {Hue[0.3613686258847058, 1, 1], LineBox[{965, 966}]}, 
        {Hue[0.3617610446421136, 1, 1], LineBox[{966, 967}]}, 
        {Hue[0.36178549020243184`, 1, 1], LineBox[{967, 968}]}, 
        {Hue[0.36180992629567227`, 1, 1], LineBox[{968, 969}]}, 
        {Hue[0.3618587700920536, 1, 1], LineBox[{969, 970}]}, 
        {Hue[0.3619563442023652, 1, 1], LineBox[{970, 971}]}, 
        {Hue[0.36215103911702534`, 1, 1], LineBox[{971, 972}]}, 
        {Hue[0.3621753335382534, 1, 1], LineBox[{972, 973}]}, 
        {Hue[0.3621996185369707, 1, 1], LineBox[{973, 974}]}, 
        {Hue[0.3622481602780259, 1, 1], LineBox[{974, 975}]}, 
        {Hue[0.3623451308126975, 1, 1], LineBox[{975, 976}]}, 
        {Hue[0.3623693499319188, 1, 1], LineBox[{976, 977}]}, 
        {Hue[0.3623935596509405, 1, 1], LineBox[{977, 978}]}, 
        {Hue[0.36244195089954634`, 1, 1], LineBox[{978, 979}]}, 
        {Hue[0.3624661324347116, 1, 1], LineBox[{979, 980}]}, 
        {Hue[0.3624903045808393, 1, 1], LineBox[{980, 981}]}, 
        {Hue[0.36251446734072057`, 1, 1], LineBox[{981, 982}]}}}},
     VertexColors->{
       Hue[0.13746137928285332`, 1, 1], 
       Hue[0.13820948846216125`, 1, 1], 
       Hue[0.13896657474173696`, 1, 1], 
       Hue[0.14050800268839436`, 1, 1], 
       Hue[0.1437021245063721, 1, 1], 
       Hue[0.15055280222422127`, 1, 1], 
       Hue[0.16622502716328028`, 1, 1], 
       Hue[0.16729551209291504`, 1, 1], 
       Hue[0.1683769001377003, 1, 1], 
       Hue[0.17057244283003498`, 1, 1], 
       Hue[0.17509473455672098`, 1, 1], 
       Hue[0.18466086804889803`, 1, 1], 
       Hue[0.1859048209095598, 1, 1], 
       Hue[0.18715928654499617`, 1, 1], 
       Hue[0.189699439497734, 1, 1], 
       Hue[0.19490200595475718`, 1, 1], 
       Hue[0.19622748350701, 1, 1], 
       Hue[0.19756264682346575`, 1, 1], 
       Hue[0.20026147036145872`, 1, 1], 
       Hue[0.20576873236433116`, 1, 1], 
       Hue[0.20728540929010691`, 1, 1], 
       Hue[0.20881188651419175`, 1, 1], 
       Hue[0.2118931929353548, 1, 1], 
       Hue[0.2134474702692289, 1, 1], 
       Hue[0.21501044443624207`, 1, 1], 
       Hue[0.21816126211834544`, 1, 1], 
       Hue[0.21974846936819142`, 1, 1], 
       Hue[0.2213431014159557, 1, 1], 
       Hue[0.2229448156054945, 1, 1], 
       Hue[0.22455326002009915`, 1, 1], 
       Hue[0.2261680738325532, 1, 1], 
       Hue[0.2277888876834923, 1, 1], 
       Hue[0.2310469978650528, 1, 1], 
       Hue[0.23268351660232733`, 1, 1], 
       Hue[0.2343244811326102, 1, 1], 
       Hue[0.2359694860430502, 1, 1], 
       Hue[0.23761812020223172`, 1, 1], 
       Hue[0.2392699673079651, 1, 1], 
       Hue[0.24092460645339872`, 1, 1], 
       Hue[0.24258161270959408`, 1, 1], 
       Hue[0.24424055772258552`, 1, 1], 
       Hue[0.24590101032284942`, 1, 1], 
       Hue[0.24756253714503626`, 1, 1], 
       Hue[0.2492247032557368, 1, 1], 
       Hue[0.2508870727870003, 1, 1], 
       Hue[0.25254920957329396`, 1, 1], 
       Hue[0.25421067778955825`, 1, 1], 
       Hue[0.25587104258800464`, 1, 1], 
       Hue[0.25752987073132283`, 1, 1], 
       Hue[0.25918673121997765`, 1, 1], 
       Hue[0.26084119591131755`, 1, 1], 
       Hue[0.26249284012827817`, 1, 1], 
       Hue[0.2641412432555312, 1, 1], 
       Hue[0.2657859893210139, 1, 1], 
       Hue[0.2674266675608657, 1, 1], 
       Hue[0.2690628729659228, 1, 1], 
       Hue[0.2706942068080275, 1, 1], 
       Hue[0.2723202771445412, 1, 1], 
       Hue[0.27394069929959797`, 1, 1], 
       Hue[0.2771630994099747, 1, 1], 
       Hue[0.2787643483275841, 1, 1], 
       Hue[0.28035849176891875`, 1, 1], 
       Hue[0.28352410373863535`, 1, 1], 
       Hue[0.2850949173206909, 1, 1], 
       Hue[0.28665731608422046`, 1, 1], 
       Hue[0.28975567177753964`, 1, 1], 
       Hue[0.29583883575681735`, 1, 1], 
       Hue[0.29733447822971454`, 1, 1], 
       Hue[0.29881959396345864`, 1, 1], 
       Hue[0.3017574000659596, 1, 1], 
       Hue[0.3074980180283031, 1, 1], 
       Hue[0.3088112650179473, 1, 1], 
       Hue[0.3101141182202154, 1, 1], 
       Hue[0.31268823430097303`, 1, 1], 
       Hue[0.31770767361251995`, 1, 1], 
       Hue[0.32721798630401006`, 1, 1], 
       Hue[0.3440994062470403, 1, 1], 
       Hue[0.34506135399786736`, 1, 1], 
       Hue[0.3460126270728155, 1, 1], 
       Hue[0.34788339592473755`, 1, 1], 
       Hue[0.3514996725638811, 1, 1], 
       Hue[0.35824742555367506`, 1, 1], 
       Hue[0.36994779154882457`, 1, 1], 
       Hue[0.37059271440310043`, 1, 1], 
       Hue[0.3712298079832746, 1, 1], 
       Hue[0.37248082065677623`, 1, 1], 
       Hue[0.37489231872115614`, 1, 1], 
       Hue[0.3793701597355998, 1, 1], 
       Hue[0.38707272557400624`, 1, 1], 
       Hue[0.38750335016567417`, 1, 1], 
       Hue[0.3879283691424907, 1, 1], 
       Hue[0.38876182160996525`, 1, 1], 
       Hue[0.39036396280815006`, 1, 1], 
       Hue[0.3933212025779785, 1, 1], 
       Hue[0.39833410261663843`, 1, 1], 
       Hue[0.3986338130830903, 1, 1], 
       Hue[0.3989287040312569, 1, 1], 
       Hue[0.39950421132970115`, 1, 1], 
       Hue[0.4005993697652989, 1, 1], 
       Hue[0.40257554078570135`, 1, 1], 
       Hue[0.4057356684232952, 1, 1], 
       Hue[0.40590029660362614`, 1, 1], 
       Hue[0.40606121720573835`, 1, 1], 
       Hue[0.40637203065308264`, 1, 1], 
       Hue[0.40695017905799874`, 1, 1], 
       Hue[0.4079371518908691, 1, 1], 
       Hue[0.4092633841450911, 1, 1], 
       Hue[0.4093149294696022, 1, 1], 
       Hue[0.40936367983611355`, 1, 1], 
       Hue[0.4094528196801485, 1, 1], 
       Hue[0.4095978041088556, 1, 1], 
       Hue[0.40975548717713933`, 1, 1], 
       Hue[0.40954426883675954`, 1, 1], 
       Hue[0.40950768140882704`, 1, 1], 
       Hue[0.40946832305826364`, 1, 1], 
       Hue[0.4093812736271459, 1, 1], 
       Hue[0.4091736845372748, 1, 1], 
       Hue[0.4086229737213832, 1, 1], 
       Hue[0.40696194316759793`, 1, 1], 
       Hue[0.4068214884567911, 1, 1], 
       Hue[0.40667738053353103`, 1, 1], 
       Hue[0.4063781175802646, 1, 1], 
       Hue[0.40573475781136353`, 1, 1], 
       Hue[0.4042630261723425, 1, 1], 
       Hue[0.4005253393518465, 1, 1], 
       Hue[0.4002540736094535, 1, 1], 
       Hue[0.3999781364961741, 1, 1], 
       Hue[0.39941207182497673`, 1, 1], 
       Hue[0.39822189965370713`, 1, 1], 
       Hue[0.39559841012914626`, 1, 1], 
       Hue[0.38927869920109026`, 1, 1], 
       Hue[0.3888399772641208, 1, 1], 
       Hue[0.388394963584852, 1, 1], 
       Hue[0.38748577790804056`, 1, 1], 
       Hue[0.3855887359544105, 1, 1], 
       Hue[0.3814628352700234, 1, 1], 
       Hue[0.37173372291841067`, 1, 1], 
       Hue[0.37105386165135806`, 1, 1], 
       Hue[0.3703649828309856, 1, 1], 
       Hue[0.3689597795059132, 1, 1], 
       Hue[0.3660368171137257, 1, 1], 
       Hue[0.3597183228001783, 1, 1], 
       Hue[0.3450166153059282, 1, 1], 
       Hue[0.34406866867533, 1, 1], 
       Hue[0.34311030621309635`, 1, 1], 
       Hue[0.34116212235166454`, 1, 1], 
       Hue[0.33713859269466767`, 1, 1], 
       Hue[0.336105977198826, 1, 1], 
       Hue[0.33506259907204494`, 1, 1], 
       Hue[0.3329434452146678, 1, 1], 
       Hue[0.32857500545725493`, 1, 1], 
       Hue[0.3274557226348999, 1, 1], 
       Hue[0.32632556806944496`, 1, 1], 
       Hue[0.3240326787240054, 1, 1], 
       Hue[0.3193171293971264, 1, 1], 
       Hue[0.3093763878000331, 1, 1], 
       Hue[0.30808731441261034`, 1, 1], 
       Hue[0.306788215526912, 1, 1], 
       Hue[0.30416039443485693`, 1, 1], 
       Hue[0.29878986430591753`, 1, 1], 
       Hue[0.297424139625042, 1, 1], 
       Hue[0.2960494988720876, 1, 1], 
       Hue[0.2932741747666602, 1, 1], 
       Hue[0.28762474263566434`, 1, 1], 
       Hue[0.2861930190637915, 1, 1], 
       Hue[0.28475399678167057`, 1, 1], 
       Hue[0.28185501171152305`, 1, 1], 
       Hue[0.2803955450722904, 1, 1], 
       Hue[0.2789297716917106, 1, 1], 
       Hue[0.27598037393415603`, 1, 1], 
       Hue[0.2744973006144621, 1, 1], 
       Hue[0.273009022197911, 1, 1], 
       Hue[0.27151582956915815`, 1, 1], 
       Hue[0.2700180192733129, 1, 1], 
       Hue[0.26851589322315084`, 1, 1], 
       Hue[0.26700975839106955`, 1, 1], 
       Hue[0.2654999264864793, 1, 1], 
       Hue[0.26398671361939574`, 1, 1], 
       Hue[0.2623423989168026, 1, 1], 
       Hue[0.2606948983788057, 1, 1], 
       Hue[0.259044629643859, 1, 1], 
       Hue[0.25739201431728453`, 1, 1], 
       Hue[0.25573747738188285`, 1, 1], 
       Hue[0.2540814465963658, 1, 1], 
       Hue[0.25242435188372836`, 1, 1], 
       Hue[0.2507666247117442, 1, 1], 
       Hue[0.2491086974678189, 1, 1], 
       Hue[0.2474510028304805, 1, 1], 
       Hue[0.24579397313980375`, 1, 1], 
       Hue[0.2441380397690721, 1, 1], 
       Hue[0.24248363249997854`, 1, 1], 
       Hue[0.24083117890363506`, 1, 1], 
       Hue[0.23918110372962625`, 1, 1], 
       Hue[0.23753382830528533`, 1, 1], 
       Hue[0.23588976994730335`, 1, 1], 
       Hue[0.23424934138769948`, 1, 1], 
       Hue[0.23261295021608513`, 1, 1], 
       Hue[0.23098099834004762`, 1, 1], 
       Hue[0.22935388146536165`, 1, 1], 
       Hue[0.2277319885976102, 1, 1], 
       Hue[0.22450539457530133`, 1, 1], 
       Hue[0.2229014337731939, 1, 1], 
       Hue[0.22130417685714895`, 1, 1], 
       Hue[0.21813116099880744`, 1, 1], 
       Hue[0.21655607197282462`, 1, 1], 
       Hue[0.21498902606179987`, 1, 1], 
       Hue[0.21188029495880237`, 1, 1], 
       Hue[0.21033919959982983`, 1, 1], 
       Hue[0.2088073266502412, 1, 1], 
       Hue[0.20577231019503095`, 1, 1], 
       Hue[0.1998240165692344, 1, 1], 
       Hue[0.1983635977460293, 1, 1], 
       Hue[0.19691423956973725`, 1, 1], 
       Hue[0.19404941492286482`, 1, 1], 
       Hue[0.18845969765507464`, 1, 1], 
       Hue[0.18709220732702012`, 1, 1], 
       Hue[0.18573692123038024`, 1, 1], 
       Hue[0.18306333991646467`, 1, 1], 
       Hue[0.17786626298060795`, 1, 1], 
       Hue[0.16808219701189292`, 1, 1], 
       Hue[0.16699371239842187`, 1, 1], 
       Hue[0.16591633107354078`, 1, 1], 
       Hue[0.16379478795220836`, 1, 1], 
       Hue[0.15968372062739766`, 1, 1], 
       Hue[0.15197985391585334`, 1, 1], 
       Hue[0.13853277491719201`, 1, 1], 
       Hue[0.1377738220754108, 1, 1], 
       Hue[0.1370239673003393, 1, 1], 
       Hue[0.13555121635600353`, 1, 1], 
       Hue[0.13271119263942177`, 1, 1], 
       Hue[0.12743425493324345`, 1, 1], 
       Hue[0.11834676203112361`, 1, 1], 
       Hue[0.1178481476064225, 1, 1], 
       Hue[0.11735582833230397`, 1, 1], 
       Hue[0.11638981212902569`, 1, 1], 
       Hue[0.11453046736725407`, 1, 1], 
       Hue[0.11108872350717168`, 1, 1], 
       Hue[0.1052123583254662, 1, 1], 
       Hue[0.10488606095667141`, 1, 1], 
       Hue[0.10456430556085441`, 1, 1], 
       Hue[0.10393424834786041`, 1, 1], 
       Hue[0.10272677809256568`, 1, 1], 
       Hue[0.1005135817593554, 1, 1], 
       Hue[0.0968314933591577, 1, 1], 
       Hue[0.09661533599070436, 1, 1], 
       Hue[0.09640324226118178, 1, 1], 
       Hue[0.09599111832854997, 1, 1], 
       Hue[0.09521426952698792, 1, 1], 
       Hue[0.09384385983910681, 1, 1], 
       Hue[0.09179371983945782, 1, 1], 
       Hue[0.09169477194276891, 1, 1], 
       Hue[0.09159916053999045, 1, 1], 
       Hue[0.09141789259430799, 1, 1], 
       Hue[0.09109482119154585, 1, 1], 
       Hue[0.09060409969933404, 1, 1], 
       Hue[0.09023109808403493, 1, 1], 
       Hue[0.09023411067556117, 1, 1], 
       Hue[0.0902398463047016, 1, 1], 
       Hue[0.09025948984485721, 1, 1], 
       Hue[0.09033150708820208, 1, 1], 
       Hue[0.09060707444588882, 1, 1], 
       Hue[0.09169385014939964, 1, 1], 
       Hue[0.09178604291184185, 1, 1], 
       Hue[0.09188115204181956, 1, 1], 
       Hue[0.09208016761582169, 1, 1], 
       Hue[0.09251374699129271, 1, 1], 
       Hue[0.09352630053290582, 1, 1], 
       Hue[0.0961641592161592, 1, 1], 
       Hue[0.09637401077629908, 1, 1], 
       Hue[0.09658798214801334, 1, 1], 
       Hue[0.09702841715209193, 1, 1], 
       Hue[0.09796022560324257, 1, 1], 
       Hue[0.10003596737296662`, 1, 1], 
       Hue[0.10511348204998489`, 1, 1], 
       Hue[0.1054753192367514, 1, 1], 
       Hue[0.10584272188102303`, 1, 1], 
       Hue[0.10659446311456468`, 1, 1], 
       Hue[0.1081674214609732, 1, 1], 
       Hue[0.11160594432032918`, 1, 1], 
       Hue[0.11978499951209916`, 1, 1], 
       Hue[0.12034899506253112`, 1, 1], 
       Hue[0.12092068334206281`, 1, 1], 
       Hue[0.12208748916473826`, 1, 1], 
       Hue[0.12451732344674074`, 1, 1], 
       Hue[0.12978258579492077`, 1, 1], 
       Hue[0.1421086688131542, 1, 1], 
       Hue[0.14296551098648935`, 1, 1], 
       Hue[0.14383310886615724`, 1, 1], 
       Hue[0.14560094714610378`, 1, 1], 
       Hue[0.14926975174540813`, 1, 1], 
       Hue[0.15715889873838787`, 1, 1], 
       Hue[0.17525796584811823`, 1, 1], 
       Hue[0.17641063818258332`, 1, 1], 
       Hue[0.17757407272949438`, 1, 1], 
       Hue[0.1799331196861262, 1, 1], 
       Hue[0.18477882969224882`, 1, 1], 
       Hue[0.18601654267374626`, 1, 1], 
       Hue[0.18726464041417418`, 1, 1], 
       Hue[0.18979167661003718`, 1, 1], 
       Hue[0.19496651611008947`, 1, 1], 
       Hue[0.1962847590586272, 1, 1], 
       Hue[0.19761257014897182`, 1, 1], 
       Hue[0.2002963448389659, 1, 1], 
       Hue[0.20577220112177008`, 1, 1], 
       Hue[0.20716274044895866`, 1, 1], 
       Hue[0.2085615392613596, 1, 1], 
       Hue[0.2113831111990829, 1, 1], 
       Hue[0.21711609114900818`, 1, 1], 
       Hue[0.21856670124663347`, 1, 1], 
       Hue[0.2200237650173236, 1, 1], 
       Hue[0.22295621284811204`, 1, 1], 
       Hue[0.22443105990434736`, 1, 1], 
       Hue[0.22591128706472471`, 1, 1], 
       Hue[0.22888673940727833`, 1, 1], 
       Hue[0.2303813792337912, 1, 1], 
       Hue[0.2318802290230583, 1, 1], 
       Hue[0.23338298319566028`, 1, 1], 
       Hue[0.2348893315762122, 1, 1], 
       Hue[0.23639895972833885`, 1, 1], 
       Hue[0.2379115493021532, 1, 1], 
       Hue[0.23942677839332926`, 1, 1], 
       Hue[0.2409443219127958, 1, 1], 
       Hue[0.2424638519660188, 1, 1], 
       Hue[0.24398503824078827`, 1, 1], 
       Hue[0.24550754840237582`, 1, 1], 
       Hue[0.24703104849488877`, 1, 1], 
       Hue[0.24855520334761128`, 1, 1], 
       Hue[0.2500796769850933, 1, 1], 
       Hue[0.25160413303972873`, 1, 1], 
       Hue[0.25312823516554733`, 1, 1], 
       Hue[0.2546516474519393, 1, 1], 
       Hue[0.2561740348360327, 1, 1], 
       Hue[0.2576950635124497, 1, 1], 
       Hue[0.2592144013391834, 1, 1], 
       Hue[0.26073171823836067`, 1, 1], 
       Hue[0.26224668659068356`, 1, 1], 
       Hue[0.2637589816223793, 1, 1], 
       Hue[0.26526828178353035`, 1, 1], 
       Hue[0.2669015208378314, 1, 1], 
       Hue[0.2685304624501527, 1, 1], 
       Hue[0.2701547121986632, 1, 1], 
       Hue[0.2717738821447812, 1, 1], 
       Hue[0.2733875913092925, 1, 1], 
       Hue[0.2749954661250675, 1, 1], 
       Hue[0.27819225804551456`, 1, 1], 
       Hue[0.2797804688006209, 1, 1], 
       Hue[0.2813614332326815, 1, 1], 
       Hue[0.2845003102718554, 1, 1], 
       Hue[0.2906772176085068, 1, 1], 
       Hue[0.2921987541664596, 1, 1], 
       Hue[0.2937106805999584, 1, 1], 
       Hue[0.29670472137024995`, 1, 1], 
       Hue[0.3025672946820125, 1, 1], 
       Hue[0.31374945708595803`, 1, 1], 
       Hue[0.31509353323795314`, 1, 1], 
       Hue[0.3164253192978638, 1, 1], 
       Hue[0.31905170673925193`, 1, 1], 
       Hue[0.3241540409925034, 1, 1], 
       Hue[0.3337501532209499, 1, 1], 
       Hue[0.350541561728972, 1, 1], 
       Hue[0.3514258805603984, 1, 1], 
       Hue[0.35230010633610065`, 1, 1], 
       Hue[0.35401857193051417`, 1, 1], 
       Hue[0.35733768196051424`, 1, 1], 
       Hue[0.36352237946496996`, 1, 1], 
       Hue[0.37422543501061617`, 1, 1], 
       Hue[0.3748264558374755, 1, 1], 
       Hue[0.3754199707514887, 1, 1], 
       Hue[0.3765847963156973, 1, 1], 
       Hue[0.37882779075730993`, 1, 1], 
       Hue[0.3829838801872636, 1, 1], 
       Hue[0.39010047548039445`, 1, 1], 
       Hue[0.3905297243937972, 1, 1], 
       Hue[0.39095270289204387`, 1, 1], 
       Hue[0.3917801265418822, 1, 1], 
       Hue[0.39336272725434035`, 1, 1], 
       Hue[0.3962531777944164, 1, 1], 
       Hue[0.4010358914281367, 1, 1], 
       Hue[0.4012941342254527, 1, 1], 
       Hue[0.4015478555045166, 1, 1], 
       Hue[0.4020418932642732, 1, 1], 
       Hue[0.40297742480239407`, 1, 1], 
       Hue[0.4046462899486198, 1, 1], 
       Hue[0.40722972232858984`, 1, 1], 
       Hue[0.40735728081049016`, 1, 1], 
       Hue[0.407481384141232, 1, 1], 
       Hue[0.40771929669596146`, 1, 1], 
       Hue[0.40815441592586765`, 1, 1], 
       Hue[0.40886517270134404`, 1, 1], 
       Hue[0.4096690113085412, 1, 1], 
       Hue[0.4096924676771947, 1, 1], 
       Hue[0.4097128029353805, 1, 1], 
       Hue[0.4097441211607842, 1, 1], 
       Hue[0.4097694010842793, 1, 1], 
       Hue[0.40967058706743387`, 1, 1], 
       Hue[0.40886995724294445`, 1, 1], 
       Hue[0.4087980558661437, 1, 1], 
       Hue[0.4087233277050319, 1, 1], 
       Hue[0.4085653535501107, 1, 1], 
       Hue[0.40821505124941054`, 1, 1], 
       Hue[0.40737445871401995`, 1, 1], 
       Hue[0.4051075494657718, 1, 1], 
       Hue[0.40493870990116054`, 1, 1], 
       Hue[0.4047665546889354, 1, 1], 
       Hue[0.4044122079179068, 1, 1], 
       Hue[0.40366271681245325`, 1, 1], 
       Hue[0.4019949188192042, 1, 1], 
       Hue[0.3979320972303152, 1, 1], 
       Hue[0.39761915336196957`, 1, 1], 
       Hue[0.3973011703858511, 1, 1], 
       Hue[0.39664988322637146`, 1, 1], 
       Hue[0.3952845466771191, 1, 1], 
       Hue[0.3922902289186927, 1, 1], 
       Hue[0.3851331701499759, 1, 1], 
       Hue[0.38462910664291455`, 1, 1], 
       Hue[0.38411790121245004`, 1, 1], 
       Hue[0.38307373315093146`, 1, 1], 
       Hue[0.3808959904639192, 1, 1], 
       Hue[0.3761630151418116, 1, 1], 
       Hue[0.36501623897987223`, 1, 1], 
       Hue[0.36428997505010396`, 1, 1], 
       Hue[0.36355481527921674`, 1, 1], 
       Hue[0.3620574699831381, 1, 1], 
       Hue[0.35895232040239183`, 1, 1], 
       Hue[0.35228171438100103`, 1, 1], 
       Hue[0.3514031796685319, 1, 1], 
       Hue[0.3505144557864918, 1, 1], 
       Hue[0.3487061523770762, 1, 1], 
       Hue[0.34496420464381167`, 1, 1], 
       Hue[0.33696544846136095`, 1, 1], 
       Hue[0.3359163566928962, 1, 1], 
       Hue[0.3348561909617689, 1, 1], 
       Hue[0.3327025262937034, 1, 1], 
       Hue[0.3282613264487417, 1, 1], 
       Hue[0.3271230790150251, 1, 1], 
       Hue[0.32597365273401074`, 1, 1], 
       Hue[0.3236413068585622, 1, 1], 
       Hue[0.31884327051813827`, 1, 1], 
       Hue[0.3176161841284539, 1, 1], 
       Hue[0.31637816230129767`, 1, 1], 
       Hue[0.31386955801377747`, 1, 1], 
       Hue[0.3087242317668114, 1, 1], 
       Hue[0.3074117392680444, 1, 1], 
       Hue[0.30608899520711413`, 1, 1], 
       Hue[0.30341324198979863`, 1, 1], 
       Hue[0.2979445629630031, 1, 1], 
       Hue[0.29658128674676587`, 1, 1], 
       Hue[0.2952093026577684, 1, 1], 
       Hue[0.2924399234396595, 1, 1], 
       Hue[0.2910429041168856, 1, 1], 
       Hue[0.2896379284640285, 1, 1], 
       Hue[0.28680494472218837`, 1, 1], 
       Hue[0.2853773738522607, 1, 1], 
       Hue[0.2839427208894022, 1, 1], 
       Hue[0.28105312410615385`, 1, 1], 
       Hue[0.2795986756937567, 1, 1], 
       Hue[0.2781381356658366, 1, 1], 
       Hue[0.2751998455984212, 1, 1], 
       Hue[0.2737226437409136, 1, 1], 
       Hue[0.2722404461575608, 1, 1], 
       Hue[0.270753541608276, 1, 1], 
       Hue[0.2692622242375826, 1, 1], 
       Hue[0.2677667932825646, 1, 1], 
       Hue[0.26626755276641384`, 1, 1], 
       Hue[0.26476481117827755`, 1, 1], 
       Hue[0.26325888114017865`, 1, 1], 
       Hue[0.2617500790618505, 1, 1], 
       Hue[0.26023872478439325`, 1, 1], 
       Hue[0.2587251412137176, 1, 1], 
       Hue[0.25720965394480033`, 1, 1], 
       Hue[0.2556925908778249, 1, 1], 
       Hue[0.2541742818273268, 1, 1], 
       Hue[0.2526550581255023, 1, 1], 
       Hue[0.25113525222087285`, 1, 1], 
       Hue[0.249615197273523, 1, 1], 
       Hue[0.2480952267481501, 1, 1], 
       Hue[0.24657567400617633`, 1, 1], 
       Hue[0.2450568718981785, 1, 1], 
       Hue[0.24353915235789014`, 1, 1], 
       Hue[0.24202284599902035`, 1, 1], 
       Hue[0.24050828171611904`, 1, 1], 
       Hue[0.2389957862906937, 1, 1], 
       Hue[0.23748568400375378`, 1, 1], 
       Hue[0.23597829625592256`, 1, 1], 
       Hue[0.2344739411962137, 1, 1], 
       Hue[0.232972933360521, 1, 1], 
       Hue[0.23147558332081697`, 1, 1], 
       Hue[0.2299821973459975, 1, 1], 
       Hue[0.22700851920472437`, 1, 1], 
       Hue[0.2255288151883302, 1, 1], 
       Hue[0.22405425095318177`, 1, 1], 
       Hue[0.2211216563018685, 1, 1], 
       Hue[0.2196641677629019, 1, 1], 
       Hue[0.21821290230202672`, 1, 1], 
       Hue[0.21533005202995625`, 1, 1], 
       Hue[0.21389895551510865`, 1, 1], 
       Hue[0.21247505834997557`, 1, 1], 
       Hue[0.2096497587775929, 1, 1], 
       Hue[0.20409499215900984`, 1, 1], 
       Hue[0.20261175427618366`, 1, 1], 
       Hue[0.2011388828334624, 1, 1], 
       Hue[0.19822506293838285`, 1, 1], 
       Hue[0.1925302773412124, 1, 1], 
       Hue[0.19113521014229293`, 1, 1], 
       Hue[0.18975187892150783`, 1, 1], 
       Hue[0.18702091149995037`, 1, 1], 
       Hue[0.18170461874057245`, 1, 1], 
       Hue[0.1804063739789718, 1, 1], 
       Hue[0.17912059119000334`, 1, 1], 
       Hue[0.1765866041385517, 1, 1], 
       Hue[0.1716698451032985, 1, 1], 
       Hue[0.16244237099486505`, 1, 1], 
       Hue[0.16134539215035096`, 1, 1], 
       Hue[0.16026083263510568`, 1, 1], 
       Hue[0.15812876306007306`, 1, 1], 
       Hue[0.15401113810246653`, 1, 1], 
       Hue[0.14634569057424546`, 1, 1], 
       Hue[0.13313460025303378`, 1, 1], 
       Hue[0.13244486425174398`, 1, 1], 
       Hue[0.1317635081336088, 1, 1], 
       Hue[0.13042560610271023`, 1, 1], 
       Hue[0.12784675114535354`, 1, 1], 
       Hue[0.12305881926933442`, 1, 1], 
       Hue[0.11482520840057447`, 1, 1], 
       Hue[0.11436495819834291`, 1, 1], 
       Hue[0.11391070091135178`, 1, 1], 
       Hue[0.11301991284716098`, 1, 1], 
       Hue[0.11130752046589712`, 1, 1], 
       Hue[0.10814634076874291`, 1, 1], 
       Hue[0.10278351231703153`, 1, 1], 
       Hue[0.10246282126767692`, 1, 1], 
       Hue[0.1021472262314288, 1, 1], 
       Hue[0.10153112209141552`, 1, 1], 
       Hue[0.10035789197997409`, 1, 1], 
       Hue[0.09823713324640483, 1, 1], 
       Hue[0.09482740633597951, 1, 1], 
       Hue[0.09464869630352665, 1, 1], 
       Hue[0.09447385463900781, 1, 1], 
       Hue[0.0941356705078944, 1, 1], 
       Hue[0.09350459245405085, 1, 1], 
       Hue[0.09241844972328409, 1, 1], 
       Hue[0.09091667900824618, 1, 1], 
       Hue[0.09085261528978804, 1, 1], 
       Hue[0.09079173258992837, 1, 1], 
       Hue[0.09067947630206728, 1, 1], 
       Hue[0.0904927878598572, 1, 1], 
       Hue[0.09026938374624895, 1, 1], 
       Hue[0.09041777699793806, 1, 1], 
       Hue[0.0904534399381244, 1, 1], 
       Hue[0.09049222762530817, 1, 1], 
       Hue[0.09057919950957763, 1, 1], 
       Hue[0.09079091010041693, 1, 1], 
       Hue[0.09136722308944603, 1, 1], 
       Hue[0.09315226164974892, 1, 1], 
       Hue[0.09328332399589831, 1, 1], 
       Hue[0.09341745653170223, 1, 1], 
       Hue[0.09369500032297386, 1, 1], 
       Hue[0.0942877031750773, 1, 1], 
       Hue[0.09562793340973948, 1, 1], 
       Hue[0.09896871742721873, 1, 1], 
       Hue[0.09920861961596243, 1, 1], 
       Hue[0.09945235945136019, 1, 1], 
       Hue[0.09995148190022532, 1, 1], 
       Hue[0.10099723872815546`, 1, 1], 
       Hue[0.1032868215182252, 1, 1], 
       Hue[0.10873083924759783`, 1, 1], 
       Hue[0.10914506217092164`, 1, 1], 
       Hue[0.10956538296201762`, 1, 1], 
       Hue[0.11042459108072257`, 1, 1], 
       Hue[0.11221924121316484`, 1, 1], 
       Hue[0.11613008608096333`, 1, 1], 
       Hue[0.12538463783238452`, 1, 1], 
       Hue[0.12603278750728658`, 1, 1], 
       Hue[0.1266897115689617, 1, 1], 
       Hue[0.12803027830723673`, 1, 1], 
       Hue[0.13082108912281273`, 1, 1], 
       Hue[0.13686423047619967`, 1, 1], 
       Hue[0.15097947402249753`, 1, 1], 
       Hue[0.15189296341282663`, 1, 1], 
       Hue[0.15281683856639172`, 1, 1], 
       Hue[0.15469600524574909`, 1, 1], 
       Hue[0.15858169264073016`, 1, 1], 
       Hue[0.16687371278992438`, 1, 1], 
       Hue[0.16795976737908938`, 1, 1], 
       Hue[0.16905691631350925`, 1, 1], 
       Hue[0.17128454445962046`, 1, 1], 
       Hue[0.17587317639470604`, 1, 1], 
       Hue[0.18557973508091857`, 1, 1], 
       Hue[0.18684186280226484`, 1, 1], 
       Hue[0.18811461973075905`, 1, 1], 
       Hue[0.19069167437911466`, 1, 1], 
       Hue[0.19596909005150134`, 1, 1], 
       Hue[0.19731344576720333`, 1, 1], 
       Hue[0.1986675344202881, 1, 1], 
       Hue[0.20140430923467675`, 1, 1], 
       Hue[0.20698757293278702`, 1, 1], 
       Hue[0.20840517416596105`, 1, 1], 
       Hue[0.20983108864214775`, 1, 1], 
       Hue[0.21270698937836283`, 1, 1], 
       Hue[0.21415652130787333`, 1, 1], 
       Hue[0.21561345802485604`, 1, 1], 
       Hue[0.2185485500156821, 1, 1], 
       Hue[0.220026188321021, 1, 1], 
       Hue[0.22151019783439335`, 1, 1], 
       Hue[0.22449621673451894`, 1, 1], 
       Hue[0.22599765223426094`, 1, 1], 
       Hue[0.22750431167627122`, 1, 1], 
       Hue[0.2305320854524918, 1, 1], 
       Hue[0.23202259318706228`, 1, 1], 
       Hue[0.2335169310468691, 1, 1], 
       Hue[0.23501479384867535`, 1, 1], 
       Hue[0.23651587227642965`, 1, 1], 
       Hue[0.2380198532197434, 1, 1], 
       Hue[0.23952642012348818`, 1, 1], 
       Hue[0.24103525334757261`, 1, 1], 
       Hue[0.24254603053590387`, 1, 1], 
       Hue[0.24405842699349092`, 1, 1], 
       Hue[0.2455721160705974, 1, 1], 
       Hue[0.24708676955281506`, 1, 1], 
       Hue[0.24860205805589547`, 1, 1], 
       Hue[0.25011765142415027`, 1, 1], 
       Hue[0.251633219131208, 1, 1], 
       Hue[0.2531484306819064, 1, 1], 
       Hue[0.25466295601408956`, 1, 1], 
       Hue[0.2561764658990785, 1, 1], 
       Hue[0.25768863233959627`, 1, 1], 
       Hue[0.2591991289639389, 1, 1], 
       Hue[0.2607076314152042, 1, 1], 
       Hue[0.2622138177344243, 1, 1], 
       Hue[0.2637173687364747, 1, 1], 
       Hue[0.26521796837767736`, 1, 1], 
       Hue[0.2667153041140611, 1, 1], 
       Hue[0.26820906724929244`, 1, 1], 
       Hue[0.2696989532713471, 1, 1], 
       Hue[0.2711846621770523, 1, 1], 
       Hue[0.272665898783697, 1, 1], 
       Hue[0.27414237302696876`, 1, 1], 
       Hue[0.2756138002445543, 1, 1], 
       Hue[0.2785404035599646, 1, 1], 
       Hue[0.2799950396834619, 1, 1], 
       Hue[0.2814435492909886, 1, 1], 
       Hue[0.28432117998232237`, 1, 1], 
       Hue[0.2899922128977139, 1, 1], 
       Hue[0.29139111701553144`, 1, 1], 
       Hue[0.2927820611782468, 1, 1], 
       Hue[0.29553929367677334`, 1, 1], 
       Hue[0.30095013485158145`, 1, 1], 
       Hue[0.30228030524665117`, 1, 1], 
       Hue[0.30360116427667505`, 1, 1], 
       Hue[0.3062144186223152, 1, 1], 
       Hue[0.31132378522277415`, 1, 1], 
       Hue[0.3210536968784911, 1, 1], 
       Hue[0.3223218500230857, 1, 1], 
       Hue[0.32357751158298587`, 1, 1], 
       Hue[0.32605123684540527`, 1, 1], 
       Hue[0.33084784684615137`, 1, 1], 
       Hue[0.3398396183482885, 1, 1], 
       Hue[0.355500396496161, 1, 1], 
       Hue[0.35638151906932103`, 1, 1], 
       Hue[0.3572516829056088, 1, 1], 
       Hue[0.3589595198215501, 1, 1], 
       Hue[0.36224797710544837`, 1, 1], 
       Hue[0.3683384303172307, 1, 1], 
       Hue[0.37875264805533854`, 1, 1], 
       Hue[0.37929362622467283`, 1, 1], 
       Hue[0.3798277778511279, 1, 1], 
       Hue[0.380875889423548, 1, 1], 
       Hue[0.38289332188529274`, 1, 1], 
       Hue[0.38662821727958574`, 1, 1], 
       Hue[0.3930095196165625, 1, 1], 
       Hue[0.39336417574492377`, 1, 1], 
       Hue[0.3937139455239383, 1, 1], 
       Hue[0.3943990186292021, 1, 1], 
       Hue[0.395712607699501, 1, 1], 
       Hue[0.3981234490220214, 1, 1], 
       Hue[0.4021501625061843, 1, 1], 
       Hue[0.4023873407192471, 1, 1], 
       Hue[0.4026202159141308, 1, 1], 
       Hue[0.4030732011740065, 1, 1], 
       Hue[0.40392907850898685`, 1, 1], 
       Hue[0.40544761775066657`, 1, 1], 
       Hue[0.4077603803804117, 1, 1], 
       Hue[0.4078744683774124, 1, 1], 
       Hue[0.4079850865643154, 1, 1], 
       Hue[0.4081959783765846, 1, 1], 
       Hue[0.4085768084358308, 1, 1], 
       Hue[0.4091776206003223, 1, 1], 
       Hue[0.40975293542221014`, 1, 1], 
       Hue[0.4097611193350166, 1, 1], 
       Hue[0.4097665185692879, 1, 1], 
       Hue[0.4097689653770375, 1, 1], 
       Hue[0.40974044929379533`, 1, 1], 
       Hue[0.4095494583315227, 1, 1], 
       Hue[0.40862430565017754`, 1, 1], 
       Hue[0.4085419614152326, 1, 1], 
       Hue[0.4084566775056169, 1, 1], 
       Hue[0.40827724658271597`, 1, 1], 
       Hue[0.407882601853082, 1, 1], 
       Hue[0.4069472010760087, 1, 1], 
       Hue[0.4044624736480377, 1, 1], 
       Hue[0.4042822445041957, 1, 1], 
       Hue[0.40409865408433143`, 1, 1], 
       Hue[0.4037212946549849, 1, 1], 
       Hue[0.40292517139812906`, 1, 1], 
       Hue[0.40116137317952255`, 1, 1], 
       Hue[0.39689304163001865`, 1, 1], 
       Hue[0.39659103554071956`, 1, 1], 
       Hue[0.39628465410213765`, 1, 1], 
       Hue[0.39565859933134845`, 1, 1], 
       Hue[0.3943521247485118, 1, 1], 
       Hue[0.39151157288054333`, 1, 1], 
       Hue[0.38482951461333476`, 1, 1], 
       Hue[0.3843238853318252, 1, 1], 
       Hue[0.38381114153803164`, 1, 1], 
       Hue[0.38276398184616783`, 1, 1], 
       Hue[0.38058061776456975`, 1, 1], 
       Hue[0.37583804197913634`, 1, 1], 
       Hue[0.3752082040380512, 1, 1], 
       Hue[0.3745698258565449, 1, 1], 
       Hue[0.3732670619073295, 1, 1], 
       Hue[0.3705547570168888, 1, 1], 
       Hue[0.36468060256182117`, 1, 1], 
       Hue[0.3639022070275845, 1, 1], 
       Hue[0.3631136647647018, 1, 1], 
       Hue[0.3615057315284429, 1, 1], 
       Hue[0.35816362884341324`, 1, 1], 
       Hue[0.3509523098959172, 1, 1], 
       Hue[0.34999962576890675`, 1, 1], 
       Hue[0.34903524934367025`, 1, 1], 
       Hue[0.34707108462234215`, 1, 1], 
       Hue[0.3429989061925738, 1, 1], 
       Hue[0.3342642269480573, 1, 1], 
       Hue[0.3331930035562039, 1, 1], 
       Hue[0.33211076815748714`, 1, 1], 
       Hue[0.32991319509794204`, 1, 1], 
       Hue[0.325385438219588, 1, 1], 
       Hue[0.3242258881801064, 1, 1], 
       Hue[0.323055320810639, 1, 1], 
       Hue[0.3206812337556658, 1, 1], 
       Hue[0.3158022921032632, 1, 1], 
       Hue[0.314555605815536, 1, 1], 
       Hue[0.31329826645953185`, 1, 1], 
       Hue[0.3107519397411877, 1, 1], 
       Hue[0.30553528853419687`, 1, 1], 
       Hue[0.30420592264675606`, 1, 1], 
       Hue[0.30286672287717026`, 1, 1], 
       Hue[0.3001593807259757, 1, 1], 
       Hue[0.2946332981225129, 1, 1], 
       Hue[0.2932295766835387, 1, 1], 
       Hue[0.29181735334658276`, 1, 1], 
       Hue[0.28896822368511427`, 1, 1], 
       Hue[0.287531749070397, 1, 1], 
       Hue[0.2860876358170311, 1, 1], 
       Hue[0.28317744444809123`, 1, 1], 
       Hue[0.28171186115808783`, 1, 1], 
       Hue[0.28023962857231266`, 1, 1], 
       Hue[0.27727628653889375`, 1, 1], 
       Hue[0.2757857300982778, 1, 1], 
       Hue[0.27428962991808825`, 1, 1], 
       Hue[0.2712819761798951, 1, 1], 
       Hue[0.2697710264956914, 1, 1], 
       Hue[0.2682557402209194, 1, 1], 
       Hue[0.26673643287062415`, 1, 1], 
       Hue[0.2652134247967895, 1, 1], 
       Hue[0.26368704083529704`, 1, 1], 
       Hue[0.26215760993943915`, 1, 1], 
       Hue[0.2606254648009678, 1, 1], 
       Hue[0.25909094145972433`, 1, 1], 
       Hue[0.25755437890296545`, 1, 1], 
       Hue[0.256016118655555, 1, 1], 
       Hue[0.25447650436224506`, 1, 1], 
       Hue[0.2529358813633165, 1, 1], 
       Hue[0.25139459626488575`, 1, 1], 
       Hue[0.24985299650521825`, 1, 1], 
       Hue[0.24831142991841035`, 1, 1], 
       Hue[0.24677024429681763`, 1, 1], 
       Hue[0.2451009482308841, 1, 1], 
       Hue[0.24343294813544247`, 1, 1], 
       Hue[0.24176668284857408`, 1, 1], 
       Hue[0.24010258865990125`, 1, 1], 
       Hue[0.23844109868021815`, 1, 1], 
       Hue[0.23678264222279086`, 1, 1], 
       Hue[0.23512764419851573`, 1, 1], 
       Hue[0.23347652452703027`, 1, 1], 
       Hue[0.23182969756576696`, 1, 1], 
       Hue[0.2301875715588206, 1, 1], 
       Hue[0.22855054810736894`, 1, 1], 
       Hue[0.2269190216632464, 1, 1], 
       Hue[0.22529337904712582`, 1, 1], 
       Hue[0.22367399899260962`, 1, 1], 
       Hue[0.22045549852231355`, 1, 1], 
       Hue[0.21885709141959922`, 1, 1], 
       Hue[0.217266372790134, 1, 1], 
       Hue[0.21410932047351375`, 1, 1], 
       Hue[0.21254362073091193`, 1, 1], 
       Hue[0.21098687687763032`, 1, 1], 
       Hue[0.20790140636583182`, 1, 1], 
       Hue[0.20637322671235359`, 1, 1], 
       Hue[0.2048550967249044, 1, 1], 
       Hue[0.20184995542164957`, 1, 1], 
       Hue[0.19597029624263876`, 1, 1], 
       Hue[0.19452874292108502`, 1, 1], 
       Hue[0.19309888279146298`, 1, 1], 
       Hue[0.19027485071865918`, 1, 1], 
       Hue[0.18477319872821427`, 1, 1], 
       Hue[0.18342892922777343`, 1, 1], 
       Hue[0.18209729671824224`, 1, 1], 
       Hue[0.17947222511151453`, 1, 1], 
       Hue[0.17437632845634157`, 1, 1], 
       Hue[0.17313469628239997`, 1, 1], 
       Hue[0.17190603976867702`, 1, 1], 
       Hue[0.16948767141168178`, 1, 1], 
       Hue[0.16480645400154653`, 1, 1], 
       Hue[0.15605900300476466`, 1, 1], 
       Hue[0.1550410185402729, 1, 1], 
       Hue[0.1540349598266497, 1, 1], 
       Hue[0.15205832929130986`, 1, 1], 
       Hue[0.14824483243506137`, 1, 1], 
       Hue[0.14115763383018473`, 1, 1], 
       Hue[0.1289715832906963, 1, 1], 
       Hue[0.12829095625803003`, 1, 1], 
       Hue[0.1276192641062114, 1, 1], 
       Hue[0.1263022957406865, 1, 1], 
       Hue[0.12377133654903728`, 1, 1], 
       Hue[0.11910044939296187`, 1, 1], 
       Hue[0.11116740194873345`, 1, 1], 
       Hue[0.11075759360678568`, 1, 1], 
       Hue[0.11035321163720087`, 1, 1], 
       Hue[0.10956050419122346`, 1, 1], 
       Hue[0.1080377985587239, 1, 1], 
       Hue[0.10523170575685457`, 1, 1], 
       Hue[0.10049410187347046`, 1, 1], 
       Hue[0.10023379590079735`, 1, 1], 
       Hue[0.09997747814246605, 1, 1], 
       Hue[0.09947667075362084, 1, 1], 
       Hue[0.09852144509498116, 1, 1], 
       Hue[0.0967896309754321, 1, 1], 
       Hue[0.09399223012894711, 1, 1], 
       Hue[0.09383298147141982, 1, 1], 
       Hue[0.09367743751047676, 1, 1], 
       Hue[0.09337737120833485, 1, 1], 
       Hue[0.09282071022361339, 1, 1], 
       Hue[0.09187682825364682, 1, 1], 
       Hue[0.09063843139077606, 1, 1], 
       Hue[0.0905889192555303, 1, 1], 
       Hue[0.0905426342862054, 1, 1], 
       Hue[0.09045971955010312, 1, 1], 
       Hue[0.09033235298815732, 1, 1], 
       Hue[0.09023059737119334, 1, 1], 
       Hue[0.09063817418121681, 1, 1], 
       Hue[0.0906873024606514, 1, 1], 
       Hue[0.09073925594576789, 1, 1], 
       Hue[0.09085166512393306, 1, 1], 
       Hue[0.09111069879010815, 1, 1], 
       Hue[0.09176758903447274, 1, 1], 
       Hue[0.09365749455030073, 1, 1], 
       Hue[0.09380214744060655, 1, 1], 
       Hue[0.0939500253234712, 1, 1], 
       Hue[0.09425553371778239, 1, 1], 
       Hue[0.09490613011053897, 1, 1], 
       Hue[0.09637058890848448, 1, 1], 
       Hue[0.09999887332533781, 1, 1], 
       Hue[0.10025355910323622`, 1, 1], 
       Hue[0.10051217529773122`, 1, 1], 
       Hue[0.10104133596751991`, 1, 1], 
       Hue[0.10214836218573363`, 1, 1], 
       Hue[0.10456567158763809`, 1, 1], 
       Hue[0.11028933953886229`, 1, 1], 
       Hue[0.11068977519898907`, 1, 1], 
       Hue[0.11109554582408324`, 1, 1], 
       Hue[0.11192331344287035`, 1, 1], 
       Hue[0.11364534537254753`, 1, 1], 
       Hue[0.11736874137085049`, 1, 1], 
       Hue[0.1260493022632204, 1, 1], 
       Hue[0.12670290085955513`, 1, 1], 
       Hue[0.12736527955215443`, 1, 1], 
       Hue[0.1287167689565863, 1, 1], 
       Hue[0.1315294494736765, 1, 1], 
       Hue[0.13761614096095554`, 1, 1], 
       Hue[0.1518144271856748, 1, 1], 
       Hue[0.152798236924112, 1, 1], 
       Hue[0.15379391030547238`, 1, 1], 
       Hue[0.15582115078652523`, 1, 1], 
       Hue[0.16002115342078155`, 1, 1], 
       Hue[0.16901565709777427`, 1, 1], 
       Hue[0.17019645630551, 1, 1], 
       Hue[0.17138987521657856`, 1, 1], 
       Hue[0.17381458010188858`, 1, 1], 
       Hue[0.17881512867260027`, 1, 1], 
       Hue[0.18941168734824332`, 1, 1], 
       Hue[0.19069808681679384`, 1, 1], 
       Hue[0.1919947191543809, 1, 1], 
       Hue[0.19461825080086767`, 1, 1], 
       Hue[0.19998292268526505`, 1, 1], 
       Hue[0.2013477787780611, 1, 1], 
       Hue[0.20272179880864102`, 1, 1], 
       Hue[0.20549664275274446`, 1, 1], 
       Hue[0.21114827280065565`, 1, 1], 
       Hue[0.21258122487000575`, 1, 1], 
       Hue[0.21402175351842842`, 1, 1], 
       Hue[0.21692459533587813`, 1, 1], 
       Hue[0.21838641684569332`, 1, 1], 
       Hue[0.21985483192269922`, 1, 1], 
       Hue[0.22281037915363844`, 1, 1], 
       Hue[0.22429696223557977`, 1, 1], 
       Hue[0.2257890411942412, 1, 1], 
       Hue[0.22728632528562825`, 1, 1], 
       Hue[0.22878851775265263`, 1, 1], 
       Hue[0.23029531611281676`, 1, 1], 
       Hue[0.2318064124621705, 1, 1], 
       Hue[0.23332149379488656`, 1, 1], 
       Hue[0.2348402423377181, 1, 1], 
       Hue[0.2363623358985253, 1, 1], 
       Hue[0.23788744822798047`, 1, 1], 
       Hue[0.23941524939348993`, 1, 1], 
       Hue[0.2409454061643028, 1, 1], 
       Hue[0.24247758240671533`, 1, 1], 
       Hue[0.24401143948822065`, 1, 1], 
       Hue[0.24554663668940443`, 1, 1], 
       Hue[0.2470828316223405, 1, 1], 
       Hue[0.248619680654207, 1, 1], 
       Hue[0.25015683933480554`, 1, 1], 
       Hue[0.25169396282665035`, 1, 1], 
       Hue[0.2532307063362786, 1, 1], 
       Hue[0.25476672554542085`, 1, 1], 
       Hue[0.2563016770406758, 1, 1], 
       Hue[0.25783521874034127`, 1, 1], 
       Hue[0.2593670103170697, 1, 1], 
       Hue[0.2608967136150411, 1, 1], 
       Hue[0.2624239930603774, 1, 1], 
       Hue[0.26394851606356307`, 1, 1], 
       Hue[0.26546995341268076`, 1, 1], 
       Hue[0.266987979656324, 1, 1], 
       Hue[0.2685022734751077, 1, 1], 
       Hue[0.27151840136184685`, 1, 1], 
       Hue[0.2730196166152586, 1, 1], 
       Hue[0.2745158624626535, 1, 1], 
       Hue[0.2774922697975911, 1, 1], 
       Hue[0.2789718586559422, 1, 1], 
       Hue[0.2804453333671589, 1, 1], 
       Hue[0.2833728684217173, 1, 1], 
       Hue[0.28494805114961574`, 1, 1], 
       Hue[0.2865148095774135, 1, 1], 
       Hue[0.28962184403704333`, 1, 1], 
       Hue[0.29572212318283986`, 1, 1], 
       Hue[0.2972219783273021, 1, 1], 
       Hue[0.2987112753149434, 1, 1], 
       Hue[0.3016573405488317, 1, 1], 
       Hue[0.307414005316261, 1, 1], 
       Hue[0.308823964284711, 1, 1], 
       Hue[0.3102219462137112, 1, 1], 
       Hue[0.31298147564305767`, 1, 1], 
       Hue[0.3183518443929145, 1, 1], 
       Hue[0.32848217251441936`, 1, 1], 
       Hue[0.3296905120360762, 1, 1], 
       Hue[0.33088594126591037`, 1, 1], 
       Hue[0.333238114357738, 1, 1], 
       Hue[0.33778838168498754`, 1, 1], 
       Hue[0.3462823596904424, 1, 1], 
       Hue[0.3609737714582459, 1, 1], 
       Hue[0.3609985214325128, 1, 1], 
       Hue[0.36102326185082423`, 1, 1], 
       Hue[0.36107271403066793`, 1, 1], 
       Hue[0.36117150384086955`, 1, 1], 
       Hue[0.3613686258847058, 1, 1], 
       Hue[0.3617610446421136, 1, 1], 
       Hue[0.36178549020243184`, 1, 1], 
       Hue[0.36180992629567227`, 1, 1], 
       Hue[0.3618587700920536, 1, 1], 
       Hue[0.3619563442023652, 1, 1], 
       Hue[0.36215103911702534`, 1, 1], 
       Hue[0.3621753335382534, 1, 1], 
       Hue[0.3621996185369707, 1, 1], 
       Hue[0.3622481602780259, 1, 1], 
       Hue[0.3623451308126975, 1, 1], 
       Hue[0.3623693499319188, 1, 1], 
       Hue[0.3623935596509405, 1, 1], 
       Hue[0.36244195089954634`, 1, 1], 
       Hue[0.3624661324347116, 1, 1], 
       Hue[0.3624903045808393, 1, 1], 
       Hue[0.36251446734072057`, 1, 1], 
       Hue[0.3625386207171467, 1, 1], 
       Hue[0.13746137928285332`, 1, 1], 
       Hue[0.13820948846216125`, 1, 1], 
       Hue[0.13820948846216125`, 1, 1], 
       Hue[0.13896657474173696`, 1, 1], 
       Hue[0.13896657474173696`, 1, 1], 
       Hue[0.14050800268839436`, 1, 1], 
       Hue[0.14050800268839436`, 1, 1], 
       Hue[0.1437021245063721, 1, 1], 
       Hue[0.1437021245063721, 1, 1], 
       Hue[0.15055280222422127`, 1, 1], 
       Hue[0.15055280222422127`, 1, 1], 
       Hue[0.16622502716328028`, 1, 1], 
       Hue[0.16622502716328028`, 1, 1], 
       Hue[0.16729551209291504`, 1, 1], 
       Hue[0.16729551209291504`, 1, 1], 
       Hue[0.1683769001377003, 1, 1], 
       Hue[0.1683769001377003, 1, 1], 
       Hue[0.17057244283003498`, 1, 1], 
       Hue[0.17057244283003498`, 1, 1], 
       Hue[0.17509473455672098`, 1, 1], 
       Hue[0.17509473455672098`, 1, 1], 
       Hue[0.18466086804889803`, 1, 1], 
       Hue[0.18466086804889803`, 1, 1], 
       Hue[0.1859048209095598, 1, 1], 
       Hue[0.1859048209095598, 1, 1], 
       Hue[0.18715928654499617`, 1, 1], 
       Hue[0.18715928654499617`, 1, 1], 
       Hue[0.189699439497734, 1, 1], 
       Hue[0.189699439497734, 1, 1], 
       Hue[0.19490200595475718`, 1, 1], 
       Hue[0.19490200595475718`, 1, 1], 
       Hue[0.19622748350701, 1, 1], 
       Hue[0.19622748350701, 1, 1], 
       Hue[0.19756264682346575`, 1, 1], 
       Hue[0.19756264682346575`, 1, 1], 
       Hue[0.20026147036145872`, 1, 1], 
       Hue[0.20026147036145872`, 1, 1], 
       Hue[0.20576873236433116`, 1, 1], 
       Hue[0.20576873236433116`, 1, 1], 
       Hue[0.20728540929010691`, 1, 1], 
       Hue[0.20728540929010691`, 1, 1], 
       Hue[0.20881188651419175`, 1, 1], 
       Hue[0.20881188651419175`, 1, 1], 
       Hue[0.2118931929353548, 1, 1], 
       Hue[0.2118931929353548, 1, 1], 
       Hue[0.2134474702692289, 1, 1], 
       Hue[0.2134474702692289, 1, 1], 
       Hue[0.21501044443624207`, 1, 1], 
       Hue[0.21501044443624207`, 1, 1], 
       Hue[0.21816126211834544`, 1, 1], 
       Hue[0.21816126211834544`, 1, 1], 
       Hue[0.21974846936819142`, 1, 1], 
       Hue[0.21974846936819142`, 1, 1], 
       Hue[0.2213431014159557, 1, 1], 
       Hue[0.2213431014159557, 1, 1], 
       Hue[0.2229448156054945, 1, 1], 
       Hue[0.2229448156054945, 1, 1], 
       Hue[0.22455326002009915`, 1, 1], 
       Hue[0.22455326002009915`, 1, 1], 
       Hue[0.2261680738325532, 1, 1], 
       Hue[0.2261680738325532, 1, 1], 
       Hue[0.2277888876834923, 1, 1], 
       Hue[0.2277888876834923, 1, 1], 
       Hue[0.2310469978650528, 1, 1], 
       Hue[0.2310469978650528, 1, 1], 
       Hue[0.23268351660232733`, 1, 1], 
       Hue[0.23268351660232733`, 1, 1], 
       Hue[0.2343244811326102, 1, 1], 
       Hue[0.2343244811326102, 1, 1], 
       Hue[0.2359694860430502, 1, 1], 
       Hue[0.2359694860430502, 1, 1], 
       Hue[0.23761812020223172`, 1, 1], 
       Hue[0.23761812020223172`, 1, 1], 
       Hue[0.2392699673079651, 1, 1], 
       Hue[0.2392699673079651, 1, 1], 
       Hue[0.24092460645339872`, 1, 1], 
       Hue[0.24092460645339872`, 1, 1], 
       Hue[0.24258161270959408`, 1, 1], 
       Hue[0.24258161270959408`, 1, 1], 
       Hue[0.24424055772258552`, 1, 1], 
       Hue[0.24424055772258552`, 1, 1], 
       Hue[0.24590101032284942`, 1, 1], 
       Hue[0.24590101032284942`, 1, 1], 
       Hue[0.24756253714503626`, 1, 1], 
       Hue[0.24756253714503626`, 1, 1], 
       Hue[0.2492247032557368, 1, 1], 
       Hue[0.2492247032557368, 1, 1], 
       Hue[0.2508870727870003, 1, 1], 
       Hue[0.2508870727870003, 1, 1], 
       Hue[0.25254920957329396`, 1, 1], 
       Hue[0.25254920957329396`, 1, 1], 
       Hue[0.25421067778955825`, 1, 1], 
       Hue[0.25421067778955825`, 1, 1], 
       Hue[0.25587104258800464`, 1, 1], 
       Hue[0.25587104258800464`, 1, 1], 
       Hue[0.25752987073132283`, 1, 1], 
       Hue[0.25752987073132283`, 1, 1], 
       Hue[0.25918673121997765`, 1, 1], 
       Hue[0.25918673121997765`, 1, 1], 
       Hue[0.26084119591131755`, 1, 1], 
       Hue[0.26084119591131755`, 1, 1], 
       Hue[0.26249284012827817`, 1, 1], 
       Hue[0.26249284012827817`, 1, 1], 
       Hue[0.2641412432555312, 1, 1], 
       Hue[0.2641412432555312, 1, 1], 
       Hue[0.2657859893210139, 1, 1], 
       Hue[0.2657859893210139, 1, 1], 
       Hue[0.2674266675608657, 1, 1], 
       Hue[0.2674266675608657, 1, 1], 
       Hue[0.2690628729659228, 1, 1], 
       Hue[0.2690628729659228, 1, 1], 
       Hue[0.2706942068080275, 1, 1], 
       Hue[0.2706942068080275, 1, 1], 
       Hue[0.2723202771445412, 1, 1], 
       Hue[0.2723202771445412, 1, 1], 
       Hue[0.27394069929959797`, 1, 1], 
       Hue[0.27394069929959797`, 1, 1], 
       Hue[0.2771630994099747, 1, 1], 
       Hue[0.2771630994099747, 1, 1], 
       Hue[0.2787643483275841, 1, 1], 
       Hue[0.2787643483275841, 1, 1], 
       Hue[0.28035849176891875`, 1, 1], 
       Hue[0.28035849176891875`, 1, 1], 
       Hue[0.28352410373863535`, 1, 1], 
       Hue[0.28352410373863535`, 1, 1], 
       Hue[0.2850949173206909, 1, 1], 
       Hue[0.2850949173206909, 1, 1], 
       Hue[0.28665731608422046`, 1, 1], 
       Hue[0.28665731608422046`, 1, 1], 
       Hue[0.28975567177753964`, 1, 1], 
       Hue[0.28975567177753964`, 1, 1], 
       Hue[0.29583883575681735`, 1, 1], 
       Hue[0.29583883575681735`, 1, 1], 
       Hue[0.29733447822971454`, 1, 1], 
       Hue[0.29733447822971454`, 1, 1], 
       Hue[0.29881959396345864`, 1, 1], 
       Hue[0.29881959396345864`, 1, 1], 
       Hue[0.3017574000659596, 1, 1], 
       Hue[0.3017574000659596, 1, 1], 
       Hue[0.3074980180283031, 1, 1], 
       Hue[0.3074980180283031, 1, 1], 
       Hue[0.3088112650179473, 1, 1], 
       Hue[0.3088112650179473, 1, 1], 
       Hue[0.3101141182202154, 1, 1], 
       Hue[0.3101141182202154, 1, 1], 
       Hue[0.31268823430097303`, 1, 1], 
       Hue[0.31268823430097303`, 1, 1], 
       Hue[0.31770767361251995`, 1, 1], 
       Hue[0.31770767361251995`, 1, 1], 
       Hue[0.32721798630401006`, 1, 1], 
       Hue[0.32721798630401006`, 1, 1], 
       Hue[0.3440994062470403, 1, 1], 
       Hue[0.3440994062470403, 1, 1], 
       Hue[0.34506135399786736`, 1, 1], 
       Hue[0.34506135399786736`, 1, 1], 
       Hue[0.3460126270728155, 1, 1], 
       Hue[0.3460126270728155, 1, 1], 
       Hue[0.34788339592473755`, 1, 1], 
       Hue[0.34788339592473755`, 1, 1], 
       Hue[0.3514996725638811, 1, 1], 
       Hue[0.3514996725638811, 1, 1], 
       Hue[0.35824742555367506`, 1, 1], 
       Hue[0.35824742555367506`, 1, 1], 
       Hue[0.36994779154882457`, 1, 1], 
       Hue[0.36994779154882457`, 1, 1], 
       Hue[0.37059271440310043`, 1, 1], 
       Hue[0.37059271440310043`, 1, 1], 
       Hue[0.3712298079832746, 1, 1], 
       Hue[0.3712298079832746, 1, 1], 
       Hue[0.37248082065677623`, 1, 1], 
       Hue[0.37248082065677623`, 1, 1], 
       Hue[0.37489231872115614`, 1, 1], 
       Hue[0.37489231872115614`, 1, 1], 
       Hue[0.3793701597355998, 1, 1], 
       Hue[0.3793701597355998, 1, 1], 
       Hue[0.38707272557400624`, 1, 1], 
       Hue[0.38707272557400624`, 1, 1], 
       Hue[0.38750335016567417`, 1, 1], 
       Hue[0.38750335016567417`, 1, 1], 
       Hue[0.3879283691424907, 1, 1], 
       Hue[0.3879283691424907, 1, 1], 
       Hue[0.38876182160996525`, 1, 1], 
       Hue[0.38876182160996525`, 1, 1], 
       Hue[0.39036396280815006`, 1, 1], 
       Hue[0.39036396280815006`, 1, 1], 
       Hue[0.3933212025779785, 1, 1], 
       Hue[0.3933212025779785, 1, 1], 
       Hue[0.39833410261663843`, 1, 1], 
       Hue[0.39833410261663843`, 1, 1], 
       Hue[0.3986338130830903, 1, 1], 
       Hue[0.3986338130830903, 1, 1], 
       Hue[0.3989287040312569, 1, 1], 
       Hue[0.3989287040312569, 1, 1], 
       Hue[0.39950421132970115`, 1, 1], 
       Hue[0.39950421132970115`, 1, 1], 
       Hue[0.4005993697652989, 1, 1], 
       Hue[0.4005993697652989, 1, 1], 
       Hue[0.40257554078570135`, 1, 1], 
       Hue[0.40257554078570135`, 1, 1], 
       Hue[0.4057356684232952, 1, 1], 
       Hue[0.4057356684232952, 1, 1], 
       Hue[0.40590029660362614`, 1, 1], 
       Hue[0.40590029660362614`, 1, 1], 
       Hue[0.40606121720573835`, 1, 1], 
       Hue[0.40606121720573835`, 1, 1], 
       Hue[0.40637203065308264`, 1, 1], 
       Hue[0.40637203065308264`, 1, 1], 
       Hue[0.40695017905799874`, 1, 1], 
       Hue[0.40695017905799874`, 1, 1], 
       Hue[0.4079371518908691, 1, 1], 
       Hue[0.4079371518908691, 1, 1], 
       Hue[0.4092633841450911, 1, 1], 
       Hue[0.4092633841450911, 1, 1], 
       Hue[0.4093149294696022, 1, 1], 
       Hue[0.4093149294696022, 1, 1], 
       Hue[0.40936367983611355`, 1, 1], 
       Hue[0.40936367983611355`, 1, 1], 
       Hue[0.4094528196801485, 1, 1], 
       Hue[0.4094528196801485, 1, 1], 
       Hue[0.4095978041088556, 1, 1], 
       Hue[0.4095978041088556, 1, 1], 
       Hue[0.40975548717713933`, 1, 1], 
       Hue[0.40975548717713933`, 1, 1], 
       Hue[0.40954426883675954`, 1, 1], 
       Hue[0.40954426883675954`, 1, 1], 
       Hue[0.40950768140882704`, 1, 1], 
       Hue[0.40950768140882704`, 1, 1], 
       Hue[0.40946832305826364`, 1, 1], 
       Hue[0.40946832305826364`, 1, 1], 
       Hue[0.4093812736271459, 1, 1], 
       Hue[0.4093812736271459, 1, 1], 
       Hue[0.4091736845372748, 1, 1], 
       Hue[0.4091736845372748, 1, 1], 
       Hue[0.4086229737213832, 1, 1], 
       Hue[0.4086229737213832, 1, 1], 
       Hue[0.40696194316759793`, 1, 1], 
       Hue[0.40696194316759793`, 1, 1], 
       Hue[0.4068214884567911, 1, 1], 
       Hue[0.4068214884567911, 1, 1], 
       Hue[0.40667738053353103`, 1, 1], 
       Hue[0.40667738053353103`, 1, 1], 
       Hue[0.4063781175802646, 1, 1], 
       Hue[0.4063781175802646, 1, 1], 
       Hue[0.40573475781136353`, 1, 1], 
       Hue[0.40573475781136353`, 1, 1], 
       Hue[0.4042630261723425, 1, 1], 
       Hue[0.4042630261723425, 1, 1], 
       Hue[0.4005253393518465, 1, 1], 
       Hue[0.4005253393518465, 1, 1], 
       Hue[0.4002540736094535, 1, 1], 
       Hue[0.4002540736094535, 1, 1], 
       Hue[0.3999781364961741, 1, 1], 
       Hue[0.3999781364961741, 1, 1], 
       Hue[0.39941207182497673`, 1, 1], 
       Hue[0.39941207182497673`, 1, 1], 
       Hue[0.39822189965370713`, 1, 1], 
       Hue[0.39822189965370713`, 1, 1], 
       Hue[0.39559841012914626`, 1, 1], 
       Hue[0.39559841012914626`, 1, 1], 
       Hue[0.38927869920109026`, 1, 1], 
       Hue[0.38927869920109026`, 1, 1], 
       Hue[0.3888399772641208, 1, 1], 
       Hue[0.3888399772641208, 1, 1], 
       Hue[0.388394963584852, 1, 1], 
       Hue[0.388394963584852, 1, 1], 
       Hue[0.38748577790804056`, 1, 1], 
       Hue[0.38748577790804056`, 1, 1], 
       Hue[0.3855887359544105, 1, 1], 
       Hue[0.3855887359544105, 1, 1], 
       Hue[0.3814628352700234, 1, 1], 
       Hue[0.3814628352700234, 1, 1], 
       Hue[0.37173372291841067`, 1, 1], 
       Hue[0.37173372291841067`, 1, 1], 
       Hue[0.37105386165135806`, 1, 1], 
       Hue[0.37105386165135806`, 1, 1], 
       Hue[0.3703649828309856, 1, 1], 
       Hue[0.3703649828309856, 1, 1], 
       Hue[0.3689597795059132, 1, 1], 
       Hue[0.3689597795059132, 1, 1], 
       Hue[0.3660368171137257, 1, 1], 
       Hue[0.3660368171137257, 1, 1], 
       Hue[0.3597183228001783, 1, 1], 
       Hue[0.3597183228001783, 1, 1], 
       Hue[0.3450166153059282, 1, 1], 
       Hue[0.3450166153059282, 1, 1], 
       Hue[0.34406866867533, 1, 1], 
       Hue[0.34406866867533, 1, 1], 
       Hue[0.34311030621309635`, 1, 1], 
       Hue[0.34311030621309635`, 1, 1], 
       Hue[0.34116212235166454`, 1, 1], 
       Hue[0.34116212235166454`, 1, 1], 
       Hue[0.33713859269466767`, 1, 1], 
       Hue[0.33713859269466767`, 1, 1], 
       Hue[0.336105977198826, 1, 1], 
       Hue[0.336105977198826, 1, 1], 
       Hue[0.33506259907204494`, 1, 1], 
       Hue[0.33506259907204494`, 1, 1], 
       Hue[0.3329434452146678, 1, 1], 
       Hue[0.3329434452146678, 1, 1], 
       Hue[0.32857500545725493`, 1, 1], 
       Hue[0.32857500545725493`, 1, 1], 
       Hue[0.3274557226348999, 1, 1], 
       Hue[0.3274557226348999, 1, 1], 
       Hue[0.32632556806944496`, 1, 1], 
       Hue[0.32632556806944496`, 1, 1], 
       Hue[0.3240326787240054, 1, 1], 
       Hue[0.3240326787240054, 1, 1], 
       Hue[0.3193171293971264, 1, 1], 
       Hue[0.3193171293971264, 1, 1], 
       Hue[0.3093763878000331, 1, 1], 
       Hue[0.3093763878000331, 1, 1], 
       Hue[0.30808731441261034`, 1, 1], 
       Hue[0.30808731441261034`, 1, 1], 
       Hue[0.306788215526912, 1, 1], 
       Hue[0.306788215526912, 1, 1], 
       Hue[0.30416039443485693`, 1, 1], 
       Hue[0.30416039443485693`, 1, 1], 
       Hue[0.29878986430591753`, 1, 1], 
       Hue[0.29878986430591753`, 1, 1], 
       Hue[0.297424139625042, 1, 1], 
       Hue[0.297424139625042, 1, 1], 
       Hue[0.2960494988720876, 1, 1], 
       Hue[0.2960494988720876, 1, 1], 
       Hue[0.2932741747666602, 1, 1], 
       Hue[0.2932741747666602, 1, 1], 
       Hue[0.28762474263566434`, 1, 1], 
       Hue[0.28762474263566434`, 1, 1], 
       Hue[0.2861930190637915, 1, 1], 
       Hue[0.2861930190637915, 1, 1], 
       Hue[0.28475399678167057`, 1, 1], 
       Hue[0.28475399678167057`, 1, 1], 
       Hue[0.28185501171152305`, 1, 1], 
       Hue[0.28185501171152305`, 1, 1], 
       Hue[0.2803955450722904, 1, 1], 
       Hue[0.2803955450722904, 1, 1], 
       Hue[0.2789297716917106, 1, 1], 
       Hue[0.2789297716917106, 1, 1], 
       Hue[0.27598037393415603`, 1, 1], 
       Hue[0.27598037393415603`, 1, 1], 
       Hue[0.2744973006144621, 1, 1], 
       Hue[0.2744973006144621, 1, 1], 
       Hue[0.273009022197911, 1, 1], 
       Hue[0.273009022197911, 1, 1], 
       Hue[0.27151582956915815`, 1, 1], 
       Hue[0.27151582956915815`, 1, 1], 
       Hue[0.2700180192733129, 1, 1], 
       Hue[0.2700180192733129, 1, 1], 
       Hue[0.26851589322315084`, 1, 1], 
       Hue[0.26851589322315084`, 1, 1], 
       Hue[0.26700975839106955`, 1, 1], 
       Hue[0.26700975839106955`, 1, 1], 
       Hue[0.2654999264864793, 1, 1], 
       Hue[0.2654999264864793, 1, 1], 
       Hue[0.26398671361939574`, 1, 1], 
       Hue[0.26398671361939574`, 1, 1], 
       Hue[0.2623423989168026, 1, 1], 
       Hue[0.2623423989168026, 1, 1], 
       Hue[0.2606948983788057, 1, 1], 
       Hue[0.2606948983788057, 1, 1], 
       Hue[0.259044629643859, 1, 1], 
       Hue[0.259044629643859, 1, 1], 
       Hue[0.25739201431728453`, 1, 1], 
       Hue[0.25739201431728453`, 1, 1], 
       Hue[0.25573747738188285`, 1, 1], 
       Hue[0.25573747738188285`, 1, 1], 
       Hue[0.2540814465963658, 1, 1], 
       Hue[0.2540814465963658, 1, 1], 
       Hue[0.25242435188372836`, 1, 1], 
       Hue[0.25242435188372836`, 1, 1], 
       Hue[0.2507666247117442, 1, 1], 
       Hue[0.2507666247117442, 1, 1], 
       Hue[0.2491086974678189, 1, 1], 
       Hue[0.2491086974678189, 1, 1], 
       Hue[0.2474510028304805, 1, 1], 
       Hue[0.2474510028304805, 1, 1], 
       Hue[0.24579397313980375`, 1, 1], 
       Hue[0.24579397313980375`, 1, 1], 
       Hue[0.2441380397690721, 1, 1], 
       Hue[0.2441380397690721, 1, 1], 
       Hue[0.24248363249997854`, 1, 1], 
       Hue[0.24248363249997854`, 1, 1], 
       Hue[0.24083117890363506`, 1, 1], 
       Hue[0.24083117890363506`, 1, 1], 
       Hue[0.23918110372962625`, 1, 1], 
       Hue[0.23918110372962625`, 1, 1], 
       Hue[0.23753382830528533`, 1, 1], 
       Hue[0.23753382830528533`, 1, 1], 
       Hue[0.23588976994730335`, 1, 1], 
       Hue[0.23588976994730335`, 1, 1], 
       Hue[0.23424934138769948`, 1, 1], 
       Hue[0.23424934138769948`, 1, 1], 
       Hue[0.23261295021608513`, 1, 1], 
       Hue[0.23261295021608513`, 1, 1], 
       Hue[0.23098099834004762`, 1, 1], 
       Hue[0.23098099834004762`, 1, 1], 
       Hue[0.22935388146536165`, 1, 1], 
       Hue[0.22935388146536165`, 1, 1], 
       Hue[0.2277319885976102, 1, 1], 
       Hue[0.2277319885976102, 1, 1], 
       Hue[0.22450539457530133`, 1, 1], 
       Hue[0.22450539457530133`, 1, 1], 
       Hue[0.2229014337731939, 1, 1], 
       Hue[0.2229014337731939, 1, 1], 
       Hue[0.22130417685714895`, 1, 1], 
       Hue[0.22130417685714895`, 1, 1], 
       Hue[0.21813116099880744`, 1, 1], 
       Hue[0.21813116099880744`, 1, 1], 
       Hue[0.21655607197282462`, 1, 1], 
       Hue[0.21655607197282462`, 1, 1], 
       Hue[0.21498902606179987`, 1, 1], 
       Hue[0.21498902606179987`, 1, 1], 
       Hue[0.21188029495880237`, 1, 1], 
       Hue[0.21188029495880237`, 1, 1], 
       Hue[0.21033919959982983`, 1, 1], 
       Hue[0.21033919959982983`, 1, 1], 
       Hue[0.2088073266502412, 1, 1], 
       Hue[0.2088073266502412, 1, 1], 
       Hue[0.20577231019503095`, 1, 1], 
       Hue[0.20577231019503095`, 1, 1], 
       Hue[0.1998240165692344, 1, 1], 
       Hue[0.1998240165692344, 1, 1], 
       Hue[0.1983635977460293, 1, 1], 
       Hue[0.1983635977460293, 1, 1], 
       Hue[0.19691423956973725`, 1, 1], 
       Hue[0.19691423956973725`, 1, 1], 
       Hue[0.19404941492286482`, 1, 1], 
       Hue[0.19404941492286482`, 1, 1], 
       Hue[0.18845969765507464`, 1, 1], 
       Hue[0.18845969765507464`, 1, 1], 
       Hue[0.18709220732702012`, 1, 1], 
       Hue[0.18709220732702012`, 1, 1], 
       Hue[0.18573692123038024`, 1, 1], 
       Hue[0.18573692123038024`, 1, 1], 
       Hue[0.18306333991646467`, 1, 1], 
       Hue[0.18306333991646467`, 1, 1], 
       Hue[0.17786626298060795`, 1, 1], 
       Hue[0.17786626298060795`, 1, 1], 
       Hue[0.16808219701189292`, 1, 1], 
       Hue[0.16808219701189292`, 1, 1], 
       Hue[0.16699371239842187`, 1, 1], 
       Hue[0.16699371239842187`, 1, 1], 
       Hue[0.16591633107354078`, 1, 1], 
       Hue[0.16591633107354078`, 1, 1], 
       Hue[0.16379478795220836`, 1, 1], 
       Hue[0.16379478795220836`, 1, 1], 
       Hue[0.15968372062739766`, 1, 1], 
       Hue[0.15968372062739766`, 1, 1], 
       Hue[0.15197985391585334`, 1, 1], 
       Hue[0.15197985391585334`, 1, 1], 
       Hue[0.13853277491719201`, 1, 1], 
       Hue[0.13853277491719201`, 1, 1], 
       Hue[0.1377738220754108, 1, 1], 
       Hue[0.1377738220754108, 1, 1], 
       Hue[0.1370239673003393, 1, 1], 
       Hue[0.1370239673003393, 1, 1], 
       Hue[0.13555121635600353`, 1, 1], 
       Hue[0.13555121635600353`, 1, 1], 
       Hue[0.13271119263942177`, 1, 1], 
       Hue[0.13271119263942177`, 1, 1], 
       Hue[0.12743425493324345`, 1, 1], 
       Hue[0.12743425493324345`, 1, 1], 
       Hue[0.11834676203112361`, 1, 1], 
       Hue[0.11834676203112361`, 1, 1], 
       Hue[0.1178481476064225, 1, 1], 
       Hue[0.1178481476064225, 1, 1], 
       Hue[0.11735582833230397`, 1, 1], 
       Hue[0.11735582833230397`, 1, 1], 
       Hue[0.11638981212902569`, 1, 1], 
       Hue[0.11638981212902569`, 1, 1], 
       Hue[0.11453046736725407`, 1, 1], 
       Hue[0.11453046736725407`, 1, 1], 
       Hue[0.11108872350717168`, 1, 1], 
       Hue[0.11108872350717168`, 1, 1], 
       Hue[0.1052123583254662, 1, 1], 
       Hue[0.1052123583254662, 1, 1], 
       Hue[0.10488606095667141`, 1, 1], 
       Hue[0.10488606095667141`, 1, 1], 
       Hue[0.10456430556085441`, 1, 1], 
       Hue[0.10456430556085441`, 1, 1], 
       Hue[0.10393424834786041`, 1, 1], 
       Hue[0.10393424834786041`, 1, 1], 
       Hue[0.10272677809256568`, 1, 1], 
       Hue[0.10272677809256568`, 1, 1], 
       Hue[0.1005135817593554, 1, 1], 
       Hue[0.1005135817593554, 1, 1], 
       Hue[0.0968314933591577, 1, 1], 
       Hue[0.0968314933591577, 1, 1], 
       Hue[0.09661533599070436, 1, 1], 
       Hue[0.09661533599070436, 1, 1], 
       Hue[0.09640324226118178, 1, 1], 
       Hue[0.09640324226118178, 1, 1], 
       Hue[0.09599111832854997, 1, 1], 
       Hue[0.09599111832854997, 1, 1], 
       Hue[0.09521426952698792, 1, 1], 
       Hue[0.09521426952698792, 1, 1], 
       Hue[0.09384385983910681, 1, 1], 
       Hue[0.09384385983910681, 1, 1], 
       Hue[0.09179371983945782, 1, 1], 
       Hue[0.09179371983945782, 1, 1], 
       Hue[0.09169477194276891, 1, 1], 
       Hue[0.09169477194276891, 1, 1], 
       Hue[0.09159916053999045, 1, 1], 
       Hue[0.09159916053999045, 1, 1], 
       Hue[0.09141789259430799, 1, 1], 
       Hue[0.09141789259430799, 1, 1], 
       Hue[0.09109482119154585, 1, 1], 
       Hue[0.09109482119154585, 1, 1], 
       Hue[0.09060409969933404, 1, 1], 
       Hue[0.09060409969933404, 1, 1], 
       Hue[0.09023109808403493, 1, 1], 
       Hue[0.09023109808403493, 1, 1], 
       Hue[0.09023411067556117, 1, 1], 
       Hue[0.09023411067556117, 1, 1], 
       Hue[0.0902398463047016, 1, 1], 
       Hue[0.0902398463047016, 1, 1], 
       Hue[0.09025948984485721, 1, 1], 
       Hue[0.09025948984485721, 1, 1], 
       Hue[0.09033150708820208, 1, 1], 
       Hue[0.09033150708820208, 1, 1], 
       Hue[0.09060707444588882, 1, 1], 
       Hue[0.09060707444588882, 1, 1], 
       Hue[0.09169385014939964, 1, 1], 
       Hue[0.09169385014939964, 1, 1], 
       Hue[0.09178604291184185, 1, 1], 
       Hue[0.09178604291184185, 1, 1], 
       Hue[0.09188115204181956, 1, 1], 
       Hue[0.09188115204181956, 1, 1], 
       Hue[0.09208016761582169, 1, 1], 
       Hue[0.09208016761582169, 1, 1], 
       Hue[0.09251374699129271, 1, 1], 
       Hue[0.09251374699129271, 1, 1], 
       Hue[0.09352630053290582, 1, 1], 
       Hue[0.09352630053290582, 1, 1], 
       Hue[0.0961641592161592, 1, 1], 
       Hue[0.0961641592161592, 1, 1], 
       Hue[0.09637401077629908, 1, 1], 
       Hue[0.09637401077629908, 1, 1], 
       Hue[0.09658798214801334, 1, 1], 
       Hue[0.09658798214801334, 1, 1], 
       Hue[0.09702841715209193, 1, 1], 
       Hue[0.09702841715209193, 1, 1], 
       Hue[0.09796022560324257, 1, 1], 
       Hue[0.09796022560324257, 1, 1], 
       Hue[0.10003596737296662`, 1, 1], 
       Hue[0.10003596737296662`, 1, 1], 
       Hue[0.10511348204998489`, 1, 1], 
       Hue[0.10511348204998489`, 1, 1], 
       Hue[0.1054753192367514, 1, 1], 
       Hue[0.1054753192367514, 1, 1], 
       Hue[0.10584272188102303`, 1, 1], 
       Hue[0.10584272188102303`, 1, 1], 
       Hue[0.10659446311456468`, 1, 1], 
       Hue[0.10659446311456468`, 1, 1], 
       Hue[0.1081674214609732, 1, 1], 
       Hue[0.1081674214609732, 1, 1], 
       Hue[0.11160594432032918`, 1, 1], 
       Hue[0.11160594432032918`, 1, 1], 
       Hue[0.11978499951209916`, 1, 1], 
       Hue[0.11978499951209916`, 1, 1], 
       Hue[0.12034899506253112`, 1, 1], 
       Hue[0.12034899506253112`, 1, 1], 
       Hue[0.12092068334206281`, 1, 1], 
       Hue[0.12092068334206281`, 1, 1], 
       Hue[0.12208748916473826`, 1, 1], 
       Hue[0.12208748916473826`, 1, 1], 
       Hue[0.12451732344674074`, 1, 1], 
       Hue[0.12451732344674074`, 1, 1], 
       Hue[0.12978258579492077`, 1, 1], 
       Hue[0.12978258579492077`, 1, 1], 
       Hue[0.1421086688131542, 1, 1], 
       Hue[0.1421086688131542, 1, 1], 
       Hue[0.14296551098648935`, 1, 1], 
       Hue[0.14296551098648935`, 1, 1], 
       Hue[0.14383310886615724`, 1, 1], 
       Hue[0.14383310886615724`, 1, 1], 
       Hue[0.14560094714610378`, 1, 1], 
       Hue[0.14560094714610378`, 1, 1], 
       Hue[0.14926975174540813`, 1, 1], 
       Hue[0.14926975174540813`, 1, 1], 
       Hue[0.15715889873838787`, 1, 1], 
       Hue[0.15715889873838787`, 1, 1], 
       Hue[0.17525796584811823`, 1, 1], 
       Hue[0.17525796584811823`, 1, 1], 
       Hue[0.17641063818258332`, 1, 1], 
       Hue[0.17641063818258332`, 1, 1], 
       Hue[0.17757407272949438`, 1, 1], 
       Hue[0.17757407272949438`, 1, 1], 
       Hue[0.1799331196861262, 1, 1], 
       Hue[0.1799331196861262, 1, 1], 
       Hue[0.18477882969224882`, 1, 1], 
       Hue[0.18477882969224882`, 1, 1], 
       Hue[0.18601654267374626`, 1, 1], 
       Hue[0.18601654267374626`, 1, 1], 
       Hue[0.18726464041417418`, 1, 1], 
       Hue[0.18726464041417418`, 1, 1], 
       Hue[0.18979167661003718`, 1, 1], 
       Hue[0.18979167661003718`, 1, 1], 
       Hue[0.19496651611008947`, 1, 1], 
       Hue[0.19496651611008947`, 1, 1], 
       Hue[0.1962847590586272, 1, 1], 
       Hue[0.1962847590586272, 1, 1], 
       Hue[0.19761257014897182`, 1, 1], 
       Hue[0.19761257014897182`, 1, 1], 
       Hue[0.2002963448389659, 1, 1], 
       Hue[0.2002963448389659, 1, 1], 
       Hue[0.20577220112177008`, 1, 1], 
       Hue[0.20577220112177008`, 1, 1], 
       Hue[0.20716274044895866`, 1, 1], 
       Hue[0.20716274044895866`, 1, 1], 
       Hue[0.2085615392613596, 1, 1], 
       Hue[0.2085615392613596, 1, 1], 
       Hue[0.2113831111990829, 1, 1], 
       Hue[0.2113831111990829, 1, 1], 
       Hue[0.21711609114900818`, 1, 1], 
       Hue[0.21711609114900818`, 1, 1], 
       Hue[0.21856670124663347`, 1, 1], 
       Hue[0.21856670124663347`, 1, 1], 
       Hue[0.2200237650173236, 1, 1], 
       Hue[0.2200237650173236, 1, 1], 
       Hue[0.22295621284811204`, 1, 1], 
       Hue[0.22295621284811204`, 1, 1], 
       Hue[0.22443105990434736`, 1, 1], 
       Hue[0.22443105990434736`, 1, 1], 
       Hue[0.22591128706472471`, 1, 1], 
       Hue[0.22591128706472471`, 1, 1], 
       Hue[0.22888673940727833`, 1, 1], 
       Hue[0.22888673940727833`, 1, 1], 
       Hue[0.2303813792337912, 1, 1], 
       Hue[0.2303813792337912, 1, 1], 
       Hue[0.2318802290230583, 1, 1], 
       Hue[0.2318802290230583, 1, 1], 
       Hue[0.23338298319566028`, 1, 1], 
       Hue[0.23338298319566028`, 1, 1], 
       Hue[0.2348893315762122, 1, 1], 
       Hue[0.2348893315762122, 1, 1], 
       Hue[0.23639895972833885`, 1, 1], 
       Hue[0.23639895972833885`, 1, 1], 
       Hue[0.2379115493021532, 1, 1], 
       Hue[0.2379115493021532, 1, 1], 
       Hue[0.23942677839332926`, 1, 1], 
       Hue[0.23942677839332926`, 1, 1], 
       Hue[0.2409443219127958, 1, 1], 
       Hue[0.2409443219127958, 1, 1], 
       Hue[0.2424638519660188, 1, 1], 
       Hue[0.2424638519660188, 1, 1], 
       Hue[0.24398503824078827`, 1, 1], 
       Hue[0.24398503824078827`, 1, 1], 
       Hue[0.24550754840237582`, 1, 1], 
       Hue[0.24550754840237582`, 1, 1], 
       Hue[0.24703104849488877`, 1, 1], 
       Hue[0.24703104849488877`, 1, 1], 
       Hue[0.24855520334761128`, 1, 1], 
       Hue[0.24855520334761128`, 1, 1], 
       Hue[0.2500796769850933, 1, 1], 
       Hue[0.2500796769850933, 1, 1], 
       Hue[0.25160413303972873`, 1, 1], 
       Hue[0.25160413303972873`, 1, 1], 
       Hue[0.25312823516554733`, 1, 1], 
       Hue[0.25312823516554733`, 1, 1], 
       Hue[0.2546516474519393, 1, 1], 
       Hue[0.2546516474519393, 1, 1], 
       Hue[0.2561740348360327, 1, 1], 
       Hue[0.2561740348360327, 1, 1], 
       Hue[0.2576950635124497, 1, 1], 
       Hue[0.2576950635124497, 1, 1], 
       Hue[0.2592144013391834, 1, 1], 
       Hue[0.2592144013391834, 1, 1], 
       Hue[0.26073171823836067`, 1, 1], 
       Hue[0.26073171823836067`, 1, 1], 
       Hue[0.26224668659068356`, 1, 1], 
       Hue[0.26224668659068356`, 1, 1], 
       Hue[0.2637589816223793, 1, 1], 
       Hue[0.2637589816223793, 1, 1], 
       Hue[0.26526828178353035`, 1, 1], 
       Hue[0.26526828178353035`, 1, 1], 
       Hue[0.2669015208378314, 1, 1], 
       Hue[0.2669015208378314, 1, 1], 
       Hue[0.2685304624501527, 1, 1], 
       Hue[0.2685304624501527, 1, 1], 
       Hue[0.2701547121986632, 1, 1], 
       Hue[0.2701547121986632, 1, 1], 
       Hue[0.2717738821447812, 1, 1], 
       Hue[0.2717738821447812, 1, 1], 
       Hue[0.2733875913092925, 1, 1], 
       Hue[0.2733875913092925, 1, 1], 
       Hue[0.2749954661250675, 1, 1], 
       Hue[0.2749954661250675, 1, 1], 
       Hue[0.27819225804551456`, 1, 1], 
       Hue[0.27819225804551456`, 1, 1], 
       Hue[0.2797804688006209, 1, 1], 
       Hue[0.2797804688006209, 1, 1], 
       Hue[0.2813614332326815, 1, 1], 
       Hue[0.2813614332326815, 1, 1], 
       Hue[0.2845003102718554, 1, 1], 
       Hue[0.2845003102718554, 1, 1], 
       Hue[0.2906772176085068, 1, 1], 
       Hue[0.2906772176085068, 1, 1], 
       Hue[0.2921987541664596, 1, 1], 
       Hue[0.2921987541664596, 1, 1], 
       Hue[0.2937106805999584, 1, 1], 
       Hue[0.2937106805999584, 1, 1], 
       Hue[0.29670472137024995`, 1, 1], 
       Hue[0.29670472137024995`, 1, 1], 
       Hue[0.3025672946820125, 1, 1], 
       Hue[0.3025672946820125, 1, 1], 
       Hue[0.31374945708595803`, 1, 1], 
       Hue[0.31374945708595803`, 1, 1], 
       Hue[0.31509353323795314`, 1, 1], 
       Hue[0.31509353323795314`, 1, 1], 
       Hue[0.3164253192978638, 1, 1], 
       Hue[0.3164253192978638, 1, 1], 
       Hue[0.31905170673925193`, 1, 1], 
       Hue[0.31905170673925193`, 1, 1], 
       Hue[0.3241540409925034, 1, 1], 
       Hue[0.3241540409925034, 1, 1], 
       Hue[0.3337501532209499, 1, 1], 
       Hue[0.3337501532209499, 1, 1], 
       Hue[0.350541561728972, 1, 1], 
       Hue[0.350541561728972, 1, 1], 
       Hue[0.3514258805603984, 1, 1], 
       Hue[0.3514258805603984, 1, 1], 
       Hue[0.35230010633610065`, 1, 1], 
       Hue[0.35230010633610065`, 1, 1], 
       Hue[0.35401857193051417`, 1, 1], 
       Hue[0.35401857193051417`, 1, 1], 
       Hue[0.35733768196051424`, 1, 1], 
       Hue[0.35733768196051424`, 1, 1], 
       Hue[0.36352237946496996`, 1, 1], 
       Hue[0.36352237946496996`, 1, 1], 
       Hue[0.37422543501061617`, 1, 1], 
       Hue[0.37422543501061617`, 1, 1], 
       Hue[0.3748264558374755, 1, 1], 
       Hue[0.3748264558374755, 1, 1], 
       Hue[0.3754199707514887, 1, 1], 
       Hue[0.3754199707514887, 1, 1], 
       Hue[0.3765847963156973, 1, 1], 
       Hue[0.3765847963156973, 1, 1], 
       Hue[0.37882779075730993`, 1, 1], 
       Hue[0.37882779075730993`, 1, 1], 
       Hue[0.3829838801872636, 1, 1], 
       Hue[0.3829838801872636, 1, 1], 
       Hue[0.39010047548039445`, 1, 1], 
       Hue[0.39010047548039445`, 1, 1], 
       Hue[0.3905297243937972, 1, 1], 
       Hue[0.3905297243937972, 1, 1], 
       Hue[0.39095270289204387`, 1, 1], 
       Hue[0.39095270289204387`, 1, 1], 
       Hue[0.3917801265418822, 1, 1], 
       Hue[0.3917801265418822, 1, 1], 
       Hue[0.39336272725434035`, 1, 1], 
       Hue[0.39336272725434035`, 1, 1], 
       Hue[0.3962531777944164, 1, 1], 
       Hue[0.3962531777944164, 1, 1], 
       Hue[0.4010358914281367, 1, 1], 
       Hue[0.4010358914281367, 1, 1], 
       Hue[0.4012941342254527, 1, 1], 
       Hue[0.4012941342254527, 1, 1], 
       Hue[0.4015478555045166, 1, 1], 
       Hue[0.4015478555045166, 1, 1], 
       Hue[0.4020418932642732, 1, 1], 
       Hue[0.4020418932642732, 1, 1], 
       Hue[0.40297742480239407`, 1, 1], 
       Hue[0.40297742480239407`, 1, 1], 
       Hue[0.4046462899486198, 1, 1], 
       Hue[0.4046462899486198, 1, 1], 
       Hue[0.40722972232858984`, 1, 1], 
       Hue[0.40722972232858984`, 1, 1], 
       Hue[0.40735728081049016`, 1, 1], 
       Hue[0.40735728081049016`, 1, 1], 
       Hue[0.407481384141232, 1, 1], 
       Hue[0.407481384141232, 1, 1], 
       Hue[0.40771929669596146`, 1, 1], 
       Hue[0.40771929669596146`, 1, 1], 
       Hue[0.40815441592586765`, 1, 1], 
       Hue[0.40815441592586765`, 1, 1], 
       Hue[0.40886517270134404`, 1, 1], 
       Hue[0.40886517270134404`, 1, 1], 
       Hue[0.4096690113085412, 1, 1], 
       Hue[0.4096690113085412, 1, 1], 
       Hue[0.4096924676771947, 1, 1], 
       Hue[0.4096924676771947, 1, 1], 
       Hue[0.4097128029353805, 1, 1], 
       Hue[0.4097128029353805, 1, 1], 
       Hue[0.4097441211607842, 1, 1], 
       Hue[0.4097441211607842, 1, 1], 
       Hue[0.4097694010842793, 1, 1], 
       Hue[0.4097694010842793, 1, 1], 
       Hue[0.40967058706743387`, 1, 1], 
       Hue[0.40967058706743387`, 1, 1], 
       Hue[0.40886995724294445`, 1, 1], 
       Hue[0.40886995724294445`, 1, 1], 
       Hue[0.4087980558661437, 1, 1], 
       Hue[0.4087980558661437, 1, 1], 
       Hue[0.4087233277050319, 1, 1], 
       Hue[0.4087233277050319, 1, 1], 
       Hue[0.4085653535501107, 1, 1], 
       Hue[0.4085653535501107, 1, 1], 
       Hue[0.40821505124941054`, 1, 1], 
       Hue[0.40821505124941054`, 1, 1], 
       Hue[0.40737445871401995`, 1, 1], 
       Hue[0.40737445871401995`, 1, 1], 
       Hue[0.4051075494657718, 1, 1], 
       Hue[0.4051075494657718, 1, 1], 
       Hue[0.40493870990116054`, 1, 1], 
       Hue[0.40493870990116054`, 1, 1], 
       Hue[0.4047665546889354, 1, 1], 
       Hue[0.4047665546889354, 1, 1], 
       Hue[0.4044122079179068, 1, 1], 
       Hue[0.4044122079179068, 1, 1], 
       Hue[0.40366271681245325`, 1, 1], 
       Hue[0.40366271681245325`, 1, 1], 
       Hue[0.4019949188192042, 1, 1], 
       Hue[0.4019949188192042, 1, 1], 
       Hue[0.3979320972303152, 1, 1], 
       Hue[0.3979320972303152, 1, 1], 
       Hue[0.39761915336196957`, 1, 1], 
       Hue[0.39761915336196957`, 1, 1], 
       Hue[0.3973011703858511, 1, 1], 
       Hue[0.3973011703858511, 1, 1], 
       Hue[0.39664988322637146`, 1, 1], 
       Hue[0.39664988322637146`, 1, 1], 
       Hue[0.3952845466771191, 1, 1], 
       Hue[0.3952845466771191, 1, 1], 
       Hue[0.3922902289186927, 1, 1], 
       Hue[0.3922902289186927, 1, 1], 
       Hue[0.3851331701499759, 1, 1], 
       Hue[0.3851331701499759, 1, 1], 
       Hue[0.38462910664291455`, 1, 1], 
       Hue[0.38462910664291455`, 1, 1], 
       Hue[0.38411790121245004`, 1, 1], 
       Hue[0.38411790121245004`, 1, 1], 
       Hue[0.38307373315093146`, 1, 1], 
       Hue[0.38307373315093146`, 1, 1], 
       Hue[0.3808959904639192, 1, 1], 
       Hue[0.3808959904639192, 1, 1], 
       Hue[0.3761630151418116, 1, 1], 
       Hue[0.3761630151418116, 1, 1], 
       Hue[0.36501623897987223`, 1, 1], 
       Hue[0.36501623897987223`, 1, 1], 
       Hue[0.36428997505010396`, 1, 1], 
       Hue[0.36428997505010396`, 1, 1], 
       Hue[0.36355481527921674`, 1, 1], 
       Hue[0.36355481527921674`, 1, 1], 
       Hue[0.3620574699831381, 1, 1], 
       Hue[0.3620574699831381, 1, 1], 
       Hue[0.35895232040239183`, 1, 1], 
       Hue[0.35895232040239183`, 1, 1], 
       Hue[0.35228171438100103`, 1, 1], 
       Hue[0.35228171438100103`, 1, 1], 
       Hue[0.3514031796685319, 1, 1], 
       Hue[0.3514031796685319, 1, 1], 
       Hue[0.3505144557864918, 1, 1], 
       Hue[0.3505144557864918, 1, 1], 
       Hue[0.3487061523770762, 1, 1], 
       Hue[0.3487061523770762, 1, 1], 
       Hue[0.34496420464381167`, 1, 1], 
       Hue[0.34496420464381167`, 1, 1], 
       Hue[0.33696544846136095`, 1, 1], 
       Hue[0.33696544846136095`, 1, 1], 
       Hue[0.3359163566928962, 1, 1], 
       Hue[0.3359163566928962, 1, 1], 
       Hue[0.3348561909617689, 1, 1], 
       Hue[0.3348561909617689, 1, 1], 
       Hue[0.3327025262937034, 1, 1], 
       Hue[0.3327025262937034, 1, 1], 
       Hue[0.3282613264487417, 1, 1], 
       Hue[0.3282613264487417, 1, 1], 
       Hue[0.3271230790150251, 1, 1], 
       Hue[0.3271230790150251, 1, 1], 
       Hue[0.32597365273401074`, 1, 1], 
       Hue[0.32597365273401074`, 1, 1], 
       Hue[0.3236413068585622, 1, 1], 
       Hue[0.3236413068585622, 1, 1], 
       Hue[0.31884327051813827`, 1, 1], 
       Hue[0.31884327051813827`, 1, 1], 
       Hue[0.3176161841284539, 1, 1], 
       Hue[0.3176161841284539, 1, 1], 
       Hue[0.31637816230129767`, 1, 1], 
       Hue[0.31637816230129767`, 1, 1], 
       Hue[0.31386955801377747`, 1, 1], 
       Hue[0.31386955801377747`, 1, 1], 
       Hue[0.3087242317668114, 1, 1], 
       Hue[0.3087242317668114, 1, 1], 
       Hue[0.3074117392680444, 1, 1], 
       Hue[0.3074117392680444, 1, 1], 
       Hue[0.30608899520711413`, 1, 1], 
       Hue[0.30608899520711413`, 1, 1], 
       Hue[0.30341324198979863`, 1, 1], 
       Hue[0.30341324198979863`, 1, 1], 
       Hue[0.2979445629630031, 1, 1], 
       Hue[0.2979445629630031, 1, 1], 
       Hue[0.29658128674676587`, 1, 1], 
       Hue[0.29658128674676587`, 1, 1], 
       Hue[0.2952093026577684, 1, 1], 
       Hue[0.2952093026577684, 1, 1], 
       Hue[0.2924399234396595, 1, 1], 
       Hue[0.2924399234396595, 1, 1], 
       Hue[0.2910429041168856, 1, 1], 
       Hue[0.2910429041168856, 1, 1], 
       Hue[0.2896379284640285, 1, 1], 
       Hue[0.2896379284640285, 1, 1], 
       Hue[0.28680494472218837`, 1, 1], 
       Hue[0.28680494472218837`, 1, 1], 
       Hue[0.2853773738522607, 1, 1], 
       Hue[0.2853773738522607, 1, 1], 
       Hue[0.2839427208894022, 1, 1], 
       Hue[0.2839427208894022, 1, 1], 
       Hue[0.28105312410615385`, 1, 1], 
       Hue[0.28105312410615385`, 1, 1], 
       Hue[0.2795986756937567, 1, 1], 
       Hue[0.2795986756937567, 1, 1], 
       Hue[0.2781381356658366, 1, 1], 
       Hue[0.2781381356658366, 1, 1], 
       Hue[0.2751998455984212, 1, 1], 
       Hue[0.2751998455984212, 1, 1], 
       Hue[0.2737226437409136, 1, 1], 
       Hue[0.2737226437409136, 1, 1], 
       Hue[0.2722404461575608, 1, 1], 
       Hue[0.2722404461575608, 1, 1], 
       Hue[0.270753541608276, 1, 1], 
       Hue[0.270753541608276, 1, 1], 
       Hue[0.2692622242375826, 1, 1], 
       Hue[0.2692622242375826, 1, 1], 
       Hue[0.2677667932825646, 1, 1], 
       Hue[0.2677667932825646, 1, 1], 
       Hue[0.26626755276641384`, 1, 1], 
       Hue[0.26626755276641384`, 1, 1], 
       Hue[0.26476481117827755`, 1, 1], 
       Hue[0.26476481117827755`, 1, 1], 
       Hue[0.26325888114017865`, 1, 1], 
       Hue[0.26325888114017865`, 1, 1], 
       Hue[0.2617500790618505, 1, 1], 
       Hue[0.2617500790618505, 1, 1], 
       Hue[0.26023872478439325`, 1, 1], 
       Hue[0.26023872478439325`, 1, 1], 
       Hue[0.2587251412137176, 1, 1], 
       Hue[0.2587251412137176, 1, 1], 
       Hue[0.25720965394480033`, 1, 1], 
       Hue[0.25720965394480033`, 1, 1], 
       Hue[0.2556925908778249, 1, 1], 
       Hue[0.2556925908778249, 1, 1], 
       Hue[0.2541742818273268, 1, 1], 
       Hue[0.2541742818273268, 1, 1], 
       Hue[0.2526550581255023, 1, 1], 
       Hue[0.2526550581255023, 1, 1], 
       Hue[0.25113525222087285`, 1, 1], 
       Hue[0.25113525222087285`, 1, 1], 
       Hue[0.249615197273523, 1, 1], 
       Hue[0.249615197273523, 1, 1], 
       Hue[0.2480952267481501, 1, 1], 
       Hue[0.2480952267481501, 1, 1], 
       Hue[0.24657567400617633`, 1, 1], 
       Hue[0.24657567400617633`, 1, 1], 
       Hue[0.2450568718981785, 1, 1], 
       Hue[0.2450568718981785, 1, 1], 
       Hue[0.24353915235789014`, 1, 1], 
       Hue[0.24353915235789014`, 1, 1], 
       Hue[0.24202284599902035`, 1, 1], 
       Hue[0.24202284599902035`, 1, 1], 
       Hue[0.24050828171611904`, 1, 1], 
       Hue[0.24050828171611904`, 1, 1], 
       Hue[0.2389957862906937, 1, 1], 
       Hue[0.2389957862906937, 1, 1], 
       Hue[0.23748568400375378`, 1, 1], 
       Hue[0.23748568400375378`, 1, 1], 
       Hue[0.23597829625592256`, 1, 1], 
       Hue[0.23597829625592256`, 1, 1], 
       Hue[0.2344739411962137, 1, 1], 
       Hue[0.2344739411962137, 1, 1], 
       Hue[0.232972933360521, 1, 1], 
       Hue[0.232972933360521, 1, 1], 
       Hue[0.23147558332081697`, 1, 1], 
       Hue[0.23147558332081697`, 1, 1], 
       Hue[0.2299821973459975, 1, 1], 
       Hue[0.2299821973459975, 1, 1], 
       Hue[0.22700851920472437`, 1, 1], 
       Hue[0.22700851920472437`, 1, 1], 
       Hue[0.2255288151883302, 1, 1], 
       Hue[0.2255288151883302, 1, 1], 
       Hue[0.22405425095318177`, 1, 1], 
       Hue[0.22405425095318177`, 1, 1], 
       Hue[0.2211216563018685, 1, 1], 
       Hue[0.2211216563018685, 1, 1], 
       Hue[0.2196641677629019, 1, 1], 
       Hue[0.2196641677629019, 1, 1], 
       Hue[0.21821290230202672`, 1, 1], 
       Hue[0.21821290230202672`, 1, 1], 
       Hue[0.21533005202995625`, 1, 1], 
       Hue[0.21533005202995625`, 1, 1], 
       Hue[0.21389895551510865`, 1, 1], 
       Hue[0.21389895551510865`, 1, 1], 
       Hue[0.21247505834997557`, 1, 1], 
       Hue[0.21247505834997557`, 1, 1], 
       Hue[0.2096497587775929, 1, 1], 
       Hue[0.2096497587775929, 1, 1], 
       Hue[0.20409499215900984`, 1, 1], 
       Hue[0.20409499215900984`, 1, 1], 
       Hue[0.20261175427618366`, 1, 1], 
       Hue[0.20261175427618366`, 1, 1], 
       Hue[0.2011388828334624, 1, 1], 
       Hue[0.2011388828334624, 1, 1], 
       Hue[0.19822506293838285`, 1, 1], 
       Hue[0.19822506293838285`, 1, 1], 
       Hue[0.1925302773412124, 1, 1], 
       Hue[0.1925302773412124, 1, 1], 
       Hue[0.19113521014229293`, 1, 1], 
       Hue[0.19113521014229293`, 1, 1], 
       Hue[0.18975187892150783`, 1, 1], 
       Hue[0.18975187892150783`, 1, 1], 
       Hue[0.18702091149995037`, 1, 1], 
       Hue[0.18702091149995037`, 1, 1], 
       Hue[0.18170461874057245`, 1, 1], 
       Hue[0.18170461874057245`, 1, 1], 
       Hue[0.1804063739789718, 1, 1], 
       Hue[0.1804063739789718, 1, 1], 
       Hue[0.17912059119000334`, 1, 1], 
       Hue[0.17912059119000334`, 1, 1], 
       Hue[0.1765866041385517, 1, 1], 
       Hue[0.1765866041385517, 1, 1], 
       Hue[0.1716698451032985, 1, 1], 
       Hue[0.1716698451032985, 1, 1], 
       Hue[0.16244237099486505`, 1, 1], 
       Hue[0.16244237099486505`, 1, 1], 
       Hue[0.16134539215035096`, 1, 1], 
       Hue[0.16134539215035096`, 1, 1], 
       Hue[0.16026083263510568`, 1, 1], 
       Hue[0.16026083263510568`, 1, 1], 
       Hue[0.15812876306007306`, 1, 1], 
       Hue[0.15812876306007306`, 1, 1], 
       Hue[0.15401113810246653`, 1, 1], 
       Hue[0.15401113810246653`, 1, 1], 
       Hue[0.14634569057424546`, 1, 1], 
       Hue[0.14634569057424546`, 1, 1], 
       Hue[0.13313460025303378`, 1, 1], 
       Hue[0.13313460025303378`, 1, 1], 
       Hue[0.13244486425174398`, 1, 1], 
       Hue[0.13244486425174398`, 1, 1], 
       Hue[0.1317635081336088, 1, 1], 
       Hue[0.1317635081336088, 1, 1], 
       Hue[0.13042560610271023`, 1, 1], 
       Hue[0.13042560610271023`, 1, 1], 
       Hue[0.12784675114535354`, 1, 1], 
       Hue[0.12784675114535354`, 1, 1], 
       Hue[0.12305881926933442`, 1, 1], 
       Hue[0.12305881926933442`, 1, 1], 
       Hue[0.11482520840057447`, 1, 1], 
       Hue[0.11482520840057447`, 1, 1], 
       Hue[0.11436495819834291`, 1, 1], 
       Hue[0.11436495819834291`, 1, 1], 
       Hue[0.11391070091135178`, 1, 1], 
       Hue[0.11391070091135178`, 1, 1], 
       Hue[0.11301991284716098`, 1, 1], 
       Hue[0.11301991284716098`, 1, 1], 
       Hue[0.11130752046589712`, 1, 1], 
       Hue[0.11130752046589712`, 1, 1], 
       Hue[0.10814634076874291`, 1, 1], 
       Hue[0.10814634076874291`, 1, 1], 
       Hue[0.10278351231703153`, 1, 1], 
       Hue[0.10278351231703153`, 1, 1], 
       Hue[0.10246282126767692`, 1, 1], 
       Hue[0.10246282126767692`, 1, 1], 
       Hue[0.1021472262314288, 1, 1], 
       Hue[0.1021472262314288, 1, 1], 
       Hue[0.10153112209141552`, 1, 1], 
       Hue[0.10153112209141552`, 1, 1], 
       Hue[0.10035789197997409`, 1, 1], 
       Hue[0.10035789197997409`, 1, 1], 
       Hue[0.09823713324640483, 1, 1], 
       Hue[0.09823713324640483, 1, 1], 
       Hue[0.09482740633597951, 1, 1], 
       Hue[0.09482740633597951, 1, 1], 
       Hue[0.09464869630352665, 1, 1], 
       Hue[0.09464869630352665, 1, 1], 
       Hue[0.09447385463900781, 1, 1], 
       Hue[0.09447385463900781, 1, 1], 
       Hue[0.0941356705078944, 1, 1], 
       Hue[0.0941356705078944, 1, 1], 
       Hue[0.09350459245405085, 1, 1], 
       Hue[0.09350459245405085, 1, 1], 
       Hue[0.09241844972328409, 1, 1], 
       Hue[0.09241844972328409, 1, 1], 
       Hue[0.09091667900824618, 1, 1], 
       Hue[0.09091667900824618, 1, 1], 
       Hue[0.09085261528978804, 1, 1], 
       Hue[0.09085261528978804, 1, 1], 
       Hue[0.09079173258992837, 1, 1], 
       Hue[0.09079173258992837, 1, 1], 
       Hue[0.09067947630206728, 1, 1], 
       Hue[0.09067947630206728, 1, 1], 
       Hue[0.0904927878598572, 1, 1], 
       Hue[0.0904927878598572, 1, 1], 
       Hue[0.09026938374624895, 1, 1], 
       Hue[0.09026938374624895, 1, 1], 
       Hue[0.09041777699793806, 1, 1], 
       Hue[0.09041777699793806, 1, 1], 
       Hue[0.0904534399381244, 1, 1], 
       Hue[0.0904534399381244, 1, 1], 
       Hue[0.09049222762530817, 1, 1], 
       Hue[0.09049222762530817, 1, 1], 
       Hue[0.09057919950957763, 1, 1], 
       Hue[0.09057919950957763, 1, 1], 
       Hue[0.09079091010041693, 1, 1], 
       Hue[0.09079091010041693, 1, 1], 
       Hue[0.09136722308944603, 1, 1], 
       Hue[0.09136722308944603, 1, 1], 
       Hue[0.09315226164974892, 1, 1], 
       Hue[0.09315226164974892, 1, 1], 
       Hue[0.09328332399589831, 1, 1], 
       Hue[0.09328332399589831, 1, 1], 
       Hue[0.09341745653170223, 1, 1], 
       Hue[0.09341745653170223, 1, 1], 
       Hue[0.09369500032297386, 1, 1], 
       Hue[0.09369500032297386, 1, 1], 
       Hue[0.0942877031750773, 1, 1], 
       Hue[0.0942877031750773, 1, 1], 
       Hue[0.09562793340973948, 1, 1], 
       Hue[0.09562793340973948, 1, 1], 
       Hue[0.09896871742721873, 1, 1], 
       Hue[0.09896871742721873, 1, 1], 
       Hue[0.09920861961596243, 1, 1], 
       Hue[0.09920861961596243, 1, 1], 
       Hue[0.09945235945136019, 1, 1], 
       Hue[0.09945235945136019, 1, 1], 
       Hue[0.09995148190022532, 1, 1], 
       Hue[0.09995148190022532, 1, 1], 
       Hue[0.10099723872815546`, 1, 1], 
       Hue[0.10099723872815546`, 1, 1], 
       Hue[0.1032868215182252, 1, 1], 
       Hue[0.1032868215182252, 1, 1], 
       Hue[0.10873083924759783`, 1, 1], 
       Hue[0.10873083924759783`, 1, 1], 
       Hue[0.10914506217092164`, 1, 1], 
       Hue[0.10914506217092164`, 1, 1], 
       Hue[0.10956538296201762`, 1, 1], 
       Hue[0.10956538296201762`, 1, 1], 
       Hue[0.11042459108072257`, 1, 1], 
       Hue[0.11042459108072257`, 1, 1], 
       Hue[0.11221924121316484`, 1, 1], 
       Hue[0.11221924121316484`, 1, 1], 
       Hue[0.11613008608096333`, 1, 1], 
       Hue[0.11613008608096333`, 1, 1], 
       Hue[0.12538463783238452`, 1, 1], 
       Hue[0.12538463783238452`, 1, 1], 
       Hue[0.12603278750728658`, 1, 1], 
       Hue[0.12603278750728658`, 1, 1], 
       Hue[0.1266897115689617, 1, 1], 
       Hue[0.1266897115689617, 1, 1], 
       Hue[0.12803027830723673`, 1, 1], 
       Hue[0.12803027830723673`, 1, 1], 
       Hue[0.13082108912281273`, 1, 1], 
       Hue[0.13082108912281273`, 1, 1], 
       Hue[0.13686423047619967`, 1, 1], 
       Hue[0.13686423047619967`, 1, 1], 
       Hue[0.15097947402249753`, 1, 1], 
       Hue[0.15097947402249753`, 1, 1], 
       Hue[0.15189296341282663`, 1, 1], 
       Hue[0.15189296341282663`, 1, 1], 
       Hue[0.15281683856639172`, 1, 1], 
       Hue[0.15281683856639172`, 1, 1], 
       Hue[0.15469600524574909`, 1, 1], 
       Hue[0.15469600524574909`, 1, 1], 
       Hue[0.15858169264073016`, 1, 1], 
       Hue[0.15858169264073016`, 1, 1], 
       Hue[0.16687371278992438`, 1, 1], 
       Hue[0.16687371278992438`, 1, 1], 
       Hue[0.16795976737908938`, 1, 1], 
       Hue[0.16795976737908938`, 1, 1], 
       Hue[0.16905691631350925`, 1, 1], 
       Hue[0.16905691631350925`, 1, 1], 
       Hue[0.17128454445962046`, 1, 1], 
       Hue[0.17128454445962046`, 1, 1], 
       Hue[0.17587317639470604`, 1, 1], 
       Hue[0.17587317639470604`, 1, 1], 
       Hue[0.18557973508091857`, 1, 1], 
       Hue[0.18557973508091857`, 1, 1], 
       Hue[0.18684186280226484`, 1, 1], 
       Hue[0.18684186280226484`, 1, 1], 
       Hue[0.18811461973075905`, 1, 1], 
       Hue[0.18811461973075905`, 1, 1], 
       Hue[0.19069167437911466`, 1, 1], 
       Hue[0.19069167437911466`, 1, 1], 
       Hue[0.19596909005150134`, 1, 1], 
       Hue[0.19596909005150134`, 1, 1], 
       Hue[0.19731344576720333`, 1, 1], 
       Hue[0.19731344576720333`, 1, 1], 
       Hue[0.1986675344202881, 1, 1], 
       Hue[0.1986675344202881, 1, 1], 
       Hue[0.20140430923467675`, 1, 1], 
       Hue[0.20140430923467675`, 1, 1], 
       Hue[0.20698757293278702`, 1, 1], 
       Hue[0.20698757293278702`, 1, 1], 
       Hue[0.20840517416596105`, 1, 1], 
       Hue[0.20840517416596105`, 1, 1], 
       Hue[0.20983108864214775`, 1, 1], 
       Hue[0.20983108864214775`, 1, 1], 
       Hue[0.21270698937836283`, 1, 1], 
       Hue[0.21270698937836283`, 1, 1], 
       Hue[0.21415652130787333`, 1, 1], 
       Hue[0.21415652130787333`, 1, 1], 
       Hue[0.21561345802485604`, 1, 1], 
       Hue[0.21561345802485604`, 1, 1], 
       Hue[0.2185485500156821, 1, 1], 
       Hue[0.2185485500156821, 1, 1], 
       Hue[0.220026188321021, 1, 1], 
       Hue[0.220026188321021, 1, 1], 
       Hue[0.22151019783439335`, 1, 1], 
       Hue[0.22151019783439335`, 1, 1], 
       Hue[0.22449621673451894`, 1, 1], 
       Hue[0.22449621673451894`, 1, 1], 
       Hue[0.22599765223426094`, 1, 1], 
       Hue[0.22599765223426094`, 1, 1], 
       Hue[0.22750431167627122`, 1, 1], 
       Hue[0.22750431167627122`, 1, 1], 
       Hue[0.2305320854524918, 1, 1], 
       Hue[0.2305320854524918, 1, 1], 
       Hue[0.23202259318706228`, 1, 1], 
       Hue[0.23202259318706228`, 1, 1], 
       Hue[0.2335169310468691, 1, 1], 
       Hue[0.2335169310468691, 1, 1], 
       Hue[0.23501479384867535`, 1, 1], 
       Hue[0.23501479384867535`, 1, 1], 
       Hue[0.23651587227642965`, 1, 1], 
       Hue[0.23651587227642965`, 1, 1], 
       Hue[0.2380198532197434, 1, 1], 
       Hue[0.2380198532197434, 1, 1], 
       Hue[0.23952642012348818`, 1, 1], 
       Hue[0.23952642012348818`, 1, 1], 
       Hue[0.24103525334757261`, 1, 1], 
       Hue[0.24103525334757261`, 1, 1], 
       Hue[0.24254603053590387`, 1, 1], 
       Hue[0.24254603053590387`, 1, 1], 
       Hue[0.24405842699349092`, 1, 1], 
       Hue[0.24405842699349092`, 1, 1], 
       Hue[0.2455721160705974, 1, 1], 
       Hue[0.2455721160705974, 1, 1], 
       Hue[0.24708676955281506`, 1, 1], 
       Hue[0.24708676955281506`, 1, 1], 
       Hue[0.24860205805589547`, 1, 1], 
       Hue[0.24860205805589547`, 1, 1], 
       Hue[0.25011765142415027`, 1, 1], 
       Hue[0.25011765142415027`, 1, 1], 
       Hue[0.251633219131208, 1, 1], 
       Hue[0.251633219131208, 1, 1], 
       Hue[0.2531484306819064, 1, 1], 
       Hue[0.2531484306819064, 1, 1], 
       Hue[0.25466295601408956`, 1, 1], 
       Hue[0.25466295601408956`, 1, 1], 
       Hue[0.2561764658990785, 1, 1], 
       Hue[0.2561764658990785, 1, 1], 
       Hue[0.25768863233959627`, 1, 1], 
       Hue[0.25768863233959627`, 1, 1], 
       Hue[0.2591991289639389, 1, 1], 
       Hue[0.2591991289639389, 1, 1], 
       Hue[0.2607076314152042, 1, 1], 
       Hue[0.2607076314152042, 1, 1], 
       Hue[0.2622138177344243, 1, 1], 
       Hue[0.2622138177344243, 1, 1], 
       Hue[0.2637173687364747, 1, 1], 
       Hue[0.2637173687364747, 1, 1], 
       Hue[0.26521796837767736`, 1, 1], 
       Hue[0.26521796837767736`, 1, 1], 
       Hue[0.2667153041140611, 1, 1], 
       Hue[0.2667153041140611, 1, 1], 
       Hue[0.26820906724929244`, 1, 1], 
       Hue[0.26820906724929244`, 1, 1], 
       Hue[0.2696989532713471, 1, 1], 
       Hue[0.2696989532713471, 1, 1], 
       Hue[0.2711846621770523, 1, 1], 
       Hue[0.2711846621770523, 1, 1], 
       Hue[0.272665898783697, 1, 1], 
       Hue[0.272665898783697, 1, 1], 
       Hue[0.27414237302696876`, 1, 1], 
       Hue[0.27414237302696876`, 1, 1], 
       Hue[0.2756138002445543, 1, 1], 
       Hue[0.2756138002445543, 1, 1], 
       Hue[0.2785404035599646, 1, 1], 
       Hue[0.2785404035599646, 1, 1], 
       Hue[0.2799950396834619, 1, 1], 
       Hue[0.2799950396834619, 1, 1], 
       Hue[0.2814435492909886, 1, 1], 
       Hue[0.2814435492909886, 1, 1], 
       Hue[0.28432117998232237`, 1, 1], 
       Hue[0.28432117998232237`, 1, 1], 
       Hue[0.2899922128977139, 1, 1], 
       Hue[0.2899922128977139, 1, 1], 
       Hue[0.29139111701553144`, 1, 1], 
       Hue[0.29139111701553144`, 1, 1], 
       Hue[0.2927820611782468, 1, 1], 
       Hue[0.2927820611782468, 1, 1], 
       Hue[0.29553929367677334`, 1, 1], 
       Hue[0.29553929367677334`, 1, 1], 
       Hue[0.30095013485158145`, 1, 1], 
       Hue[0.30095013485158145`, 1, 1], 
       Hue[0.30228030524665117`, 1, 1], 
       Hue[0.30228030524665117`, 1, 1], 
       Hue[0.30360116427667505`, 1, 1], 
       Hue[0.30360116427667505`, 1, 1], 
       Hue[0.3062144186223152, 1, 1], 
       Hue[0.3062144186223152, 1, 1], 
       Hue[0.31132378522277415`, 1, 1], 
       Hue[0.31132378522277415`, 1, 1], 
       Hue[0.3210536968784911, 1, 1], 
       Hue[0.3210536968784911, 1, 1], 
       Hue[0.3223218500230857, 1, 1], 
       Hue[0.3223218500230857, 1, 1], 
       Hue[0.32357751158298587`, 1, 1], 
       Hue[0.32357751158298587`, 1, 1], 
       Hue[0.32605123684540527`, 1, 1], 
       Hue[0.32605123684540527`, 1, 1], 
       Hue[0.33084784684615137`, 1, 1], 
       Hue[0.33084784684615137`, 1, 1], 
       Hue[0.3398396183482885, 1, 1], 
       Hue[0.3398396183482885, 1, 1], 
       Hue[0.355500396496161, 1, 1], 
       Hue[0.355500396496161, 1, 1], 
       Hue[0.35638151906932103`, 1, 1], 
       Hue[0.35638151906932103`, 1, 1], 
       Hue[0.3572516829056088, 1, 1], 
       Hue[0.3572516829056088, 1, 1], 
       Hue[0.3589595198215501, 1, 1], 
       Hue[0.3589595198215501, 1, 1], 
       Hue[0.36224797710544837`, 1, 1], 
       Hue[0.36224797710544837`, 1, 1], 
       Hue[0.3683384303172307, 1, 1], 
       Hue[0.3683384303172307, 1, 1], 
       Hue[0.37875264805533854`, 1, 1], 
       Hue[0.37875264805533854`, 1, 1], 
       Hue[0.37929362622467283`, 1, 1], 
       Hue[0.37929362622467283`, 1, 1], 
       Hue[0.3798277778511279, 1, 1], 
       Hue[0.3798277778511279, 1, 1], 
       Hue[0.380875889423548, 1, 1], 
       Hue[0.380875889423548, 1, 1], 
       Hue[0.38289332188529274`, 1, 1], 
       Hue[0.38289332188529274`, 1, 1], 
       Hue[0.38662821727958574`, 1, 1], 
       Hue[0.38662821727958574`, 1, 1], 
       Hue[0.3930095196165625, 1, 1], 
       Hue[0.3930095196165625, 1, 1], 
       Hue[0.39336417574492377`, 1, 1], 
       Hue[0.39336417574492377`, 1, 1], 
       Hue[0.3937139455239383, 1, 1], 
       Hue[0.3937139455239383, 1, 1], 
       Hue[0.3943990186292021, 1, 1], 
       Hue[0.3943990186292021, 1, 1], 
       Hue[0.395712607699501, 1, 1], 
       Hue[0.395712607699501, 1, 1], 
       Hue[0.3981234490220214, 1, 1], 
       Hue[0.3981234490220214, 1, 1], 
       Hue[0.4021501625061843, 1, 1], 
       Hue[0.4021501625061843, 1, 1], 
       Hue[0.4023873407192471, 1, 1], 
       Hue[0.4023873407192471, 1, 1], 
       Hue[0.4026202159141308, 1, 1], 
       Hue[0.4026202159141308, 1, 1], 
       Hue[0.4030732011740065, 1, 1], 
       Hue[0.4030732011740065, 1, 1], 
       Hue[0.40392907850898685`, 1, 1], 
       Hue[0.40392907850898685`, 1, 1], 
       Hue[0.40544761775066657`, 1, 1], 
       Hue[0.40544761775066657`, 1, 1], 
       Hue[0.4077603803804117, 1, 1], 
       Hue[0.4077603803804117, 1, 1], 
       Hue[0.4078744683774124, 1, 1], 
       Hue[0.4078744683774124, 1, 1], 
       Hue[0.4079850865643154, 1, 1], 
       Hue[0.4079850865643154, 1, 1], 
       Hue[0.4081959783765846, 1, 1], 
       Hue[0.4081959783765846, 1, 1], 
       Hue[0.4085768084358308, 1, 1], 
       Hue[0.4085768084358308, 1, 1], 
       Hue[0.4091776206003223, 1, 1], 
       Hue[0.4091776206003223, 1, 1], 
       Hue[0.40975293542221014`, 1, 1], 
       Hue[0.40975293542221014`, 1, 1], 
       Hue[0.4097611193350166, 1, 1], 
       Hue[0.4097611193350166, 1, 1], 
       Hue[0.4097665185692879, 1, 1], 
       Hue[0.4097665185692879, 1, 1], 
       Hue[0.4097689653770375, 1, 1], 
       Hue[0.4097689653770375, 1, 1], 
       Hue[0.40974044929379533`, 1, 1], 
       Hue[0.40974044929379533`, 1, 1], 
       Hue[0.4095494583315227, 1, 1], 
       Hue[0.4095494583315227, 1, 1], 
       Hue[0.40862430565017754`, 1, 1], 
       Hue[0.40862430565017754`, 1, 1], 
       Hue[0.4085419614152326, 1, 1], 
       Hue[0.4085419614152326, 1, 1], 
       Hue[0.4084566775056169, 1, 1], 
       Hue[0.4084566775056169, 1, 1], 
       Hue[0.40827724658271597`, 1, 1], 
       Hue[0.40827724658271597`, 1, 1], 
       Hue[0.407882601853082, 1, 1], 
       Hue[0.407882601853082, 1, 1], 
       Hue[0.4069472010760087, 1, 1], 
       Hue[0.4069472010760087, 1, 1], 
       Hue[0.4044624736480377, 1, 1], 
       Hue[0.4044624736480377, 1, 1], 
       Hue[0.4042822445041957, 1, 1], 
       Hue[0.4042822445041957, 1, 1], 
       Hue[0.40409865408433143`, 1, 1], 
       Hue[0.40409865408433143`, 1, 1], 
       Hue[0.4037212946549849, 1, 1], 
       Hue[0.4037212946549849, 1, 1], 
       Hue[0.40292517139812906`, 1, 1], 
       Hue[0.40292517139812906`, 1, 1], 
       Hue[0.40116137317952255`, 1, 1], 
       Hue[0.40116137317952255`, 1, 1], 
       Hue[0.39689304163001865`, 1, 1], 
       Hue[0.39689304163001865`, 1, 1], 
       Hue[0.39659103554071956`, 1, 1], 
       Hue[0.39659103554071956`, 1, 1], 
       Hue[0.39628465410213765`, 1, 1], 
       Hue[0.39628465410213765`, 1, 1], 
       Hue[0.39565859933134845`, 1, 1], 
       Hue[0.39565859933134845`, 1, 1], 
       Hue[0.3943521247485118, 1, 1], 
       Hue[0.3943521247485118, 1, 1], 
       Hue[0.39151157288054333`, 1, 1], 
       Hue[0.39151157288054333`, 1, 1], 
       Hue[0.38482951461333476`, 1, 1], 
       Hue[0.38482951461333476`, 1, 1], 
       Hue[0.3843238853318252, 1, 1], 
       Hue[0.3843238853318252, 1, 1], 
       Hue[0.38381114153803164`, 1, 1], 
       Hue[0.38381114153803164`, 1, 1], 
       Hue[0.38276398184616783`, 1, 1], 
       Hue[0.38276398184616783`, 1, 1], 
       Hue[0.38058061776456975`, 1, 1], 
       Hue[0.38058061776456975`, 1, 1], 
       Hue[0.37583804197913634`, 1, 1], 
       Hue[0.37583804197913634`, 1, 1], 
       Hue[0.3752082040380512, 1, 1], 
       Hue[0.3752082040380512, 1, 1], 
       Hue[0.3745698258565449, 1, 1], 
       Hue[0.3745698258565449, 1, 1], 
       Hue[0.3732670619073295, 1, 1], 
       Hue[0.3732670619073295, 1, 1], 
       Hue[0.3705547570168888, 1, 1], 
       Hue[0.3705547570168888, 1, 1], 
       Hue[0.36468060256182117`, 1, 1], 
       Hue[0.36468060256182117`, 1, 1], 
       Hue[0.3639022070275845, 1, 1], 
       Hue[0.3639022070275845, 1, 1], 
       Hue[0.3631136647647018, 1, 1], 
       Hue[0.3631136647647018, 1, 1], 
       Hue[0.3615057315284429, 1, 1], 
       Hue[0.3615057315284429, 1, 1], 
       Hue[0.35816362884341324`, 1, 1], 
       Hue[0.35816362884341324`, 1, 1], 
       Hue[0.3509523098959172, 1, 1], 
       Hue[0.3509523098959172, 1, 1], 
       Hue[0.34999962576890675`, 1, 1], 
       Hue[0.34999962576890675`, 1, 1], 
       Hue[0.34903524934367025`, 1, 1], 
       Hue[0.34903524934367025`, 1, 1], 
       Hue[0.34707108462234215`, 1, 1], 
       Hue[0.34707108462234215`, 1, 1], 
       Hue[0.3429989061925738, 1, 1], 
       Hue[0.3429989061925738, 1, 1], 
       Hue[0.3342642269480573, 1, 1], 
       Hue[0.3342642269480573, 1, 1], 
       Hue[0.3331930035562039, 1, 1], 
       Hue[0.3331930035562039, 1, 1], 
       Hue[0.33211076815748714`, 1, 1], 
       Hue[0.33211076815748714`, 1, 1], 
       Hue[0.32991319509794204`, 1, 1], 
       Hue[0.32991319509794204`, 1, 1], 
       Hue[0.325385438219588, 1, 1], 
       Hue[0.325385438219588, 1, 1], 
       Hue[0.3242258881801064, 1, 1], 
       Hue[0.3242258881801064, 1, 1], 
       Hue[0.323055320810639, 1, 1], 
       Hue[0.323055320810639, 1, 1], 
       Hue[0.3206812337556658, 1, 1], 
       Hue[0.3206812337556658, 1, 1], 
       Hue[0.3158022921032632, 1, 1], 
       Hue[0.3158022921032632, 1, 1], 
       Hue[0.314555605815536, 1, 1], 
       Hue[0.314555605815536, 1, 1], 
       Hue[0.31329826645953185`, 1, 1], 
       Hue[0.31329826645953185`, 1, 1], 
       Hue[0.3107519397411877, 1, 1], 
       Hue[0.3107519397411877, 1, 1], 
       Hue[0.30553528853419687`, 1, 1], 
       Hue[0.30553528853419687`, 1, 1], 
       Hue[0.30420592264675606`, 1, 1], 
       Hue[0.30420592264675606`, 1, 1], 
       Hue[0.30286672287717026`, 1, 1], 
       Hue[0.30286672287717026`, 1, 1], 
       Hue[0.3001593807259757, 1, 1], 
       Hue[0.3001593807259757, 1, 1], 
       Hue[0.2946332981225129, 1, 1], 
       Hue[0.2946332981225129, 1, 1], 
       Hue[0.2932295766835387, 1, 1], 
       Hue[0.2932295766835387, 1, 1], 
       Hue[0.29181735334658276`, 1, 1], 
       Hue[0.29181735334658276`, 1, 1], 
       Hue[0.28896822368511427`, 1, 1], 
       Hue[0.28896822368511427`, 1, 1], 
       Hue[0.287531749070397, 1, 1], 
       Hue[0.287531749070397, 1, 1], 
       Hue[0.2860876358170311, 1, 1], 
       Hue[0.2860876358170311, 1, 1], 
       Hue[0.28317744444809123`, 1, 1], 
       Hue[0.28317744444809123`, 1, 1], 
       Hue[0.28171186115808783`, 1, 1], 
       Hue[0.28171186115808783`, 1, 1], 
       Hue[0.28023962857231266`, 1, 1], 
       Hue[0.28023962857231266`, 1, 1], 
       Hue[0.27727628653889375`, 1, 1], 
       Hue[0.27727628653889375`, 1, 1], 
       Hue[0.2757857300982778, 1, 1], 
       Hue[0.2757857300982778, 1, 1], 
       Hue[0.27428962991808825`, 1, 1], 
       Hue[0.27428962991808825`, 1, 1], 
       Hue[0.2712819761798951, 1, 1], 
       Hue[0.2712819761798951, 1, 1], 
       Hue[0.2697710264956914, 1, 1], 
       Hue[0.2697710264956914, 1, 1], 
       Hue[0.2682557402209194, 1, 1], 
       Hue[0.2682557402209194, 1, 1], 
       Hue[0.26673643287062415`, 1, 1], 
       Hue[0.26673643287062415`, 1, 1], 
       Hue[0.2652134247967895, 1, 1], 
       Hue[0.2652134247967895, 1, 1], 
       Hue[0.26368704083529704`, 1, 1], 
       Hue[0.26368704083529704`, 1, 1], 
       Hue[0.26215760993943915`, 1, 1], 
       Hue[0.26215760993943915`, 1, 1], 
       Hue[0.2606254648009678, 1, 1], 
       Hue[0.2606254648009678, 1, 1], 
       Hue[0.25909094145972433`, 1, 1], 
       Hue[0.25909094145972433`, 1, 1], 
       Hue[0.25755437890296545`, 1, 1], 
       Hue[0.25755437890296545`, 1, 1], 
       Hue[0.256016118655555, 1, 1], 
       Hue[0.256016118655555, 1, 1], 
       Hue[0.25447650436224506`, 1, 1], 
       Hue[0.25447650436224506`, 1, 1], 
       Hue[0.2529358813633165, 1, 1], 
       Hue[0.2529358813633165, 1, 1], 
       Hue[0.25139459626488575`, 1, 1], 
       Hue[0.25139459626488575`, 1, 1], 
       Hue[0.24985299650521825`, 1, 1], 
       Hue[0.24985299650521825`, 1, 1], 
       Hue[0.24831142991841035`, 1, 1], 
       Hue[0.24831142991841035`, 1, 1], 
       Hue[0.24677024429681763`, 1, 1], 
       Hue[0.24677024429681763`, 1, 1], 
       Hue[0.2451009482308841, 1, 1], 
       Hue[0.2451009482308841, 1, 1], 
       Hue[0.24343294813544247`, 1, 1], 
       Hue[0.24343294813544247`, 1, 1], 
       Hue[0.24176668284857408`, 1, 1], 
       Hue[0.24176668284857408`, 1, 1], 
       Hue[0.24010258865990125`, 1, 1], 
       Hue[0.24010258865990125`, 1, 1], 
       Hue[0.23844109868021815`, 1, 1], 
       Hue[0.23844109868021815`, 1, 1], 
       Hue[0.23678264222279086`, 1, 1], 
       Hue[0.23678264222279086`, 1, 1], 
       Hue[0.23512764419851573`, 1, 1], 
       Hue[0.23512764419851573`, 1, 1], 
       Hue[0.23347652452703027`, 1, 1], 
       Hue[0.23347652452703027`, 1, 1], 
       Hue[0.23182969756576696`, 1, 1], 
       Hue[0.23182969756576696`, 1, 1], 
       Hue[0.2301875715588206, 1, 1], 
       Hue[0.2301875715588206, 1, 1], 
       Hue[0.22855054810736894`, 1, 1], 
       Hue[0.22855054810736894`, 1, 1], 
       Hue[0.2269190216632464, 1, 1], 
       Hue[0.2269190216632464, 1, 1], 
       Hue[0.22529337904712582`, 1, 1], 
       Hue[0.22529337904712582`, 1, 1], 
       Hue[0.22367399899260962`, 1, 1], 
       Hue[0.22367399899260962`, 1, 1], 
       Hue[0.22045549852231355`, 1, 1], 
       Hue[0.22045549852231355`, 1, 1], 
       Hue[0.21885709141959922`, 1, 1], 
       Hue[0.21885709141959922`, 1, 1], 
       Hue[0.217266372790134, 1, 1], 
       Hue[0.217266372790134, 1, 1], 
       Hue[0.21410932047351375`, 1, 1], 
       Hue[0.21410932047351375`, 1, 1], 
       Hue[0.21254362073091193`, 1, 1], 
       Hue[0.21254362073091193`, 1, 1], 
       Hue[0.21098687687763032`, 1, 1], 
       Hue[0.21098687687763032`, 1, 1], 
       Hue[0.20790140636583182`, 1, 1], 
       Hue[0.20790140636583182`, 1, 1], 
       Hue[0.20637322671235359`, 1, 1], 
       Hue[0.20637322671235359`, 1, 1], 
       Hue[0.2048550967249044, 1, 1], 
       Hue[0.2048550967249044, 1, 1], 
       Hue[0.20184995542164957`, 1, 1], 
       Hue[0.20184995542164957`, 1, 1], 
       Hue[0.19597029624263876`, 1, 1], 
       Hue[0.19597029624263876`, 1, 1], 
       Hue[0.19452874292108502`, 1, 1], 
       Hue[0.19452874292108502`, 1, 1], 
       Hue[0.19309888279146298`, 1, 1], 
       Hue[0.19309888279146298`, 1, 1], 
       Hue[0.19027485071865918`, 1, 1], 
       Hue[0.19027485071865918`, 1, 1], 
       Hue[0.18477319872821427`, 1, 1], 
       Hue[0.18477319872821427`, 1, 1], 
       Hue[0.18342892922777343`, 1, 1], 
       Hue[0.18342892922777343`, 1, 1], 
       Hue[0.18209729671824224`, 1, 1], 
       Hue[0.18209729671824224`, 1, 1], 
       Hue[0.17947222511151453`, 1, 1], 
       Hue[0.17947222511151453`, 1, 1], 
       Hue[0.17437632845634157`, 1, 1], 
       Hue[0.17437632845634157`, 1, 1], 
       Hue[0.17313469628239997`, 1, 1], 
       Hue[0.17313469628239997`, 1, 1], 
       Hue[0.17190603976867702`, 1, 1], 
       Hue[0.17190603976867702`, 1, 1], 
       Hue[0.16948767141168178`, 1, 1], 
       Hue[0.16948767141168178`, 1, 1], 
       Hue[0.16480645400154653`, 1, 1], 
       Hue[0.16480645400154653`, 1, 1], 
       Hue[0.15605900300476466`, 1, 1], 
       Hue[0.15605900300476466`, 1, 1], 
       Hue[0.1550410185402729, 1, 1], 
       Hue[0.1550410185402729, 1, 1], 
       Hue[0.1540349598266497, 1, 1], 
       Hue[0.1540349598266497, 1, 1], 
       Hue[0.15205832929130986`, 1, 1], 
       Hue[0.15205832929130986`, 1, 1], 
       Hue[0.14824483243506137`, 1, 1], 
       Hue[0.14824483243506137`, 1, 1], 
       Hue[0.14115763383018473`, 1, 1], 
       Hue[0.14115763383018473`, 1, 1], 
       Hue[0.1289715832906963, 1, 1], 
       Hue[0.1289715832906963, 1, 1], 
       Hue[0.12829095625803003`, 1, 1], 
       Hue[0.12829095625803003`, 1, 1], 
       Hue[0.1276192641062114, 1, 1], 
       Hue[0.1276192641062114, 1, 1], 
       Hue[0.1263022957406865, 1, 1], 
       Hue[0.1263022957406865, 1, 1], 
       Hue[0.12377133654903728`, 1, 1], 
       Hue[0.12377133654903728`, 1, 1], 
       Hue[0.11910044939296187`, 1, 1], 
       Hue[0.11910044939296187`, 1, 1], 
       Hue[0.11116740194873345`, 1, 1], 
       Hue[0.11116740194873345`, 1, 1], 
       Hue[0.11075759360678568`, 1, 1], 
       Hue[0.11075759360678568`, 1, 1], 
       Hue[0.11035321163720087`, 1, 1], 
       Hue[0.11035321163720087`, 1, 1], 
       Hue[0.10956050419122346`, 1, 1], 
       Hue[0.10956050419122346`, 1, 1], 
       Hue[0.1080377985587239, 1, 1], 
       Hue[0.1080377985587239, 1, 1], 
       Hue[0.10523170575685457`, 1, 1], 
       Hue[0.10523170575685457`, 1, 1], 
       Hue[0.10049410187347046`, 1, 1], 
       Hue[0.10049410187347046`, 1, 1], 
       Hue[0.10023379590079735`, 1, 1], 
       Hue[0.10023379590079735`, 1, 1], 
       Hue[0.09997747814246605, 1, 1], 
       Hue[0.09997747814246605, 1, 1], 
       Hue[0.09947667075362084, 1, 1], 
       Hue[0.09947667075362084, 1, 1], 
       Hue[0.09852144509498116, 1, 1], 
       Hue[0.09852144509498116, 1, 1], 
       Hue[0.0967896309754321, 1, 1], 
       Hue[0.0967896309754321, 1, 1], 
       Hue[0.09399223012894711, 1, 1], 
       Hue[0.09399223012894711, 1, 1], 
       Hue[0.09383298147141982, 1, 1], 
       Hue[0.09383298147141982, 1, 1], 
       Hue[0.09367743751047676, 1, 1], 
       Hue[0.09367743751047676, 1, 1], 
       Hue[0.09337737120833485, 1, 1], 
       Hue[0.09337737120833485, 1, 1], 
       Hue[0.09282071022361339, 1, 1], 
       Hue[0.09282071022361339, 1, 1], 
       Hue[0.09187682825364682, 1, 1], 
       Hue[0.09187682825364682, 1, 1], 
       Hue[0.09063843139077606, 1, 1], 
       Hue[0.09063843139077606, 1, 1], 
       Hue[0.0905889192555303, 1, 1], 
       Hue[0.0905889192555303, 1, 1], 
       Hue[0.0905426342862054, 1, 1], 
       Hue[0.0905426342862054, 1, 1], 
       Hue[0.09045971955010312, 1, 1], 
       Hue[0.09045971955010312, 1, 1], 
       Hue[0.09033235298815732, 1, 1], 
       Hue[0.09033235298815732, 1, 1], 
       Hue[0.09023059737119334, 1, 1], 
       Hue[0.09023059737119334, 1, 1], 
       Hue[0.09063817418121681, 1, 1], 
       Hue[0.09063817418121681, 1, 1], 
       Hue[0.0906873024606514, 1, 1], 
       Hue[0.0906873024606514, 1, 1], 
       Hue[0.09073925594576789, 1, 1], 
       Hue[0.09073925594576789, 1, 1], 
       Hue[0.09085166512393306, 1, 1], 
       Hue[0.09085166512393306, 1, 1], 
       Hue[0.09111069879010815, 1, 1], 
       Hue[0.09111069879010815, 1, 1], 
       Hue[0.09176758903447274, 1, 1], 
       Hue[0.09176758903447274, 1, 1], 
       Hue[0.09365749455030073, 1, 1], 
       Hue[0.09365749455030073, 1, 1], 
       Hue[0.09380214744060655, 1, 1], 
       Hue[0.09380214744060655, 1, 1], 
       Hue[0.0939500253234712, 1, 1], 
       Hue[0.0939500253234712, 1, 1], 
       Hue[0.09425553371778239, 1, 1], 
       Hue[0.09425553371778239, 1, 1], 
       Hue[0.09490613011053897, 1, 1], 
       Hue[0.09490613011053897, 1, 1], 
       Hue[0.09637058890848448, 1, 1], 
       Hue[0.09637058890848448, 1, 1], 
       Hue[0.09999887332533781, 1, 1], 
       Hue[0.09999887332533781, 1, 1], 
       Hue[0.10025355910323622`, 1, 1], 
       Hue[0.10025355910323622`, 1, 1], 
       Hue[0.10051217529773122`, 1, 1], 
       Hue[0.10051217529773122`, 1, 1], 
       Hue[0.10104133596751991`, 1, 1], 
       Hue[0.10104133596751991`, 1, 1], 
       Hue[0.10214836218573363`, 1, 1], 
       Hue[0.10214836218573363`, 1, 1], 
       Hue[0.10456567158763809`, 1, 1], 
       Hue[0.10456567158763809`, 1, 1], 
       Hue[0.11028933953886229`, 1, 1], 
       Hue[0.11028933953886229`, 1, 1], 
       Hue[0.11068977519898907`, 1, 1], 
       Hue[0.11068977519898907`, 1, 1], 
       Hue[0.11109554582408324`, 1, 1], 
       Hue[0.11109554582408324`, 1, 1], 
       Hue[0.11192331344287035`, 1, 1], 
       Hue[0.11192331344287035`, 1, 1], 
       Hue[0.11364534537254753`, 1, 1], 
       Hue[0.11364534537254753`, 1, 1], 
       Hue[0.11736874137085049`, 1, 1], 
       Hue[0.11736874137085049`, 1, 1], 
       Hue[0.1260493022632204, 1, 1], 
       Hue[0.1260493022632204, 1, 1], 
       Hue[0.12670290085955513`, 1, 1], 
       Hue[0.12670290085955513`, 1, 1], 
       Hue[0.12736527955215443`, 1, 1], 
       Hue[0.12736527955215443`, 1, 1], 
       Hue[0.1287167689565863, 1, 1], 
       Hue[0.1287167689565863, 1, 1], 
       Hue[0.1315294494736765, 1, 1], 
       Hue[0.1315294494736765, 1, 1], 
       Hue[0.13761614096095554`, 1, 1], 
       Hue[0.13761614096095554`, 1, 1], 
       Hue[0.1518144271856748, 1, 1], 
       Hue[0.1518144271856748, 1, 1], 
       Hue[0.152798236924112, 1, 1], 
       Hue[0.152798236924112, 1, 1], 
       Hue[0.15379391030547238`, 1, 1], 
       Hue[0.15379391030547238`, 1, 1], 
       Hue[0.15582115078652523`, 1, 1], 
       Hue[0.15582115078652523`, 1, 1], 
       Hue[0.16002115342078155`, 1, 1], 
       Hue[0.16002115342078155`, 1, 1], 
       Hue[0.16901565709777427`, 1, 1], 
       Hue[0.16901565709777427`, 1, 1], 
       Hue[0.17019645630551, 1, 1], 
       Hue[0.17019645630551, 1, 1], 
       Hue[0.17138987521657856`, 1, 1], 
       Hue[0.17138987521657856`, 1, 1], 
       Hue[0.17381458010188858`, 1, 1], 
       Hue[0.17381458010188858`, 1, 1], 
       Hue[0.17881512867260027`, 1, 1], 
       Hue[0.17881512867260027`, 1, 1], 
       Hue[0.18941168734824332`, 1, 1], 
       Hue[0.18941168734824332`, 1, 1], 
       Hue[0.19069808681679384`, 1, 1], 
       Hue[0.19069808681679384`, 1, 1], 
       Hue[0.1919947191543809, 1, 1], 
       Hue[0.1919947191543809, 1, 1], 
       Hue[0.19461825080086767`, 1, 1], 
       Hue[0.19461825080086767`, 1, 1], 
       Hue[0.19998292268526505`, 1, 1], 
       Hue[0.19998292268526505`, 1, 1], 
       Hue[0.2013477787780611, 1, 1], 
       Hue[0.2013477787780611, 1, 1], 
       Hue[0.20272179880864102`, 1, 1], 
       Hue[0.20272179880864102`, 1, 1], 
       Hue[0.20549664275274446`, 1, 1], 
       Hue[0.20549664275274446`, 1, 1], 
       Hue[0.21114827280065565`, 1, 1], 
       Hue[0.21114827280065565`, 1, 1], 
       Hue[0.21258122487000575`, 1, 1], 
       Hue[0.21258122487000575`, 1, 1], 
       Hue[0.21402175351842842`, 1, 1], 
       Hue[0.21402175351842842`, 1, 1], 
       Hue[0.21692459533587813`, 1, 1], 
       Hue[0.21692459533587813`, 1, 1], 
       Hue[0.21838641684569332`, 1, 1], 
       Hue[0.21838641684569332`, 1, 1], 
       Hue[0.21985483192269922`, 1, 1], 
       Hue[0.21985483192269922`, 1, 1], 
       Hue[0.22281037915363844`, 1, 1], 
       Hue[0.22281037915363844`, 1, 1], 
       Hue[0.22429696223557977`, 1, 1], 
       Hue[0.22429696223557977`, 1, 1], 
       Hue[0.2257890411942412, 1, 1], 
       Hue[0.2257890411942412, 1, 1], 
       Hue[0.22728632528562825`, 1, 1], 
       Hue[0.22728632528562825`, 1, 1], 
       Hue[0.22878851775265263`, 1, 1], 
       Hue[0.22878851775265263`, 1, 1], 
       Hue[0.23029531611281676`, 1, 1], 
       Hue[0.23029531611281676`, 1, 1], 
       Hue[0.2318064124621705, 1, 1], 
       Hue[0.2318064124621705, 1, 1], 
       Hue[0.23332149379488656`, 1, 1], 
       Hue[0.23332149379488656`, 1, 1], 
       Hue[0.2348402423377181, 1, 1], 
       Hue[0.2348402423377181, 1, 1], 
       Hue[0.2363623358985253, 1, 1], 
       Hue[0.2363623358985253, 1, 1], 
       Hue[0.23788744822798047`, 1, 1], 
       Hue[0.23788744822798047`, 1, 1], 
       Hue[0.23941524939348993`, 1, 1], 
       Hue[0.23941524939348993`, 1, 1], 
       Hue[0.2409454061643028, 1, 1], 
       Hue[0.2409454061643028, 1, 1], 
       Hue[0.24247758240671533`, 1, 1], 
       Hue[0.24247758240671533`, 1, 1], 
       Hue[0.24401143948822065`, 1, 1], 
       Hue[0.24401143948822065`, 1, 1], 
       Hue[0.24554663668940443`, 1, 1], 
       Hue[0.24554663668940443`, 1, 1], 
       Hue[0.2470828316223405, 1, 1], 
       Hue[0.2470828316223405, 1, 1], 
       Hue[0.248619680654207, 1, 1], 
       Hue[0.248619680654207, 1, 1], 
       Hue[0.25015683933480554`, 1, 1], 
       Hue[0.25015683933480554`, 1, 1], 
       Hue[0.25169396282665035`, 1, 1], 
       Hue[0.25169396282665035`, 1, 1], 
       Hue[0.2532307063362786, 1, 1], 
       Hue[0.2532307063362786, 1, 1], 
       Hue[0.25476672554542085`, 1, 1], 
       Hue[0.25476672554542085`, 1, 1], 
       Hue[0.2563016770406758, 1, 1], 
       Hue[0.2563016770406758, 1, 1], 
       Hue[0.25783521874034127`, 1, 1], 
       Hue[0.25783521874034127`, 1, 1], 
       Hue[0.2593670103170697, 1, 1], 
       Hue[0.2593670103170697, 1, 1], 
       Hue[0.2608967136150411, 1, 1], 
       Hue[0.2608967136150411, 1, 1], 
       Hue[0.2624239930603774, 1, 1], 
       Hue[0.2624239930603774, 1, 1], 
       Hue[0.26394851606356307`, 1, 1], 
       Hue[0.26394851606356307`, 1, 1], 
       Hue[0.26546995341268076`, 1, 1], 
       Hue[0.26546995341268076`, 1, 1], 
       Hue[0.266987979656324, 1, 1], 
       Hue[0.266987979656324, 1, 1], 
       Hue[0.2685022734751077, 1, 1], 
       Hue[0.2685022734751077, 1, 1], 
       Hue[0.27151840136184685`, 1, 1], 
       Hue[0.27151840136184685`, 1, 1], 
       Hue[0.2730196166152586, 1, 1], 
       Hue[0.2730196166152586, 1, 1], 
       Hue[0.2745158624626535, 1, 1], 
       Hue[0.2745158624626535, 1, 1], 
       Hue[0.2774922697975911, 1, 1], 
       Hue[0.2774922697975911, 1, 1], 
       Hue[0.2789718586559422, 1, 1], 
       Hue[0.2789718586559422, 1, 1], 
       Hue[0.2804453333671589, 1, 1], 
       Hue[0.2804453333671589, 1, 1], 
       Hue[0.2833728684217173, 1, 1], 
       Hue[0.2833728684217173, 1, 1], 
       Hue[0.28494805114961574`, 1, 1], 
       Hue[0.28494805114961574`, 1, 1], 
       Hue[0.2865148095774135, 1, 1], 
       Hue[0.2865148095774135, 1, 1], 
       Hue[0.28962184403704333`, 1, 1], 
       Hue[0.28962184403704333`, 1, 1], 
       Hue[0.29572212318283986`, 1, 1], 
       Hue[0.29572212318283986`, 1, 1], 
       Hue[0.2972219783273021, 1, 1], 
       Hue[0.2972219783273021, 1, 1], 
       Hue[0.2987112753149434, 1, 1], 
       Hue[0.2987112753149434, 1, 1], 
       Hue[0.3016573405488317, 1, 1], 
       Hue[0.3016573405488317, 1, 1], 
       Hue[0.307414005316261, 1, 1], 
       Hue[0.307414005316261, 1, 1], 
       Hue[0.308823964284711, 1, 1], 
       Hue[0.308823964284711, 1, 1], 
       Hue[0.3102219462137112, 1, 1], 
       Hue[0.3102219462137112, 1, 1], 
       Hue[0.31298147564305767`, 1, 1], 
       Hue[0.31298147564305767`, 1, 1], 
       Hue[0.3183518443929145, 1, 1], 
       Hue[0.3183518443929145, 1, 1], 
       Hue[0.32848217251441936`, 1, 1], 
       Hue[0.32848217251441936`, 1, 1], 
       Hue[0.3296905120360762, 1, 1], 
       Hue[0.3296905120360762, 1, 1], 
       Hue[0.33088594126591037`, 1, 1], 
       Hue[0.33088594126591037`, 1, 1], 
       Hue[0.333238114357738, 1, 1], 
       Hue[0.333238114357738, 1, 1], 
       Hue[0.33778838168498754`, 1, 1], 
       Hue[0.33778838168498754`, 1, 1], 
       Hue[0.3462823596904424, 1, 1], 
       Hue[0.3462823596904424, 1, 1], 
       Hue[0.3609737714582459, 1, 1], 
       Hue[0.3609737714582459, 1, 1], 
       Hue[0.3609985214325128, 1, 1], 
       Hue[0.3609985214325128, 1, 1], 
       Hue[0.36102326185082423`, 1, 1], 
       Hue[0.36102326185082423`, 1, 1], 
       Hue[0.36107271403066793`, 1, 1], 
       Hue[0.36107271403066793`, 1, 1], 
       Hue[0.36117150384086955`, 1, 1], 
       Hue[0.36117150384086955`, 1, 1], 
       Hue[0.3613686258847058, 1, 1], 
       Hue[0.3613686258847058, 1, 1], 
       Hue[0.3617610446421136, 1, 1], 
       Hue[0.3617610446421136, 1, 1], 
       Hue[0.36178549020243184`, 1, 1], 
       Hue[0.36178549020243184`, 1, 1], 
       Hue[0.36180992629567227`, 1, 1], 
       Hue[0.36180992629567227`, 1, 1], 
       Hue[0.3618587700920536, 1, 1], 
       Hue[0.3618587700920536, 1, 1], 
       Hue[0.3619563442023652, 1, 1], 
       Hue[0.3619563442023652, 1, 1], 
       Hue[0.36215103911702534`, 1, 1], 
       Hue[0.36215103911702534`, 1, 1], 
       Hue[0.3621753335382534, 1, 1], 
       Hue[0.3621753335382534, 1, 1], 
       Hue[0.3621996185369707, 1, 1], 
       Hue[0.3621996185369707, 1, 1], 
       Hue[0.3622481602780259, 1, 1], 
       Hue[0.3622481602780259, 1, 1], 
       Hue[0.3623451308126975, 1, 1], 
       Hue[0.3623451308126975, 1, 1], 
       Hue[0.3623693499319188, 1, 1], 
       Hue[0.3623693499319188, 1, 1], 
       Hue[0.3623935596509405, 1, 1], 
       Hue[0.3623935596509405, 1, 1], 
       Hue[0.36244195089954634`, 1, 1], 
       Hue[0.36244195089954634`, 1, 1], 
       Hue[0.3624661324347116, 1, 1], 
       Hue[0.3624661324347116, 1, 1], 
       Hue[0.3624903045808393, 1, 1], 
       Hue[0.3624903045808393, 1, 1], 
       Hue[0.36251446734072057`, 1, 1], 
       Hue[0.36251446734072057`, 1, 1], 
       Hue[0.3625386207171467, 1, 1]}],
    AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
    Axes->{True, False},
    AxesOrigin->{0, 0},
    Frame->True,
    PlotRange->{-0.5, 4},
    PlotRangeClipping->True,
    PlotRangePadding->{
      Scaled[0.02], Automatic}]}], "}"}]], "Output",
 CellChangeTimes->{{3.389731004727376*^9, 3.3897310323571053`*^9}, 
   3.389733052283837*^9, 3.3908939825778847`*^9, 3.391779914099586*^9, 
   3.391848689109375*^9, 3.392469637296843*^9, 3.393842375137411*^9, 
   3.393843351469551*^9, 3.3938469957015533`*^9}]
}, Open  ]],

Cell[TextData[{
 "Further documemtation is available via ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "'s Help Browser, provided the VQM packages are properly installed."
}], "Text"],

Cell["Moreover, you can get help in the usual way:", "Text"],

Cell[CellGroupData[{

Cell["?QArgColorPlot", "Input"],

Cell[BoxData[
 StyleBox["\<\"QArgColorPlot[f[x],{x,x0,x1},opts] is used\\nlike the usual \
Plot command. It gives a two-dimensional plot\\nof a complex-valued function \
f of a single real variable x\\nin the range {x0,x1}.\\nThe plot shows the \
curve Abs[f] with area between the curve\\nand the x-axis colored by \
Hue[Arg[f[x]]/(2 Pi)].\\nThe default options of Plot are changed to \
Axes->{True,None},\\nFrame->True. Package: VQM`ArgColorPlot`\"\>", 
  "MSG"]], "Print", "PrintUsage",
 CellChangeTimes->{3.3938469976669893`*^9},
 CellTags->"Info3393854195-2522104"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Options[QArgColorPlot]", "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"AlignmentPoint", "\[Rule]", "Center"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", 
    FractionBox["1", "GoldenRatio"]}], ",", 
   RowBox[{"Axes", "\[Rule]", "True"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", "None"}], ",", 
   RowBox[{"AxesOrigin", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"AxesStyle", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"Background", "\[Rule]", "None"}], ",", 
   RowBox[{"BaselinePosition", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"BaseStyle", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"ClippingStyle", "\[Rule]", "None"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"ColorFunctionScaling", "\[Rule]", "True"}], ",", 
   RowBox[{"ColorOutput", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Compiled", "\[Rule]", "True"}], ",", 
   RowBox[{"ContentSelectable", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"DataRange", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"Filling", "\[Rule]", "None"}], ",", 
   RowBox[{"FillingStyle", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Frame", "\[Rule]", "False"}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", "None"}], ",", 
   RowBox[{"FrameStyle", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"FrameTicks", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"FrameTicksStyle", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"GridLines", "\[Rule]", "None"}], ",", 
   RowBox[{"GridLinesStyle", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"ImageMargins", "\[Rule]", "0.`"}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "All"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"InterpolationOrder", "\[Rule]", "None"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"MaxPlotPoints", "\[Rule]", "\[Infinity]"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
   RowBox[{"MeshFunctions", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"#1", "&"}], "}"}]}], ",", 
   RowBox[{"MeshShading", "\[Rule]", "None"}], ",", 
   RowBox[{"MeshStyle", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Method", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Opacity", "\[Rule]", "1"}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "None"}], ",", 
   RowBox[{"PlotMarkers", "\[Rule]", "None"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"PlotRangeClipping", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotRangePadding", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"PlotRegion", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "None"}], ",", 
   RowBox[{"PreserveImageOptions", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Prolog", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"QBottomLine", "\[Rule]", "0"}], ",", 
   RowBox[{"QBrightness", "\[Rule]", "1"}], ",", 
   RowBox[{"QPlotDown", "\[Rule]", "False"}], ",", 
   RowBox[{"QSaturation", "\[Rule]", "1"}], ",", 
   RowBox[{"QShiftPlot", "\[Rule]", "0"}], ",", 
   RowBox[{"QSquared", "\[Rule]", "False"}], ",", 
   RowBox[{"RotateLabel", "\[Rule]", "True"}], ",", 
   RowBox[{"Ticks", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"TicksStyle", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"DisplayFunction", "\[RuleDelayed]", "$DisplayFunction"}], ",", 
   RowBox[{"FormatType", "\[RuleDelayed]", "TraditionalForm"}], ",", 
   RowBox[{"PerformanceGoal", "\[RuleDelayed]", "$PerformanceGoal"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.389731005358283*^9, 3.389731035671872*^9, 
  3.3897330537158957`*^9, 3.390893983956586*^9, 3.3917799157175303`*^9, 
  3.391848692109375*^9, 3.392469640475086*^9, 3.393842376409363*^9, 
  3.3938433547212267`*^9, 3.393846998037051*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["?QSaturation", "Input"],

Cell[BoxData[
 StyleBox["\<\"Option for QArgColorPlot. QSaturation->s causes the \
colors\\nin the plot to appear at saturation s. Default value is 1. Package: \
VQM`ArgColorPlot`\"\>", "MSG"]], "Print", "PrintUsage",
 CellChangeTimes->{3.393846998468642*^9},
 CellTags->"Info3393854198-2757010"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Examples for using the ArgColorPlot package", "Section"],

Cell["This example shows a complex-valued Gaussian function.", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QArgColorPlot", "[", 
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], " ", "6", " ", "x"}], "-", 
     FractionBox[
      SuperscriptBox["x", "2"], "2"]}]], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJx93HdUj/8f//H2nnaEyExIU5LnFVnRVipKZa9EqYyUJCkNEUlooFIqipLq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   "], {
    {GrayLevel[0.5], EdgeForm[None], 
     GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwtmg0c72N5xv/Pc7+YGkcph9SQWV5qJmuijJykDbNCWlZknTVZRKmE5dTa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       "]]]}, {{}, {}, {
      {Hue[0.8197184782986047, 1, 1], LineBox[{1, 2}]}, 
      {Hue[0.817375481892275, 1, 1], LineBox[{2, 3}]}, 
      {Hue[0.8150324854859454, 1, 1], LineBox[{3, 4}]}, 
      {Hue[0.8103464926732862, 1, 1], LineBox[{4, 5}]}, 
      {Hue[0.8009745070479671, 1, 1], LineBox[{5, 6}]}, 
      {Hue[0.7822305357973296, 1, 1], LineBox[{6, 7}]}, 
      {Hue[0.779887539391, 1, 1], LineBox[{7, 8}]}, 
      {Hue[0.7775445429846704, 1, 1], LineBox[{8, 9}]}, 
      {Hue[0.7728585501720105, 1, 1], LineBox[{9, 10}]}, 
      {Hue[0.763486564546692, 1, 1], LineBox[{10, 11}]}, 
      {Hue[0.7447425932960545, 1, 1], LineBox[{11, 12}]}, 
      {Hue[0.7423995968897242, 1, 1], LineBox[{12, 13}]}, 
      {Hue[0.7400566004833946, 1, 1], LineBox[{13, 14}]}, 
      {Hue[0.7353706076707348, 1, 1], LineBox[{14, 15}]}, 
      {Hue[0.7259986220454163, 1, 1], LineBox[{15, 16}]}, 
      {Hue[0.7072546507947788, 1, 1], LineBox[{16, 17}]}, 
      {Hue[0.6697667082935036, 1, 1], LineBox[{17, 18}]}, 
      {Hue[0.6672266317029389, 1, 1], LineBox[{18, 19}]}, 
      {Hue[0.6646865551123748, 1, 1], LineBox[{19, 20}]}, 
      {Hue[0.6596064019312451, 1, 1], LineBox[{20, 21}]}, 
      {Hue[0.6494460955689871, 1, 1], LineBox[{21, 22}]}, 
      {Hue[0.6291254828444701, 1, 1], LineBox[{22, 23}]}, 
      {Hue[0.626585406253906, 1, 1], LineBox[{23, 24}]}, 
      {Hue[0.6240453296633414, 1, 1], LineBox[{24, 25}]}, 
      {Hue[0.6189651764822122, 1, 1], LineBox[{25, 26}]}, 
      {Hue[0.6088048701199542, 1, 1], LineBox[{26, 27}]}, 
      {Hue[0.5884842573954372, 1, 1], LineBox[{27, 28}]}, 
      {Hue[0.5859441808048731, 1, 1], LineBox[{28, 29}]}, 
      {Hue[0.5834041042143084, 1, 1], LineBox[{29, 30}]}, 
      {Hue[0.5783239510331792, 1, 1], LineBox[{30, 31}]}, 
      {Hue[0.5681636446709212, 1, 1], LineBox[{31, 32}]}, 
      {Hue[0.5478430319464042, 1, 1], LineBox[{32, 33}]}, 
      {Hue[0.5072018064973707, 1, 1], LineBox[{33, 34}]}, 
      {Hue[0.5048300564796699, 1, 1], LineBox[{34, 35}]}, 
      {Hue[0.5024583064619688, 1, 1], LineBox[{35, 36}]}, 
      {Hue[0.4977148064265675, 1, 1], LineBox[{36, 37}]}, 
      {Hue[0.48822780635576496`, 1, 1], LineBox[{37, 38}]}, 
      {Hue[0.4692538062141587, 1, 1], LineBox[{38, 39}]}, 
      {Hue[0.466882056196458, 1, 1], LineBox[{39, 40}]}, 
      {Hue[0.4645103061787574, 1, 1], LineBox[{40, 41}]}, 
      {Hue[0.45976680614335613`, 1, 1], LineBox[{41, 42}]}, 
      {Hue[0.45027980607255297`, 1, 1], LineBox[{42, 43}]}, 
      {Hue[0.43130580593094725`, 1, 1], LineBox[{43, 44}]}, 
      {Hue[0.4289340559132466, 1, 1], LineBox[{44, 45}]}, 
      {Hue[0.426562305895546, 1, 1], LineBox[{45, 46}]}, 
      {Hue[0.42181880586014414`, 1, 1], LineBox[{46, 47}]}, 
      {Hue[0.4123318057893416, 1, 1], LineBox[{47, 48}]}, 
      {Hue[0.39335780564773587`, 1, 1], LineBox[{48, 49}]}, 
      {Hue[0.3554098053645245, 1, 1], LineBox[{49, 50}]}, 
      {Hue[0.3530845796673215, 1, 1], LineBox[{50, 51}]}, 
      {Hue[0.35075935397011854`, 1, 1], LineBox[{51, 52}]}, 
      {Hue[0.3461089025757114, 1, 1], LineBox[{52, 53}]}, 
      {Hue[0.33680799978689946`, 1, 1], LineBox[{53, 54}]}, 
      {Hue[0.3182061942092745, 1, 1], LineBox[{54, 55}]}, 
      {Hue[0.31588096851207204`, 1, 1], LineBox[{55, 56}]}, 
      {Hue[0.31355574281486853`, 1, 1], LineBox[{56, 57}]}, 
      {Hue[0.30890529142046197`, 1, 1], LineBox[{57, 58}]}, 
      {Hue[0.29960438863164945`, 1, 1], LineBox[{58, 59}]}, 
      {Hue[0.28100258305402503`, 1, 1], LineBox[{59, 60}]}, 
      {Hue[0.27867735735682203`, 1, 1], LineBox[{60, 61}]}, 
      {Hue[0.27635213165961847`, 1, 1], LineBox[{61, 62}]}, 
      {Hue[0.2717016802652125, 1, 1], LineBox[{62, 63}]}, 
      {Hue[0.2624007774764, 1, 1], LineBox[{63, 64}]}, 
      {Hue[0.24379897189877506`, 1, 1], LineBox[{64, 65}]}, 
      {Hue[0.2065953607435256, 1, 1], LineBox[{65, 66}]}, 
      {Hue[0.2040730548620876, 1, 1], LineBox[{66, 67}]}, 
      {Hue[0.20155074898064965`, 1, 1], LineBox[{67, 68}]}, 
      {Hue[0.19650613721777366`, 1, 1], LineBox[{68, 69}]}, 
      {Hue[0.1864169136920217, 1, 1], LineBox[{69, 70}]}, 
      {Hue[0.16623846664051775`, 1, 1], LineBox[{70, 71}]}, 
      {Hue[0.16371616075907977`, 1, 1], LineBox[{71, 72}]}, 
      {Hue[0.1611938548776418, 1, 1], LineBox[{72, 73}]}, 
      {Hue[0.1561492431147658, 1, 1], LineBox[{73, 74}]}, 
      {Hue[0.14606001958901382`, 1, 1], LineBox[{74, 75}]}, 
      {Hue[0.12588157253750992`, 1, 1], LineBox[{75, 76}]}, 
      {Hue[0.12335926665607194`, 1, 1], LineBox[{76, 77}]}, 
      {Hue[0.12083696077463393`, 1, 1], LineBox[{77, 78}]}, 
      {Hue[0.11579234901175797`, 1, 1], LineBox[{78, 79}]}, 
      {Hue[0.10570312548600601`, 1, 1], LineBox[{79, 80}]}, 
      {Hue[0.0855246784345021, 1, 1], LineBox[{80, 81}]}, 
      {Hue[0.045167784331494244`, 1, 1], LineBox[{81, 82}]}, 
      {Hue[0.042813805022920245`, 1, 1], LineBox[{82, 83}]}, 
      {Hue[0.04045982571434625, 1, 1], LineBox[{83, 84}]}, 
      {Hue[0.035751867097198235`, 1, 1], LineBox[{84, 85}]}, 
      {Hue[0.026335949862901102`, 1, 1], LineBox[{85, 86}]}, 
      {Hue[0.007504115394307963, 1, 1], LineBox[{86, 87}]}, 
      {Hue[0.9698404464571222, 1, 1], LineBox[{87, 88}]}, 
      {Hue[0.9674864671485477, 1, 1], LineBox[{88, 89}]}, 
      {Hue[0.9651324878399743, 1, 1], LineBox[{89, 90}]}, 
      {Hue[0.9604245292228257, 1, 1], LineBox[{90, 91}]}, 
      {Hue[0.9510086119885292, 1, 1], LineBox[{91, 92}]}, 
      {Hue[0.9321767775199366, 1, 1], LineBox[{92, 93}]}, 
      {Hue[0.8945131085827502, 1, 1], LineBox[{93, 94}]}, 
      {Hue[0.8919620490899413, 1, 1], LineBox[{94, 95}]}, 
      {Hue[0.8894109895971323, 1, 1], LineBox[{95, 96}]}, 
      {Hue[0.8843088706115143, 1, 1], LineBox[{96, 97}]}, 
      {Hue[0.8741046326402783, 1, 1], LineBox[{97, 98}]}, 
      {Hue[0.8536961566978062, 1, 1], LineBox[{98, 99}]}, 
      {Hue[0.8128792048128621, 1, 1], LineBox[{99, 100}]}, 
      {Hue[0.810328145320053, 1, 1], LineBox[{100, 101}]}, 
      {Hue[0.8077770858272441, 1, 1], LineBox[{101, 102}]}, 
      {Hue[0.802674966841626, 1, 1], LineBox[{102, 103}]}, 
      {Hue[0.79247072887039, 1, 1], LineBox[{103, 104}]}, 
      {Hue[0.772062252927918, 1, 1], LineBox[{104, 105}]}, 
      {Hue[0.7312453010429738, 1, 1], LineBox[{105, 106}]}, 
      {Hue[0.7287407658706625, 1, 1], LineBox[{106, 107}]}, 
      {Hue[0.7262362306983512, 1, 1], LineBox[{107, 108}]}, 
      {Hue[0.7212271603537285, 1, 1], LineBox[{108, 109}]}, 
      {Hue[0.7112090196644831, 1, 1], LineBox[{109, 110}]}, 
      {Hue[0.6911727382859922, 1, 1], LineBox[{110, 111}]}, 
      {Hue[0.6511001755290096, 1, 1], LineBox[{111, 112}]}, 
      {Hue[0.6485956403566981, 1, 1], LineBox[{112, 113}]}, 
      {Hue[0.646091105184387, 1, 1], LineBox[{113, 114}]}, 
      {Hue[0.6410820348397641, 1, 1], LineBox[{114, 115}]}, 
      {Hue[0.6310638941505182, 1, 1], LineBox[{115, 116}]}, 
      {Hue[0.6110276127720269, 1, 1], LineBox[{116, 117}]}, 
      {Hue[0.5709550500150447, 1, 1], LineBox[{117, 118}]}, 
      {Hue[0.5686188414155974, 1, 1], LineBox[{118, 119}]}, 
      {Hue[0.5662826328161494, 1, 1], LineBox[{119, 120}]}, 
      {Hue[0.5616102156172547, 1, 1], LineBox[{120, 121}]}, 
      {Hue[0.5522653812194647, 1, 1], LineBox[{121, 122}]}, 
      {Hue[0.5335757124238845, 1, 1], LineBox[{122, 123}]}, 
      {Hue[0.49619637483272355`, 1, 1], LineBox[{123, 124}]}, 
      {Hue[0.49386016623327594`, 1, 1], LineBox[{124, 125}]}, 
      {Hue[0.49152395763382856`, 1, 1], LineBox[{125, 126}]}, 
      {Hue[0.48685154043493384`, 1, 1], LineBox[{126, 127}]}, 
      {Hue[0.47750670603714357`, 1, 1], LineBox[{127, 128}]}, 
      {Hue[0.4588170372415629, 1, 1], LineBox[{128, 129}]}, 
      {Hue[0.4214376996504027, 1, 1], LineBox[{129, 130}]}, 
      {Hue[0.41890441086672026`, 1, 1], LineBox[{130, 131}]}, 
      {Hue[0.4163711220830379, 1, 1], LineBox[{131, 132}]}, 
      {Hue[0.41130454451567316`, 1, 1], LineBox[{132, 133}]}, 
      {Hue[0.40117138938094343`, 1, 1], LineBox[{133, 134}]}, 
      {Hue[0.3809050791114839, 1, 1], LineBox[{134, 135}]}, 
      {Hue[0.34037245857256526`, 1, 1], LineBox[{135, 136}]}, 
      {Hue[0.33783916978888284`, 1, 1], LineBox[{136, 137}]}, 
      {Hue[0.3353058810052005, 1, 1], LineBox[{137, 138}]}, 
      {Hue[0.33023930343783575`, 1, 1], LineBox[{138, 139}]}, 
      {Hue[0.320106148303106, 1, 1], LineBox[{139, 140}]}, 
      {Hue[0.29983983803364656`, 1, 1], LineBox[{140, 141}]}, 
      {Hue[0.2593072174947281, 1, 1], LineBox[{141, 142}]}, 
      {Hue[0.25694225528390946`, 1, 1], LineBox[{142, 143}]}, 
      {Hue[0.25457729307309107`, 1, 1], LineBox[{143, 144}]}, 
      {Hue[0.24984736865145438`, 1, 1], LineBox[{144, 145}]}, 
      {Hue[0.24038751980818002`, 1, 1], LineBox[{145, 146}]}, 
      {Hue[0.22146782212163132`, 1, 1], LineBox[{146, 147}]}, 
      {Hue[0.18362842674853475`, 1, 1], LineBox[{147, 148}]}, 
      {Hue[0.18126346453771638`, 1, 1], LineBox[{148, 149}]}, 
      {Hue[0.17889850232689772`, 1, 1], LineBox[{149, 150}]}, 
      {Hue[0.17416857790526036`, 1, 1], LineBox[{150, 151}]}, 
      {Hue[0.16470872906198633`, 1, 1], LineBox[{151, 152}]}, 
      {Hue[0.14578903137543817`, 1, 1], LineBox[{152, 153}]}, 
      {Hue[0.10794963600234132`, 1, 1], LineBox[{153, 154}]}, 
      {Hue[0.10563119811202032`, 1, 1], LineBox[{154, 155}]}, 
      {Hue[0.10331276022169904`, 1, 1], LineBox[{155, 156}]}, 
      {Hue[0.09867588444105733, 1, 1], LineBox[{156, 157}]}, 
      {Hue[0.08940213287977389, 1, 1], LineBox[{157, 158}]}, 
      {Hue[0.07085462975720615, 1, 1], LineBox[{158, 159}]}, 
      {Hue[0.03375962351207098, 1, 1], LineBox[{159, 160}]}, 
      {Hue[0.03144118562175026, 1, 1], LineBox[{160, 161}]}, 
      {Hue[0.02912274773142897, 1, 1], LineBox[{161, 162}]}, 
      {Hue[0.024485871950787247`, 1, 1], LineBox[{162, 163}]}, 
      {Hue[0.015212120389503812`, 1, 1], LineBox[{163, 164}]}, 
      {Hue[0.9966646172669361, 1, 1], LineBox[{164, 165}]}, 
      {Hue[0.9595696110218012, 1, 1], LineBox[{165, 166}]}, 
      {Hue[0.9570540929472452, 1, 1], LineBox[{166, 167}]}, 
      {Hue[0.9545385748726898, 1, 1], LineBox[{167, 168}]}, 
      {Hue[0.949507538723578, 1, 1], LineBox[{168, 169}]}, 
      {Hue[0.9394454664253545, 1, 1], LineBox[{169, 170}]}, 
      {Hue[0.9193213218289079, 1, 1], LineBox[{170, 171}]}, 
      {Hue[0.8790730326360152, 1, 1], LineBox[{171, 172}]}, 
      {Hue[0.7985764542502292, 1, 1], LineBox[{172, 173}]}, 
      {Hue[0.7962292627485371, 1, 1], LineBox[{173, 174}]}, 
      {Hue[0.7938820712468451, 1, 1], LineBox[{174, 175}]}, 
      {Hue[0.7891876882434611, 1, 1], LineBox[{175, 176}]}, 
      {Hue[0.7797989222366932, 1, 1], LineBox[{176, 177}]}, 
      {Hue[0.7610213902231577, 1, 1], LineBox[{177, 178}]}, 
      {Hue[0.7234663261960863, 1, 1], LineBox[{178, 179}]}, 
      {Hue[0.6483561981419439, 1, 1], LineBox[{179, 180}]}, 
      {Hue[0.6458119264560171, 1, 1], LineBox[{180, 181}]}, 
      {Hue[0.6432676547700904, 1, 1], LineBox[{181, 182}]}, 
      {Hue[0.6381791113982367, 1, 1], LineBox[{182, 183}]}, 
      {Hue[0.6280020246545293, 1, 1], LineBox[{183, 184}]}, 
      {Hue[0.6076478511671144, 1, 1], LineBox[{184, 185}]}, 
      {Hue[0.5669395041922853, 1, 1], LineBox[{185, 186}]}, 
      {Hue[0.4855228102426269, 1, 1], LineBox[{186, 187}]}, 
      {Hue[0.32566697885515683`, 1, 1], LineBox[{187, 188}]}, 
      {Hue[0.17658404813097406`, 1, 1], LineBox[{188, 189}]}, 
      {Hue[0.014887985615758862`, 1, 1], LineBox[{189, 190}]}, 
      {Hue[0.8639648237638307, 1, 1], LineBox[{190, 191}]}, 
      {Hue[0.7004285301208704, 1, 1], LineBox[{191, 192}]}, 
      {Hue[0.6979197998531967, 1, 1], LineBox[{192, 193}]}, 
      {Hue[0.6954110695855231, 1, 1], LineBox[{193, 194}]}, 
      {Hue[0.6903936090501757, 1, 1], LineBox[{194, 195}]}, 
      {Hue[0.6803586879794812, 1, 1], LineBox[{195, 196}]}, 
      {Hue[0.6602888458380921, 1, 1], LineBox[{196, 197}]}, 
      {Hue[0.6201491615553139, 1, 1], LineBox[{197, 198}]}, 
      {Hue[0.5398697929897573, 1, 1], LineBox[{198, 199}]}, 
      {Hue[0.5375293892949475, 1, 1], LineBox[{199, 200}]}, 
      {Hue[0.5351889856001377, 1, 1], LineBox[{200, 201}]}, 
      {Hue[0.5305081782105182, 1, 1], LineBox[{201, 202}]}, 
      {Hue[0.5211465634312791, 1, 1], LineBox[{202, 203}]}, 
      {Hue[0.5024233338728008, 1, 1], LineBox[{203, 204}]}, 
      {Hue[0.46497687475584426`, 1, 1], LineBox[{204, 205}]}, 
      {Hue[0.4626364710610345, 1, 1], LineBox[{205, 206}]}, 
      {Hue[0.46029606736622475`, 1, 1], LineBox[{206, 207}]}, 
      {Hue[0.45561525997660507`, 1, 1], LineBox[{207, 208}]}, 
      {Hue[0.446253645197366, 1, 1], LineBox[{208, 209}]}, 
      {Hue[0.4275304156388878, 1, 1], LineBox[{209, 210}]}, 
      {Hue[0.3900839565219313, 1, 1], LineBox[{210, 211}]}, 
      {Hue[0.38754647264288655`, 1, 1], LineBox[{211, 212}]}, 
      {Hue[0.38500898876384193`, 1, 1], LineBox[{212, 213}]}, 
      {Hue[0.3799340210057526, 1, 1], LineBox[{213, 214}]}, 
      {Hue[0.3697840854895739, 1, 1], LineBox[{214, 215}]}, 
      {Hue[0.3494842144572167, 1, 1], LineBox[{215, 216}]}, 
      {Hue[0.34694673057817194`, 1, 1], LineBox[{216, 217}]}, 
      {Hue[0.34440924669912737`, 1, 1], LineBox[{217, 218}]}, 
      {Hue[0.339334278941038, 1, 1], LineBox[{218, 219}]}, 
      {Hue[0.32918434342485936`, 1, 1], LineBox[{219, 220}]}, 
      {Hue[0.30888447239250205`, 1, 1], LineBox[{220, 221}]}, 
      {Hue[0.3063469885134574, 1, 1], LineBox[{221, 222}]}, 
      {Hue[0.30380950463441275`, 1, 1], LineBox[{222, 223}]}, 
      {Hue[0.2987345368763234, 1, 1], LineBox[{223, 224}]}, 
      {Hue[0.2885846013601448, 1, 1], LineBox[{224, 225}]}, 
      {Hue[0.2682847303277875, 1, 1], LineBox[{225, 226}]}, 
      {Hue[0.22768498826307296`, 1, 1], LineBox[{226, 227}]}, 
      {Hue[0.2253158309568922, 1, 1], LineBox[{227, 228}]}, 
      {Hue[0.22294667365071136`, 1, 1], LineBox[{228, 229}]}, 
      {Hue[0.21820835903834976`, 1, 1], LineBox[{229, 230}]}, 
      {Hue[0.20873172981362653`, 1, 1], LineBox[{230, 231}]}, 
      {Hue[0.18977847136418016`, 1, 1], LineBox[{231, 232}]}, 
      {Hue[0.18740931405799935`, 1, 1], LineBox[{232, 233}]}, 
      {Hue[0.18504015675181856`, 1, 1], LineBox[{233, 234}]}, 
      {Hue[0.18030184213945694`, 1, 1], LineBox[{234, 235}]}, 
      {Hue[0.17082521291473377`, 1, 1], LineBox[{235, 236}]}, 
      {Hue[0.15187195446528734`, 1, 1], LineBox[{236, 237}]}, 
      {Hue[0.14950279715910653`, 1, 1], LineBox[{237, 238}]}, 
      {Hue[0.14713363985292574`, 1, 1], LineBox[{238, 239}]}, 
      {Hue[0.1423953252405641, 1, 1], LineBox[{239, 240}]}, 
      {Hue[0.13291869601584091`, 1, 1], LineBox[{240, 241}]}, 
      {Hue[0.13054953870966013`, 1, 1], LineBox[{241, 242}]}, 
      {Hue[0.12818038140347934`, 1, 1], LineBox[{242, 243}]}, 
      {Hue[0.12344206679111772`, 1, 1], LineBox[{243, 244}]}, 
      {Hue[0.11396543756639453`, 1, 1], LineBox[{244, 245}]}, 
      {Hue[0.11159628026021369`, 1, 1], LineBox[{245, 246}]}, 
      {Hue[0.10922712295403292`, 1, 1], LineBox[{246, 247}]}, 
      {Hue[0.10448880834167129`, 1, 1], LineBox[{247, 248}]}, 
      {Hue[0.09501217911694812, 1, 1], LineBox[{248, 249}]}, 
      {Hue[0.0926430218107673, 1, 1], LineBox[{249, 250}]}, 
      {Hue[0.09027386450458652, 1, 1], LineBox[{250, 251}]}, 
      {Hue[0.08553554989222491, 1, 1], LineBox[{251, 252}]}, 
      {Hue[0.07605892066750171, 1, 1], LineBox[{252, 253}]}, 
      {Hue[0.0737362876818185, 1, 1], LineBox[{253, 254}]}, 
      {Hue[0.07141365469613532, 1, 1], LineBox[{254, 255}]}, 
      {Hue[0.06676838872476898, 1, 1], LineBox[{255, 256}]}, 
      {Hue[0.06444575573908579, 1, 1], LineBox[{256, 257}]}, 
      {Hue[0.06212312275340259, 1, 1], LineBox[{257, 258}]}, 
      {Hue[0.05747785678203621, 1, 1], LineBox[{258, 259}]}, 
      {Hue[0.05515522379635303, 1, 1], LineBox[{259, 260}]}, 
      {Hue[0.05283259081066983, 1, 1], LineBox[{260, 261}]}, 
      {Hue[0.04818732483930347, 1, 1], LineBox[{261, 262}]}, 
      {Hue[0.04586469185362028, 1, 1], LineBox[{262, 263}]}, 
      {Hue[0.043542058867937085`, 1, 1], LineBox[{263, 264}]}, 
      {Hue[0.03889679289657071, 1, 1], LineBox[{264, 265}]}, 
      {Hue[0.036574159910887534`, 1, 1], LineBox[{265, 266}]}, 
      {Hue[0.03425152692520435, 1, 1], LineBox[{266, 267}]}, 
      {Hue[0.03192889393952117, 1, 1], LineBox[{267, 268}]}, 
      {Hue[0.029606260953837966`, 1, 1], LineBox[{268, 269}]}, 
      {Hue[0.027283627968154783`, 1, 1], LineBox[{269, 270}]}, 
      {Hue[0.024960994982471587`, 1, 1], LineBox[{270, 271}]}, 
      {Hue[0.022638361996788404`, 1, 1], LineBox[{271, 272}]}, 
      {Hue[0.02031572901110522, 1, 1], LineBox[{272, 273}]}, 
      {Hue[0.017993096025422036`, 1, 1], LineBox[{273, 274}]}, 
      {Hue[0.015670463039738843`, 1, 1], LineBox[{274, 275}]}, 
      {Hue[0.013347830054055657`, 1, 1], LineBox[{275, 276}]}, 
      {Hue[0.011025197068372471`, 1, 1], LineBox[{276, 277}]}, 
      {Hue[0.008702564082689284, 1, 1], LineBox[{277, 278}]}, 
      {Hue[0.006379931097006096, 1, 1], LineBox[{278, 279}]}, 
      {Hue[0.004057298111322911, 1, 1], LineBox[{279, 280}]}, 
      {Hue[0.0017346651256397233`, 1, 1], LineBox[{280, 281}]}, 
      {Hue[0.9994120321399566, 1, 1], LineBox[{281, 282}]}, 
      {Hue[0.9970893991542733, 1, 1], LineBox[{282, 283}]}, 
      {Hue[0.9947667661685902, 1, 1], LineBox[{283, 284}]}, 
      {Hue[0.992444133182907, 1, 1], LineBox[{284, 285}]}, 
      {Hue[0.9901215001972238, 1, 1], LineBox[{285, 286}]}, 
      {Hue[0.9877988672115406, 1, 1], LineBox[{286, 287}]}, 
      {Hue[0.9854762342258574, 1, 1], LineBox[{287, 288}]}, 
      {Hue[0.9831536012401743, 1, 1], LineBox[{288, 289}]}, 
      {Hue[0.980830968254491, 1, 1], LineBox[{289, 290}]}, 
      {Hue[0.9785083352688079, 1, 1], LineBox[{290, 291}]}, 
      {Hue[0.9761857022831246, 1, 1], LineBox[{291, 292}]}, 
      {Hue[0.9738630692974415, 1, 1], LineBox[{292, 293}]}, 
      {Hue[0.9715404363117582, 1, 1], LineBox[{293, 294}]}, 
      {Hue[0.9692178033260751, 1, 1], LineBox[{294, 295}]}, 
      {Hue[0.9645725373547087, 1, 1], LineBox[{295, 296}]}, 
      {Hue[0.9622499043690256, 1, 1], LineBox[{296, 297}]}, 
      {Hue[0.9599272713833423, 1, 1], LineBox[{297, 298}]}, 
      {Hue[0.9552820054119759, 1, 1], LineBox[{298, 299}]}, 
      {Hue[0.9529593724262928, 1, 1], LineBox[{299, 300}]}, 
      {Hue[0.9506367394406097, 1, 1], LineBox[{300, 301}]}, 
      {Hue[0.9459914734692433, 1, 1], LineBox[{301, 302}]}, 
      {Hue[0.94366884048356, 1, 1], LineBox[{302, 303}]}, 
      {Hue[0.9413462074978769, 1, 1], LineBox[{303, 304}]}, 
      {Hue[0.9367009415265105, 1, 1], LineBox[{304, 305}]}, 
      {Hue[0.9274104095837777, 1, 1], LineBox[{305, 306}]}, 
      {Hue[0.9248906964138597, 1, 1], LineBox[{306, 307}]}, 
      {Hue[0.9223709832439416, 1, 1], LineBox[{307, 308}]}, 
      {Hue[0.9173315569041055, 1, 1], LineBox[{308, 309}]}, 
      {Hue[0.9072527042244332, 1, 1], LineBox[{309, 310}]}, 
      {Hue[0.9047329910545151, 1, 1], LineBox[{310, 311}]}, 
      {Hue[0.902213277884597, 1, 1], LineBox[{311, 312}]}, 
      {Hue[0.8971738515447609, 1, 1], LineBox[{312, 313}]}, 
      {Hue[0.8870949988650887, 1, 1], LineBox[{313, 314}]}, 
      {Hue[0.8845752856951706, 1, 1], LineBox[{314, 315}]}, 
      {Hue[0.8820555725252526, 1, 1], LineBox[{315, 316}]}, 
      {Hue[0.8770161461854165, 1, 1], LineBox[{316, 317}]}, 
      {Hue[0.8669372935057441, 1, 1], LineBox[{317, 318}]}, 
      {Hue[0.8467795881463996, 1, 1], LineBox[{318, 319}]}, 
      {Hue[0.8442598749764816, 1, 1], LineBox[{319, 320}]}, 
      {Hue[0.8417401618065634, 1, 1], LineBox[{320, 321}]}, 
      {Hue[0.8367007354667274, 1, 1], LineBox[{321, 322}]}, 
      {Hue[0.8266218827870551, 1, 1], LineBox[{322, 323}]}, 
      {Hue[0.8064641774277106, 1, 1], LineBox[{323, 324}]}, 
      {Hue[0.8039444642577924, 1, 1], LineBox[{324, 325}]}, 
      {Hue[0.8014247510878745, 1, 1], LineBox[{325, 326}]}, 
      {Hue[0.7963853247480384, 1, 1], LineBox[{326, 327}]}, 
      {Hue[0.786306472068366, 1, 1], LineBox[{327, 328}]}, 
      {Hue[0.7661487667090214, 1, 1], LineBox[{328, 329}]}, 
      {Hue[0.7637973801119673, 1, 1], LineBox[{329, 330}]}, 
      {Hue[0.7614459935149132, 1, 1], LineBox[{330, 331}]}, 
      {Hue[0.7567432203208047, 1, 1], LineBox[{331, 332}]}, 
      {Hue[0.7473376739325879, 1, 1], LineBox[{332, 333}]}, 
      {Hue[0.7285265811561542, 1, 1], LineBox[{333, 334}]}, 
      {Hue[0.690904395603287, 1, 1], LineBox[{334, 335}]}, 
      {Hue[0.6885530090062326, 1, 1], LineBox[{335, 336}]}, 
      {Hue[0.6862016224091785, 1, 1], LineBox[{336, 337}]}, 
      {Hue[0.68149884921507, 1, 1], LineBox[{337, 338}]}, 
      {Hue[0.6720933028268532, 1, 1], LineBox[{338, 339}]}, 
      {Hue[0.6532822100504196, 1, 1], LineBox[{339, 340}]}, 
      {Hue[0.6156600244975523, 1, 1], LineBox[{340, 341}]}, 
      {Hue[0.6131115577162632, 1, 1], LineBox[{341, 342}]}, 
      {Hue[0.6105630909349742, 1, 1], LineBox[{342, 343}]}, 
      {Hue[0.605466157372396, 1, 1], LineBox[{343, 344}]}, 
      {Hue[0.5952722902472397, 1, 1], LineBox[{344, 345}]}, 
      {Hue[0.5748845559969271, 1, 1], LineBox[{345, 346}]}, 
      {Hue[0.5341090874963016, 1, 1], LineBox[{346, 347}]}, 
      {Hue[0.4525581504950509, 1, 1], LineBox[{347, 348}]}, 
      {Hue[0.45005620803425955`, 1, 1], LineBox[{348, 349}]}, 
      {Hue[0.44755426557346806`, 1, 1], LineBox[{349, 350}]}, 
      {Hue[0.4425503806518851, 1, 1], LineBox[{350, 351}]}, 
      {Hue[0.4325426108087192, 1, 1], LineBox[{351, 352}]}, 
      {Hue[0.4125270711223874, 1, 1], LineBox[{352, 353}]}, 
      {Hue[0.37249599174972386`, 1, 1], LineBox[{353, 354}]}, 
      {Hue[0.2924338330043968, 1, 1], LineBox[{354, 355}]}, 
      {Hue[0.14308241617702985`, 1, 1], LineBox[{355, 356}]}, 
      {Hue[0.9811178675586304, 1, 1], LineBox[{356, 357}]}, 
      {Hue[0.829926219603518, 1, 1], LineBox[{357, 358}]}, 
      {Hue[0.6817121281602531, 1, 1], LineBox[{358, 359}]}, 
      {Hue[0.520884904925956, 1, 1], LineBox[{359, 360}]}, 
      {Hue[0.5185403061357836, 1, 1], LineBox[{360, 361}]}, 
      {Hue[0.5161957073456116, 1, 1], LineBox[{361, 362}]}, 
      {Hue[0.5115065097652677, 1, 1], LineBox[{362, 363}]}, 
      {Hue[0.5021281146045796, 1, 1], LineBox[{363, 364}]}, 
      {Hue[0.48337132428320306`, 1, 1], LineBox[{364, 365}]}, 
      {Hue[0.4458577436404507, 1, 1], LineBox[{365, 366}]}, 
      {Hue[0.3708305823549457, 1, 1], LineBox[{366, 367}]}, 
      {Hue[0.3682889033805386, 1, 1], LineBox[{367, 368}]}, 
      {Hue[0.365747224406132, 1, 1], LineBox[{368, 369}]}, 
      {Hue[0.36066386645731824`, 1, 1], LineBox[{369, 370}]}, 
      {Hue[0.3504971505596905, 1, 1], LineBox[{370, 371}]}, 
      {Hue[0.33016371876443495`, 1, 1], LineBox[{371, 372}]}, 
      {Hue[0.2894968551739242, 1, 1], LineBox[{372, 373}]}, 
      {Hue[0.2081631279929033, 1, 1], LineBox[{373, 374}]}, 
      {Hue[0.2057897755913601, 1, 1], LineBox[{374, 375}]}, 
      {Hue[0.20341642318981695`, 1, 1], LineBox[{375, 376}]}, 
      {Hue[0.19866971838673092`, 1, 1], LineBox[{376, 377}]}, 
      {Hue[0.18917630878055883`, 1, 1], LineBox[{377, 378}]}, 
      {Hue[0.1701894895682144, 1, 1], LineBox[{378, 379}]}, 
      {Hue[0.13221585114352546`, 1, 1], LineBox[{379, 380}]}, 
      {Hue[0.12984249874198234`, 1, 1], LineBox[{380, 381}]}, 
      {Hue[0.12746914634043946`, 1, 1], LineBox[{381, 382}]}, 
      {Hue[0.12272244153735341`, 1, 1], LineBox[{382, 383}]}, 
      {Hue[0.11322903193118104`, 1, 1], LineBox[{383, 384}]}, 
      {Hue[0.09424221271883658, 1, 1], LineBox[{384, 385}]}, 
      {Hue[0.056268574294147965`, 1, 1], LineBox[{385, 386}]}, 
      {Hue[0.05394174621310246, 1, 1], LineBox[{386, 387}]}, 
      {Hue[0.051614918132056965`, 1, 1], LineBox[{387, 388}]}, 
      {Hue[0.046961261969965945`, 1, 1], LineBox[{388, 389}]}, 
      {Hue[0.0376539496457842, 1, 1], LineBox[{389, 390}]}, 
      {Hue[0.01903932499742074, 1, 1], LineBox[{390, 391}]}, 
      {Hue[0.9818100757006936, 1, 1], LineBox[{391, 392}]}, 
      {Hue[0.979483247619648, 1, 1], LineBox[{392, 393}]}, 
      {Hue[0.9771564195386025, 1, 1], LineBox[{393, 394}]}, 
      {Hue[0.9725027633765115, 1, 1], LineBox[{394, 395}]}, 
      {Hue[0.9631954510523297, 1, 1], LineBox[{395, 396}]}, 
      {Hue[0.9445808264039662, 1, 1], LineBox[{396, 397}]}, 
      {Hue[0.9073515771072393, 1, 1], LineBox[{397, 398}]}, 
      {Hue[0.9048276688419594, 1, 1], LineBox[{398, 399}]}, 
      {Hue[0.9023037605766789, 1, 1], LineBox[{399, 400}]}, 
      {Hue[0.8972559440461179, 1, 1], LineBox[{400, 401}]}, 
      {Hue[0.8871603109849967, 1, 1], LineBox[{401, 402}]}, 
      {Hue[0.8669690448627543, 1, 1], LineBox[{402, 403}]}, 
      {Hue[0.8265865126182694, 1, 1], LineBox[{403, 404}]}, 
      {Hue[0.8240626043529891, 1, 1], LineBox[{404, 405}]}, 
      {Hue[0.8215386960877087, 1, 1], LineBox[{405, 406}]}, 
      {Hue[0.8164908795571483, 1, 1], LineBox[{406, 407}]}, 
      {Hue[0.8063952464960271, 1, 1], LineBox[{407, 408}]}, 
      {Hue[0.7862039803737844, 1, 1], LineBox[{408, 409}]}, 
      {Hue[0.7458214481292991, 1, 1], LineBox[{409, 410}]}, 
      {Hue[0.7434658664368826, 1, 1], LineBox[{410, 411}]}, 
      {Hue[0.741110284744466, 1, 1], LineBox[{411, 412}]}, 
      {Hue[0.736399121359633, 1, 1], LineBox[{412, 413}]}, 
      {Hue[0.7269767945899674, 1, 1], LineBox[{413, 414}]}, 
      {Hue[0.7081321410506356, 1, 1], LineBox[{414, 415}]}, 
      {Hue[0.6704428339719721, 1, 1], LineBox[{415, 416}]}, 
      {Hue[0.6680872522795556, 1, 1], LineBox[{416, 417}]}, 
      {Hue[0.6657316705871391, 1, 1], LineBox[{417, 418}]}, 
      {Hue[0.6610205072023061, 1, 1], LineBox[{418, 419}]}, 
      {Hue[0.6515981804326405, 1, 1], LineBox[{419, 420}]}, 
      {Hue[0.6327535268933087, 1, 1], LineBox[{420, 421}]}, 
      {Hue[0.5950642198146457, 1, 1], LineBox[{421, 422}]}, 
      {Hue[0.5925115579379945, 1, 1], LineBox[{422, 423}]}, 
      {Hue[0.5899588960613429, 1, 1], LineBox[{423, 424}]}, 
      {Hue[0.5848535723080399, 1, 1], LineBox[{424, 425}]}, 
      {Hue[0.5746429248014346, 1, 1], LineBox[{425, 426}]}, 
      {Hue[0.5542216297882241, 1, 1], LineBox[{426, 427}]}, 
      {Hue[0.5133790397618024, 1, 1], LineBox[{427, 428}]}, 
      {Hue[0.5108263778851515, 1, 1], LineBox[{428, 429}]}, 
      {Hue[0.5082737160085, 1, 1], LineBox[{429, 430}]}, 
      {Hue[0.5031683922551968, 1, 1], LineBox[{430, 431}]}, 
      {Hue[0.49295774474859166`, 1, 1], LineBox[{431, 432}]}, 
      {Hue[0.4725364497353811, 1, 1], LineBox[{432, 433}]}, 
      {Hue[0.4316938597089598, 1, 1], LineBox[{433, 434}]}, 
      {Hue[0.429187722152806, 1, 1], LineBox[{434, 435}]}, 
      {Hue[0.42668158459665206`, 1, 1], LineBox[{435, 436}]}, 
      {Hue[0.4216693094843449, 1, 1], LineBox[{436, 437}]}, 
      {Hue[0.41164475925973, 1, 1], LineBox[{437, 438}]}, 
      {Hue[0.39159565881050024`, 1, 1], LineBox[{438, 439}]}, 
      {Hue[0.35149745791204057`, 1, 1], LineBox[{439, 440}]}, 
      {Hue[0.3489913203558867, 1, 1], LineBox[{440, 441}]}, 
      {Hue[0.34648518279973284`, 1, 1], LineBox[{441, 442}]}, 
      {Hue[0.34147290768742566`, 1, 1], LineBox[{442, 443}]}, 
      {Hue[0.33144835746281076`, 1, 1], LineBox[{443, 444}]}, 
      {Hue[0.3113992570135809, 1, 1], LineBox[{444, 445}]}, 
      {Hue[0.27130105611512123`, 1, 1], LineBox[{445, 446}]}, 
      {Hue[0.26896324513183134`, 1, 1], LineBox[{446, 447}]}, 
      {Hue[0.26662543414854145`, 1, 1], LineBox[{447, 448}]}, 
      {Hue[0.26194981218196167`, 1, 1], LineBox[{448, 449}]}, 
      {Hue[0.25259856824880217`, 1, 1], LineBox[{449, 450}]}, 
      {Hue[0.23389608038248313`, 1, 1], LineBox[{450, 451}]}, 
      {Hue[0.19649110464984562`, 1, 1], LineBox[{451, 452}]}, 
      {Hue[0.1941532936665563, 1, 1], LineBox[{452, 453}]}, 
      {Hue[0.19181548268326584`, 1, 1], LineBox[{453, 454}]}, 
      {Hue[0.1871398607166867, 1, 1], LineBox[{454, 455}]}, 
      {Hue[0.17778861678352662`, 1, 1], LineBox[{455, 456}]}, 
      {Hue[0.1590861289172081, 1, 1], LineBox[{456, 457}]}, 
      {Hue[0.12168115318456946`, 1, 1], LineBox[{457, 458}]}, 
      {Hue[0.11914626201704458`, 1, 1], LineBox[{458, 459}]}, 
      {Hue[0.11661137084952024`, 1, 1], LineBox[{459, 460}]}, 
      {Hue[0.11154158851447049`, 1, 1], LineBox[{460, 461}]}, 
      {Hue[0.1014020238443715, 1, 1], LineBox[{461, 462}]}, 
      {Hue[0.0811228945041741, 1, 1], LineBox[{462, 463}]}, 
      {Hue[0.04056463582377762, 1, 1], LineBox[{463, 464}]}, 
      {Hue[0.03802974465625272, 1, 1], LineBox[{464, 465}]}, 
      {Hue[0.035494853488728405`, 1, 1], LineBox[{465, 466}]}, 
      {Hue[0.03042507115367863, 1, 1], LineBox[{466, 467}]}, 
      {Hue[0.020285506483580216`, 1, 1], LineBox[{467, 468}]}, 
      {Hue[6.377143381686833*^-6, 1, 1], LineBox[{468, 469}]}, 
      {Hue[0.9594481184629863, 1, 1], LineBox[{469, 470}]}, 
      {Hue[0.9570815538683254, 1, 1], LineBox[{470, 471}]}, 
      {Hue[0.9547149892736645, 1, 1], LineBox[{471, 472}]}, 
      {Hue[0.9499818600843427, 1, 1], LineBox[{472, 473}]}, 
      {Hue[0.9405156017056991, 1, 1], LineBox[{473, 474}]}, 
      {Hue[0.921583084948412, 1, 1], LineBox[{474, 475}]}, 
      {Hue[0.8837180514338376, 1, 1], LineBox[{475, 476}]}, 
      {Hue[0.8813514868391773, 1, 1], LineBox[{476, 477}]}, 
      {Hue[0.8789849222445164, 1, 1], LineBox[{477, 478}]}, 
      {Hue[0.8742517930551946, 1, 1], LineBox[{478, 479}]}, 
      {Hue[0.864785534676551, 1, 1], LineBox[{479, 480}]}, 
      {Hue[0.8458530179192638, 1, 1], LineBox[{480, 481}]}, 
      {Hue[0.8079879844046894, 1, 1], LineBox[{481, 482}]}, 
      {Hue[0.8056679441305262, 1, 1], LineBox[{482, 483}]}, 
      {Hue[0.8033479038563625, 1, 1], LineBox[{483, 484}]}, 
      {Hue[0.7987078233080365, 1, 1], LineBox[{484, 485}]}, 
      {Hue[0.7894276622113829, 1, 1], LineBox[{485, 486}]}, 
      {Hue[0.7708673400180771, 1, 1], LineBox[{486, 487}]}, 
      {Hue[0.7685472997439133, 1, 1], LineBox[{487, 488}]}, 
      {Hue[0.76622725946975, 1, 1], LineBox[{488, 489}]}, 
      {Hue[0.7615871789214236, 1, 1], LineBox[{489, 490}]}, 
      {Hue[0.7523070178247706, 1, 1], LineBox[{490, 491}]}, 
      {Hue[0.7337466956314647, 1, 1], LineBox[{491, 492}]}, 
      {Hue[0.7314266553573009, 1, 1], LineBox[{492, 493}]}, 
      {Hue[0.7291066150831382, 1, 1], LineBox[{493, 494}]}, 
      {Hue[0.7244665345348111, 1, 1], LineBox[{494, 495}]}, 
      {Hue[0.7151863734381588, 1, 1], LineBox[{495, 496}]}, 
      {Hue[0.6966260512448523, 1, 1], LineBox[{496, 497}]}, 
      {Hue[0.65950540685824, 1, 1], LineBox[{497, 498}]}, 
      {Hue[0.6569882863998417, 1, 1], LineBox[{498, 499}]}, 
      {Hue[0.6544711659414435, 1, 1], LineBox[{499, 500}]}, 
      {Hue[0.6494369250246474, 1, 1], LineBox[{500, 501}]}, 
      {Hue[0.6393684431910545, 1, 1], LineBox[{501, 502}]}, 
      {Hue[0.6192314795238697, 1, 1], LineBox[{502, 503}]}, 
      {Hue[0.616714359065472, 1, 1], LineBox[{503, 504}]}, 
      {Hue[0.6141972386070738, 1, 1], LineBox[{504, 505}]}, 
      {Hue[0.6091629976902778, 1, 1], LineBox[{505, 506}]}, 
      {Hue[0.5990945158566849, 1, 1], LineBox[{506, 507}]}, 
      {Hue[0.5789575521894994, 1, 1], LineBox[{507, 508}]}, 
      {Hue[0.5764404317311012, 1, 1], LineBox[{508, 509}]}, 
      {Hue[0.5739233112727036, 1, 1], LineBox[{509, 510}]}, 
      {Hue[0.5688890703559071, 1, 1], LineBox[{510, 511}]}, 
      {Hue[0.5588205885223141, 1, 1], LineBox[{511, 512}]}, 
      {Hue[0.5386836248551292, 1, 1], LineBox[{512, 513}]}, 
      {Hue[0.4984096975207585, 1, 1], LineBox[{513, 514}]}, 
      {Hue[0.49606090363522365`, 1, 1], LineBox[{514, 515}]}, 
      {Hue[0.49371210974968993`, 1, 1], LineBox[{515, 516}]}, 
      {Hue[0.48901452197862144`, 1, 1], LineBox[{516, 517}]}, 
      {Hue[0.4796193464364844, 1, 1], LineBox[{517, 518}]}, 
      {Hue[0.4608289953522104, 1, 1], LineBox[{518, 519}]}, 
      {Hue[0.45848020146667556`, 1, 1], LineBox[{519, 520}]}, 
      {Hue[0.4561314075811413, 1, 1], LineBox[{520, 521}]}, 
      {Hue[0.4514338198100728, 1, 1], LineBox[{521, 522}]}, 
      {Hue[0.4420386442679352, 1, 1], LineBox[{522, 523}]}, 
      {Hue[0.42324829318366114`, 1, 1], LineBox[{523, 524}]}, 
      {Hue[0.4208994992981274, 1, 1], LineBox[{524, 525}]}, 
      {Hue[0.41855070541259265`, 1, 1], LineBox[{525, 526}]}, 
      {Hue[0.4138531176415241, 1, 1], LineBox[{526, 527}]}, 
      {Hue[0.40445794209938707`, 1, 1], LineBox[{527, 528}]}, 
      {Hue[0.3856675910151125, 1, 1], LineBox[{528, 529}]}, 
      {Hue[0.3480868888465638, 1, 1], LineBox[{529, 530}]}, 
      {Hue[0.3455410147767951, 1, 1], LineBox[{530, 531}]}, 
      {Hue[0.34299514070702586`, 1, 1], LineBox[{531, 532}]}, 
      {Hue[0.3379033925674879, 1, 1], LineBox[{532, 533}]}, 
      {Hue[0.32771989628841086`, 1, 1], LineBox[{533, 534}]}, 
      {Hue[0.3073529037302573, 1, 1], LineBox[{534, 535}]}, 
      {Hue[0.30480702966048806`, 1, 1], LineBox[{535, 536}]}, 
      {Hue[0.30226115559071937`, 1, 1], LineBox[{536, 537}]}, 
      {Hue[0.2971694074511808, 1, 1], LineBox[{537, 538}]}, 
      {Hue[0.28698591117210376`, 1, 1], LineBox[{538, 539}]}, 
      {Hue[0.2666189186139508, 1, 1], LineBox[{539, 540}]}, 
      {Hue[0.26407304454418157`, 1, 1], LineBox[{540, 541}]}, 
      {Hue[0.2615271704744123, 1, 1], LineBox[{541, 542}]}, 
      {Hue[0.25643542233487376`, 1, 1], LineBox[{542, 543}]}, 
      {Hue[0.2462519260557973, 1, 1], LineBox[{543, 544}]}, 
      {Hue[0.22588493349764377`, 1, 1], LineBox[{544, 545}]}, 
      {Hue[0.18515094838133725`, 1, 1], LineBox[{545, 546}]}, 
      {Hue[0.185074863589463, 1, 1], LineBox[{546, 547}]}, 
      {Hue[0.18499877879758939`, 1, 1], LineBox[{547, 548}]}, 
      {Hue[0.18484660921384086`, 1, 1], LineBox[{548, 549}]}, 
      {Hue[0.1845422700463445, 1, 1], LineBox[{549, 550}]}, 
      {Hue[0.18393359171135218`, 1, 1], LineBox[{550, 551}]}, 
      {Hue[0.18271623504136603`, 1, 1], LineBox[{551, 552}]}, 
      {Hue[0.18264015024949232`, 1, 1], LineBox[{552, 553}]}, 
      {Hue[0.1825640654576181, 1, 1], LineBox[{553, 554}]}, 
      {Hue[0.18241189587386958`, 1, 1], LineBox[{554, 555}]}, 
      {Hue[0.18210755670637374`, 1, 1], LineBox[{555, 556}]}, 
      {Hue[0.1814988783713804, 1, 1], LineBox[{556, 557}]}, 
      {Hue[0.18142279357950614`, 1, 1], LineBox[{557, 558}]}, 
      {Hue[0.18134670878763243`, 1, 1], LineBox[{558, 559}]}, 
      {Hue[0.18119453920388395`, 1, 1], LineBox[{559, 560}]}, 
      {Hue[0.18089020003638753`, 1, 1], LineBox[{560, 561}]}, 
      {Hue[0.18081411524451385`, 1, 1], LineBox[{561, 562}]}, 
      {Hue[0.18073803045263964`, 1, 1], LineBox[{562, 563}]}, 
      {Hue[0.18058586086889114`, 1, 1], LineBox[{563, 564}]}, 
      {Hue[0.18050977607701693`, 1, 1], LineBox[{564, 565}]}, 
      {Hue[0.18043369128514264`, 1, 1], LineBox[{565, 566}]}, 
      {Hue[0.18035760649326896`, 1, 1], LineBox[{566, 567}]}}}},
   VertexColors->{
     Hue[0.8197184782986047, 1, 1], 
     Hue[0.817375481892275, 1, 1], 
     Hue[0.8150324854859454, 1, 1], 
     Hue[0.8103464926732862, 1, 1], 
     Hue[0.8009745070479671, 1, 1], 
     Hue[0.7822305357973296, 1, 1], 
     Hue[0.779887539391, 1, 1], 
     Hue[0.7775445429846704, 1, 1], 
     Hue[0.7728585501720105, 1, 1], 
     Hue[0.763486564546692, 1, 1], 
     Hue[0.7447425932960545, 1, 1], 
     Hue[0.7423995968897242, 1, 1], 
     Hue[0.7400566004833946, 1, 1], 
     Hue[0.7353706076707348, 1, 1], 
     Hue[0.7259986220454163, 1, 1], 
     Hue[0.7072546507947788, 1, 1], 
     Hue[0.6697667082935036, 1, 1], 
     Hue[0.6672266317029389, 1, 1], 
     Hue[0.6646865551123748, 1, 1], 
     Hue[0.6596064019312451, 1, 1], 
     Hue[0.6494460955689871, 1, 1], 
     Hue[0.6291254828444701, 1, 1], 
     Hue[0.626585406253906, 1, 1], 
     Hue[0.6240453296633414, 1, 1], 
     Hue[0.6189651764822122, 1, 1], 
     Hue[0.6088048701199542, 1, 1], 
     Hue[0.5884842573954372, 1, 1], 
     Hue[0.5859441808048731, 1, 1], 
     Hue[0.5834041042143084, 1, 1], 
     Hue[0.5783239510331792, 1, 1], 
     Hue[0.5681636446709212, 1, 1], 
     Hue[0.5478430319464042, 1, 1], 
     Hue[0.5072018064973707, 1, 1], 
     Hue[0.5048300564796699, 1, 1], 
     Hue[0.5024583064619688, 1, 1], 
     Hue[0.4977148064265675, 1, 1], 
     Hue[0.48822780635576496`, 1, 1], 
     Hue[0.4692538062141587, 1, 1], 
     Hue[0.466882056196458, 1, 1], 
     Hue[0.4645103061787574, 1, 1], 
     Hue[0.45976680614335613`, 1, 1], 
     Hue[0.45027980607255297`, 1, 1], 
     Hue[0.43130580593094725`, 1, 1], 
     Hue[0.4289340559132466, 1, 1], 
     Hue[0.426562305895546, 1, 1], 
     Hue[0.42181880586014414`, 1, 1], 
     Hue[0.4123318057893416, 1, 1], 
     Hue[0.39335780564773587`, 1, 1], 
     Hue[0.3554098053645245, 1, 1], 
     Hue[0.3530845796673215, 1, 1], 
     Hue[0.35075935397011854`, 1, 1], 
     Hue[0.3461089025757114, 1, 1], 
     Hue[0.33680799978689946`, 1, 1], 
     Hue[0.3182061942092745, 1, 1], 
     Hue[0.31588096851207204`, 1, 1], 
     Hue[0.31355574281486853`, 1, 1], 
     Hue[0.30890529142046197`, 1, 1], 
     Hue[0.29960438863164945`, 1, 1], 
     Hue[0.28100258305402503`, 1, 1], 
     Hue[0.27867735735682203`, 1, 1], 
     Hue[0.27635213165961847`, 1, 1], 
     Hue[0.2717016802652125, 1, 1], 
     Hue[0.2624007774764, 1, 1], 
     Hue[0.24379897189877506`, 1, 1], 
     Hue[0.2065953607435256, 1, 1], 
     Hue[0.2040730548620876, 1, 1], 
     Hue[0.20155074898064965`, 1, 1], 
     Hue[0.19650613721777366`, 1, 1], 
     Hue[0.1864169136920217, 1, 1], 
     Hue[0.16623846664051775`, 1, 1], 
     Hue[0.16371616075907977`, 1, 1], 
     Hue[0.1611938548776418, 1, 1], 
     Hue[0.1561492431147658, 1, 1], 
     Hue[0.14606001958901382`, 1, 1], 
     Hue[0.12588157253750992`, 1, 1], 
     Hue[0.12335926665607194`, 1, 1], 
     Hue[0.12083696077463393`, 1, 1], 
     Hue[0.11579234901175797`, 1, 1], 
     Hue[0.10570312548600601`, 1, 1], 
     Hue[0.0855246784345021, 1, 1], 
     Hue[0.045167784331494244`, 1, 1], 
     Hue[0.042813805022920245`, 1, 1], 
     Hue[0.04045982571434625, 1, 1], 
     Hue[0.035751867097198235`, 1, 1], 
     Hue[0.026335949862901102`, 1, 1], 
     Hue[0.007504115394307963, 1, 1], 
     Hue[0.9698404464571222, 1, 1], 
     Hue[0.9674864671485477, 1, 1], 
     Hue[0.9651324878399743, 1, 1], 
     Hue[0.9604245292228257, 1, 1], 
     Hue[0.9510086119885292, 1, 1], 
     Hue[0.9321767775199366, 1, 1], 
     Hue[0.8945131085827502, 1, 1], 
     Hue[0.8919620490899413, 1, 1], 
     Hue[0.8894109895971323, 1, 1], 
     Hue[0.8843088706115143, 1, 1], 
     Hue[0.8741046326402783, 1, 1], 
     Hue[0.8536961566978062, 1, 1], 
     Hue[0.8128792048128621, 1, 1], 
     Hue[0.810328145320053, 1, 1], 
     Hue[0.8077770858272441, 1, 1], 
     Hue[0.802674966841626, 1, 1], 
     Hue[0.79247072887039, 1, 1], 
     Hue[0.772062252927918, 1, 1], 
     Hue[0.7312453010429738, 1, 1], 
     Hue[0.7287407658706625, 1, 1], 
     Hue[0.7262362306983512, 1, 1], 
     Hue[0.7212271603537285, 1, 1], 
     Hue[0.7112090196644831, 1, 1], 
     Hue[0.6911727382859922, 1, 1], 
     Hue[0.6511001755290096, 1, 1], 
     Hue[0.6485956403566981, 1, 1], 
     Hue[0.646091105184387, 1, 1], 
     Hue[0.6410820348397641, 1, 1], 
     Hue[0.6310638941505182, 1, 1], 
     Hue[0.6110276127720269, 1, 1], 
     Hue[0.5709550500150447, 1, 1], 
     Hue[0.5686188414155974, 1, 1], 
     Hue[0.5662826328161494, 1, 1], 
     Hue[0.5616102156172547, 1, 1], 
     Hue[0.5522653812194647, 1, 1], 
     Hue[0.5335757124238845, 1, 1], 
     Hue[0.49619637483272355`, 1, 1], 
     Hue[0.49386016623327594`, 1, 1], 
     Hue[0.49152395763382856`, 1, 1], 
     Hue[0.48685154043493384`, 1, 1], 
     Hue[0.47750670603714357`, 1, 1], 
     Hue[0.4588170372415629, 1, 1], 
     Hue[0.4214376996504027, 1, 1], 
     Hue[0.41890441086672026`, 1, 1], 
     Hue[0.4163711220830379, 1, 1], 
     Hue[0.41130454451567316`, 1, 1], 
     Hue[0.40117138938094343`, 1, 1], 
     Hue[0.3809050791114839, 1, 1], 
     Hue[0.34037245857256526`, 1, 1], 
     Hue[0.33783916978888284`, 1, 1], 
     Hue[0.3353058810052005, 1, 1], 
     Hue[0.33023930343783575`, 1, 1], 
     Hue[0.320106148303106, 1, 1], 
     Hue[0.29983983803364656`, 1, 1], 
     Hue[0.2593072174947281, 1, 1], 
     Hue[0.25694225528390946`, 1, 1], 
     Hue[0.25457729307309107`, 1, 1], 
     Hue[0.24984736865145438`, 1, 1], 
     Hue[0.24038751980818002`, 1, 1], 
     Hue[0.22146782212163132`, 1, 1], 
     Hue[0.18362842674853475`, 1, 1], 
     Hue[0.18126346453771638`, 1, 1], 
     Hue[0.17889850232689772`, 1, 1], 
     Hue[0.17416857790526036`, 1, 1], 
     Hue[0.16470872906198633`, 1, 1], 
     Hue[0.14578903137543817`, 1, 1], 
     Hue[0.10794963600234132`, 1, 1], 
     Hue[0.10563119811202032`, 1, 1], 
     Hue[0.10331276022169904`, 1, 1], 
     Hue[0.09867588444105733, 1, 1], 
     Hue[0.08940213287977389, 1, 1], 
     Hue[0.07085462975720615, 1, 1], 
     Hue[0.03375962351207098, 1, 1], 
     Hue[0.03144118562175026, 1, 1], 
     Hue[0.02912274773142897, 1, 1], 
     Hue[0.024485871950787247`, 1, 1], 
     Hue[0.015212120389503812`, 1, 1], 
     Hue[0.9966646172669361, 1, 1], 
     Hue[0.9595696110218012, 1, 1], 
     Hue[0.9570540929472452, 1, 1], 
     Hue[0.9545385748726898, 1, 1], 
     Hue[0.949507538723578, 1, 1], 
     Hue[0.9394454664253545, 1, 1], 
     Hue[0.9193213218289079, 1, 1], 
     Hue[0.8790730326360152, 1, 1], 
     Hue[0.7985764542502292, 1, 1], 
     Hue[0.7962292627485371, 1, 1], 
     Hue[0.7938820712468451, 1, 1], 
     Hue[0.7891876882434611, 1, 1], 
     Hue[0.7797989222366932, 1, 1], 
     Hue[0.7610213902231577, 1, 1], 
     Hue[0.7234663261960863, 1, 1], 
     Hue[0.6483561981419439, 1, 1], 
     Hue[0.6458119264560171, 1, 1], 
     Hue[0.6432676547700904, 1, 1], 
     Hue[0.6381791113982367, 1, 1], 
     Hue[0.6280020246545293, 1, 1], 
     Hue[0.6076478511671144, 1, 1], 
     Hue[0.5669395041922853, 1, 1], 
     Hue[0.4855228102426269, 1, 1], 
     Hue[0.32566697885515683`, 1, 1], 
     Hue[0.17658404813097406`, 1, 1], 
     Hue[0.014887985615758862`, 1, 1], 
     Hue[0.8639648237638307, 1, 1], 
     Hue[0.7004285301208704, 1, 1], 
     Hue[0.6979197998531967, 1, 1], 
     Hue[0.6954110695855231, 1, 1], 
     Hue[0.6903936090501757, 1, 1], 
     Hue[0.6803586879794812, 1, 1], 
     Hue[0.6602888458380921, 1, 1], 
     Hue[0.6201491615553139, 1, 1], 
     Hue[0.5398697929897573, 1, 1], 
     Hue[0.5375293892949475, 1, 1], 
     Hue[0.5351889856001377, 1, 1], 
     Hue[0.5305081782105182, 1, 1], 
     Hue[0.5211465634312791, 1, 1], 
     Hue[0.5024233338728008, 1, 1], 
     Hue[0.46497687475584426`, 1, 1], 
     Hue[0.4626364710610345, 1, 1], 
     Hue[0.46029606736622475`, 1, 1], 
     Hue[0.45561525997660507`, 1, 1], 
     Hue[0.446253645197366, 1, 1], 
     Hue[0.4275304156388878, 1, 1], 
     Hue[0.3900839565219313, 1, 1], 
     Hue[0.38754647264288655`, 1, 1], 
     Hue[0.38500898876384193`, 1, 1], 
     Hue[0.3799340210057526, 1, 1], 
     Hue[0.3697840854895739, 1, 1], 
     Hue[0.3494842144572167, 1, 1], 
     Hue[0.34694673057817194`, 1, 1], 
     Hue[0.34440924669912737`, 1, 1], 
     Hue[0.339334278941038, 1, 1], 
     Hue[0.32918434342485936`, 1, 1], 
     Hue[0.30888447239250205`, 1, 1], 
     Hue[0.3063469885134574, 1, 1], 
     Hue[0.30380950463441275`, 1, 1], 
     Hue[0.2987345368763234, 1, 1], 
     Hue[0.2885846013601448, 1, 1], 
     Hue[0.2682847303277875, 1, 1], 
     Hue[0.22768498826307296`, 1, 1], 
     Hue[0.2253158309568922, 1, 1], 
     Hue[0.22294667365071136`, 1, 1], 
     Hue[0.21820835903834976`, 1, 1], 
     Hue[0.20873172981362653`, 1, 1], 
     Hue[0.18977847136418016`, 1, 1], 
     Hue[0.18740931405799935`, 1, 1], 
     Hue[0.18504015675181856`, 1, 1], 
     Hue[0.18030184213945694`, 1, 1], 
     Hue[0.17082521291473377`, 1, 1], 
     Hue[0.15187195446528734`, 1, 1], 
     Hue[0.14950279715910653`, 1, 1], 
     Hue[0.14713363985292574`, 1, 1], 
     Hue[0.1423953252405641, 1, 1], 
     Hue[0.13291869601584091`, 1, 1], 
     Hue[0.13054953870966013`, 1, 1], 
     Hue[0.12818038140347934`, 1, 1], 
     Hue[0.12344206679111772`, 1, 1], 
     Hue[0.11396543756639453`, 1, 1], 
     Hue[0.11159628026021369`, 1, 1], 
     Hue[0.10922712295403292`, 1, 1], 
     Hue[0.10448880834167129`, 1, 1], 
     Hue[0.09501217911694812, 1, 1], 
     Hue[0.0926430218107673, 1, 1], 
     Hue[0.09027386450458652, 1, 1], 
     Hue[0.08553554989222491, 1, 1], 
     Hue[0.07605892066750171, 1, 1], 
     Hue[0.0737362876818185, 1, 1], 
     Hue[0.07141365469613532, 1, 1], 
     Hue[0.06676838872476898, 1, 1], 
     Hue[0.06444575573908579, 1, 1], 
     Hue[0.06212312275340259, 1, 1], 
     Hue[0.05747785678203621, 1, 1], 
     Hue[0.05515522379635303, 1, 1], 
     Hue[0.05283259081066983, 1, 1], 
     Hue[0.04818732483930347, 1, 1], 
     Hue[0.04586469185362028, 1, 1], 
     Hue[0.043542058867937085`, 1, 1], 
     Hue[0.03889679289657071, 1, 1], 
     Hue[0.036574159910887534`, 1, 1], 
     Hue[0.03425152692520435, 1, 1], 
     Hue[0.03192889393952117, 1, 1], 
     Hue[0.029606260953837966`, 1, 1], 
     Hue[0.027283627968154783`, 1, 1], 
     Hue[0.024960994982471587`, 1, 1], 
     Hue[0.022638361996788404`, 1, 1], 
     Hue[0.02031572901110522, 1, 1], 
     Hue[0.017993096025422036`, 1, 1], 
     Hue[0.015670463039738843`, 1, 1], 
     Hue[0.013347830054055657`, 1, 1], 
     Hue[0.011025197068372471`, 1, 1], 
     Hue[0.008702564082689284, 1, 1], 
     Hue[0.006379931097006096, 1, 1], 
     Hue[0.004057298111322911, 1, 1], 
     Hue[0.0017346651256397233`, 1, 1], 
     Hue[0.9994120321399566, 1, 1], 
     Hue[0.9970893991542733, 1, 1], 
     Hue[0.9947667661685902, 1, 1], 
     Hue[0.992444133182907, 1, 1], 
     Hue[0.9901215001972238, 1, 1], 
     Hue[0.9877988672115406, 1, 1], 
     Hue[0.9854762342258574, 1, 1], 
     Hue[0.9831536012401743, 1, 1], 
     Hue[0.980830968254491, 1, 1], 
     Hue[0.9785083352688079, 1, 1], 
     Hue[0.9761857022831246, 1, 1], 
     Hue[0.9738630692974415, 1, 1], 
     Hue[0.9715404363117582, 1, 1], 
     Hue[0.9692178033260751, 1, 1], 
     Hue[0.9645725373547087, 1, 1], 
     Hue[0.9622499043690256, 1, 1], 
     Hue[0.9599272713833423, 1, 1], 
     Hue[0.9552820054119759, 1, 1], 
     Hue[0.9529593724262928, 1, 1], 
     Hue[0.9506367394406097, 1, 1], 
     Hue[0.9459914734692433, 1, 1], 
     Hue[0.94366884048356, 1, 1], 
     Hue[0.9413462074978769, 1, 1], 
     Hue[0.9367009415265105, 1, 1], 
     Hue[0.9274104095837777, 1, 1], 
     Hue[0.9248906964138597, 1, 1], 
     Hue[0.9223709832439416, 1, 1], 
     Hue[0.9173315569041055, 1, 1], 
     Hue[0.9072527042244332, 1, 1], 
     Hue[0.9047329910545151, 1, 1], 
     Hue[0.902213277884597, 1, 1], 
     Hue[0.8971738515447609, 1, 1], 
     Hue[0.8870949988650887, 1, 1], 
     Hue[0.8845752856951706, 1, 1], 
     Hue[0.8820555725252526, 1, 1], 
     Hue[0.8770161461854165, 1, 1], 
     Hue[0.8669372935057441, 1, 1], 
     Hue[0.8467795881463996, 1, 1], 
     Hue[0.8442598749764816, 1, 1], 
     Hue[0.8417401618065634, 1, 1], 
     Hue[0.8367007354667274, 1, 1], 
     Hue[0.8266218827870551, 1, 1], 
     Hue[0.8064641774277106, 1, 1], 
     Hue[0.8039444642577924, 1, 1], 
     Hue[0.8014247510878745, 1, 1], 
     Hue[0.7963853247480384, 1, 1], 
     Hue[0.786306472068366, 1, 1], 
     Hue[0.7661487667090214, 1, 1], 
     Hue[0.7637973801119673, 1, 1], 
     Hue[0.7614459935149132, 1, 1], 
     Hue[0.7567432203208047, 1, 1], 
     Hue[0.7473376739325879, 1, 1], 
     Hue[0.7285265811561542, 1, 1], 
     Hue[0.690904395603287, 1, 1], 
     Hue[0.6885530090062326, 1, 1], 
     Hue[0.6862016224091785, 1, 1], 
     Hue[0.68149884921507, 1, 1], 
     Hue[0.6720933028268532, 1, 1], 
     Hue[0.6532822100504196, 1, 1], 
     Hue[0.6156600244975523, 1, 1], 
     Hue[0.6131115577162632, 1, 1], 
     Hue[0.6105630909349742, 1, 1], 
     Hue[0.605466157372396, 1, 1], 
     Hue[0.5952722902472397, 1, 1], 
     Hue[0.5748845559969271, 1, 1], 
     Hue[0.5341090874963016, 1, 1], 
     Hue[0.4525581504950509, 1, 1], 
     Hue[0.45005620803425955`, 1, 1], 
     Hue[0.44755426557346806`, 1, 1], 
     Hue[0.4425503806518851, 1, 1], 
     Hue[0.4325426108087192, 1, 1], 
     Hue[0.4125270711223874, 1, 1], 
     Hue[0.37249599174972386`, 1, 1], 
     Hue[0.2924338330043968, 1, 1], 
     Hue[0.14308241617702985`, 1, 1], 
     Hue[0.9811178675586304, 1, 1], 
     Hue[0.829926219603518, 1, 1], 
     Hue[0.6817121281602531, 1, 1], 
     Hue[0.520884904925956, 1, 1], 
     Hue[0.5185403061357836, 1, 1], 
     Hue[0.5161957073456116, 1, 1], 
     Hue[0.5115065097652677, 1, 1], 
     Hue[0.5021281146045796, 1, 1], 
     Hue[0.48337132428320306`, 1, 1], 
     Hue[0.4458577436404507, 1, 1], 
     Hue[0.3708305823549457, 1, 1], 
     Hue[0.3682889033805386, 1, 1], 
     Hue[0.365747224406132, 1, 1], 
     Hue[0.36066386645731824`, 1, 1], 
     Hue[0.3504971505596905, 1, 1], 
     Hue[0.33016371876443495`, 1, 1], 
     Hue[0.2894968551739242, 1, 1], 
     Hue[0.2081631279929033, 1, 1], 
     Hue[0.2057897755913601, 1, 1], 
     Hue[0.20341642318981695`, 1, 1], 
     Hue[0.19866971838673092`, 1, 1], 
     Hue[0.18917630878055883`, 1, 1], 
     Hue[0.1701894895682144, 1, 1], 
     Hue[0.13221585114352546`, 1, 1], 
     Hue[0.12984249874198234`, 1, 1], 
     Hue[0.12746914634043946`, 1, 1], 
     Hue[0.12272244153735341`, 1, 1], 
     Hue[0.11322903193118104`, 1, 1], 
     Hue[0.09424221271883658, 1, 1], 
     Hue[0.056268574294147965`, 1, 1], 
     Hue[0.05394174621310246, 1, 1], 
     Hue[0.051614918132056965`, 1, 1], 
     Hue[0.046961261969965945`, 1, 1], 
     Hue[0.0376539496457842, 1, 1], 
     Hue[0.01903932499742074, 1, 1], 
     Hue[0.9818100757006936, 1, 1], 
     Hue[0.979483247619648, 1, 1], 
     Hue[0.9771564195386025, 1, 1], 
     Hue[0.9725027633765115, 1, 1], 
     Hue[0.9631954510523297, 1, 1], 
     Hue[0.9445808264039662, 1, 1], 
     Hue[0.9073515771072393, 1, 1], 
     Hue[0.9048276688419594, 1, 1], 
     Hue[0.9023037605766789, 1, 1], 
     Hue[0.8972559440461179, 1, 1], 
     Hue[0.8871603109849967, 1, 1], 
     Hue[0.8669690448627543, 1, 1], 
     Hue[0.8265865126182694, 1, 1], 
     Hue[0.8240626043529891, 1, 1], 
     Hue[0.8215386960877087, 1, 1], 
     Hue[0.8164908795571483, 1, 1], 
     Hue[0.8063952464960271, 1, 1], 
     Hue[0.7862039803737844, 1, 1], 
     Hue[0.7458214481292991, 1, 1], 
     Hue[0.7434658664368826, 1, 1], 
     Hue[0.741110284744466, 1, 1], 
     Hue[0.736399121359633, 1, 1], 
     Hue[0.7269767945899674, 1, 1], 
     Hue[0.7081321410506356, 1, 1], 
     Hue[0.6704428339719721, 1, 1], 
     Hue[0.6680872522795556, 1, 1], 
     Hue[0.6657316705871391, 1, 1], 
     Hue[0.6610205072023061, 1, 1], 
     Hue[0.6515981804326405, 1, 1], 
     Hue[0.6327535268933087, 1, 1], 
     Hue[0.5950642198146457, 1, 1], 
     Hue[0.5925115579379945, 1, 1], 
     Hue[0.5899588960613429, 1, 1], 
     Hue[0.5848535723080399, 1, 1], 
     Hue[0.5746429248014346, 1, 1], 
     Hue[0.5542216297882241, 1, 1], 
     Hue[0.5133790397618024, 1, 1], 
     Hue[0.5108263778851515, 1, 1], 
     Hue[0.5082737160085, 1, 1], 
     Hue[0.5031683922551968, 1, 1], 
     Hue[0.49295774474859166`, 1, 1], 
     Hue[0.4725364497353811, 1, 1], 
     Hue[0.4316938597089598, 1, 1], 
     Hue[0.429187722152806, 1, 1], 
     Hue[0.42668158459665206`, 1, 1], 
     Hue[0.4216693094843449, 1, 1], 
     Hue[0.41164475925973, 1, 1], 
     Hue[0.39159565881050024`, 1, 1], 
     Hue[0.35149745791204057`, 1, 1], 
     Hue[0.3489913203558867, 1, 1], 
     Hue[0.34648518279973284`, 1, 1], 
     Hue[0.34147290768742566`, 1, 1], 
     Hue[0.33144835746281076`, 1, 1], 
     Hue[0.3113992570135809, 1, 1], 
     Hue[0.27130105611512123`, 1, 1], 
     Hue[0.26896324513183134`, 1, 1], 
     Hue[0.26662543414854145`, 1, 1], 
     Hue[0.26194981218196167`, 1, 1], 
     Hue[0.25259856824880217`, 1, 1], 
     Hue[0.23389608038248313`, 1, 1], 
     Hue[0.19649110464984562`, 1, 1], 
     Hue[0.1941532936665563, 1, 1], 
     Hue[0.19181548268326584`, 1, 1], 
     Hue[0.1871398607166867, 1, 1], 
     Hue[0.17778861678352662`, 1, 1], 
     Hue[0.1590861289172081, 1, 1], 
     Hue[0.12168115318456946`, 1, 1], 
     Hue[0.11914626201704458`, 1, 1], 
     Hue[0.11661137084952024`, 1, 1], 
     Hue[0.11154158851447049`, 1, 1], 
     Hue[0.1014020238443715, 1, 1], 
     Hue[0.0811228945041741, 1, 1], 
     Hue[0.04056463582377762, 1, 1], 
     Hue[0.03802974465625272, 1, 1], 
     Hue[0.035494853488728405`, 1, 1], 
     Hue[0.03042507115367863, 1, 1], 
     Hue[0.020285506483580216`, 1, 1], 
     Hue[6.377143381686833*^-6, 1, 1], 
     Hue[0.9594481184629863, 1, 1], 
     Hue[0.9570815538683254, 1, 1], 
     Hue[0.9547149892736645, 1, 1], 
     Hue[0.9499818600843427, 1, 1], 
     Hue[0.9405156017056991, 1, 1], 
     Hue[0.921583084948412, 1, 1], 
     Hue[0.8837180514338376, 1, 1], 
     Hue[0.8813514868391773, 1, 1], 
     Hue[0.8789849222445164, 1, 1], 
     Hue[0.8742517930551946, 1, 1], 
     Hue[0.864785534676551, 1, 1], 
     Hue[0.8458530179192638, 1, 1], 
     Hue[0.8079879844046894, 1, 1], 
     Hue[0.8056679441305262, 1, 1], 
     Hue[0.8033479038563625, 1, 1], 
     Hue[0.7987078233080365, 1, 1], 
     Hue[0.7894276622113829, 1, 1], 
     Hue[0.7708673400180771, 1, 1], 
     Hue[0.7685472997439133, 1, 1], 
     Hue[0.76622725946975, 1, 1], 
     Hue[0.7615871789214236, 1, 1], 
     Hue[0.7523070178247706, 1, 1], 
     Hue[0.7337466956314647, 1, 1], 
     Hue[0.7314266553573009, 1, 1], 
     Hue[0.7291066150831382, 1, 1], 
     Hue[0.7244665345348111, 1, 1], 
     Hue[0.7151863734381588, 1, 1], 
     Hue[0.6966260512448523, 1, 1], 
     Hue[0.65950540685824, 1, 1], 
     Hue[0.6569882863998417, 1, 1], 
     Hue[0.6544711659414435, 1, 1], 
     Hue[0.6494369250246474, 1, 1], 
     Hue[0.6393684431910545, 1, 1], 
     Hue[0.6192314795238697, 1, 1], 
     Hue[0.616714359065472, 1, 1], 
     Hue[0.6141972386070738, 1, 1], 
     Hue[0.6091629976902778, 1, 1], 
     Hue[0.5990945158566849, 1, 1], 
     Hue[0.5789575521894994, 1, 1], 
     Hue[0.5764404317311012, 1, 1], 
     Hue[0.5739233112727036, 1, 1], 
     Hue[0.5688890703559071, 1, 1], 
     Hue[0.5588205885223141, 1, 1], 
     Hue[0.5386836248551292, 1, 1], 
     Hue[0.4984096975207585, 1, 1], 
     Hue[0.49606090363522365`, 1, 1], 
     Hue[0.49371210974968993`, 1, 1], 
     Hue[0.48901452197862144`, 1, 1], 
     Hue[0.4796193464364844, 1, 1], 
     Hue[0.4608289953522104, 1, 1], 
     Hue[0.45848020146667556`, 1, 1], 
     Hue[0.4561314075811413, 1, 1], 
     Hue[0.4514338198100728, 1, 1], 
     Hue[0.4420386442679352, 1, 1], 
     Hue[0.42324829318366114`, 1, 1], 
     Hue[0.4208994992981274, 1, 1], 
     Hue[0.41855070541259265`, 1, 1], 
     Hue[0.4138531176415241, 1, 1], 
     Hue[0.40445794209938707`, 1, 1], 
     Hue[0.3856675910151125, 1, 1], 
     Hue[0.3480868888465638, 1, 1], 
     Hue[0.3455410147767951, 1, 1], 
     Hue[0.34299514070702586`, 1, 1], 
     Hue[0.3379033925674879, 1, 1], 
     Hue[0.32771989628841086`, 1, 1], 
     Hue[0.3073529037302573, 1, 1], 
     Hue[0.30480702966048806`, 1, 1], 
     Hue[0.30226115559071937`, 1, 1], 
     Hue[0.2971694074511808, 1, 1], 
     Hue[0.28698591117210376`, 1, 1], 
     Hue[0.2666189186139508, 1, 1], 
     Hue[0.26407304454418157`, 1, 1], 
     Hue[0.2615271704744123, 1, 1], 
     Hue[0.25643542233487376`, 1, 1], 
     Hue[0.2462519260557973, 1, 1], 
     Hue[0.22588493349764377`, 1, 1], 
     Hue[0.18515094838133725`, 1, 1], 
     Hue[0.185074863589463, 1, 1], 
     Hue[0.18499877879758939`, 1, 1], 
     Hue[0.18484660921384086`, 1, 1], 
     Hue[0.1845422700463445, 1, 1], 
     Hue[0.18393359171135218`, 1, 1], 
     Hue[0.18271623504136603`, 1, 1], 
     Hue[0.18264015024949232`, 1, 1], 
     Hue[0.1825640654576181, 1, 1], 
     Hue[0.18241189587386958`, 1, 1], 
     Hue[0.18210755670637374`, 1, 1], 
     Hue[0.1814988783713804, 1, 1], 
     Hue[0.18142279357950614`, 1, 1], 
     Hue[0.18134670878763243`, 1, 1], 
     Hue[0.18119453920388395`, 1, 1], 
     Hue[0.18089020003638753`, 1, 1], 
     Hue[0.18081411524451385`, 1, 1], 
     Hue[0.18073803045263964`, 1, 1], 
     Hue[0.18058586086889114`, 1, 1], 
     Hue[0.18050977607701693`, 1, 1], 
     Hue[0.18043369128514264`, 1, 1], 
     Hue[0.18035760649326896`, 1, 1], 
     Hue[0.18028152170139528`, 1, 1], 
     Hue[0.8197184782986047, 1, 1], 
     Hue[0.817375481892275, 1, 1], 
     Hue[0.817375481892275, 1, 1], 
     Hue[0.8150324854859454, 1, 1], 
     Hue[0.8150324854859454, 1, 1], 
     Hue[0.8103464926732862, 1, 1], 
     Hue[0.8103464926732862, 1, 1], 
     Hue[0.8009745070479671, 1, 1], 
     Hue[0.8009745070479671, 1, 1], 
     Hue[0.7822305357973296, 1, 1], 
     Hue[0.7822305357973296, 1, 1], 
     Hue[0.779887539391, 1, 1], 
     Hue[0.779887539391, 1, 1], 
     Hue[0.7775445429846704, 1, 1], 
     Hue[0.7775445429846704, 1, 1], 
     Hue[0.7728585501720105, 1, 1], 
     Hue[0.7728585501720105, 1, 1], 
     Hue[0.763486564546692, 1, 1], 
     Hue[0.763486564546692, 1, 1], 
     Hue[0.7447425932960545, 1, 1], 
     Hue[0.7447425932960545, 1, 1], 
     Hue[0.7423995968897242, 1, 1], 
     Hue[0.7423995968897242, 1, 1], 
     Hue[0.7400566004833946, 1, 1], 
     Hue[0.7400566004833946, 1, 1], 
     Hue[0.7353706076707348, 1, 1], 
     Hue[0.7353706076707348, 1, 1], 
     Hue[0.7259986220454163, 1, 1], 
     Hue[0.7259986220454163, 1, 1], 
     Hue[0.7072546507947788, 1, 1], 
     Hue[0.7072546507947788, 1, 1], 
     Hue[0.6697667082935036, 1, 1], 
     Hue[0.6697667082935036, 1, 1], 
     Hue[0.6672266317029389, 1, 1], 
     Hue[0.6672266317029389, 1, 1], 
     Hue[0.6646865551123748, 1, 1], 
     Hue[0.6646865551123748, 1, 1], 
     Hue[0.6596064019312451, 1, 1], 
     Hue[0.6596064019312451, 1, 1], 
     Hue[0.6494460955689871, 1, 1], 
     Hue[0.6494460955689871, 1, 1], 
     Hue[0.6291254828444701, 1, 1], 
     Hue[0.6291254828444701, 1, 1], 
     Hue[0.626585406253906, 1, 1], 
     Hue[0.626585406253906, 1, 1], 
     Hue[0.6240453296633414, 1, 1], 
     Hue[0.6240453296633414, 1, 1], 
     Hue[0.6189651764822122, 1, 1], 
     Hue[0.6189651764822122, 1, 1], 
     Hue[0.6088048701199542, 1, 1], 
     Hue[0.6088048701199542, 1, 1], 
     Hue[0.5884842573954372, 1, 1], 
     Hue[0.5884842573954372, 1, 1], 
     Hue[0.5859441808048731, 1, 1], 
     Hue[0.5859441808048731, 1, 1], 
     Hue[0.5834041042143084, 1, 1], 
     Hue[0.5834041042143084, 1, 1], 
     Hue[0.5783239510331792, 1, 1], 
     Hue[0.5783239510331792, 1, 1], 
     Hue[0.5681636446709212, 1, 1], 
     Hue[0.5681636446709212, 1, 1], 
     Hue[0.5478430319464042, 1, 1], 
     Hue[0.5478430319464042, 1, 1], 
     Hue[0.5072018064973707, 1, 1], 
     Hue[0.5072018064973707, 1, 1], 
     Hue[0.5048300564796699, 1, 1], 
     Hue[0.5048300564796699, 1, 1], 
     Hue[0.5024583064619688, 1, 1], 
     Hue[0.5024583064619688, 1, 1], 
     Hue[0.4977148064265675, 1, 1], 
     Hue[0.4977148064265675, 1, 1], 
     Hue[0.48822780635576496`, 1, 1], 
     Hue[0.48822780635576496`, 1, 1], 
     Hue[0.4692538062141587, 1, 1], 
     Hue[0.4692538062141587, 1, 1], 
     Hue[0.466882056196458, 1, 1], 
     Hue[0.466882056196458, 1, 1], 
     Hue[0.4645103061787574, 1, 1], 
     Hue[0.4645103061787574, 1, 1], 
     Hue[0.45976680614335613`, 1, 1], 
     Hue[0.45976680614335613`, 1, 1], 
     Hue[0.45027980607255297`, 1, 1], 
     Hue[0.45027980607255297`, 1, 1], 
     Hue[0.43130580593094725`, 1, 1], 
     Hue[0.43130580593094725`, 1, 1], 
     Hue[0.4289340559132466, 1, 1], 
     Hue[0.4289340559132466, 1, 1], 
     Hue[0.426562305895546, 1, 1], 
     Hue[0.426562305895546, 1, 1], 
     Hue[0.42181880586014414`, 1, 1], 
     Hue[0.42181880586014414`, 1, 1], 
     Hue[0.4123318057893416, 1, 1], 
     Hue[0.4123318057893416, 1, 1], 
     Hue[0.39335780564773587`, 1, 1], 
     Hue[0.39335780564773587`, 1, 1], 
     Hue[0.3554098053645245, 1, 1], 
     Hue[0.3554098053645245, 1, 1], 
     Hue[0.3530845796673215, 1, 1], 
     Hue[0.3530845796673215, 1, 1], 
     Hue[0.35075935397011854`, 1, 1], 
     Hue[0.35075935397011854`, 1, 1], 
     Hue[0.3461089025757114, 1, 1], 
     Hue[0.3461089025757114, 1, 1], 
     Hue[0.33680799978689946`, 1, 1], 
     Hue[0.33680799978689946`, 1, 1], 
     Hue[0.3182061942092745, 1, 1], 
     Hue[0.3182061942092745, 1, 1], 
     Hue[0.31588096851207204`, 1, 1], 
     Hue[0.31588096851207204`, 1, 1], 
     Hue[0.31355574281486853`, 1, 1], 
     Hue[0.31355574281486853`, 1, 1], 
     Hue[0.30890529142046197`, 1, 1], 
     Hue[0.30890529142046197`, 1, 1], 
     Hue[0.29960438863164945`, 1, 1], 
     Hue[0.29960438863164945`, 1, 1], 
     Hue[0.28100258305402503`, 1, 1], 
     Hue[0.28100258305402503`, 1, 1], 
     Hue[0.27867735735682203`, 1, 1], 
     Hue[0.27867735735682203`, 1, 1], 
     Hue[0.27635213165961847`, 1, 1], 
     Hue[0.27635213165961847`, 1, 1], 
     Hue[0.2717016802652125, 1, 1], 
     Hue[0.2717016802652125, 1, 1], 
     Hue[0.2624007774764, 1, 1], 
     Hue[0.2624007774764, 1, 1], 
     Hue[0.24379897189877506`, 1, 1], 
     Hue[0.24379897189877506`, 1, 1], 
     Hue[0.2065953607435256, 1, 1], 
     Hue[0.2065953607435256, 1, 1], 
     Hue[0.2040730548620876, 1, 1], 
     Hue[0.2040730548620876, 1, 1], 
     Hue[0.20155074898064965`, 1, 1], 
     Hue[0.20155074898064965`, 1, 1], 
     Hue[0.19650613721777366`, 1, 1], 
     Hue[0.19650613721777366`, 1, 1], 
     Hue[0.1864169136920217, 1, 1], 
     Hue[0.1864169136920217, 1, 1], 
     Hue[0.16623846664051775`, 1, 1], 
     Hue[0.16623846664051775`, 1, 1], 
     Hue[0.16371616075907977`, 1, 1], 
     Hue[0.16371616075907977`, 1, 1], 
     Hue[0.1611938548776418, 1, 1], 
     Hue[0.1611938548776418, 1, 1], 
     Hue[0.1561492431147658, 1, 1], 
     Hue[0.1561492431147658, 1, 1], 
     Hue[0.14606001958901382`, 1, 1], 
     Hue[0.14606001958901382`, 1, 1], 
     Hue[0.12588157253750992`, 1, 1], 
     Hue[0.12588157253750992`, 1, 1], 
     Hue[0.12335926665607194`, 1, 1], 
     Hue[0.12335926665607194`, 1, 1], 
     Hue[0.12083696077463393`, 1, 1], 
     Hue[0.12083696077463393`, 1, 1], 
     Hue[0.11579234901175797`, 1, 1], 
     Hue[0.11579234901175797`, 1, 1], 
     Hue[0.10570312548600601`, 1, 1], 
     Hue[0.10570312548600601`, 1, 1], 
     Hue[0.0855246784345021, 1, 1], 
     Hue[0.0855246784345021, 1, 1], 
     Hue[0.045167784331494244`, 1, 1], 
     Hue[0.045167784331494244`, 1, 1], 
     Hue[0.042813805022920245`, 1, 1], 
     Hue[0.042813805022920245`, 1, 1], 
     Hue[0.04045982571434625, 1, 1], 
     Hue[0.04045982571434625, 1, 1], 
     Hue[0.035751867097198235`, 1, 1], 
     Hue[0.035751867097198235`, 1, 1], 
     Hue[0.026335949862901102`, 1, 1], 
     Hue[0.026335949862901102`, 1, 1], 
     Hue[0.007504115394307963, 1, 1], 
     Hue[0.007504115394307963, 1, 1], 
     Hue[0.9698404464571222, 1, 1], 
     Hue[0.9698404464571222, 1, 1], 
     Hue[0.9674864671485477, 1, 1], 
     Hue[0.9674864671485477, 1, 1], 
     Hue[0.9651324878399743, 1, 1], 
     Hue[0.9651324878399743, 1, 1], 
     Hue[0.9604245292228257, 1, 1], 
     Hue[0.9604245292228257, 1, 1], 
     Hue[0.9510086119885292, 1, 1], 
     Hue[0.9510086119885292, 1, 1], 
     Hue[0.9321767775199366, 1, 1], 
     Hue[0.9321767775199366, 1, 1], 
     Hue[0.8945131085827502, 1, 1], 
     Hue[0.8945131085827502, 1, 1], 
     Hue[0.8919620490899413, 1, 1], 
     Hue[0.8919620490899413, 1, 1], 
     Hue[0.8894109895971323, 1, 1], 
     Hue[0.8894109895971323, 1, 1], 
     Hue[0.8843088706115143, 1, 1], 
     Hue[0.8843088706115143, 1, 1], 
     Hue[0.8741046326402783, 1, 1], 
     Hue[0.8741046326402783, 1, 1], 
     Hue[0.8536961566978062, 1, 1], 
     Hue[0.8536961566978062, 1, 1], 
     Hue[0.8128792048128621, 1, 1], 
     Hue[0.8128792048128621, 1, 1], 
     Hue[0.810328145320053, 1, 1], 
     Hue[0.810328145320053, 1, 1], 
     Hue[0.8077770858272441, 1, 1], 
     Hue[0.8077770858272441, 1, 1], 
     Hue[0.802674966841626, 1, 1], 
     Hue[0.802674966841626, 1, 1], 
     Hue[0.79247072887039, 1, 1], 
     Hue[0.79247072887039, 1, 1], 
     Hue[0.772062252927918, 1, 1], 
     Hue[0.772062252927918, 1, 1], 
     Hue[0.7312453010429738, 1, 1], 
     Hue[0.7312453010429738, 1, 1], 
     Hue[0.7287407658706625, 1, 1], 
     Hue[0.7287407658706625, 1, 1], 
     Hue[0.7262362306983512, 1, 1], 
     Hue[0.7262362306983512, 1, 1], 
     Hue[0.7212271603537285, 1, 1], 
     Hue[0.7212271603537285, 1, 1], 
     Hue[0.7112090196644831, 1, 1], 
     Hue[0.7112090196644831, 1, 1], 
     Hue[0.6911727382859922, 1, 1], 
     Hue[0.6911727382859922, 1, 1], 
     Hue[0.6511001755290096, 1, 1], 
     Hue[0.6511001755290096, 1, 1], 
     Hue[0.6485956403566981, 1, 1], 
     Hue[0.6485956403566981, 1, 1], 
     Hue[0.646091105184387, 1, 1], 
     Hue[0.646091105184387, 1, 1], 
     Hue[0.6410820348397641, 1, 1], 
     Hue[0.6410820348397641, 1, 1], 
     Hue[0.6310638941505182, 1, 1], 
     Hue[0.6310638941505182, 1, 1], 
     Hue[0.6110276127720269, 1, 1], 
     Hue[0.6110276127720269, 1, 1], 
     Hue[0.5709550500150447, 1, 1], 
     Hue[0.5709550500150447, 1, 1], 
     Hue[0.5686188414155974, 1, 1], 
     Hue[0.5686188414155974, 1, 1], 
     Hue[0.5662826328161494, 1, 1], 
     Hue[0.5662826328161494, 1, 1], 
     Hue[0.5616102156172547, 1, 1], 
     Hue[0.5616102156172547, 1, 1], 
     Hue[0.5522653812194647, 1, 1], 
     Hue[0.5522653812194647, 1, 1], 
     Hue[0.5335757124238845, 1, 1], 
     Hue[0.5335757124238845, 1, 1], 
     Hue[0.49619637483272355`, 1, 1], 
     Hue[0.49619637483272355`, 1, 1], 
     Hue[0.49386016623327594`, 1, 1], 
     Hue[0.49386016623327594`, 1, 1], 
     Hue[0.49152395763382856`, 1, 1], 
     Hue[0.49152395763382856`, 1, 1], 
     Hue[0.48685154043493384`, 1, 1], 
     Hue[0.48685154043493384`, 1, 1], 
     Hue[0.47750670603714357`, 1, 1], 
     Hue[0.47750670603714357`, 1, 1], 
     Hue[0.4588170372415629, 1, 1], 
     Hue[0.4588170372415629, 1, 1], 
     Hue[0.4214376996504027, 1, 1], 
     Hue[0.4214376996504027, 1, 1], 
     Hue[0.41890441086672026`, 1, 1], 
     Hue[0.41890441086672026`, 1, 1], 
     Hue[0.4163711220830379, 1, 1], 
     Hue[0.4163711220830379, 1, 1], 
     Hue[0.41130454451567316`, 1, 1], 
     Hue[0.41130454451567316`, 1, 1], 
     Hue[0.40117138938094343`, 1, 1], 
     Hue[0.40117138938094343`, 1, 1], 
     Hue[0.3809050791114839, 1, 1], 
     Hue[0.3809050791114839, 1, 1], 
     Hue[0.34037245857256526`, 1, 1], 
     Hue[0.34037245857256526`, 1, 1], 
     Hue[0.33783916978888284`, 1, 1], 
     Hue[0.33783916978888284`, 1, 1], 
     Hue[0.3353058810052005, 1, 1], 
     Hue[0.3353058810052005, 1, 1], 
     Hue[0.33023930343783575`, 1, 1], 
     Hue[0.33023930343783575`, 1, 1], 
     Hue[0.320106148303106, 1, 1], 
     Hue[0.320106148303106, 1, 1], 
     Hue[0.29983983803364656`, 1, 1], 
     Hue[0.29983983803364656`, 1, 1], 
     Hue[0.2593072174947281, 1, 1], 
     Hue[0.2593072174947281, 1, 1], 
     Hue[0.25694225528390946`, 1, 1], 
     Hue[0.25694225528390946`, 1, 1], 
     Hue[0.25457729307309107`, 1, 1], 
     Hue[0.25457729307309107`, 1, 1], 
     Hue[0.24984736865145438`, 1, 1], 
     Hue[0.24984736865145438`, 1, 1], 
     Hue[0.24038751980818002`, 1, 1], 
     Hue[0.24038751980818002`, 1, 1], 
     Hue[0.22146782212163132`, 1, 1], 
     Hue[0.22146782212163132`, 1, 1], 
     Hue[0.18362842674853475`, 1, 1], 
     Hue[0.18362842674853475`, 1, 1], 
     Hue[0.18126346453771638`, 1, 1], 
     Hue[0.18126346453771638`, 1, 1], 
     Hue[0.17889850232689772`, 1, 1], 
     Hue[0.17889850232689772`, 1, 1], 
     Hue[0.17416857790526036`, 1, 1], 
     Hue[0.17416857790526036`, 1, 1], 
     Hue[0.16470872906198633`, 1, 1], 
     Hue[0.16470872906198633`, 1, 1], 
     Hue[0.14578903137543817`, 1, 1], 
     Hue[0.14578903137543817`, 1, 1], 
     Hue[0.10794963600234132`, 1, 1], 
     Hue[0.10794963600234132`, 1, 1], 
     Hue[0.10563119811202032`, 1, 1], 
     Hue[0.10563119811202032`, 1, 1], 
     Hue[0.10331276022169904`, 1, 1], 
     Hue[0.10331276022169904`, 1, 1], 
     Hue[0.09867588444105733, 1, 1], 
     Hue[0.09867588444105733, 1, 1], 
     Hue[0.08940213287977389, 1, 1], 
     Hue[0.08940213287977389, 1, 1], 
     Hue[0.07085462975720615, 1, 1], 
     Hue[0.07085462975720615, 1, 1], 
     Hue[0.03375962351207098, 1, 1], 
     Hue[0.03375962351207098, 1, 1], 
     Hue[0.03144118562175026, 1, 1], 
     Hue[0.03144118562175026, 1, 1], 
     Hue[0.02912274773142897, 1, 1], 
     Hue[0.02912274773142897, 1, 1], 
     Hue[0.024485871950787247`, 1, 1], 
     Hue[0.024485871950787247`, 1, 1], 
     Hue[0.015212120389503812`, 1, 1], 
     Hue[0.015212120389503812`, 1, 1], 
     Hue[0.9966646172669361, 1, 1], 
     Hue[0.9966646172669361, 1, 1], 
     Hue[0.9595696110218012, 1, 1], 
     Hue[0.9595696110218012, 1, 1], 
     Hue[0.9570540929472452, 1, 1], 
     Hue[0.9570540929472452, 1, 1], 
     Hue[0.9545385748726898, 1, 1], 
     Hue[0.9545385748726898, 1, 1], 
     Hue[0.949507538723578, 1, 1], 
     Hue[0.949507538723578, 1, 1], 
     Hue[0.9394454664253545, 1, 1], 
     Hue[0.9394454664253545, 1, 1], 
     Hue[0.9193213218289079, 1, 1], 
     Hue[0.9193213218289079, 1, 1], 
     Hue[0.8790730326360152, 1, 1], 
     Hue[0.8790730326360152, 1, 1], 
     Hue[0.7985764542502292, 1, 1], 
     Hue[0.7985764542502292, 1, 1], 
     Hue[0.7962292627485371, 1, 1], 
     Hue[0.7962292627485371, 1, 1], 
     Hue[0.7938820712468451, 1, 1], 
     Hue[0.7938820712468451, 1, 1], 
     Hue[0.7891876882434611, 1, 1], 
     Hue[0.7891876882434611, 1, 1], 
     Hue[0.7797989222366932, 1, 1], 
     Hue[0.7797989222366932, 1, 1], 
     Hue[0.7610213902231577, 1, 1], 
     Hue[0.7610213902231577, 1, 1], 
     Hue[0.7234663261960863, 1, 1], 
     Hue[0.7234663261960863, 1, 1], 
     Hue[0.6483561981419439, 1, 1], 
     Hue[0.6483561981419439, 1, 1], 
     Hue[0.6458119264560171, 1, 1], 
     Hue[0.6458119264560171, 1, 1], 
     Hue[0.6432676547700904, 1, 1], 
     Hue[0.6432676547700904, 1, 1], 
     Hue[0.6381791113982367, 1, 1], 
     Hue[0.6381791113982367, 1, 1], 
     Hue[0.6280020246545293, 1, 1], 
     Hue[0.6280020246545293, 1, 1], 
     Hue[0.6076478511671144, 1, 1], 
     Hue[0.6076478511671144, 1, 1], 
     Hue[0.5669395041922853, 1, 1], 
     Hue[0.5669395041922853, 1, 1], 
     Hue[0.4855228102426269, 1, 1], 
     Hue[0.4855228102426269, 1, 1], 
     Hue[0.32566697885515683`, 1, 1], 
     Hue[0.32566697885515683`, 1, 1], 
     Hue[0.17658404813097406`, 1, 1], 
     Hue[0.17658404813097406`, 1, 1], 
     Hue[0.014887985615758862`, 1, 1], 
     Hue[0.014887985615758862`, 1, 1], 
     Hue[0.8639648237638307, 1, 1], 
     Hue[0.8639648237638307, 1, 1], 
     Hue[0.7004285301208704, 1, 1], 
     Hue[0.7004285301208704, 1, 1], 
     Hue[0.6979197998531967, 1, 1], 
     Hue[0.6979197998531967, 1, 1], 
     Hue[0.6954110695855231, 1, 1], 
     Hue[0.6954110695855231, 1, 1], 
     Hue[0.6903936090501757, 1, 1], 
     Hue[0.6903936090501757, 1, 1], 
     Hue[0.6803586879794812, 1, 1], 
     Hue[0.6803586879794812, 1, 1], 
     Hue[0.6602888458380921, 1, 1], 
     Hue[0.6602888458380921, 1, 1], 
     Hue[0.6201491615553139, 1, 1], 
     Hue[0.6201491615553139, 1, 1], 
     Hue[0.5398697929897573, 1, 1], 
     Hue[0.5398697929897573, 1, 1], 
     Hue[0.5375293892949475, 1, 1], 
     Hue[0.5375293892949475, 1, 1], 
     Hue[0.5351889856001377, 1, 1], 
     Hue[0.5351889856001377, 1, 1], 
     Hue[0.5305081782105182, 1, 1], 
     Hue[0.5305081782105182, 1, 1], 
     Hue[0.5211465634312791, 1, 1], 
     Hue[0.5211465634312791, 1, 1], 
     Hue[0.5024233338728008, 1, 1], 
     Hue[0.5024233338728008, 1, 1], 
     Hue[0.46497687475584426`, 1, 1], 
     Hue[0.46497687475584426`, 1, 1], 
     Hue[0.4626364710610345, 1, 1], 
     Hue[0.4626364710610345, 1, 1], 
     Hue[0.46029606736622475`, 1, 1], 
     Hue[0.46029606736622475`, 1, 1], 
     Hue[0.45561525997660507`, 1, 1], 
     Hue[0.45561525997660507`, 1, 1], 
     Hue[0.446253645197366, 1, 1], 
     Hue[0.446253645197366, 1, 1], 
     Hue[0.4275304156388878, 1, 1], 
     Hue[0.4275304156388878, 1, 1], 
     Hue[0.3900839565219313, 1, 1], 
     Hue[0.3900839565219313, 1, 1], 
     Hue[0.38754647264288655`, 1, 1], 
     Hue[0.38754647264288655`, 1, 1], 
     Hue[0.38500898876384193`, 1, 1], 
     Hue[0.38500898876384193`, 1, 1], 
     Hue[0.3799340210057526, 1, 1], 
     Hue[0.3799340210057526, 1, 1], 
     Hue[0.3697840854895739, 1, 1], 
     Hue[0.3697840854895739, 1, 1], 
     Hue[0.3494842144572167, 1, 1], 
     Hue[0.3494842144572167, 1, 1], 
     Hue[0.34694673057817194`, 1, 1], 
     Hue[0.34694673057817194`, 1, 1], 
     Hue[0.34440924669912737`, 1, 1], 
     Hue[0.34440924669912737`, 1, 1], 
     Hue[0.339334278941038, 1, 1], 
     Hue[0.339334278941038, 1, 1], 
     Hue[0.32918434342485936`, 1, 1], 
     Hue[0.32918434342485936`, 1, 1], 
     Hue[0.30888447239250205`, 1, 1], 
     Hue[0.30888447239250205`, 1, 1], 
     Hue[0.3063469885134574, 1, 1], 
     Hue[0.3063469885134574, 1, 1], 
     Hue[0.30380950463441275`, 1, 1], 
     Hue[0.30380950463441275`, 1, 1], 
     Hue[0.2987345368763234, 1, 1], 
     Hue[0.2987345368763234, 1, 1], 
     Hue[0.2885846013601448, 1, 1], 
     Hue[0.2885846013601448, 1, 1], 
     Hue[0.2682847303277875, 1, 1], 
     Hue[0.2682847303277875, 1, 1], 
     Hue[0.22768498826307296`, 1, 1], 
     Hue[0.22768498826307296`, 1, 1], 
     Hue[0.2253158309568922, 1, 1], 
     Hue[0.2253158309568922, 1, 1], 
     Hue[0.22294667365071136`, 1, 1], 
     Hue[0.22294667365071136`, 1, 1], 
     Hue[0.21820835903834976`, 1, 1], 
     Hue[0.21820835903834976`, 1, 1], 
     Hue[0.20873172981362653`, 1, 1], 
     Hue[0.20873172981362653`, 1, 1], 
     Hue[0.18977847136418016`, 1, 1], 
     Hue[0.18977847136418016`, 1, 1], 
     Hue[0.18740931405799935`, 1, 1], 
     Hue[0.18740931405799935`, 1, 1], 
     Hue[0.18504015675181856`, 1, 1], 
     Hue[0.18504015675181856`, 1, 1], 
     Hue[0.18030184213945694`, 1, 1], 
     Hue[0.18030184213945694`, 1, 1], 
     Hue[0.17082521291473377`, 1, 1], 
     Hue[0.17082521291473377`, 1, 1], 
     Hue[0.15187195446528734`, 1, 1], 
     Hue[0.15187195446528734`, 1, 1], 
     Hue[0.14950279715910653`, 1, 1], 
     Hue[0.14950279715910653`, 1, 1], 
     Hue[0.14713363985292574`, 1, 1], 
     Hue[0.14713363985292574`, 1, 1], 
     Hue[0.1423953252405641, 1, 1], 
     Hue[0.1423953252405641, 1, 1], 
     Hue[0.13291869601584091`, 1, 1], 
     Hue[0.13291869601584091`, 1, 1], 
     Hue[0.13054953870966013`, 1, 1], 
     Hue[0.13054953870966013`, 1, 1], 
     Hue[0.12818038140347934`, 1, 1], 
     Hue[0.12818038140347934`, 1, 1], 
     Hue[0.12344206679111772`, 1, 1], 
     Hue[0.12344206679111772`, 1, 1], 
     Hue[0.11396543756639453`, 1, 1], 
     Hue[0.11396543756639453`, 1, 1], 
     Hue[0.11159628026021369`, 1, 1], 
     Hue[0.11159628026021369`, 1, 1], 
     Hue[0.10922712295403292`, 1, 1], 
     Hue[0.10922712295403292`, 1, 1], 
     Hue[0.10448880834167129`, 1, 1], 
     Hue[0.10448880834167129`, 1, 1], 
     Hue[0.09501217911694812, 1, 1], 
     Hue[0.09501217911694812, 1, 1], 
     Hue[0.0926430218107673, 1, 1], 
     Hue[0.0926430218107673, 1, 1], 
     Hue[0.09027386450458652, 1, 1], 
     Hue[0.09027386450458652, 1, 1], 
     Hue[0.08553554989222491, 1, 1], 
     Hue[0.08553554989222491, 1, 1], 
     Hue[0.07605892066750171, 1, 1], 
     Hue[0.07605892066750171, 1, 1], 
     Hue[0.0737362876818185, 1, 1], 
     Hue[0.0737362876818185, 1, 1], 
     Hue[0.07141365469613532, 1, 1], 
     Hue[0.07141365469613532, 1, 1], 
     Hue[0.06676838872476898, 1, 1], 
     Hue[0.06676838872476898, 1, 1], 
     Hue[0.06444575573908579, 1, 1], 
     Hue[0.06444575573908579, 1, 1], 
     Hue[0.06212312275340259, 1, 1], 
     Hue[0.06212312275340259, 1, 1], 
     Hue[0.05747785678203621, 1, 1], 
     Hue[0.05747785678203621, 1, 1], 
     Hue[0.05515522379635303, 1, 1], 
     Hue[0.05515522379635303, 1, 1], 
     Hue[0.05283259081066983, 1, 1], 
     Hue[0.05283259081066983, 1, 1], 
     Hue[0.04818732483930347, 1, 1], 
     Hue[0.04818732483930347, 1, 1], 
     Hue[0.04586469185362028, 1, 1], 
     Hue[0.04586469185362028, 1, 1], 
     Hue[0.043542058867937085`, 1, 1], 
     Hue[0.043542058867937085`, 1, 1], 
     Hue[0.03889679289657071, 1, 1], 
     Hue[0.03889679289657071, 1, 1], 
     Hue[0.036574159910887534`, 1, 1], 
     Hue[0.036574159910887534`, 1, 1], 
     Hue[0.03425152692520435, 1, 1], 
     Hue[0.03425152692520435, 1, 1], 
     Hue[0.03192889393952117, 1, 1], 
     Hue[0.03192889393952117, 1, 1], 
     Hue[0.029606260953837966`, 1, 1], 
     Hue[0.029606260953837966`, 1, 1], 
     Hue[0.027283627968154783`, 1, 1], 
     Hue[0.027283627968154783`, 1, 1], 
     Hue[0.024960994982471587`, 1, 1], 
     Hue[0.024960994982471587`, 1, 1], 
     Hue[0.022638361996788404`, 1, 1], 
     Hue[0.022638361996788404`, 1, 1], 
     Hue[0.02031572901110522, 1, 1], 
     Hue[0.02031572901110522, 1, 1], 
     Hue[0.017993096025422036`, 1, 1], 
     Hue[0.017993096025422036`, 1, 1], 
     Hue[0.015670463039738843`, 1, 1], 
     Hue[0.015670463039738843`, 1, 1], 
     Hue[0.013347830054055657`, 1, 1], 
     Hue[0.013347830054055657`, 1, 1], 
     Hue[0.011025197068372471`, 1, 1], 
     Hue[0.011025197068372471`, 1, 1], 
     Hue[0.008702564082689284, 1, 1], 
     Hue[0.008702564082689284, 1, 1], 
     Hue[0.006379931097006096, 1, 1], 
     Hue[0.006379931097006096, 1, 1], 
     Hue[0.004057298111322911, 1, 1], 
     Hue[0.004057298111322911, 1, 1], 
     Hue[0.0017346651256397233`, 1, 1], 
     Hue[0.0017346651256397233`, 1, 1], 
     Hue[0.9994120321399566, 1, 1], 
     Hue[0.9994120321399566, 1, 1], 
     Hue[0.9970893991542733, 1, 1], 
     Hue[0.9970893991542733, 1, 1], 
     Hue[0.9947667661685902, 1, 1], 
     Hue[0.9947667661685902, 1, 1], 
     Hue[0.992444133182907, 1, 1], 
     Hue[0.992444133182907, 1, 1], 
     Hue[0.9901215001972238, 1, 1], 
     Hue[0.9901215001972238, 1, 1], 
     Hue[0.9877988672115406, 1, 1], 
     Hue[0.9877988672115406, 1, 1], 
     Hue[0.9854762342258574, 1, 1], 
     Hue[0.9854762342258574, 1, 1], 
     Hue[0.9831536012401743, 1, 1], 
     Hue[0.9831536012401743, 1, 1], 
     Hue[0.980830968254491, 1, 1], 
     Hue[0.980830968254491, 1, 1], 
     Hue[0.9785083352688079, 1, 1], 
     Hue[0.9785083352688079, 1, 1], 
     Hue[0.9761857022831246, 1, 1], 
     Hue[0.9761857022831246, 1, 1], 
     Hue[0.9738630692974415, 1, 1], 
     Hue[0.9738630692974415, 1, 1], 
     Hue[0.9715404363117582, 1, 1], 
     Hue[0.9715404363117582, 1, 1], 
     Hue[0.9692178033260751, 1, 1], 
     Hue[0.9692178033260751, 1, 1], 
     Hue[0.9645725373547087, 1, 1], 
     Hue[0.9645725373547087, 1, 1], 
     Hue[0.9622499043690256, 1, 1], 
     Hue[0.9622499043690256, 1, 1], 
     Hue[0.9599272713833423, 1, 1], 
     Hue[0.9599272713833423, 1, 1], 
     Hue[0.9552820054119759, 1, 1], 
     Hue[0.9552820054119759, 1, 1], 
     Hue[0.9529593724262928, 1, 1], 
     Hue[0.9529593724262928, 1, 1], 
     Hue[0.9506367394406097, 1, 1], 
     Hue[0.9506367394406097, 1, 1], 
     Hue[0.9459914734692433, 1, 1], 
     Hue[0.9459914734692433, 1, 1], 
     Hue[0.94366884048356, 1, 1], 
     Hue[0.94366884048356, 1, 1], 
     Hue[0.9413462074978769, 1, 1], 
     Hue[0.9413462074978769, 1, 1], 
     Hue[0.9367009415265105, 1, 1], 
     Hue[0.9367009415265105, 1, 1], 
     Hue[0.9274104095837777, 1, 1], 
     Hue[0.9274104095837777, 1, 1], 
     Hue[0.9248906964138597, 1, 1], 
     Hue[0.9248906964138597, 1, 1], 
     Hue[0.9223709832439416, 1, 1], 
     Hue[0.9223709832439416, 1, 1], 
     Hue[0.9173315569041055, 1, 1], 
     Hue[0.9173315569041055, 1, 1], 
     Hue[0.9072527042244332, 1, 1], 
     Hue[0.9072527042244332, 1, 1], 
     Hue[0.9047329910545151, 1, 1], 
     Hue[0.9047329910545151, 1, 1], 
     Hue[0.902213277884597, 1, 1], 
     Hue[0.902213277884597, 1, 1], 
     Hue[0.8971738515447609, 1, 1], 
     Hue[0.8971738515447609, 1, 1], 
     Hue[0.8870949988650887, 1, 1], 
     Hue[0.8870949988650887, 1, 1], 
     Hue[0.8845752856951706, 1, 1], 
     Hue[0.8845752856951706, 1, 1], 
     Hue[0.8820555725252526, 1, 1], 
     Hue[0.8820555725252526, 1, 1], 
     Hue[0.8770161461854165, 1, 1], 
     Hue[0.8770161461854165, 1, 1], 
     Hue[0.8669372935057441, 1, 1], 
     Hue[0.8669372935057441, 1, 1], 
     Hue[0.8467795881463996, 1, 1], 
     Hue[0.8467795881463996, 1, 1], 
     Hue[0.8442598749764816, 1, 1], 
     Hue[0.8442598749764816, 1, 1], 
     Hue[0.8417401618065634, 1, 1], 
     Hue[0.8417401618065634, 1, 1], 
     Hue[0.8367007354667274, 1, 1], 
     Hue[0.8367007354667274, 1, 1], 
     Hue[0.8266218827870551, 1, 1], 
     Hue[0.8266218827870551, 1, 1], 
     Hue[0.8064641774277106, 1, 1], 
     Hue[0.8064641774277106, 1, 1], 
     Hue[0.8039444642577924, 1, 1], 
     Hue[0.8039444642577924, 1, 1], 
     Hue[0.8014247510878745, 1, 1], 
     Hue[0.8014247510878745, 1, 1], 
     Hue[0.7963853247480384, 1, 1], 
     Hue[0.7963853247480384, 1, 1], 
     Hue[0.786306472068366, 1, 1], 
     Hue[0.786306472068366, 1, 1], 
     Hue[0.7661487667090214, 1, 1], 
     Hue[0.7661487667090214, 1, 1], 
     Hue[0.7637973801119673, 1, 1], 
     Hue[0.7637973801119673, 1, 1], 
     Hue[0.7614459935149132, 1, 1], 
     Hue[0.7614459935149132, 1, 1], 
     Hue[0.7567432203208047, 1, 1], 
     Hue[0.7567432203208047, 1, 1], 
     Hue[0.7473376739325879, 1, 1], 
     Hue[0.7473376739325879, 1, 1], 
     Hue[0.7285265811561542, 1, 1], 
     Hue[0.7285265811561542, 1, 1], 
     Hue[0.690904395603287, 1, 1], 
     Hue[0.690904395603287, 1, 1], 
     Hue[0.6885530090062326, 1, 1], 
     Hue[0.6885530090062326, 1, 1], 
     Hue[0.6862016224091785, 1, 1], 
     Hue[0.6862016224091785, 1, 1], 
     Hue[0.68149884921507, 1, 1], 
     Hue[0.68149884921507, 1, 1], 
     Hue[0.6720933028268532, 1, 1], 
     Hue[0.6720933028268532, 1, 1], 
     Hue[0.6532822100504196, 1, 1], 
     Hue[0.6532822100504196, 1, 1], 
     Hue[0.6156600244975523, 1, 1], 
     Hue[0.6156600244975523, 1, 1], 
     Hue[0.6131115577162632, 1, 1], 
     Hue[0.6131115577162632, 1, 1], 
     Hue[0.6105630909349742, 1, 1], 
     Hue[0.6105630909349742, 1, 1], 
     Hue[0.605466157372396, 1, 1], 
     Hue[0.605466157372396, 1, 1], 
     Hue[0.5952722902472397, 1, 1], 
     Hue[0.5952722902472397, 1, 1], 
     Hue[0.5748845559969271, 1, 1], 
     Hue[0.5748845559969271, 1, 1], 
     Hue[0.5341090874963016, 1, 1], 
     Hue[0.5341090874963016, 1, 1], 
     Hue[0.4525581504950509, 1, 1], 
     Hue[0.4525581504950509, 1, 1], 
     Hue[0.45005620803425955`, 1, 1], 
     Hue[0.45005620803425955`, 1, 1], 
     Hue[0.44755426557346806`, 1, 1], 
     Hue[0.44755426557346806`, 1, 1], 
     Hue[0.4425503806518851, 1, 1], 
     Hue[0.4425503806518851, 1, 1], 
     Hue[0.4325426108087192, 1, 1], 
     Hue[0.4325426108087192, 1, 1], 
     Hue[0.4125270711223874, 1, 1], 
     Hue[0.4125270711223874, 1, 1], 
     Hue[0.37249599174972386`, 1, 1], 
     Hue[0.37249599174972386`, 1, 1], 
     Hue[0.2924338330043968, 1, 1], 
     Hue[0.2924338330043968, 1, 1], 
     Hue[0.14308241617702985`, 1, 1], 
     Hue[0.14308241617702985`, 1, 1], 
     Hue[0.9811178675586304, 1, 1], 
     Hue[0.9811178675586304, 1, 1], 
     Hue[0.829926219603518, 1, 1], 
     Hue[0.829926219603518, 1, 1], 
     Hue[0.6817121281602531, 1, 1], 
     Hue[0.6817121281602531, 1, 1], 
     Hue[0.520884904925956, 1, 1], 
     Hue[0.520884904925956, 1, 1], 
     Hue[0.5185403061357836, 1, 1], 
     Hue[0.5185403061357836, 1, 1], 
     Hue[0.5161957073456116, 1, 1], 
     Hue[0.5161957073456116, 1, 1], 
     Hue[0.5115065097652677, 1, 1], 
     Hue[0.5115065097652677, 1, 1], 
     Hue[0.5021281146045796, 1, 1], 
     Hue[0.5021281146045796, 1, 1], 
     Hue[0.48337132428320306`, 1, 1], 
     Hue[0.48337132428320306`, 1, 1], 
     Hue[0.4458577436404507, 1, 1], 
     Hue[0.4458577436404507, 1, 1], 
     Hue[0.3708305823549457, 1, 1], 
     Hue[0.3708305823549457, 1, 1], 
     Hue[0.3682889033805386, 1, 1], 
     Hue[0.3682889033805386, 1, 1], 
     Hue[0.365747224406132, 1, 1], 
     Hue[0.365747224406132, 1, 1], 
     Hue[0.36066386645731824`, 1, 1], 
     Hue[0.36066386645731824`, 1, 1], 
     Hue[0.3504971505596905, 1, 1], 
     Hue[0.3504971505596905, 1, 1], 
     Hue[0.33016371876443495`, 1, 1], 
     Hue[0.33016371876443495`, 1, 1], 
     Hue[0.2894968551739242, 1, 1], 
     Hue[0.2894968551739242, 1, 1], 
     Hue[0.2081631279929033, 1, 1], 
     Hue[0.2081631279929033, 1, 1], 
     Hue[0.2057897755913601, 1, 1], 
     Hue[0.2057897755913601, 1, 1], 
     Hue[0.20341642318981695`, 1, 1], 
     Hue[0.20341642318981695`, 1, 1], 
     Hue[0.19866971838673092`, 1, 1], 
     Hue[0.19866971838673092`, 1, 1], 
     Hue[0.18917630878055883`, 1, 1], 
     Hue[0.18917630878055883`, 1, 1], 
     Hue[0.1701894895682144, 1, 1], 
     Hue[0.1701894895682144, 1, 1], 
     Hue[0.13221585114352546`, 1, 1], 
     Hue[0.13221585114352546`, 1, 1], 
     Hue[0.12984249874198234`, 1, 1], 
     Hue[0.12984249874198234`, 1, 1], 
     Hue[0.12746914634043946`, 1, 1], 
     Hue[0.12746914634043946`, 1, 1], 
     Hue[0.12272244153735341`, 1, 1], 
     Hue[0.12272244153735341`, 1, 1], 
     Hue[0.11322903193118104`, 1, 1], 
     Hue[0.11322903193118104`, 1, 1], 
     Hue[0.09424221271883658, 1, 1], 
     Hue[0.09424221271883658, 1, 1], 
     Hue[0.056268574294147965`, 1, 1], 
     Hue[0.056268574294147965`, 1, 1], 
     Hue[0.05394174621310246, 1, 1], 
     Hue[0.05394174621310246, 1, 1], 
     Hue[0.051614918132056965`, 1, 1], 
     Hue[0.051614918132056965`, 1, 1], 
     Hue[0.046961261969965945`, 1, 1], 
     Hue[0.046961261969965945`, 1, 1], 
     Hue[0.0376539496457842, 1, 1], 
     Hue[0.0376539496457842, 1, 1], 
     Hue[0.01903932499742074, 1, 1], 
     Hue[0.01903932499742074, 1, 1], 
     Hue[0.9818100757006936, 1, 1], 
     Hue[0.9818100757006936, 1, 1], 
     Hue[0.979483247619648, 1, 1], 
     Hue[0.979483247619648, 1, 1], 
     Hue[0.9771564195386025, 1, 1], 
     Hue[0.9771564195386025, 1, 1], 
     Hue[0.9725027633765115, 1, 1], 
     Hue[0.9725027633765115, 1, 1], 
     Hue[0.9631954510523297, 1, 1], 
     Hue[0.9631954510523297, 1, 1], 
     Hue[0.9445808264039662, 1, 1], 
     Hue[0.9445808264039662, 1, 1], 
     Hue[0.9073515771072393, 1, 1], 
     Hue[0.9073515771072393, 1, 1], 
     Hue[0.9048276688419594, 1, 1], 
     Hue[0.9048276688419594, 1, 1], 
     Hue[0.9023037605766789, 1, 1], 
     Hue[0.9023037605766789, 1, 1], 
     Hue[0.8972559440461179, 1, 1], 
     Hue[0.8972559440461179, 1, 1], 
     Hue[0.8871603109849967, 1, 1], 
     Hue[0.8871603109849967, 1, 1], 
     Hue[0.8669690448627543, 1, 1], 
     Hue[0.8669690448627543, 1, 1], 
     Hue[0.8265865126182694, 1, 1], 
     Hue[0.8265865126182694, 1, 1], 
     Hue[0.8240626043529891, 1, 1], 
     Hue[0.8240626043529891, 1, 1], 
     Hue[0.8215386960877087, 1, 1], 
     Hue[0.8215386960877087, 1, 1], 
     Hue[0.8164908795571483, 1, 1], 
     Hue[0.8164908795571483, 1, 1], 
     Hue[0.8063952464960271, 1, 1], 
     Hue[0.8063952464960271, 1, 1], 
     Hue[0.7862039803737844, 1, 1], 
     Hue[0.7862039803737844, 1, 1], 
     Hue[0.7458214481292991, 1, 1], 
     Hue[0.7458214481292991, 1, 1], 
     Hue[0.7434658664368826, 1, 1], 
     Hue[0.7434658664368826, 1, 1], 
     Hue[0.741110284744466, 1, 1], 
     Hue[0.741110284744466, 1, 1], 
     Hue[0.736399121359633, 1, 1], 
     Hue[0.736399121359633, 1, 1], 
     Hue[0.7269767945899674, 1, 1], 
     Hue[0.7269767945899674, 1, 1], 
     Hue[0.7081321410506356, 1, 1], 
     Hue[0.7081321410506356, 1, 1], 
     Hue[0.6704428339719721, 1, 1], 
     Hue[0.6704428339719721, 1, 1], 
     Hue[0.6680872522795556, 1, 1], 
     Hue[0.6680872522795556, 1, 1], 
     Hue[0.6657316705871391, 1, 1], 
     Hue[0.6657316705871391, 1, 1], 
     Hue[0.6610205072023061, 1, 1], 
     Hue[0.6610205072023061, 1, 1], 
     Hue[0.6515981804326405, 1, 1], 
     Hue[0.6515981804326405, 1, 1], 
     Hue[0.6327535268933087, 1, 1], 
     Hue[0.6327535268933087, 1, 1], 
     Hue[0.5950642198146457, 1, 1], 
     Hue[0.5950642198146457, 1, 1], 
     Hue[0.5925115579379945, 1, 1], 
     Hue[0.5925115579379945, 1, 1], 
     Hue[0.5899588960613429, 1, 1], 
     Hue[0.5899588960613429, 1, 1], 
     Hue[0.5848535723080399, 1, 1], 
     Hue[0.5848535723080399, 1, 1], 
     Hue[0.5746429248014346, 1, 1], 
     Hue[0.5746429248014346, 1, 1], 
     Hue[0.5542216297882241, 1, 1], 
     Hue[0.5542216297882241, 1, 1], 
     Hue[0.5133790397618024, 1, 1], 
     Hue[0.5133790397618024, 1, 1], 
     Hue[0.5108263778851515, 1, 1], 
     Hue[0.5108263778851515, 1, 1], 
     Hue[0.5082737160085, 1, 1], 
     Hue[0.5082737160085, 1, 1], 
     Hue[0.5031683922551968, 1, 1], 
     Hue[0.5031683922551968, 1, 1], 
     Hue[0.49295774474859166`, 1, 1], 
     Hue[0.49295774474859166`, 1, 1], 
     Hue[0.4725364497353811, 1, 1], 
     Hue[0.4725364497353811, 1, 1], 
     Hue[0.4316938597089598, 1, 1], 
     Hue[0.4316938597089598, 1, 1], 
     Hue[0.429187722152806, 1, 1], 
     Hue[0.429187722152806, 1, 1], 
     Hue[0.42668158459665206`, 1, 1], 
     Hue[0.42668158459665206`, 1, 1], 
     Hue[0.4216693094843449, 1, 1], 
     Hue[0.4216693094843449, 1, 1], 
     Hue[0.41164475925973, 1, 1], 
     Hue[0.41164475925973, 1, 1], 
     Hue[0.39159565881050024`, 1, 1], 
     Hue[0.39159565881050024`, 1, 1], 
     Hue[0.35149745791204057`, 1, 1], 
     Hue[0.35149745791204057`, 1, 1], 
     Hue[0.3489913203558867, 1, 1], 
     Hue[0.3489913203558867, 1, 1], 
     Hue[0.34648518279973284`, 1, 1], 
     Hue[0.34648518279973284`, 1, 1], 
     Hue[0.34147290768742566`, 1, 1], 
     Hue[0.34147290768742566`, 1, 1], 
     Hue[0.33144835746281076`, 1, 1], 
     Hue[0.33144835746281076`, 1, 1], 
     Hue[0.3113992570135809, 1, 1], 
     Hue[0.3113992570135809, 1, 1], 
     Hue[0.27130105611512123`, 1, 1], 
     Hue[0.27130105611512123`, 1, 1], 
     Hue[0.26896324513183134`, 1, 1], 
     Hue[0.26896324513183134`, 1, 1], 
     Hue[0.26662543414854145`, 1, 1], 
     Hue[0.26662543414854145`, 1, 1], 
     Hue[0.26194981218196167`, 1, 1], 
     Hue[0.26194981218196167`, 1, 1], 
     Hue[0.25259856824880217`, 1, 1], 
     Hue[0.25259856824880217`, 1, 1], 
     Hue[0.23389608038248313`, 1, 1], 
     Hue[0.23389608038248313`, 1, 1], 
     Hue[0.19649110464984562`, 1, 1], 
     Hue[0.19649110464984562`, 1, 1], 
     Hue[0.1941532936665563, 1, 1], 
     Hue[0.1941532936665563, 1, 1], 
     Hue[0.19181548268326584`, 1, 1], 
     Hue[0.19181548268326584`, 1, 1], 
     Hue[0.1871398607166867, 1, 1], 
     Hue[0.1871398607166867, 1, 1], 
     Hue[0.17778861678352662`, 1, 1], 
     Hue[0.17778861678352662`, 1, 1], 
     Hue[0.1590861289172081, 1, 1], 
     Hue[0.1590861289172081, 1, 1], 
     Hue[0.12168115318456946`, 1, 1], 
     Hue[0.12168115318456946`, 1, 1], 
     Hue[0.11914626201704458`, 1, 1], 
     Hue[0.11914626201704458`, 1, 1], 
     Hue[0.11661137084952024`, 1, 1], 
     Hue[0.11661137084952024`, 1, 1], 
     Hue[0.11154158851447049`, 1, 1], 
     Hue[0.11154158851447049`, 1, 1], 
     Hue[0.1014020238443715, 1, 1], 
     Hue[0.1014020238443715, 1, 1], 
     Hue[0.0811228945041741, 1, 1], 
     Hue[0.0811228945041741, 1, 1], 
     Hue[0.04056463582377762, 1, 1], 
     Hue[0.04056463582377762, 1, 1], 
     Hue[0.03802974465625272, 1, 1], 
     Hue[0.03802974465625272, 1, 1], 
     Hue[0.035494853488728405`, 1, 1], 
     Hue[0.035494853488728405`, 1, 1], 
     Hue[0.03042507115367863, 1, 1], 
     Hue[0.03042507115367863, 1, 1], 
     Hue[0.020285506483580216`, 1, 1], 
     Hue[0.020285506483580216`, 1, 1], 
     Hue[6.377143381686833*^-6, 1, 1], 
     Hue[6.377143381686833*^-6, 1, 1], 
     Hue[0.9594481184629863, 1, 1], 
     Hue[0.9594481184629863, 1, 1], 
     Hue[0.9570815538683254, 1, 1], 
     Hue[0.9570815538683254, 1, 1], 
     Hue[0.9547149892736645, 1, 1], 
     Hue[0.9547149892736645, 1, 1], 
     Hue[0.9499818600843427, 1, 1], 
     Hue[0.9499818600843427, 1, 1], 
     Hue[0.9405156017056991, 1, 1], 
     Hue[0.9405156017056991, 1, 1], 
     Hue[0.921583084948412, 1, 1], 
     Hue[0.921583084948412, 1, 1], 
     Hue[0.8837180514338376, 1, 1], 
     Hue[0.8837180514338376, 1, 1], 
     Hue[0.8813514868391773, 1, 1], 
     Hue[0.8813514868391773, 1, 1], 
     Hue[0.8789849222445164, 1, 1], 
     Hue[0.8789849222445164, 1, 1], 
     Hue[0.8742517930551946, 1, 1], 
     Hue[0.8742517930551946, 1, 1], 
     Hue[0.864785534676551, 1, 1], 
     Hue[0.864785534676551, 1, 1], 
     Hue[0.8458530179192638, 1, 1], 
     Hue[0.8458530179192638, 1, 1], 
     Hue[0.8079879844046894, 1, 1], 
     Hue[0.8079879844046894, 1, 1], 
     Hue[0.8056679441305262, 1, 1], 
     Hue[0.8056679441305262, 1, 1], 
     Hue[0.8033479038563625, 1, 1], 
     Hue[0.8033479038563625, 1, 1], 
     Hue[0.7987078233080365, 1, 1], 
     Hue[0.7987078233080365, 1, 1], 
     Hue[0.7894276622113829, 1, 1], 
     Hue[0.7894276622113829, 1, 1], 
     Hue[0.7708673400180771, 1, 1], 
     Hue[0.7708673400180771, 1, 1], 
     Hue[0.7685472997439133, 1, 1], 
     Hue[0.7685472997439133, 1, 1], 
     Hue[0.76622725946975, 1, 1], 
     Hue[0.76622725946975, 1, 1], 
     Hue[0.7615871789214236, 1, 1], 
     Hue[0.7615871789214236, 1, 1], 
     Hue[0.7523070178247706, 1, 1], 
     Hue[0.7523070178247706, 1, 1], 
     Hue[0.7337466956314647, 1, 1], 
     Hue[0.7337466956314647, 1, 1], 
     Hue[0.7314266553573009, 1, 1], 
     Hue[0.7314266553573009, 1, 1], 
     Hue[0.7291066150831382, 1, 1], 
     Hue[0.7291066150831382, 1, 1], 
     Hue[0.7244665345348111, 1, 1], 
     Hue[0.7244665345348111, 1, 1], 
     Hue[0.7151863734381588, 1, 1], 
     Hue[0.7151863734381588, 1, 1], 
     Hue[0.6966260512448523, 1, 1], 
     Hue[0.6966260512448523, 1, 1], 
     Hue[0.65950540685824, 1, 1], 
     Hue[0.65950540685824, 1, 1], 
     Hue[0.6569882863998417, 1, 1], 
     Hue[0.6569882863998417, 1, 1], 
     Hue[0.6544711659414435, 1, 1], 
     Hue[0.6544711659414435, 1, 1], 
     Hue[0.6494369250246474, 1, 1], 
     Hue[0.6494369250246474, 1, 1], 
     Hue[0.6393684431910545, 1, 1], 
     Hue[0.6393684431910545, 1, 1], 
     Hue[0.6192314795238697, 1, 1], 
     Hue[0.6192314795238697, 1, 1], 
     Hue[0.616714359065472, 1, 1], 
     Hue[0.616714359065472, 1, 1], 
     Hue[0.6141972386070738, 1, 1], 
     Hue[0.6141972386070738, 1, 1], 
     Hue[0.6091629976902778, 1, 1], 
     Hue[0.6091629976902778, 1, 1], 
     Hue[0.5990945158566849, 1, 1], 
     Hue[0.5990945158566849, 1, 1], 
     Hue[0.5789575521894994, 1, 1], 
     Hue[0.5789575521894994, 1, 1], 
     Hue[0.5764404317311012, 1, 1], 
     Hue[0.5764404317311012, 1, 1], 
     Hue[0.5739233112727036, 1, 1], 
     Hue[0.5739233112727036, 1, 1], 
     Hue[0.5688890703559071, 1, 1], 
     Hue[0.5688890703559071, 1, 1], 
     Hue[0.5588205885223141, 1, 1], 
     Hue[0.5588205885223141, 1, 1], 
     Hue[0.5386836248551292, 1, 1], 
     Hue[0.5386836248551292, 1, 1], 
     Hue[0.4984096975207585, 1, 1], 
     Hue[0.4984096975207585, 1, 1], 
     Hue[0.49606090363522365`, 1, 1], 
     Hue[0.49606090363522365`, 1, 1], 
     Hue[0.49371210974968993`, 1, 1], 
     Hue[0.49371210974968993`, 1, 1], 
     Hue[0.48901452197862144`, 1, 1], 
     Hue[0.48901452197862144`, 1, 1], 
     Hue[0.4796193464364844, 1, 1], 
     Hue[0.4796193464364844, 1, 1], 
     Hue[0.4608289953522104, 1, 1], 
     Hue[0.4608289953522104, 1, 1], 
     Hue[0.45848020146667556`, 1, 1], 
     Hue[0.45848020146667556`, 1, 1], 
     Hue[0.4561314075811413, 1, 1], 
     Hue[0.4561314075811413, 1, 1], 
     Hue[0.4514338198100728, 1, 1], 
     Hue[0.4514338198100728, 1, 1], 
     Hue[0.4420386442679352, 1, 1], 
     Hue[0.4420386442679352, 1, 1], 
     Hue[0.42324829318366114`, 1, 1], 
     Hue[0.42324829318366114`, 1, 1], 
     Hue[0.4208994992981274, 1, 1], 
     Hue[0.4208994992981274, 1, 1], 
     Hue[0.41855070541259265`, 1, 1], 
     Hue[0.41855070541259265`, 1, 1], 
     Hue[0.4138531176415241, 1, 1], 
     Hue[0.4138531176415241, 1, 1], 
     Hue[0.40445794209938707`, 1, 1], 
     Hue[0.40445794209938707`, 1, 1], 
     Hue[0.3856675910151125, 1, 1], 
     Hue[0.3856675910151125, 1, 1], 
     Hue[0.3480868888465638, 1, 1], 
     Hue[0.3480868888465638, 1, 1], 
     Hue[0.3455410147767951, 1, 1], 
     Hue[0.3455410147767951, 1, 1], 
     Hue[0.34299514070702586`, 1, 1], 
     Hue[0.34299514070702586`, 1, 1], 
     Hue[0.3379033925674879, 1, 1], 
     Hue[0.3379033925674879, 1, 1], 
     Hue[0.32771989628841086`, 1, 1], 
     Hue[0.32771989628841086`, 1, 1], 
     Hue[0.3073529037302573, 1, 1], 
     Hue[0.3073529037302573, 1, 1], 
     Hue[0.30480702966048806`, 1, 1], 
     Hue[0.30480702966048806`, 1, 1], 
     Hue[0.30226115559071937`, 1, 1], 
     Hue[0.30226115559071937`, 1, 1], 
     Hue[0.2971694074511808, 1, 1], 
     Hue[0.2971694074511808, 1, 1], 
     Hue[0.28698591117210376`, 1, 1], 
     Hue[0.28698591117210376`, 1, 1], 
     Hue[0.2666189186139508, 1, 1], 
     Hue[0.2666189186139508, 1, 1], 
     Hue[0.26407304454418157`, 1, 1], 
     Hue[0.26407304454418157`, 1, 1], 
     Hue[0.2615271704744123, 1, 1], 
     Hue[0.2615271704744123, 1, 1], 
     Hue[0.25643542233487376`, 1, 1], 
     Hue[0.25643542233487376`, 1, 1], 
     Hue[0.2462519260557973, 1, 1], 
     Hue[0.2462519260557973, 1, 1], 
     Hue[0.22588493349764377`, 1, 1], 
     Hue[0.22588493349764377`, 1, 1], 
     Hue[0.18515094838133725`, 1, 1], 
     Hue[0.18515094838133725`, 1, 1], 
     Hue[0.185074863589463, 1, 1], 
     Hue[0.185074863589463, 1, 1], 
     Hue[0.18499877879758939`, 1, 1], 
     Hue[0.18499877879758939`, 1, 1], 
     Hue[0.18484660921384086`, 1, 1], 
     Hue[0.18484660921384086`, 1, 1], 
     Hue[0.1845422700463445, 1, 1], 
     Hue[0.1845422700463445, 1, 1], 
     Hue[0.18393359171135218`, 1, 1], 
     Hue[0.18393359171135218`, 1, 1], 
     Hue[0.18271623504136603`, 1, 1], 
     Hue[0.18271623504136603`, 1, 1], 
     Hue[0.18264015024949232`, 1, 1], 
     Hue[0.18264015024949232`, 1, 1], 
     Hue[0.1825640654576181, 1, 1], 
     Hue[0.1825640654576181, 1, 1], 
     Hue[0.18241189587386958`, 1, 1], 
     Hue[0.18241189587386958`, 1, 1], 
     Hue[0.18210755670637374`, 1, 1], 
     Hue[0.18210755670637374`, 1, 1], 
     Hue[0.1814988783713804, 1, 1], 
     Hue[0.1814988783713804, 1, 1], 
     Hue[0.18142279357950614`, 1, 1], 
     Hue[0.18142279357950614`, 1, 1], 
     Hue[0.18134670878763243`, 1, 1], 
     Hue[0.18134670878763243`, 1, 1], 
     Hue[0.18119453920388395`, 1, 1], 
     Hue[0.18119453920388395`, 1, 1], 
     Hue[0.18089020003638753`, 1, 1], 
     Hue[0.18089020003638753`, 1, 1], 
     Hue[0.18081411524451385`, 1, 1], 
     Hue[0.18081411524451385`, 1, 1], 
     Hue[0.18073803045263964`, 1, 1], 
     Hue[0.18073803045263964`, 1, 1], 
     Hue[0.18058586086889114`, 1, 1], 
     Hue[0.18058586086889114`, 1, 1], 
     Hue[0.18050977607701693`, 1, 1], 
     Hue[0.18050977607701693`, 1, 1], 
     Hue[0.18043369128514264`, 1, 1], 
     Hue[0.18043369128514264`, 1, 1], 
     Hue[0.18035760649326896`, 1, 1], 
     Hue[0.18035760649326896`, 1, 1], 
     Hue[0.18028152170139528`, 1, 1]}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{-3.999999836734694, 3.999999836734694}, {0., 
   0.9999998104453803}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.3897310056787443`*^9, 3.389731037474464*^9, 
  3.3897330555585456`*^9, 3.390893985100774*^9, 3.3917799167814083`*^9, 
  3.39184869409375*^9, 3.392469642547146*^9, 3.393842377837405*^9, 
  3.393843358807703*^9, 3.393846999434761*^9}]
}, Open  ]],

Cell["\<\
Most of the options for ListLinePlot can be used also for QArgColorPlot. In \
addition, we can influence the Saturation and the Brightness of the colors \
for the complex phase:\
\>", "Text",
 CellChangeTimes->{{3.38968820373057*^9, 3.38968820564332*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tmp", "=", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"QArgColorPlot", "[", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "6", " ", "x"}], "-", 
        FractionBox[
         SuperscriptBox["x", "2"], "2"]}]], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "th", "]"}], ",", 
         RowBox[{"GrayLevel", "[", "0.5", "]"}]}], "}"}]}], ",", 
      RowBox[{"QSaturation", "\[Rule]", "sat"}], ",", 
      RowBox[{"QBrightness", "\[Rule]", "bri"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "0.2"}], ",", "1.2"}], "}"}]}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"Axes", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"True", ",", "False"}], "}"}]}]}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"sat", ",", "0.5", ",", "\"\<saturation\>\""}], "}"}], ",", 
      "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"bri", ",", "0.7", ",", "\"\<brightness\>\""}], "}"}], ",", 
      "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"th", ",", "0.025", ",", "\"\<thickness\>\""}], "}"}], ",", 
      "0.001", ",", "0.05"}], "}"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.389688640208194*^9, 3.3896886607877855`*^9}, {
  3.389688836200016*^9, 3.3896890398328257`*^9}, {3.3896890881823487`*^9, 
  3.389689111315613*^9}, {3.393844214732388*^9, 3.393844215267576*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`bri$$ = 0.7, $CellContext`sat$$ = 
    0.5, $CellContext`th$$ = 0.025, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`sat$$], 0.5, "saturation"}, 0, 1}, {{
       Hold[$CellContext`bri$$], 0.7, "brightness"}, 0, 1}, {{
       Hold[$CellContext`th$$], 0.025, "thickness"}, 0.001, 0.05}}, 
    Typeset`size$$ = {360., {112., 116.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`sat$369$$ = 0, $CellContext`bri$370$$ = 
    0, $CellContext`th$371$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`bri$$ = 0.7, $CellContext`sat$$ = 
        0.5, $CellContext`th$$ = 0.025}, "ControllerVariables" :> {
        Hold[$CellContext`sat$$, $CellContext`sat$369$$, 0], 
        Hold[$CellContext`bri$$, $CellContext`bri$370$$, 0], 
        Hold[$CellContext`th$$, $CellContext`th$371$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      VQM`ArgColorPlot`QArgColorPlot[
       E^((-I) 6 $CellContext`x - $CellContext`x^2/2), {$CellContext`x, -4, 
         4}, PlotStyle -> {
          Thickness[$CellContext`th$$], 
          GrayLevel[0.5]}, VQM`ArgColorPlot`QSaturation -> $CellContext`sat$$,
         VQM`ArgColorPlot`QBrightness -> $CellContext`bri$$, 
        PlotRange -> {-0.2, 1.2}, Frame -> True, Axes -> {True, False}], 
      "Specifications" :> {{{$CellContext`sat$$, 0.5, "saturation"}, 0, 
         1}, {{$CellContext`bri$$, 0.7, "brightness"}, 0, 
         1}, {{$CellContext`th$$, 0.025, "thickness"}, 0.001, 0.05}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{402., {183.375, 188.625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.389731005879032*^9, 3.389731037674752*^9, 
  3.3897330562895966`*^9, 3.390893985462484*^9, 3.391779916906674*^9, 
  3.391848694203125*^9, 3.39246964510573*^9, 3.393842378571694*^9, 
  3.393843362054427*^9, 3.393843573114739*^9, 3.3938436394470043`*^9, 
  3.3938441132442837`*^9, 3.3938442161589937`*^9, 3.3938470001123343`*^9}]
}, Open  ]],

Cell["\<\
Next, we illustrate the usage of QListArgColorPlot. First, we create a list \
of complex numbers.\
\>", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"mytab", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"\[Pi]", " ", "x"}], "]"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "x"}]]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "2"}], ",", "2", ",", "0.01"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.3897160824281683`*^9, {3.389729210637602*^9, 3.3897292152442255`*^9}}],

Cell[CellGroupData[{

Cell["QListArgColorPlot[mytab]", "Input",
 CellChangeTimes->{{3.389716096207982*^9, 3.389716113032174*^9}, 
   3.391780147961685*^9}],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJyF2XuMXOV5BvCv2OViClmCXaxi6DQBlBLqbLiEgA1+AAPmZsbrtdfeXdtn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   "], {
    {GrayLevel[0.5], EdgeForm[None], 
     GraphicsGroupBox[{
       PolygonBox[{{200, 798, 201}, {300, 996, 301}, {301, 997, 302}, {201, 
        799, 202}, {101, 601, 102}, {100, 600, 101}}], 
       PolygonBox[CompressedData["
1:eJwtmHngp1MZxe+zZBSTLVkipiyhQioJJZqElCFahmzJMjSUpck2YgrTmCSJ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        
        "]]}]}, {{}, {}, {
      {Hue[0., 1, 1], LineBox[{1, 2}]}, 
      {Hue[0.010000000000000023`, 1, 1], LineBox[{2, 3}]}, 
      {Hue[0.019999999999999973`, 1, 1], LineBox[{3, 4}]}, 
      {Hue[0.030000000000000197`, 1, 1], LineBox[{4, 5}]}, 
      {Hue[0.040000000000000126`, 1, 1], LineBox[{5, 6}]}, 
      {Hue[0.05000000000000008, 1, 1], LineBox[{6, 7}]}, 
      {Hue[0.060000000000000026`, 1, 1], LineBox[{7, 8}]}, 
      {Hue[0.07000000000000026, 1, 1], LineBox[{8, 9}]}, 
      {Hue[0.08000000000000021, 1, 1], LineBox[{9, 10}]}, 
      {Hue[0.09000000000000014, 1, 1], LineBox[{10, 11}]}, 
      {Hue[0.10000000000000009`, 1, 1], LineBox[{11, 12}]}, 
      {Hue[0.1100000000000003, 1, 1], LineBox[{12, 13}]}, 
      {Hue[0.12000000000000025`, 1, 1], LineBox[{13, 14}]}, 
      {Hue[0.1299999999999999, 1, 1], LineBox[{14, 15}]}, 
      {Hue[0.13999999999999985`, 1, 1], LineBox[{15, 16}]}, 
      {Hue[0.15000000000000008`, 1, 1], LineBox[{16, 17}]}, 
      {Hue[0.16000000000000003`, 1, 1], LineBox[{17, 18}]}, 
      {Hue[0.16999999999999996`, 1, 1], LineBox[{18, 19}]}, 
      {Hue[0.1799999999999999, 1, 1], LineBox[{19, 20}]}, 
      {Hue[0.19000000000000014`, 1, 1], LineBox[{20, 21}]}, 
      {Hue[0.20000000000000007`, 1, 1], LineBox[{21, 22}]}, 
      {Hue[0.21000000000000002`, 1, 1], LineBox[{22, 23}]}, 
      {Hue[0.21999999999999997`, 1, 1], LineBox[{23, 24}]}, 
      {Hue[0.23000000000000018`, 1, 1], LineBox[{24, 25}]}, 
      {Hue[0.24000000000000013`, 1, 1], LineBox[{25, 26}]}, 
      {Hue[0.25000000000000006`, 1, 1], LineBox[{26, 27}]}, 
      {Hue[0.26, 1, 1], LineBox[{27, 28}]}, 
      {Hue[0.26999999999999996`, 1, 1], LineBox[{28, 29}]}, 
      {Hue[0.2800000000000002, 1, 1], LineBox[{29, 30}]}, 
      {Hue[0.29000000000000015`, 1, 1], LineBox[{30, 31}]}, 
      {Hue[0.3000000000000001, 1, 1], LineBox[{31, 32}]}, 
      {Hue[0.31, 1, 1], LineBox[{32, 33}]}, 
      {Hue[0.32000000000000023`, 1, 1], LineBox[{33, 34}]}, 
      {Hue[0.3300000000000002, 1, 1], LineBox[{34, 35}]}, 
      {Hue[0.34000000000000014`, 1, 1], LineBox[{35, 36}]}, 
      {Hue[0.3500000000000001, 1, 1], LineBox[{36, 37}]}, 
      {Hue[0.3600000000000003, 1, 1], LineBox[{37, 38}]}, 
      {Hue[0.3700000000000003, 1, 1], LineBox[{38, 39}]}, 
      {Hue[0.38000000000000017`, 1, 1], LineBox[{39, 40}]}, 
      {Hue[0.38999999999999985`, 1, 1], LineBox[{40, 41}]}, 
      {Hue[0.4000000000000001, 1, 1], LineBox[{41, 42}]}, 
      {Hue[0.41000000000000003`, 1, 1], LineBox[{42, 43}]}, 
      {Hue[0.42, 1, 1], LineBox[{43, 44}]}, 
      {Hue[0.42999999999999994`, 1, 1], LineBox[{44, 45}]}, 
      {Hue[0.4400000000000001, 1, 1], LineBox[{45, 46}]}, 
      {Hue[0.45000000000000007`, 1, 1], LineBox[{46, 47}]}, 
      {Hue[0.46, 1, 1], LineBox[{47, 48}]}, 
      {Hue[0.47, 1, 1], LineBox[{48, 49}]}, 
      {Hue[0.4800000000000002, 1, 1], LineBox[{49, 50}]}, 
      {Hue[0.49000000000000016`, 1, 1], LineBox[{50, 51}]}, 
      {Hue[0.5, 1, 1], LineBox[{51, 52}]}, 
      {Hue[0.51, 1, 1], LineBox[{52, 53}]}, 
      {Hue[0.52, 1, 1], LineBox[{53, 54}]}, 
      {Hue[0.5300000000000002, 1, 1], LineBox[{54, 55}]}, 
      {Hue[0.54, 1, 1], LineBox[{55, 56}]}, 
      {Hue[0.55, 1, 1], LineBox[{56, 57}]}, 
      {Hue[0.56, 1, 1], LineBox[{57, 58}]}, 
      {Hue[0.5700000000000003, 1, 1], LineBox[{58, 59}]}, 
      {Hue[0.5800000000000002, 1, 1], LineBox[{59, 60}]}, 
      {Hue[0.5900000000000001, 1, 1], LineBox[{60, 61}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{61, 62}]}, 
      {Hue[0.6100000000000003, 1, 1], LineBox[{62, 63}]}, 
      {Hue[0.6200000000000002, 1, 1], LineBox[{63, 64}]}, 
      {Hue[0.6300000000000001, 1, 1], LineBox[{64, 65}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{65, 66}]}, 
      {Hue[0.6500000000000001, 1, 1], LineBox[{66, 67}]}, 
      {Hue[0.66, 1, 1], LineBox[{67, 68}]}, 
      {Hue[0.6699999999999999, 1, 1], LineBox[{68, 69}]}, 
      {Hue[0.6799999999999999, 1, 1], LineBox[{69, 70}]}, 
      {Hue[0.6900000000000001, 1, 1], LineBox[{70, 71}]}, 
      {Hue[0.7000000000000001, 1, 1], LineBox[{71, 72}]}, 
      {Hue[0.71, 1, 1], LineBox[{72, 73}]}, 
      {Hue[0.72, 1, 1], LineBox[{73, 74}]}, 
      {Hue[0.73, 1, 1], LineBox[{74, 75}]}, 
      {Hue[0.7400000000000001, 1, 1], LineBox[{75, 76}]}, 
      {Hue[0.75, 1, 1], LineBox[{76, 77}]}, 
      {Hue[0.76, 1, 1], LineBox[{77, 78}]}, 
      {Hue[0.77, 1, 1], LineBox[{78, 79}]}, 
      {Hue[0.78, 1, 1], LineBox[{79, 80}]}, 
      {Hue[0.79, 1, 1], LineBox[{80, 81}]}, 
      {Hue[0.8, 1, 1], LineBox[{81, 82}]}, 
      {Hue[0.81, 1, 1], LineBox[{82, 83}]}, 
      {Hue[0.8200000000000001, 1, 1], LineBox[{83, 84}]}, 
      {Hue[0.8300000000000002, 1, 1], LineBox[{84, 85}]}, 
      {Hue[0.8400000000000001, 1, 1], LineBox[{85, 86}]}, 
      {Hue[0.8500000000000002, 1, 1], LineBox[{86, 87}]}, 
      {Hue[0.8600000000000001, 1, 1], LineBox[{87, 88}]}, 
      {Hue[0.8700000000000002, 1, 1], LineBox[{88, 89}]}, 
      {Hue[0.8800000000000001, 1, 1], LineBox[{89, 90}]}, 
      {Hue[0.8900000000000001, 1, 1], LineBox[{90, 91}]}, 
      {Hue[0.8999999999999999, 1, 1], LineBox[{91, 92}]}, 
      {Hue[0.91, 1, 1], LineBox[{92, 93}]}, 
      {Hue[0.9199999999999999, 1, 1], LineBox[{93, 94}]}, 
      {Hue[0.93, 1, 1], LineBox[{94, 95}]}, 
      {Hue[0.94, 1, 1], LineBox[{95, 96}]}, 
      {Hue[0.9500000000000001, 1, 1], LineBox[{96, 97}]}, 
      {Hue[0.96, 1, 1], LineBox[{97, 98}]}, 
      {Hue[0.9700000000000001, 1, 1], LineBox[{98, 99}]}, 
      {Hue[0.98, 1, 1], LineBox[{99, 100}]}, 
      {Hue[0.9900000000000001, 1, 1], LineBox[{100, 101}]}, 
      {Hue[0.5, 1, 1], LineBox[{101, 102}]}, 
      {Hue[0.51, 1, 1], LineBox[{102, 103}]}, 
      {Hue[0.52, 1, 1], LineBox[{103, 104}]}, 
      {Hue[0.53, 1, 1], LineBox[{104, 105}]}, 
      {Hue[0.54, 1, 1], LineBox[{105, 106}]}, 
      {Hue[0.55, 1, 1], LineBox[{106, 107}]}, 
      {Hue[0.5600000000000002, 1, 1], LineBox[{107, 108}]}, 
      {Hue[0.5700000000000001, 1, 1], LineBox[{108, 109}]}, 
      {Hue[0.5800000000000001, 1, 1], LineBox[{109, 110}]}, 
      {Hue[0.5899999999999999, 1, 1], LineBox[{110, 111}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{111, 112}]}, 
      {Hue[0.6099999999999999, 1, 1], LineBox[{112, 113}]}, 
      {Hue[0.62, 1, 1], LineBox[{113, 114}]}, 
      {Hue[0.6299999999999999, 1, 1], LineBox[{114, 115}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{115, 116}]}, 
      {Hue[0.6499999999999999, 1, 1], LineBox[{116, 117}]}, 
      {Hue[0.6600000000000001, 1, 1], LineBox[{117, 118}]}, 
      {Hue[0.67, 1, 1], LineBox[{118, 119}]}, 
      {Hue[0.6800000000000002, 1, 1], LineBox[{119, 120}]}, 
      {Hue[0.6900000000000001, 1, 1], LineBox[{120, 121}]}, 
      {Hue[0.7, 1, 1], LineBox[{121, 122}]}, 
      {Hue[0.7100000000000002, 1, 1], LineBox[{122, 123}]}, 
      {Hue[0.7200000000000001, 1, 1], LineBox[{123, 124}]}, 
      {Hue[0.73, 1, 1], LineBox[{124, 125}]}, 
      {Hue[0.7400000000000001, 1, 1], LineBox[{125, 126}]}, 
      {Hue[0.75, 1, 1], LineBox[{126, 127}]}, 
      {Hue[0.76, 1, 1], LineBox[{127, 128}]}, 
      {Hue[0.77, 1, 1], LineBox[{128, 129}]}, 
      {Hue[0.78, 1, 1], LineBox[{129, 130}]}, 
      {Hue[0.79, 1, 1], LineBox[{130, 131}]}, 
      {Hue[0.8, 1, 1], LineBox[{131, 132}]}, 
      {Hue[0.81, 1, 1], LineBox[{132, 133}]}, 
      {Hue[0.8200000000000001, 1, 1], LineBox[{133, 134}]}, 
      {Hue[0.8300000000000002, 1, 1], LineBox[{134, 135}]}, 
      {Hue[0.8400000000000001, 1, 1], LineBox[{135, 136}]}, 
      {Hue[0.85, 1, 1], LineBox[{136, 137}]}, 
      {Hue[0.86, 1, 1], LineBox[{137, 138}]}, 
      {Hue[0.8700000000000001, 1, 1], LineBox[{138, 139}]}, 
      {Hue[0.88, 1, 1], LineBox[{139, 140}]}, 
      {Hue[0.89, 1, 1], LineBox[{140, 141}]}, 
      {Hue[0.9, 1, 1], LineBox[{141, 142}]}, 
      {Hue[0.91, 1, 1], LineBox[{142, 143}]}, 
      {Hue[0.92, 1, 1], LineBox[{143, 144}]}, 
      {Hue[0.93, 1, 1], LineBox[{144, 145}]}, 
      {Hue[0.9400000000000001, 1, 1], LineBox[{145, 146}]}, 
      {Hue[0.9500000000000001, 1, 1], LineBox[{146, 147}]}, 
      {Hue[0.9600000000000001, 1, 1], LineBox[{147, 148}]}, 
      {Hue[0.9700000000000001, 1, 1], LineBox[{148, 149}]}, 
      {Hue[0.98, 1, 1], LineBox[{149, 150}]}, 
      {Hue[0.99, 1, 1], LineBox[{150, 151}]}, 
      {Hue[9.016985208400837*^-17, 1, 1], LineBox[{151, 152}]}, 
      {Hue[0.010000000000000035`, 1, 1], LineBox[{152, 153}]}, 
      {Hue[0.020000000000000046`, 1, 1], LineBox[{153, 154}]}, 
      {Hue[0.030000000000000065`, 1, 1], LineBox[{154, 155}]}, 
      {Hue[0.04000000000000008, 1, 1], LineBox[{155, 156}]}, 
      {Hue[0.050000000000000086`, 1, 1], LineBox[{156, 157}]}, 
      {Hue[0.06000000000000012, 1, 1], LineBox[{157, 158}]}, 
      {Hue[0.07000000000000006, 1, 1], LineBox[{158, 159}]}, 
      {Hue[0.08000000000000006, 1, 1], LineBox[{159, 160}]}, 
      {Hue[0.09000000000000008, 1, 1], LineBox[{160, 161}]}, 
      {Hue[0.10000000000000003`, 1, 1], LineBox[{161, 162}]}, 
      {Hue[0.11000000000000003`, 1, 1], LineBox[{162, 163}]}, 
      {Hue[0.12000000000000006`, 1, 1], LineBox[{163, 164}]}, 
      {Hue[0.13000000000000003`, 1, 1], LineBox[{164, 165}]}, 
      {Hue[0.14, 1, 1], LineBox[{165, 166}]}, 
      {Hue[0.15, 1, 1], LineBox[{166, 167}]}, 
      {Hue[0.16000000000000003`, 1, 1], LineBox[{167, 168}]}, 
      {Hue[0.17000000000000004`, 1, 1], LineBox[{168, 169}]}, 
      {Hue[0.18000000000000008`, 1, 1], LineBox[{169, 170}]}, 
      {Hue[0.19000000000000006`, 1, 1], LineBox[{170, 171}]}, 
      {Hue[0.20000000000000004`, 1, 1], LineBox[{171, 172}]}, 
      {Hue[0.21000000000000002`, 1, 1], LineBox[{172, 173}]}, 
      {Hue[0.22000000000000003`, 1, 1], LineBox[{173, 174}]}, 
      {Hue[0.23000000000000004`, 1, 1], LineBox[{174, 175}]}, 
      {Hue[0.2400000000000001, 1, 1], LineBox[{175, 176}]}, 
      {Hue[0.25000000000000006`, 1, 1], LineBox[{176, 177}]}, 
      {Hue[0.26000000000000006`, 1, 1], LineBox[{177, 178}]}, 
      {Hue[0.27, 1, 1], LineBox[{178, 179}]}, 
      {Hue[0.28, 1, 1], LineBox[{179, 180}]}, 
      {Hue[0.29000000000000004`, 1, 1], LineBox[{180, 181}]}, 
      {Hue[0.30000000000000004`, 1, 1], LineBox[{181, 182}]}, 
      {Hue[0.31, 1, 1], LineBox[{182, 183}]}, 
      {Hue[0.32000000000000006`, 1, 1], LineBox[{183, 184}]}, 
      {Hue[0.33000000000000007`, 1, 1], LineBox[{184, 185}]}, 
      {Hue[0.3400000000000001, 1, 1], LineBox[{185, 186}]}, 
      {Hue[0.35000000000000003`, 1, 1], LineBox[{186, 187}]}, 
      {Hue[0.3600000000000001, 1, 1], LineBox[{187, 188}]}, 
      {Hue[0.37000000000000005`, 1, 1], LineBox[{188, 189}]}, 
      {Hue[0.38000000000000006`, 1, 1], LineBox[{189, 190}]}, 
      {Hue[0.39000000000000007`, 1, 1], LineBox[{190, 191}]}, 
      {Hue[0.4, 1, 1], LineBox[{191, 192}]}, 
      {Hue[0.4100000000000001, 1, 1], LineBox[{192, 193}]}, 
      {Hue[0.42000000000000004`, 1, 1], LineBox[{193, 194}]}, 
      {Hue[0.43000000000000005`, 1, 1], LineBox[{194, 195}]}, 
      {Hue[0.44000000000000006`, 1, 1], LineBox[{195, 196}]}, 
      {Hue[0.45, 1, 1], LineBox[{196, 197}]}, 
      {Hue[0.46, 1, 1], LineBox[{197, 198}]}, 
      {Hue[0.47000000000000003`, 1, 1], LineBox[{198, 199}]}, 
      {Hue[0.48000000000000004`, 1, 1], LineBox[{199, 200}]}, 
      {Hue[0.49000000000000005`, 1, 1], LineBox[{200, 201}]}, 
      {Hue[4.163336342344337*^-17, 1, 1], LineBox[{201, 202}]}, 
      {Hue[0.010000000000000044`, 1, 1], LineBox[{202, 203}]}, 
      {Hue[0.020000000000000042`, 1, 1], LineBox[{203, 204}]}, 
      {Hue[0.030000000000000047`, 1, 1], LineBox[{204, 205}]}, 
      {Hue[0.04000000000000004, 1, 1], LineBox[{205, 206}]}, 
      {Hue[0.05000000000000004, 1, 1], LineBox[{206, 207}]}, 
      {Hue[0.06000000000000003, 1, 1], LineBox[{207, 208}]}, 
      {Hue[0.07000000000000005, 1, 1], LineBox[{208, 209}]}, 
      {Hue[0.08000000000000004, 1, 1], LineBox[{209, 210}]}, 
      {Hue[0.09000000000000004, 1, 1], LineBox[{210, 211}]}, 
      {Hue[0.10000000000000006`, 1, 1], LineBox[{211, 212}]}, 
      {Hue[0.11000000000000006`, 1, 1], LineBox[{212, 213}]}, 
      {Hue[0.12000000000000004`, 1, 1], LineBox[{213, 214}]}, 
      {Hue[0.13, 1, 1], LineBox[{214, 215}]}, 
      {Hue[0.14000000000000007`, 1, 1], LineBox[{215, 216}]}, 
      {Hue[0.15000000000000005`, 1, 1], LineBox[{216, 217}]}, 
      {Hue[0.16000000000000003`, 1, 1], LineBox[{217, 218}]}, 
      {Hue[0.17000000000000004`, 1, 1], LineBox[{218, 219}]}, 
      {Hue[0.18000000000000005`, 1, 1], LineBox[{219, 220}]}, 
      {Hue[0.19000000000000006`, 1, 1], LineBox[{220, 221}]}, 
      {Hue[0.20000000000000004`, 1, 1], LineBox[{221, 222}]}, 
      {Hue[0.21000000000000005`, 1, 1], LineBox[{222, 223}]}, 
      {Hue[0.22000000000000006`, 1, 1], LineBox[{223, 224}]}, 
      {Hue[0.23000000000000004`, 1, 1], LineBox[{224, 225}]}, 
      {Hue[0.24000000000000007`, 1, 1], LineBox[{225, 226}]}, 
      {Hue[0.25000000000000006`, 1, 1], LineBox[{226, 227}]}, 
      {Hue[0.26, 1, 1], LineBox[{227, 228}]}, 
      {Hue[0.2700000000000001, 1, 1], LineBox[{228, 229}]}, 
      {Hue[0.28, 1, 1], LineBox[{229, 230}]}, 
      {Hue[0.29, 1, 1], LineBox[{230, 231}]}, 
      {Hue[0.3, 1, 1], LineBox[{231, 232}]}, 
      {Hue[0.31, 1, 1], LineBox[{232, 233}]}, 
      {Hue[0.32000000000000006`, 1, 1], LineBox[{233, 234}]}, 
      {Hue[0.33000000000000007`, 1, 1], LineBox[{234, 235}]}, 
      {Hue[0.3400000000000001, 1, 1], LineBox[{235, 236}]}, 
      {Hue[0.35000000000000003`, 1, 1], LineBox[{236, 237}]}, 
      {Hue[0.36000000000000004`, 1, 1], LineBox[{237, 238}]}, 
      {Hue[0.37000000000000005`, 1, 1], LineBox[{238, 239}]}, 
      {Hue[0.38000000000000006`, 1, 1], LineBox[{239, 240}]}, 
      {Hue[0.39000000000000007`, 1, 1], LineBox[{240, 241}]}, 
      {Hue[0.4, 1, 1], LineBox[{241, 242}]}, 
      {Hue[0.41000000000000003`, 1, 1], LineBox[{242, 243}]}, 
      {Hue[0.42000000000000004`, 1, 1], LineBox[{243, 244}]}, 
      {Hue[0.43000000000000005`, 1, 1], LineBox[{244, 245}]}, 
      {Hue[0.44000000000000006`, 1, 1], LineBox[{245, 246}]}, 
      {Hue[0.45000000000000007`, 1, 1], LineBox[{246, 247}]}, 
      {Hue[0.4600000000000001, 1, 1], LineBox[{247, 248}]}, 
      {Hue[0.47000000000000003`, 1, 1], LineBox[{248, 249}]}, 
      {Hue[0.48000000000000004`, 1, 1], LineBox[{249, 250}]}, 
      {Hue[0.49000000000000005`, 1, 1], LineBox[{250, 251}]}, 
      {Hue[0.5, 1, 1], LineBox[{251, 252}]}, 
      {Hue[0.51, 1, 1], LineBox[{252, 253}]}, 
      {Hue[0.52, 1, 1], LineBox[{253, 254}]}, 
      {Hue[0.53, 1, 1], LineBox[{254, 255}]}, 
      {Hue[0.54, 1, 1], LineBox[{255, 256}]}, 
      {Hue[0.55, 1, 1], LineBox[{256, 257}]}, 
      {Hue[0.56, 1, 1], LineBox[{257, 258}]}, 
      {Hue[0.5700000000000001, 1, 1], LineBox[{258, 259}]}, 
      {Hue[0.5800000000000001, 1, 1], LineBox[{259, 260}]}, 
      {Hue[0.5900000000000001, 1, 1], LineBox[{260, 261}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{261, 262}]}, 
      {Hue[0.6100000000000001, 1, 1], LineBox[{262, 263}]}, 
      {Hue[0.6200000000000001, 1, 1], LineBox[{263, 264}]}, 
      {Hue[0.6299999999999999, 1, 1], LineBox[{264, 265}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{265, 266}]}, 
      {Hue[0.6499999999999999, 1, 1], LineBox[{266, 267}]}, 
      {Hue[0.6600000000000001, 1, 1], LineBox[{267, 268}]}, 
      {Hue[0.67, 1, 1], LineBox[{268, 269}]}, 
      {Hue[0.6800000000000002, 1, 1], LineBox[{269, 270}]}, 
      {Hue[0.69, 1, 1], LineBox[{270, 271}]}, 
      {Hue[0.7, 1, 1], LineBox[{271, 272}]}, 
      {Hue[0.71, 1, 1], LineBox[{272, 273}]}, 
      {Hue[0.72, 1, 1], LineBox[{273, 274}]}, 
      {Hue[0.7300000000000001, 1, 1], LineBox[{274, 275}]}, 
      {Hue[0.74, 1, 1], LineBox[{275, 276}]}, 
      {Hue[0.7500000000000001, 1, 1], LineBox[{276, 277}]}, 
      {Hue[0.7599999999999999, 1, 1], LineBox[{277, 278}]}, 
      {Hue[0.77, 1, 1], LineBox[{278, 279}]}, 
      {Hue[0.7799999999999999, 1, 1], LineBox[{279, 280}]}, 
      {Hue[0.79, 1, 1], LineBox[{280, 281}]}, 
      {Hue[0.7999999999999999, 1, 1], LineBox[{281, 282}]}, 
      {Hue[0.81, 1, 1], LineBox[{282, 283}]}, 
      {Hue[0.82, 1, 1], LineBox[{283, 284}]}, 
      {Hue[0.8300000000000001, 1, 1], LineBox[{284, 285}]}, 
      {Hue[0.8400000000000001, 1, 1], LineBox[{285, 286}]}, 
      {Hue[0.8500000000000001, 1, 1], LineBox[{286, 287}]}, 
      {Hue[0.8600000000000001, 1, 1], LineBox[{287, 288}]}, 
      {Hue[0.8700000000000001, 1, 1], LineBox[{288, 289}]}, 
      {Hue[0.8800000000000001, 1, 1], LineBox[{289, 290}]}, 
      {Hue[0.89, 1, 1], LineBox[{290, 291}]}, 
      {Hue[0.8999999999999999, 1, 1], LineBox[{291, 292}]}, 
      {Hue[0.91, 1, 1], LineBox[{292, 293}]}, 
      {Hue[0.9199999999999999, 1, 1], LineBox[{293, 294}]}, 
      {Hue[0.93, 1, 1], LineBox[{294, 295}]}, 
      {Hue[0.9400000000000001, 1, 1], LineBox[{295, 296}]}, 
      {Hue[0.95, 1, 1], LineBox[{296, 297}]}, 
      {Hue[0.9600000000000001, 1, 1], LineBox[{297, 298}]}, 
      {Hue[0.97, 1, 1], LineBox[{298, 299}]}, 
      {Hue[0.9800000000000001, 1, 1], LineBox[{299, 300}]}, 
      {Hue[0.99, 1, 1], LineBox[{300, 301}]}, 
      {Hue[1., 1, 1], LineBox[{301, 302}]}, 
      {Hue[0.5099999999999998, 1, 1], LineBox[{302, 303}]}, 
      {Hue[0.52, 1, 1], LineBox[{303, 304}]}, 
      {Hue[0.53, 1, 1], LineBox[{304, 305}]}, 
      {Hue[0.54, 1, 1], LineBox[{305, 306}]}, 
      {Hue[0.55, 1, 1], LineBox[{306, 307}]}, 
      {Hue[0.56, 1, 1], LineBox[{307, 308}]}, 
      {Hue[0.5700000000000001, 1, 1], LineBox[{308, 309}]}, 
      {Hue[0.5800000000000001, 1, 1], LineBox[{309, 310}]}, 
      {Hue[0.59, 1, 1], LineBox[{310, 311}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{311, 312}]}, 
      {Hue[0.6100000000000001, 1, 1], LineBox[{312, 313}]}, 
      {Hue[0.6200000000000001, 1, 1], LineBox[{313, 314}]}, 
      {Hue[0.6300000000000001, 1, 1], LineBox[{314, 315}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{315, 316}]}, 
      {Hue[0.6500000000000001, 1, 1], LineBox[{316, 317}]}, 
      {Hue[0.66, 1, 1], LineBox[{317, 318}]}, 
      {Hue[0.6700000000000002, 1, 1], LineBox[{318, 319}]}, 
      {Hue[0.6800000000000002, 1, 1], LineBox[{319, 320}]}, 
      {Hue[0.6900000000000002, 1, 1], LineBox[{320, 321}]}, 
      {Hue[0.7000000000000002, 1, 1], LineBox[{321, 322}]}, 
      {Hue[0.71, 1, 1], LineBox[{322, 323}]}, 
      {Hue[0.72, 1, 1], LineBox[{323, 324}]}, 
      {Hue[0.73, 1, 1], LineBox[{324, 325}]}, 
      {Hue[0.74, 1, 1], LineBox[{325, 326}]}, 
      {Hue[0.75, 1, 1], LineBox[{326, 327}]}, 
      {Hue[0.7599999999999999, 1, 1], LineBox[{327, 328}]}, 
      {Hue[0.77, 1, 1], LineBox[{328, 329}]}, 
      {Hue[0.78, 1, 1], LineBox[{329, 330}]}, 
      {Hue[0.79, 1, 1], LineBox[{330, 331}]}, 
      {Hue[0.7999999999999999, 1, 1], LineBox[{331, 332}]}, 
      {Hue[0.8099999999999999, 1, 1], LineBox[{332, 333}]}, 
      {Hue[0.8200000000000001, 1, 1], LineBox[{333, 334}]}, 
      {Hue[0.8300000000000001, 1, 1], LineBox[{334, 335}]}, 
      {Hue[0.84, 1, 1], LineBox[{335, 336}]}, 
      {Hue[0.85, 1, 1], LineBox[{336, 337}]}, 
      {Hue[0.8600000000000002, 1, 1], LineBox[{337, 338}]}, 
      {Hue[0.8700000000000001, 1, 1], LineBox[{338, 339}]}, 
      {Hue[0.88, 1, 1], LineBox[{339, 340}]}, 
      {Hue[0.89, 1, 1], LineBox[{340, 341}]}, 
      {Hue[0.8999999999999999, 1, 1], LineBox[{341, 342}]}, 
      {Hue[0.9100000000000001, 1, 1], LineBox[{342, 343}]}, 
      {Hue[0.9200000000000002, 1, 1], LineBox[{343, 344}]}, 
      {Hue[0.93, 1, 1], LineBox[{344, 345}]}, 
      {Hue[0.94, 1, 1], LineBox[{345, 346}]}, 
      {Hue[0.9500000000000002, 1, 1], LineBox[{346, 347}]}, 
      {Hue[0.9599999999999999, 1, 1], LineBox[{347, 348}]}, 
      {Hue[0.9699999999999999, 1, 1], LineBox[{348, 349}]}, 
      {Hue[0.9800000000000001, 1, 1], LineBox[{349, 350}]}, 
      {Hue[0.99, 1, 1], LineBox[{350, 351}]}, 
      {Hue[0.9999999999999999, 1, 1], LineBox[{351, 352}]}, 
      {Hue[0.009999999999999886, 1, 1], LineBox[{352, 353}]}, 
      {Hue[0.019999999999999827`, 1, 1], LineBox[{353, 354}]}, 
      {Hue[0.030000000000000058`, 1, 1], LineBox[{354, 355}]}, 
      {Hue[0.039999999999999994`, 1, 1], LineBox[{355, 356}]}, 
      {Hue[0.04999999999999994, 1, 1], LineBox[{356, 357}]}, 
      {Hue[0.059999999999999894`, 1, 1], LineBox[{357, 358}]}, 
      {Hue[0.0700000000000001, 1, 1], LineBox[{358, 359}]}, 
      {Hue[0.08000000000000006, 1, 1], LineBox[{359, 360}]}, 
      {Hue[0.09000000000000001, 1, 1], LineBox[{360, 361}]}, 
      {Hue[0.09999999999999994, 1, 1], LineBox[{361, 362}]}, 
      {Hue[0.11000000000000018`, 1, 1], LineBox[{362, 363}]}, 
      {Hue[0.12000000000000012`, 1, 1], LineBox[{363, 364}]}, 
      {Hue[0.13000000000000003`, 1, 1], LineBox[{364, 365}]}, 
      {Hue[0.14, 1, 1], LineBox[{365, 366}]}, 
      {Hue[0.14999999999999994`, 1, 1], LineBox[{366, 367}]}, 
      {Hue[0.16000000000000017`, 1, 1], LineBox[{367, 368}]}, 
      {Hue[0.17000000000000015`, 1, 1], LineBox[{368, 369}]}, 
      {Hue[0.18000000000000005`, 1, 1], LineBox[{369, 370}]}, 
      {Hue[0.19, 1, 1], LineBox[{370, 371}]}, 
      {Hue[0.2000000000000002, 1, 1], LineBox[{371, 372}]}, 
      {Hue[0.2100000000000002, 1, 1], LineBox[{372, 373}]}, 
      {Hue[0.21999999999999983`, 1, 1], LineBox[{373, 374}]}, 
      {Hue[0.23000000000000004`, 1, 1], LineBox[{374, 375}]}, 
      {Hue[0.24, 1, 1], LineBox[{375, 376}]}, 
      {Hue[0.24999999999999994`, 1, 1], LineBox[{376, 377}]}, 
      {Hue[0.2599999999999999, 1, 1], LineBox[{377, 378}]}, 
      {Hue[0.2699999999999998, 1, 1], LineBox[{378, 379}]}, 
      {Hue[0.28, 1, 1], LineBox[{379, 380}]}, 
      {Hue[0.29, 1, 1], LineBox[{380, 381}]}, 
      {Hue[0.29999999999999993`, 1, 1], LineBox[{381, 382}]}, 
      {Hue[0.3099999999999999, 1, 1], LineBox[{382, 383}]}, 
      {Hue[0.3200000000000001, 1, 1], LineBox[{383, 384}]}, 
      {Hue[0.33000000000000007`, 1, 1], LineBox[{384, 385}]}, 
      {Hue[0.33999999999999997`, 1, 1], LineBox[{385, 386}]}, 
      {Hue[0.3499999999999999, 1, 1], LineBox[{386, 387}]}, 
      {Hue[0.36000000000000015`, 1, 1], LineBox[{387, 388}]}, 
      {Hue[0.3700000000000001, 1, 1], LineBox[{388, 389}]}, 
      {Hue[0.38000000000000006`, 1, 1], LineBox[{389, 390}]}, 
      {Hue[0.39, 1, 1], LineBox[{390, 391}]}, 
      {Hue[0.3999999999999999, 1, 1], LineBox[{391, 392}]}, 
      {Hue[0.41000000000000014`, 1, 1], LineBox[{392, 393}]}, 
      {Hue[0.4200000000000001, 1, 1], LineBox[{393, 394}]}, 
      {Hue[0.43000000000000005`, 1, 1], LineBox[{394, 395}]}, 
      {Hue[0.44, 1, 1], LineBox[{395, 396}]}, 
      {Hue[0.45000000000000023`, 1, 1], LineBox[{396, 397}]}, 
      {Hue[0.4600000000000002, 1, 1], LineBox[{397, 398}]}, 
      {Hue[0.4699999999999998, 1, 1], LineBox[{398, 399}]}, 
      {Hue[0.48000000000000004`, 1, 1], LineBox[{399, 400}]}, 
      {Hue[0.49, 1, 1], LineBox[{400, 401}]}}}},
   VertexColors->{
     Hue[0., 1, 1], 
     Hue[0.010000000000000023`, 1, 1], 
     Hue[0.019999999999999973`, 1, 1], 
     Hue[0.030000000000000197`, 1, 1], 
     Hue[0.040000000000000126`, 1, 1], 
     Hue[0.05000000000000008, 1, 1], 
     Hue[0.060000000000000026`, 1, 1], 
     Hue[0.07000000000000026, 1, 1], 
     Hue[0.08000000000000021, 1, 1], 
     Hue[0.09000000000000014, 1, 1], 
     Hue[0.10000000000000009`, 1, 1], 
     Hue[0.1100000000000003, 1, 1], 
     Hue[0.12000000000000025`, 1, 1], 
     Hue[0.1299999999999999, 1, 1], 
     Hue[0.13999999999999985`, 1, 1], 
     Hue[0.15000000000000008`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16999999999999996`, 1, 1], 
     Hue[0.1799999999999999, 1, 1], 
     Hue[0.19000000000000014`, 1, 1], 
     Hue[0.20000000000000007`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21999999999999997`, 1, 1], 
     Hue[0.23000000000000018`, 1, 1], 
     Hue[0.24000000000000013`, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.26999999999999996`, 1, 1], 
     Hue[0.2800000000000002, 1, 1], 
     Hue[0.29000000000000015`, 1, 1], 
     Hue[0.3000000000000001, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000023`, 1, 1], 
     Hue[0.3300000000000002, 1, 1], 
     Hue[0.34000000000000014`, 1, 1], 
     Hue[0.3500000000000001, 1, 1], 
     Hue[0.3600000000000003, 1, 1], 
     Hue[0.3700000000000003, 1, 1], 
     Hue[0.38000000000000017`, 1, 1], 
     Hue[0.38999999999999985`, 1, 1], 
     Hue[0.4000000000000001, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.42, 1, 1], 
     Hue[0.42999999999999994`, 1, 1], 
     Hue[0.4400000000000001, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47, 1, 1], 
     Hue[0.4800000000000002, 1, 1], 
     Hue[0.49000000000000016`, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.5300000000000002, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000003, 1, 1], 
     Hue[0.5800000000000002, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000003, 1, 1], 
     Hue[0.6200000000000002, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.6699999999999999, 1, 1], 
     Hue[0.6799999999999999, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7000000000000001, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8500000000000002, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8700000000000002, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.8900000000000001, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.96, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.9900000000000001, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.5600000000000002, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5899999999999999, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6099999999999999, 1, 1], 
     Hue[0.62, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7100000000000002, 1, 1], 
     Hue[0.7200000000000001, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.86, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.9, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.92, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[9.016985208400837*^-17, 1, 1], 
     Hue[0.010000000000000035`, 1, 1], 
     Hue[0.020000000000000046`, 1, 1], 
     Hue[0.030000000000000065`, 1, 1], 
     Hue[0.04000000000000008, 1, 1], 
     Hue[0.050000000000000086`, 1, 1], 
     Hue[0.06000000000000012, 1, 1], 
     Hue[0.07000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000008, 1, 1], 
     Hue[0.10000000000000003`, 1, 1], 
     Hue[0.11000000000000003`, 1, 1], 
     Hue[0.12000000000000006`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.15, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000008`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.22000000000000003`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.2400000000000001, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.26000000000000006`, 1, 1], 
     Hue[0.27, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29000000000000004`, 1, 1], 
     Hue[0.30000000000000004`, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.3600000000000001, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4100000000000001, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[4.163336342344337*^-17, 1, 1], 
     Hue[0.010000000000000044`, 1, 1], 
     Hue[0.020000000000000042`, 1, 1], 
     Hue[0.030000000000000047`, 1, 1], 
     Hue[0.04000000000000004, 1, 1], 
     Hue[0.05000000000000004, 1, 1], 
     Hue[0.06000000000000003, 1, 1], 
     Hue[0.07000000000000005, 1, 1], 
     Hue[0.08000000000000004, 1, 1], 
     Hue[0.09000000000000004, 1, 1], 
     Hue[0.10000000000000006`, 1, 1], 
     Hue[0.11000000000000006`, 1, 1], 
     Hue[0.12000000000000004`, 1, 1], 
     Hue[0.13, 1, 1], 
     Hue[0.14000000000000007`, 1, 1], 
     Hue[0.15000000000000005`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000005`, 1, 1], 
     Hue[0.22000000000000006`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.24000000000000007`, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.2700000000000001, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.3, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.36000000000000004`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.4600000000000001, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.69, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.7300000000000001, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.7500000000000001, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.7799999999999999, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.82, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8500000000000001, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.95, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.97, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[1., 1, 1], 
     Hue[0.5099999999999998, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.59, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.6700000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000002, 1, 1], 
     Hue[0.7000000000000002, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.8099999999999999, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.84, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.8600000000000002, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.9100000000000001, 1, 1], 
     Hue[0.9200000000000002, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.9500000000000002, 1, 1], 
     Hue[0.9599999999999999, 1, 1], 
     Hue[0.9699999999999999, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.9999999999999999, 1, 1], 
     Hue[0.009999999999999886, 1, 1], 
     Hue[0.019999999999999827`, 1, 1], 
     Hue[0.030000000000000058`, 1, 1], 
     Hue[0.039999999999999994`, 1, 1], 
     Hue[0.04999999999999994, 1, 1], 
     Hue[0.059999999999999894`, 1, 1], 
     Hue[0.0700000000000001, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000001, 1, 1], 
     Hue[0.09999999999999994, 1, 1], 
     Hue[0.11000000000000018`, 1, 1], 
     Hue[0.12000000000000012`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14999999999999994`, 1, 1], 
     Hue[0.16000000000000017`, 1, 1], 
     Hue[0.17000000000000015`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.19, 1, 1], 
     Hue[0.2000000000000002, 1, 1], 
     Hue[0.2100000000000002, 1, 1], 
     Hue[0.21999999999999983`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.24, 1, 1], 
     Hue[0.24999999999999994`, 1, 1], 
     Hue[0.2599999999999999, 1, 1], 
     Hue[0.2699999999999998, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.29999999999999993`, 1, 1], 
     Hue[0.3099999999999999, 1, 1], 
     Hue[0.3200000000000001, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33999999999999997`, 1, 1], 
     Hue[0.3499999999999999, 1, 1], 
     Hue[0.36000000000000015`, 1, 1], 
     Hue[0.3700000000000001, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39, 1, 1], 
     Hue[0.3999999999999999, 1, 1], 
     Hue[0.41000000000000014`, 1, 1], 
     Hue[0.4200000000000001, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44, 1, 1], 
     Hue[0.45000000000000023`, 1, 1], 
     Hue[0.4600000000000002, 1, 1], 
     Hue[0.4699999999999998, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49, 1, 1], 
     Hue[0.49999999999999994`, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.010000000000000023`, 1, 1], 
     Hue[0.010000000000000023`, 1, 1], 
     Hue[0.019999999999999973`, 1, 1], 
     Hue[0.019999999999999973`, 1, 1], 
     Hue[0.030000000000000197`, 1, 1], 
     Hue[0.030000000000000197`, 1, 1], 
     Hue[0.040000000000000126`, 1, 1], 
     Hue[0.040000000000000126`, 1, 1], 
     Hue[0.05000000000000008, 1, 1], 
     Hue[0.05000000000000008, 1, 1], 
     Hue[0.060000000000000026`, 1, 1], 
     Hue[0.060000000000000026`, 1, 1], 
     Hue[0.07000000000000026, 1, 1], 
     Hue[0.07000000000000026, 1, 1], 
     Hue[0.08000000000000021, 1, 1], 
     Hue[0.08000000000000021, 1, 1], 
     Hue[0.09000000000000014, 1, 1], 
     Hue[0.09000000000000014, 1, 1], 
     Hue[0.10000000000000009`, 1, 1], 
     Hue[0.10000000000000009`, 1, 1], 
     Hue[0.1100000000000003, 1, 1], 
     Hue[0.1100000000000003, 1, 1], 
     Hue[0.12000000000000025`, 1, 1], 
     Hue[0.12000000000000025`, 1, 1], 
     Hue[0.1299999999999999, 1, 1], 
     Hue[0.1299999999999999, 1, 1], 
     Hue[0.13999999999999985`, 1, 1], 
     Hue[0.13999999999999985`, 1, 1], 
     Hue[0.15000000000000008`, 1, 1], 
     Hue[0.15000000000000008`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16999999999999996`, 1, 1], 
     Hue[0.16999999999999996`, 1, 1], 
     Hue[0.1799999999999999, 1, 1], 
     Hue[0.1799999999999999, 1, 1], 
     Hue[0.19000000000000014`, 1, 1], 
     Hue[0.19000000000000014`, 1, 1], 
     Hue[0.20000000000000007`, 1, 1], 
     Hue[0.20000000000000007`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21999999999999997`, 1, 1], 
     Hue[0.21999999999999997`, 1, 1], 
     Hue[0.23000000000000018`, 1, 1], 
     Hue[0.23000000000000018`, 1, 1], 
     Hue[0.24000000000000013`, 1, 1], 
     Hue[0.24000000000000013`, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.26999999999999996`, 1, 1], 
     Hue[0.26999999999999996`, 1, 1], 
     Hue[0.2800000000000002, 1, 1], 
     Hue[0.2800000000000002, 1, 1], 
     Hue[0.29000000000000015`, 1, 1], 
     Hue[0.29000000000000015`, 1, 1], 
     Hue[0.3000000000000001, 1, 1], 
     Hue[0.3000000000000001, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000023`, 1, 1], 
     Hue[0.32000000000000023`, 1, 1], 
     Hue[0.3300000000000002, 1, 1], 
     Hue[0.3300000000000002, 1, 1], 
     Hue[0.34000000000000014`, 1, 1], 
     Hue[0.34000000000000014`, 1, 1], 
     Hue[0.3500000000000001, 1, 1], 
     Hue[0.3500000000000001, 1, 1], 
     Hue[0.3600000000000003, 1, 1], 
     Hue[0.3600000000000003, 1, 1], 
     Hue[0.3700000000000003, 1, 1], 
     Hue[0.3700000000000003, 1, 1], 
     Hue[0.38000000000000017`, 1, 1], 
     Hue[0.38000000000000017`, 1, 1], 
     Hue[0.38999999999999985`, 1, 1], 
     Hue[0.38999999999999985`, 1, 1], 
     Hue[0.4000000000000001, 1, 1], 
     Hue[0.4000000000000001, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.42, 1, 1], 
     Hue[0.42, 1, 1], 
     Hue[0.42999999999999994`, 1, 1], 
     Hue[0.42999999999999994`, 1, 1], 
     Hue[0.4400000000000001, 1, 1], 
     Hue[0.4400000000000001, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47, 1, 1], 
     Hue[0.47, 1, 1], 
     Hue[0.4800000000000002, 1, 1], 
     Hue[0.4800000000000002, 1, 1], 
     Hue[0.49000000000000016`, 1, 1], 
     Hue[0.49000000000000016`, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.5300000000000002, 1, 1], 
     Hue[0.5300000000000002, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000003, 1, 1], 
     Hue[0.5700000000000003, 1, 1], 
     Hue[0.5800000000000002, 1, 1], 
     Hue[0.5800000000000002, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000003, 1, 1], 
     Hue[0.6100000000000003, 1, 1], 
     Hue[0.6200000000000002, 1, 1], 
     Hue[0.6200000000000002, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.6699999999999999, 1, 1], 
     Hue[0.6699999999999999, 1, 1], 
     Hue[0.6799999999999999, 1, 1], 
     Hue[0.6799999999999999, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7000000000000001, 1, 1], 
     Hue[0.7000000000000001, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8500000000000002, 1, 1], 
     Hue[0.8500000000000002, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8700000000000002, 1, 1], 
     Hue[0.8700000000000002, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.8900000000000001, 1, 1], 
     Hue[0.8900000000000001, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.96, 1, 1], 
     Hue[0.96, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.9900000000000001, 1, 1], 
     Hue[0.9900000000000001, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.5600000000000002, 1, 1], 
     Hue[0.5600000000000002, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5899999999999999, 1, 1], 
     Hue[0.5899999999999999, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6099999999999999, 1, 1], 
     Hue[0.6099999999999999, 1, 1], 
     Hue[0.62, 1, 1], 
     Hue[0.62, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7100000000000002, 1, 1], 
     Hue[0.7100000000000002, 1, 1], 
     Hue[0.7200000000000001, 1, 1], 
     Hue[0.7200000000000001, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.86, 1, 1], 
     Hue[0.86, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.9, 1, 1], 
     Hue[0.9, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.92, 1, 1], 
     Hue[0.92, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[9.016985208400837*^-17, 1, 1], 
     Hue[9.016985208400837*^-17, 1, 1], 
     Hue[0.010000000000000035`, 1, 1], 
     Hue[0.010000000000000035`, 1, 1], 
     Hue[0.020000000000000046`, 1, 1], 
     Hue[0.020000000000000046`, 1, 1], 
     Hue[0.030000000000000065`, 1, 1], 
     Hue[0.030000000000000065`, 1, 1], 
     Hue[0.04000000000000008, 1, 1], 
     Hue[0.04000000000000008, 1, 1], 
     Hue[0.050000000000000086`, 1, 1], 
     Hue[0.050000000000000086`, 1, 1], 
     Hue[0.06000000000000012, 1, 1], 
     Hue[0.06000000000000012, 1, 1], 
     Hue[0.07000000000000006, 1, 1], 
     Hue[0.07000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000008, 1, 1], 
     Hue[0.09000000000000008, 1, 1], 
     Hue[0.10000000000000003`, 1, 1], 
     Hue[0.10000000000000003`, 1, 1], 
     Hue[0.11000000000000003`, 1, 1], 
     Hue[0.11000000000000003`, 1, 1], 
     Hue[0.12000000000000006`, 1, 1], 
     Hue[0.12000000000000006`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.15, 1, 1], 
     Hue[0.15, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000008`, 1, 1], 
     Hue[0.18000000000000008`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.22000000000000003`, 1, 1], 
     Hue[0.22000000000000003`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.2400000000000001, 1, 1], 
     Hue[0.2400000000000001, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.26000000000000006`, 1, 1], 
     Hue[0.26000000000000006`, 1, 1], 
     Hue[0.27, 1, 1], 
     Hue[0.27, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29000000000000004`, 1, 1], 
     Hue[0.29000000000000004`, 1, 1], 
     Hue[0.30000000000000004`, 1, 1], 
     Hue[0.30000000000000004`, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.3600000000000001, 1, 1], 
     Hue[0.3600000000000001, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4100000000000001, 1, 1], 
     Hue[0.4100000000000001, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45, 1, 1], 
     Hue[0.45, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.010000000000000044`, 1, 1], 
     Hue[0.010000000000000044`, 1, 1], 
     Hue[0.020000000000000042`, 1, 1], 
     Hue[0.020000000000000042`, 1, 1], 
     Hue[0.030000000000000047`, 1, 1], 
     Hue[0.030000000000000047`, 1, 1], 
     Hue[0.04000000000000004, 1, 1], 
     Hue[0.04000000000000004, 1, 1], 
     Hue[0.05000000000000004, 1, 1], 
     Hue[0.05000000000000004, 1, 1], 
     Hue[0.06000000000000003, 1, 1], 
     Hue[0.06000000000000003, 1, 1], 
     Hue[0.07000000000000005, 1, 1], 
     Hue[0.07000000000000005, 1, 1], 
     Hue[0.08000000000000004, 1, 1], 
     Hue[0.08000000000000004, 1, 1], 
     Hue[0.09000000000000004, 1, 1], 
     Hue[0.09000000000000004, 1, 1], 
     Hue[0.10000000000000006`, 1, 1], 
     Hue[0.10000000000000006`, 1, 1], 
     Hue[0.11000000000000006`, 1, 1], 
     Hue[0.11000000000000006`, 1, 1], 
     Hue[0.12000000000000004`, 1, 1], 
     Hue[0.12000000000000004`, 1, 1], 
     Hue[0.13, 1, 1], 
     Hue[0.13, 1, 1], 
     Hue[0.14000000000000007`, 1, 1], 
     Hue[0.14000000000000007`, 1, 1], 
     Hue[0.15000000000000005`, 1, 1], 
     Hue[0.15000000000000005`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000005`, 1, 1], 
     Hue[0.21000000000000005`, 1, 1], 
     Hue[0.22000000000000006`, 1, 1], 
     Hue[0.22000000000000006`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.24000000000000007`, 1, 1], 
     Hue[0.24000000000000007`, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.2700000000000001, 1, 1], 
     Hue[0.2700000000000001, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.3, 1, 1], 
     Hue[0.3, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.36000000000000004`, 1, 1], 
     Hue[0.36000000000000004`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.4600000000000001, 1, 1], 
     Hue[0.4600000000000001, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.69, 1, 1], 
     Hue[0.69, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.7300000000000001, 1, 1], 
     Hue[0.7300000000000001, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.7500000000000001, 1, 1], 
     Hue[0.7500000000000001, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.7799999999999999, 1, 1], 
     Hue[0.7799999999999999, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.82, 1, 1], 
     Hue[0.82, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8500000000000001, 1, 1], 
     Hue[0.8500000000000001, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.95, 1, 1], 
     Hue[0.95, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.97, 1, 1], 
     Hue[0.97, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.5099999999999998, 1, 1], 
     Hue[0.5099999999999998, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.59, 1, 1], 
     Hue[0.59, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.6700000000000002, 1, 1], 
     Hue[0.6700000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000002, 1, 1], 
     Hue[0.6900000000000002, 1, 1], 
     Hue[0.7000000000000002, 1, 1], 
     Hue[0.7000000000000002, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.8099999999999999, 1, 1], 
     Hue[0.8099999999999999, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.84, 1, 1], 
     Hue[0.84, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.8600000000000002, 1, 1], 
     Hue[0.8600000000000002, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.9100000000000001, 1, 1], 
     Hue[0.9100000000000001, 1, 1], 
     Hue[0.9200000000000002, 1, 1], 
     Hue[0.9200000000000002, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.9500000000000002, 1, 1], 
     Hue[0.9500000000000002, 1, 1], 
     Hue[0.9599999999999999, 1, 1], 
     Hue[0.9599999999999999, 1, 1], 
     Hue[0.9699999999999999, 1, 1], 
     Hue[0.9699999999999999, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.9999999999999999, 1, 1], 
     Hue[0.9999999999999999, 1, 1], 
     Hue[0.009999999999999886, 1, 1], 
     Hue[0.009999999999999886, 1, 1], 
     Hue[0.019999999999999827`, 1, 1], 
     Hue[0.019999999999999827`, 1, 1], 
     Hue[0.030000000000000058`, 1, 1], 
     Hue[0.030000000000000058`, 1, 1], 
     Hue[0.039999999999999994`, 1, 1], 
     Hue[0.039999999999999994`, 1, 1], 
     Hue[0.04999999999999994, 1, 1], 
     Hue[0.04999999999999994, 1, 1], 
     Hue[0.059999999999999894`, 1, 1], 
     Hue[0.059999999999999894`, 1, 1], 
     Hue[0.0700000000000001, 1, 1], 
     Hue[0.0700000000000001, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000001, 1, 1], 
     Hue[0.09000000000000001, 1, 1], 
     Hue[0.09999999999999994, 1, 1], 
     Hue[0.09999999999999994, 1, 1], 
     Hue[0.11000000000000018`, 1, 1], 
     Hue[0.11000000000000018`, 1, 1], 
     Hue[0.12000000000000012`, 1, 1], 
     Hue[0.12000000000000012`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14999999999999994`, 1, 1], 
     Hue[0.14999999999999994`, 1, 1], 
     Hue[0.16000000000000017`, 1, 1], 
     Hue[0.16000000000000017`, 1, 1], 
     Hue[0.17000000000000015`, 1, 1], 
     Hue[0.17000000000000015`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.19, 1, 1], 
     Hue[0.19, 1, 1], 
     Hue[0.2000000000000002, 1, 1], 
     Hue[0.2000000000000002, 1, 1], 
     Hue[0.2100000000000002, 1, 1], 
     Hue[0.2100000000000002, 1, 1], 
     Hue[0.21999999999999983`, 1, 1], 
     Hue[0.21999999999999983`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.24, 1, 1], 
     Hue[0.24, 1, 1], 
     Hue[0.24999999999999994`, 1, 1], 
     Hue[0.24999999999999994`, 1, 1], 
     Hue[0.2599999999999999, 1, 1], 
     Hue[0.2599999999999999, 1, 1], 
     Hue[0.2699999999999998, 1, 1], 
     Hue[0.2699999999999998, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.29999999999999993`, 1, 1], 
     Hue[0.29999999999999993`, 1, 1], 
     Hue[0.3099999999999999, 1, 1], 
     Hue[0.3099999999999999, 1, 1], 
     Hue[0.3200000000000001, 1, 1], 
     Hue[0.3200000000000001, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33999999999999997`, 1, 1], 
     Hue[0.33999999999999997`, 1, 1], 
     Hue[0.3499999999999999, 1, 1], 
     Hue[0.3499999999999999, 1, 1], 
     Hue[0.36000000000000015`, 1, 1], 
     Hue[0.36000000000000015`, 1, 1], 
     Hue[0.3700000000000001, 1, 1], 
     Hue[0.3700000000000001, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39, 1, 1], 
     Hue[0.39, 1, 1], 
     Hue[0.3999999999999999, 1, 1], 
     Hue[0.3999999999999999, 1, 1], 
     Hue[0.41000000000000014`, 1, 1], 
     Hue[0.41000000000000014`, 1, 1], 
     Hue[0.4200000000000001, 1, 1], 
     Hue[0.4200000000000001, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44, 1, 1], 
     Hue[0.44, 1, 1], 
     Hue[0.45000000000000023`, 1, 1], 
     Hue[0.45000000000000023`, 1, 1], 
     Hue[0.4600000000000002, 1, 1], 
     Hue[0.4600000000000002, 1, 1], 
     Hue[0.4699999999999998, 1, 1], 
     Hue[0.4699999999999998, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49, 1, 1], 
     Hue[0.49, 1, 1], 
     Hue[0.49999999999999994`, 1, 1]}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{0., 401.}, {0., 1.}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{
  3.3897310061193776`*^9, 3.3897310391068115`*^9, 3.3897330573110657`*^9, 
   3.390893986177232*^9, 3.391779917625976*^9, {3.3917801491542673`*^9, 
   3.391780155975005*^9}, 3.3918486955625*^9, 3.392469646202414*^9, 
   3.393842379364842*^9, 3.393847000771534*^9}]
}, Open  ]],

Cell["\<\
If, like here, the complex values come from the discretization of a function \
of a real variable x, we want to have x-values on the horizontal axis, and \
not the index of the complex list. This can be done with the option \
QHorizontalRange which specifies the range of x-values on the horizontal \
axis:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QListArgColorPlot", "[", 
  RowBox[{"mytab", ",", 
   RowBox[{"Axes", "\[Rule]", "True"}], ",", 
   RowBox[{"QHorizontalRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "2"}], ",", "2"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJyFm3mM3VUVx59QQYpFCq0QgYpBDIhCohKjLIdEEohRpENJsS1LVMCNpTWk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   "], {
    {GrayLevel[0.5], EdgeForm[None], 
     GraphicsGroupBox[{
       PolygonBox[{{1, 402, 2}, {201, 798, 202}, {100, 599, 101}, {101, 600, 
        102}, {301, 996, 302}, {300, 995, 301}, {200, 797, 201}, {400, 1193, 
        401}}], PolygonBox[CompressedData["
1:eJwtmHncp2MZxe9rIWqylJgW01AmJEkaGtSQhFTTJMkyTUhIiBFJYixNsgwi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        "]]}]}, {{}, {}, {
      {Hue[0., 1, 1], LineBox[{1, 2}]}, 
      {Hue[0.010000000000000023`, 1, 1], LineBox[{2, 3}]}, 
      {Hue[0.019999999999999973`, 1, 1], LineBox[{3, 4}]}, 
      {Hue[0.030000000000000197`, 1, 1], LineBox[{4, 5}]}, 
      {Hue[0.040000000000000126`, 1, 1], LineBox[{5, 6}]}, 
      {Hue[0.05000000000000008, 1, 1], LineBox[{6, 7}]}, 
      {Hue[0.060000000000000026`, 1, 1], LineBox[{7, 8}]}, 
      {Hue[0.07000000000000026, 1, 1], LineBox[{8, 9}]}, 
      {Hue[0.08000000000000021, 1, 1], LineBox[{9, 10}]}, 
      {Hue[0.09000000000000014, 1, 1], LineBox[{10, 11}]}, 
      {Hue[0.10000000000000009`, 1, 1], LineBox[{11, 12}]}, 
      {Hue[0.1100000000000003, 1, 1], LineBox[{12, 13}]}, 
      {Hue[0.12000000000000025`, 1, 1], LineBox[{13, 14}]}, 
      {Hue[0.1299999999999999, 1, 1], LineBox[{14, 15}]}, 
      {Hue[0.13999999999999985`, 1, 1], LineBox[{15, 16}]}, 
      {Hue[0.15000000000000008`, 1, 1], LineBox[{16, 17}]}, 
      {Hue[0.16000000000000003`, 1, 1], LineBox[{17, 18}]}, 
      {Hue[0.16999999999999996`, 1, 1], LineBox[{18, 19}]}, 
      {Hue[0.1799999999999999, 1, 1], LineBox[{19, 20}]}, 
      {Hue[0.19000000000000014`, 1, 1], LineBox[{20, 21}]}, 
      {Hue[0.20000000000000007`, 1, 1], LineBox[{21, 22}]}, 
      {Hue[0.21000000000000002`, 1, 1], LineBox[{22, 23}]}, 
      {Hue[0.21999999999999997`, 1, 1], LineBox[{23, 24}]}, 
      {Hue[0.23000000000000018`, 1, 1], LineBox[{24, 25}]}, 
      {Hue[0.24000000000000013`, 1, 1], LineBox[{25, 26}]}, 
      {Hue[0.25, 1, 1], LineBox[{26, 27}]}, 
      {Hue[0.26, 1, 1], LineBox[{27, 28}]}, 
      {Hue[0.26999999999999996`, 1, 1], LineBox[{28, 29}]}, 
      {Hue[0.2800000000000002, 1, 1], LineBox[{29, 30}]}, 
      {Hue[0.29000000000000015`, 1, 1], LineBox[{30, 31}]}, 
      {Hue[0.3000000000000001, 1, 1], LineBox[{31, 32}]}, 
      {Hue[0.31, 1, 1], LineBox[{32, 33}]}, 
      {Hue[0.32000000000000023`, 1, 1], LineBox[{33, 34}]}, 
      {Hue[0.3300000000000002, 1, 1], LineBox[{34, 35}]}, 
      {Hue[0.34000000000000014`, 1, 1], LineBox[{35, 36}]}, 
      {Hue[0.3500000000000001, 1, 1], LineBox[{36, 37}]}, 
      {Hue[0.3600000000000003, 1, 1], LineBox[{37, 38}]}, 
      {Hue[0.3700000000000003, 1, 1], LineBox[{38, 39}]}, 
      {Hue[0.38000000000000017`, 1, 1], LineBox[{39, 40}]}, 
      {Hue[0.38999999999999985`, 1, 1], LineBox[{40, 41}]}, 
      {Hue[0.4000000000000001, 1, 1], LineBox[{41, 42}]}, 
      {Hue[0.41000000000000003`, 1, 1], LineBox[{42, 43}]}, 
      {Hue[0.42, 1, 1], LineBox[{43, 44}]}, 
      {Hue[0.42999999999999994`, 1, 1], LineBox[{44, 45}]}, 
      {Hue[0.4400000000000001, 1, 1], LineBox[{45, 46}]}, 
      {Hue[0.45000000000000007`, 1, 1], LineBox[{46, 47}]}, 
      {Hue[0.46, 1, 1], LineBox[{47, 48}]}, 
      {Hue[0.47, 1, 1], LineBox[{48, 49}]}, 
      {Hue[0.4800000000000002, 1, 1], LineBox[{49, 50}]}, 
      {Hue[0.49000000000000016`, 1, 1], LineBox[{50, 51}]}, 
      {Hue[0.5, 1, 1], LineBox[{51, 52}]}, 
      {Hue[0.51, 1, 1], LineBox[{52, 53}]}, 
      {Hue[0.52, 1, 1], LineBox[{53, 54}]}, 
      {Hue[0.5300000000000002, 1, 1], LineBox[{54, 55}]}, 
      {Hue[0.54, 1, 1], LineBox[{55, 56}]}, 
      {Hue[0.55, 1, 1], LineBox[{56, 57}]}, 
      {Hue[0.56, 1, 1], LineBox[{57, 58}]}, 
      {Hue[0.5700000000000003, 1, 1], LineBox[{58, 59}]}, 
      {Hue[0.5800000000000002, 1, 1], LineBox[{59, 60}]}, 
      {Hue[0.5900000000000001, 1, 1], LineBox[{60, 61}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{61, 62}]}, 
      {Hue[0.6100000000000003, 1, 1], LineBox[{62, 63}]}, 
      {Hue[0.6200000000000002, 1, 1], LineBox[{63, 64}]}, 
      {Hue[0.6300000000000001, 1, 1], LineBox[{64, 65}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{65, 66}]}, 
      {Hue[0.6500000000000001, 1, 1], LineBox[{66, 67}]}, 
      {Hue[0.66, 1, 1], LineBox[{67, 68}]}, 
      {Hue[0.6699999999999999, 1, 1], LineBox[{68, 69}]}, 
      {Hue[0.6799999999999999, 1, 1], LineBox[{69, 70}]}, 
      {Hue[0.6900000000000001, 1, 1], LineBox[{70, 71}]}, 
      {Hue[0.7000000000000001, 1, 1], LineBox[{71, 72}]}, 
      {Hue[0.71, 1, 1], LineBox[{72, 73}]}, 
      {Hue[0.72, 1, 1], LineBox[{73, 74}]}, 
      {Hue[0.73, 1, 1], LineBox[{74, 75}]}, 
      {Hue[0.7400000000000001, 1, 1], LineBox[{75, 76}]}, 
      {Hue[0.75, 1, 1], LineBox[{76, 77}]}, 
      {Hue[0.76, 1, 1], LineBox[{77, 78}]}, 
      {Hue[0.77, 1, 1], LineBox[{78, 79}]}, 
      {Hue[0.78, 1, 1], LineBox[{79, 80}]}, 
      {Hue[0.79, 1, 1], LineBox[{80, 81}]}, 
      {Hue[0.8, 1, 1], LineBox[{81, 82}]}, 
      {Hue[0.81, 1, 1], LineBox[{82, 83}]}, 
      {Hue[0.8200000000000001, 1, 1], LineBox[{83, 84}]}, 
      {Hue[0.8300000000000002, 1, 1], LineBox[{84, 85}]}, 
      {Hue[0.8400000000000001, 1, 1], LineBox[{85, 86}]}, 
      {Hue[0.8500000000000002, 1, 1], LineBox[{86, 87}]}, 
      {Hue[0.8600000000000001, 1, 1], LineBox[{87, 88}]}, 
      {Hue[0.8700000000000002, 1, 1], LineBox[{88, 89}]}, 
      {Hue[0.8800000000000001, 1, 1], LineBox[{89, 90}]}, 
      {Hue[0.8900000000000001, 1, 1], LineBox[{90, 91}]}, 
      {Hue[0.8999999999999999, 1, 1], LineBox[{91, 92}]}, 
      {Hue[0.91, 1, 1], LineBox[{92, 93}]}, 
      {Hue[0.9199999999999999, 1, 1], LineBox[{93, 94}]}, 
      {Hue[0.93, 1, 1], LineBox[{94, 95}]}, 
      {Hue[0.94, 1, 1], LineBox[{95, 96}]}, 
      {Hue[0.9500000000000001, 1, 1], LineBox[{96, 97}]}, 
      {Hue[0.96, 1, 1], LineBox[{97, 98}]}, 
      {Hue[0.9700000000000001, 1, 1], LineBox[{98, 99}]}, 
      {Hue[0.98, 1, 1], LineBox[{99, 100}]}, 
      {Hue[0.9900000000000001, 1, 1], LineBox[{100, 101}]}, 
      {Hue[0., 1, 1], LineBox[{101, 102}]}, 
      {Hue[0.51, 1, 1], LineBox[{102, 103}]}, 
      {Hue[0.52, 1, 1], LineBox[{103, 104}]}, 
      {Hue[0.53, 1, 1], LineBox[{104, 105}]}, 
      {Hue[0.54, 1, 1], LineBox[{105, 106}]}, 
      {Hue[0.55, 1, 1], LineBox[{106, 107}]}, 
      {Hue[0.5600000000000002, 1, 1], LineBox[{107, 108}]}, 
      {Hue[0.5700000000000001, 1, 1], LineBox[{108, 109}]}, 
      {Hue[0.5800000000000001, 1, 1], LineBox[{109, 110}]}, 
      {Hue[0.5899999999999999, 1, 1], LineBox[{110, 111}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{111, 112}]}, 
      {Hue[0.6099999999999999, 1, 1], LineBox[{112, 113}]}, 
      {Hue[0.62, 1, 1], LineBox[{113, 114}]}, 
      {Hue[0.6299999999999999, 1, 1], LineBox[{114, 115}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{115, 116}]}, 
      {Hue[0.6499999999999999, 1, 1], LineBox[{116, 117}]}, 
      {Hue[0.6600000000000001, 1, 1], LineBox[{117, 118}]}, 
      {Hue[0.67, 1, 1], LineBox[{118, 119}]}, 
      {Hue[0.6800000000000002, 1, 1], LineBox[{119, 120}]}, 
      {Hue[0.6900000000000001, 1, 1], LineBox[{120, 121}]}, 
      {Hue[0.7, 1, 1], LineBox[{121, 122}]}, 
      {Hue[0.7100000000000002, 1, 1], LineBox[{122, 123}]}, 
      {Hue[0.7200000000000001, 1, 1], LineBox[{123, 124}]}, 
      {Hue[0.73, 1, 1], LineBox[{124, 125}]}, 
      {Hue[0.7400000000000001, 1, 1], LineBox[{125, 126}]}, 
      {Hue[0.75, 1, 1], LineBox[{126, 127}]}, 
      {Hue[0.76, 1, 1], LineBox[{127, 128}]}, 
      {Hue[0.77, 1, 1], LineBox[{128, 129}]}, 
      {Hue[0.78, 1, 1], LineBox[{129, 130}]}, 
      {Hue[0.79, 1, 1], LineBox[{130, 131}]}, 
      {Hue[0.8, 1, 1], LineBox[{131, 132}]}, 
      {Hue[0.81, 1, 1], LineBox[{132, 133}]}, 
      {Hue[0.8200000000000001, 1, 1], LineBox[{133, 134}]}, 
      {Hue[0.8300000000000002, 1, 1], LineBox[{134, 135}]}, 
      {Hue[0.8400000000000001, 1, 1], LineBox[{135, 136}]}, 
      {Hue[0.85, 1, 1], LineBox[{136, 137}]}, 
      {Hue[0.86, 1, 1], LineBox[{137, 138}]}, 
      {Hue[0.8700000000000001, 1, 1], LineBox[{138, 139}]}, 
      {Hue[0.88, 1, 1], LineBox[{139, 140}]}, 
      {Hue[0.89, 1, 1], LineBox[{140, 141}]}, 
      {Hue[0.9, 1, 1], LineBox[{141, 142}]}, 
      {Hue[0.91, 1, 1], LineBox[{142, 143}]}, 
      {Hue[0.92, 1, 1], LineBox[{143, 144}]}, 
      {Hue[0.93, 1, 1], LineBox[{144, 145}]}, 
      {Hue[0.9400000000000001, 1, 1], LineBox[{145, 146}]}, 
      {Hue[0.9500000000000001, 1, 1], LineBox[{146, 147}]}, 
      {Hue[0.9600000000000001, 1, 1], LineBox[{147, 148}]}, 
      {Hue[0.9700000000000001, 1, 1], LineBox[{148, 149}]}, 
      {Hue[0.98, 1, 1], LineBox[{149, 150}]}, 
      {Hue[0.99, 1, 1], LineBox[{150, 151}]}, 
      {Hue[0., 1, 1], LineBox[{151, 152}]}, 
      {Hue[0.010000000000000035`, 1, 1], LineBox[{152, 153}]}, 
      {Hue[0.020000000000000046`, 1, 1], LineBox[{153, 154}]}, 
      {Hue[0.030000000000000065`, 1, 1], LineBox[{154, 155}]}, 
      {Hue[0.04000000000000008, 1, 1], LineBox[{155, 156}]}, 
      {Hue[0.050000000000000086`, 1, 1], LineBox[{156, 157}]}, 
      {Hue[0.06000000000000012, 1, 1], LineBox[{157, 158}]}, 
      {Hue[0.07000000000000006, 1, 1], LineBox[{158, 159}]}, 
      {Hue[0.08000000000000006, 1, 1], LineBox[{159, 160}]}, 
      {Hue[0.09000000000000008, 1, 1], LineBox[{160, 161}]}, 
      {Hue[0.10000000000000003`, 1, 1], LineBox[{161, 162}]}, 
      {Hue[0.11000000000000003`, 1, 1], LineBox[{162, 163}]}, 
      {Hue[0.12000000000000006`, 1, 1], LineBox[{163, 164}]}, 
      {Hue[0.13000000000000003`, 1, 1], LineBox[{164, 165}]}, 
      {Hue[0.14, 1, 1], LineBox[{165, 166}]}, 
      {Hue[0.15, 1, 1], LineBox[{166, 167}]}, 
      {Hue[0.16000000000000003`, 1, 1], LineBox[{167, 168}]}, 
      {Hue[0.17000000000000004`, 1, 1], LineBox[{168, 169}]}, 
      {Hue[0.18000000000000008`, 1, 1], LineBox[{169, 170}]}, 
      {Hue[0.19000000000000006`, 1, 1], LineBox[{170, 171}]}, 
      {Hue[0.20000000000000004`, 1, 1], LineBox[{171, 172}]}, 
      {Hue[0.21000000000000002`, 1, 1], LineBox[{172, 173}]}, 
      {Hue[0.22000000000000003`, 1, 1], LineBox[{173, 174}]}, 
      {Hue[0.23000000000000004`, 1, 1], LineBox[{174, 175}]}, 
      {Hue[0.2400000000000001, 1, 1], LineBox[{175, 176}]}, 
      {Hue[0.25, 1, 1], LineBox[{176, 177}]}, 
      {Hue[0.26000000000000006`, 1, 1], LineBox[{177, 178}]}, 
      {Hue[0.27, 1, 1], LineBox[{178, 179}]}, 
      {Hue[0.28, 1, 1], LineBox[{179, 180}]}, 
      {Hue[0.29000000000000004`, 1, 1], LineBox[{180, 181}]}, 
      {Hue[0.30000000000000004`, 1, 1], LineBox[{181, 182}]}, 
      {Hue[0.31, 1, 1], LineBox[{182, 183}]}, 
      {Hue[0.32000000000000006`, 1, 1], LineBox[{183, 184}]}, 
      {Hue[0.33000000000000007`, 1, 1], LineBox[{184, 185}]}, 
      {Hue[0.3400000000000001, 1, 1], LineBox[{185, 186}]}, 
      {Hue[0.35000000000000003`, 1, 1], LineBox[{186, 187}]}, 
      {Hue[0.3600000000000001, 1, 1], LineBox[{187, 188}]}, 
      {Hue[0.37000000000000005`, 1, 1], LineBox[{188, 189}]}, 
      {Hue[0.38000000000000006`, 1, 1], LineBox[{189, 190}]}, 
      {Hue[0.39000000000000007`, 1, 1], LineBox[{190, 191}]}, 
      {Hue[0.4, 1, 1], LineBox[{191, 192}]}, 
      {Hue[0.4100000000000001, 1, 1], LineBox[{192, 193}]}, 
      {Hue[0.42000000000000004`, 1, 1], LineBox[{193, 194}]}, 
      {Hue[0.43000000000000005`, 1, 1], LineBox[{194, 195}]}, 
      {Hue[0.44000000000000006`, 1, 1], LineBox[{195, 196}]}, 
      {Hue[0.45, 1, 1], LineBox[{196, 197}]}, 
      {Hue[0.46, 1, 1], LineBox[{197, 198}]}, 
      {Hue[0.47000000000000003`, 1, 1], LineBox[{198, 199}]}, 
      {Hue[0.48000000000000004`, 1, 1], LineBox[{199, 200}]}, 
      {Hue[0.49000000000000005`, 1, 1], LineBox[{200, 201}]}, 
      {Hue[0., 1, 1], LineBox[{201, 202}]}, 
      {Hue[0.010000000000000044`, 1, 1], LineBox[{202, 203}]}, 
      {Hue[0.020000000000000042`, 1, 1], LineBox[{203, 204}]}, 
      {Hue[0.030000000000000047`, 1, 1], LineBox[{204, 205}]}, 
      {Hue[0.04000000000000004, 1, 1], LineBox[{205, 206}]}, 
      {Hue[0.05000000000000004, 1, 1], LineBox[{206, 207}]}, 
      {Hue[0.06000000000000003, 1, 1], LineBox[{207, 208}]}, 
      {Hue[0.07000000000000005, 1, 1], LineBox[{208, 209}]}, 
      {Hue[0.08000000000000004, 1, 1], LineBox[{209, 210}]}, 
      {Hue[0.09000000000000004, 1, 1], LineBox[{210, 211}]}, 
      {Hue[0.10000000000000006`, 1, 1], LineBox[{211, 212}]}, 
      {Hue[0.11000000000000006`, 1, 1], LineBox[{212, 213}]}, 
      {Hue[0.12000000000000004`, 1, 1], LineBox[{213, 214}]}, 
      {Hue[0.13, 1, 1], LineBox[{214, 215}]}, 
      {Hue[0.14000000000000007`, 1, 1], LineBox[{215, 216}]}, 
      {Hue[0.15000000000000005`, 1, 1], LineBox[{216, 217}]}, 
      {Hue[0.16000000000000003`, 1, 1], LineBox[{217, 218}]}, 
      {Hue[0.17000000000000004`, 1, 1], LineBox[{218, 219}]}, 
      {Hue[0.18000000000000005`, 1, 1], LineBox[{219, 220}]}, 
      {Hue[0.19000000000000006`, 1, 1], LineBox[{220, 221}]}, 
      {Hue[0.20000000000000004`, 1, 1], LineBox[{221, 222}]}, 
      {Hue[0.21000000000000005`, 1, 1], LineBox[{222, 223}]}, 
      {Hue[0.22000000000000006`, 1, 1], LineBox[{223, 224}]}, 
      {Hue[0.23000000000000004`, 1, 1], LineBox[{224, 225}]}, 
      {Hue[0.24000000000000007`, 1, 1], LineBox[{225, 226}]}, 
      {Hue[0.25, 1, 1], LineBox[{226, 227}]}, 
      {Hue[0.26, 1, 1], LineBox[{227, 228}]}, 
      {Hue[0.2700000000000001, 1, 1], LineBox[{228, 229}]}, 
      {Hue[0.28, 1, 1], LineBox[{229, 230}]}, 
      {Hue[0.29, 1, 1], LineBox[{230, 231}]}, 
      {Hue[0.3, 1, 1], LineBox[{231, 232}]}, 
      {Hue[0.31, 1, 1], LineBox[{232, 233}]}, 
      {Hue[0.32000000000000006`, 1, 1], LineBox[{233, 234}]}, 
      {Hue[0.33000000000000007`, 1, 1], LineBox[{234, 235}]}, 
      {Hue[0.3400000000000001, 1, 1], LineBox[{235, 236}]}, 
      {Hue[0.35000000000000003`, 1, 1], LineBox[{236, 237}]}, 
      {Hue[0.36000000000000004`, 1, 1], LineBox[{237, 238}]}, 
      {Hue[0.37000000000000005`, 1, 1], LineBox[{238, 239}]}, 
      {Hue[0.38000000000000006`, 1, 1], LineBox[{239, 240}]}, 
      {Hue[0.39000000000000007`, 1, 1], LineBox[{240, 241}]}, 
      {Hue[0.4, 1, 1], LineBox[{241, 242}]}, 
      {Hue[0.41000000000000003`, 1, 1], LineBox[{242, 243}]}, 
      {Hue[0.42000000000000004`, 1, 1], LineBox[{243, 244}]}, 
      {Hue[0.43000000000000005`, 1, 1], LineBox[{244, 245}]}, 
      {Hue[0.44000000000000006`, 1, 1], LineBox[{245, 246}]}, 
      {Hue[0.45000000000000007`, 1, 1], LineBox[{246, 247}]}, 
      {Hue[0.4600000000000001, 1, 1], LineBox[{247, 248}]}, 
      {Hue[0.47000000000000003`, 1, 1], LineBox[{248, 249}]}, 
      {Hue[0.48000000000000004`, 1, 1], LineBox[{249, 250}]}, 
      {Hue[0.49000000000000005`, 1, 1], LineBox[{250, 251}]}, 
      {Hue[0.5, 1, 1], LineBox[{251, 252}]}, 
      {Hue[0.51, 1, 1], LineBox[{252, 253}]}, 
      {Hue[0.52, 1, 1], LineBox[{253, 254}]}, 
      {Hue[0.53, 1, 1], LineBox[{254, 255}]}, 
      {Hue[0.54, 1, 1], LineBox[{255, 256}]}, 
      {Hue[0.55, 1, 1], LineBox[{256, 257}]}, 
      {Hue[0.56, 1, 1], LineBox[{257, 258}]}, 
      {Hue[0.5700000000000001, 1, 1], LineBox[{258, 259}]}, 
      {Hue[0.5800000000000001, 1, 1], LineBox[{259, 260}]}, 
      {Hue[0.5900000000000001, 1, 1], LineBox[{260, 261}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{261, 262}]}, 
      {Hue[0.6100000000000001, 1, 1], LineBox[{262, 263}]}, 
      {Hue[0.6200000000000001, 1, 1], LineBox[{263, 264}]}, 
      {Hue[0.6299999999999999, 1, 1], LineBox[{264, 265}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{265, 266}]}, 
      {Hue[0.6499999999999999, 1, 1], LineBox[{266, 267}]}, 
      {Hue[0.6600000000000001, 1, 1], LineBox[{267, 268}]}, 
      {Hue[0.67, 1, 1], LineBox[{268, 269}]}, 
      {Hue[0.6800000000000002, 1, 1], LineBox[{269, 270}]}, 
      {Hue[0.69, 1, 1], LineBox[{270, 271}]}, 
      {Hue[0.7, 1, 1], LineBox[{271, 272}]}, 
      {Hue[0.71, 1, 1], LineBox[{272, 273}]}, 
      {Hue[0.72, 1, 1], LineBox[{273, 274}]}, 
      {Hue[0.7300000000000001, 1, 1], LineBox[{274, 275}]}, 
      {Hue[0.74, 1, 1], LineBox[{275, 276}]}, 
      {Hue[0.75, 1, 1], LineBox[{276, 277}]}, 
      {Hue[0.7599999999999999, 1, 1], LineBox[{277, 278}]}, 
      {Hue[0.77, 1, 1], LineBox[{278, 279}]}, 
      {Hue[0.7799999999999999, 1, 1], LineBox[{279, 280}]}, 
      {Hue[0.79, 1, 1], LineBox[{280, 281}]}, 
      {Hue[0.7999999999999999, 1, 1], LineBox[{281, 282}]}, 
      {Hue[0.81, 1, 1], LineBox[{282, 283}]}, 
      {Hue[0.82, 1, 1], LineBox[{283, 284}]}, 
      {Hue[0.8300000000000001, 1, 1], LineBox[{284, 285}]}, 
      {Hue[0.8400000000000001, 1, 1], LineBox[{285, 286}]}, 
      {Hue[0.8500000000000001, 1, 1], LineBox[{286, 287}]}, 
      {Hue[0.8600000000000001, 1, 1], LineBox[{287, 288}]}, 
      {Hue[0.8700000000000001, 1, 1], LineBox[{288, 289}]}, 
      {Hue[0.8800000000000001, 1, 1], LineBox[{289, 290}]}, 
      {Hue[0.89, 1, 1], LineBox[{290, 291}]}, 
      {Hue[0.8999999999999999, 1, 1], LineBox[{291, 292}]}, 
      {Hue[0.91, 1, 1], LineBox[{292, 293}]}, 
      {Hue[0.9199999999999999, 1, 1], LineBox[{293, 294}]}, 
      {Hue[0.93, 1, 1], LineBox[{294, 295}]}, 
      {Hue[0.9400000000000001, 1, 1], LineBox[{295, 296}]}, 
      {Hue[0.95, 1, 1], LineBox[{296, 297}]}, 
      {Hue[0.9600000000000001, 1, 1], LineBox[{297, 298}]}, 
      {Hue[0.97, 1, 1], LineBox[{298, 299}]}, 
      {Hue[0.9800000000000001, 1, 1], LineBox[{299, 300}]}, 
      {Hue[0.99, 1, 1], LineBox[{300, 301}]}, 
      {Hue[0., 1, 1], LineBox[{301, 302}]}, 
      {Hue[0.5099999999999998, 1, 1], LineBox[{302, 303}]}, 
      {Hue[0.52, 1, 1], LineBox[{303, 304}]}, 
      {Hue[0.53, 1, 1], LineBox[{304, 305}]}, 
      {Hue[0.54, 1, 1], LineBox[{305, 306}]}, 
      {Hue[0.55, 1, 1], LineBox[{306, 307}]}, 
      {Hue[0.56, 1, 1], LineBox[{307, 308}]}, 
      {Hue[0.5700000000000001, 1, 1], LineBox[{308, 309}]}, 
      {Hue[0.5800000000000001, 1, 1], LineBox[{309, 310}]}, 
      {Hue[0.59, 1, 1], LineBox[{310, 311}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{311, 312}]}, 
      {Hue[0.6100000000000001, 1, 1], LineBox[{312, 313}]}, 
      {Hue[0.6200000000000001, 1, 1], LineBox[{313, 314}]}, 
      {Hue[0.6300000000000001, 1, 1], LineBox[{314, 315}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{315, 316}]}, 
      {Hue[0.6500000000000001, 1, 1], LineBox[{316, 317}]}, 
      {Hue[0.66, 1, 1], LineBox[{317, 318}]}, 
      {Hue[0.6700000000000002, 1, 1], LineBox[{318, 319}]}, 
      {Hue[0.6800000000000002, 1, 1], LineBox[{319, 320}]}, 
      {Hue[0.6900000000000002, 1, 1], LineBox[{320, 321}]}, 
      {Hue[0.7000000000000002, 1, 1], LineBox[{321, 322}]}, 
      {Hue[0.71, 1, 1], LineBox[{322, 323}]}, 
      {Hue[0.72, 1, 1], LineBox[{323, 324}]}, 
      {Hue[0.73, 1, 1], LineBox[{324, 325}]}, 
      {Hue[0.74, 1, 1], LineBox[{325, 326}]}, 
      {Hue[0.75, 1, 1], LineBox[{326, 327}]}, 
      {Hue[0.7599999999999999, 1, 1], LineBox[{327, 328}]}, 
      {Hue[0.77, 1, 1], LineBox[{328, 329}]}, 
      {Hue[0.78, 1, 1], LineBox[{329, 330}]}, 
      {Hue[0.79, 1, 1], LineBox[{330, 331}]}, 
      {Hue[0.7999999999999999, 1, 1], LineBox[{331, 332}]}, 
      {Hue[0.8099999999999999, 1, 1], LineBox[{332, 333}]}, 
      {Hue[0.8200000000000001, 1, 1], LineBox[{333, 334}]}, 
      {Hue[0.8300000000000001, 1, 1], LineBox[{334, 335}]}, 
      {Hue[0.84, 1, 1], LineBox[{335, 336}]}, 
      {Hue[0.85, 1, 1], LineBox[{336, 337}]}, 
      {Hue[0.8600000000000002, 1, 1], LineBox[{337, 338}]}, 
      {Hue[0.8700000000000001, 1, 1], LineBox[{338, 339}]}, 
      {Hue[0.88, 1, 1], LineBox[{339, 340}]}, 
      {Hue[0.89, 1, 1], LineBox[{340, 341}]}, 
      {Hue[0.8999999999999999, 1, 1], LineBox[{341, 342}]}, 
      {Hue[0.9100000000000001, 1, 1], LineBox[{342, 343}]}, 
      {Hue[0.9200000000000002, 1, 1], LineBox[{343, 344}]}, 
      {Hue[0.93, 1, 1], LineBox[{344, 345}]}, 
      {Hue[0.94, 1, 1], LineBox[{345, 346}]}, 
      {Hue[0.9500000000000002, 1, 1], LineBox[{346, 347}]}, 
      {Hue[0.9599999999999999, 1, 1], LineBox[{347, 348}]}, 
      {Hue[0.9699999999999999, 1, 1], LineBox[{348, 349}]}, 
      {Hue[0.9800000000000001, 1, 1], LineBox[{349, 350}]}, 
      {Hue[0.99, 1, 1], LineBox[{350, 351}]}, 
      {Hue[0., 1, 1], LineBox[{351, 352}]}, 
      {Hue[0.009999999999999886, 1, 1], LineBox[{352, 353}]}, 
      {Hue[0.019999999999999827`, 1, 1], LineBox[{353, 354}]}, 
      {Hue[0.030000000000000058`, 1, 1], LineBox[{354, 355}]}, 
      {Hue[0.039999999999999994`, 1, 1], LineBox[{355, 356}]}, 
      {Hue[0.04999999999999994, 1, 1], LineBox[{356, 357}]}, 
      {Hue[0.059999999999999894`, 1, 1], LineBox[{357, 358}]}, 
      {Hue[0.0700000000000001, 1, 1], LineBox[{358, 359}]}, 
      {Hue[0.08000000000000006, 1, 1], LineBox[{359, 360}]}, 
      {Hue[0.09000000000000001, 1, 1], LineBox[{360, 361}]}, 
      {Hue[0.09999999999999994, 1, 1], LineBox[{361, 362}]}, 
      {Hue[0.11000000000000018`, 1, 1], LineBox[{362, 363}]}, 
      {Hue[0.12000000000000012`, 1, 1], LineBox[{363, 364}]}, 
      {Hue[0.13000000000000003`, 1, 1], LineBox[{364, 365}]}, 
      {Hue[0.14, 1, 1], LineBox[{365, 366}]}, 
      {Hue[0.14999999999999994`, 1, 1], LineBox[{366, 367}]}, 
      {Hue[0.16000000000000017`, 1, 1], LineBox[{367, 368}]}, 
      {Hue[0.17000000000000015`, 1, 1], LineBox[{368, 369}]}, 
      {Hue[0.18000000000000005`, 1, 1], LineBox[{369, 370}]}, 
      {Hue[0.19, 1, 1], LineBox[{370, 371}]}, 
      {Hue[0.2000000000000002, 1, 1], LineBox[{371, 372}]}, 
      {Hue[0.2100000000000002, 1, 1], LineBox[{372, 373}]}, 
      {Hue[0.21999999999999983`, 1, 1], LineBox[{373, 374}]}, 
      {Hue[0.23000000000000004`, 1, 1], LineBox[{374, 375}]}, 
      {Hue[0.24, 1, 1], LineBox[{375, 376}]}, 
      {Hue[0.25, 1, 1], LineBox[{376, 377}]}, 
      {Hue[0.2599999999999999, 1, 1], LineBox[{377, 378}]}, 
      {Hue[0.2699999999999998, 1, 1], LineBox[{378, 379}]}, 
      {Hue[0.28, 1, 1], LineBox[{379, 380}]}, 
      {Hue[0.29, 1, 1], LineBox[{380, 381}]}, 
      {Hue[0.29999999999999993`, 1, 1], LineBox[{381, 382}]}, 
      {Hue[0.3099999999999999, 1, 1], LineBox[{382, 383}]}, 
      {Hue[0.3200000000000001, 1, 1], LineBox[{383, 384}]}, 
      {Hue[0.33000000000000007`, 1, 1], LineBox[{384, 385}]}, 
      {Hue[0.33999999999999997`, 1, 1], LineBox[{385, 386}]}, 
      {Hue[0.3499999999999999, 1, 1], LineBox[{386, 387}]}, 
      {Hue[0.36000000000000015`, 1, 1], LineBox[{387, 388}]}, 
      {Hue[0.3700000000000001, 1, 1], LineBox[{388, 389}]}, 
      {Hue[0.38000000000000006`, 1, 1], LineBox[{389, 390}]}, 
      {Hue[0.39, 1, 1], LineBox[{390, 391}]}, 
      {Hue[0.3999999999999999, 1, 1], LineBox[{391, 392}]}, 
      {Hue[0.41000000000000014`, 1, 1], LineBox[{392, 393}]}, 
      {Hue[0.4200000000000001, 1, 1], LineBox[{393, 394}]}, 
      {Hue[0.43000000000000005`, 1, 1], LineBox[{394, 395}]}, 
      {Hue[0.44, 1, 1], LineBox[{395, 396}]}, 
      {Hue[0.45000000000000023`, 1, 1], LineBox[{396, 397}]}, 
      {Hue[0.4600000000000002, 1, 1], LineBox[{397, 398}]}, 
      {Hue[0.4699999999999998, 1, 1], LineBox[{398, 399}]}, 
      {Hue[0.48000000000000004`, 1, 1], LineBox[{399, 400}]}, 
      {Hue[0.49, 1, 1], LineBox[{400, 401}]}}}},
   VertexColors->{
     Hue[0., 1, 1], 
     Hue[0.010000000000000023`, 1, 1], 
     Hue[0.019999999999999973`, 1, 1], 
     Hue[0.030000000000000197`, 1, 1], 
     Hue[0.040000000000000126`, 1, 1], 
     Hue[0.05000000000000008, 1, 1], 
     Hue[0.060000000000000026`, 1, 1], 
     Hue[0.07000000000000026, 1, 1], 
     Hue[0.08000000000000021, 1, 1], 
     Hue[0.09000000000000014, 1, 1], 
     Hue[0.10000000000000009`, 1, 1], 
     Hue[0.1100000000000003, 1, 1], 
     Hue[0.12000000000000025`, 1, 1], 
     Hue[0.1299999999999999, 1, 1], 
     Hue[0.13999999999999985`, 1, 1], 
     Hue[0.15000000000000008`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16999999999999996`, 1, 1], 
     Hue[0.1799999999999999, 1, 1], 
     Hue[0.19000000000000014`, 1, 1], 
     Hue[0.20000000000000007`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21999999999999997`, 1, 1], 
     Hue[0.23000000000000018`, 1, 1], 
     Hue[0.24000000000000013`, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.26999999999999996`, 1, 1], 
     Hue[0.2800000000000002, 1, 1], 
     Hue[0.29000000000000015`, 1, 1], 
     Hue[0.3000000000000001, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000023`, 1, 1], 
     Hue[0.3300000000000002, 1, 1], 
     Hue[0.34000000000000014`, 1, 1], 
     Hue[0.3500000000000001, 1, 1], 
     Hue[0.3600000000000003, 1, 1], 
     Hue[0.3700000000000003, 1, 1], 
     Hue[0.38000000000000017`, 1, 1], 
     Hue[0.38999999999999985`, 1, 1], 
     Hue[0.4000000000000001, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.42, 1, 1], 
     Hue[0.42999999999999994`, 1, 1], 
     Hue[0.4400000000000001, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47, 1, 1], 
     Hue[0.4800000000000002, 1, 1], 
     Hue[0.49000000000000016`, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.5300000000000002, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000003, 1, 1], 
     Hue[0.5800000000000002, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000003, 1, 1], 
     Hue[0.6200000000000002, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.6699999999999999, 1, 1], 
     Hue[0.6799999999999999, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7000000000000001, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8500000000000002, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8700000000000002, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.8900000000000001, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.96, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.9900000000000001, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.5600000000000002, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5899999999999999, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6099999999999999, 1, 1], 
     Hue[0.62, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7100000000000002, 1, 1], 
     Hue[0.7200000000000001, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.86, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.9, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.92, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.010000000000000035`, 1, 1], 
     Hue[0.020000000000000046`, 1, 1], 
     Hue[0.030000000000000065`, 1, 1], 
     Hue[0.04000000000000008, 1, 1], 
     Hue[0.050000000000000086`, 1, 1], 
     Hue[0.06000000000000012, 1, 1], 
     Hue[0.07000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000008, 1, 1], 
     Hue[0.10000000000000003`, 1, 1], 
     Hue[0.11000000000000003`, 1, 1], 
     Hue[0.12000000000000006`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.15, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000008`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.22000000000000003`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.2400000000000001, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.26000000000000006`, 1, 1], 
     Hue[0.27, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29000000000000004`, 1, 1], 
     Hue[0.30000000000000004`, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.3600000000000001, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4100000000000001, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.010000000000000044`, 1, 1], 
     Hue[0.020000000000000042`, 1, 1], 
     Hue[0.030000000000000047`, 1, 1], 
     Hue[0.04000000000000004, 1, 1], 
     Hue[0.05000000000000004, 1, 1], 
     Hue[0.06000000000000003, 1, 1], 
     Hue[0.07000000000000005, 1, 1], 
     Hue[0.08000000000000004, 1, 1], 
     Hue[0.09000000000000004, 1, 1], 
     Hue[0.10000000000000006`, 1, 1], 
     Hue[0.11000000000000006`, 1, 1], 
     Hue[0.12000000000000004`, 1, 1], 
     Hue[0.13, 1, 1], 
     Hue[0.14000000000000007`, 1, 1], 
     Hue[0.15000000000000005`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000005`, 1, 1], 
     Hue[0.22000000000000006`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.24000000000000007`, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.2700000000000001, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.3, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.36000000000000004`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.4600000000000001, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.69, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.7300000000000001, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.7799999999999999, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.82, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8500000000000001, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.95, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.97, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.5099999999999998, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.59, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.6700000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000002, 1, 1], 
     Hue[0.7000000000000002, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.8099999999999999, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.84, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.8600000000000002, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.9100000000000001, 1, 1], 
     Hue[0.9200000000000002, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.9500000000000002, 1, 1], 
     Hue[0.9599999999999999, 1, 1], 
     Hue[0.9699999999999999, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.009999999999999886, 1, 1], 
     Hue[0.019999999999999827`, 1, 1], 
     Hue[0.030000000000000058`, 1, 1], 
     Hue[0.039999999999999994`, 1, 1], 
     Hue[0.04999999999999994, 1, 1], 
     Hue[0.059999999999999894`, 1, 1], 
     Hue[0.0700000000000001, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000001, 1, 1], 
     Hue[0.09999999999999994, 1, 1], 
     Hue[0.11000000000000018`, 1, 1], 
     Hue[0.12000000000000012`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14999999999999994`, 1, 1], 
     Hue[0.16000000000000017`, 1, 1], 
     Hue[0.17000000000000015`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.19, 1, 1], 
     Hue[0.2000000000000002, 1, 1], 
     Hue[0.2100000000000002, 1, 1], 
     Hue[0.21999999999999983`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.24, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.2599999999999999, 1, 1], 
     Hue[0.2699999999999998, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.29999999999999993`, 1, 1], 
     Hue[0.3099999999999999, 1, 1], 
     Hue[0.3200000000000001, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33999999999999997`, 1, 1], 
     Hue[0.3499999999999999, 1, 1], 
     Hue[0.36000000000000015`, 1, 1], 
     Hue[0.3700000000000001, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39, 1, 1], 
     Hue[0.3999999999999999, 1, 1], 
     Hue[0.41000000000000014`, 1, 1], 
     Hue[0.4200000000000001, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44, 1, 1], 
     Hue[0.45000000000000023`, 1, 1], 
     Hue[0.4600000000000002, 1, 1], 
     Hue[0.4699999999999998, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.010000000000000023`, 1, 1], 
     Hue[0.010000000000000023`, 1, 1], 
     Hue[0.019999999999999973`, 1, 1], 
     Hue[0.019999999999999973`, 1, 1], 
     Hue[0.030000000000000197`, 1, 1], 
     Hue[0.030000000000000197`, 1, 1], 
     Hue[0.040000000000000126`, 1, 1], 
     Hue[0.040000000000000126`, 1, 1], 
     Hue[0.05000000000000008, 1, 1], 
     Hue[0.05000000000000008, 1, 1], 
     Hue[0.060000000000000026`, 1, 1], 
     Hue[0.060000000000000026`, 1, 1], 
     Hue[0.07000000000000026, 1, 1], 
     Hue[0.07000000000000026, 1, 1], 
     Hue[0.08000000000000021, 1, 1], 
     Hue[0.08000000000000021, 1, 1], 
     Hue[0.09000000000000014, 1, 1], 
     Hue[0.09000000000000014, 1, 1], 
     Hue[0.10000000000000009`, 1, 1], 
     Hue[0.10000000000000009`, 1, 1], 
     Hue[0.1100000000000003, 1, 1], 
     Hue[0.1100000000000003, 1, 1], 
     Hue[0.12000000000000025`, 1, 1], 
     Hue[0.12000000000000025`, 1, 1], 
     Hue[0.1299999999999999, 1, 1], 
     Hue[0.1299999999999999, 1, 1], 
     Hue[0.13999999999999985`, 1, 1], 
     Hue[0.13999999999999985`, 1, 1], 
     Hue[0.15000000000000008`, 1, 1], 
     Hue[0.15000000000000008`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16999999999999996`, 1, 1], 
     Hue[0.16999999999999996`, 1, 1], 
     Hue[0.1799999999999999, 1, 1], 
     Hue[0.1799999999999999, 1, 1], 
     Hue[0.19000000000000014`, 1, 1], 
     Hue[0.19000000000000014`, 1, 1], 
     Hue[0.20000000000000007`, 1, 1], 
     Hue[0.20000000000000007`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21999999999999997`, 1, 1], 
     Hue[0.21999999999999997`, 1, 1], 
     Hue[0.23000000000000018`, 1, 1], 
     Hue[0.23000000000000018`, 1, 1], 
     Hue[0.24000000000000013`, 1, 1], 
     Hue[0.24000000000000013`, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.26999999999999996`, 1, 1], 
     Hue[0.26999999999999996`, 1, 1], 
     Hue[0.2800000000000002, 1, 1], 
     Hue[0.2800000000000002, 1, 1], 
     Hue[0.29000000000000015`, 1, 1], 
     Hue[0.29000000000000015`, 1, 1], 
     Hue[0.3000000000000001, 1, 1], 
     Hue[0.3000000000000001, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000023`, 1, 1], 
     Hue[0.32000000000000023`, 1, 1], 
     Hue[0.3300000000000002, 1, 1], 
     Hue[0.3300000000000002, 1, 1], 
     Hue[0.34000000000000014`, 1, 1], 
     Hue[0.34000000000000014`, 1, 1], 
     Hue[0.3500000000000001, 1, 1], 
     Hue[0.3500000000000001, 1, 1], 
     Hue[0.3600000000000003, 1, 1], 
     Hue[0.3600000000000003, 1, 1], 
     Hue[0.3700000000000003, 1, 1], 
     Hue[0.3700000000000003, 1, 1], 
     Hue[0.38000000000000017`, 1, 1], 
     Hue[0.38000000000000017`, 1, 1], 
     Hue[0.38999999999999985`, 1, 1], 
     Hue[0.38999999999999985`, 1, 1], 
     Hue[0.4000000000000001, 1, 1], 
     Hue[0.4000000000000001, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.42, 1, 1], 
     Hue[0.42, 1, 1], 
     Hue[0.42999999999999994`, 1, 1], 
     Hue[0.42999999999999994`, 1, 1], 
     Hue[0.4400000000000001, 1, 1], 
     Hue[0.4400000000000001, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47, 1, 1], 
     Hue[0.47, 1, 1], 
     Hue[0.4800000000000002, 1, 1], 
     Hue[0.4800000000000002, 1, 1], 
     Hue[0.49000000000000016`, 1, 1], 
     Hue[0.49000000000000016`, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.5300000000000002, 1, 1], 
     Hue[0.5300000000000002, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000003, 1, 1], 
     Hue[0.5700000000000003, 1, 1], 
     Hue[0.5800000000000002, 1, 1], 
     Hue[0.5800000000000002, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000003, 1, 1], 
     Hue[0.6100000000000003, 1, 1], 
     Hue[0.6200000000000002, 1, 1], 
     Hue[0.6200000000000002, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.6699999999999999, 1, 1], 
     Hue[0.6699999999999999, 1, 1], 
     Hue[0.6799999999999999, 1, 1], 
     Hue[0.6799999999999999, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7000000000000001, 1, 1], 
     Hue[0.7000000000000001, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8500000000000002, 1, 1], 
     Hue[0.8500000000000002, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8700000000000002, 1, 1], 
     Hue[0.8700000000000002, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.8900000000000001, 1, 1], 
     Hue[0.8900000000000001, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.96, 1, 1], 
     Hue[0.96, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.9900000000000001, 1, 1], 
     Hue[0.9900000000000001, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.5600000000000002, 1, 1], 
     Hue[0.5600000000000002, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5899999999999999, 1, 1], 
     Hue[0.5899999999999999, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6099999999999999, 1, 1], 
     Hue[0.6099999999999999, 1, 1], 
     Hue[0.62, 1, 1], 
     Hue[0.62, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7100000000000002, 1, 1], 
     Hue[0.7100000000000002, 1, 1], 
     Hue[0.7200000000000001, 1, 1], 
     Hue[0.7200000000000001, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.86, 1, 1], 
     Hue[0.86, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.9, 1, 1], 
     Hue[0.9, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.92, 1, 1], 
     Hue[0.92, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.010000000000000035`, 1, 1], 
     Hue[0.010000000000000035`, 1, 1], 
     Hue[0.020000000000000046`, 1, 1], 
     Hue[0.020000000000000046`, 1, 1], 
     Hue[0.030000000000000065`, 1, 1], 
     Hue[0.030000000000000065`, 1, 1], 
     Hue[0.04000000000000008, 1, 1], 
     Hue[0.04000000000000008, 1, 1], 
     Hue[0.050000000000000086`, 1, 1], 
     Hue[0.050000000000000086`, 1, 1], 
     Hue[0.06000000000000012, 1, 1], 
     Hue[0.06000000000000012, 1, 1], 
     Hue[0.07000000000000006, 1, 1], 
     Hue[0.07000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000008, 1, 1], 
     Hue[0.09000000000000008, 1, 1], 
     Hue[0.10000000000000003`, 1, 1], 
     Hue[0.10000000000000003`, 1, 1], 
     Hue[0.11000000000000003`, 1, 1], 
     Hue[0.11000000000000003`, 1, 1], 
     Hue[0.12000000000000006`, 1, 1], 
     Hue[0.12000000000000006`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.15, 1, 1], 
     Hue[0.15, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000008`, 1, 1], 
     Hue[0.18000000000000008`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.22000000000000003`, 1, 1], 
     Hue[0.22000000000000003`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.2400000000000001, 1, 1], 
     Hue[0.2400000000000001, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.26000000000000006`, 1, 1], 
     Hue[0.26000000000000006`, 1, 1], 
     Hue[0.27, 1, 1], 
     Hue[0.27, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29000000000000004`, 1, 1], 
     Hue[0.29000000000000004`, 1, 1], 
     Hue[0.30000000000000004`, 1, 1], 
     Hue[0.30000000000000004`, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.3600000000000001, 1, 1], 
     Hue[0.3600000000000001, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4100000000000001, 1, 1], 
     Hue[0.4100000000000001, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45, 1, 1], 
     Hue[0.45, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.010000000000000044`, 1, 1], 
     Hue[0.010000000000000044`, 1, 1], 
     Hue[0.020000000000000042`, 1, 1], 
     Hue[0.020000000000000042`, 1, 1], 
     Hue[0.030000000000000047`, 1, 1], 
     Hue[0.030000000000000047`, 1, 1], 
     Hue[0.04000000000000004, 1, 1], 
     Hue[0.04000000000000004, 1, 1], 
     Hue[0.05000000000000004, 1, 1], 
     Hue[0.05000000000000004, 1, 1], 
     Hue[0.06000000000000003, 1, 1], 
     Hue[0.06000000000000003, 1, 1], 
     Hue[0.07000000000000005, 1, 1], 
     Hue[0.07000000000000005, 1, 1], 
     Hue[0.08000000000000004, 1, 1], 
     Hue[0.08000000000000004, 1, 1], 
     Hue[0.09000000000000004, 1, 1], 
     Hue[0.09000000000000004, 1, 1], 
     Hue[0.10000000000000006`, 1, 1], 
     Hue[0.10000000000000006`, 1, 1], 
     Hue[0.11000000000000006`, 1, 1], 
     Hue[0.11000000000000006`, 1, 1], 
     Hue[0.12000000000000004`, 1, 1], 
     Hue[0.12000000000000004`, 1, 1], 
     Hue[0.13, 1, 1], 
     Hue[0.13, 1, 1], 
     Hue[0.14000000000000007`, 1, 1], 
     Hue[0.14000000000000007`, 1, 1], 
     Hue[0.15000000000000005`, 1, 1], 
     Hue[0.15000000000000005`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000005`, 1, 1], 
     Hue[0.21000000000000005`, 1, 1], 
     Hue[0.22000000000000006`, 1, 1], 
     Hue[0.22000000000000006`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.24000000000000007`, 1, 1], 
     Hue[0.24000000000000007`, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.2700000000000001, 1, 1], 
     Hue[0.2700000000000001, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.3, 1, 1], 
     Hue[0.3, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.36000000000000004`, 1, 1], 
     Hue[0.36000000000000004`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.4600000000000001, 1, 1], 
     Hue[0.4600000000000001, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.69, 1, 1], 
     Hue[0.69, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.7300000000000001, 1, 1], 
     Hue[0.7300000000000001, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.7799999999999999, 1, 1], 
     Hue[0.7799999999999999, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.82, 1, 1], 
     Hue[0.82, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8500000000000001, 1, 1], 
     Hue[0.8500000000000001, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.95, 1, 1], 
     Hue[0.95, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.97, 1, 1], 
     Hue[0.97, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.5099999999999998, 1, 1], 
     Hue[0.5099999999999998, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.59, 1, 1], 
     Hue[0.59, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.6700000000000002, 1, 1], 
     Hue[0.6700000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000002, 1, 1], 
     Hue[0.6900000000000002, 1, 1], 
     Hue[0.7000000000000002, 1, 1], 
     Hue[0.7000000000000002, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.8099999999999999, 1, 1], 
     Hue[0.8099999999999999, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.84, 1, 1], 
     Hue[0.84, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.8600000000000002, 1, 1], 
     Hue[0.8600000000000002, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.9100000000000001, 1, 1], 
     Hue[0.9100000000000001, 1, 1], 
     Hue[0.9200000000000002, 1, 1], 
     Hue[0.9200000000000002, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.9500000000000002, 1, 1], 
     Hue[0.9500000000000002, 1, 1], 
     Hue[0.9599999999999999, 1, 1], 
     Hue[0.9599999999999999, 1, 1], 
     Hue[0.9699999999999999, 1, 1], 
     Hue[0.9699999999999999, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.009999999999999886, 1, 1], 
     Hue[0.009999999999999886, 1, 1], 
     Hue[0.019999999999999827`, 1, 1], 
     Hue[0.019999999999999827`, 1, 1], 
     Hue[0.030000000000000058`, 1, 1], 
     Hue[0.030000000000000058`, 1, 1], 
     Hue[0.039999999999999994`, 1, 1], 
     Hue[0.039999999999999994`, 1, 1], 
     Hue[0.04999999999999994, 1, 1], 
     Hue[0.04999999999999994, 1, 1], 
     Hue[0.059999999999999894`, 1, 1], 
     Hue[0.059999999999999894`, 1, 1], 
     Hue[0.0700000000000001, 1, 1], 
     Hue[0.0700000000000001, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000001, 1, 1], 
     Hue[0.09000000000000001, 1, 1], 
     Hue[0.09999999999999994, 1, 1], 
     Hue[0.09999999999999994, 1, 1], 
     Hue[0.11000000000000018`, 1, 1], 
     Hue[0.11000000000000018`, 1, 1], 
     Hue[0.12000000000000012`, 1, 1], 
     Hue[0.12000000000000012`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14999999999999994`, 1, 1], 
     Hue[0.14999999999999994`, 1, 1], 
     Hue[0.16000000000000017`, 1, 1], 
     Hue[0.16000000000000017`, 1, 1], 
     Hue[0.17000000000000015`, 1, 1], 
     Hue[0.17000000000000015`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.19, 1, 1], 
     Hue[0.19, 1, 1], 
     Hue[0.2000000000000002, 1, 1], 
     Hue[0.2000000000000002, 1, 1], 
     Hue[0.2100000000000002, 1, 1], 
     Hue[0.2100000000000002, 1, 1], 
     Hue[0.21999999999999983`, 1, 1], 
     Hue[0.21999999999999983`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.24, 1, 1], 
     Hue[0.24, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.2599999999999999, 1, 1], 
     Hue[0.2599999999999999, 1, 1], 
     Hue[0.2699999999999998, 1, 1], 
     Hue[0.2699999999999998, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.29999999999999993`, 1, 1], 
     Hue[0.29999999999999993`, 1, 1], 
     Hue[0.3099999999999999, 1, 1], 
     Hue[0.3099999999999999, 1, 1], 
     Hue[0.3200000000000001, 1, 1], 
     Hue[0.3200000000000001, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33999999999999997`, 1, 1], 
     Hue[0.33999999999999997`, 1, 1], 
     Hue[0.3499999999999999, 1, 1], 
     Hue[0.3499999999999999, 1, 1], 
     Hue[0.36000000000000015`, 1, 1], 
     Hue[0.36000000000000015`, 1, 1], 
     Hue[0.3700000000000001, 1, 1], 
     Hue[0.3700000000000001, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39, 1, 1], 
     Hue[0.39, 1, 1], 
     Hue[0.3999999999999999, 1, 1], 
     Hue[0.3999999999999999, 1, 1], 
     Hue[0.41000000000000014`, 1, 1], 
     Hue[0.41000000000000014`, 1, 1], 
     Hue[0.4200000000000001, 1, 1], 
     Hue[0.4200000000000001, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44, 1, 1], 
     Hue[0.44, 1, 1], 
     Hue[0.45000000000000023`, 1, 1], 
     Hue[0.45000000000000023`, 1, 1], 
     Hue[0.4600000000000002, 1, 1], 
     Hue[0.4600000000000002, 1, 1], 
     Hue[0.4699999999999998, 1, 1], 
     Hue[0.4699999999999998, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49, 1, 1], 
     Hue[0.49, 1, 1]}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{-2., 2.}, {0., 1.}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.3897310062195215`*^9, 3.3897310401883664`*^9, 
  3.3897330584126496`*^9, 3.39089398678547*^9, 3.3917799181043787`*^9, 
  3.391780163014143*^9, 3.39184869646875*^9, 3.3924696470132236`*^9, 
  3.39384238017865*^9, 3.393847001542603*^9}]
}, Open  ]],

Cell["Here is another method to achieve a similar result:", "Text"],

Cell[CellGroupData[{

Cell["\<\
QListArgColorPlot[mytab, Axes\[Rule]True, \
Ticks->{QNiceTicks[-2.,2.,0.01],Automatic}]\
\>", "Input",
 CellChangeTimes->{3.389716306610526*^9}],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJyF2XuMXOV5BvCv2OViClmCXaxi6DQBlBLqbLiEgA1+AAPmZsbrtdfeXdtn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   "], {
    {GrayLevel[0.5], EdgeForm[None], 
     GraphicsGroupBox[{
       PolygonBox[{{200, 798, 201}, {300, 996, 301}, {301, 997, 302}, {201, 
        799, 202}, {101, 601, 102}, {100, 600, 101}}], 
       PolygonBox[CompressedData["
1:eJwtmHngp1MZxe+zZBSTLVkipiyhQioJJZqElCFahmzJMjSUpck2YgrTmCSJ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        
        "]]}]}, {{}, {}, {
      {Hue[0., 1, 1], LineBox[{1, 2}]}, 
      {Hue[0.010000000000000023`, 1, 1], LineBox[{2, 3}]}, 
      {Hue[0.019999999999999973`, 1, 1], LineBox[{3, 4}]}, 
      {Hue[0.030000000000000197`, 1, 1], LineBox[{4, 5}]}, 
      {Hue[0.040000000000000126`, 1, 1], LineBox[{5, 6}]}, 
      {Hue[0.05000000000000008, 1, 1], LineBox[{6, 7}]}, 
      {Hue[0.060000000000000026`, 1, 1], LineBox[{7, 8}]}, 
      {Hue[0.07000000000000026, 1, 1], LineBox[{8, 9}]}, 
      {Hue[0.08000000000000021, 1, 1], LineBox[{9, 10}]}, 
      {Hue[0.09000000000000014, 1, 1], LineBox[{10, 11}]}, 
      {Hue[0.10000000000000009`, 1, 1], LineBox[{11, 12}]}, 
      {Hue[0.1100000000000003, 1, 1], LineBox[{12, 13}]}, 
      {Hue[0.12000000000000025`, 1, 1], LineBox[{13, 14}]}, 
      {Hue[0.1299999999999999, 1, 1], LineBox[{14, 15}]}, 
      {Hue[0.13999999999999985`, 1, 1], LineBox[{15, 16}]}, 
      {Hue[0.15000000000000008`, 1, 1], LineBox[{16, 17}]}, 
      {Hue[0.16000000000000003`, 1, 1], LineBox[{17, 18}]}, 
      {Hue[0.16999999999999996`, 1, 1], LineBox[{18, 19}]}, 
      {Hue[0.1799999999999999, 1, 1], LineBox[{19, 20}]}, 
      {Hue[0.19000000000000014`, 1, 1], LineBox[{20, 21}]}, 
      {Hue[0.20000000000000007`, 1, 1], LineBox[{21, 22}]}, 
      {Hue[0.21000000000000002`, 1, 1], LineBox[{22, 23}]}, 
      {Hue[0.21999999999999997`, 1, 1], LineBox[{23, 24}]}, 
      {Hue[0.23000000000000018`, 1, 1], LineBox[{24, 25}]}, 
      {Hue[0.24000000000000013`, 1, 1], LineBox[{25, 26}]}, 
      {Hue[0.25000000000000006`, 1, 1], LineBox[{26, 27}]}, 
      {Hue[0.26, 1, 1], LineBox[{27, 28}]}, 
      {Hue[0.26999999999999996`, 1, 1], LineBox[{28, 29}]}, 
      {Hue[0.2800000000000002, 1, 1], LineBox[{29, 30}]}, 
      {Hue[0.29000000000000015`, 1, 1], LineBox[{30, 31}]}, 
      {Hue[0.3000000000000001, 1, 1], LineBox[{31, 32}]}, 
      {Hue[0.31, 1, 1], LineBox[{32, 33}]}, 
      {Hue[0.32000000000000023`, 1, 1], LineBox[{33, 34}]}, 
      {Hue[0.3300000000000002, 1, 1], LineBox[{34, 35}]}, 
      {Hue[0.34000000000000014`, 1, 1], LineBox[{35, 36}]}, 
      {Hue[0.3500000000000001, 1, 1], LineBox[{36, 37}]}, 
      {Hue[0.3600000000000003, 1, 1], LineBox[{37, 38}]}, 
      {Hue[0.3700000000000003, 1, 1], LineBox[{38, 39}]}, 
      {Hue[0.38000000000000017`, 1, 1], LineBox[{39, 40}]}, 
      {Hue[0.38999999999999985`, 1, 1], LineBox[{40, 41}]}, 
      {Hue[0.4000000000000001, 1, 1], LineBox[{41, 42}]}, 
      {Hue[0.41000000000000003`, 1, 1], LineBox[{42, 43}]}, 
      {Hue[0.42, 1, 1], LineBox[{43, 44}]}, 
      {Hue[0.42999999999999994`, 1, 1], LineBox[{44, 45}]}, 
      {Hue[0.4400000000000001, 1, 1], LineBox[{45, 46}]}, 
      {Hue[0.45000000000000007`, 1, 1], LineBox[{46, 47}]}, 
      {Hue[0.46, 1, 1], LineBox[{47, 48}]}, 
      {Hue[0.47, 1, 1], LineBox[{48, 49}]}, 
      {Hue[0.4800000000000002, 1, 1], LineBox[{49, 50}]}, 
      {Hue[0.49000000000000016`, 1, 1], LineBox[{50, 51}]}, 
      {Hue[0.5, 1, 1], LineBox[{51, 52}]}, 
      {Hue[0.51, 1, 1], LineBox[{52, 53}]}, 
      {Hue[0.52, 1, 1], LineBox[{53, 54}]}, 
      {Hue[0.5300000000000002, 1, 1], LineBox[{54, 55}]}, 
      {Hue[0.54, 1, 1], LineBox[{55, 56}]}, 
      {Hue[0.55, 1, 1], LineBox[{56, 57}]}, 
      {Hue[0.56, 1, 1], LineBox[{57, 58}]}, 
      {Hue[0.5700000000000003, 1, 1], LineBox[{58, 59}]}, 
      {Hue[0.5800000000000002, 1, 1], LineBox[{59, 60}]}, 
      {Hue[0.5900000000000001, 1, 1], LineBox[{60, 61}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{61, 62}]}, 
      {Hue[0.6100000000000003, 1, 1], LineBox[{62, 63}]}, 
      {Hue[0.6200000000000002, 1, 1], LineBox[{63, 64}]}, 
      {Hue[0.6300000000000001, 1, 1], LineBox[{64, 65}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{65, 66}]}, 
      {Hue[0.6500000000000001, 1, 1], LineBox[{66, 67}]}, 
      {Hue[0.66, 1, 1], LineBox[{67, 68}]}, 
      {Hue[0.6699999999999999, 1, 1], LineBox[{68, 69}]}, 
      {Hue[0.6799999999999999, 1, 1], LineBox[{69, 70}]}, 
      {Hue[0.6900000000000001, 1, 1], LineBox[{70, 71}]}, 
      {Hue[0.7000000000000001, 1, 1], LineBox[{71, 72}]}, 
      {Hue[0.71, 1, 1], LineBox[{72, 73}]}, 
      {Hue[0.72, 1, 1], LineBox[{73, 74}]}, 
      {Hue[0.73, 1, 1], LineBox[{74, 75}]}, 
      {Hue[0.7400000000000001, 1, 1], LineBox[{75, 76}]}, 
      {Hue[0.75, 1, 1], LineBox[{76, 77}]}, 
      {Hue[0.76, 1, 1], LineBox[{77, 78}]}, 
      {Hue[0.77, 1, 1], LineBox[{78, 79}]}, 
      {Hue[0.78, 1, 1], LineBox[{79, 80}]}, 
      {Hue[0.79, 1, 1], LineBox[{80, 81}]}, 
      {Hue[0.8, 1, 1], LineBox[{81, 82}]}, 
      {Hue[0.81, 1, 1], LineBox[{82, 83}]}, 
      {Hue[0.8200000000000001, 1, 1], LineBox[{83, 84}]}, 
      {Hue[0.8300000000000002, 1, 1], LineBox[{84, 85}]}, 
      {Hue[0.8400000000000001, 1, 1], LineBox[{85, 86}]}, 
      {Hue[0.8500000000000002, 1, 1], LineBox[{86, 87}]}, 
      {Hue[0.8600000000000001, 1, 1], LineBox[{87, 88}]}, 
      {Hue[0.8700000000000002, 1, 1], LineBox[{88, 89}]}, 
      {Hue[0.8800000000000001, 1, 1], LineBox[{89, 90}]}, 
      {Hue[0.8900000000000001, 1, 1], LineBox[{90, 91}]}, 
      {Hue[0.8999999999999999, 1, 1], LineBox[{91, 92}]}, 
      {Hue[0.91, 1, 1], LineBox[{92, 93}]}, 
      {Hue[0.9199999999999999, 1, 1], LineBox[{93, 94}]}, 
      {Hue[0.93, 1, 1], LineBox[{94, 95}]}, 
      {Hue[0.94, 1, 1], LineBox[{95, 96}]}, 
      {Hue[0.9500000000000001, 1, 1], LineBox[{96, 97}]}, 
      {Hue[0.96, 1, 1], LineBox[{97, 98}]}, 
      {Hue[0.9700000000000001, 1, 1], LineBox[{98, 99}]}, 
      {Hue[0.98, 1, 1], LineBox[{99, 100}]}, 
      {Hue[0.9900000000000001, 1, 1], LineBox[{100, 101}]}, 
      {Hue[0.5, 1, 1], LineBox[{101, 102}]}, 
      {Hue[0.51, 1, 1], LineBox[{102, 103}]}, 
      {Hue[0.52, 1, 1], LineBox[{103, 104}]}, 
      {Hue[0.53, 1, 1], LineBox[{104, 105}]}, 
      {Hue[0.54, 1, 1], LineBox[{105, 106}]}, 
      {Hue[0.55, 1, 1], LineBox[{106, 107}]}, 
      {Hue[0.5600000000000002, 1, 1], LineBox[{107, 108}]}, 
      {Hue[0.5700000000000001, 1, 1], LineBox[{108, 109}]}, 
      {Hue[0.5800000000000001, 1, 1], LineBox[{109, 110}]}, 
      {Hue[0.5899999999999999, 1, 1], LineBox[{110, 111}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{111, 112}]}, 
      {Hue[0.6099999999999999, 1, 1], LineBox[{112, 113}]}, 
      {Hue[0.62, 1, 1], LineBox[{113, 114}]}, 
      {Hue[0.6299999999999999, 1, 1], LineBox[{114, 115}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{115, 116}]}, 
      {Hue[0.6499999999999999, 1, 1], LineBox[{116, 117}]}, 
      {Hue[0.6600000000000001, 1, 1], LineBox[{117, 118}]}, 
      {Hue[0.67, 1, 1], LineBox[{118, 119}]}, 
      {Hue[0.6800000000000002, 1, 1], LineBox[{119, 120}]}, 
      {Hue[0.6900000000000001, 1, 1], LineBox[{120, 121}]}, 
      {Hue[0.7, 1, 1], LineBox[{121, 122}]}, 
      {Hue[0.7100000000000002, 1, 1], LineBox[{122, 123}]}, 
      {Hue[0.7200000000000001, 1, 1], LineBox[{123, 124}]}, 
      {Hue[0.73, 1, 1], LineBox[{124, 125}]}, 
      {Hue[0.7400000000000001, 1, 1], LineBox[{125, 126}]}, 
      {Hue[0.75, 1, 1], LineBox[{126, 127}]}, 
      {Hue[0.76, 1, 1], LineBox[{127, 128}]}, 
      {Hue[0.77, 1, 1], LineBox[{128, 129}]}, 
      {Hue[0.78, 1, 1], LineBox[{129, 130}]}, 
      {Hue[0.79, 1, 1], LineBox[{130, 131}]}, 
      {Hue[0.8, 1, 1], LineBox[{131, 132}]}, 
      {Hue[0.81, 1, 1], LineBox[{132, 133}]}, 
      {Hue[0.8200000000000001, 1, 1], LineBox[{133, 134}]}, 
      {Hue[0.8300000000000002, 1, 1], LineBox[{134, 135}]}, 
      {Hue[0.8400000000000001, 1, 1], LineBox[{135, 136}]}, 
      {Hue[0.85, 1, 1], LineBox[{136, 137}]}, 
      {Hue[0.86, 1, 1], LineBox[{137, 138}]}, 
      {Hue[0.8700000000000001, 1, 1], LineBox[{138, 139}]}, 
      {Hue[0.88, 1, 1], LineBox[{139, 140}]}, 
      {Hue[0.89, 1, 1], LineBox[{140, 141}]}, 
      {Hue[0.9, 1, 1], LineBox[{141, 142}]}, 
      {Hue[0.91, 1, 1], LineBox[{142, 143}]}, 
      {Hue[0.92, 1, 1], LineBox[{143, 144}]}, 
      {Hue[0.93, 1, 1], LineBox[{144, 145}]}, 
      {Hue[0.9400000000000001, 1, 1], LineBox[{145, 146}]}, 
      {Hue[0.9500000000000001, 1, 1], LineBox[{146, 147}]}, 
      {Hue[0.9600000000000001, 1, 1], LineBox[{147, 148}]}, 
      {Hue[0.9700000000000001, 1, 1], LineBox[{148, 149}]}, 
      {Hue[0.98, 1, 1], LineBox[{149, 150}]}, 
      {Hue[0.99, 1, 1], LineBox[{150, 151}]}, 
      {Hue[9.016985208400837*^-17, 1, 1], LineBox[{151, 152}]}, 
      {Hue[0.010000000000000035`, 1, 1], LineBox[{152, 153}]}, 
      {Hue[0.020000000000000046`, 1, 1], LineBox[{153, 154}]}, 
      {Hue[0.030000000000000065`, 1, 1], LineBox[{154, 155}]}, 
      {Hue[0.04000000000000008, 1, 1], LineBox[{155, 156}]}, 
      {Hue[0.050000000000000086`, 1, 1], LineBox[{156, 157}]}, 
      {Hue[0.06000000000000012, 1, 1], LineBox[{157, 158}]}, 
      {Hue[0.07000000000000006, 1, 1], LineBox[{158, 159}]}, 
      {Hue[0.08000000000000006, 1, 1], LineBox[{159, 160}]}, 
      {Hue[0.09000000000000008, 1, 1], LineBox[{160, 161}]}, 
      {Hue[0.10000000000000003`, 1, 1], LineBox[{161, 162}]}, 
      {Hue[0.11000000000000003`, 1, 1], LineBox[{162, 163}]}, 
      {Hue[0.12000000000000006`, 1, 1], LineBox[{163, 164}]}, 
      {Hue[0.13000000000000003`, 1, 1], LineBox[{164, 165}]}, 
      {Hue[0.14, 1, 1], LineBox[{165, 166}]}, 
      {Hue[0.15, 1, 1], LineBox[{166, 167}]}, 
      {Hue[0.16000000000000003`, 1, 1], LineBox[{167, 168}]}, 
      {Hue[0.17000000000000004`, 1, 1], LineBox[{168, 169}]}, 
      {Hue[0.18000000000000008`, 1, 1], LineBox[{169, 170}]}, 
      {Hue[0.19000000000000006`, 1, 1], LineBox[{170, 171}]}, 
      {Hue[0.20000000000000004`, 1, 1], LineBox[{171, 172}]}, 
      {Hue[0.21000000000000002`, 1, 1], LineBox[{172, 173}]}, 
      {Hue[0.22000000000000003`, 1, 1], LineBox[{173, 174}]}, 
      {Hue[0.23000000000000004`, 1, 1], LineBox[{174, 175}]}, 
      {Hue[0.2400000000000001, 1, 1], LineBox[{175, 176}]}, 
      {Hue[0.25000000000000006`, 1, 1], LineBox[{176, 177}]}, 
      {Hue[0.26000000000000006`, 1, 1], LineBox[{177, 178}]}, 
      {Hue[0.27, 1, 1], LineBox[{178, 179}]}, 
      {Hue[0.28, 1, 1], LineBox[{179, 180}]}, 
      {Hue[0.29000000000000004`, 1, 1], LineBox[{180, 181}]}, 
      {Hue[0.30000000000000004`, 1, 1], LineBox[{181, 182}]}, 
      {Hue[0.31, 1, 1], LineBox[{182, 183}]}, 
      {Hue[0.32000000000000006`, 1, 1], LineBox[{183, 184}]}, 
      {Hue[0.33000000000000007`, 1, 1], LineBox[{184, 185}]}, 
      {Hue[0.3400000000000001, 1, 1], LineBox[{185, 186}]}, 
      {Hue[0.35000000000000003`, 1, 1], LineBox[{186, 187}]}, 
      {Hue[0.3600000000000001, 1, 1], LineBox[{187, 188}]}, 
      {Hue[0.37000000000000005`, 1, 1], LineBox[{188, 189}]}, 
      {Hue[0.38000000000000006`, 1, 1], LineBox[{189, 190}]}, 
      {Hue[0.39000000000000007`, 1, 1], LineBox[{190, 191}]}, 
      {Hue[0.4, 1, 1], LineBox[{191, 192}]}, 
      {Hue[0.4100000000000001, 1, 1], LineBox[{192, 193}]}, 
      {Hue[0.42000000000000004`, 1, 1], LineBox[{193, 194}]}, 
      {Hue[0.43000000000000005`, 1, 1], LineBox[{194, 195}]}, 
      {Hue[0.44000000000000006`, 1, 1], LineBox[{195, 196}]}, 
      {Hue[0.45, 1, 1], LineBox[{196, 197}]}, 
      {Hue[0.46, 1, 1], LineBox[{197, 198}]}, 
      {Hue[0.47000000000000003`, 1, 1], LineBox[{198, 199}]}, 
      {Hue[0.48000000000000004`, 1, 1], LineBox[{199, 200}]}, 
      {Hue[0.49000000000000005`, 1, 1], LineBox[{200, 201}]}, 
      {Hue[4.163336342344337*^-17, 1, 1], LineBox[{201, 202}]}, 
      {Hue[0.010000000000000044`, 1, 1], LineBox[{202, 203}]}, 
      {Hue[0.020000000000000042`, 1, 1], LineBox[{203, 204}]}, 
      {Hue[0.030000000000000047`, 1, 1], LineBox[{204, 205}]}, 
      {Hue[0.04000000000000004, 1, 1], LineBox[{205, 206}]}, 
      {Hue[0.05000000000000004, 1, 1], LineBox[{206, 207}]}, 
      {Hue[0.06000000000000003, 1, 1], LineBox[{207, 208}]}, 
      {Hue[0.07000000000000005, 1, 1], LineBox[{208, 209}]}, 
      {Hue[0.08000000000000004, 1, 1], LineBox[{209, 210}]}, 
      {Hue[0.09000000000000004, 1, 1], LineBox[{210, 211}]}, 
      {Hue[0.10000000000000006`, 1, 1], LineBox[{211, 212}]}, 
      {Hue[0.11000000000000006`, 1, 1], LineBox[{212, 213}]}, 
      {Hue[0.12000000000000004`, 1, 1], LineBox[{213, 214}]}, 
      {Hue[0.13, 1, 1], LineBox[{214, 215}]}, 
      {Hue[0.14000000000000007`, 1, 1], LineBox[{215, 216}]}, 
      {Hue[0.15000000000000005`, 1, 1], LineBox[{216, 217}]}, 
      {Hue[0.16000000000000003`, 1, 1], LineBox[{217, 218}]}, 
      {Hue[0.17000000000000004`, 1, 1], LineBox[{218, 219}]}, 
      {Hue[0.18000000000000005`, 1, 1], LineBox[{219, 220}]}, 
      {Hue[0.19000000000000006`, 1, 1], LineBox[{220, 221}]}, 
      {Hue[0.20000000000000004`, 1, 1], LineBox[{221, 222}]}, 
      {Hue[0.21000000000000005`, 1, 1], LineBox[{222, 223}]}, 
      {Hue[0.22000000000000006`, 1, 1], LineBox[{223, 224}]}, 
      {Hue[0.23000000000000004`, 1, 1], LineBox[{224, 225}]}, 
      {Hue[0.24000000000000007`, 1, 1], LineBox[{225, 226}]}, 
      {Hue[0.25000000000000006`, 1, 1], LineBox[{226, 227}]}, 
      {Hue[0.26, 1, 1], LineBox[{227, 228}]}, 
      {Hue[0.2700000000000001, 1, 1], LineBox[{228, 229}]}, 
      {Hue[0.28, 1, 1], LineBox[{229, 230}]}, 
      {Hue[0.29, 1, 1], LineBox[{230, 231}]}, 
      {Hue[0.3, 1, 1], LineBox[{231, 232}]}, 
      {Hue[0.31, 1, 1], LineBox[{232, 233}]}, 
      {Hue[0.32000000000000006`, 1, 1], LineBox[{233, 234}]}, 
      {Hue[0.33000000000000007`, 1, 1], LineBox[{234, 235}]}, 
      {Hue[0.3400000000000001, 1, 1], LineBox[{235, 236}]}, 
      {Hue[0.35000000000000003`, 1, 1], LineBox[{236, 237}]}, 
      {Hue[0.36000000000000004`, 1, 1], LineBox[{237, 238}]}, 
      {Hue[0.37000000000000005`, 1, 1], LineBox[{238, 239}]}, 
      {Hue[0.38000000000000006`, 1, 1], LineBox[{239, 240}]}, 
      {Hue[0.39000000000000007`, 1, 1], LineBox[{240, 241}]}, 
      {Hue[0.4, 1, 1], LineBox[{241, 242}]}, 
      {Hue[0.41000000000000003`, 1, 1], LineBox[{242, 243}]}, 
      {Hue[0.42000000000000004`, 1, 1], LineBox[{243, 244}]}, 
      {Hue[0.43000000000000005`, 1, 1], LineBox[{244, 245}]}, 
      {Hue[0.44000000000000006`, 1, 1], LineBox[{245, 246}]}, 
      {Hue[0.45000000000000007`, 1, 1], LineBox[{246, 247}]}, 
      {Hue[0.4600000000000001, 1, 1], LineBox[{247, 248}]}, 
      {Hue[0.47000000000000003`, 1, 1], LineBox[{248, 249}]}, 
      {Hue[0.48000000000000004`, 1, 1], LineBox[{249, 250}]}, 
      {Hue[0.49000000000000005`, 1, 1], LineBox[{250, 251}]}, 
      {Hue[0.5, 1, 1], LineBox[{251, 252}]}, 
      {Hue[0.51, 1, 1], LineBox[{252, 253}]}, 
      {Hue[0.52, 1, 1], LineBox[{253, 254}]}, 
      {Hue[0.53, 1, 1], LineBox[{254, 255}]}, 
      {Hue[0.54, 1, 1], LineBox[{255, 256}]}, 
      {Hue[0.55, 1, 1], LineBox[{256, 257}]}, 
      {Hue[0.56, 1, 1], LineBox[{257, 258}]}, 
      {Hue[0.5700000000000001, 1, 1], LineBox[{258, 259}]}, 
      {Hue[0.5800000000000001, 1, 1], LineBox[{259, 260}]}, 
      {Hue[0.5900000000000001, 1, 1], LineBox[{260, 261}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{261, 262}]}, 
      {Hue[0.6100000000000001, 1, 1], LineBox[{262, 263}]}, 
      {Hue[0.6200000000000001, 1, 1], LineBox[{263, 264}]}, 
      {Hue[0.6299999999999999, 1, 1], LineBox[{264, 265}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{265, 266}]}, 
      {Hue[0.6499999999999999, 1, 1], LineBox[{266, 267}]}, 
      {Hue[0.6600000000000001, 1, 1], LineBox[{267, 268}]}, 
      {Hue[0.67, 1, 1], LineBox[{268, 269}]}, 
      {Hue[0.6800000000000002, 1, 1], LineBox[{269, 270}]}, 
      {Hue[0.69, 1, 1], LineBox[{270, 271}]}, 
      {Hue[0.7, 1, 1], LineBox[{271, 272}]}, 
      {Hue[0.71, 1, 1], LineBox[{272, 273}]}, 
      {Hue[0.72, 1, 1], LineBox[{273, 274}]}, 
      {Hue[0.7300000000000001, 1, 1], LineBox[{274, 275}]}, 
      {Hue[0.74, 1, 1], LineBox[{275, 276}]}, 
      {Hue[0.7500000000000001, 1, 1], LineBox[{276, 277}]}, 
      {Hue[0.7599999999999999, 1, 1], LineBox[{277, 278}]}, 
      {Hue[0.77, 1, 1], LineBox[{278, 279}]}, 
      {Hue[0.7799999999999999, 1, 1], LineBox[{279, 280}]}, 
      {Hue[0.79, 1, 1], LineBox[{280, 281}]}, 
      {Hue[0.7999999999999999, 1, 1], LineBox[{281, 282}]}, 
      {Hue[0.81, 1, 1], LineBox[{282, 283}]}, 
      {Hue[0.82, 1, 1], LineBox[{283, 284}]}, 
      {Hue[0.8300000000000001, 1, 1], LineBox[{284, 285}]}, 
      {Hue[0.8400000000000001, 1, 1], LineBox[{285, 286}]}, 
      {Hue[0.8500000000000001, 1, 1], LineBox[{286, 287}]}, 
      {Hue[0.8600000000000001, 1, 1], LineBox[{287, 288}]}, 
      {Hue[0.8700000000000001, 1, 1], LineBox[{288, 289}]}, 
      {Hue[0.8800000000000001, 1, 1], LineBox[{289, 290}]}, 
      {Hue[0.89, 1, 1], LineBox[{290, 291}]}, 
      {Hue[0.8999999999999999, 1, 1], LineBox[{291, 292}]}, 
      {Hue[0.91, 1, 1], LineBox[{292, 293}]}, 
      {Hue[0.9199999999999999, 1, 1], LineBox[{293, 294}]}, 
      {Hue[0.93, 1, 1], LineBox[{294, 295}]}, 
      {Hue[0.9400000000000001, 1, 1], LineBox[{295, 296}]}, 
      {Hue[0.95, 1, 1], LineBox[{296, 297}]}, 
      {Hue[0.9600000000000001, 1, 1], LineBox[{297, 298}]}, 
      {Hue[0.97, 1, 1], LineBox[{298, 299}]}, 
      {Hue[0.9800000000000001, 1, 1], LineBox[{299, 300}]}, 
      {Hue[0.99, 1, 1], LineBox[{300, 301}]}, 
      {Hue[1., 1, 1], LineBox[{301, 302}]}, 
      {Hue[0.5099999999999998, 1, 1], LineBox[{302, 303}]}, 
      {Hue[0.52, 1, 1], LineBox[{303, 304}]}, 
      {Hue[0.53, 1, 1], LineBox[{304, 305}]}, 
      {Hue[0.54, 1, 1], LineBox[{305, 306}]}, 
      {Hue[0.55, 1, 1], LineBox[{306, 307}]}, 
      {Hue[0.56, 1, 1], LineBox[{307, 308}]}, 
      {Hue[0.5700000000000001, 1, 1], LineBox[{308, 309}]}, 
      {Hue[0.5800000000000001, 1, 1], LineBox[{309, 310}]}, 
      {Hue[0.59, 1, 1], LineBox[{310, 311}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{311, 312}]}, 
      {Hue[0.6100000000000001, 1, 1], LineBox[{312, 313}]}, 
      {Hue[0.6200000000000001, 1, 1], LineBox[{313, 314}]}, 
      {Hue[0.6300000000000001, 1, 1], LineBox[{314, 315}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{315, 316}]}, 
      {Hue[0.6500000000000001, 1, 1], LineBox[{316, 317}]}, 
      {Hue[0.66, 1, 1], LineBox[{317, 318}]}, 
      {Hue[0.6700000000000002, 1, 1], LineBox[{318, 319}]}, 
      {Hue[0.6800000000000002, 1, 1], LineBox[{319, 320}]}, 
      {Hue[0.6900000000000002, 1, 1], LineBox[{320, 321}]}, 
      {Hue[0.7000000000000002, 1, 1], LineBox[{321, 322}]}, 
      {Hue[0.71, 1, 1], LineBox[{322, 323}]}, 
      {Hue[0.72, 1, 1], LineBox[{323, 324}]}, 
      {Hue[0.73, 1, 1], LineBox[{324, 325}]}, 
      {Hue[0.74, 1, 1], LineBox[{325, 326}]}, 
      {Hue[0.75, 1, 1], LineBox[{326, 327}]}, 
      {Hue[0.7599999999999999, 1, 1], LineBox[{327, 328}]}, 
      {Hue[0.77, 1, 1], LineBox[{328, 329}]}, 
      {Hue[0.78, 1, 1], LineBox[{329, 330}]}, 
      {Hue[0.79, 1, 1], LineBox[{330, 331}]}, 
      {Hue[0.7999999999999999, 1, 1], LineBox[{331, 332}]}, 
      {Hue[0.8099999999999999, 1, 1], LineBox[{332, 333}]}, 
      {Hue[0.8200000000000001, 1, 1], LineBox[{333, 334}]}, 
      {Hue[0.8300000000000001, 1, 1], LineBox[{334, 335}]}, 
      {Hue[0.84, 1, 1], LineBox[{335, 336}]}, 
      {Hue[0.85, 1, 1], LineBox[{336, 337}]}, 
      {Hue[0.8600000000000002, 1, 1], LineBox[{337, 338}]}, 
      {Hue[0.8700000000000001, 1, 1], LineBox[{338, 339}]}, 
      {Hue[0.88, 1, 1], LineBox[{339, 340}]}, 
      {Hue[0.89, 1, 1], LineBox[{340, 341}]}, 
      {Hue[0.8999999999999999, 1, 1], LineBox[{341, 342}]}, 
      {Hue[0.9100000000000001, 1, 1], LineBox[{342, 343}]}, 
      {Hue[0.9200000000000002, 1, 1], LineBox[{343, 344}]}, 
      {Hue[0.93, 1, 1], LineBox[{344, 345}]}, 
      {Hue[0.94, 1, 1], LineBox[{345, 346}]}, 
      {Hue[0.9500000000000002, 1, 1], LineBox[{346, 347}]}, 
      {Hue[0.9599999999999999, 1, 1], LineBox[{347, 348}]}, 
      {Hue[0.9699999999999999, 1, 1], LineBox[{348, 349}]}, 
      {Hue[0.9800000000000001, 1, 1], LineBox[{349, 350}]}, 
      {Hue[0.99, 1, 1], LineBox[{350, 351}]}, 
      {Hue[0.9999999999999999, 1, 1], LineBox[{351, 352}]}, 
      {Hue[0.009999999999999886, 1, 1], LineBox[{352, 353}]}, 
      {Hue[0.019999999999999827`, 1, 1], LineBox[{353, 354}]}, 
      {Hue[0.030000000000000058`, 1, 1], LineBox[{354, 355}]}, 
      {Hue[0.039999999999999994`, 1, 1], LineBox[{355, 356}]}, 
      {Hue[0.04999999999999994, 1, 1], LineBox[{356, 357}]}, 
      {Hue[0.059999999999999894`, 1, 1], LineBox[{357, 358}]}, 
      {Hue[0.0700000000000001, 1, 1], LineBox[{358, 359}]}, 
      {Hue[0.08000000000000006, 1, 1], LineBox[{359, 360}]}, 
      {Hue[0.09000000000000001, 1, 1], LineBox[{360, 361}]}, 
      {Hue[0.09999999999999994, 1, 1], LineBox[{361, 362}]}, 
      {Hue[0.11000000000000018`, 1, 1], LineBox[{362, 363}]}, 
      {Hue[0.12000000000000012`, 1, 1], LineBox[{363, 364}]}, 
      {Hue[0.13000000000000003`, 1, 1], LineBox[{364, 365}]}, 
      {Hue[0.14, 1, 1], LineBox[{365, 366}]}, 
      {Hue[0.14999999999999994`, 1, 1], LineBox[{366, 367}]}, 
      {Hue[0.16000000000000017`, 1, 1], LineBox[{367, 368}]}, 
      {Hue[0.17000000000000015`, 1, 1], LineBox[{368, 369}]}, 
      {Hue[0.18000000000000005`, 1, 1], LineBox[{369, 370}]}, 
      {Hue[0.19, 1, 1], LineBox[{370, 371}]}, 
      {Hue[0.2000000000000002, 1, 1], LineBox[{371, 372}]}, 
      {Hue[0.2100000000000002, 1, 1], LineBox[{372, 373}]}, 
      {Hue[0.21999999999999983`, 1, 1], LineBox[{373, 374}]}, 
      {Hue[0.23000000000000004`, 1, 1], LineBox[{374, 375}]}, 
      {Hue[0.24, 1, 1], LineBox[{375, 376}]}, 
      {Hue[0.24999999999999994`, 1, 1], LineBox[{376, 377}]}, 
      {Hue[0.2599999999999999, 1, 1], LineBox[{377, 378}]}, 
      {Hue[0.2699999999999998, 1, 1], LineBox[{378, 379}]}, 
      {Hue[0.28, 1, 1], LineBox[{379, 380}]}, 
      {Hue[0.29, 1, 1], LineBox[{380, 381}]}, 
      {Hue[0.29999999999999993`, 1, 1], LineBox[{381, 382}]}, 
      {Hue[0.3099999999999999, 1, 1], LineBox[{382, 383}]}, 
      {Hue[0.3200000000000001, 1, 1], LineBox[{383, 384}]}, 
      {Hue[0.33000000000000007`, 1, 1], LineBox[{384, 385}]}, 
      {Hue[0.33999999999999997`, 1, 1], LineBox[{385, 386}]}, 
      {Hue[0.3499999999999999, 1, 1], LineBox[{386, 387}]}, 
      {Hue[0.36000000000000015`, 1, 1], LineBox[{387, 388}]}, 
      {Hue[0.3700000000000001, 1, 1], LineBox[{388, 389}]}, 
      {Hue[0.38000000000000006`, 1, 1], LineBox[{389, 390}]}, 
      {Hue[0.39, 1, 1], LineBox[{390, 391}]}, 
      {Hue[0.3999999999999999, 1, 1], LineBox[{391, 392}]}, 
      {Hue[0.41000000000000014`, 1, 1], LineBox[{392, 393}]}, 
      {Hue[0.4200000000000001, 1, 1], LineBox[{393, 394}]}, 
      {Hue[0.43000000000000005`, 1, 1], LineBox[{394, 395}]}, 
      {Hue[0.44, 1, 1], LineBox[{395, 396}]}, 
      {Hue[0.45000000000000023`, 1, 1], LineBox[{396, 397}]}, 
      {Hue[0.4600000000000002, 1, 1], LineBox[{397, 398}]}, 
      {Hue[0.4699999999999998, 1, 1], LineBox[{398, 399}]}, 
      {Hue[0.48000000000000004`, 1, 1], LineBox[{399, 400}]}, 
      {Hue[0.49, 1, 1], LineBox[{400, 401}]}}}},
   VertexColors->{
     Hue[0., 1, 1], 
     Hue[0.010000000000000023`, 1, 1], 
     Hue[0.019999999999999973`, 1, 1], 
     Hue[0.030000000000000197`, 1, 1], 
     Hue[0.040000000000000126`, 1, 1], 
     Hue[0.05000000000000008, 1, 1], 
     Hue[0.060000000000000026`, 1, 1], 
     Hue[0.07000000000000026, 1, 1], 
     Hue[0.08000000000000021, 1, 1], 
     Hue[0.09000000000000014, 1, 1], 
     Hue[0.10000000000000009`, 1, 1], 
     Hue[0.1100000000000003, 1, 1], 
     Hue[0.12000000000000025`, 1, 1], 
     Hue[0.1299999999999999, 1, 1], 
     Hue[0.13999999999999985`, 1, 1], 
     Hue[0.15000000000000008`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16999999999999996`, 1, 1], 
     Hue[0.1799999999999999, 1, 1], 
     Hue[0.19000000000000014`, 1, 1], 
     Hue[0.20000000000000007`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21999999999999997`, 1, 1], 
     Hue[0.23000000000000018`, 1, 1], 
     Hue[0.24000000000000013`, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.26999999999999996`, 1, 1], 
     Hue[0.2800000000000002, 1, 1], 
     Hue[0.29000000000000015`, 1, 1], 
     Hue[0.3000000000000001, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000023`, 1, 1], 
     Hue[0.3300000000000002, 1, 1], 
     Hue[0.34000000000000014`, 1, 1], 
     Hue[0.3500000000000001, 1, 1], 
     Hue[0.3600000000000003, 1, 1], 
     Hue[0.3700000000000003, 1, 1], 
     Hue[0.38000000000000017`, 1, 1], 
     Hue[0.38999999999999985`, 1, 1], 
     Hue[0.4000000000000001, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.42, 1, 1], 
     Hue[0.42999999999999994`, 1, 1], 
     Hue[0.4400000000000001, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47, 1, 1], 
     Hue[0.4800000000000002, 1, 1], 
     Hue[0.49000000000000016`, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.5300000000000002, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000003, 1, 1], 
     Hue[0.5800000000000002, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000003, 1, 1], 
     Hue[0.6200000000000002, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.6699999999999999, 1, 1], 
     Hue[0.6799999999999999, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7000000000000001, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8500000000000002, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8700000000000002, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.8900000000000001, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.96, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.9900000000000001, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.5600000000000002, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5899999999999999, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6099999999999999, 1, 1], 
     Hue[0.62, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7100000000000002, 1, 1], 
     Hue[0.7200000000000001, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.86, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.9, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.92, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[9.016985208400837*^-17, 1, 1], 
     Hue[0.010000000000000035`, 1, 1], 
     Hue[0.020000000000000046`, 1, 1], 
     Hue[0.030000000000000065`, 1, 1], 
     Hue[0.04000000000000008, 1, 1], 
     Hue[0.050000000000000086`, 1, 1], 
     Hue[0.06000000000000012, 1, 1], 
     Hue[0.07000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000008, 1, 1], 
     Hue[0.10000000000000003`, 1, 1], 
     Hue[0.11000000000000003`, 1, 1], 
     Hue[0.12000000000000006`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.15, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000008`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.22000000000000003`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.2400000000000001, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.26000000000000006`, 1, 1], 
     Hue[0.27, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29000000000000004`, 1, 1], 
     Hue[0.30000000000000004`, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.3600000000000001, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4100000000000001, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[4.163336342344337*^-17, 1, 1], 
     Hue[0.010000000000000044`, 1, 1], 
     Hue[0.020000000000000042`, 1, 1], 
     Hue[0.030000000000000047`, 1, 1], 
     Hue[0.04000000000000004, 1, 1], 
     Hue[0.05000000000000004, 1, 1], 
     Hue[0.06000000000000003, 1, 1], 
     Hue[0.07000000000000005, 1, 1], 
     Hue[0.08000000000000004, 1, 1], 
     Hue[0.09000000000000004, 1, 1], 
     Hue[0.10000000000000006`, 1, 1], 
     Hue[0.11000000000000006`, 1, 1], 
     Hue[0.12000000000000004`, 1, 1], 
     Hue[0.13, 1, 1], 
     Hue[0.14000000000000007`, 1, 1], 
     Hue[0.15000000000000005`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000005`, 1, 1], 
     Hue[0.22000000000000006`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.24000000000000007`, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.2700000000000001, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.3, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.36000000000000004`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.4600000000000001, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.69, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.7300000000000001, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.7500000000000001, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.7799999999999999, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.82, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8500000000000001, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.95, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.97, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[1., 1, 1], 
     Hue[0.5099999999999998, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.59, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.6700000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000002, 1, 1], 
     Hue[0.7000000000000002, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.8099999999999999, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.84, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.8600000000000002, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.9100000000000001, 1, 1], 
     Hue[0.9200000000000002, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.9500000000000002, 1, 1], 
     Hue[0.9599999999999999, 1, 1], 
     Hue[0.9699999999999999, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.9999999999999999, 1, 1], 
     Hue[0.009999999999999886, 1, 1], 
     Hue[0.019999999999999827`, 1, 1], 
     Hue[0.030000000000000058`, 1, 1], 
     Hue[0.039999999999999994`, 1, 1], 
     Hue[0.04999999999999994, 1, 1], 
     Hue[0.059999999999999894`, 1, 1], 
     Hue[0.0700000000000001, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000001, 1, 1], 
     Hue[0.09999999999999994, 1, 1], 
     Hue[0.11000000000000018`, 1, 1], 
     Hue[0.12000000000000012`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14999999999999994`, 1, 1], 
     Hue[0.16000000000000017`, 1, 1], 
     Hue[0.17000000000000015`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.19, 1, 1], 
     Hue[0.2000000000000002, 1, 1], 
     Hue[0.2100000000000002, 1, 1], 
     Hue[0.21999999999999983`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.24, 1, 1], 
     Hue[0.24999999999999994`, 1, 1], 
     Hue[0.2599999999999999, 1, 1], 
     Hue[0.2699999999999998, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.29999999999999993`, 1, 1], 
     Hue[0.3099999999999999, 1, 1], 
     Hue[0.3200000000000001, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33999999999999997`, 1, 1], 
     Hue[0.3499999999999999, 1, 1], 
     Hue[0.36000000000000015`, 1, 1], 
     Hue[0.3700000000000001, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39, 1, 1], 
     Hue[0.3999999999999999, 1, 1], 
     Hue[0.41000000000000014`, 1, 1], 
     Hue[0.4200000000000001, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44, 1, 1], 
     Hue[0.45000000000000023`, 1, 1], 
     Hue[0.4600000000000002, 1, 1], 
     Hue[0.4699999999999998, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49, 1, 1], 
     Hue[0.49999999999999994`, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.010000000000000023`, 1, 1], 
     Hue[0.010000000000000023`, 1, 1], 
     Hue[0.019999999999999973`, 1, 1], 
     Hue[0.019999999999999973`, 1, 1], 
     Hue[0.030000000000000197`, 1, 1], 
     Hue[0.030000000000000197`, 1, 1], 
     Hue[0.040000000000000126`, 1, 1], 
     Hue[0.040000000000000126`, 1, 1], 
     Hue[0.05000000000000008, 1, 1], 
     Hue[0.05000000000000008, 1, 1], 
     Hue[0.060000000000000026`, 1, 1], 
     Hue[0.060000000000000026`, 1, 1], 
     Hue[0.07000000000000026, 1, 1], 
     Hue[0.07000000000000026, 1, 1], 
     Hue[0.08000000000000021, 1, 1], 
     Hue[0.08000000000000021, 1, 1], 
     Hue[0.09000000000000014, 1, 1], 
     Hue[0.09000000000000014, 1, 1], 
     Hue[0.10000000000000009`, 1, 1], 
     Hue[0.10000000000000009`, 1, 1], 
     Hue[0.1100000000000003, 1, 1], 
     Hue[0.1100000000000003, 1, 1], 
     Hue[0.12000000000000025`, 1, 1], 
     Hue[0.12000000000000025`, 1, 1], 
     Hue[0.1299999999999999, 1, 1], 
     Hue[0.1299999999999999, 1, 1], 
     Hue[0.13999999999999985`, 1, 1], 
     Hue[0.13999999999999985`, 1, 1], 
     Hue[0.15000000000000008`, 1, 1], 
     Hue[0.15000000000000008`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16999999999999996`, 1, 1], 
     Hue[0.16999999999999996`, 1, 1], 
     Hue[0.1799999999999999, 1, 1], 
     Hue[0.1799999999999999, 1, 1], 
     Hue[0.19000000000000014`, 1, 1], 
     Hue[0.19000000000000014`, 1, 1], 
     Hue[0.20000000000000007`, 1, 1], 
     Hue[0.20000000000000007`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21999999999999997`, 1, 1], 
     Hue[0.21999999999999997`, 1, 1], 
     Hue[0.23000000000000018`, 1, 1], 
     Hue[0.23000000000000018`, 1, 1], 
     Hue[0.24000000000000013`, 1, 1], 
     Hue[0.24000000000000013`, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.26999999999999996`, 1, 1], 
     Hue[0.26999999999999996`, 1, 1], 
     Hue[0.2800000000000002, 1, 1], 
     Hue[0.2800000000000002, 1, 1], 
     Hue[0.29000000000000015`, 1, 1], 
     Hue[0.29000000000000015`, 1, 1], 
     Hue[0.3000000000000001, 1, 1], 
     Hue[0.3000000000000001, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000023`, 1, 1], 
     Hue[0.32000000000000023`, 1, 1], 
     Hue[0.3300000000000002, 1, 1], 
     Hue[0.3300000000000002, 1, 1], 
     Hue[0.34000000000000014`, 1, 1], 
     Hue[0.34000000000000014`, 1, 1], 
     Hue[0.3500000000000001, 1, 1], 
     Hue[0.3500000000000001, 1, 1], 
     Hue[0.3600000000000003, 1, 1], 
     Hue[0.3600000000000003, 1, 1], 
     Hue[0.3700000000000003, 1, 1], 
     Hue[0.3700000000000003, 1, 1], 
     Hue[0.38000000000000017`, 1, 1], 
     Hue[0.38000000000000017`, 1, 1], 
     Hue[0.38999999999999985`, 1, 1], 
     Hue[0.38999999999999985`, 1, 1], 
     Hue[0.4000000000000001, 1, 1], 
     Hue[0.4000000000000001, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.42, 1, 1], 
     Hue[0.42, 1, 1], 
     Hue[0.42999999999999994`, 1, 1], 
     Hue[0.42999999999999994`, 1, 1], 
     Hue[0.4400000000000001, 1, 1], 
     Hue[0.4400000000000001, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47, 1, 1], 
     Hue[0.47, 1, 1], 
     Hue[0.4800000000000002, 1, 1], 
     Hue[0.4800000000000002, 1, 1], 
     Hue[0.49000000000000016`, 1, 1], 
     Hue[0.49000000000000016`, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.5300000000000002, 1, 1], 
     Hue[0.5300000000000002, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000003, 1, 1], 
     Hue[0.5700000000000003, 1, 1], 
     Hue[0.5800000000000002, 1, 1], 
     Hue[0.5800000000000002, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000003, 1, 1], 
     Hue[0.6100000000000003, 1, 1], 
     Hue[0.6200000000000002, 1, 1], 
     Hue[0.6200000000000002, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.6699999999999999, 1, 1], 
     Hue[0.6699999999999999, 1, 1], 
     Hue[0.6799999999999999, 1, 1], 
     Hue[0.6799999999999999, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7000000000000001, 1, 1], 
     Hue[0.7000000000000001, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8500000000000002, 1, 1], 
     Hue[0.8500000000000002, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8700000000000002, 1, 1], 
     Hue[0.8700000000000002, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.8900000000000001, 1, 1], 
     Hue[0.8900000000000001, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.96, 1, 1], 
     Hue[0.96, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.9900000000000001, 1, 1], 
     Hue[0.9900000000000001, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.5600000000000002, 1, 1], 
     Hue[0.5600000000000002, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5899999999999999, 1, 1], 
     Hue[0.5899999999999999, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6099999999999999, 1, 1], 
     Hue[0.6099999999999999, 1, 1], 
     Hue[0.62, 1, 1], 
     Hue[0.62, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7100000000000002, 1, 1], 
     Hue[0.7100000000000002, 1, 1], 
     Hue[0.7200000000000001, 1, 1], 
     Hue[0.7200000000000001, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.86, 1, 1], 
     Hue[0.86, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.9, 1, 1], 
     Hue[0.9, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.92, 1, 1], 
     Hue[0.92, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[9.016985208400837*^-17, 1, 1], 
     Hue[9.016985208400837*^-17, 1, 1], 
     Hue[0.010000000000000035`, 1, 1], 
     Hue[0.010000000000000035`, 1, 1], 
     Hue[0.020000000000000046`, 1, 1], 
     Hue[0.020000000000000046`, 1, 1], 
     Hue[0.030000000000000065`, 1, 1], 
     Hue[0.030000000000000065`, 1, 1], 
     Hue[0.04000000000000008, 1, 1], 
     Hue[0.04000000000000008, 1, 1], 
     Hue[0.050000000000000086`, 1, 1], 
     Hue[0.050000000000000086`, 1, 1], 
     Hue[0.06000000000000012, 1, 1], 
     Hue[0.06000000000000012, 1, 1], 
     Hue[0.07000000000000006, 1, 1], 
     Hue[0.07000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000008, 1, 1], 
     Hue[0.09000000000000008, 1, 1], 
     Hue[0.10000000000000003`, 1, 1], 
     Hue[0.10000000000000003`, 1, 1], 
     Hue[0.11000000000000003`, 1, 1], 
     Hue[0.11000000000000003`, 1, 1], 
     Hue[0.12000000000000006`, 1, 1], 
     Hue[0.12000000000000006`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.15, 1, 1], 
     Hue[0.15, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000008`, 1, 1], 
     Hue[0.18000000000000008`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.22000000000000003`, 1, 1], 
     Hue[0.22000000000000003`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.2400000000000001, 1, 1], 
     Hue[0.2400000000000001, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.26000000000000006`, 1, 1], 
     Hue[0.26000000000000006`, 1, 1], 
     Hue[0.27, 1, 1], 
     Hue[0.27, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29000000000000004`, 1, 1], 
     Hue[0.29000000000000004`, 1, 1], 
     Hue[0.30000000000000004`, 1, 1], 
     Hue[0.30000000000000004`, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.3600000000000001, 1, 1], 
     Hue[0.3600000000000001, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4100000000000001, 1, 1], 
     Hue[0.4100000000000001, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45, 1, 1], 
     Hue[0.45, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.010000000000000044`, 1, 1], 
     Hue[0.010000000000000044`, 1, 1], 
     Hue[0.020000000000000042`, 1, 1], 
     Hue[0.020000000000000042`, 1, 1], 
     Hue[0.030000000000000047`, 1, 1], 
     Hue[0.030000000000000047`, 1, 1], 
     Hue[0.04000000000000004, 1, 1], 
     Hue[0.04000000000000004, 1, 1], 
     Hue[0.05000000000000004, 1, 1], 
     Hue[0.05000000000000004, 1, 1], 
     Hue[0.06000000000000003, 1, 1], 
     Hue[0.06000000000000003, 1, 1], 
     Hue[0.07000000000000005, 1, 1], 
     Hue[0.07000000000000005, 1, 1], 
     Hue[0.08000000000000004, 1, 1], 
     Hue[0.08000000000000004, 1, 1], 
     Hue[0.09000000000000004, 1, 1], 
     Hue[0.09000000000000004, 1, 1], 
     Hue[0.10000000000000006`, 1, 1], 
     Hue[0.10000000000000006`, 1, 1], 
     Hue[0.11000000000000006`, 1, 1], 
     Hue[0.11000000000000006`, 1, 1], 
     Hue[0.12000000000000004`, 1, 1], 
     Hue[0.12000000000000004`, 1, 1], 
     Hue[0.13, 1, 1], 
     Hue[0.13, 1, 1], 
     Hue[0.14000000000000007`, 1, 1], 
     Hue[0.14000000000000007`, 1, 1], 
     Hue[0.15000000000000005`, 1, 1], 
     Hue[0.15000000000000005`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000005`, 1, 1], 
     Hue[0.21000000000000005`, 1, 1], 
     Hue[0.22000000000000006`, 1, 1], 
     Hue[0.22000000000000006`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.24000000000000007`, 1, 1], 
     Hue[0.24000000000000007`, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.25000000000000006`, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.2700000000000001, 1, 1], 
     Hue[0.2700000000000001, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.3, 1, 1], 
     Hue[0.3, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.36000000000000004`, 1, 1], 
     Hue[0.36000000000000004`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.4600000000000001, 1, 1], 
     Hue[0.4600000000000001, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.69, 1, 1], 
     Hue[0.69, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.7300000000000001, 1, 1], 
     Hue[0.7300000000000001, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.7500000000000001, 1, 1], 
     Hue[0.7500000000000001, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.7799999999999999, 1, 1], 
     Hue[0.7799999999999999, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.82, 1, 1], 
     Hue[0.82, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8500000000000001, 1, 1], 
     Hue[0.8500000000000001, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.95, 1, 1], 
     Hue[0.95, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.97, 1, 1], 
     Hue[0.97, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.5099999999999998, 1, 1], 
     Hue[0.5099999999999998, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.59, 1, 1], 
     Hue[0.59, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.6700000000000002, 1, 1], 
     Hue[0.6700000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000002, 1, 1], 
     Hue[0.6900000000000002, 1, 1], 
     Hue[0.7000000000000002, 1, 1], 
     Hue[0.7000000000000002, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.8099999999999999, 1, 1], 
     Hue[0.8099999999999999, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.84, 1, 1], 
     Hue[0.84, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.8600000000000002, 1, 1], 
     Hue[0.8600000000000002, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.9100000000000001, 1, 1], 
     Hue[0.9100000000000001, 1, 1], 
     Hue[0.9200000000000002, 1, 1], 
     Hue[0.9200000000000002, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.9500000000000002, 1, 1], 
     Hue[0.9500000000000002, 1, 1], 
     Hue[0.9599999999999999, 1, 1], 
     Hue[0.9599999999999999, 1, 1], 
     Hue[0.9699999999999999, 1, 1], 
     Hue[0.9699999999999999, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.9999999999999999, 1, 1], 
     Hue[0.9999999999999999, 1, 1], 
     Hue[0.009999999999999886, 1, 1], 
     Hue[0.009999999999999886, 1, 1], 
     Hue[0.019999999999999827`, 1, 1], 
     Hue[0.019999999999999827`, 1, 1], 
     Hue[0.030000000000000058`, 1, 1], 
     Hue[0.030000000000000058`, 1, 1], 
     Hue[0.039999999999999994`, 1, 1], 
     Hue[0.039999999999999994`, 1, 1], 
     Hue[0.04999999999999994, 1, 1], 
     Hue[0.04999999999999994, 1, 1], 
     Hue[0.059999999999999894`, 1, 1], 
     Hue[0.059999999999999894`, 1, 1], 
     Hue[0.0700000000000001, 1, 1], 
     Hue[0.0700000000000001, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000001, 1, 1], 
     Hue[0.09000000000000001, 1, 1], 
     Hue[0.09999999999999994, 1, 1], 
     Hue[0.09999999999999994, 1, 1], 
     Hue[0.11000000000000018`, 1, 1], 
     Hue[0.11000000000000018`, 1, 1], 
     Hue[0.12000000000000012`, 1, 1], 
     Hue[0.12000000000000012`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14999999999999994`, 1, 1], 
     Hue[0.14999999999999994`, 1, 1], 
     Hue[0.16000000000000017`, 1, 1], 
     Hue[0.16000000000000017`, 1, 1], 
     Hue[0.17000000000000015`, 1, 1], 
     Hue[0.17000000000000015`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.19, 1, 1], 
     Hue[0.19, 1, 1], 
     Hue[0.2000000000000002, 1, 1], 
     Hue[0.2000000000000002, 1, 1], 
     Hue[0.2100000000000002, 1, 1], 
     Hue[0.2100000000000002, 1, 1], 
     Hue[0.21999999999999983`, 1, 1], 
     Hue[0.21999999999999983`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.24, 1, 1], 
     Hue[0.24, 1, 1], 
     Hue[0.24999999999999994`, 1, 1], 
     Hue[0.24999999999999994`, 1, 1], 
     Hue[0.2599999999999999, 1, 1], 
     Hue[0.2599999999999999, 1, 1], 
     Hue[0.2699999999999998, 1, 1], 
     Hue[0.2699999999999998, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.29999999999999993`, 1, 1], 
     Hue[0.29999999999999993`, 1, 1], 
     Hue[0.3099999999999999, 1, 1], 
     Hue[0.3099999999999999, 1, 1], 
     Hue[0.3200000000000001, 1, 1], 
     Hue[0.3200000000000001, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33999999999999997`, 1, 1], 
     Hue[0.33999999999999997`, 1, 1], 
     Hue[0.3499999999999999, 1, 1], 
     Hue[0.3499999999999999, 1, 1], 
     Hue[0.36000000000000015`, 1, 1], 
     Hue[0.36000000000000015`, 1, 1], 
     Hue[0.3700000000000001, 1, 1], 
     Hue[0.3700000000000001, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39, 1, 1], 
     Hue[0.39, 1, 1], 
     Hue[0.3999999999999999, 1, 1], 
     Hue[0.3999999999999999, 1, 1], 
     Hue[0.41000000000000014`, 1, 1], 
     Hue[0.41000000000000014`, 1, 1], 
     Hue[0.4200000000000001, 1, 1], 
     Hue[0.4200000000000001, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44, 1, 1], 
     Hue[0.44, 1, 1], 
     Hue[0.45000000000000023`, 1, 1], 
     Hue[0.45000000000000023`, 1, 1], 
     Hue[0.4600000000000002, 1, 1], 
     Hue[0.4600000000000002, 1, 1], 
     Hue[0.4699999999999998, 1, 1], 
     Hue[0.4699999999999998, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49, 1, 1], 
     Hue[0.49, 1, 1], 
     Hue[0.49999999999999994`, 1, 1]}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{0., 401.}, {0., 1.}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Ticks->{{{1., 
      FormBox[
       RowBox[{"-", "2"}], TraditionalForm]}, {51., 
      FormBox[
       RowBox[{"-", "1.5`"}], TraditionalForm]}, {101., 
      FormBox[
       RowBox[{"-", "1"}], TraditionalForm]}, {151., 
      FormBox[
       RowBox[{"-", "0.5`"}], TraditionalForm]}, {201., 
      FormBox["0", TraditionalForm]}, {251., 
      FormBox["0.5`", TraditionalForm]}, {301., 
      FormBox["1", TraditionalForm]}, {351., 
      FormBox["1.5`", TraditionalForm]}, {401., 
      FormBox["2", TraditionalForm]}}, Automatic}]], "Output",
 CellChangeTimes->{3.38973100632968*^9, 3.389731041279936*^9, 
  3.3897330596143775`*^9, 3.390893987564137*^9, 3.391779918700058*^9, 
  3.391780165959444*^9, 3.39184869746875*^9, 3.3924696478730173`*^9, 
  3.393842380803862*^9, 3.393847002183695*^9}]
}, Open  ]],

Cell["\<\
We can also plot a part of the list, corresponding, for example, to the \
values in the sub-interval {-1,0} of the horizontal range {-2,2}:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QListArgColorPlot", "[", 
  RowBox[{"mytab", ",", 
   RowBox[{"Axes", "\[Rule]", "True"}], ",", 
   RowBox[{"QHorizontalRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.3896963571746464`*^9}],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJx9lXto1WUYx386yTqmODdRcE7DhNlKoZAom6+QoASJV1bbLKhUKMpLiKSR
mhpCgZRiF1PUFmxgw4Xmtsxna/O2Nt3F43E7O8dz37nt/Mor1Nry/J7nQOf7
9uv9Z3w4Z895n+f7/T7v8vVvPLbGMIyRhjGiOP2XfjeyDpk1+Vv9i2rU0YkT
nrr/SimZFUV3f91XoU7mOab49u8l01Gy4TuXQ9VN2rZ9cNItStUtS+wprFON
jsTqY+VxSq21jmp5aMy6qhUfUMoql68uDhasydm6lwYeFCu626x+SxbO6Jq2
iQbS1Uo2qqvO3D8LRn9PA4XpgtNUZ+/fu/LHOSjZlj7tqvuC+eyc2HJKWuW2
KecP/o7Sg32UtK43S7n2lS2uqi6ghMu6oOp52zv4YayJ0pd7UFC51f3LM3ce
o8Qz1lGecbOLF3pzKJ4ut9WvvM6xFVRdSvF9VsPK91Luc4XHIxS32i1R/pkf
vTC5eCXFrIJJ5R88uOikkaDY1+nzjQpcnTFqc9nrFLPKLVbBb80FnhNjKZq+
XtE9FVpzYej0iF8omq62oVKFZ23ZseDHFEWt8S1X4f6rq3KnT6Qo66AiR4+s
3T6vnfpFj/4VP+V01eVTv+gRNaKpsec91C96RKvGvFn+Tpwiokds8e0npn5+
myKiRyy45dCXd6ooInrEt2ysmbvsUQqLHolRPw+/NfsTCoseiU+f9jzcOp/C
okfScWrJzsZXKSR6JHdNn1ry5LsUEj2Sd0r7+iZ+RiHRY+C1+bcCk0wKih4D
jQ2HzbIgBUWP1JTawY+HXRQUPVLrx+UtXGVQQPRINdR3dc59nwKiR2ro+NTx
hUEKiB7m86dbR1XeJ7/oYb4XPjHzkSHyix7moccPzAmVk1/0MGndyh09OeQT
PUx3ZXNwfzn5RA/TdFLoxWHyiR7mX3dnHx6/h3yih+SEbsr8M597Zd78/0Pk
lflm6ntknvz7I6lP5pe5X5/MK3N/t8yH+7tHvZl5WP37qFf65/lsoh7p15rf
ymG6If1l5ntD+uH5h8klfmJ9UuQS/2T0uy5+yejrFH9k9HeKH9gf8+ia6M/+
2U3dojf7azR1i74Z/3WJnuzPP6hT9GP/xqhT9GJ/u6lD9GH/51FHVj7a6IrM
n/Mzgdpl3pyvJLXJfDl/DdQq8+R8jqHLWfldTZdkXpzvOF2U+XD+l9J5mQfv
hyC1SP+8P5ZS87/3i2eYmqQ/3j9fUaP0w/uJ6Jzcn/fXZDor9+X95qZ6uR/v
vyV0Ru6T2Y+n5Pd5f35BtfJ7vF/XUo3U5/27maqlHu/njVQp/8/7201H5Pu8
3yN0QD7n/b+edgvz+/CyYfz3+2HPnB975v5sWd4be2b/2jPn05blfbJn9pc9
cz5sWd4ze+b52jP7w5bl/bNn3i/2zP61ZXkv7Znzbc+8v2xZ3ld7Zv/aM+8P
W5b32J45n/bM+8GejayjcT/kQWPIg8aQB+QI5EFjyIPGkAfkMORBY8iDxpAH
5BDkQWPIg8aQB+Qg5EFjyIPGkAfkAORBY8iDxpAHZD/kQWPIg8aQB2Qf5EFj
yIPGkAeNjayj8U3wO7IX/Kwx+BXZA35E7gO/aQx+QnaDX5B7wQ8ag97IPaAn
8g3QS2PQA9kF+0hj2DfI12GfIDthX2gM+wD5GuQduRvyrDHkFbkL8ojcCXnT
GPKE3AF50djIOhpfAb8jt4OfkdvAr8it4Efky+A35EvgJ+SL4Bfk8+AH5BbQ
G7kZ9ERuAr2QG0EP5HMwb+SzME/kepgX8hmYB/Ip6Be5FvpBroH7IlfDfZAr
4feQj0A95APwfeTd/8//AL0HzL4=
   "], {
    {GrayLevel[0.5], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[{{1, 102, 2}, {100, 299, 101}}], 
       PolygonBox[CompressedData["
1:eJwt1GN0nUEQgOFv2jRNbbdpm7ZpU9u2kdpIz6lT27Zt27Zt27btvtOdH8/J
3rs7s7O5uxPctknyUM/zwqAJfFAMz/ECxeGLtmiH8AiHNgi1OY1thuYIa1qg
peXTmPboAD9EQGd0QUTTFd0QCfEwHhMQ32I6opPF6ncTMQkJbI9WaG21RUZP
9EIUxMRQDEMsREVf9EM00x8DEN1q6I4elis2RmIU4iAuxmKc1ao5h2OErdU9
e6OP7aUxozHGYrXmyZiChGYqpiER0mIrtiEd/DEX85DU1kzHDCQ2MzELScxs
zLFYjZmPBUiGFFiOFUhp3y3EIiQ3i7EEAWYpllmsxqzEKqRCINZiHVIjxPMk
CHqOpnaG7diB9EiDjdiEILMZW+zsumYndiGD2Y09yIjMOIhDyGJ7rscGy61r
9mIfMpn9OGCx+hsPxCDEMIMxxHN3RXMexhFktTOuxho7a15cxTXkQx5cxhWb
y42LuGRzOXAaZ5ATBXAbd1DQclzHDeQ3N3HL1mbHSZyyXGXxFd9QznKexTnk
MudxwWrRPe7iHgqhBF7jDUqiCB7jCYqap3jmuV5QCu/xAaUt5i3e2VwZfMYX
q033uI8HKGwe4pHtpTk+4pPF6hm+4wfKe67nvMQrq7UCfuMPKqIed4s3IHrv
66MqY/qCaB+phmDG9Bzxc3NeFcb0BfF1c/9z/OUzf7xKqMGYHiB6L2q6HEIP
EH371R3hTUtUt9bLhuM4Yb+N1vwTv6xWcgrJRftiZUfoieLjatE9hDsnetdq
oQFj3qgkY9wQdRjTV0T7XF1H6BmS0J3da8SYdyj6Dhu7GOHNSoCb0z4uvAnR
txDi9hB6lGhvqu0IPUniur00h3DHJdDF6v9U6CHi72r7/waO4pie/R+LwZfU

        "]]}]}, {{}, {}, {
      {Hue[0., 1, 1], LineBox[{1, 2}]}, 
      {Hue[0.51, 1, 1], LineBox[{2, 3}]}, 
      {Hue[0.52, 1, 1], LineBox[{3, 4}]}, 
      {Hue[0.53, 1, 1], LineBox[{4, 5}]}, 
      {Hue[0.54, 1, 1], LineBox[{5, 6}]}, 
      {Hue[0.55, 1, 1], LineBox[{6, 7}]}, 
      {Hue[0.5600000000000002, 1, 1], LineBox[{7, 8}]}, 
      {Hue[0.5700000000000001, 1, 1], LineBox[{8, 9}]}, 
      {Hue[0.5800000000000001, 1, 1], LineBox[{9, 10}]}, 
      {Hue[0.5899999999999999, 1, 1], LineBox[{10, 11}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{11, 12}]}, 
      {Hue[0.6099999999999999, 1, 1], LineBox[{12, 13}]}, 
      {Hue[0.62, 1, 1], LineBox[{13, 14}]}, 
      {Hue[0.6299999999999999, 1, 1], LineBox[{14, 15}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{15, 16}]}, 
      {Hue[0.6499999999999999, 1, 1], LineBox[{16, 17}]}, 
      {Hue[0.6600000000000001, 1, 1], LineBox[{17, 18}]}, 
      {Hue[0.67, 1, 1], LineBox[{18, 19}]}, 
      {Hue[0.6800000000000002, 1, 1], LineBox[{19, 20}]}, 
      {Hue[0.6900000000000001, 1, 1], LineBox[{20, 21}]}, 
      {Hue[0.7, 1, 1], LineBox[{21, 22}]}, 
      {Hue[0.7100000000000002, 1, 1], LineBox[{22, 23}]}, 
      {Hue[0.7200000000000001, 1, 1], LineBox[{23, 24}]}, 
      {Hue[0.73, 1, 1], LineBox[{24, 25}]}, 
      {Hue[0.7400000000000001, 1, 1], LineBox[{25, 26}]}, 
      {Hue[0.75, 1, 1], LineBox[{26, 27}]}, 
      {Hue[0.76, 1, 1], LineBox[{27, 28}]}, 
      {Hue[0.77, 1, 1], LineBox[{28, 29}]}, 
      {Hue[0.78, 1, 1], LineBox[{29, 30}]}, 
      {Hue[0.79, 1, 1], LineBox[{30, 31}]}, 
      {Hue[0.8, 1, 1], LineBox[{31, 32}]}, 
      {Hue[0.81, 1, 1], LineBox[{32, 33}]}, 
      {Hue[0.8200000000000001, 1, 1], LineBox[{33, 34}]}, 
      {Hue[0.8300000000000002, 1, 1], LineBox[{34, 35}]}, 
      {Hue[0.8400000000000001, 1, 1], LineBox[{35, 36}]}, 
      {Hue[0.85, 1, 1], LineBox[{36, 37}]}, 
      {Hue[0.86, 1, 1], LineBox[{37, 38}]}, 
      {Hue[0.8700000000000001, 1, 1], LineBox[{38, 39}]}, 
      {Hue[0.88, 1, 1], LineBox[{39, 40}]}, 
      {Hue[0.89, 1, 1], LineBox[{40, 41}]}, 
      {Hue[0.9, 1, 1], LineBox[{41, 42}]}, 
      {Hue[0.91, 1, 1], LineBox[{42, 43}]}, 
      {Hue[0.92, 1, 1], LineBox[{43, 44}]}, 
      {Hue[0.93, 1, 1], LineBox[{44, 45}]}, 
      {Hue[0.9400000000000001, 1, 1], LineBox[{45, 46}]}, 
      {Hue[0.9500000000000001, 1, 1], LineBox[{46, 47}]}, 
      {Hue[0.9600000000000001, 1, 1], LineBox[{47, 48}]}, 
      {Hue[0.9700000000000001, 1, 1], LineBox[{48, 49}]}, 
      {Hue[0.98, 1, 1], LineBox[{49, 50}]}, 
      {Hue[0.99, 1, 1], LineBox[{50, 51}]}, 
      {Hue[0., 1, 1], LineBox[{51, 52}]}, 
      {Hue[0.010000000000000035`, 1, 1], LineBox[{52, 53}]}, 
      {Hue[0.020000000000000046`, 1, 1], LineBox[{53, 54}]}, 
      {Hue[0.030000000000000065`, 1, 1], LineBox[{54, 55}]}, 
      {Hue[0.04000000000000008, 1, 1], LineBox[{55, 56}]}, 
      {Hue[0.050000000000000086`, 1, 1], LineBox[{56, 57}]}, 
      {Hue[0.06000000000000012, 1, 1], LineBox[{57, 58}]}, 
      {Hue[0.07000000000000006, 1, 1], LineBox[{58, 59}]}, 
      {Hue[0.08000000000000006, 1, 1], LineBox[{59, 60}]}, 
      {Hue[0.09000000000000008, 1, 1], LineBox[{60, 61}]}, 
      {Hue[0.10000000000000003`, 1, 1], LineBox[{61, 62}]}, 
      {Hue[0.11000000000000003`, 1, 1], LineBox[{62, 63}]}, 
      {Hue[0.12000000000000006`, 1, 1], LineBox[{63, 64}]}, 
      {Hue[0.13000000000000003`, 1, 1], LineBox[{64, 65}]}, 
      {Hue[0.14, 1, 1], LineBox[{65, 66}]}, 
      {Hue[0.15, 1, 1], LineBox[{66, 67}]}, 
      {Hue[0.16000000000000003`, 1, 1], LineBox[{67, 68}]}, 
      {Hue[0.17000000000000004`, 1, 1], LineBox[{68, 69}]}, 
      {Hue[0.18000000000000008`, 1, 1], LineBox[{69, 70}]}, 
      {Hue[0.19000000000000006`, 1, 1], LineBox[{70, 71}]}, 
      {Hue[0.20000000000000004`, 1, 1], LineBox[{71, 72}]}, 
      {Hue[0.21000000000000002`, 1, 1], LineBox[{72, 73}]}, 
      {Hue[0.22000000000000003`, 1, 1], LineBox[{73, 74}]}, 
      {Hue[0.23000000000000004`, 1, 1], LineBox[{74, 75}]}, 
      {Hue[0.2400000000000001, 1, 1], LineBox[{75, 76}]}, 
      {Hue[0.25, 1, 1], LineBox[{76, 77}]}, 
      {Hue[0.26000000000000006`, 1, 1], LineBox[{77, 78}]}, 
      {Hue[0.27, 1, 1], LineBox[{78, 79}]}, 
      {Hue[0.28, 1, 1], LineBox[{79, 80}]}, 
      {Hue[0.29000000000000004`, 1, 1], LineBox[{80, 81}]}, 
      {Hue[0.30000000000000004`, 1, 1], LineBox[{81, 82}]}, 
      {Hue[0.31, 1, 1], LineBox[{82, 83}]}, 
      {Hue[0.32000000000000006`, 1, 1], LineBox[{83, 84}]}, 
      {Hue[0.33000000000000007`, 1, 1], LineBox[{84, 85}]}, 
      {Hue[0.3400000000000001, 1, 1], LineBox[{85, 86}]}, 
      {Hue[0.35000000000000003`, 1, 1], LineBox[{86, 87}]}, 
      {Hue[0.3600000000000001, 1, 1], LineBox[{87, 88}]}, 
      {Hue[0.37000000000000005`, 1, 1], LineBox[{88, 89}]}, 
      {Hue[0.38000000000000006`, 1, 1], LineBox[{89, 90}]}, 
      {Hue[0.39000000000000007`, 1, 1], LineBox[{90, 91}]}, 
      {Hue[0.4, 1, 1], LineBox[{91, 92}]}, 
      {Hue[0.4100000000000001, 1, 1], LineBox[{92, 93}]}, 
      {Hue[0.42000000000000004`, 1, 1], LineBox[{93, 94}]}, 
      {Hue[0.43000000000000005`, 1, 1], LineBox[{94, 95}]}, 
      {Hue[0.44000000000000006`, 1, 1], LineBox[{95, 96}]}, 
      {Hue[0.45, 1, 1], LineBox[{96, 97}]}, 
      {Hue[0.46, 1, 1], LineBox[{97, 98}]}, 
      {Hue[0.47000000000000003`, 1, 1], LineBox[{98, 99}]}, 
      {Hue[0.48000000000000004`, 1, 1], LineBox[{99, 100}]}, 
      {Hue[0.49000000000000005`, 1, 1], LineBox[{100, 101}]}}}},
   VertexColors->{
     Hue[0., 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.5600000000000002, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5899999999999999, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6099999999999999, 1, 1], 
     Hue[0.62, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7100000000000002, 1, 1], 
     Hue[0.7200000000000001, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.86, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.9, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.92, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.010000000000000035`, 1, 1], 
     Hue[0.020000000000000046`, 1, 1], 
     Hue[0.030000000000000065`, 1, 1], 
     Hue[0.04000000000000008, 1, 1], 
     Hue[0.050000000000000086`, 1, 1], 
     Hue[0.06000000000000012, 1, 1], 
     Hue[0.07000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000008, 1, 1], 
     Hue[0.10000000000000003`, 1, 1], 
     Hue[0.11000000000000003`, 1, 1], 
     Hue[0.12000000000000006`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.15, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000008`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.22000000000000003`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.2400000000000001, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.26000000000000006`, 1, 1], 
     Hue[0.27, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29000000000000004`, 1, 1], 
     Hue[0.30000000000000004`, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.3600000000000001, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4100000000000001, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.5600000000000002, 1, 1], 
     Hue[0.5600000000000002, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5899999999999999, 1, 1], 
     Hue[0.5899999999999999, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6099999999999999, 1, 1], 
     Hue[0.6099999999999999, 1, 1], 
     Hue[0.62, 1, 1], 
     Hue[0.62, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7100000000000002, 1, 1], 
     Hue[0.7100000000000002, 1, 1], 
     Hue[0.7200000000000001, 1, 1], 
     Hue[0.7200000000000001, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.86, 1, 1], 
     Hue[0.86, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.9, 1, 1], 
     Hue[0.9, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.92, 1, 1], 
     Hue[0.92, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.010000000000000035`, 1, 1], 
     Hue[0.010000000000000035`, 1, 1], 
     Hue[0.020000000000000046`, 1, 1], 
     Hue[0.020000000000000046`, 1, 1], 
     Hue[0.030000000000000065`, 1, 1], 
     Hue[0.030000000000000065`, 1, 1], 
     Hue[0.04000000000000008, 1, 1], 
     Hue[0.04000000000000008, 1, 1], 
     Hue[0.050000000000000086`, 1, 1], 
     Hue[0.050000000000000086`, 1, 1], 
     Hue[0.06000000000000012, 1, 1], 
     Hue[0.06000000000000012, 1, 1], 
     Hue[0.07000000000000006, 1, 1], 
     Hue[0.07000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000008, 1, 1], 
     Hue[0.09000000000000008, 1, 1], 
     Hue[0.10000000000000003`, 1, 1], 
     Hue[0.10000000000000003`, 1, 1], 
     Hue[0.11000000000000003`, 1, 1], 
     Hue[0.11000000000000003`, 1, 1], 
     Hue[0.12000000000000006`, 1, 1], 
     Hue[0.12000000000000006`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.15, 1, 1], 
     Hue[0.15, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000008`, 1, 1], 
     Hue[0.18000000000000008`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.22000000000000003`, 1, 1], 
     Hue[0.22000000000000003`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.2400000000000001, 1, 1], 
     Hue[0.2400000000000001, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.26000000000000006`, 1, 1], 
     Hue[0.26000000000000006`, 1, 1], 
     Hue[0.27, 1, 1], 
     Hue[0.27, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29000000000000004`, 1, 1], 
     Hue[0.29000000000000004`, 1, 1], 
     Hue[0.30000000000000004`, 1, 1], 
     Hue[0.30000000000000004`, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.3600000000000001, 1, 1], 
     Hue[0.3600000000000001, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4100000000000001, 1, 1], 
     Hue[0.4100000000000001, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45, 1, 1], 
     Hue[0.45, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1]}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{-1., 0.}, {0., 1.}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.389731006449853*^9, 3.389731041860771*^9, 
  3.389733060205227*^9, 3.390893987983336*^9, 3.3917799188467407`*^9, 
  3.391780168051235*^9, 3.391848697796875*^9, 3.392469648134354*^9, 
  3.393842381195857*^9, 3.39384700256594*^9}]
}, Open  ]],

Cell["\<\
If the \"sub-interval\" is larger than the horizontal range, the list will be \
padded with zeros:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QListArgColorPlot", "[", 
  RowBox[{"mytab", ",", 
   RowBox[{"Axes", "\[Rule]", "True"}], ",", 
   RowBox[{"QHorizontalRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.389698238079254*^9}],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJyFm3mM1dUVx1+VaoVqRaCaqmhjbbS2mrQ1Tat4SGqiaVqrIwYLuKSt2s0F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   "], {
    {GrayLevel[0.5], EdgeForm[None], 
     GraphicsGroupBox[{
       PolygonBox[{{2, 404, 3}, {202, 800, 203}, {101, 601, 102}, {102, 602, 
        103}, {302, 998, 303}, {301, 997, 302}, {201, 799, 202}, {401, 1195, 
        402}}], PolygonBox[CompressedData["
1:eJwtmHv832MZxp/7QFoRq5wqZknLKUlajDQSkjKSkNaSZgkJlZwtpxBLSKsm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        "]]}]}, {{}, {}, {
      {Hue[0., 1, 1], LineBox[{1, 2}]}, 
      {Hue[0., 1, 1], LineBox[{2, 3}]}, 
      {Hue[0.010000000000000023`, 1, 1], LineBox[{3, 4}]}, 
      {Hue[0.019999999999999973`, 1, 1], LineBox[{4, 5}]}, 
      {Hue[0.030000000000000197`, 1, 1], LineBox[{5, 6}]}, 
      {Hue[0.040000000000000126`, 1, 1], LineBox[{6, 7}]}, 
      {Hue[0.05000000000000008, 1, 1], LineBox[{7, 8}]}, 
      {Hue[0.060000000000000026`, 1, 1], LineBox[{8, 9}]}, 
      {Hue[0.07000000000000026, 1, 1], LineBox[{9, 10}]}, 
      {Hue[0.08000000000000021, 1, 1], LineBox[{10, 11}]}, 
      {Hue[0.09000000000000014, 1, 1], LineBox[{11, 12}]}, 
      {Hue[0.10000000000000009`, 1, 1], LineBox[{12, 13}]}, 
      {Hue[0.1100000000000003, 1, 1], LineBox[{13, 14}]}, 
      {Hue[0.12000000000000025`, 1, 1], LineBox[{14, 15}]}, 
      {Hue[0.1299999999999999, 1, 1], LineBox[{15, 16}]}, 
      {Hue[0.13999999999999985`, 1, 1], LineBox[{16, 17}]}, 
      {Hue[0.15000000000000008`, 1, 1], LineBox[{17, 18}]}, 
      {Hue[0.16000000000000003`, 1, 1], LineBox[{18, 19}]}, 
      {Hue[0.16999999999999996`, 1, 1], LineBox[{19, 20}]}, 
      {Hue[0.1799999999999999, 1, 1], LineBox[{20, 21}]}, 
      {Hue[0.19000000000000014`, 1, 1], LineBox[{21, 22}]}, 
      {Hue[0.20000000000000007`, 1, 1], LineBox[{22, 23}]}, 
      {Hue[0.21000000000000002`, 1, 1], LineBox[{23, 24}]}, 
      {Hue[0.21999999999999997`, 1, 1], LineBox[{24, 25}]}, 
      {Hue[0.23000000000000018`, 1, 1], LineBox[{25, 26}]}, 
      {Hue[0.24000000000000013`, 1, 1], LineBox[{26, 27}]}, 
      {Hue[0.25, 1, 1], LineBox[{27, 28}]}, 
      {Hue[0.26, 1, 1], LineBox[{28, 29}]}, 
      {Hue[0.26999999999999996`, 1, 1], LineBox[{29, 30}]}, 
      {Hue[0.2800000000000002, 1, 1], LineBox[{30, 31}]}, 
      {Hue[0.29000000000000015`, 1, 1], LineBox[{31, 32}]}, 
      {Hue[0.3000000000000001, 1, 1], LineBox[{32, 33}]}, 
      {Hue[0.31, 1, 1], LineBox[{33, 34}]}, 
      {Hue[0.32000000000000023`, 1, 1], LineBox[{34, 35}]}, 
      {Hue[0.3300000000000002, 1, 1], LineBox[{35, 36}]}, 
      {Hue[0.34000000000000014`, 1, 1], LineBox[{36, 37}]}, 
      {Hue[0.3500000000000001, 1, 1], LineBox[{37, 38}]}, 
      {Hue[0.3600000000000003, 1, 1], LineBox[{38, 39}]}, 
      {Hue[0.3700000000000003, 1, 1], LineBox[{39, 40}]}, 
      {Hue[0.38000000000000017`, 1, 1], LineBox[{40, 41}]}, 
      {Hue[0.38999999999999985`, 1, 1], LineBox[{41, 42}]}, 
      {Hue[0.4000000000000001, 1, 1], LineBox[{42, 43}]}, 
      {Hue[0.41000000000000003`, 1, 1], LineBox[{43, 44}]}, 
      {Hue[0.42, 1, 1], LineBox[{44, 45}]}, 
      {Hue[0.42999999999999994`, 1, 1], LineBox[{45, 46}]}, 
      {Hue[0.4400000000000001, 1, 1], LineBox[{46, 47}]}, 
      {Hue[0.45000000000000007`, 1, 1], LineBox[{47, 48}]}, 
      {Hue[0.46, 1, 1], LineBox[{48, 49}]}, 
      {Hue[0.47, 1, 1], LineBox[{49, 50}]}, 
      {Hue[0.4800000000000002, 1, 1], LineBox[{50, 51}]}, 
      {Hue[0.49000000000000016`, 1, 1], LineBox[{51, 52}]}, 
      {Hue[0.5, 1, 1], LineBox[{52, 53}]}, 
      {Hue[0.51, 1, 1], LineBox[{53, 54}]}, 
      {Hue[0.52, 1, 1], LineBox[{54, 55}]}, 
      {Hue[0.5300000000000002, 1, 1], LineBox[{55, 56}]}, 
      {Hue[0.54, 1, 1], LineBox[{56, 57}]}, 
      {Hue[0.55, 1, 1], LineBox[{57, 58}]}, 
      {Hue[0.56, 1, 1], LineBox[{58, 59}]}, 
      {Hue[0.5700000000000003, 1, 1], LineBox[{59, 60}]}, 
      {Hue[0.5800000000000002, 1, 1], LineBox[{60, 61}]}, 
      {Hue[0.5900000000000001, 1, 1], LineBox[{61, 62}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{62, 63}]}, 
      {Hue[0.6100000000000003, 1, 1], LineBox[{63, 64}]}, 
      {Hue[0.6200000000000002, 1, 1], LineBox[{64, 65}]}, 
      {Hue[0.6300000000000001, 1, 1], LineBox[{65, 66}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{66, 67}]}, 
      {Hue[0.6500000000000001, 1, 1], LineBox[{67, 68}]}, 
      {Hue[0.66, 1, 1], LineBox[{68, 69}]}, 
      {Hue[0.6699999999999999, 1, 1], LineBox[{69, 70}]}, 
      {Hue[0.6799999999999999, 1, 1], LineBox[{70, 71}]}, 
      {Hue[0.6900000000000001, 1, 1], LineBox[{71, 72}]}, 
      {Hue[0.7000000000000001, 1, 1], LineBox[{72, 73}]}, 
      {Hue[0.71, 1, 1], LineBox[{73, 74}]}, 
      {Hue[0.72, 1, 1], LineBox[{74, 75}]}, 
      {Hue[0.73, 1, 1], LineBox[{75, 76}]}, 
      {Hue[0.7400000000000001, 1, 1], LineBox[{76, 77}]}, 
      {Hue[0.75, 1, 1], LineBox[{77, 78}]}, 
      {Hue[0.76, 1, 1], LineBox[{78, 79}]}, 
      {Hue[0.77, 1, 1], LineBox[{79, 80}]}, 
      {Hue[0.78, 1, 1], LineBox[{80, 81}]}, 
      {Hue[0.79, 1, 1], LineBox[{81, 82}]}, 
      {Hue[0.8, 1, 1], LineBox[{82, 83}]}, 
      {Hue[0.81, 1, 1], LineBox[{83, 84}]}, 
      {Hue[0.8200000000000001, 1, 1], LineBox[{84, 85}]}, 
      {Hue[0.8300000000000002, 1, 1], LineBox[{85, 86}]}, 
      {Hue[0.8400000000000001, 1, 1], LineBox[{86, 87}]}, 
      {Hue[0.8500000000000002, 1, 1], LineBox[{87, 88}]}, 
      {Hue[0.8600000000000001, 1, 1], LineBox[{88, 89}]}, 
      {Hue[0.8700000000000002, 1, 1], LineBox[{89, 90}]}, 
      {Hue[0.8800000000000001, 1, 1], LineBox[{90, 91}]}, 
      {Hue[0.8900000000000001, 1, 1], LineBox[{91, 92}]}, 
      {Hue[0.8999999999999999, 1, 1], LineBox[{92, 93}]}, 
      {Hue[0.91, 1, 1], LineBox[{93, 94}]}, 
      {Hue[0.9199999999999999, 1, 1], LineBox[{94, 95}]}, 
      {Hue[0.93, 1, 1], LineBox[{95, 96}]}, 
      {Hue[0.94, 1, 1], LineBox[{96, 97}]}, 
      {Hue[0.9500000000000001, 1, 1], LineBox[{97, 98}]}, 
      {Hue[0.96, 1, 1], LineBox[{98, 99}]}, 
      {Hue[0.9700000000000001, 1, 1], LineBox[{99, 100}]}, 
      {Hue[0.98, 1, 1], LineBox[{100, 101}]}, 
      {Hue[0.9900000000000001, 1, 1], LineBox[{101, 102}]}, 
      {Hue[0., 1, 1], LineBox[{102, 103}]}, 
      {Hue[0.51, 1, 1], LineBox[{103, 104}]}, 
      {Hue[0.52, 1, 1], LineBox[{104, 105}]}, 
      {Hue[0.53, 1, 1], LineBox[{105, 106}]}, 
      {Hue[0.54, 1, 1], LineBox[{106, 107}]}, 
      {Hue[0.55, 1, 1], LineBox[{107, 108}]}, 
      {Hue[0.5600000000000002, 1, 1], LineBox[{108, 109}]}, 
      {Hue[0.5700000000000001, 1, 1], LineBox[{109, 110}]}, 
      {Hue[0.5800000000000001, 1, 1], LineBox[{110, 111}]}, 
      {Hue[0.5899999999999999, 1, 1], LineBox[{111, 112}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{112, 113}]}, 
      {Hue[0.6099999999999999, 1, 1], LineBox[{113, 114}]}, 
      {Hue[0.62, 1, 1], LineBox[{114, 115}]}, 
      {Hue[0.6299999999999999, 1, 1], LineBox[{115, 116}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{116, 117}]}, 
      {Hue[0.6499999999999999, 1, 1], LineBox[{117, 118}]}, 
      {Hue[0.6600000000000001, 1, 1], LineBox[{118, 119}]}, 
      {Hue[0.67, 1, 1], LineBox[{119, 120}]}, 
      {Hue[0.6800000000000002, 1, 1], LineBox[{120, 121}]}, 
      {Hue[0.6900000000000001, 1, 1], LineBox[{121, 122}]}, 
      {Hue[0.7, 1, 1], LineBox[{122, 123}]}, 
      {Hue[0.7100000000000002, 1, 1], LineBox[{123, 124}]}, 
      {Hue[0.7200000000000001, 1, 1], LineBox[{124, 125}]}, 
      {Hue[0.73, 1, 1], LineBox[{125, 126}]}, 
      {Hue[0.7400000000000001, 1, 1], LineBox[{126, 127}]}, 
      {Hue[0.75, 1, 1], LineBox[{127, 128}]}, 
      {Hue[0.76, 1, 1], LineBox[{128, 129}]}, 
      {Hue[0.77, 1, 1], LineBox[{129, 130}]}, 
      {Hue[0.78, 1, 1], LineBox[{130, 131}]}, 
      {Hue[0.79, 1, 1], LineBox[{131, 132}]}, 
      {Hue[0.8, 1, 1], LineBox[{132, 133}]}, 
      {Hue[0.81, 1, 1], LineBox[{133, 134}]}, 
      {Hue[0.8200000000000001, 1, 1], LineBox[{134, 135}]}, 
      {Hue[0.8300000000000002, 1, 1], LineBox[{135, 136}]}, 
      {Hue[0.8400000000000001, 1, 1], LineBox[{136, 137}]}, 
      {Hue[0.85, 1, 1], LineBox[{137, 138}]}, 
      {Hue[0.86, 1, 1], LineBox[{138, 139}]}, 
      {Hue[0.8700000000000001, 1, 1], LineBox[{139, 140}]}, 
      {Hue[0.88, 1, 1], LineBox[{140, 141}]}, 
      {Hue[0.89, 1, 1], LineBox[{141, 142}]}, 
      {Hue[0.9, 1, 1], LineBox[{142, 143}]}, 
      {Hue[0.91, 1, 1], LineBox[{143, 144}]}, 
      {Hue[0.92, 1, 1], LineBox[{144, 145}]}, 
      {Hue[0.93, 1, 1], LineBox[{145, 146}]}, 
      {Hue[0.9400000000000001, 1, 1], LineBox[{146, 147}]}, 
      {Hue[0.9500000000000001, 1, 1], LineBox[{147, 148}]}, 
      {Hue[0.9600000000000001, 1, 1], LineBox[{148, 149}]}, 
      {Hue[0.9700000000000001, 1, 1], LineBox[{149, 150}]}, 
      {Hue[0.98, 1, 1], LineBox[{150, 151}]}, 
      {Hue[0.99, 1, 1], LineBox[{151, 152}]}, 
      {Hue[0., 1, 1], LineBox[{152, 153}]}, 
      {Hue[0.010000000000000035`, 1, 1], LineBox[{153, 154}]}, 
      {Hue[0.020000000000000046`, 1, 1], LineBox[{154, 155}]}, 
      {Hue[0.030000000000000065`, 1, 1], LineBox[{155, 156}]}, 
      {Hue[0.04000000000000008, 1, 1], LineBox[{156, 157}]}, 
      {Hue[0.050000000000000086`, 1, 1], LineBox[{157, 158}]}, 
      {Hue[0.06000000000000012, 1, 1], LineBox[{158, 159}]}, 
      {Hue[0.07000000000000006, 1, 1], LineBox[{159, 160}]}, 
      {Hue[0.08000000000000006, 1, 1], LineBox[{160, 161}]}, 
      {Hue[0.09000000000000008, 1, 1], LineBox[{161, 162}]}, 
      {Hue[0.10000000000000003`, 1, 1], LineBox[{162, 163}]}, 
      {Hue[0.11000000000000003`, 1, 1], LineBox[{163, 164}]}, 
      {Hue[0.12000000000000006`, 1, 1], LineBox[{164, 165}]}, 
      {Hue[0.13000000000000003`, 1, 1], LineBox[{165, 166}]}, 
      {Hue[0.14, 1, 1], LineBox[{166, 167}]}, 
      {Hue[0.15, 1, 1], LineBox[{167, 168}]}, 
      {Hue[0.16000000000000003`, 1, 1], LineBox[{168, 169}]}, 
      {Hue[0.17000000000000004`, 1, 1], LineBox[{169, 170}]}, 
      {Hue[0.18000000000000008`, 1, 1], LineBox[{170, 171}]}, 
      {Hue[0.19000000000000006`, 1, 1], LineBox[{171, 172}]}, 
      {Hue[0.20000000000000004`, 1, 1], LineBox[{172, 173}]}, 
      {Hue[0.21000000000000002`, 1, 1], LineBox[{173, 174}]}, 
      {Hue[0.22000000000000003`, 1, 1], LineBox[{174, 175}]}, 
      {Hue[0.23000000000000004`, 1, 1], LineBox[{175, 176}]}, 
      {Hue[0.2400000000000001, 1, 1], LineBox[{176, 177}]}, 
      {Hue[0.25, 1, 1], LineBox[{177, 178}]}, 
      {Hue[0.26000000000000006`, 1, 1], LineBox[{178, 179}]}, 
      {Hue[0.27, 1, 1], LineBox[{179, 180}]}, 
      {Hue[0.28, 1, 1], LineBox[{180, 181}]}, 
      {Hue[0.29000000000000004`, 1, 1], LineBox[{181, 182}]}, 
      {Hue[0.30000000000000004`, 1, 1], LineBox[{182, 183}]}, 
      {Hue[0.31, 1, 1], LineBox[{183, 184}]}, 
      {Hue[0.32000000000000006`, 1, 1], LineBox[{184, 185}]}, 
      {Hue[0.33000000000000007`, 1, 1], LineBox[{185, 186}]}, 
      {Hue[0.3400000000000001, 1, 1], LineBox[{186, 187}]}, 
      {Hue[0.35000000000000003`, 1, 1], LineBox[{187, 188}]}, 
      {Hue[0.3600000000000001, 1, 1], LineBox[{188, 189}]}, 
      {Hue[0.37000000000000005`, 1, 1], LineBox[{189, 190}]}, 
      {Hue[0.38000000000000006`, 1, 1], LineBox[{190, 191}]}, 
      {Hue[0.39000000000000007`, 1, 1], LineBox[{191, 192}]}, 
      {Hue[0.4, 1, 1], LineBox[{192, 193}]}, 
      {Hue[0.4100000000000001, 1, 1], LineBox[{193, 194}]}, 
      {Hue[0.42000000000000004`, 1, 1], LineBox[{194, 195}]}, 
      {Hue[0.43000000000000005`, 1, 1], LineBox[{195, 196}]}, 
      {Hue[0.44000000000000006`, 1, 1], LineBox[{196, 197}]}, 
      {Hue[0.45, 1, 1], LineBox[{197, 198}]}, 
      {Hue[0.46, 1, 1], LineBox[{198, 199}]}, 
      {Hue[0.47000000000000003`, 1, 1], LineBox[{199, 200}]}, 
      {Hue[0.48000000000000004`, 1, 1], LineBox[{200, 201}]}, 
      {Hue[0.49000000000000005`, 1, 1], LineBox[{201, 202}]}, 
      {Hue[0., 1, 1], LineBox[{202, 203}]}, 
      {Hue[0.010000000000000044`, 1, 1], LineBox[{203, 204}]}, 
      {Hue[0.020000000000000042`, 1, 1], LineBox[{204, 205}]}, 
      {Hue[0.030000000000000047`, 1, 1], LineBox[{205, 206}]}, 
      {Hue[0.04000000000000004, 1, 1], LineBox[{206, 207}]}, 
      {Hue[0.05000000000000004, 1, 1], LineBox[{207, 208}]}, 
      {Hue[0.06000000000000003, 1, 1], LineBox[{208, 209}]}, 
      {Hue[0.07000000000000005, 1, 1], LineBox[{209, 210}]}, 
      {Hue[0.08000000000000004, 1, 1], LineBox[{210, 211}]}, 
      {Hue[0.09000000000000004, 1, 1], LineBox[{211, 212}]}, 
      {Hue[0.10000000000000006`, 1, 1], LineBox[{212, 213}]}, 
      {Hue[0.11000000000000006`, 1, 1], LineBox[{213, 214}]}, 
      {Hue[0.12000000000000004`, 1, 1], LineBox[{214, 215}]}, 
      {Hue[0.13, 1, 1], LineBox[{215, 216}]}, 
      {Hue[0.14000000000000007`, 1, 1], LineBox[{216, 217}]}, 
      {Hue[0.15000000000000005`, 1, 1], LineBox[{217, 218}]}, 
      {Hue[0.16000000000000003`, 1, 1], LineBox[{218, 219}]}, 
      {Hue[0.17000000000000004`, 1, 1], LineBox[{219, 220}]}, 
      {Hue[0.18000000000000005`, 1, 1], LineBox[{220, 221}]}, 
      {Hue[0.19000000000000006`, 1, 1], LineBox[{221, 222}]}, 
      {Hue[0.20000000000000004`, 1, 1], LineBox[{222, 223}]}, 
      {Hue[0.21000000000000005`, 1, 1], LineBox[{223, 224}]}, 
      {Hue[0.22000000000000006`, 1, 1], LineBox[{224, 225}]}, 
      {Hue[0.23000000000000004`, 1, 1], LineBox[{225, 226}]}, 
      {Hue[0.24000000000000007`, 1, 1], LineBox[{226, 227}]}, 
      {Hue[0.25, 1, 1], LineBox[{227, 228}]}, 
      {Hue[0.26, 1, 1], LineBox[{228, 229}]}, 
      {Hue[0.2700000000000001, 1, 1], LineBox[{229, 230}]}, 
      {Hue[0.28, 1, 1], LineBox[{230, 231}]}, 
      {Hue[0.29, 1, 1], LineBox[{231, 232}]}, 
      {Hue[0.3, 1, 1], LineBox[{232, 233}]}, 
      {Hue[0.31, 1, 1], LineBox[{233, 234}]}, 
      {Hue[0.32000000000000006`, 1, 1], LineBox[{234, 235}]}, 
      {Hue[0.33000000000000007`, 1, 1], LineBox[{235, 236}]}, 
      {Hue[0.3400000000000001, 1, 1], LineBox[{236, 237}]}, 
      {Hue[0.35000000000000003`, 1, 1], LineBox[{237, 238}]}, 
      {Hue[0.36000000000000004`, 1, 1], LineBox[{238, 239}]}, 
      {Hue[0.37000000000000005`, 1, 1], LineBox[{239, 240}]}, 
      {Hue[0.38000000000000006`, 1, 1], LineBox[{240, 241}]}, 
      {Hue[0.39000000000000007`, 1, 1], LineBox[{241, 242}]}, 
      {Hue[0.4, 1, 1], LineBox[{242, 243}]}, 
      {Hue[0.41000000000000003`, 1, 1], LineBox[{243, 244}]}, 
      {Hue[0.42000000000000004`, 1, 1], LineBox[{244, 245}]}, 
      {Hue[0.43000000000000005`, 1, 1], LineBox[{245, 246}]}, 
      {Hue[0.44000000000000006`, 1, 1], LineBox[{246, 247}]}, 
      {Hue[0.45000000000000007`, 1, 1], LineBox[{247, 248}]}, 
      {Hue[0.4600000000000001, 1, 1], LineBox[{248, 249}]}, 
      {Hue[0.47000000000000003`, 1, 1], LineBox[{249, 250}]}, 
      {Hue[0.48000000000000004`, 1, 1], LineBox[{250, 251}]}, 
      {Hue[0.49000000000000005`, 1, 1], LineBox[{251, 252}]}, 
      {Hue[0.5, 1, 1], LineBox[{252, 253}]}, 
      {Hue[0.51, 1, 1], LineBox[{253, 254}]}, 
      {Hue[0.52, 1, 1], LineBox[{254, 255}]}, 
      {Hue[0.53, 1, 1], LineBox[{255, 256}]}, 
      {Hue[0.54, 1, 1], LineBox[{256, 257}]}, 
      {Hue[0.55, 1, 1], LineBox[{257, 258}]}, 
      {Hue[0.56, 1, 1], LineBox[{258, 259}]}, 
      {Hue[0.5700000000000001, 1, 1], LineBox[{259, 260}]}, 
      {Hue[0.5800000000000001, 1, 1], LineBox[{260, 261}]}, 
      {Hue[0.5900000000000001, 1, 1], LineBox[{261, 262}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{262, 263}]}, 
      {Hue[0.6100000000000001, 1, 1], LineBox[{263, 264}]}, 
      {Hue[0.6200000000000001, 1, 1], LineBox[{264, 265}]}, 
      {Hue[0.6299999999999999, 1, 1], LineBox[{265, 266}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{266, 267}]}, 
      {Hue[0.6499999999999999, 1, 1], LineBox[{267, 268}]}, 
      {Hue[0.6600000000000001, 1, 1], LineBox[{268, 269}]}, 
      {Hue[0.67, 1, 1], LineBox[{269, 270}]}, 
      {Hue[0.6800000000000002, 1, 1], LineBox[{270, 271}]}, 
      {Hue[0.69, 1, 1], LineBox[{271, 272}]}, 
      {Hue[0.7, 1, 1], LineBox[{272, 273}]}, 
      {Hue[0.71, 1, 1], LineBox[{273, 274}]}, 
      {Hue[0.72, 1, 1], LineBox[{274, 275}]}, 
      {Hue[0.7300000000000001, 1, 1], LineBox[{275, 276}]}, 
      {Hue[0.74, 1, 1], LineBox[{276, 277}]}, 
      {Hue[0.75, 1, 1], LineBox[{277, 278}]}, 
      {Hue[0.7599999999999999, 1, 1], LineBox[{278, 279}]}, 
      {Hue[0.77, 1, 1], LineBox[{279, 280}]}, 
      {Hue[0.7799999999999999, 1, 1], LineBox[{280, 281}]}, 
      {Hue[0.79, 1, 1], LineBox[{281, 282}]}, 
      {Hue[0.7999999999999999, 1, 1], LineBox[{282, 283}]}, 
      {Hue[0.81, 1, 1], LineBox[{283, 284}]}, 
      {Hue[0.82, 1, 1], LineBox[{284, 285}]}, 
      {Hue[0.8300000000000001, 1, 1], LineBox[{285, 286}]}, 
      {Hue[0.8400000000000001, 1, 1], LineBox[{286, 287}]}, 
      {Hue[0.8500000000000001, 1, 1], LineBox[{287, 288}]}, 
      {Hue[0.8600000000000001, 1, 1], LineBox[{288, 289}]}, 
      {Hue[0.8700000000000001, 1, 1], LineBox[{289, 290}]}, 
      {Hue[0.8800000000000001, 1, 1], LineBox[{290, 291}]}, 
      {Hue[0.89, 1, 1], LineBox[{291, 292}]}, 
      {Hue[0.8999999999999999, 1, 1], LineBox[{292, 293}]}, 
      {Hue[0.91, 1, 1], LineBox[{293, 294}]}, 
      {Hue[0.9199999999999999, 1, 1], LineBox[{294, 295}]}, 
      {Hue[0.93, 1, 1], LineBox[{295, 296}]}, 
      {Hue[0.9400000000000001, 1, 1], LineBox[{296, 297}]}, 
      {Hue[0.95, 1, 1], LineBox[{297, 298}]}, 
      {Hue[0.9600000000000001, 1, 1], LineBox[{298, 299}]}, 
      {Hue[0.97, 1, 1], LineBox[{299, 300}]}, 
      {Hue[0.9800000000000001, 1, 1], LineBox[{300, 301}]}, 
      {Hue[0.99, 1, 1], LineBox[{301, 302}]}, 
      {Hue[0., 1, 1], LineBox[{302, 303}]}, 
      {Hue[0.5099999999999998, 1, 1], LineBox[{303, 304}]}, 
      {Hue[0.52, 1, 1], LineBox[{304, 305}]}, 
      {Hue[0.53, 1, 1], LineBox[{305, 306}]}, 
      {Hue[0.54, 1, 1], LineBox[{306, 307}]}, 
      {Hue[0.55, 1, 1], LineBox[{307, 308}]}, 
      {Hue[0.56, 1, 1], LineBox[{308, 309}]}, 
      {Hue[0.5700000000000001, 1, 1], LineBox[{309, 310}]}, 
      {Hue[0.5800000000000001, 1, 1], LineBox[{310, 311}]}, 
      {Hue[0.59, 1, 1], LineBox[{311, 312}]}, 
      {Hue[0.6000000000000001, 1, 1], LineBox[{312, 313}]}, 
      {Hue[0.6100000000000001, 1, 1], LineBox[{313, 314}]}, 
      {Hue[0.6200000000000001, 1, 1], LineBox[{314, 315}]}, 
      {Hue[0.6300000000000001, 1, 1], LineBox[{315, 316}]}, 
      {Hue[0.6400000000000001, 1, 1], LineBox[{316, 317}]}, 
      {Hue[0.6500000000000001, 1, 1], LineBox[{317, 318}]}, 
      {Hue[0.66, 1, 1], LineBox[{318, 319}]}, 
      {Hue[0.6700000000000002, 1, 1], LineBox[{319, 320}]}, 
      {Hue[0.6800000000000002, 1, 1], LineBox[{320, 321}]}, 
      {Hue[0.6900000000000002, 1, 1], LineBox[{321, 322}]}, 
      {Hue[0.7000000000000002, 1, 1], LineBox[{322, 323}]}, 
      {Hue[0.71, 1, 1], LineBox[{323, 324}]}, 
      {Hue[0.72, 1, 1], LineBox[{324, 325}]}, 
      {Hue[0.73, 1, 1], LineBox[{325, 326}]}, 
      {Hue[0.74, 1, 1], LineBox[{326, 327}]}, 
      {Hue[0.75, 1, 1], LineBox[{327, 328}]}, 
      {Hue[0.7599999999999999, 1, 1], LineBox[{328, 329}]}, 
      {Hue[0.77, 1, 1], LineBox[{329, 330}]}, 
      {Hue[0.78, 1, 1], LineBox[{330, 331}]}, 
      {Hue[0.79, 1, 1], LineBox[{331, 332}]}, 
      {Hue[0.7999999999999999, 1, 1], LineBox[{332, 333}]}, 
      {Hue[0.8099999999999999, 1, 1], LineBox[{333, 334}]}, 
      {Hue[0.8200000000000001, 1, 1], LineBox[{334, 335}]}, 
      {Hue[0.8300000000000001, 1, 1], LineBox[{335, 336}]}, 
      {Hue[0.84, 1, 1], LineBox[{336, 337}]}, 
      {Hue[0.85, 1, 1], LineBox[{337, 338}]}, 
      {Hue[0.8600000000000002, 1, 1], LineBox[{338, 339}]}, 
      {Hue[0.8700000000000001, 1, 1], LineBox[{339, 340}]}, 
      {Hue[0.88, 1, 1], LineBox[{340, 341}]}, 
      {Hue[0.89, 1, 1], LineBox[{341, 342}]}, 
      {Hue[0.8999999999999999, 1, 1], LineBox[{342, 343}]}, 
      {Hue[0.9100000000000001, 1, 1], LineBox[{343, 344}]}, 
      {Hue[0.9200000000000002, 1, 1], LineBox[{344, 345}]}, 
      {Hue[0.93, 1, 1], LineBox[{345, 346}]}, 
      {Hue[0.94, 1, 1], LineBox[{346, 347}]}, 
      {Hue[0.9500000000000002, 1, 1], LineBox[{347, 348}]}, 
      {Hue[0.9599999999999999, 1, 1], LineBox[{348, 349}]}, 
      {Hue[0.9699999999999999, 1, 1], LineBox[{349, 350}]}, 
      {Hue[0.9800000000000001, 1, 1], LineBox[{350, 351}]}, 
      {Hue[0.99, 1, 1], LineBox[{351, 352}]}, 
      {Hue[0., 1, 1], LineBox[{352, 353}]}, 
      {Hue[0.009999999999999886, 1, 1], LineBox[{353, 354}]}, 
      {Hue[0.019999999999999827`, 1, 1], LineBox[{354, 355}]}, 
      {Hue[0.030000000000000058`, 1, 1], LineBox[{355, 356}]}, 
      {Hue[0.039999999999999994`, 1, 1], LineBox[{356, 357}]}, 
      {Hue[0.04999999999999994, 1, 1], LineBox[{357, 358}]}, 
      {Hue[0.059999999999999894`, 1, 1], LineBox[{358, 359}]}, 
      {Hue[0.0700000000000001, 1, 1], LineBox[{359, 360}]}, 
      {Hue[0.08000000000000006, 1, 1], LineBox[{360, 361}]}, 
      {Hue[0.09000000000000001, 1, 1], LineBox[{361, 362}]}, 
      {Hue[0.09999999999999994, 1, 1], LineBox[{362, 363}]}, 
      {Hue[0.11000000000000018`, 1, 1], LineBox[{363, 364}]}, 
      {Hue[0.12000000000000012`, 1, 1], LineBox[{364, 365}]}, 
      {Hue[0.13000000000000003`, 1, 1], LineBox[{365, 366}]}, 
      {Hue[0.14, 1, 1], LineBox[{366, 367}]}, 
      {Hue[0.14999999999999994`, 1, 1], LineBox[{367, 368}]}, 
      {Hue[0.16000000000000017`, 1, 1], LineBox[{368, 369}]}, 
      {Hue[0.17000000000000015`, 1, 1], LineBox[{369, 370}]}, 
      {Hue[0.18000000000000005`, 1, 1], LineBox[{370, 371}]}, 
      {Hue[0.19, 1, 1], LineBox[{371, 372}]}, 
      {Hue[0.2000000000000002, 1, 1], LineBox[{372, 373}]}, 
      {Hue[0.2100000000000002, 1, 1], LineBox[{373, 374}]}, 
      {Hue[0.21999999999999983`, 1, 1], LineBox[{374, 375}]}, 
      {Hue[0.23000000000000004`, 1, 1], LineBox[{375, 376}]}, 
      {Hue[0.24, 1, 1], LineBox[{376, 377}]}, 
      {Hue[0.25, 1, 1], LineBox[{377, 378}]}, 
      {Hue[0.2599999999999999, 1, 1], LineBox[{378, 379}]}, 
      {Hue[0.2699999999999998, 1, 1], LineBox[{379, 380}]}, 
      {Hue[0.28, 1, 1], LineBox[{380, 381}]}, 
      {Hue[0.29, 1, 1], LineBox[{381, 382}]}, 
      {Hue[0.29999999999999993`, 1, 1], LineBox[{382, 383}]}, 
      {Hue[0.3099999999999999, 1, 1], LineBox[{383, 384}]}, 
      {Hue[0.3200000000000001, 1, 1], LineBox[{384, 385}]}, 
      {Hue[0.33000000000000007`, 1, 1], LineBox[{385, 386}]}, 
      {Hue[0.33999999999999997`, 1, 1], LineBox[{386, 387}]}, 
      {Hue[0.3499999999999999, 1, 1], LineBox[{387, 388}]}, 
      {Hue[0.36000000000000015`, 1, 1], LineBox[{388, 389}]}, 
      {Hue[0.3700000000000001, 1, 1], LineBox[{389, 390}]}, 
      {Hue[0.38000000000000006`, 1, 1], LineBox[{390, 391}]}, 
      {Hue[0.39, 1, 1], LineBox[{391, 392}]}, 
      {Hue[0.3999999999999999, 1, 1], LineBox[{392, 393}]}, 
      {Hue[0.41000000000000014`, 1, 1], LineBox[{393, 394}]}, 
      {Hue[0.4200000000000001, 1, 1], LineBox[{394, 395}]}, 
      {Hue[0.43000000000000005`, 1, 1], LineBox[{395, 396}]}, 
      {Hue[0.44, 1, 1], LineBox[{396, 397}]}, 
      {Hue[0.45000000000000023`, 1, 1], LineBox[{397, 398}]}, 
      {Hue[0.4600000000000002, 1, 1], LineBox[{398, 399}]}, 
      {Hue[0.4699999999999998, 1, 1], LineBox[{399, 400}]}, 
      {Hue[0.48000000000000004`, 1, 1], LineBox[{400, 401}]}, 
      {Hue[0.49, 1, 1], LineBox[{401, 402}]}, 
      {Hue[0., 1, 1], LineBox[{402, 403}]}}}},
   VertexColors->{
     Hue[0., 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.010000000000000023`, 1, 1], 
     Hue[0.019999999999999973`, 1, 1], 
     Hue[0.030000000000000197`, 1, 1], 
     Hue[0.040000000000000126`, 1, 1], 
     Hue[0.05000000000000008, 1, 1], 
     Hue[0.060000000000000026`, 1, 1], 
     Hue[0.07000000000000026, 1, 1], 
     Hue[0.08000000000000021, 1, 1], 
     Hue[0.09000000000000014, 1, 1], 
     Hue[0.10000000000000009`, 1, 1], 
     Hue[0.1100000000000003, 1, 1], 
     Hue[0.12000000000000025`, 1, 1], 
     Hue[0.1299999999999999, 1, 1], 
     Hue[0.13999999999999985`, 1, 1], 
     Hue[0.15000000000000008`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16999999999999996`, 1, 1], 
     Hue[0.1799999999999999, 1, 1], 
     Hue[0.19000000000000014`, 1, 1], 
     Hue[0.20000000000000007`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21999999999999997`, 1, 1], 
     Hue[0.23000000000000018`, 1, 1], 
     Hue[0.24000000000000013`, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.26999999999999996`, 1, 1], 
     Hue[0.2800000000000002, 1, 1], 
     Hue[0.29000000000000015`, 1, 1], 
     Hue[0.3000000000000001, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000023`, 1, 1], 
     Hue[0.3300000000000002, 1, 1], 
     Hue[0.34000000000000014`, 1, 1], 
     Hue[0.3500000000000001, 1, 1], 
     Hue[0.3600000000000003, 1, 1], 
     Hue[0.3700000000000003, 1, 1], 
     Hue[0.38000000000000017`, 1, 1], 
     Hue[0.38999999999999985`, 1, 1], 
     Hue[0.4000000000000001, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.42, 1, 1], 
     Hue[0.42999999999999994`, 1, 1], 
     Hue[0.4400000000000001, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47, 1, 1], 
     Hue[0.4800000000000002, 1, 1], 
     Hue[0.49000000000000016`, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.5300000000000002, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000003, 1, 1], 
     Hue[0.5800000000000002, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000003, 1, 1], 
     Hue[0.6200000000000002, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.6699999999999999, 1, 1], 
     Hue[0.6799999999999999, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7000000000000001, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8500000000000002, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8700000000000002, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.8900000000000001, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.96, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.9900000000000001, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.5600000000000002, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5899999999999999, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6099999999999999, 1, 1], 
     Hue[0.62, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7100000000000002, 1, 1], 
     Hue[0.7200000000000001, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.86, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.9, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.92, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.010000000000000035`, 1, 1], 
     Hue[0.020000000000000046`, 1, 1], 
     Hue[0.030000000000000065`, 1, 1], 
     Hue[0.04000000000000008, 1, 1], 
     Hue[0.050000000000000086`, 1, 1], 
     Hue[0.06000000000000012, 1, 1], 
     Hue[0.07000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000008, 1, 1], 
     Hue[0.10000000000000003`, 1, 1], 
     Hue[0.11000000000000003`, 1, 1], 
     Hue[0.12000000000000006`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.15, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000008`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.22000000000000003`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.2400000000000001, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.26000000000000006`, 1, 1], 
     Hue[0.27, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29000000000000004`, 1, 1], 
     Hue[0.30000000000000004`, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.3600000000000001, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4100000000000001, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.010000000000000044`, 1, 1], 
     Hue[0.020000000000000042`, 1, 1], 
     Hue[0.030000000000000047`, 1, 1], 
     Hue[0.04000000000000004, 1, 1], 
     Hue[0.05000000000000004, 1, 1], 
     Hue[0.06000000000000003, 1, 1], 
     Hue[0.07000000000000005, 1, 1], 
     Hue[0.08000000000000004, 1, 1], 
     Hue[0.09000000000000004, 1, 1], 
     Hue[0.10000000000000006`, 1, 1], 
     Hue[0.11000000000000006`, 1, 1], 
     Hue[0.12000000000000004`, 1, 1], 
     Hue[0.13, 1, 1], 
     Hue[0.14000000000000007`, 1, 1], 
     Hue[0.15000000000000005`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000005`, 1, 1], 
     Hue[0.22000000000000006`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.24000000000000007`, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.2700000000000001, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.3, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.36000000000000004`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.4600000000000001, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.69, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.7300000000000001, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.7799999999999999, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.82, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8500000000000001, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.95, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.97, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.5099999999999998, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.59, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.6700000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000002, 1, 1], 
     Hue[0.7000000000000002, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.8099999999999999, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.84, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.8600000000000002, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.9100000000000001, 1, 1], 
     Hue[0.9200000000000002, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.9500000000000002, 1, 1], 
     Hue[0.9599999999999999, 1, 1], 
     Hue[0.9699999999999999, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.009999999999999886, 1, 1], 
     Hue[0.019999999999999827`, 1, 1], 
     Hue[0.030000000000000058`, 1, 1], 
     Hue[0.039999999999999994`, 1, 1], 
     Hue[0.04999999999999994, 1, 1], 
     Hue[0.059999999999999894`, 1, 1], 
     Hue[0.0700000000000001, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000001, 1, 1], 
     Hue[0.09999999999999994, 1, 1], 
     Hue[0.11000000000000018`, 1, 1], 
     Hue[0.12000000000000012`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14999999999999994`, 1, 1], 
     Hue[0.16000000000000017`, 1, 1], 
     Hue[0.17000000000000015`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.19, 1, 1], 
     Hue[0.2000000000000002, 1, 1], 
     Hue[0.2100000000000002, 1, 1], 
     Hue[0.21999999999999983`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.24, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.2599999999999999, 1, 1], 
     Hue[0.2699999999999998, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.29999999999999993`, 1, 1], 
     Hue[0.3099999999999999, 1, 1], 
     Hue[0.3200000000000001, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33999999999999997`, 1, 1], 
     Hue[0.3499999999999999, 1, 1], 
     Hue[0.36000000000000015`, 1, 1], 
     Hue[0.3700000000000001, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39, 1, 1], 
     Hue[0.3999999999999999, 1, 1], 
     Hue[0.41000000000000014`, 1, 1], 
     Hue[0.4200000000000001, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44, 1, 1], 
     Hue[0.45000000000000023`, 1, 1], 
     Hue[0.4600000000000002, 1, 1], 
     Hue[0.4699999999999998, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.010000000000000023`, 1, 1], 
     Hue[0.010000000000000023`, 1, 1], 
     Hue[0.019999999999999973`, 1, 1], 
     Hue[0.019999999999999973`, 1, 1], 
     Hue[0.030000000000000197`, 1, 1], 
     Hue[0.030000000000000197`, 1, 1], 
     Hue[0.040000000000000126`, 1, 1], 
     Hue[0.040000000000000126`, 1, 1], 
     Hue[0.05000000000000008, 1, 1], 
     Hue[0.05000000000000008, 1, 1], 
     Hue[0.060000000000000026`, 1, 1], 
     Hue[0.060000000000000026`, 1, 1], 
     Hue[0.07000000000000026, 1, 1], 
     Hue[0.07000000000000026, 1, 1], 
     Hue[0.08000000000000021, 1, 1], 
     Hue[0.08000000000000021, 1, 1], 
     Hue[0.09000000000000014, 1, 1], 
     Hue[0.09000000000000014, 1, 1], 
     Hue[0.10000000000000009`, 1, 1], 
     Hue[0.10000000000000009`, 1, 1], 
     Hue[0.1100000000000003, 1, 1], 
     Hue[0.1100000000000003, 1, 1], 
     Hue[0.12000000000000025`, 1, 1], 
     Hue[0.12000000000000025`, 1, 1], 
     Hue[0.1299999999999999, 1, 1], 
     Hue[0.1299999999999999, 1, 1], 
     Hue[0.13999999999999985`, 1, 1], 
     Hue[0.13999999999999985`, 1, 1], 
     Hue[0.15000000000000008`, 1, 1], 
     Hue[0.15000000000000008`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16999999999999996`, 1, 1], 
     Hue[0.16999999999999996`, 1, 1], 
     Hue[0.1799999999999999, 1, 1], 
     Hue[0.1799999999999999, 1, 1], 
     Hue[0.19000000000000014`, 1, 1], 
     Hue[0.19000000000000014`, 1, 1], 
     Hue[0.20000000000000007`, 1, 1], 
     Hue[0.20000000000000007`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21999999999999997`, 1, 1], 
     Hue[0.21999999999999997`, 1, 1], 
     Hue[0.23000000000000018`, 1, 1], 
     Hue[0.23000000000000018`, 1, 1], 
     Hue[0.24000000000000013`, 1, 1], 
     Hue[0.24000000000000013`, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.26999999999999996`, 1, 1], 
     Hue[0.26999999999999996`, 1, 1], 
     Hue[0.2800000000000002, 1, 1], 
     Hue[0.2800000000000002, 1, 1], 
     Hue[0.29000000000000015`, 1, 1], 
     Hue[0.29000000000000015`, 1, 1], 
     Hue[0.3000000000000001, 1, 1], 
     Hue[0.3000000000000001, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000023`, 1, 1], 
     Hue[0.32000000000000023`, 1, 1], 
     Hue[0.3300000000000002, 1, 1], 
     Hue[0.3300000000000002, 1, 1], 
     Hue[0.34000000000000014`, 1, 1], 
     Hue[0.34000000000000014`, 1, 1], 
     Hue[0.3500000000000001, 1, 1], 
     Hue[0.3500000000000001, 1, 1], 
     Hue[0.3600000000000003, 1, 1], 
     Hue[0.3600000000000003, 1, 1], 
     Hue[0.3700000000000003, 1, 1], 
     Hue[0.3700000000000003, 1, 1], 
     Hue[0.38000000000000017`, 1, 1], 
     Hue[0.38000000000000017`, 1, 1], 
     Hue[0.38999999999999985`, 1, 1], 
     Hue[0.38999999999999985`, 1, 1], 
     Hue[0.4000000000000001, 1, 1], 
     Hue[0.4000000000000001, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.42, 1, 1], 
     Hue[0.42, 1, 1], 
     Hue[0.42999999999999994`, 1, 1], 
     Hue[0.42999999999999994`, 1, 1], 
     Hue[0.4400000000000001, 1, 1], 
     Hue[0.4400000000000001, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47, 1, 1], 
     Hue[0.47, 1, 1], 
     Hue[0.4800000000000002, 1, 1], 
     Hue[0.4800000000000002, 1, 1], 
     Hue[0.49000000000000016`, 1, 1], 
     Hue[0.49000000000000016`, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.5300000000000002, 1, 1], 
     Hue[0.5300000000000002, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000003, 1, 1], 
     Hue[0.5700000000000003, 1, 1], 
     Hue[0.5800000000000002, 1, 1], 
     Hue[0.5800000000000002, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000003, 1, 1], 
     Hue[0.6100000000000003, 1, 1], 
     Hue[0.6200000000000002, 1, 1], 
     Hue[0.6200000000000002, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.6699999999999999, 1, 1], 
     Hue[0.6699999999999999, 1, 1], 
     Hue[0.6799999999999999, 1, 1], 
     Hue[0.6799999999999999, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7000000000000001, 1, 1], 
     Hue[0.7000000000000001, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8500000000000002, 1, 1], 
     Hue[0.8500000000000002, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8700000000000002, 1, 1], 
     Hue[0.8700000000000002, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.8900000000000001, 1, 1], 
     Hue[0.8900000000000001, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.96, 1, 1], 
     Hue[0.96, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.9900000000000001, 1, 1], 
     Hue[0.9900000000000001, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.5600000000000002, 1, 1], 
     Hue[0.5600000000000002, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5899999999999999, 1, 1], 
     Hue[0.5899999999999999, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6099999999999999, 1, 1], 
     Hue[0.6099999999999999, 1, 1], 
     Hue[0.62, 1, 1], 
     Hue[0.62, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.6900000000000001, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7100000000000002, 1, 1], 
     Hue[0.7100000000000002, 1, 1], 
     Hue[0.7200000000000001, 1, 1], 
     Hue[0.7200000000000001, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.7400000000000001, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.76, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.8, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8300000000000002, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.86, 1, 1], 
     Hue[0.86, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.9, 1, 1], 
     Hue[0.9, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.92, 1, 1], 
     Hue[0.92, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9500000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.9700000000000001, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.98, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.010000000000000035`, 1, 1], 
     Hue[0.010000000000000035`, 1, 1], 
     Hue[0.020000000000000046`, 1, 1], 
     Hue[0.020000000000000046`, 1, 1], 
     Hue[0.030000000000000065`, 1, 1], 
     Hue[0.030000000000000065`, 1, 1], 
     Hue[0.04000000000000008, 1, 1], 
     Hue[0.04000000000000008, 1, 1], 
     Hue[0.050000000000000086`, 1, 1], 
     Hue[0.050000000000000086`, 1, 1], 
     Hue[0.06000000000000012, 1, 1], 
     Hue[0.06000000000000012, 1, 1], 
     Hue[0.07000000000000006, 1, 1], 
     Hue[0.07000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000008, 1, 1], 
     Hue[0.09000000000000008, 1, 1], 
     Hue[0.10000000000000003`, 1, 1], 
     Hue[0.10000000000000003`, 1, 1], 
     Hue[0.11000000000000003`, 1, 1], 
     Hue[0.11000000000000003`, 1, 1], 
     Hue[0.12000000000000006`, 1, 1], 
     Hue[0.12000000000000006`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.15, 1, 1], 
     Hue[0.15, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000008`, 1, 1], 
     Hue[0.18000000000000008`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.21000000000000002`, 1, 1], 
     Hue[0.22000000000000003`, 1, 1], 
     Hue[0.22000000000000003`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.2400000000000001, 1, 1], 
     Hue[0.2400000000000001, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.26000000000000006`, 1, 1], 
     Hue[0.26000000000000006`, 1, 1], 
     Hue[0.27, 1, 1], 
     Hue[0.27, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29000000000000004`, 1, 1], 
     Hue[0.29000000000000004`, 1, 1], 
     Hue[0.30000000000000004`, 1, 1], 
     Hue[0.30000000000000004`, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.3600000000000001, 1, 1], 
     Hue[0.3600000000000001, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4100000000000001, 1, 1], 
     Hue[0.4100000000000001, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45, 1, 1], 
     Hue[0.45, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.46, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.010000000000000044`, 1, 1], 
     Hue[0.010000000000000044`, 1, 1], 
     Hue[0.020000000000000042`, 1, 1], 
     Hue[0.020000000000000042`, 1, 1], 
     Hue[0.030000000000000047`, 1, 1], 
     Hue[0.030000000000000047`, 1, 1], 
     Hue[0.04000000000000004, 1, 1], 
     Hue[0.04000000000000004, 1, 1], 
     Hue[0.05000000000000004, 1, 1], 
     Hue[0.05000000000000004, 1, 1], 
     Hue[0.06000000000000003, 1, 1], 
     Hue[0.06000000000000003, 1, 1], 
     Hue[0.07000000000000005, 1, 1], 
     Hue[0.07000000000000005, 1, 1], 
     Hue[0.08000000000000004, 1, 1], 
     Hue[0.08000000000000004, 1, 1], 
     Hue[0.09000000000000004, 1, 1], 
     Hue[0.09000000000000004, 1, 1], 
     Hue[0.10000000000000006`, 1, 1], 
     Hue[0.10000000000000006`, 1, 1], 
     Hue[0.11000000000000006`, 1, 1], 
     Hue[0.11000000000000006`, 1, 1], 
     Hue[0.12000000000000004`, 1, 1], 
     Hue[0.12000000000000004`, 1, 1], 
     Hue[0.13, 1, 1], 
     Hue[0.13, 1, 1], 
     Hue[0.14000000000000007`, 1, 1], 
     Hue[0.14000000000000007`, 1, 1], 
     Hue[0.15000000000000005`, 1, 1], 
     Hue[0.15000000000000005`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.16000000000000003`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.17000000000000004`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.19000000000000006`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.20000000000000004`, 1, 1], 
     Hue[0.21000000000000005`, 1, 1], 
     Hue[0.21000000000000005`, 1, 1], 
     Hue[0.22000000000000006`, 1, 1], 
     Hue[0.22000000000000006`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.24000000000000007`, 1, 1], 
     Hue[0.24000000000000007`, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.26, 1, 1], 
     Hue[0.2700000000000001, 1, 1], 
     Hue[0.2700000000000001, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.3, 1, 1], 
     Hue[0.3, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.31, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.32000000000000006`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.3400000000000001, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.35000000000000003`, 1, 1], 
     Hue[0.36000000000000004`, 1, 1], 
     Hue[0.36000000000000004`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.37000000000000005`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.39000000000000007`, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.4, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.41000000000000003`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.42000000000000004`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.44000000000000006`, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.45000000000000007`, 1, 1], 
     Hue[0.4600000000000001, 1, 1], 
     Hue[0.4600000000000001, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.47000000000000003`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.49000000000000005`, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.5, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.51, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.5900000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6299999999999999, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6499999999999999, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.6600000000000001, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.67, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.69, 1, 1], 
     Hue[0.69, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.7, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.7300000000000001, 1, 1], 
     Hue[0.7300000000000001, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.7799999999999999, 1, 1], 
     Hue[0.7799999999999999, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.81, 1, 1], 
     Hue[0.82, 1, 1], 
     Hue[0.82, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8400000000000001, 1, 1], 
     Hue[0.8500000000000001, 1, 1], 
     Hue[0.8500000000000001, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8600000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.8800000000000001, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.91, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.9199999999999999, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.9400000000000001, 1, 1], 
     Hue[0.95, 1, 1], 
     Hue[0.95, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.9600000000000001, 1, 1], 
     Hue[0.97, 1, 1], 
     Hue[0.97, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.5099999999999998, 1, 1], 
     Hue[0.5099999999999998, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.52, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.53, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.54, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.55, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.56, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5700000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.5800000000000001, 1, 1], 
     Hue[0.59, 1, 1], 
     Hue[0.59, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6000000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6100000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6200000000000001, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6300000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6400000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.6500000000000001, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.66, 1, 1], 
     Hue[0.6700000000000002, 1, 1], 
     Hue[0.6700000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6800000000000002, 1, 1], 
     Hue[0.6900000000000002, 1, 1], 
     Hue[0.6900000000000002, 1, 1], 
     Hue[0.7000000000000002, 1, 1], 
     Hue[0.7000000000000002, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.71, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.72, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.73, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.74, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.75, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.7599999999999999, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.77, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.78, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.79, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.7999999999999999, 1, 1], 
     Hue[0.8099999999999999, 1, 1], 
     Hue[0.8099999999999999, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8200000000000001, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.8300000000000001, 1, 1], 
     Hue[0.84, 1, 1], 
     Hue[0.84, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.85, 1, 1], 
     Hue[0.8600000000000002, 1, 1], 
     Hue[0.8600000000000002, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.8700000000000001, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.88, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.89, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.8999999999999999, 1, 1], 
     Hue[0.9100000000000001, 1, 1], 
     Hue[0.9100000000000001, 1, 1], 
     Hue[0.9200000000000002, 1, 1], 
     Hue[0.9200000000000002, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.93, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.94, 1, 1], 
     Hue[0.9500000000000002, 1, 1], 
     Hue[0.9500000000000002, 1, 1], 
     Hue[0.9599999999999999, 1, 1], 
     Hue[0.9599999999999999, 1, 1], 
     Hue[0.9699999999999999, 1, 1], 
     Hue[0.9699999999999999, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.9800000000000001, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0.99, 1, 1], 
     Hue[0., 1, 1], 
     Hue[0., 1, 1], 
     Hue[0.009999999999999886, 1, 1], 
     Hue[0.009999999999999886, 1, 1], 
     Hue[0.019999999999999827`, 1, 1], 
     Hue[0.019999999999999827`, 1, 1], 
     Hue[0.030000000000000058`, 1, 1], 
     Hue[0.030000000000000058`, 1, 1], 
     Hue[0.039999999999999994`, 1, 1], 
     Hue[0.039999999999999994`, 1, 1], 
     Hue[0.04999999999999994, 1, 1], 
     Hue[0.04999999999999994, 1, 1], 
     Hue[0.059999999999999894`, 1, 1], 
     Hue[0.059999999999999894`, 1, 1], 
     Hue[0.0700000000000001, 1, 1], 
     Hue[0.0700000000000001, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.08000000000000006, 1, 1], 
     Hue[0.09000000000000001, 1, 1], 
     Hue[0.09000000000000001, 1, 1], 
     Hue[0.09999999999999994, 1, 1], 
     Hue[0.09999999999999994, 1, 1], 
     Hue[0.11000000000000018`, 1, 1], 
     Hue[0.11000000000000018`, 1, 1], 
     Hue[0.12000000000000012`, 1, 1], 
     Hue[0.12000000000000012`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.13000000000000003`, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14, 1, 1], 
     Hue[0.14999999999999994`, 1, 1], 
     Hue[0.14999999999999994`, 1, 1], 
     Hue[0.16000000000000017`, 1, 1], 
     Hue[0.16000000000000017`, 1, 1], 
     Hue[0.17000000000000015`, 1, 1], 
     Hue[0.17000000000000015`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.18000000000000005`, 1, 1], 
     Hue[0.19, 1, 1], 
     Hue[0.19, 1, 1], 
     Hue[0.2000000000000002, 1, 1], 
     Hue[0.2000000000000002, 1, 1], 
     Hue[0.2100000000000002, 1, 1], 
     Hue[0.2100000000000002, 1, 1], 
     Hue[0.21999999999999983`, 1, 1], 
     Hue[0.21999999999999983`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.23000000000000004`, 1, 1], 
     Hue[0.24, 1, 1], 
     Hue[0.24, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.25, 1, 1], 
     Hue[0.2599999999999999, 1, 1], 
     Hue[0.2599999999999999, 1, 1], 
     Hue[0.2699999999999998, 1, 1], 
     Hue[0.2699999999999998, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.28, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.29, 1, 1], 
     Hue[0.29999999999999993`, 1, 1], 
     Hue[0.29999999999999993`, 1, 1], 
     Hue[0.3099999999999999, 1, 1], 
     Hue[0.3099999999999999, 1, 1], 
     Hue[0.3200000000000001, 1, 1], 
     Hue[0.3200000000000001, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33000000000000007`, 1, 1], 
     Hue[0.33999999999999997`, 1, 1], 
     Hue[0.33999999999999997`, 1, 1], 
     Hue[0.3499999999999999, 1, 1], 
     Hue[0.3499999999999999, 1, 1], 
     Hue[0.36000000000000015`, 1, 1], 
     Hue[0.36000000000000015`, 1, 1], 
     Hue[0.3700000000000001, 1, 1], 
     Hue[0.3700000000000001, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.38000000000000006`, 1, 1], 
     Hue[0.39, 1, 1], 
     Hue[0.39, 1, 1], 
     Hue[0.3999999999999999, 1, 1], 
     Hue[0.3999999999999999, 1, 1], 
     Hue[0.41000000000000014`, 1, 1], 
     Hue[0.41000000000000014`, 1, 1], 
     Hue[0.4200000000000001, 1, 1], 
     Hue[0.4200000000000001, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.43000000000000005`, 1, 1], 
     Hue[0.44, 1, 1], 
     Hue[0.44, 1, 1], 
     Hue[0.45000000000000023`, 1, 1], 
     Hue[0.45000000000000023`, 1, 1], 
     Hue[0.4600000000000002, 1, 1], 
     Hue[0.4600000000000002, 1, 1], 
     Hue[0.4699999999999998, 1, 1], 
     Hue[0.4699999999999998, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.48000000000000004`, 1, 1], 
     Hue[0.49, 1, 1], 
     Hue[0.49, 1, 1]}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{-4., 4.}, {0., 1.}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.3897310065700254`*^9, 3.389731042932312*^9, 
  3.3897330612767677`*^9, 3.390893988510249*^9, 3.391779919288328*^9, 
  3.3917801806514874`*^9, 3.39184869884375*^9, 3.392469648910893*^9, 
  3.393842381825181*^9, 3.3938470031993437`*^9}]
}, Open  ]],

Cell["\<\
If you want to combine a phase-colored plot with an ordinary plot of another \
function, you can use QCombinedPlot:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QCombinedPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"x", "^", "2"}]}], "/", "2"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "^", "2"}], "/", "2"}], "-", 
      RowBox[{"1", "/", "2"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.389698289583314*^9, {3.3896987412327538`*^9, 3.389698746019637*^9}, {
   3.389698844230858*^9, 3.3896988462036943`*^9}, 3.3896989011627216`*^9}],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx93HdUj/8f//H2XkaIUDKTRIOQ55VPVrSVikr2TJTKSKkkpUmE0DBKqVSU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    "], {
     {GrayLevel[0.5], EdgeForm[None], 
      GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwtmg0c72N5xv/Pc7+YGkcph9SQWV5qJmuijJykDbNCWlZknTVZRKmE5dTa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        "]]]}, {{}, {}, {
       {Hue[0, 1, 1], LineBox[{1, 2}]}, 
       {Hue[0, 1, 1], LineBox[{2, 3}]}, 
       {Hue[0, 1, 1], LineBox[{3, 4}]}, 
       {Hue[0, 1, 1], LineBox[{4, 5}]}, 
       {Hue[0, 1, 1], LineBox[{5, 6}]}, 
       {Hue[0, 1, 1], LineBox[{6, 7}]}, 
       {Hue[0, 1, 1], LineBox[{7, 8}]}, 
       {Hue[0, 1, 1], LineBox[{8, 9}]}, 
       {Hue[0, 1, 1], LineBox[{9, 10}]}, 
       {Hue[0, 1, 1], LineBox[{10, 11}]}, 
       {Hue[0, 1, 1], LineBox[{11, 12}]}, 
       {Hue[0, 1, 1], LineBox[{12, 13}]}, 
       {Hue[0, 1, 1], LineBox[{13, 14}]}, 
       {Hue[0, 1, 1], LineBox[{14, 15}]}, 
       {Hue[0, 1, 1], LineBox[{15, 16}]}, 
       {Hue[0, 1, 1], LineBox[{16, 17}]}, 
       {Hue[0, 1, 1], LineBox[{17, 18}]}, 
       {Hue[0, 1, 1], LineBox[{18, 19}]}, 
       {Hue[0, 1, 1], LineBox[{19, 20}]}, 
       {Hue[0, 1, 1], LineBox[{20, 21}]}, 
       {Hue[0, 1, 1], LineBox[{21, 22}]}, 
       {Hue[0, 1, 1], LineBox[{22, 23}]}, 
       {Hue[0, 1, 1], LineBox[{23, 24}]}, 
       {Hue[0, 1, 1], LineBox[{24, 25}]}, 
       {Hue[0, 1, 1], LineBox[{25, 26}]}, 
       {Hue[0, 1, 1], LineBox[{26, 27}]}, 
       {Hue[0, 1, 1], LineBox[{27, 28}]}, 
       {Hue[0, 1, 1], LineBox[{28, 29}]}, 
       {Hue[0, 1, 1], LineBox[{29, 30}]}, 
       {Hue[0, 1, 1], LineBox[{30, 31}]}, 
       {Hue[0, 1, 1], LineBox[{31, 32}]}, 
       {Hue[0, 1, 1], LineBox[{32, 33}]}, 
       {Hue[0, 1, 1], LineBox[{33, 34}]}, 
       {Hue[0, 1, 1], LineBox[{34, 35}]}, 
       {Hue[0, 1, 1], LineBox[{35, 36}]}, 
       {Hue[0, 1, 1], LineBox[{36, 37}]}, 
       {Hue[0, 1, 1], LineBox[{37, 38}]}, 
       {Hue[0, 1, 1], LineBox[{38, 39}]}, 
       {Hue[0, 1, 1], LineBox[{39, 40}]}, 
       {Hue[0, 1, 1], LineBox[{40, 41}]}, 
       {Hue[0, 1, 1], LineBox[{41, 42}]}, 
       {Hue[0, 1, 1], LineBox[{42, 43}]}, 
       {Hue[0, 1, 1], LineBox[{43, 44}]}, 
       {Hue[0, 1, 1], LineBox[{44, 45}]}, 
       {Hue[0, 1, 1], LineBox[{45, 46}]}, 
       {Hue[0, 1, 1], LineBox[{46, 47}]}, 
       {Hue[0, 1, 1], LineBox[{47, 48}]}, 
       {Hue[0, 1, 1], LineBox[{48, 49}]}, 
       {Hue[0, 1, 1], LineBox[{49, 50}]}, 
       {Hue[0, 1, 1], LineBox[{50, 51}]}, 
       {Hue[0, 1, 1], LineBox[{51, 52}]}, 
       {Hue[0, 1, 1], LineBox[{52, 53}]}, 
       {Hue[0, 1, 1], LineBox[{53, 54}]}, 
       {Hue[0, 1, 1], LineBox[{54, 55}]}, 
       {Hue[0, 1, 1], LineBox[{55, 56}]}, 
       {Hue[0, 1, 1], LineBox[{56, 57}]}, 
       {Hue[0, 1, 1], LineBox[{57, 58}]}, 
       {Hue[0, 1, 1], LineBox[{58, 59}]}, 
       {Hue[0, 1, 1], LineBox[{59, 60}]}, 
       {Hue[0, 1, 1], LineBox[{60, 61}]}, 
       {Hue[0, 1, 1], LineBox[{61, 62}]}, 
       {Hue[0, 1, 1], LineBox[{62, 63}]}, 
       {Hue[0, 1, 1], LineBox[{63, 64}]}, 
       {Hue[0, 1, 1], LineBox[{64, 65}]}, 
       {Hue[0, 1, 1], LineBox[{65, 66}]}, 
       {Hue[0, 1, 1], LineBox[{66, 67}]}, 
       {Hue[0, 1, 1], LineBox[{67, 68}]}, 
       {Hue[0, 1, 1], LineBox[{68, 69}]}, 
       {Hue[0, 1, 1], LineBox[{69, 70}]}, 
       {Hue[0, 1, 1], LineBox[{70, 71}]}, 
       {Hue[0, 1, 1], LineBox[{71, 72}]}, 
       {Hue[0, 1, 1], LineBox[{72, 73}]}, 
       {Hue[0, 1, 1], LineBox[{73, 74}]}, 
       {Hue[0, 1, 1], LineBox[{74, 75}]}, 
       {Hue[0, 1, 1], LineBox[{75, 76}]}, 
       {Hue[0, 1, 1], LineBox[{76, 77}]}, 
       {Hue[0, 1, 1], LineBox[{77, 78}]}, 
       {Hue[0, 1, 1], LineBox[{78, 79}]}, 
       {Hue[0, 1, 1], LineBox[{79, 80}]}, 
       {Hue[0, 1, 1], LineBox[{80, 81}]}, 
       {Hue[0, 1, 1], LineBox[{81, 82}]}, 
       {Hue[0, 1, 1], LineBox[{82, 83}]}, 
       {Hue[0, 1, 1], LineBox[{83, 84}]}, 
       {Hue[0, 1, 1], LineBox[{84, 85}]}, 
       {Hue[0, 1, 1], LineBox[{85, 86}]}, 
       {Hue[0, 1, 1], LineBox[{86, 87}]}, 
       {Hue[0, 1, 1], LineBox[{87, 88}]}, 
       {Hue[0, 1, 1], LineBox[{88, 89}]}, 
       {Hue[0, 1, 1], LineBox[{89, 90}]}, 
       {Hue[0, 1, 1], LineBox[{90, 91}]}, 
       {Hue[0, 1, 1], LineBox[{91, 92}]}, 
       {Hue[0, 1, 1], LineBox[{92, 93}]}, 
       {Hue[0, 1, 1], LineBox[{93, 94}]}, 
       {Hue[0, 1, 1], LineBox[{94, 95}]}, 
       {Hue[0, 1, 1], LineBox[{95, 96}]}, 
       {Hue[0, 1, 1], LineBox[{96, 97}]}, 
       {Hue[0, 1, 1], LineBox[{97, 98}]}, 
       {Hue[0, 1, 1], LineBox[{98, 99}]}, 
       {Hue[0, 1, 1], LineBox[{99, 100}]}, 
       {Hue[0, 1, 1], LineBox[{100, 101}]}, 
       {Hue[0, 1, 1], LineBox[{101, 102}]}, 
       {Hue[0, 1, 1], LineBox[{102, 103}]}, 
       {Hue[0, 1, 1], LineBox[{103, 104}]}, 
       {Hue[0, 1, 1], LineBox[{104, 105}]}, 
       {Hue[0, 1, 1], LineBox[{105, 106}]}, 
       {Hue[0, 1, 1], LineBox[{106, 107}]}, 
       {Hue[0, 1, 1], LineBox[{107, 108}]}, 
       {Hue[0, 1, 1], LineBox[{108, 109}]}, 
       {Hue[0, 1, 1], LineBox[{109, 110}]}, 
       {Hue[0, 1, 1], LineBox[{110, 111}]}, 
       {Hue[0, 1, 1], LineBox[{111, 112}]}, 
       {Hue[0, 1, 1], LineBox[{112, 113}]}, 
       {Hue[0, 1, 1], LineBox[{113, 114}]}, 
       {Hue[0, 1, 1], LineBox[{114, 115}]}, 
       {Hue[0, 1, 1], LineBox[{115, 116}]}, 
       {Hue[0, 1, 1], LineBox[{116, 117}]}, 
       {Hue[0, 1, 1], LineBox[{117, 118}]}, 
       {Hue[0, 1, 1], LineBox[{118, 119}]}, 
       {Hue[0, 1, 1], LineBox[{119, 120}]}, 
       {Hue[0, 1, 1], LineBox[{120, 121}]}, 
       {Hue[0, 1, 1], LineBox[{121, 122}]}, 
       {Hue[0, 1, 1], LineBox[{122, 123}]}, 
       {Hue[0, 1, 1], LineBox[{123, 124}]}, 
       {Hue[0, 1, 1], LineBox[{124, 125}]}, 
       {Hue[0, 1, 1], LineBox[{125, 126}]}, 
       {Hue[0, 1, 1], LineBox[{126, 127}]}, 
       {Hue[0, 1, 1], LineBox[{127, 128}]}, 
       {Hue[0, 1, 1], LineBox[{128, 129}]}, 
       {Hue[0, 1, 1], LineBox[{129, 130}]}, 
       {Hue[0, 1, 1], LineBox[{130, 131}]}, 
       {Hue[0, 1, 1], LineBox[{131, 132}]}, 
       {Hue[0, 1, 1], LineBox[{132, 133}]}, 
       {Hue[0, 1, 1], LineBox[{133, 134}]}, 
       {Hue[0, 1, 1], LineBox[{134, 135}]}, 
       {Hue[0, 1, 1], LineBox[{135, 136}]}, 
       {Hue[0, 1, 1], LineBox[{136, 137}]}, 
       {Hue[0, 1, 1], LineBox[{137, 138}]}, 
       {Hue[0, 1, 1], LineBox[{138, 139}]}, 
       {Hue[0, 1, 1], LineBox[{139, 140}]}, 
       {Hue[0, 1, 1], LineBox[{140, 141}]}, 
       {Hue[0, 1, 1], LineBox[{141, 142}]}, 
       {Hue[0, 1, 1], LineBox[{142, 143}]}, 
       {Hue[0, 1, 1], LineBox[{143, 144}]}, 
       {Hue[0, 1, 1], LineBox[{144, 145}]}, 
       {Hue[0, 1, 1], LineBox[{145, 146}]}, 
       {Hue[0, 1, 1], LineBox[{146, 147}]}, 
       {Hue[0, 1, 1], LineBox[{147, 148}]}, 
       {Hue[0, 1, 1], LineBox[{148, 149}]}, 
       {Hue[0, 1, 1], LineBox[{149, 150}]}, 
       {Hue[0, 1, 1], LineBox[{150, 151}]}, 
       {Hue[0, 1, 1], LineBox[{151, 152}]}, 
       {Hue[0, 1, 1], LineBox[{152, 153}]}, 
       {Hue[0, 1, 1], LineBox[{153, 154}]}, 
       {Hue[0, 1, 1], LineBox[{154, 155}]}, 
       {Hue[0, 1, 1], LineBox[{155, 156}]}, 
       {Hue[0, 1, 1], LineBox[{156, 157}]}, 
       {Hue[0, 1, 1], LineBox[{157, 158}]}, 
       {Hue[0, 1, 1], LineBox[{158, 159}]}, 
       {Hue[0, 1, 1], LineBox[{159, 160}]}, 
       {Hue[0, 1, 1], LineBox[{160, 161}]}, 
       {Hue[0, 1, 1], LineBox[{161, 162}]}, 
       {Hue[0, 1, 1], LineBox[{162, 163}]}, 
       {Hue[0, 1, 1], LineBox[{163, 164}]}, 
       {Hue[0, 1, 1], LineBox[{164, 165}]}, 
       {Hue[0, 1, 1], LineBox[{165, 166}]}, 
       {Hue[0, 1, 1], LineBox[{166, 167}]}, 
       {Hue[0, 1, 1], LineBox[{167, 168}]}, 
       {Hue[0, 1, 1], LineBox[{168, 169}]}, 
       {Hue[0, 1, 1], LineBox[{169, 170}]}, 
       {Hue[0, 1, 1], LineBox[{170, 171}]}, 
       {Hue[0, 1, 1], LineBox[{171, 172}]}, 
       {Hue[0, 1, 1], LineBox[{172, 173}]}, 
       {Hue[0, 1, 1], LineBox[{173, 174}]}, 
       {Hue[0, 1, 1], LineBox[{174, 175}]}, 
       {Hue[0, 1, 1], LineBox[{175, 176}]}, 
       {Hue[0, 1, 1], LineBox[{176, 177}]}, 
       {Hue[0, 1, 1], LineBox[{177, 178}]}, 
       {Hue[0, 1, 1], LineBox[{178, 179}]}, 
       {Hue[0, 1, 1], LineBox[{179, 180}]}, 
       {Hue[0, 1, 1], LineBox[{180, 181}]}, 
       {Hue[0, 1, 1], LineBox[{181, 182}]}, 
       {Hue[0, 1, 1], LineBox[{182, 183}]}, 
       {Hue[0, 1, 1], LineBox[{183, 184}]}, 
       {Hue[0, 1, 1], LineBox[{184, 185}]}, 
       {Hue[0, 1, 1], LineBox[{185, 186}]}, 
       {Hue[0, 1, 1], LineBox[{186, 187}]}, 
       {Hue[0, 1, 1], LineBox[{187, 188}]}, 
       {Hue[0, 1, 1], LineBox[{188, 189}]}, 
       {Hue[0, 1, 1], LineBox[{189, 190}]}, 
       {Hue[0, 1, 1], LineBox[{190, 191}]}, 
       {Hue[0, 1, 1], LineBox[{191, 192}]}, 
       {Hue[0, 1, 1], LineBox[{192, 193}]}, 
       {Hue[0, 1, 1], LineBox[{193, 194}]}, 
       {Hue[0, 1, 1], LineBox[{194, 195}]}, 
       {Hue[0, 1, 1], LineBox[{195, 196}]}, 
       {Hue[0, 1, 1], LineBox[{196, 197}]}, 
       {Hue[0, 1, 1], LineBox[{197, 198}]}, 
       {Hue[0, 1, 1], LineBox[{198, 199}]}, 
       {Hue[0, 1, 1], LineBox[{199, 200}]}, 
       {Hue[0, 1, 1], LineBox[{200, 201}]}, 
       {Hue[0, 1, 1], LineBox[{201, 202}]}, 
       {Hue[0, 1, 1], LineBox[{202, 203}]}, 
       {Hue[0, 1, 1], LineBox[{203, 204}]}, 
       {Hue[0, 1, 1], LineBox[{204, 205}]}, 
       {Hue[0, 1, 1], LineBox[{205, 206}]}, 
       {Hue[0, 1, 1], LineBox[{206, 207}]}, 
       {Hue[0, 1, 1], LineBox[{207, 208}]}, 
       {Hue[0, 1, 1], LineBox[{208, 209}]}, 
       {Hue[0, 1, 1], LineBox[{209, 210}]}, 
       {Hue[0, 1, 1], LineBox[{210, 211}]}, 
       {Hue[0, 1, 1], LineBox[{211, 212}]}, 
       {Hue[0, 1, 1], LineBox[{212, 213}]}, 
       {Hue[0, 1, 1], LineBox[{213, 214}]}, 
       {Hue[0, 1, 1], LineBox[{214, 215}]}, 
       {Hue[0, 1, 1], LineBox[{215, 216}]}, 
       {Hue[0, 1, 1], LineBox[{216, 217}]}, 
       {Hue[0, 1, 1], LineBox[{217, 218}]}, 
       {Hue[0, 1, 1], LineBox[{218, 219}]}, 
       {Hue[0, 1, 1], LineBox[{219, 220}]}, 
       {Hue[0, 1, 1], LineBox[{220, 221}]}, 
       {Hue[0, 1, 1], LineBox[{221, 222}]}, 
       {Hue[0, 1, 1], LineBox[{222, 223}]}, 
       {Hue[0, 1, 1], LineBox[{223, 224}]}, 
       {Hue[0, 1, 1], LineBox[{224, 225}]}, 
       {Hue[0, 1, 1], LineBox[{225, 226}]}, 
       {Hue[0, 1, 1], LineBox[{226, 227}]}, 
       {Hue[0, 1, 1], LineBox[{227, 228}]}, 
       {Hue[0, 1, 1], LineBox[{228, 229}]}, 
       {Hue[0, 1, 1], LineBox[{229, 230}]}, 
       {Hue[0, 1, 1], LineBox[{230, 231}]}, 
       {Hue[0, 1, 1], LineBox[{231, 232}]}, 
       {Hue[0, 1, 1], LineBox[{232, 233}]}, 
       {Hue[0, 1, 1], LineBox[{233, 234}]}, 
       {Hue[0, 1, 1], LineBox[{234, 235}]}, 
       {Hue[0, 1, 1], LineBox[{235, 236}]}, 
       {Hue[0, 1, 1], LineBox[{236, 237}]}, 
       {Hue[0, 1, 1], LineBox[{237, 238}]}, 
       {Hue[0, 1, 1], LineBox[{238, 239}]}, 
       {Hue[0, 1, 1], LineBox[{239, 240}]}, 
       {Hue[0, 1, 1], LineBox[{240, 241}]}, 
       {Hue[0, 1, 1], LineBox[{241, 242}]}, 
       {Hue[0, 1, 1], LineBox[{242, 243}]}, 
       {Hue[0, 1, 1], LineBox[{243, 244}]}, 
       {Hue[0, 1, 1], LineBox[{244, 245}]}, 
       {Hue[0, 1, 1], LineBox[{245, 246}]}, 
       {Hue[0, 1, 1], LineBox[{246, 247}]}, 
       {Hue[0, 1, 1], LineBox[{247, 248}]}, 
       {Hue[0, 1, 1], LineBox[{248, 249}]}, 
       {Hue[0, 1, 1], LineBox[{249, 250}]}, 
       {Hue[0, 1, 1], LineBox[{250, 251}]}, 
       {Hue[0, 1, 1], LineBox[{251, 252}]}, 
       {Hue[0, 1, 1], LineBox[{252, 253}]}, 
       {Hue[0, 1, 1], LineBox[{253, 254}]}, 
       {Hue[0, 1, 1], LineBox[{254, 255}]}, 
       {Hue[0, 1, 1], LineBox[{255, 256}]}, 
       {Hue[0, 1, 1], LineBox[{256, 257}]}, 
       {Hue[0, 1, 1], LineBox[{257, 258}]}, 
       {Hue[0, 1, 1], LineBox[{258, 259}]}, 
       {Hue[0, 1, 1], LineBox[{259, 260}]}, 
       {Hue[0, 1, 1], LineBox[{260, 261}]}, 
       {Hue[0, 1, 1], LineBox[{261, 262}]}, 
       {Hue[0, 1, 1], LineBox[{262, 263}]}, 
       {Hue[0, 1, 1], LineBox[{263, 264}]}, 
       {Hue[0, 1, 1], LineBox[{264, 265}]}, 
       {Hue[0, 1, 1], LineBox[{265, 266}]}, 
       {Hue[0, 1, 1], LineBox[{266, 267}]}, 
       {Hue[0, 1, 1], LineBox[{267, 268}]}, 
       {Hue[0, 1, 1], LineBox[{268, 269}]}, 
       {Hue[0, 1, 1], LineBox[{269, 270}]}, 
       {Hue[0, 1, 1], LineBox[{270, 271}]}, 
       {Hue[0, 1, 1], LineBox[{271, 272}]}, 
       {Hue[0, 1, 1], LineBox[{272, 273}]}, 
       {Hue[0, 1, 1], LineBox[{273, 274}]}, 
       {Hue[0, 1, 1], LineBox[{274, 275}]}, 
       {Hue[0, 1, 1], LineBox[{275, 276}]}, 
       {Hue[0, 1, 1], LineBox[{276, 277}]}, 
       {Hue[0, 1, 1], LineBox[{277, 278}]}, 
       {Hue[0, 1, 1], LineBox[{278, 279}]}, 
       {Hue[0, 1, 1], LineBox[{279, 280}]}, 
       {Hue[0, 1, 1], LineBox[{280, 281}]}, 
       {Hue[0, 1, 1], LineBox[{281, 282}]}, 
       {Hue[0, 1, 1], LineBox[{282, 283}]}, 
       {Hue[0, 1, 1], LineBox[{283, 284}]}, 
       {Hue[0, 1, 1], LineBox[{284, 285}]}, 
       {Hue[0, 1, 1], LineBox[{285, 286}]}, 
       {Hue[0, 1, 1], LineBox[{286, 287}]}, 
       {Hue[0, 1, 1], LineBox[{287, 288}]}, 
       {Hue[0, 1, 1], LineBox[{288, 289}]}, 
       {Hue[0, 1, 1], LineBox[{289, 290}]}, 
       {Hue[0, 1, 1], LineBox[{290, 291}]}, 
       {Hue[0, 1, 1], LineBox[{291, 292}]}, 
       {Hue[0, 1, 1], LineBox[{292, 293}]}, 
       {Hue[0, 1, 1], LineBox[{293, 294}]}, 
       {Hue[0, 1, 1], LineBox[{294, 295}]}, 
       {Hue[0, 1, 1], LineBox[{295, 296}]}, 
       {Hue[0, 1, 1], LineBox[{296, 297}]}, 
       {Hue[0, 1, 1], LineBox[{297, 298}]}, 
       {Hue[0, 1, 1], LineBox[{298, 299}]}, 
       {Hue[0, 1, 1], LineBox[{299, 300}]}, 
       {Hue[0, 1, 1], LineBox[{300, 301}]}, 
       {Hue[0, 1, 1], LineBox[{301, 302}]}, 
       {Hue[0, 1, 1], LineBox[{302, 303}]}, 
       {Hue[0, 1, 1], LineBox[{303, 304}]}, 
       {Hue[0, 1, 1], LineBox[{304, 305}]}, 
       {Hue[0, 1, 1], LineBox[{305, 306}]}, 
       {Hue[0, 1, 1], LineBox[{306, 307}]}, 
       {Hue[0, 1, 1], LineBox[{307, 308}]}, 
       {Hue[0, 1, 1], LineBox[{308, 309}]}, 
       {Hue[0, 1, 1], LineBox[{309, 310}]}, 
       {Hue[0, 1, 1], LineBox[{310, 311}]}, 
       {Hue[0, 1, 1], LineBox[{311, 312}]}, 
       {Hue[0, 1, 1], LineBox[{312, 313}]}, 
       {Hue[0, 1, 1], LineBox[{313, 314}]}, 
       {Hue[0, 1, 1], LineBox[{314, 315}]}, 
       {Hue[0, 1, 1], LineBox[{315, 316}]}, 
       {Hue[0, 1, 1], LineBox[{316, 317}]}, 
       {Hue[0, 1, 1], LineBox[{317, 318}]}, 
       {Hue[0, 1, 1], LineBox[{318, 319}]}, 
       {Hue[0, 1, 1], LineBox[{319, 320}]}, 
       {Hue[0, 1, 1], LineBox[{320, 321}]}, 
       {Hue[0, 1, 1], LineBox[{321, 322}]}, 
       {Hue[0, 1, 1], LineBox[{322, 323}]}, 
       {Hue[0, 1, 1], LineBox[{323, 324}]}, 
       {Hue[0, 1, 1], LineBox[{324, 325}]}, 
       {Hue[0, 1, 1], LineBox[{325, 326}]}, 
       {Hue[0, 1, 1], LineBox[{326, 327}]}, 
       {Hue[0, 1, 1], LineBox[{327, 328}]}, 
       {Hue[0, 1, 1], LineBox[{328, 329}]}, 
       {Hue[0, 1, 1], LineBox[{329, 330}]}, 
       {Hue[0, 1, 1], LineBox[{330, 331}]}, 
       {Hue[0, 1, 1], LineBox[{331, 332}]}, 
       {Hue[0, 1, 1], LineBox[{332, 333}]}, 
       {Hue[0, 1, 1], LineBox[{333, 334}]}, 
       {Hue[0, 1, 1], LineBox[{334, 335}]}, 
       {Hue[0, 1, 1], LineBox[{335, 336}]}, 
       {Hue[0, 1, 1], LineBox[{336, 337}]}, 
       {Hue[0, 1, 1], LineBox[{337, 338}]}, 
       {Hue[0, 1, 1], LineBox[{338, 339}]}, 
       {Hue[0, 1, 1], LineBox[{339, 340}]}, 
       {Hue[0, 1, 1], LineBox[{340, 341}]}, 
       {Hue[0, 1, 1], LineBox[{341, 342}]}, 
       {Hue[0, 1, 1], LineBox[{342, 343}]}, 
       {Hue[0, 1, 1], LineBox[{343, 344}]}, 
       {Hue[0, 1, 1], LineBox[{344, 345}]}, 
       {Hue[0, 1, 1], LineBox[{345, 346}]}, 
       {Hue[0, 1, 1], LineBox[{346, 347}]}, 
       {Hue[0, 1, 1], LineBox[{347, 348}]}, 
       {Hue[0, 1, 1], LineBox[{348, 349}]}, 
       {Hue[0, 1, 1], LineBox[{349, 350}]}, 
       {Hue[0, 1, 1], LineBox[{350, 351}]}, 
       {Hue[0, 1, 1], LineBox[{351, 352}]}, 
       {Hue[0, 1, 1], LineBox[{352, 353}]}, 
       {Hue[0, 1, 1], LineBox[{353, 354}]}, 
       {Hue[0, 1, 1], LineBox[{354, 355}]}, 
       {Hue[0, 1, 1], LineBox[{355, 356}]}, 
       {Hue[0, 1, 1], LineBox[{356, 357}]}, 
       {Hue[0, 1, 1], LineBox[{357, 358}]}, 
       {Hue[0, 1, 1], LineBox[{358, 359}]}, 
       {Hue[0, 1, 1], LineBox[{359, 360}]}, 
       {Hue[0, 1, 1], LineBox[{360, 361}]}, 
       {Hue[0, 1, 1], LineBox[{361, 362}]}, 
       {Hue[0, 1, 1], LineBox[{362, 363}]}, 
       {Hue[0, 1, 1], LineBox[{363, 364}]}, 
       {Hue[0, 1, 1], LineBox[{364, 365}]}, 
       {Hue[0, 1, 1], LineBox[{365, 366}]}, 
       {Hue[0, 1, 1], LineBox[{366, 367}]}, 
       {Hue[0, 1, 1], LineBox[{367, 368}]}, 
       {Hue[0, 1, 1], LineBox[{368, 369}]}, 
       {Hue[0, 1, 1], LineBox[{369, 370}]}, 
       {Hue[0, 1, 1], LineBox[{370, 371}]}, 
       {Hue[0, 1, 1], LineBox[{371, 372}]}, 
       {Hue[0, 1, 1], LineBox[{372, 373}]}, 
       {Hue[0, 1, 1], LineBox[{373, 374}]}, 
       {Hue[0, 1, 1], LineBox[{374, 375}]}, 
       {Hue[0, 1, 1], LineBox[{375, 376}]}, 
       {Hue[0, 1, 1], LineBox[{376, 377}]}, 
       {Hue[0, 1, 1], LineBox[{377, 378}]}, 
       {Hue[0, 1, 1], LineBox[{378, 379}]}, 
       {Hue[0, 1, 1], LineBox[{379, 380}]}, 
       {Hue[0, 1, 1], LineBox[{380, 381}]}, 
       {Hue[0, 1, 1], LineBox[{381, 382}]}, 
       {Hue[0, 1, 1], LineBox[{382, 383}]}, 
       {Hue[0, 1, 1], LineBox[{383, 384}]}, 
       {Hue[0, 1, 1], LineBox[{384, 385}]}, 
       {Hue[0, 1, 1], LineBox[{385, 386}]}, 
       {Hue[0, 1, 1], LineBox[{386, 387}]}, 
       {Hue[0, 1, 1], LineBox[{387, 388}]}, 
       {Hue[0, 1, 1], LineBox[{388, 389}]}, 
       {Hue[0, 1, 1], LineBox[{389, 390}]}, 
       {Hue[0, 1, 1], LineBox[{390, 391}]}, 
       {Hue[0, 1, 1], LineBox[{391, 392}]}, 
       {Hue[0, 1, 1], LineBox[{392, 393}]}, 
       {Hue[0, 1, 1], LineBox[{393, 394}]}, 
       {Hue[0, 1, 1], LineBox[{394, 395}]}, 
       {Hue[0, 1, 1], LineBox[{395, 396}]}, 
       {Hue[0, 1, 1], LineBox[{396, 397}]}, 
       {Hue[0, 1, 1], LineBox[{397, 398}]}, 
       {Hue[0, 1, 1], LineBox[{398, 399}]}, 
       {Hue[0, 1, 1], LineBox[{399, 400}]}, 
       {Hue[0, 1, 1], LineBox[{400, 401}]}, 
       {Hue[0, 1, 1], LineBox[{401, 402}]}, 
       {Hue[0, 1, 1], LineBox[{402, 403}]}, 
       {Hue[0, 1, 1], LineBox[{403, 404}]}, 
       {Hue[0, 1, 1], LineBox[{404, 405}]}, 
       {Hue[0, 1, 1], LineBox[{405, 406}]}, 
       {Hue[0, 1, 1], LineBox[{406, 407}]}, 
       {Hue[0, 1, 1], LineBox[{407, 408}]}, 
       {Hue[0, 1, 1], LineBox[{408, 409}]}, 
       {Hue[0, 1, 1], LineBox[{409, 410}]}, 
       {Hue[0, 1, 1], LineBox[{410, 411}]}, 
       {Hue[0, 1, 1], LineBox[{411, 412}]}, 
       {Hue[0, 1, 1], LineBox[{412, 413}]}, 
       {Hue[0, 1, 1], LineBox[{413, 414}]}, 
       {Hue[0, 1, 1], LineBox[{414, 415}]}, 
       {Hue[0, 1, 1], LineBox[{415, 416}]}, 
       {Hue[0, 1, 1], LineBox[{416, 417}]}, 
       {Hue[0, 1, 1], LineBox[{417, 418}]}, 
       {Hue[0, 1, 1], LineBox[{418, 419}]}, 
       {Hue[0, 1, 1], LineBox[{419, 420}]}, 
       {Hue[0, 1, 1], LineBox[{420, 421}]}, 
       {Hue[0, 1, 1], LineBox[{421, 422}]}, 
       {Hue[0, 1, 1], LineBox[{422, 423}]}, 
       {Hue[0, 1, 1], LineBox[{423, 424}]}, 
       {Hue[0, 1, 1], LineBox[{424, 425}]}, 
       {Hue[0, 1, 1], LineBox[{425, 426}]}, 
       {Hue[0, 1, 1], LineBox[{426, 427}]}, 
       {Hue[0, 1, 1], LineBox[{427, 428}]}, 
       {Hue[0, 1, 1], LineBox[{428, 429}]}, 
       {Hue[0, 1, 1], LineBox[{429, 430}]}, 
       {Hue[0, 1, 1], LineBox[{430, 431}]}, 
       {Hue[0, 1, 1], LineBox[{431, 432}]}, 
       {Hue[0, 1, 1], LineBox[{432, 433}]}, 
       {Hue[0, 1, 1], LineBox[{433, 434}]}, 
       {Hue[0, 1, 1], LineBox[{434, 435}]}, 
       {Hue[0, 1, 1], LineBox[{435, 436}]}, 
       {Hue[0, 1, 1], LineBox[{436, 437}]}, 
       {Hue[0, 1, 1], LineBox[{437, 438}]}, 
       {Hue[0, 1, 1], LineBox[{438, 439}]}, 
       {Hue[0, 1, 1], LineBox[{439, 440}]}, 
       {Hue[0, 1, 1], LineBox[{440, 441}]}, 
       {Hue[0, 1, 1], LineBox[{441, 442}]}, 
       {Hue[0, 1, 1], LineBox[{442, 443}]}, 
       {Hue[0, 1, 1], LineBox[{443, 444}]}, 
       {Hue[0, 1, 1], LineBox[{444, 445}]}, 
       {Hue[0, 1, 1], LineBox[{445, 446}]}, 
       {Hue[0, 1, 1], LineBox[{446, 447}]}, 
       {Hue[0, 1, 1], LineBox[{447, 448}]}, 
       {Hue[0, 1, 1], LineBox[{448, 449}]}, 
       {Hue[0, 1, 1], LineBox[{449, 450}]}, 
       {Hue[0, 1, 1], LineBox[{450, 451}]}, 
       {Hue[0, 1, 1], LineBox[{451, 452}]}, 
       {Hue[0, 1, 1], LineBox[{452, 453}]}, 
       {Hue[0, 1, 1], LineBox[{453, 454}]}, 
       {Hue[0, 1, 1], LineBox[{454, 455}]}, 
       {Hue[0, 1, 1], LineBox[{455, 456}]}, 
       {Hue[0, 1, 1], LineBox[{456, 457}]}, 
       {Hue[0, 1, 1], LineBox[{457, 458}]}, 
       {Hue[0, 1, 1], LineBox[{458, 459}]}, 
       {Hue[0, 1, 1], LineBox[{459, 460}]}, 
       {Hue[0, 1, 1], LineBox[{460, 461}]}, 
       {Hue[0, 1, 1], LineBox[{461, 462}]}, 
       {Hue[0, 1, 1], LineBox[{462, 463}]}, 
       {Hue[0, 1, 1], LineBox[{463, 464}]}, 
       {Hue[0, 1, 1], LineBox[{464, 465}]}, 
       {Hue[0, 1, 1], LineBox[{465, 466}]}, 
       {Hue[0, 1, 1], LineBox[{466, 467}]}, 
       {Hue[0, 1, 1], LineBox[{467, 468}]}, 
       {Hue[0, 1, 1], LineBox[{468, 469}]}, 
       {Hue[0, 1, 1], LineBox[{469, 470}]}, 
       {Hue[0, 1, 1], LineBox[{470, 471}]}, 
       {Hue[0, 1, 1], LineBox[{471, 472}]}, 
       {Hue[0, 1, 1], LineBox[{472, 473}]}, 
       {Hue[0, 1, 1], LineBox[{473, 474}]}, 
       {Hue[0, 1, 1], LineBox[{474, 475}]}, 
       {Hue[0, 1, 1], LineBox[{475, 476}]}, 
       {Hue[0, 1, 1], LineBox[{476, 477}]}, 
       {Hue[0, 1, 1], LineBox[{477, 478}]}, 
       {Hue[0, 1, 1], LineBox[{478, 479}]}, 
       {Hue[0, 1, 1], LineBox[{479, 480}]}, 
       {Hue[0, 1, 1], LineBox[{480, 481}]}, 
       {Hue[0, 1, 1], LineBox[{481, 482}]}, 
       {Hue[0, 1, 1], LineBox[{482, 483}]}, 
       {Hue[0, 1, 1], LineBox[{483, 484}]}, 
       {Hue[0, 1, 1], LineBox[{484, 485}]}, 
       {Hue[0, 1, 1], LineBox[{485, 486}]}, 
       {Hue[0, 1, 1], LineBox[{486, 487}]}, 
       {Hue[0, 1, 1], LineBox[{487, 488}]}, 
       {Hue[0, 1, 1], LineBox[{488, 489}]}, 
       {Hue[0, 1, 1], LineBox[{489, 490}]}, 
       {Hue[0, 1, 1], LineBox[{490, 491}]}, 
       {Hue[0, 1, 1], LineBox[{491, 492}]}, 
       {Hue[0, 1, 1], LineBox[{492, 493}]}, 
       {Hue[0, 1, 1], LineBox[{493, 494}]}, 
       {Hue[0, 1, 1], LineBox[{494, 495}]}, 
       {Hue[0, 1, 1], LineBox[{495, 496}]}, 
       {Hue[0, 1, 1], LineBox[{496, 497}]}, 
       {Hue[0, 1, 1], LineBox[{497, 498}]}, 
       {Hue[0, 1, 1], LineBox[{498, 499}]}, 
       {Hue[0, 1, 1], LineBox[{499, 500}]}, 
       {Hue[0, 1, 1], LineBox[{500, 501}]}, 
       {Hue[0, 1, 1], LineBox[{501, 502}]}, 
       {Hue[0, 1, 1], LineBox[{502, 503}]}, 
       {Hue[0, 1, 1], LineBox[{503, 504}]}, 
       {Hue[0, 1, 1], LineBox[{504, 505}]}, 
       {Hue[0, 1, 1], LineBox[{505, 506}]}, 
       {Hue[0, 1, 1], LineBox[{506, 507}]}, 
       {Hue[0, 1, 1], LineBox[{507, 508}]}, 
       {Hue[0, 1, 1], LineBox[{508, 509}]}, 
       {Hue[0, 1, 1], LineBox[{509, 510}]}, 
       {Hue[0, 1, 1], LineBox[{510, 511}]}, 
       {Hue[0, 1, 1], LineBox[{511, 512}]}, 
       {Hue[0, 1, 1], LineBox[{512, 513}]}, 
       {Hue[0, 1, 1], LineBox[{513, 514}]}, 
       {Hue[0, 1, 1], LineBox[{514, 515}]}, 
       {Hue[0, 1, 1], LineBox[{515, 516}]}, 
       {Hue[0, 1, 1], LineBox[{516, 517}]}, 
       {Hue[0, 1, 1], LineBox[{517, 518}]}, 
       {Hue[0, 1, 1], LineBox[{518, 519}]}, 
       {Hue[0, 1, 1], LineBox[{519, 520}]}, 
       {Hue[0, 1, 1], LineBox[{520, 521}]}, 
       {Hue[0, 1, 1], LineBox[{521, 522}]}, 
       {Hue[0, 1, 1], LineBox[{522, 523}]}, 
       {Hue[0, 1, 1], LineBox[{523, 524}]}, 
       {Hue[0, 1, 1], LineBox[{524, 525}]}, 
       {Hue[0, 1, 1], LineBox[{525, 526}]}, 
       {Hue[0, 1, 1], LineBox[{526, 527}]}, 
       {Hue[0, 1, 1], LineBox[{527, 528}]}, 
       {Hue[0, 1, 1], LineBox[{528, 529}]}, 
       {Hue[0, 1, 1], LineBox[{529, 530}]}, 
       {Hue[0, 1, 1], LineBox[{530, 531}]}, 
       {Hue[0, 1, 1], LineBox[{531, 532}]}, 
       {Hue[0, 1, 1], LineBox[{532, 533}]}, 
       {Hue[0, 1, 1], LineBox[{533, 534}]}, 
       {Hue[0, 1, 1], LineBox[{534, 535}]}, 
       {Hue[0, 1, 1], LineBox[{535, 536}]}, 
       {Hue[0, 1, 1], LineBox[{536, 537}]}, 
       {Hue[0, 1, 1], LineBox[{537, 538}]}, 
       {Hue[0, 1, 1], LineBox[{538, 539}]}, 
       {Hue[0, 1, 1], LineBox[{539, 540}]}, 
       {Hue[0, 1, 1], LineBox[{540, 541}]}, 
       {Hue[0, 1, 1], LineBox[{541, 542}]}, 
       {Hue[0, 1, 1], LineBox[{542, 543}]}, 
       {Hue[0, 1, 1], LineBox[{543, 544}]}, 
       {Hue[0, 1, 1], LineBox[{544, 545}]}, 
       {Hue[0, 1, 1], LineBox[{545, 546}]}, 
       {Hue[0, 1, 1], LineBox[{546, 547}]}, 
       {Hue[0, 1, 1], LineBox[{547, 548}]}, 
       {Hue[0, 1, 1], LineBox[{548, 549}]}, 
       {Hue[0, 1, 1], LineBox[{549, 550}]}, 
       {Hue[0, 1, 1], LineBox[{550, 551}]}, 
       {Hue[0, 1, 1], LineBox[{551, 552}]}, 
       {Hue[0, 1, 1], LineBox[{552, 553}]}, 
       {Hue[0, 1, 1], LineBox[{553, 554}]}, 
       {Hue[0, 1, 1], LineBox[{554, 555}]}, 
       {Hue[0, 1, 1], LineBox[{555, 556}]}, 
       {Hue[0, 1, 1], LineBox[{556, 557}]}, 
       {Hue[0, 1, 1], LineBox[{557, 558}]}, 
       {Hue[0, 1, 1], LineBox[{558, 559}]}, 
       {Hue[0, 1, 1], LineBox[{559, 560}]}, 
       {Hue[0, 1, 1], LineBox[{560, 561}]}, 
       {Hue[0, 1, 1], LineBox[{561, 562}]}, 
       {Hue[0, 1, 1], LineBox[{562, 563}]}, 
       {Hue[0, 1, 1], LineBox[{563, 564}]}, 
       {Hue[0, 1, 1], LineBox[{564, 565}]}, 
       {Hue[0, 1, 1], LineBox[{565, 566}]}, 
       {Hue[0, 1, 1], LineBox[{566, 567}]}}}},
    VertexColors->{
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1]}], {{}, {}, 
    {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJxd2Hk8VO37B3BZknUkkjLWEirZov0+VJIkJEkisj1CntIiQqhEi0dCZSla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      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->Automatic,
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.3897310066200976`*^9, 3.3897310442341843`*^9, 
  3.389733062648741*^9, 3.3908939891280613`*^9, 3.391779919958753*^9, 
  3.39178018262265*^9, 3.391848700734375*^9, 3.3924696495322313`*^9, 
  3.3938423828197527`*^9, 3.3938470041807632`*^9}]
}, Open  ]],

Cell["\<\
There is also a \"ListPlot\"-version of QCombinedPlot, where a list of \
complex values is plotted together with an ordinary function:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"mytab", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"x", "^", "2"}]}], "/", "2"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "4"}], ",", "4", ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{"QListCombinedPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mytab", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "^", "2"}], "/", "2"}], "-", 
      RowBox[{"1", "/", "2"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{
  3.389699125335066*^9, {3.3896993744332514`*^9, 3.389699377888219*^9}}],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJyFlmlI1EEYxv9eeVZ2aKewG1trNyVBQjXzoRKKQkWIyqCSJKMDieiwmy4q
CrsviIr6UEllECTmTGTUlhVlUBKkIVnWmpkiHUuH8u6H93nbGliWH/+ZZ56Z
ed93JnvFQvcix3HC//xaOv5totPZ1LiAOzLRW2K7p3U2pbO8ruhp/W23/M6m
Mr4/Klt0NN92Pd7RTqiswra47f0ybUJVR3ukZrsnl4yak2oTSG/Bx81zIoYu
tfGkVzBjy6qMxik2jvQKrxye3Taj0saS3pp1mctnnp1uY0hv890JL5cVVdgY
0tthM6ceruxjo0lv374HYQcDBbYL6R3KSs8Z0T7WRpHeCXPAM8ZTbCNJ78zy
S2Fjyv02kvQubGyo+bVtvY0gvcu3SpOSvN9tOOmVjlyc6u093oaR3o07xaPe
TjpvHdIrT59ft/dasXVI73b2xXNmS5X5SePvdt1UEZE70QSovy+n4tSk5Afm
B833eETT0qLaFPON9J8+zG13NbvMV9J7fm+AZ/Ult2knvZdRfV/UuPqbNtJ7
teH14Kzcq6aV9GqHfGkesjfZtJDem7WFvVaOHmQ+k1794tLAiiPxxk/j386q
tWVFfUwj9X834dS7+wOemAaarzH+Q94Uk2PqSf9D2a5jw64XmzrS809c4mna
OsjU0Pim3cOnVU7dYaqp/6eju6JbwtOMj743z/OdLPHnmptBfuEp8D7b4wT3
L+gTvis+fq7i+mMVn3+b4v7civvfr/j6shVff5Xi+5Ok+P7FKr6/LsX3v4fi
53NZ8fNLVvx8UxQ//xTF4yNJ8fipVDy+0jWPv3uax+duzeP3tObxnaZ5/Ldq
nh8rNc+f95rn107N82+Y5vm5QPP8TdA8v8s05L/m9aFc8/oxXvP6kqd5/Rmo
eX3K0Lx+zde8vvXUWP8SHdaC9TAkk35IJj8hmfyHZvCDHA9+kOPAD3Is+EGO
AT+CwQ9yNPhB7gJ+kKPAD3Ik+BEMfpAjwA9yOPhBDgM/yA74EQx+gIP3SUgO
cD3BP/h6BH/jfgV/BT/I7eAHuQ38ILeCH+QW8IP8Gfwg+2E+5EbQQ26A9SDX
g1/kOvCDXAPzIVeDHrIP+iPf/Df/rynoL9j3Hwa/gmG9guvADzLst2A4L8Fw
3oIhXgRDvAmGeBUM8S4Y8kUw5JtgyFfBkO+CoV4IhnojGOoVsuZ2/sJcTzDU
W8FQrwVDvRcM94Vk8IMM95VguO8Ew30pGO5byeAHGe57wfBeEAzvDcHwXpEM
fpDhvSQY3luC4b0mGN57vwGGv0nP
    "], {
     {GrayLevel[0.5], EdgeForm[None], 
      GraphicsGroupBox[
       PolygonBox[{{1, 82, 83, 2}, {3, 86, 87, 4}, {9, 98, 99, 10}, {2, 84, 
        85, 3}, {4, 88, 89, 5}, {7, 94, 95, 8}, {5, 90, 91, 6}, {6, 92, 93, 
        7}, {19, 118, 119, 20}, {8, 96, 97, 9}, {18, 116, 117, 19}, {13, 106, 
        107, 14}, {11, 102, 103, 12}, {10, 100, 101, 11}, {14, 108, 109, 
        15}, {17, 114, 115, 18}, {15, 110, 111, 16}, {16, 112, 113, 17}, {12, 
        104, 105, 13}, {20, 120, 121, 21}, {33, 146, 147, 34}, {23, 126, 127, 
        24}, {24, 128, 129, 25}, {22, 124, 125, 23}, {25, 130, 131, 26}, {79, 
        238, 239, 80}, {28, 136, 137, 29}, {26, 132, 133, 27}, {21, 122, 123, 
        22}, {29, 138, 139, 30}, {31, 142, 143, 32}, {34, 148, 149, 35}, {32, 
        144, 145, 33}, {30, 140, 141, 31}, {35, 150, 151, 36}, {38, 156, 157, 
        39}, {36, 152, 153, 37}, {37, 154, 155, 38}, {39, 158, 159, 40}, {40, 
        160, 161, 41}, {41, 162, 163, 42}, {43, 166, 167, 44}, {44, 168, 169, 
        45}, {49, 178, 179, 50}, {50, 180, 181, 51}, {47, 174, 175, 48}, {48, 
        176, 177, 49}, {45, 170, 171, 46}, {46, 172, 173, 47}, {51, 182, 183, 
        52}, {56, 192, 193, 57}, {53, 186, 187, 54}, {54, 188, 189, 55}, {59, 
        198, 199, 60}, {52, 184, 185, 53}, {57, 194, 195, 58}, {58, 196, 197, 
        59}, {55, 190, 191, 56}, {42, 164, 165, 43}, {60, 200, 201, 61}, {62, 
        204, 205, 63}, {64, 208, 209, 65}, {70, 220, 221, 71}, {63, 206, 207, 
        64}, {65, 210, 211, 66}, {68, 216, 217, 69}, {66, 212, 213, 67}, {67, 
        214, 215, 68}, {69, 218, 219, 70}, {71, 222, 223, 72}, {61, 202, 203, 
        62}, {73, 226, 227, 74}, {74, 228, 229, 75}, {72, 224, 225, 73}, {75, 
        230, 231, 76}, {77, 234, 235, 78}, {27, 134, 135, 28}, {76, 232, 233, 
        77}, {78, 236, 237, 79}, {80, 240, 241, 81}}]]}, {{}, {}, {
       {Hue[0, 1, 1], LineBox[{1, 2}]}, 
       {Hue[0, 1, 1], LineBox[{2, 3}]}, 
       {Hue[0, 1, 1], LineBox[{3, 4}]}, 
       {Hue[0, 1, 1], LineBox[{4, 5}]}, 
       {Hue[0, 1, 1], LineBox[{5, 6}]}, 
       {Hue[0, 1, 1], LineBox[{6, 7}]}, 
       {Hue[0, 1, 1], LineBox[{7, 8}]}, 
       {Hue[0, 1, 1], LineBox[{8, 9}]}, 
       {Hue[0, 1, 1], LineBox[{9, 10}]}, 
       {Hue[0, 1, 1], LineBox[{10, 11}]}, 
       {Hue[0, 1, 1], LineBox[{11, 12}]}, 
       {Hue[0, 1, 1], LineBox[{12, 13}]}, 
       {Hue[0, 1, 1], LineBox[{13, 14}]}, 
       {Hue[0, 1, 1], LineBox[{14, 15}]}, 
       {Hue[0, 1, 1], LineBox[{15, 16}]}, 
       {Hue[0, 1, 1], LineBox[{16, 17}]}, 
       {Hue[0, 1, 1], LineBox[{17, 18}]}, 
       {Hue[0, 1, 1], LineBox[{18, 19}]}, 
       {Hue[0, 1, 1], LineBox[{19, 20}]}, 
       {Hue[0, 1, 1], LineBox[{20, 21}]}, 
       {Hue[0, 1, 1], LineBox[{21, 22}]}, 
       {Hue[0, 1, 1], LineBox[{22, 23}]}, 
       {Hue[0, 1, 1], LineBox[{23, 24}]}, 
       {Hue[0, 1, 1], LineBox[{24, 25}]}, 
       {Hue[0, 1, 1], LineBox[{25, 26}]}, 
       {Hue[0, 1, 1], LineBox[{26, 27}]}, 
       {Hue[0, 1, 1], LineBox[{27, 28}]}, 
       {Hue[0, 1, 1], LineBox[{28, 29}]}, 
       {Hue[0, 1, 1], LineBox[{29, 30}]}, 
       {Hue[0, 1, 1], LineBox[{30, 31}]}, 
       {Hue[0, 1, 1], LineBox[{31, 32}]}, 
       {Hue[0, 1, 1], LineBox[{32, 33}]}, 
       {Hue[0, 1, 1], LineBox[{33, 34}]}, 
       {Hue[0, 1, 1], LineBox[{34, 35}]}, 
       {Hue[0, 1, 1], LineBox[{35, 36}]}, 
       {Hue[0, 1, 1], LineBox[{36, 37}]}, 
       {Hue[0, 1, 1], LineBox[{37, 38}]}, 
       {Hue[0, 1, 1], LineBox[{38, 39}]}, 
       {Hue[0, 1, 1], LineBox[{39, 40}]}, 
       {Hue[0, 1, 1], LineBox[{40, 41}]}, 
       {Hue[0, 1, 1], LineBox[{41, 42}]}, 
       {Hue[0, 1, 1], LineBox[{42, 43}]}, 
       {Hue[0, 1, 1], LineBox[{43, 44}]}, 
       {Hue[0, 1, 1], LineBox[{44, 45}]}, 
       {Hue[0, 1, 1], LineBox[{45, 46}]}, 
       {Hue[0, 1, 1], LineBox[{46, 47}]}, 
       {Hue[0, 1, 1], LineBox[{47, 48}]}, 
       {Hue[0, 1, 1], LineBox[{48, 49}]}, 
       {Hue[0, 1, 1], LineBox[{49, 50}]}, 
       {Hue[0, 1, 1], LineBox[{50, 51}]}, 
       {Hue[0, 1, 1], LineBox[{51, 52}]}, 
       {Hue[0, 1, 1], LineBox[{52, 53}]}, 
       {Hue[0, 1, 1], LineBox[{53, 54}]}, 
       {Hue[0, 1, 1], LineBox[{54, 55}]}, 
       {Hue[0, 1, 1], LineBox[{55, 56}]}, 
       {Hue[0, 1, 1], LineBox[{56, 57}]}, 
       {Hue[0, 1, 1], LineBox[{57, 58}]}, 
       {Hue[0, 1, 1], LineBox[{58, 59}]}, 
       {Hue[0, 1, 1], LineBox[{59, 60}]}, 
       {Hue[0, 1, 1], LineBox[{60, 61}]}, 
       {Hue[0, 1, 1], LineBox[{61, 62}]}, 
       {Hue[0, 1, 1], LineBox[{62, 63}]}, 
       {Hue[0, 1, 1], LineBox[{63, 64}]}, 
       {Hue[0, 1, 1], LineBox[{64, 65}]}, 
       {Hue[0, 1, 1], LineBox[{65, 66}]}, 
       {Hue[0, 1, 1], LineBox[{66, 67}]}, 
       {Hue[0, 1, 1], LineBox[{67, 68}]}, 
       {Hue[0, 1, 1], LineBox[{68, 69}]}, 
       {Hue[0, 1, 1], LineBox[{69, 70}]}, 
       {Hue[0, 1, 1], LineBox[{70, 71}]}, 
       {Hue[0, 1, 1], LineBox[{71, 72}]}, 
       {Hue[0, 1, 1], LineBox[{72, 73}]}, 
       {Hue[0, 1, 1], LineBox[{73, 74}]}, 
       {Hue[0, 1, 1], LineBox[{74, 75}]}, 
       {Hue[0, 1, 1], LineBox[{75, 76}]}, 
       {Hue[0, 1, 1], LineBox[{76, 77}]}, 
       {Hue[0, 1, 1], LineBox[{77, 78}]}, 
       {Hue[0, 1, 1], LineBox[{78, 79}]}, 
       {Hue[0, 1, 1], LineBox[{79, 80}]}, 
       {Hue[0, 1, 1], LineBox[{80, 81}]}}}},
    VertexColors->{
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1]}], {{}, {}, 
    {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJxd2Hk8VO37B3BZknUkkjLWEirZov0+VJIkJEkisj1CntIiQqhEi0dCZSla
KDtlrNfYskdjHzNzaqwxtpCd7/n9+/vrvN7/nNd1X5/rvl/3ORZXHRWcubi4
uLm41mz4vyeVtLo6vBGpY+TV1badAVeopIX5MKX5qxh5Zopu+tWSSpqZUtbM
y8bII799vHNuUEkjA46nVLQwcme3U96kI5XU2UgPXa+HkbMa9+jFDlNJWS/r
J3sxjGy/HKMdmEwl2Wt/bnpogcmUPzu3XFhCFS1z9QxtvoVteeRF7+lKoIo4
lA8LtbVhmxZsZFyvnqcKy+hJXKWSsY05vkcfKIpRBZkkvqorXzCJJ7uD+vsD
qQLB3ROajy9h4lYRsd2GL6jrEIT5Rc1hYpdkT15Ui6Su/RUnzRJNwYQpzeJv
pDEq36PWa5rG8di6Fa+TWYYLVN4TqrcdPIIxPoquXl0olco9eu3WJx4/jNuJ
zz78nhZ1TWrH1uYgB7Sy6Gv5UzaXyuUeH9df+gLNZ61uc5JgwYpiurAKXoSm
HVRUeO5KwGKipQEmpoTG0/0UvC+5wVwv2z1MLRcNUCynP9vKwl9dXfmcahwx
P78kzdvIw9RX0Hqxsx+1RNuUvk4zhck16rppAetRdrT4mZSfQzAxK1ar8vUB
ymoJd7vKHQkTnKnzH8cWUKZvSV1imxhMdFH8P9iz0efvDz02qU7ARLZBRYp+
LvpwL1/z3zdUmLA/Z5rAZ4HiZDr9Am/Kw7gfV5OC9HaIvGtj6FXMBZyp9zvH
dXdCwb5A50JHFeAwCwMD1V2goJNzYvpcLXBqmmgk5SSg3PglYnmwBTiv/97a
LSUOhdmOmsHtvMA5erzca3YWSuQqxl8fFoOR6OGzY4UVQL2+qmDrawbDursD
xg5ZQzVJXfHMHxYMyx/5EbAnCqqt2A+ol7tgWNB6q+iuBqhOtKGDyQP4zQqq
U5c9DN92xpr7hE7D7we0DZ6rSlBjiHxLohRhqNPn4yh1DOq8TL5Ukktg8HZh
y+jREGj6z6YnbZ4Dg5d1TnOMKqCpxTFY42UZDJ7K/D5yigu+kzSOyAoOw6Bi
SuPvs/7w/bGsxC6HwzDQ+KS23+UmNIcYTJGZbBiQd6Ayw9ygJc+apiQUA321
AtlNjSZAu7f+n+4qNvTlhu5ubAkHWvzf3nA1ReiLX8lsaKsFGgXcPedEoO/f
qfQ65jGgjc8nNTf9hL4tzNTqscPQelE8dckhDHqv5rwpE9OANs1OnXmVLmBL
nY/MtJSE9upP2vf0bgOb51hRhHIutDPM995+lAa/xjX7XOfNoP0PLgQcRfhV
I7hXITEcOuSyyId//YFfN4vw6KEV6LgtP7IcuQI/O2TU/e4OQOfWk3vvLtUD
rloa999pL+j6p+hJhNAuwNe84BhPp0LX3QO2oS5BwOr2wnhfsqErMnm+iSYD
rEeyg7f6rKCrQDnJjK4BzKEgXTtfBN3cqzFSGVXA+GjQtiNFDLpfzGmlOiYB
fWstqfpvLtDTeLd38MhD9/zhiuRPT4FeVLYt3asRupu+3Ai0uwL0Rpv7jHce
0H0zuWfvt61AH9/vaez5FLpq7374/CIGerRjui7csoROD+1D/+ncgZ6vFXJn
3MagE0ub8Byygp5vyQbfrk9Bp6R8inG8NvR0ONU+NxqFjjJRAV4eDvTMRC7u
N6uADtJQ281WO2Bo3V8q7RyHtrzEK7bXDIDxge39qsoK2sIkZfcpywIjf6jw
k1c+tNlG/JDsXgRGxQ/nDb380Mbnq9usnw8M1gn2tOozaD1nyW2wXhmYGzrv
DKsrwY9FgZfbswWB6eu8JV3SCr6H/n7S3/MeWOrG8g8vTMB37YSkjf50YOmN
nTm67S00sc2zj8uKAkv/dj7T+BQ0oUJa6qWbwLLEeN+9+w8aFsKl3PsNgXU7
ruNhfBPUeau9GR8bAlbJ9SOJ8dJQJ8vKlY8kcqm646Qg6QK1TVGV5ppmwGp0
zQv8nQG1agv9udcpwOqZZtFSVOBbf4Oaz9wjYM13uzaeb4OqC1fyFrjVANdo
OCLWvgxVgnLVail2gOvtMbdeGYBKSmvHhaNRgB+6//RucB1UbjwwV/JgAfAT
XS8uvPaH8h/ChwKFGgB3MGr3EIuB8kCqaVYGF+AufTax602gXN3H/qepDuAe
LqKJHstAjWAE60fGA35Lhsdgz0koe3L+6Tq1LsAjLGRZAglQOlye/Y8nBnik
3OYRtgKUGqnS6rNSAY+mHeuQfAMl3AtST3R8AU8YUUFPwqHw9qu34oc3A545
KOdSvgEoHdyV14OCAc/tjzr3rzNQtN372ypGAP9ar7PVPwe+jh1Qiz1eAniZ
Ie+Zd3qQf7knX8b8IuCN/J1rdWchr+rGvpkpDuDN2xe+/OqHvG2i0BzjDzht
t6mRbSjkDOg3BPcQ9XdO3ZekdkKOYY+5bcBOwOnZbmafIiD7o0+nrnwx4ExL
P6/Lk5D543Q1rSEfcLaFpsWxVsiICv7xQKwN8L7PbZu8TCH9zBfmvrNTgA9w
PpS7+ENax5bppJ9agI8o9RRXj0Bq7GmuM9vMAR/dfFhklzp8tA4WXuvuDfjY
bIu+kyK8ow8peUxnAf7HLdRCXx5S4rfslt/3HfCpxQ/qg6qQfNF0f2vAGOAz
N2bHbPvhrew9wwdVIoD/7fSNTLaAJHB75yNuDfic/A7Jgn8hQf97MT0+FvB5
M+G78frwqkqnVV+5A/AFV3KtWRXEGb4a/pgjAfiis91M2xy8qFvDLXrgDOBL
xi1rVVjw/KSrtE81MS/LUt7zJjchsqlJo+d0C+EG/WYE8PiNS2RIvizgKy4G
YdxF8PC9FpjVviY8dF3phSsEp62MkZmbAF81b307+w38Lsbsa+/dQTjZiUe1
E/51VY/1FlYmTN96fMdLuFi5pU2lLYjwvITnsgg6uovPnUki8lhd1bmVqI3c
5sSSgieJ+lc5oU4kIXTz2tU/209PEC7n1T4djYJ0rtQbPvcj7J/Xb9+M7u9O
eu0bsEJY7vkdVILC1Vo90t2J96+kJU+OX0DPlPkP4VY8hDezTbw+oyixhIeP
5CuJ9V03f1SagaKf6nkrxoQS/cidSGM4oFihH9YlwoZEv7ohvb4GvXx0Rf9s
MD/Rz8GyqDAcxfPzqY7N1hL9Zoxe2JiKEkOTxMM8w4k8Ck3W+iihN/dk7kZO
fgB81p8e/dYMJa98dVFzdQV8uvDheXdA7w6F2NxSNCLy1nofyb8Gvfc3M61k
qgA+GTWVdm0GfZwf1rtoMUzMi4BcaOEflLa3YMcnEeLc58guG0YvoU+3QuX+
1n4GfFhGcAQVoPQZ2XWRhz0A72/4wuQ1QJnaw0uM+VOA9wacUZMVR1nXCiZV
89UB/7VJ3oY/GmXPqXB+Rc8Bzlhj7HgiE+XdqGj3EywEvCWNKRGui/IVs1ol
d70BvMl84c5iEspvjm/JMnsAeB2jT8SRjL6q3mzojbEEvOL1lq+iZxGFqVZh
okDkk1tI3thbggrDpWDgaCexv2+9ZizXoiI93tIg1zLAP20aaBb+jYojWZT8
jAjA3/L80hN0Q2VHo7LI+4j5eOLntjHYFpVNBqYX2AoDHmZmdPCYMIJEj0/m
AcR+C+GffrLUgqj+ShYV7EuA35bL+XIyBpW3L5+aVSHWd2mibIOLFKp6lHPU
Pq8O8F3SciJPx1DVz+2VO6sPAq68ufxPch+q1k3Un+/IBlx2VZPn8wSq7o1A
z+djABfzvp6WcATVHHLeX4ucgDU5HcG7hKO6SWlNjfpVYGWFrJnP4qD648+y
lhnXgPUhxzVRUhXVJ65Vrx8dAFZCxUuvq36owXhqp7NYI7Ainjg857FFje+a
tr+0egUs56qQkdQNqNn6nuwa9h5gSRSK0fvPouY0jclzRerAEmxQ/WPfhZrn
f1ZlRCkDi6uyLYNbCrWcerMn/a0QMDluuFBpNWoZW2VYmy0Bs+JezdX1vxFN
E1SzspnA/GdsoGmXEaLZSG2wiacD0859s5RSIKIFey3zhXUA06IB59X3RrRW
2ZYLl74D88ARcs30fdTqE3CLX6wMmEJcXjN6N1BbwaEqO+8kYLz/aj+o4Yna
8BeZArbxwIh7lXE52Qq184/G5hvFASPC+XHIgUXUbp1wRVA+EhjemaufB26i
9vnl9V9agoCxX6wwZZMW6jxYYi+i4QA9tSR/lbEK1F2xf754QgnoLQsHotxO
oO7R6dAjTf5ABwu5dUkMRJfOFG341AH0jMdK4vXNiP6vglKPczjQH314zF6g
ox55/lML9AmgYz6D1yoDEONua/K+6jLoTr1FOT3LjfB9HsYFr22gy1Gyjmtg
DuHO29rR7XzoMskpmwnPRXgkbl9jJQpdervbAxSaED5k4dMpVg5dQjSnk2oq
6OfJ+NN+RySgMy9nXVuKO/q5EOz7iuIHHcttnu/37kRsa9Om7pQT0O6X9+Hg
8CvE9qx2ybw/Ae2XBezG3FsRO+TAaohbHLQbG5jgqRhiZ6pq7to1BO2bLtbe
s6GgXl6e6CBKGHGPOXC4PHE76s2iXNjeVAutvZHb9yQuoH5+haEbc8eBpv52
cCTsDhr8MsMjfuoYNDLqzckz+Wiwbn5SwOEpNL69ULn0zBENMldwrhtd0Ohc
LKtlsg4NrV1XNJboDg2jvWEp6pZoyErmWv34U6hf7NnzKqYWDf09wg75rwvq
RJ3H8VlZNKwbVT7d4Q7VIkP9VTPxiFOgEdRp/wwooycyxlsjEadxAB3kPACK
uY5Jd5YE4rBfLyf7BkBBfpqUVsYSGhXlv+P53Au+3tFU19oojEadWD48NaaQ
t1rs7PJMA42JP3bV2C0KGb+vTpoYT6Bxz6FTYStPIUrasG41LAhNipuJkE1r
UE7B3GNHJwxNvaIFSCqMohYhGQn/yS70d+Mzhx0+NxBjyXIPadsfNFfrYiHG
6EQDl7n+VkWLo0UT/sGDvpfQWBTPbCiEoRW+ynC9HZVoWq05fTRYAeMyejdU
IqCM5rdtN4oubcTWhPEdu1JCRitX5DYf+xiHcbOvpXEvcGHcxmsHkmcWMN5t
1Xal5rMYn923WK3t6Rhf6LYt9jo92LrxrY3X472wtQzF9WLnvDHhNC1rwSJv
bB2Z17ovWhoT2/Gmfe/zZEzg9tTHNxcyMXHD6p9Rq5qYYGmtUeChc5iEdQPX
44wnmNDSfkVPuxxso6+LuryrGSZytpDniOActqnv6Nzc/UpMNI6se+CHBbYF
E+gxFXLFSDNPvWUUXxLf5/JG1boXCVN0eYWECV8vfHiJTvjX4shUAOEata+v
1TDS3z0Pi6scMTLHS9QWHSfMSLrgshMjjxbTq47dwUhzat9fpZVh5IlzYfwn
8jDSQs0uaY0+jDzzTOe8ZiDhiak10laE2bmlVmEYaXEz5feaWoz8V1fzaQRR
z6LXUQotgzBT4/bWZIy0JGlr7XMTI8/t0HaTFMFIy5cjYikCGHmh5lTRaDHh
J+aBb/wx8uJm2oSYKOECKdewMcJe1lEGOhhpRTBF7zwNIy9JOpPblwjnFHUs
xmPk5csh5sUPCPcElfWJEi4QGrcl6l/lM/zQGISRVwSjF0SOELam3UxwJpyT
apV4lnBwnN39Loy8yqeVGpBAON3O0MuYsHWpqxeFcMdWdasSwulGz70+Yv/v
/8j/AI+MVKo=
      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->Automatic,
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.3897310066601553`*^9, 3.389731044694846*^9, 
  3.3897330631394463`*^9, 3.3908939894149017`*^9, 3.391779920077944*^9, 
  3.391780184478505*^9, 3.391848702734375*^9, 3.392469649976325*^9, 
  3.3938423833280077`*^9, 3.393847004414765*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QListCombinedPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mytab", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "^", "2"}], "/", "2"}], "-", 
      RowBox[{"1", "/", "2"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.3896994368530064`*^9}],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJyFlHlIlGkcx6eLqDbo0toOmImp6Y6SIKH6+seW0FKoCJHrQgdFRltIRId7
VHRR0WJ3bRAVBR1SKSwkrhraYdnhJqUYHnnrjNOM46jjqMU8P4Pn+yA9IPJh
3vfzfN73fZ4nbscG2yaLxTLw659H/ocGFgVtg0c50nApNC4jKtZhHbpyIm4L
RwdeZW66sBkZEaGB2GTf8MM/xuCR/L7W9lPavIQZyBXf+ub9CYNmbkOeXJ+0
6sCu6MbleLo5NJB8/9xa36p8FMj9e/bFbF99/WcUhsYr7H+ypOS3lGy8Fd+R
3JgV5/LHo0iuP3XqxYAzwSS8E//Z2Mj4Of6FKJb7L+ecti+wp+K9zHdt+90B
C7KcKBHfrT/rSnsP/Y5S8d37Lz0szBFAmfjS526Z4Ri3GB/F929e6rzaZTdR
Lr6syHWVJx+molJ8j+Pu3Mg5UIhKuf7JyL+yByUuRZX4C+KzrywLf4FPcv/r
Oa5tKRVTUC3zFb1M9FvdVtSIr/jZJPvuuzbUiK9kyIQPpdaJqBVf2R/l02IT
H6BOfBXTve7pJ8NRL76qvcljd86figbxVW9JD+44PwIN4qtdU5GbmTIejeKr
X3Kl/vmkN2gSX+OIpo3Lc+LRLL6mzGMXZ2Wkwik+59KtdtfBqXCKz3V89sr8
FUfgEl/LhWNDPQMj0CI+968F/6Q5E+EWn/uDPcnx/wl8Ft+3/33X9/0ufnX/
L/DI/cq/EB6ZT81/CF6tzwav+FT/3/CKTz1fHFrFp56/EK3iU+8nDD7t/Q2D
T3zq/VrhE596/6PRJj71fe6hTXzq+4XDr33fKfCLT33/ryw+tT7C0C4+tX7y
0S4+tb4i0aGtv2fo0NbncXRo6/cqOrX1HYFObf23IqDtj50IaPunAQFtfx1F
l7b/ZqFL25/rEdT27w8Iik/t70wExde3/7vFp86HLHSLT50fi9GjnS8b0SM+
df5MRo/41PkUjV7xqfNrHXq1821MFJ1/Fhp952G/fPs7LOdlv/yIrmfOpR7m
PPIxy3nbLxfQfMxyHvfLb6mHuYh8zO+ol7mY5mN+T8/DXEI9zKXUw1xGPcwf
qYe5nHqYK6nHYPIxV1Ev8yeaj7manoe5hnoMph7mWuphrqMe5nrqYW6gHoOp
h7mRepibqIe5mXqYndRjMPUwu6iHuYV6mN3Uw/yZegwmn8HUy+yh+Qym52H2
Uo/B1GMw9TC3Uo/B1MPsox6Dqcdg6mFuox6DqYfZTz0GU4/B1MPcTj0GUw9z
B/UYTD0GUw9zJ/UYTD3MAeoxmHoMph7mLuoxmHqYg9RjMPUYTD3M3dRjMPUw
91CPwdRjMPUw91KPwdRDHKXnWL4Aydp5iQ==
    "], {
     {GrayLevel[0.5], EdgeForm[None], 
      GraphicsGroupBox[
       PolygonBox[{{1, 82, 83, 2}, {3, 86, 87, 4}, {9, 98, 99, 10}, {2, 84, 
        85, 3}, {4, 88, 89, 5}, {7, 94, 95, 8}, {5, 90, 91, 6}, {6, 92, 93, 
        7}, {19, 118, 119, 20}, {8, 96, 97, 9}, {18, 116, 117, 19}, {13, 106, 
        107, 14}, {11, 102, 103, 12}, {10, 100, 101, 11}, {14, 108, 109, 
        15}, {17, 114, 115, 18}, {15, 110, 111, 16}, {16, 112, 113, 17}, {12, 
        104, 105, 13}, {20, 120, 121, 21}, {33, 146, 147, 34}, {23, 126, 127, 
        24}, {24, 128, 129, 25}, {22, 124, 125, 23}, {25, 130, 131, 26}, {79, 
        238, 239, 80}, {28, 136, 137, 29}, {26, 132, 133, 27}, {21, 122, 123, 
        22}, {29, 138, 139, 30}, {31, 142, 143, 32}, {34, 148, 149, 35}, {32, 
        144, 145, 33}, {30, 140, 141, 31}, {35, 150, 151, 36}, {38, 156, 157, 
        39}, {36, 152, 153, 37}, {37, 154, 155, 38}, {39, 158, 159, 40}, {40, 
        160, 161, 41}, {41, 162, 163, 42}, {43, 166, 167, 44}, {44, 168, 169, 
        45}, {49, 178, 179, 50}, {50, 180, 181, 51}, {47, 174, 175, 48}, {48, 
        176, 177, 49}, {45, 170, 171, 46}, {46, 172, 173, 47}, {51, 182, 183, 
        52}, {56, 192, 193, 57}, {53, 186, 187, 54}, {54, 188, 189, 55}, {59, 
        198, 199, 60}, {52, 184, 185, 53}, {57, 194, 195, 58}, {58, 196, 197, 
        59}, {55, 190, 191, 56}, {42, 164, 165, 43}, {60, 200, 201, 61}, {62, 
        204, 205, 63}, {64, 208, 209, 65}, {70, 220, 221, 71}, {63, 206, 207, 
        64}, {65, 210, 211, 66}, {68, 216, 217, 69}, {66, 212, 213, 67}, {67, 
        214, 215, 68}, {69, 218, 219, 70}, {71, 222, 223, 72}, {61, 202, 203, 
        62}, {73, 226, 227, 74}, {74, 228, 229, 75}, {72, 224, 225, 73}, {75, 
        230, 231, 76}, {77, 234, 235, 78}, {27, 134, 135, 28}, {76, 232, 233, 
        77}, {78, 236, 237, 79}, {80, 240, 241, 81}}]]}, {{}, {}, {
       {Hue[0, 1, 1], LineBox[{1, 2}]}, 
       {Hue[0, 1, 1], LineBox[{2, 3}]}, 
       {Hue[0, 1, 1], LineBox[{3, 4}]}, 
       {Hue[0, 1, 1], LineBox[{4, 5}]}, 
       {Hue[0, 1, 1], LineBox[{5, 6}]}, 
       {Hue[0, 1, 1], LineBox[{6, 7}]}, 
       {Hue[0, 1, 1], LineBox[{7, 8}]}, 
       {Hue[0, 1, 1], LineBox[{8, 9}]}, 
       {Hue[0, 1, 1], LineBox[{9, 10}]}, 
       {Hue[0, 1, 1], LineBox[{10, 11}]}, 
       {Hue[0, 1, 1], LineBox[{11, 12}]}, 
       {Hue[0, 1, 1], LineBox[{12, 13}]}, 
       {Hue[0, 1, 1], LineBox[{13, 14}]}, 
       {Hue[0, 1, 1], LineBox[{14, 15}]}, 
       {Hue[0, 1, 1], LineBox[{15, 16}]}, 
       {Hue[0, 1, 1], LineBox[{16, 17}]}, 
       {Hue[0, 1, 1], LineBox[{17, 18}]}, 
       {Hue[0, 1, 1], LineBox[{18, 19}]}, 
       {Hue[0, 1, 1], LineBox[{19, 20}]}, 
       {Hue[0, 1, 1], LineBox[{20, 21}]}, 
       {Hue[0, 1, 1], LineBox[{21, 22}]}, 
       {Hue[0, 1, 1], LineBox[{22, 23}]}, 
       {Hue[0, 1, 1], LineBox[{23, 24}]}, 
       {Hue[0, 1, 1], LineBox[{24, 25}]}, 
       {Hue[0, 1, 1], LineBox[{25, 26}]}, 
       {Hue[0, 1, 1], LineBox[{26, 27}]}, 
       {Hue[0, 1, 1], LineBox[{27, 28}]}, 
       {Hue[0, 1, 1], LineBox[{28, 29}]}, 
       {Hue[0, 1, 1], LineBox[{29, 30}]}, 
       {Hue[0, 1, 1], LineBox[{30, 31}]}, 
       {Hue[0, 1, 1], LineBox[{31, 32}]}, 
       {Hue[0, 1, 1], LineBox[{32, 33}]}, 
       {Hue[0, 1, 1], LineBox[{33, 34}]}, 
       {Hue[0, 1, 1], LineBox[{34, 35}]}, 
       {Hue[0, 1, 1], LineBox[{35, 36}]}, 
       {Hue[0, 1, 1], LineBox[{36, 37}]}, 
       {Hue[0, 1, 1], LineBox[{37, 38}]}, 
       {Hue[0, 1, 1], LineBox[{38, 39}]}, 
       {Hue[0, 1, 1], LineBox[{39, 40}]}, 
       {Hue[0, 1, 1], LineBox[{40, 41}]}, 
       {Hue[0, 1, 1], LineBox[{41, 42}]}, 
       {Hue[0, 1, 1], LineBox[{42, 43}]}, 
       {Hue[0, 1, 1], LineBox[{43, 44}]}, 
       {Hue[0, 1, 1], LineBox[{44, 45}]}, 
       {Hue[0, 1, 1], LineBox[{45, 46}]}, 
       {Hue[0, 1, 1], LineBox[{46, 47}]}, 
       {Hue[0, 1, 1], LineBox[{47, 48}]}, 
       {Hue[0, 1, 1], LineBox[{48, 49}]}, 
       {Hue[0, 1, 1], LineBox[{49, 50}]}, 
       {Hue[0, 1, 1], LineBox[{50, 51}]}, 
       {Hue[0, 1, 1], LineBox[{51, 52}]}, 
       {Hue[0, 1, 1], LineBox[{52, 53}]}, 
       {Hue[0, 1, 1], LineBox[{53, 54}]}, 
       {Hue[0, 1, 1], LineBox[{54, 55}]}, 
       {Hue[0, 1, 1], LineBox[{55, 56}]}, 
       {Hue[0, 1, 1], LineBox[{56, 57}]}, 
       {Hue[0, 1, 1], LineBox[{57, 58}]}, 
       {Hue[0, 1, 1], LineBox[{58, 59}]}, 
       {Hue[0, 1, 1], LineBox[{59, 60}]}, 
       {Hue[0, 1, 1], LineBox[{60, 61}]}, 
       {Hue[0, 1, 1], LineBox[{61, 62}]}, 
       {Hue[0, 1, 1], LineBox[{62, 63}]}, 
       {Hue[0, 1, 1], LineBox[{63, 64}]}, 
       {Hue[0, 1, 1], LineBox[{64, 65}]}, 
       {Hue[0, 1, 1], LineBox[{65, 66}]}, 
       {Hue[0, 1, 1], LineBox[{66, 67}]}, 
       {Hue[0, 1, 1], LineBox[{67, 68}]}, 
       {Hue[0, 1, 1], LineBox[{68, 69}]}, 
       {Hue[0, 1, 1], LineBox[{69, 70}]}, 
       {Hue[0, 1, 1], LineBox[{70, 71}]}, 
       {Hue[0, 1, 1], LineBox[{71, 72}]}, 
       {Hue[0, 1, 1], LineBox[{72, 73}]}, 
       {Hue[0, 1, 1], LineBox[{73, 74}]}, 
       {Hue[0, 1, 1], LineBox[{74, 75}]}, 
       {Hue[0, 1, 1], LineBox[{75, 76}]}, 
       {Hue[0, 1, 1], LineBox[{76, 77}]}, 
       {Hue[0, 1, 1], LineBox[{77, 78}]}, 
       {Hue[0, 1, 1], LineBox[{78, 79}]}, 
       {Hue[0, 1, 1], LineBox[{79, 80}]}, 
       {Hue[0, 1, 1], LineBox[{80, 81}]}}}},
    VertexColors->{
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1]}], {{}, {}, 
    {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV03k8FVgUB3AJqSlbU4ZC2SqMjCyTqTk1KoUWWyierRgq2yhLyTI0CNWQ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      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->Automatic,
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.3897310067002125`*^9, 3.389731044965235*^9, 
  3.389733063409835*^9, 3.390893989529508*^9, 3.391779920190598*^9, 
  3.391780194680463*^9, 3.39184870434375*^9, 3.392469650135895*^9, 
  3.393842383573778*^9, 3.39384700476702*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QListCombinedPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"mytab", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "^", "2"}], "/", "2"}], "-", 
      RowBox[{"1", "/", "2"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "2"}], "}"}], ",", 
   RowBox[{"QHorizontalRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "4"}], ",", "4"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.3896994471978817`*^9}],

Cell[BoxData[
 GraphicsBox[{
   GraphicsComplexBox[{{0., 1.}, {0.1, 0.9950124791926823}, {0.2, 
    0.9801986733067553}, {0.3, 0.9559974818330998}, {0.4, 
    0.9231163463866356}, {0.5, 0.8824969025845953}, {0.6, 
    0.8352702114112719}, {0.7, 0.782704538241868}, {0.8, 
    0.7261490370736907}, {0.9, 0.6669768108584743}, {1., 
    0.6065306597126333}, {1.1, 0.5460744266397093}, {1.2, 
    0.48675225595997157`}, {1.3, 0.42955735821073904`}, {1.4, 
    0.37531109885139935`}, {1.5, 0.3246524673583496}, {1.6, 
    0.278037300453194}, {1.7, 0.23574607655586335`}, {1.8, 
    0.19789869908361457`}, {1.9, 0.1644744565771548}, {2., 
    0.13533528323661256`}, {0., 0.}, {0.1, 0.}, {0.1, 0.}, {0.2, 0.}, {0.2, 
    0.}, {0.3, 0.}, {0.3, 0.}, {0.4, 0.}, {0.4, 0.}, {0.5, 0.}, {0.5, 0.}, {
    0.6, 0.}, {0.6, 0.}, {0.7, 0.}, {0.7, 0.}, {0.8, 0.}, {0.8, 0.}, {0.9, 
    0.}, {0.9, 0.}, {1., 0.}, {1., 0.}, {1.1, 0.}, {1.1, 0.}, {1.2, 0.}, {1.2,
     0.}, {1.3, 0.}, {1.3, 0.}, {1.4, 0.}, {1.4, 0.}, {1.5, 0.}, {1.5, 0.}, {
    1.6, 0.}, {1.6, 0.}, {1.7, 0.}, {1.7, 0.}, {1.8, 0.}, {1.8, 0.}, {1.9, 
    0.}, {1.9, 0.}, {2., 0.}}, {
     {GrayLevel[0.5], EdgeForm[None], 
      GraphicsGroupBox[
       PolygonBox[{{1, 22, 23, 2}, {3, 26, 27, 4}, {4, 28, 29, 5}, {2, 24, 25,
         3}, {5, 30, 31, 6}, {19, 58, 59, 20}, {8, 36, 37, 9}, {6, 32, 33, 
        7}, {9, 38, 39, 10}, {10, 40, 41, 11}, {11, 42, 43, 12}, {13, 46, 47, 
        14}, {14, 48, 49, 15}, {12, 44, 45, 13}, {15, 50, 51, 16}, {17, 54, 
        55, 18}, {7, 34, 35, 8}, {16, 52, 53, 17}, {18, 56, 57, 19}, {20, 60, 
        61, 21}}]]}, {{}, {}, {
       {Hue[0, 1, 1], LineBox[{1, 2}]}, 
       {Hue[0, 1, 1], LineBox[{2, 3}]}, 
       {Hue[0, 1, 1], LineBox[{3, 4}]}, 
       {Hue[0, 1, 1], LineBox[{4, 5}]}, 
       {Hue[0, 1, 1], LineBox[{5, 6}]}, 
       {Hue[0, 1, 1], LineBox[{6, 7}]}, 
       {Hue[0, 1, 1], LineBox[{7, 8}]}, 
       {Hue[0, 1, 1], LineBox[{8, 9}]}, 
       {Hue[0, 1, 1], LineBox[{9, 10}]}, 
       {Hue[0, 1, 1], LineBox[{10, 11}]}, 
       {Hue[0, 1, 1], LineBox[{11, 12}]}, 
       {Hue[0, 1, 1], LineBox[{12, 13}]}, 
       {Hue[0, 1, 1], LineBox[{13, 14}]}, 
       {Hue[0, 1, 1], LineBox[{14, 15}]}, 
       {Hue[0, 1, 1], LineBox[{15, 16}]}, 
       {Hue[0, 1, 1], LineBox[{16, 17}]}, 
       {Hue[0, 1, 1], LineBox[{17, 18}]}, 
       {Hue[0, 1, 1], LineBox[{18, 19}]}, 
       {Hue[0, 1, 1], LineBox[{19, 20}]}, 
       {Hue[0, 1, 1], LineBox[{20, 21}]}}}},
    VertexColors->{
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1], 
      Hue[0, 1, 1]}], {{}, {}, 
    {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV03k8FVgUB3AJqSlbU4ZC2SqMjCyTqTk1KoUWWyierRgq2yhLyTI0CNWQ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      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->Automatic,
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.389731006730256*^9, 3.3897310450753937`*^9, 
  3.389733063519994*^9, 3.390893989590023*^9, 3.391779920249892*^9, 
  3.39178019654047*^9, 3.39184870559375*^9, 3.3924696502256327`*^9, 
  3.3938423837491627`*^9, 3.393847004921257*^9}]
}, Open  ]],

Cell["\<\
Normally, in QArgColorPlot, the range between the x-axis and the graph of the \
function is filled with a color corresponding to the phase. But we can also \
use another horizontal line at height y=y0 by using the option \
QBottomLine->y0:\
\>", "Text"],

Cell[CellGroupData[{

Cell["\<\
QArgColorPlot[Exp[I x - x^2],{x,-3,3}, QBottomLine\[Rule]1/3]\
\>", "Input",
 CellChangeTimes->{{3.389716561897611*^9, 3.3897165785916157`*^9}}],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJx13HlUjfsb///dsNuEkLFQKZEyVChJrpuSJIQkSjMpSgjJUBKlSYYmJSWl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   "], {
    {GrayLevel[0.5], EdgeForm[None], 
     GraphicsGroupBox[{
       PolygonBox[{{1020, 205, 610}, {610, 1021, 206}, {380, 1370, 611}, {611,
         381, 1371}}], PolygonBox[CompressedData["
1:eJwtmg38t2N5xq+X8zx/3kNPMvKuvMxLL6K0MEtkkT2lTDQkM+khnplM9sya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        "]]}]}, {{}, {}, {
      {Hue[0.5225351902126742, 1, 1], LineBox[{1, 2}]}, 
      {Hue[0.5228280647634655, 1, 1], LineBox[{2, 3}]}, 
      {Hue[0.5231209393142568, 1, 1], LineBox[{3, 4}]}, 
      {Hue[0.5237066884158392, 1, 1], LineBox[{4, 5}]}, 
      {Hue[0.524878186619004, 1, 1], LineBox[{5, 6}]}, 
      {Hue[0.5272211830253337, 1, 1], LineBox[{6, 7}]}, 
      {Hue[0.527514057576125, 1, 1], LineBox[{7, 8}]}, 
      {Hue[0.5278069321269162, 1, 1], LineBox[{8, 9}]}, 
      {Hue[0.5283926812284986, 1, 1], LineBox[{9, 10}]}, 
      {Hue[0.5295641794316635, 1, 1], LineBox[{10, 11}]}, 
      {Hue[0.5319071758379932, 1, 1], LineBox[{11, 12}]}, 
      {Hue[0.5322000503887844, 1, 1], LineBox[{12, 13}]}, 
      {Hue[0.5324929249395756, 1, 1], LineBox[{13, 14}]}, 
      {Hue[0.5330786740411579, 1, 1], LineBox[{14, 15}]}, 
      {Hue[0.5342501722443229, 1, 1], LineBox[{15, 16}]}, 
      {Hue[0.5365931686506525, 1, 1], LineBox[{16, 17}]}, 
      {Hue[0.5412791614633119, 1, 1], LineBox[{17, 18}]}, 
      {Hue[0.5415966710371325, 1, 1], LineBox[{18, 19}]}, 
      {Hue[0.5419141806109531, 1, 1], LineBox[{19, 20}]}, 
      {Hue[0.5425491997585943, 1, 1], LineBox[{20, 21}]}, 
      {Hue[0.5438192380538766, 1, 1], LineBox[{21, 22}]}, 
      {Hue[0.5463593146444412, 1, 1], LineBox[{22, 23}]}, 
      {Hue[0.5466768242182616, 1, 1], LineBox[{23, 24}]}, 
      {Hue[0.5469943337920822, 1, 1], LineBox[{24, 25}]}, 
      {Hue[0.5476293529397234, 1, 1], LineBox[{25, 26}]}, 
      {Hue[0.5488993912350058, 1, 1], LineBox[{26, 27}]}, 
      {Hue[0.5514394678255703, 1, 1], LineBox[{27, 28}]}, 
      {Hue[0.5517569773993909, 1, 1], LineBox[{28, 29}]}, 
      {Hue[0.5520744869732115, 1, 1], LineBox[{29, 30}]}, 
      {Hue[0.5527095061208527, 1, 1], LineBox[{30, 31}]}, 
      {Hue[0.5539795444161348, 1, 1], LineBox[{31, 32}]}, 
      {Hue[0.5565196210066994, 1, 1], LineBox[{32, 33}]}, 
      {Hue[0.5615997741878287, 1, 1], LineBox[{33, 34}]}, 
      {Hue[0.5618962429400414, 1, 1], LineBox[{34, 35}]}, 
      {Hue[0.5621927116922538, 1, 1], LineBox[{35, 36}]}, 
      {Hue[0.5627856491966791, 1, 1], LineBox[{36, 37}]}, 
      {Hue[0.5639715242055294, 1, 1], LineBox[{37, 38}]}, 
      {Hue[0.5663432742232302, 1, 1], LineBox[{38, 39}]}, 
      {Hue[0.5666397429754427, 1, 1], LineBox[{39, 40}]}, 
      {Hue[0.5669362117276553, 1, 1], LineBox[{40, 41}]}, 
      {Hue[0.5675291492320804, 1, 1], LineBox[{41, 42}]}, 
      {Hue[0.5687150242409309, 1, 1], LineBox[{42, 43}]}, 
      {Hue[0.5710867742586316, 1, 1], LineBox[{43, 44}]}, 
      {Hue[0.5713832430108441, 1, 1], LineBox[{44, 45}]}, 
      {Hue[0.5716797117630568, 1, 1], LineBox[{45, 46}]}, 
      {Hue[0.5722726492674819, 1, 1], LineBox[{46, 47}]}, 
      {Hue[0.5734585242763323, 1, 1], LineBox[{47, 48}]}, 
      {Hue[0.575830274294033, 1, 1], LineBox[{48, 49}]}, 
      {Hue[0.5805737743294344, 1, 1], LineBox[{49, 50}]}, 
      {Hue[0.5808644275415848, 1, 1], LineBox[{50, 51}]}, 
      {Hue[0.5811550807537351, 1, 1], LineBox[{51, 52}]}, 
      {Hue[0.5817363871780361, 1, 1], LineBox[{52, 53}]}, 
      {Hue[0.5828990000266375, 1, 1], LineBox[{53, 54}]}, 
      {Hue[0.5852242257238407, 1, 1], LineBox[{54, 55}]}, 
      {Hue[0.585514878935991, 1, 1], LineBox[{55, 56}]}, 
      {Hue[0.5858055321481415, 1, 1], LineBox[{56, 57}]}, 
      {Hue[0.5863868385724422, 1, 1], LineBox[{57, 58}]}, 
      {Hue[0.5875494514210438, 1, 1], LineBox[{58, 59}]}, 
      {Hue[0.5898746771182469, 1, 1], LineBox[{59, 60}]}, 
      {Hue[0.5901653303303972, 1, 1], LineBox[{60, 61}]}, 
      {Hue[0.5904559835425476, 1, 1], LineBox[{61, 62}]}, 
      {Hue[0.5910372899668483, 1, 1], LineBox[{62, 63}]}, 
      {Hue[0.5921999028154499, 1, 1], LineBox[{63, 64}]}, 
      {Hue[0.594525128512653, 1, 1], LineBox[{64, 65}]}, 
      {Hue[0.5991755799070593, 1, 1], LineBox[{65, 66}]}, 
      {Hue[0.5994908681422391, 1, 1], LineBox[{66, 67}]}, 
      {Hue[0.5998061563774189, 1, 1], LineBox[{67, 68}]}, 
      {Hue[0.6004367328477782, 1, 1], LineBox[{68, 69}]}, 
      {Hue[0.6016978857884973, 1, 1], LineBox[{69, 70}]}, 
      {Hue[0.6042201916699352, 1, 1], LineBox[{70, 71}]}, 
      {Hue[0.604535479905115, 1, 1], LineBox[{71, 72}]}, 
      {Hue[0.6048507681402948, 1, 1], LineBox[{72, 73}]}, 
      {Hue[0.6054813446106542, 1, 1], LineBox[{73, 74}]}, 
      {Hue[0.6067424975513733, 1, 1], LineBox[{74, 75}]}, 
      {Hue[0.6092648034328112, 1, 1], LineBox[{75, 76}]}, 
      {Hue[0.609580091667991, 1, 1], LineBox[{76, 77}]}, 
      {Hue[0.6098953799031708, 1, 1], LineBox[{77, 78}]}, 
      {Hue[0.6105259563735302, 1, 1], LineBox[{78, 79}]}, 
      {Hue[0.6117871093142493, 1, 1], LineBox[{79, 80}]}, 
      {Hue[0.6143094151956872, 1, 1], LineBox[{80, 81}]}, 
      {Hue[0.6193540269585631, 1, 1], LineBox[{81, 82}]}, 
      {Hue[0.619648274372135, 1, 1], LineBox[{82, 83}]}, 
      {Hue[0.6199425217857066, 1, 1], LineBox[{83, 84}]}, 
      {Hue[0.6205310166128503, 1, 1], LineBox[{84, 85}]}, 
      {Hue[0.6217080062671374, 1, 1], LineBox[{85, 86}]}, 
      {Hue[0.6240619855757115, 1, 1], LineBox[{86, 87}]}, 
      {Hue[0.6243562329892832, 1, 1], LineBox[{87, 88}]}, 
      {Hue[0.624650480402855, 1, 1], LineBox[{88, 89}]}, 
      {Hue[0.6252389752299985, 1, 1], LineBox[{89, 90}]}, 
      {Hue[0.6264159648842856, 1, 1], LineBox[{90, 91}]}, 
      {Hue[0.6287699441928597, 1, 1], LineBox[{91, 92}]}, 
      {Hue[0.6290641916064315, 1, 1], LineBox[{92, 93}]}, 
      {Hue[0.6293584390200033, 1, 1], LineBox[{93, 94}]}, 
      {Hue[0.6299469338471468, 1, 1], LineBox[{94, 95}]}, 
      {Hue[0.6311239235014338, 1, 1], LineBox[{95, 96}]}, 
      {Hue[0.6334779028100079, 1, 1], LineBox[{96, 97}]}, 
      {Hue[0.6381858614271563, 1, 1], LineBox[{97, 98}]}, 
      {Hue[0.6385047438637574, 1, 1], LineBox[{98, 99}]}, 
      {Hue[0.6388236263003584, 1, 1], LineBox[{99, 100}]}, 
      {Hue[0.6394613911735607, 1, 1], LineBox[{100, 101}]}, 
      {Hue[0.6407369209199651, 1, 1], LineBox[{101, 102}]}, 
      {Hue[0.6432879804127742, 1, 1], LineBox[{102, 103}]}, 
      {Hue[0.6436068628493754, 1, 1], LineBox[{103, 104}]}, 
      {Hue[0.6439257452859765, 1, 1], LineBox[{104, 105}]}, 
      {Hue[0.6445635101591787, 1, 1], LineBox[{105, 106}]}, 
      {Hue[0.6458390399055832, 1, 1], LineBox[{106, 107}]}, 
      {Hue[0.6483900993983922, 1, 1], LineBox[{107, 108}]}, 
      {Hue[0.6487089818349934, 1, 1], LineBox[{108, 109}]}, 
      {Hue[0.6490278642715945, 1, 1], LineBox[{109, 110}]}, 
      {Hue[0.6496656291447966, 1, 1], LineBox[{110, 111}]}, 
      {Hue[0.6509411588912013, 1, 1], LineBox[{111, 112}]}, 
      {Hue[0.6534922183840102, 1, 1], LineBox[{112, 113}]}, 
      {Hue[0.6585943373696282, 1, 1], LineBox[{113, 114}]}, 
      {Hue[0.6589074042661671, 1, 1], LineBox[{114, 115}]}, 
      {Hue[0.6592204711627061, 1, 1], LineBox[{115, 116}]}, 
      {Hue[0.6598466049557838, 1, 1], LineBox[{116, 117}]}, 
      {Hue[0.6610988725419396, 1, 1], LineBox[{117, 118}]}, 
      {Hue[0.663603407714251, 1, 1], LineBox[{118, 119}]}, 
      {Hue[0.6686124780588738, 1, 1], LineBox[{119, 120}]}, 
      {Hue[0.6689255449554127, 1, 1], LineBox[{120, 121}]}, 
      {Hue[0.6692386118519515, 1, 1], LineBox[{121, 122}]}, 
      {Hue[0.6698647456450295, 1, 1], LineBox[{122, 123}]}, 
      {Hue[0.6711170132311852, 1, 1], LineBox[{123, 124}]}, 
      {Hue[0.6736215484034966, 1, 1], LineBox[{124, 125}]}, 
      {Hue[0.6786306187481195, 1, 1], LineBox[{125, 126}]}, 
      {Hue[0.6789226448230503, 1, 1], LineBox[{126, 127}]}, 
      {Hue[0.6792146708979814, 1, 1], LineBox[{127, 128}]}, 
      {Hue[0.6797987230478432, 1, 1], LineBox[{128, 129}]}, 
      {Hue[0.680966827347567, 1, 1], LineBox[{129, 130}]}, 
      {Hue[0.6833030359470145, 1, 1], LineBox[{130, 131}]}, 
      {Hue[0.6879754531459095, 1, 1], LineBox[{131, 132}]}, 
      {Hue[0.6882674792208405, 1, 1], LineBox[{132, 133}]}, 
      {Hue[0.6885595052957714, 1, 1], LineBox[{133, 134}]}, 
      {Hue[0.6891435574456333, 1, 1], LineBox[{134, 135}]}, 
      {Hue[0.6903116617453571, 1, 1], LineBox[{135, 136}]}, 
      {Hue[0.6926478703448046, 1, 1], LineBox[{136, 137}]}, 
      {Hue[0.6973202875436997, 1, 1], LineBox[{137, 138}]}, 
      {Hue[0.6976369486416599, 1, 1], LineBox[{138, 139}]}, 
      {Hue[0.6979536097396202, 1, 1], LineBox[{139, 140}]}, 
      {Hue[0.6985869319355408, 1, 1], LineBox[{140, 141}]}, 
      {Hue[0.6998535763273821, 1, 1], LineBox[{141, 142}]}, 
      {Hue[0.7023868651110645, 1, 1], LineBox[{142, 143}]}, 
      {Hue[0.7074534426784292, 1, 1], LineBox[{143, 144}]}, 
      {Hue[0.7077701037763895, 1, 1], LineBox[{144, 145}]}, 
      {Hue[0.7080867648743498, 1, 1], LineBox[{145, 146}]}, 
      {Hue[0.7087200870702705, 1, 1], LineBox[{146, 147}]}, 
      {Hue[0.7099867314621117, 1, 1], LineBox[{147, 148}]}, 
      {Hue[0.712520020245794, 1, 1], LineBox[{148, 149}]}, 
      {Hue[0.7175865978131588, 1, 1], LineBox[{149, 150}]}, 
      {Hue[0.7178822180895112, 1, 1], LineBox[{150, 151}]}, 
      {Hue[0.7181778383658635, 1, 1], LineBox[{151, 152}]}, 
      {Hue[0.7187690789185681, 1, 1], LineBox[{152, 153}]}, 
      {Hue[0.7199515600239774, 1, 1], LineBox[{153, 154}]}, 
      {Hue[0.722316522234796, 1, 1], LineBox[{154, 155}]}, 
      {Hue[0.727046446656433, 1, 1], LineBox[{155, 156}]}, 
      {Hue[0.7273420669327854, 1, 1], LineBox[{156, 157}]}, 
      {Hue[0.7276376872091377, 1, 1], LineBox[{157, 158}]}, 
      {Hue[0.7282289277618423, 1, 1], LineBox[{158, 159}]}, 
      {Hue[0.7294114088672516, 1, 1], LineBox[{159, 160}]}, 
      {Hue[0.7317763710780701, 1, 1], LineBox[{160, 161}]}, 
      {Hue[0.7365062954997073, 1, 1], LineBox[{161, 162}]}, 
      {Hue[0.7367961002359974, 1, 1], LineBox[{162, 163}]}, 
      {Hue[0.7370859049722875, 1, 1], LineBox[{163, 164}]}, 
      {Hue[0.7376655144448678, 1, 1], LineBox[{164, 165}]}, 
      {Hue[0.7388247333900282, 1, 1], LineBox[{165, 166}]}, 
      {Hue[0.7411431712803491, 1, 1], LineBox[{166, 167}]}, 
      {Hue[0.745780047060991, 1, 1], LineBox[{167, 168}]}, 
      {Hue[0.7460698517972811, 1, 1], LineBox[{168, 169}]}, 
      {Hue[0.7463596565335713, 1, 1], LineBox[{169, 170}]}, 
      {Hue[0.7469392660061515, 1, 1], LineBox[{170, 171}]}, 
      {Hue[0.7480984849513119, 1, 1], LineBox[{171, 172}]}, 
      {Hue[0.7504169228416329, 1, 1], LineBox[{172, 173}]}, 
      {Hue[0.7550537986222747, 1, 1], LineBox[{173, 174}]}, 
      {Hue[0.7553682383815943, 1, 1], LineBox[{174, 175}]}, 
      {Hue[0.7556826781409137, 1, 1], LineBox[{175, 176}]}, 
      {Hue[0.7563115576595526, 1, 1], LineBox[{176, 177}]}, 
      {Hue[0.7575693166968306, 1, 1], LineBox[{177, 178}]}, 
      {Hue[0.7600848347713863, 1, 1], LineBox[{178, 179}]}, 
      {Hue[0.7651158709204979, 1, 1], LineBox[{179, 180}]}, 
      {Hue[0.7654303106798175, 1, 1], LineBox[{180, 181}]}, 
      {Hue[0.7657447504391369, 1, 1], LineBox[{181, 182}]}, 
      {Hue[0.7663736299577759, 1, 1], LineBox[{182, 183}]}, 
      {Hue[0.7676313889950538, 1, 1], LineBox[{183, 184}]}, 
      {Hue[0.7701469070696096, 1, 1], LineBox[{184, 185}]}, 
      {Hue[0.7751779432187212, 1, 1], LineBox[{185, 186}]}, 
      {Hue[0.7754713421564328, 1, 1], LineBox[{186, 187}]}, 
      {Hue[0.7757647410941442, 1, 1], LineBox[{187, 188}]}, 
      {Hue[0.7763515389695672, 1, 1], LineBox[{188, 189}]}, 
      {Hue[0.7775251347204132, 1, 1], LineBox[{189, 190}]}, 
      {Hue[0.7798723262221052, 1, 1], LineBox[{190, 191}]}, 
      {Hue[0.7845667092254891, 1, 1], LineBox[{191, 192}]}, 
      {Hue[0.7939554752322568, 1, 1], LineBox[{192, 193}]}, 
      {Hue[0.7942735091929977, 1, 1], LineBox[{193, 194}]}, 
      {Hue[0.7945915431537385, 1, 1], LineBox[{194, 195}]}, 
      {Hue[0.7952276110752202, 1, 1], LineBox[{195, 196}]}, 
      {Hue[0.7964997469181836, 1, 1], LineBox[{196, 197}]}, 
      {Hue[0.7990440186041106, 1, 1], LineBox[{197, 198}]}, 
      {Hue[0.8041325619759642, 1, 1], LineBox[{198, 199}]}, 
      {Hue[0.8143096487196715, 1, 1], LineBox[{199, 200}]}, 
      {Hue[0.8146218671403501, 1, 1], LineBox[{200, 201}]}, 
      {Hue[0.8149340855610288, 1, 1], LineBox[{201, 202}]}, 
      {Hue[0.8155585224023861, 1, 1], LineBox[{202, 203}]}, 
      {Hue[0.8168073960851008, 1, 1], LineBox[{203, 204}]}, 
      {Hue[0.81930514345053, 1, 1], LineBox[{204, 205}]}, 
      {Hue[0.8243006381813883, 1, 1], LineBox[{205, 610}]}, 
      {Hue[0.8243006381813883, 1, 1], LineBox[{610, 206}]}, 
      {Hue[0.8342916276431052, 1, 1], LineBox[{206, 207}]}, 
      {Hue[0.8529269939836281, 1, 1], LineBox[{207, 208}]}, 
      {Hue[0.8731390017980301, 1, 1], LineBox[{208, 209}]}, 
      {Hue[0.8920043970295211, 1, 1], LineBox[{209, 210}]}, 
      {Hue[0.9124464337348911, 1, 1], LineBox[{210, 211}]}, 
      {Hue[0.9127600250183503, 1, 1], LineBox[{211, 212}]}, 
      {Hue[0.9130736163018095, 1, 1], LineBox[{212, 213}]}, 
      {Hue[0.9137007988687279, 1, 1], LineBox[{213, 214}]}, 
      {Hue[0.9149551640025647, 1, 1], LineBox[{214, 215}]}, 
      {Hue[0.9174638942702383, 1, 1], LineBox[{215, 216}]}, 
      {Hue[0.9224813548055857, 1, 1], LineBox[{216, 217}]}, 
      {Hue[0.9325162758762802, 1, 1], LineBox[{217, 218}]}, 
      {Hue[0.9328088263381314, 1, 1], LineBox[{218, 219}]}, 
      {Hue[0.9331013767999826, 1, 1], LineBox[{219, 220}]}, 
      {Hue[0.9336864777236851, 1, 1], LineBox[{220, 221}]}, 
      {Hue[0.93485667957109, 1, 1], LineBox[{221, 222}]}, 
      {Hue[0.9371970832658998, 1, 1], LineBox[{222, 223}]}, 
      {Hue[0.9418778906555193, 1, 1], LineBox[{223, 224}]}, 
      {Hue[0.9421704411173706, 1, 1], LineBox[{224, 225}]}, 
      {Hue[0.9424629915792218, 1, 1], LineBox[{225, 226}]}, 
      {Hue[0.9430480925029242, 1, 1], LineBox[{226, 227}]}, 
      {Hue[0.9442182943503291, 1, 1], LineBox[{227, 228}]}, 
      {Hue[0.9465586980451389, 1, 1], LineBox[{228, 229}]}, 
      {Hue[0.9512395054347584, 1, 1], LineBox[{229, 230}]}, 
      {Hue[0.951556690919639, 1, 1], LineBox[{230, 231}]}, 
      {Hue[0.9518738764045196, 1, 1], LineBox[{231, 232}]}, 
      {Hue[0.9525082473742807, 1, 1], LineBox[{232, 233}]}, 
      {Hue[0.9537769893138032, 1, 1], LineBox[{233, 234}]}, 
      {Hue[0.9563144731928478, 1, 1], LineBox[{234, 235}]}, 
      {Hue[0.9566316586777284, 1, 1], LineBox[{235, 236}]}, 
      {Hue[0.956948844162609, 1, 1], LineBox[{236, 237}]}, 
      {Hue[0.9575832151323701, 1, 1], LineBox[{237, 238}]}, 
      {Hue[0.9588519570718924, 1, 1], LineBox[{238, 239}]}, 
      {Hue[0.9613894409509371, 1, 1], LineBox[{239, 240}]}, 
      {Hue[0.9617066264358177, 1, 1], LineBox[{240, 241}]}, 
      {Hue[0.9620238119206983, 1, 1], LineBox[{241, 242}]}, 
      {Hue[0.9626581828904595, 1, 1], LineBox[{242, 243}]}, 
      {Hue[0.9639269248299818, 1, 1], LineBox[{243, 244}]}, 
      {Hue[0.9664644087090264, 1, 1], LineBox[{244, 245}]}, 
      {Hue[0.9715393764671157, 1, 1], LineBox[{245, 246}]}, 
      {Hue[0.9718355211303884, 1, 1], LineBox[{246, 247}]}, 
      {Hue[0.972131665793661, 1, 1], LineBox[{247, 248}]}, 
      {Hue[0.9727239551202062, 1, 1], LineBox[{248, 249}]}, 
      {Hue[0.9739085337732966, 1, 1], LineBox[{249, 250}]}, 
      {Hue[0.9762776910794774, 1, 1], LineBox[{250, 251}]}, 
      {Hue[0.9765738357427499, 1, 1], LineBox[{251, 252}]}, 
      {Hue[0.9768699804060226, 1, 1], LineBox[{252, 253}]}, 
      {Hue[0.9774622697325678, 1, 1], LineBox[{253, 254}]}, 
      {Hue[0.9786468483856582, 1, 1], LineBox[{254, 255}]}, 
      {Hue[0.981016005691839, 1, 1], LineBox[{255, 256}]}, 
      {Hue[0.9813121503551115, 1, 1], LineBox[{256, 257}]}, 
      {Hue[0.9816082950183842, 1, 1], LineBox[{257, 258}]}, 
      {Hue[0.9822005843449294, 1, 1], LineBox[{258, 259}]}, 
      {Hue[0.9833851629980198, 1, 1], LineBox[{259, 260}]}, 
      {Hue[0.9836813076612924, 1, 1], LineBox[{260, 261}]}, 
      {Hue[0.983977452324565, 1, 1], LineBox[{261, 262}]}, 
      {Hue[0.9845697416511102, 1, 1], LineBox[{262, 263}]}, 
      {Hue[0.9857543203042005, 1, 1], LineBox[{263, 264}]}, 
      {Hue[0.9860504649674732, 1, 1], LineBox[{264, 265}]}, 
      {Hue[0.9863466096307457, 1, 1], LineBox[{265, 266}]}, 
      {Hue[0.9869388989572909, 1, 1], LineBox[{266, 267}]}, 
      {Hue[0.9881234776103813, 1, 1], LineBox[{267, 268}]}, 
      {Hue[0.988419622273654, 1, 1], LineBox[{268, 269}]}, 
      {Hue[0.9887157669369265, 1, 1], LineBox[{269, 270}]}, 
      {Hue[0.9893080562634717, 1, 1], LineBox[{270, 271}]}, 
      {Hue[0.9904926349165621, 1, 1], LineBox[{271, 272}]}, 
      {Hue[0.9907829640397726, 1, 1], LineBox[{272, 273}]}, 
      {Hue[0.991073293162983, 1, 1], LineBox[{273, 274}]}, 
      {Hue[0.9916539514094037, 1, 1], LineBox[{274, 275}]}, 
      {Hue[0.9919442805326142, 1, 1], LineBox[{275, 276}]}, 
      {Hue[0.9922346096558246, 1, 1], LineBox[{276, 277}]}, 
      {Hue[0.9928152679022454, 1, 1], LineBox[{277, 278}]}, 
      {Hue[0.9931055970254558, 1, 1], LineBox[{278, 279}]}, 
      {Hue[0.9933959261486661, 1, 1], LineBox[{279, 280}]}, 
      {Hue[0.993976584395087, 1, 1], LineBox[{280, 281}]}, 
      {Hue[0.9942669135182973, 1, 1], LineBox[{281, 282}]}, 
      {Hue[0.9945572426415078, 1, 1], LineBox[{282, 283}]}, 
      {Hue[0.9951379008879285, 1, 1], LineBox[{283, 284}]}, 
      {Hue[0.9954282300111389, 1, 1], LineBox[{284, 285}]}, 
      {Hue[0.9957185591343494, 1, 1], LineBox[{285, 286}]}, 
      {Hue[0.9960088882575597, 1, 1], LineBox[{286, 287}]}, 
      {Hue[0.9962992173807701, 1, 1], LineBox[{287, 288}]}, 
      {Hue[0.9965895465039806, 1, 1], LineBox[{288, 289}]}, 
      {Hue[0.9968798756271909, 1, 1], LineBox[{289, 290}]}, 
      {Hue[0.9971702047504013, 1, 1], LineBox[{290, 291}]}, 
      {Hue[0.9974605338736118, 1, 1], LineBox[{291, 292}]}, 
      {Hue[0.9977508629968221, 1, 1], LineBox[{292, 293}]}, 
      {Hue[0.9980411921200325, 1, 1], LineBox[{293, 294}]}, 
      {Hue[0.9983315212432429, 1, 1], LineBox[{294, 295}]}, 
      {Hue[0.9986218503664533, 1, 1], LineBox[{295, 296}]}, 
      {Hue[0.9989121794896637, 1, 1], LineBox[{296, 297}]}, 
      {Hue[0.9992025086128741, 1, 1], LineBox[{297, 298}]}, 
      {Hue[0.9994928377360845, 1, 1], LineBox[{298, 299}]}, 
      {Hue[0.9997831668592949, 1, 1], LineBox[{299, 300}]}, 
      {Hue[0.00007349598250531426, 1, 1], LineBox[{300, 301}]}, 
      {Hue[0.0003638251057157126, 1, 1], LineBox[{301, 302}]}, 
      {Hue[0.000654154228926111, 1, 1], LineBox[{302, 303}]}, 
      {Hue[0.0009444833521365093, 1, 1], LineBox[{303, 304}]}, 
      {Hue[0.0012348124753469082`, 1, 1], LineBox[{304, 305}]}, 
      {Hue[0.0015251415985573062`, 1, 1], LineBox[{305, 306}]}, 
      {Hue[0.0018154707217677046`, 1, 1], LineBox[{306, 307}]}, 
      {Hue[0.002105799844978103, 1, 1], LineBox[{307, 308}]}, 
      {Hue[0.0023961289681885016`, 1, 1], LineBox[{308, 309}]}, 
      {Hue[0.0026864580913989, 1, 1], LineBox[{309, 310}]}, 
      {Hue[0.0029767872146092985`, 1, 1], LineBox[{310, 311}]}, 
      {Hue[0.0032671163378196963`, 1, 1], LineBox[{311, 312}]}, 
      {Hue[0.0035574454610300954`, 1, 1], LineBox[{312, 313}]}, 
      {Hue[0.003847774584240494, 1, 1], LineBox[{313, 314}]}, 
      {Hue[0.00442843283066129, 1, 1], LineBox[{314, 315}]}, 
      {Hue[0.004718761953871688, 1, 1], LineBox[{315, 316}]}, 
      {Hue[0.005009091077082087, 1, 1], LineBox[{316, 317}]}, 
      {Hue[0.005589749323502884, 1, 1], LineBox[{317, 318}]}, 
      {Hue[0.005880078446713281, 1, 1], LineBox[{318, 319}]}, 
      {Hue[0.00617040756992368, 1, 1], LineBox[{319, 320}]}, 
      {Hue[0.006751065816344476, 1, 1], LineBox[{320, 321}]}, 
      {Hue[0.007041394939554875, 1, 1], LineBox[{321, 322}]}, 
      {Hue[0.007331724062765273, 1, 1], LineBox[{322, 323}]}, 
      {Hue[0.00791238230918607, 1, 1], LineBox[{323, 324}]}, 
      {Hue[0.009073698802027665, 1, 1], LineBox[{324, 325}]}, 
      {Hue[0.009388662948267422, 1, 1], LineBox[{325, 326}]}, 
      {Hue[0.00970362709450718, 1, 1], LineBox[{326, 327}]}, 
      {Hue[0.010333555386986699`, 1, 1], LineBox[{327, 328}]}, 
      {Hue[0.01159341197194573, 1, 1], LineBox[{328, 329}]}, 
      {Hue[0.011908376118185487`, 1, 1], LineBox[{329, 330}]}, 
      {Hue[0.012223340264425247`, 1, 1], LineBox[{330, 331}]}, 
      {Hue[0.012853268556904763`, 1, 1], LineBox[{331, 332}]}, 
      {Hue[0.014113125141863797`, 1, 1], LineBox[{332, 333}]}, 
      {Hue[0.014428089288103553`, 1, 1], LineBox[{333, 334}]}, 
      {Hue[0.014743053434343312`, 1, 1], LineBox[{334, 335}]}, 
      {Hue[0.015372981726822825`, 1, 1], LineBox[{335, 336}]}, 
      {Hue[0.01663283831178186, 1, 1], LineBox[{336, 337}]}, 
      {Hue[0.01915255148169993, 1, 1], LineBox[{337, 338}]}, 
      {Hue[0.019467515627939688`, 1, 1], LineBox[{338, 339}]}, 
      {Hue[0.01978247977417945, 1, 1], LineBox[{339, 340}]}, 
      {Hue[0.020412408066658963`, 1, 1], LineBox[{340, 341}]}, 
      {Hue[0.021672264651618, 1, 1], LineBox[{341, 342}]}, 
      {Hue[0.024191977821536065`, 1, 1], LineBox[{342, 343}]}, 
      {Hue[0.024506941967775826`, 1, 1], LineBox[{343, 344}]}, 
      {Hue[0.024821906114015576`, 1, 1], LineBox[{344, 345}]}, 
      {Hue[0.025451834406495105`, 1, 1], LineBox[{345, 346}]}, 
      {Hue[0.026711690991454137`, 1, 1], LineBox[{346, 347}]}, 
      {Hue[0.029231404161372203`, 1, 1], LineBox[{347, 348}]}, 
      {Hue[0.029525327486003974`, 1, 1], LineBox[{348, 349}]}, 
      {Hue[0.029819250810635748`, 1, 1], LineBox[{349, 350}]}, 
      {Hue[0.030407097459899307`, 1, 1], LineBox[{350, 351}]}, 
      {Hue[0.03158279075842641, 1, 1], LineBox[{351, 352}]}, 
      {Hue[0.03393417735548061, 1, 1], LineBox[{352, 353}]}, 
      {Hue[0.03863695054958902, 1, 1], LineBox[{353, 354}]}, 
      {Hue[0.0389308738742208, 1, 1], LineBox[{354, 355}]}, 
      {Hue[0.03922479719885257, 1, 1], LineBox[{355, 356}]}, 
      {Hue[0.03981264384811612, 1, 1], LineBox[{356, 357}]}, 
      {Hue[0.04098833714664324, 1, 1], LineBox[{357, 358}]}, 
      {Hue[0.043339723743697434`, 1, 1], LineBox[{358, 359}]}, 
      {Hue[0.048042496937805844`, 1, 1], LineBox[{359, 360}]}, 
      {Hue[0.048361055285466976`, 1, 1], LineBox[{360, 361}]}, 
      {Hue[0.048679613633128116`, 1, 1], LineBox[{361, 362}]}, 
      {Hue[0.04931673032845038, 1, 1], LineBox[{362, 363}]}, 
      {Hue[0.05059096371909493, 1, 1], LineBox[{363, 364}]}, 
      {Hue[0.05313943050038401, 1, 1], LineBox[{364, 365}]}, 
      {Hue[0.05823636406296217, 1, 1], LineBox[{365, 366}]}, 
      {Hue[0.06843023118811851, 1, 1], LineBox[{366, 367}]}, 
      {Hue[0.06874297399571747, 1, 1], LineBox[{367, 368}]}, 
      {Hue[0.06905571680331637, 1, 1], LineBox[{368, 369}]}, 
      {Hue[0.06968120241851426, 1, 1], LineBox[{369, 370}]}, 
      {Hue[0.07093217364891001, 1, 1], LineBox[{370, 371}]}, 
      {Hue[0.07343411610970146, 1, 1], LineBox[{371, 372}]}, 
      {Hue[0.0784380010312844, 1, 1], LineBox[{372, 373}]}, 
      {Hue[0.08844577087445032, 1, 1], LineBox[{373, 374}]}, 
      {Hue[0.10711469797787121`, 1, 1], LineBox[{374, 375}]}, 
      {Hue[0.12736026655517113`, 1, 1], LineBox[{375, 376}]}, 
      {Hue[0.14625922254956017`, 1, 1], LineBox[{376, 377}]}, 
      {Hue[0.16478598397996827`, 1, 1], LineBox[{377, 378}]}, 
      {Hue[0.16510009965034775`, 1, 1], LineBox[{378, 379}]}, 
      {Hue[0.16541421532072728`, 1, 1], LineBox[{379, 380}]}, 
      {Hue[0.16604244666148624`, 1, 1], LineBox[{380, 611}]}, 
      {Hue[0.16604244666148624`, 1, 1], LineBox[{611, 381}]}, 
      {Hue[0.16729890934300415`, 1, 1], LineBox[{381, 382}]}, 
      {Hue[0.16981183470604008`, 1, 1], LineBox[{382, 383}]}, 
      {Hue[0.17483768543211187`, 1, 1], LineBox[{383, 384}]}, 
      {Hue[0.1848893868842554, 1, 1], LineBox[{384, 385}]}, 
      {Hue[0.18518246173302694`, 1, 1], LineBox[{385, 386}]}, 
      {Hue[0.1854755365817984, 1, 1], LineBox[{386, 387}]}, 
      {Hue[0.18606168627934142`, 1, 1], LineBox[{387, 388}]}, 
      {Hue[0.18723398567442745`, 1, 1], LineBox[{388, 389}]}, 
      {Hue[0.1895785844645995, 1, 1], LineBox[{389, 390}]}, 
      {Hue[0.19426778204494352`, 1, 1], LineBox[{390, 391}]}, 
      {Hue[0.20364617720563166`, 1, 1], LineBox[{391, 392}]}, 
      {Hue[0.20396388707743252`, 1, 1], LineBox[{392, 393}]}, 
      {Hue[0.20428159694923337`, 1, 1], LineBox[{393, 394}]}, 
      {Hue[0.2049170166928351, 1, 1], LineBox[{394, 395}]}, 
      {Hue[0.20618785618003857`, 1, 1], LineBox[{395, 396}]}, 
      {Hue[0.20872953515444548`, 1, 1], LineBox[{396, 397}]}, 
      {Hue[0.21381289310325932`, 1, 1], LineBox[{397, 398}]}, 
      {Hue[0.21413060297506017`, 1, 1], LineBox[{398, 399}]}, 
      {Hue[0.21444831284686106`, 1, 1], LineBox[{399, 400}]}, 
      {Hue[0.2150837325904628, 1, 1], LineBox[{400, 401}]}, 
      {Hue[0.2163545720776662, 1, 1], LineBox[{401, 402}]}, 
      {Hue[0.21889625105207317`, 1, 1], LineBox[{402, 403}]}, 
      {Hue[0.22397960900088695`, 1, 1], LineBox[{403, 404}]}, 
      {Hue[0.22427627805107986`, 1, 1], LineBox[{404, 405}]}, 
      {Hue[0.2245729471012727, 1, 1], LineBox[{405, 406}]}, 
      {Hue[0.22516628520165846`, 1, 1], LineBox[{406, 407}]}, 
      {Hue[0.22635296140243003`, 1, 1], LineBox[{407, 408}]}, 
      {Hue[0.22872631380397307`, 1, 1], LineBox[{408, 409}]}, 
      {Hue[0.23347301860705919`, 1, 1], LineBox[{409, 410}]}, 
      {Hue[0.2337696876572521, 1, 1], LineBox[{410, 411}]}, 
      {Hue[0.23406635670744494`, 1, 1], LineBox[{411, 412}]}, 
      {Hue[0.2346596948078307, 1, 1], LineBox[{412, 413}]}, 
      {Hue[0.23584637100860226`, 1, 1], LineBox[{413, 414}]}, 
      {Hue[0.2382197234101453, 1, 1], LineBox[{414, 415}]}, 
      {Hue[0.2429664282132314, 1, 1], LineBox[{415, 416}]}, 
      {Hue[0.24325728172336203`, 1, 1], LineBox[{416, 417}]}, 
      {Hue[0.24354813523349272`, 1, 1], LineBox[{417, 418}]}, 
      {Hue[0.2441298422537541, 1, 1], LineBox[{418, 419}]}, 
      {Hue[0.24529325629427684`, 1, 1], LineBox[{419, 420}]}, 
      {Hue[0.2476200843753223, 1, 1], LineBox[{420, 421}]}, 
      {Hue[0.25227374053741314`, 1, 1], LineBox[{421, 422}]}, 
      {Hue[0.2525645940475438, 1, 1], LineBox[{422, 423}]}, 
      {Hue[0.2528554475576745, 1, 1], LineBox[{423, 424}]}, 
      {Hue[0.2534371545779358, 1, 1], LineBox[{424, 425}]}, 
      {Hue[0.25460056861845853`, 1, 1], LineBox[{425, 426}]}, 
      {Hue[0.256927396699504, 1, 1], LineBox[{426, 427}]}, 
      {Hue[0.26158105286159483`, 1, 1], LineBox[{427, 428}]}, 
      {Hue[0.2618965413947549, 1, 1], LineBox[{428, 429}]}, 
      {Hue[0.2622120299279149, 1, 1], LineBox[{429, 430}]}, 
      {Hue[0.262843006994235, 1, 1], LineBox[{430, 431}]}, 
      {Hue[0.26410496112687515`, 1, 1], LineBox[{431, 432}]}, 
      {Hue[0.26662886939215547`, 1, 1], LineBox[{432, 433}]}, 
      {Hue[0.2716766859227161, 1, 1], LineBox[{433, 434}]}, 
      {Hue[0.27199217445587615`, 1, 1], LineBox[{434, 435}]}, 
      {Hue[0.2723076629890362, 1, 1], LineBox[{435, 436}]}, 
      {Hue[0.2729386400553563, 1, 1], LineBox[{436, 437}]}, 
      {Hue[0.2742005941879964, 1, 1], LineBox[{437, 438}]}, 
      {Hue[0.2767245024532768, 1, 1], LineBox[{438, 439}]}, 
      {Hue[0.2817723189838374, 1, 1], LineBox[{439, 440}]}, 
      {Hue[0.2820667666953895, 1, 1], LineBox[{440, 441}]}, 
      {Hue[0.28236121440694156`, 1, 1], LineBox[{441, 442}]}, 
      {Hue[0.28295010983004565`, 1, 1], LineBox[{442, 443}]}, 
      {Hue[0.2841279006762538, 1, 1], LineBox[{443, 444}]}, 
      {Hue[0.28648348236867033`, 1, 1], LineBox[{444, 445}]}, 
      {Hue[0.29119464575350323`, 1, 1], LineBox[{445, 446}]}, 
      {Hue[0.2914890934650553, 1, 1], LineBox[{446, 447}]}, 
      {Hue[0.2917835411766073, 1, 1], LineBox[{447, 448}]}, 
      {Hue[0.29237243659971146`, 1, 1], LineBox[{448, 449}]}, 
      {Hue[0.29355022744591963`, 1, 1], LineBox[{449, 450}]}, 
      {Hue[0.29590580913833614`, 1, 1], LineBox[{450, 451}]}, 
      {Hue[0.30061697252316905`, 1, 1], LineBox[{451, 452}]}, 
      {Hue[0.3009360552577504, 1, 1], LineBox[{452, 453}]}, 
      {Hue[0.3012551379923319, 1, 1], LineBox[{453, 454}]}, 
      {Hue[0.30189330346149473`, 1, 1], LineBox[{454, 455}]}, 
      {Hue[0.3031696343998204, 1, 1], LineBox[{455, 456}]}, 
      {Hue[0.30572229627647174`, 1, 1], LineBox[{456, 457}]}, 
      {Hue[0.3108276200297744, 1, 1], LineBox[{457, 458}]}, 
      {Hue[0.31114670276435585`, 1, 1], LineBox[{458, 459}]}, 
      {Hue[0.3114657854989372, 1, 1], LineBox[{459, 460}]}, 
      {Hue[0.31210395096810006`, 1, 1], LineBox[{460, 461}]}, 
      {Hue[0.3133802819064257, 1, 1], LineBox[{461, 462}]}, 
      {Hue[0.31593294378307707`, 1, 1], LineBox[{462, 463}]}, 
      {Hue[0.32103826753637976`, 1, 1], LineBox[{463, 464}]}, 
      {Hue[0.321351534730899, 1, 1], LineBox[{464, 465}]}, 
      {Hue[0.32166480192541824`, 1, 1], LineBox[{465, 466}]}, 
      {Hue[0.3222913363144566, 1, 1], LineBox[{466, 467}]}, 
      {Hue[0.32354440509253346`, 1, 1], LineBox[{467, 468}]}, 
      {Hue[0.3260505426486872, 1, 1], LineBox[{468, 469}]}, 
      {Hue[0.33106281776099467`, 1, 1], LineBox[{469, 470}]}, 
      {Hue[0.3313760849555139, 1, 1], LineBox[{470, 471}]}, 
      {Hue[0.33168935215003315`, 1, 1], LineBox[{471, 472}]}, 
      {Hue[0.3323158865390715, 1, 1], LineBox[{472, 473}]}, 
      {Hue[0.3335689553171484, 1, 1], LineBox[{473, 474}]}, 
      {Hue[0.3360750928733021, 1, 1], LineBox[{474, 475}]}, 
      {Hue[0.34108736798560957`, 1, 1], LineBox[{475, 476}]}, 
      {Hue[0.34137959435852083`, 1, 1], LineBox[{476, 477}]}, 
      {Hue[0.34167182073143204`, 1, 1], LineBox[{477, 478}]}, 
      {Hue[0.3422562734772545, 1, 1], LineBox[{478, 479}]}, 
      {Hue[0.34342517896889946`, 1, 1], LineBox[{479, 480}]}, 
      {Hue[0.34576298995218935`, 1, 1], LineBox[{480, 481}]}, 
      {Hue[0.350438611918769, 1, 1], LineBox[{481, 482}]}, 
      {Hue[0.3507308382916802, 1, 1], LineBox[{482, 483}]}, 
      {Hue[0.35102306466459143`, 1, 1], LineBox[{483, 484}]}, 
      {Hue[0.3516075174104139, 1, 1], LineBox[{484, 485}]}, 
      {Hue[0.35277642290205885`, 1, 1], LineBox[{485, 486}]}, 
      {Hue[0.35511423388534874`, 1, 1], LineBox[{486, 487}]}, 
      {Hue[0.35978985585192846`, 1, 1], LineBox[{487, 488}]}, 
      {Hue[0.360106717247869, 1, 1], LineBox[{488, 489}]}, 
      {Hue[0.3604235786438097, 1, 1], LineBox[{489, 490}]}, 
      {Hue[0.36105730143569087`, 1, 1], LineBox[{490, 491}]}, 
      {Hue[0.3623247470194532, 1, 1], LineBox[{491, 492}]}, 
      {Hue[0.364859638186978, 1, 1], LineBox[{492, 493}]}, 
      {Hue[0.3651764995829186, 1, 1], LineBox[{493, 494}]}, 
      {Hue[0.3654933609788592, 1, 1], LineBox[{494, 495}]}, 
      {Hue[0.3661270837707403, 1, 1], LineBox[{495, 496}]}, 
      {Hue[0.36739452935450273`, 1, 1], LineBox[{496, 497}]}, 
      {Hue[0.3699294205220275, 1, 1], LineBox[{497, 498}]}, 
      {Hue[0.3702462819179681, 1, 1], LineBox[{498, 499}]}, 
      {Hue[0.3705631433139087, 1, 1], LineBox[{499, 500}]}, 
      {Hue[0.37119686610578984`, 1, 1], LineBox[{500, 501}]}, 
      {Hue[0.37246431168955224`, 1, 1], LineBox[{501, 502}]}, 
      {Hue[0.37499920285707694`, 1, 1], LineBox[{502, 503}]}, 
      {Hue[0.38006898519212645`, 1, 1], LineBox[{503, 504}]}, 
      {Hue[0.38036480576645904`, 1, 1], LineBox[{504, 505}]}, 
      {Hue[0.3806606263407917, 1, 1], LineBox[{505, 506}]}, 
      {Hue[0.3812522674894569, 1, 1], LineBox[{506, 507}]}, 
      {Hue[0.38243554978678734`, 1, 1], LineBox[{507, 508}]}, 
      {Hue[0.38480211438144823`, 1, 1], LineBox[{508, 509}]}, 
      {Hue[0.38509793495578076`, 1, 1], LineBox[{509, 510}]}, 
      {Hue[0.38539375553011346`, 1, 1], LineBox[{510, 511}]}, 
      {Hue[0.3859853966787787, 1, 1], LineBox[{511, 512}]}, 
      {Hue[0.3871686789761091, 1, 1], LineBox[{512, 513}]}, 
      {Hue[0.38953524357077, 1, 1], LineBox[{513, 514}]}, 
      {Hue[0.38983106414510266`, 1, 1], LineBox[{514, 515}]}, 
      {Hue[0.39012688471943524`, 1, 1], LineBox[{515, 516}]}, 
      {Hue[0.39071852586810046`, 1, 1], LineBox[{516, 517}]}, 
      {Hue[0.3919018081654309, 1, 1], LineBox[{517, 518}]}, 
      {Hue[0.39426837276009186`, 1, 1], LineBox[{518, 519}]}, 
      {Hue[0.39900150194941353`, 1, 1], LineBox[{519, 520}]}, 
      {Hue[0.39929150698368404`, 1, 1], LineBox[{520, 521}]}, 
      {Hue[0.39958151201795444`, 1, 1], LineBox[{521, 522}]}, 
      {Hue[0.40016152208649525`, 1, 1], LineBox[{522, 523}]}, 
      {Hue[0.40132154222357685`, 1, 1], LineBox[{523, 524}]}, 
      {Hue[0.4036415824977401, 1, 1], LineBox[{524, 525}]}, 
      {Hue[0.4039315875320105, 1, 1], LineBox[{525, 526}]}, 
      {Hue[0.40422159256628093`, 1, 1], LineBox[{526, 527}]}, 
      {Hue[0.40480160263482173`, 1, 1], LineBox[{527, 528}]}, 
      {Hue[0.40596162277190334`, 1, 1], LineBox[{528, 529}]}, 
      {Hue[0.40828166304606667`, 1, 1], LineBox[{529, 530}]}, 
      {Hue[0.4085716680803371, 1, 1], LineBox[{530, 531}]}, 
      {Hue[0.4088616731146075, 1, 1], LineBox[{531, 532}]}, 
      {Hue[0.40944168318314833`, 1, 1], LineBox[{532, 533}]}, 
      {Hue[0.41060170332022994`, 1, 1], LineBox[{533, 534}]}, 
      {Hue[0.4129217435943932, 1, 1], LineBox[{534, 535}]}, 
      {Hue[0.41756182414271975`, 1, 1], LineBox[{535, 536}]}, 
      {Hue[0.41787646420001956`, 1, 1], LineBox[{536, 537}]}, 
      {Hue[0.41819110425731926`, 1, 1], LineBox[{537, 538}]}, 
      {Hue[0.4188203843719188, 1, 1], LineBox[{538, 539}]}, 
      {Hue[0.42007894460111794`, 1, 1], LineBox[{539, 540}]}, 
      {Hue[0.422596065059516, 1, 1], LineBox[{540, 541}]}, 
      {Hue[0.42291070511681583`, 1, 1], LineBox[{541, 542}]}, 
      {Hue[0.4232253451741156, 1, 1], LineBox[{542, 543}]}, 
      {Hue[0.42385462528871515`, 1, 1], LineBox[{543, 544}]}, 
      {Hue[0.4251131855179142, 1, 1], LineBox[{544, 545}]}, 
      {Hue[0.4276303059763124, 1, 1], LineBox[{545, 546}]}, 
      {Hue[0.42794494603361216`, 1, 1], LineBox[{546, 547}]}, 
      {Hue[0.42825958609091197`, 1, 1], LineBox[{547, 548}]}, 
      {Hue[0.4288888662055114, 1, 1], LineBox[{548, 549}]}, 
      {Hue[0.4301474264347105, 1, 1], LineBox[{549, 550}]}, 
      {Hue[0.4326645468931087, 1, 1], LineBox[{550, 551}]}, 
      {Hue[0.43769878780990495`, 1, 1], LineBox[{551, 552}]}, 
      {Hue[0.43799238704559673`, 1, 1], LineBox[{552, 553}]}, 
      {Hue[0.4382859862812885, 1, 1], LineBox[{553, 554}]}, 
      {Hue[0.43887318475267206`, 1, 1], LineBox[{554, 555}]}, 
      {Hue[0.44004758169543917`, 1, 1], LineBox[{555, 556}]}, 
      {Hue[0.4423963755809735, 1, 1], LineBox[{556, 557}]}, 
      {Hue[0.4426899748166653, 1, 1], LineBox[{557, 558}]}, 
      {Hue[0.44298357405235717`, 1, 1], LineBox[{558, 559}]}, 
      {Hue[0.4435707725237407, 1, 1], LineBox[{559, 560}]}, 
      {Hue[0.44474516946650783`, 1, 1], LineBox[{560, 561}]}, 
      {Hue[0.4470939633520421, 1, 1], LineBox[{561, 562}]}, 
      {Hue[0.4473875625877339, 1, 1], LineBox[{562, 563}]}, 
      {Hue[0.44768116182342566`, 1, 1], LineBox[{563, 564}]}, 
      {Hue[0.4482683602948092, 1, 1], LineBox[{564, 565}]}, 
      {Hue[0.4494427572375764, 1, 1], LineBox[{565, 566}]}, 
      {Hue[0.4517915511231107, 1, 1], LineBox[{566, 567}]}, 
      {Hue[0.45648913889417925`, 1, 1], LineBox[{567, 568}]}, 
      {Hue[0.45680737315290043`, 1, 1], LineBox[{568, 569}]}, 
      {Hue[0.45712560741162156`, 1, 1], LineBox[{569, 570}]}, 
      {Hue[0.4577620759290638, 1, 1], LineBox[{570, 571}]}, 
      {Hue[0.4590350129639484, 1, 1], LineBox[{571, 572}]}, 
      {Hue[0.4615808870337176, 1, 1], LineBox[{572, 573}]}, 
      {Hue[0.46189912129243865`, 1, 1], LineBox[{573, 574}]}, 
      {Hue[0.46221735555115984`, 1, 1], LineBox[{574, 575}]}, 
      {Hue[0.46285382406860215`, 1, 1], LineBox[{575, 576}]}, 
      {Hue[0.4641267611034868, 1, 1], LineBox[{576, 577}]}, 
      {Hue[0.4666726351732559, 1, 1], LineBox[{577, 578}]}, 
      {Hue[0.46699086943197704`, 1, 1], LineBox[{578, 579}]}, 
      {Hue[0.4673091036906982, 1, 1], LineBox[{579, 580}]}, 
      {Hue[0.46794557220814054`, 1, 1], LineBox[{580, 581}]}, 
      {Hue[0.4692185092430251, 1, 1], LineBox[{581, 582}]}, 
      {Hue[0.4717643833127943, 1, 1], LineBox[{582, 583}]}, 
      {Hue[0.47208261757151543`, 1, 1], LineBox[{583, 584}]}, 
      {Hue[0.4724008518302366, 1, 1], LineBox[{584, 585}]}, 
      {Hue[0.4730373203476788, 1, 1], LineBox[{585, 586}]}, 
      {Hue[0.4743102573825634, 1, 1], LineBox[{586, 587}]}, 
      {Hue[0.4768561314523326, 1, 1], LineBox[{587, 588}]}, 
      {Hue[0.4768656420513168, 1, 1], LineBox[{588, 589}]}, 
      {Hue[0.47687515265030106`, 1, 1], LineBox[{589, 590}]}, 
      {Hue[0.47689417384826965`, 1, 1], LineBox[{590, 591}]}, 
      {Hue[0.4769322162442068, 1, 1], LineBox[{591, 592}]}, 
      {Hue[0.4770083010360809, 1, 1], LineBox[{592, 593}]}, 
      {Hue[0.47716047061982914`, 1, 1], LineBox[{593, 594}]}, 
      {Hue[0.4771699812188133, 1, 1], LineBox[{594, 595}]}, 
      {Hue[0.4771794918177976, 1, 1], LineBox[{595, 596}]}, 
      {Hue[0.4771985130157662, 1, 1], LineBox[{596, 597}]}, 
      {Hue[0.4772365554117033, 1, 1], LineBox[{597, 598}]}, 
      {Hue[0.4773126402035774, 1, 1], LineBox[{598, 599}]}, 
      {Hue[0.4773221508025617, 1, 1], LineBox[{599, 600}]}, 
      {Hue[0.477331661401546, 1, 1], LineBox[{600, 601}]}, 
      {Hue[0.47735068259951446`, 1, 1], LineBox[{601, 602}]}, 
      {Hue[0.47738872499545154`, 1, 1], LineBox[{602, 603}]}, 
      {Hue[0.4773982355944358, 1, 1], LineBox[{603, 604}]}, 
      {Hue[0.4774077461934201, 1, 1], LineBox[{604, 605}]}, 
      {Hue[0.4774267673913886, 1, 1], LineBox[{605, 606}]}, 
      {Hue[0.4774362779903729, 1, 1], LineBox[{606, 607}]}, 
      {Hue[0.4774457885893572, 1, 1], LineBox[{607, 608}]}, 
      {Hue[0.47745529918834145`, 1, 1], LineBox[{608, 609}]}}}},
   VertexColors->{
     Hue[0.5225351902126742, 1, 1], 
     Hue[0.5228280647634655, 1, 1], 
     Hue[0.5231209393142568, 1, 1], 
     Hue[0.5237066884158392, 1, 1], 
     Hue[0.524878186619004, 1, 1], 
     Hue[0.5272211830253337, 1, 1], 
     Hue[0.527514057576125, 1, 1], 
     Hue[0.5278069321269162, 1, 1], 
     Hue[0.5283926812284986, 1, 1], 
     Hue[0.5295641794316635, 1, 1], 
     Hue[0.5319071758379932, 1, 1], 
     Hue[0.5322000503887844, 1, 1], 
     Hue[0.5324929249395756, 1, 1], 
     Hue[0.5330786740411579, 1, 1], 
     Hue[0.5342501722443229, 1, 1], 
     Hue[0.5365931686506525, 1, 1], 
     Hue[0.5412791614633119, 1, 1], 
     Hue[0.5415966710371325, 1, 1], 
     Hue[0.5419141806109531, 1, 1], 
     Hue[0.5425491997585943, 1, 1], 
     Hue[0.5438192380538766, 1, 1], 
     Hue[0.5463593146444412, 1, 1], 
     Hue[0.5466768242182616, 1, 1], 
     Hue[0.5469943337920822, 1, 1], 
     Hue[0.5476293529397234, 1, 1], 
     Hue[0.5488993912350058, 1, 1], 
     Hue[0.5514394678255703, 1, 1], 
     Hue[0.5517569773993909, 1, 1], 
     Hue[0.5520744869732115, 1, 1], 
     Hue[0.5527095061208527, 1, 1], 
     Hue[0.5539795444161348, 1, 1], 
     Hue[0.5565196210066994, 1, 1], 
     Hue[0.5615997741878287, 1, 1], 
     Hue[0.5618962429400414, 1, 1], 
     Hue[0.5621927116922538, 1, 1], 
     Hue[0.5627856491966791, 1, 1], 
     Hue[0.5639715242055294, 1, 1], 
     Hue[0.5663432742232302, 1, 1], 
     Hue[0.5666397429754427, 1, 1], 
     Hue[0.5669362117276553, 1, 1], 
     Hue[0.5675291492320804, 1, 1], 
     Hue[0.5687150242409309, 1, 1], 
     Hue[0.5710867742586316, 1, 1], 
     Hue[0.5713832430108441, 1, 1], 
     Hue[0.5716797117630568, 1, 1], 
     Hue[0.5722726492674819, 1, 1], 
     Hue[0.5734585242763323, 1, 1], 
     Hue[0.575830274294033, 1, 1], 
     Hue[0.5805737743294344, 1, 1], 
     Hue[0.5808644275415848, 1, 1], 
     Hue[0.5811550807537351, 1, 1], 
     Hue[0.5817363871780361, 1, 1], 
     Hue[0.5828990000266375, 1, 1], 
     Hue[0.5852242257238407, 1, 1], 
     Hue[0.585514878935991, 1, 1], 
     Hue[0.5858055321481415, 1, 1], 
     Hue[0.5863868385724422, 1, 1], 
     Hue[0.5875494514210438, 1, 1], 
     Hue[0.5898746771182469, 1, 1], 
     Hue[0.5901653303303972, 1, 1], 
     Hue[0.5904559835425476, 1, 1], 
     Hue[0.5910372899668483, 1, 1], 
     Hue[0.5921999028154499, 1, 1], 
     Hue[0.594525128512653, 1, 1], 
     Hue[0.5991755799070593, 1, 1], 
     Hue[0.5994908681422391, 1, 1], 
     Hue[0.5998061563774189, 1, 1], 
     Hue[0.6004367328477782, 1, 1], 
     Hue[0.6016978857884973, 1, 1], 
     Hue[0.6042201916699352, 1, 1], 
     Hue[0.604535479905115, 1, 1], 
     Hue[0.6048507681402948, 1, 1], 
     Hue[0.6054813446106542, 1, 1], 
     Hue[0.6067424975513733, 1, 1], 
     Hue[0.6092648034328112, 1, 1], 
     Hue[0.609580091667991, 1, 1], 
     Hue[0.6098953799031708, 1, 1], 
     Hue[0.6105259563735302, 1, 1], 
     Hue[0.6117871093142493, 1, 1], 
     Hue[0.6143094151956872, 1, 1], 
     Hue[0.6193540269585631, 1, 1], 
     Hue[0.619648274372135, 1, 1], 
     Hue[0.6199425217857066, 1, 1], 
     Hue[0.6205310166128503, 1, 1], 
     Hue[0.6217080062671374, 1, 1], 
     Hue[0.6240619855757115, 1, 1], 
     Hue[0.6243562329892832, 1, 1], 
     Hue[0.624650480402855, 1, 1], 
     Hue[0.6252389752299985, 1, 1], 
     Hue[0.6264159648842856, 1, 1], 
     Hue[0.6287699441928597, 1, 1], 
     Hue[0.6290641916064315, 1, 1], 
     Hue[0.6293584390200033, 1, 1], 
     Hue[0.6299469338471468, 1, 1], 
     Hue[0.6311239235014338, 1, 1], 
     Hue[0.6334779028100079, 1, 1], 
     Hue[0.6381858614271563, 1, 1], 
     Hue[0.6385047438637574, 1, 1], 
     Hue[0.6388236263003584, 1, 1], 
     Hue[0.6394613911735607, 1, 1], 
     Hue[0.6407369209199651, 1, 1], 
     Hue[0.6432879804127742, 1, 1], 
     Hue[0.6436068628493754, 1, 1], 
     Hue[0.6439257452859765, 1, 1], 
     Hue[0.6445635101591787, 1, 1], 
     Hue[0.6458390399055832, 1, 1], 
     Hue[0.6483900993983922, 1, 1], 
     Hue[0.6487089818349934, 1, 1], 
     Hue[0.6490278642715945, 1, 1], 
     Hue[0.6496656291447966, 1, 1], 
     Hue[0.6509411588912013, 1, 1], 
     Hue[0.6534922183840102, 1, 1], 
     Hue[0.6585943373696282, 1, 1], 
     Hue[0.6589074042661671, 1, 1], 
     Hue[0.6592204711627061, 1, 1], 
     Hue[0.6598466049557838, 1, 1], 
     Hue[0.6610988725419396, 1, 1], 
     Hue[0.663603407714251, 1, 1], 
     Hue[0.6686124780588738, 1, 1], 
     Hue[0.6689255449554127, 1, 1], 
     Hue[0.6692386118519515, 1, 1], 
     Hue[0.6698647456450295, 1, 1], 
     Hue[0.6711170132311852, 1, 1], 
     Hue[0.6736215484034966, 1, 1], 
     Hue[0.6786306187481195, 1, 1], 
     Hue[0.6789226448230503, 1, 1], 
     Hue[0.6792146708979814, 1, 1], 
     Hue[0.6797987230478432, 1, 1], 
     Hue[0.680966827347567, 1, 1], 
     Hue[0.6833030359470145, 1, 1], 
     Hue[0.6879754531459095, 1, 1], 
     Hue[0.6882674792208405, 1, 1], 
     Hue[0.6885595052957714, 1, 1], 
     Hue[0.6891435574456333, 1, 1], 
     Hue[0.6903116617453571, 1, 1], 
     Hue[0.6926478703448046, 1, 1], 
     Hue[0.6973202875436997, 1, 1], 
     Hue[0.6976369486416599, 1, 1], 
     Hue[0.6979536097396202, 1, 1], 
     Hue[0.6985869319355408, 1, 1], 
     Hue[0.6998535763273821, 1, 1], 
     Hue[0.7023868651110645, 1, 1], 
     Hue[0.7074534426784292, 1, 1], 
     Hue[0.7077701037763895, 1, 1], 
     Hue[0.7080867648743498, 1, 1], 
     Hue[0.7087200870702705, 1, 1], 
     Hue[0.7099867314621117, 1, 1], 
     Hue[0.712520020245794, 1, 1], 
     Hue[0.7175865978131588, 1, 1], 
     Hue[0.7178822180895112, 1, 1], 
     Hue[0.7181778383658635, 1, 1], 
     Hue[0.7187690789185681, 1, 1], 
     Hue[0.7199515600239774, 1, 1], 
     Hue[0.722316522234796, 1, 1], 
     Hue[0.727046446656433, 1, 1], 
     Hue[0.7273420669327854, 1, 1], 
     Hue[0.7276376872091377, 1, 1], 
     Hue[0.7282289277618423, 1, 1], 
     Hue[0.7294114088672516, 1, 1], 
     Hue[0.7317763710780701, 1, 1], 
     Hue[0.7365062954997073, 1, 1], 
     Hue[0.7367961002359974, 1, 1], 
     Hue[0.7370859049722875, 1, 1], 
     Hue[0.7376655144448678, 1, 1], 
     Hue[0.7388247333900282, 1, 1], 
     Hue[0.7411431712803491, 1, 1], 
     Hue[0.745780047060991, 1, 1], 
     Hue[0.7460698517972811, 1, 1], 
     Hue[0.7463596565335713, 1, 1], 
     Hue[0.7469392660061515, 1, 1], 
     Hue[0.7480984849513119, 1, 1], 
     Hue[0.7504169228416329, 1, 1], 
     Hue[0.7550537986222747, 1, 1], 
     Hue[0.7553682383815943, 1, 1], 
     Hue[0.7556826781409137, 1, 1], 
     Hue[0.7563115576595526, 1, 1], 
     Hue[0.7575693166968306, 1, 1], 
     Hue[0.7600848347713863, 1, 1], 
     Hue[0.7651158709204979, 1, 1], 
     Hue[0.7654303106798175, 1, 1], 
     Hue[0.7657447504391369, 1, 1], 
     Hue[0.7663736299577759, 1, 1], 
     Hue[0.7676313889950538, 1, 1], 
     Hue[0.7701469070696096, 1, 1], 
     Hue[0.7751779432187212, 1, 1], 
     Hue[0.7754713421564328, 1, 1], 
     Hue[0.7757647410941442, 1, 1], 
     Hue[0.7763515389695672, 1, 1], 
     Hue[0.7775251347204132, 1, 1], 
     Hue[0.7798723262221052, 1, 1], 
     Hue[0.7845667092254891, 1, 1], 
     Hue[0.7939554752322568, 1, 1], 
     Hue[0.7942735091929977, 1, 1], 
     Hue[0.7945915431537385, 1, 1], 
     Hue[0.7952276110752202, 1, 1], 
     Hue[0.7964997469181836, 1, 1], 
     Hue[0.7990440186041106, 1, 1], 
     Hue[0.8041325619759642, 1, 1], 
     Hue[0.8143096487196715, 1, 1], 
     Hue[0.8146218671403501, 1, 1], 
     Hue[0.8149340855610288, 1, 1], 
     Hue[0.8155585224023861, 1, 1], 
     Hue[0.8168073960851008, 1, 1], 
     Hue[0.81930514345053, 1, 1], 
     Hue[0.8243006381813883, 1, 1], 
     Hue[0.8342916276431052, 1, 1], 
     Hue[0.8529269939836281, 1, 1], 
     Hue[0.8731390017980301, 1, 1], 
     Hue[0.8920043970295211, 1, 1], 
     Hue[0.9124464337348911, 1, 1], 
     Hue[0.9127600250183503, 1, 1], 
     Hue[0.9130736163018095, 1, 1], 
     Hue[0.9137007988687279, 1, 1], 
     Hue[0.9149551640025647, 1, 1], 
     Hue[0.9174638942702383, 1, 1], 
     Hue[0.9224813548055857, 1, 1], 
     Hue[0.9325162758762802, 1, 1], 
     Hue[0.9328088263381314, 1, 1], 
     Hue[0.9331013767999826, 1, 1], 
     Hue[0.9336864777236851, 1, 1], 
     Hue[0.93485667957109, 1, 1], 
     Hue[0.9371970832658998, 1, 1], 
     Hue[0.9418778906555193, 1, 1], 
     Hue[0.9421704411173706, 1, 1], 
     Hue[0.9424629915792218, 1, 1], 
     Hue[0.9430480925029242, 1, 1], 
     Hue[0.9442182943503291, 1, 1], 
     Hue[0.9465586980451389, 1, 1], 
     Hue[0.9512395054347584, 1, 1], 
     Hue[0.951556690919639, 1, 1], 
     Hue[0.9518738764045196, 1, 1], 
     Hue[0.9525082473742807, 1, 1], 
     Hue[0.9537769893138032, 1, 1], 
     Hue[0.9563144731928478, 1, 1], 
     Hue[0.9566316586777284, 1, 1], 
     Hue[0.956948844162609, 1, 1], 
     Hue[0.9575832151323701, 1, 1], 
     Hue[0.9588519570718924, 1, 1], 
     Hue[0.9613894409509371, 1, 1], 
     Hue[0.9617066264358177, 1, 1], 
     Hue[0.9620238119206983, 1, 1], 
     Hue[0.9626581828904595, 1, 1], 
     Hue[0.9639269248299818, 1, 1], 
     Hue[0.9664644087090264, 1, 1], 
     Hue[0.9715393764671157, 1, 1], 
     Hue[0.9718355211303884, 1, 1], 
     Hue[0.972131665793661, 1, 1], 
     Hue[0.9727239551202062, 1, 1], 
     Hue[0.9739085337732966, 1, 1], 
     Hue[0.9762776910794774, 1, 1], 
     Hue[0.9765738357427499, 1, 1], 
     Hue[0.9768699804060226, 1, 1], 
     Hue[0.9774622697325678, 1, 1], 
     Hue[0.9786468483856582, 1, 1], 
     Hue[0.981016005691839, 1, 1], 
     Hue[0.9813121503551115, 1, 1], 
     Hue[0.9816082950183842, 1, 1], 
     Hue[0.9822005843449294, 1, 1], 
     Hue[0.9833851629980198, 1, 1], 
     Hue[0.9836813076612924, 1, 1], 
     Hue[0.983977452324565, 1, 1], 
     Hue[0.9845697416511102, 1, 1], 
     Hue[0.9857543203042005, 1, 1], 
     Hue[0.9860504649674732, 1, 1], 
     Hue[0.9863466096307457, 1, 1], 
     Hue[0.9869388989572909, 1, 1], 
     Hue[0.9881234776103813, 1, 1], 
     Hue[0.988419622273654, 1, 1], 
     Hue[0.9887157669369265, 1, 1], 
     Hue[0.9893080562634717, 1, 1], 
     Hue[0.9904926349165621, 1, 1], 
     Hue[0.9907829640397726, 1, 1], 
     Hue[0.991073293162983, 1, 1], 
     Hue[0.9916539514094037, 1, 1], 
     Hue[0.9919442805326142, 1, 1], 
     Hue[0.9922346096558246, 1, 1], 
     Hue[0.9928152679022454, 1, 1], 
     Hue[0.9931055970254558, 1, 1], 
     Hue[0.9933959261486661, 1, 1], 
     Hue[0.993976584395087, 1, 1], 
     Hue[0.9942669135182973, 1, 1], 
     Hue[0.9945572426415078, 1, 1], 
     Hue[0.9951379008879285, 1, 1], 
     Hue[0.9954282300111389, 1, 1], 
     Hue[0.9957185591343494, 1, 1], 
     Hue[0.9960088882575597, 1, 1], 
     Hue[0.9962992173807701, 1, 1], 
     Hue[0.9965895465039806, 1, 1], 
     Hue[0.9968798756271909, 1, 1], 
     Hue[0.9971702047504013, 1, 1], 
     Hue[0.9974605338736118, 1, 1], 
     Hue[0.9977508629968221, 1, 1], 
     Hue[0.9980411921200325, 1, 1], 
     Hue[0.9983315212432429, 1, 1], 
     Hue[0.9986218503664533, 1, 1], 
     Hue[0.9989121794896637, 1, 1], 
     Hue[0.9992025086128741, 1, 1], 
     Hue[0.9994928377360845, 1, 1], 
     Hue[0.9997831668592949, 1, 1], 
     Hue[0.00007349598250531426, 1, 1], 
     Hue[0.0003638251057157126, 1, 1], 
     Hue[0.000654154228926111, 1, 1], 
     Hue[0.0009444833521365093, 1, 1], 
     Hue[0.0012348124753469082`, 1, 1], 
     Hue[0.0015251415985573062`, 1, 1], 
     Hue[0.0018154707217677046`, 1, 1], 
     Hue[0.002105799844978103, 1, 1], 
     Hue[0.0023961289681885016`, 1, 1], 
     Hue[0.0026864580913989, 1, 1], 
     Hue[0.0029767872146092985`, 1, 1], 
     Hue[0.0032671163378196963`, 1, 1], 
     Hue[0.0035574454610300954`, 1, 1], 
     Hue[0.003847774584240494, 1, 1], 
     Hue[0.00442843283066129, 1, 1], 
     Hue[0.004718761953871688, 1, 1], 
     Hue[0.005009091077082087, 1, 1], 
     Hue[0.005589749323502884, 1, 1], 
     Hue[0.005880078446713281, 1, 1], 
     Hue[0.00617040756992368, 1, 1], 
     Hue[0.006751065816344476, 1, 1], 
     Hue[0.007041394939554875, 1, 1], 
     Hue[0.007331724062765273, 1, 1], 
     Hue[0.00791238230918607, 1, 1], 
     Hue[0.009073698802027665, 1, 1], 
     Hue[0.009388662948267422, 1, 1], 
     Hue[0.00970362709450718, 1, 1], 
     Hue[0.010333555386986699`, 1, 1], 
     Hue[0.01159341197194573, 1, 1], 
     Hue[0.011908376118185487`, 1, 1], 
     Hue[0.012223340264425247`, 1, 1], 
     Hue[0.012853268556904763`, 1, 1], 
     Hue[0.014113125141863797`, 1, 1], 
     Hue[0.014428089288103553`, 1, 1], 
     Hue[0.014743053434343312`, 1, 1], 
     Hue[0.015372981726822825`, 1, 1], 
     Hue[0.01663283831178186, 1, 1], 
     Hue[0.01915255148169993, 1, 1], 
     Hue[0.019467515627939688`, 1, 1], 
     Hue[0.01978247977417945, 1, 1], 
     Hue[0.020412408066658963`, 1, 1], 
     Hue[0.021672264651618, 1, 1], 
     Hue[0.024191977821536065`, 1, 1], 
     Hue[0.024506941967775826`, 1, 1], 
     Hue[0.024821906114015576`, 1, 1], 
     Hue[0.025451834406495105`, 1, 1], 
     Hue[0.026711690991454137`, 1, 1], 
     Hue[0.029231404161372203`, 1, 1], 
     Hue[0.029525327486003974`, 1, 1], 
     Hue[0.029819250810635748`, 1, 1], 
     Hue[0.030407097459899307`, 1, 1], 
     Hue[0.03158279075842641, 1, 1], 
     Hue[0.03393417735548061, 1, 1], 
     Hue[0.03863695054958902, 1, 1], 
     Hue[0.0389308738742208, 1, 1], 
     Hue[0.03922479719885257, 1, 1], 
     Hue[0.03981264384811612, 1, 1], 
     Hue[0.04098833714664324, 1, 1], 
     Hue[0.043339723743697434`, 1, 1], 
     Hue[0.048042496937805844`, 1, 1], 
     Hue[0.048361055285466976`, 1, 1], 
     Hue[0.048679613633128116`, 1, 1], 
     Hue[0.04931673032845038, 1, 1], 
     Hue[0.05059096371909493, 1, 1], 
     Hue[0.05313943050038401, 1, 1], 
     Hue[0.05823636406296217, 1, 1], 
     Hue[0.06843023118811851, 1, 1], 
     Hue[0.06874297399571747, 1, 1], 
     Hue[0.06905571680331637, 1, 1], 
     Hue[0.06968120241851426, 1, 1], 
     Hue[0.07093217364891001, 1, 1], 
     Hue[0.07343411610970146, 1, 1], 
     Hue[0.0784380010312844, 1, 1], 
     Hue[0.08844577087445032, 1, 1], 
     Hue[0.10711469797787121`, 1, 1], 
     Hue[0.12736026655517113`, 1, 1], 
     Hue[0.14625922254956017`, 1, 1], 
     Hue[0.16478598397996827`, 1, 1], 
     Hue[0.16510009965034775`, 1, 1], 
     Hue[0.16541421532072728`, 1, 1], 
     Hue[0.16604244666148624`, 1, 1], 
     Hue[0.16729890934300415`, 1, 1], 
     Hue[0.16981183470604008`, 1, 1], 
     Hue[0.17483768543211187`, 1, 1], 
     Hue[0.1848893868842554, 1, 1], 
     Hue[0.18518246173302694`, 1, 1], 
     Hue[0.1854755365817984, 1, 1], 
     Hue[0.18606168627934142`, 1, 1], 
     Hue[0.18723398567442745`, 1, 1], 
     Hue[0.1895785844645995, 1, 1], 
     Hue[0.19426778204494352`, 1, 1], 
     Hue[0.20364617720563166`, 1, 1], 
     Hue[0.20396388707743252`, 1, 1], 
     Hue[0.20428159694923337`, 1, 1], 
     Hue[0.2049170166928351, 1, 1], 
     Hue[0.20618785618003857`, 1, 1], 
     Hue[0.20872953515444548`, 1, 1], 
     Hue[0.21381289310325932`, 1, 1], 
     Hue[0.21413060297506017`, 1, 1], 
     Hue[0.21444831284686106`, 1, 1], 
     Hue[0.2150837325904628, 1, 1], 
     Hue[0.2163545720776662, 1, 1], 
     Hue[0.21889625105207317`, 1, 1], 
     Hue[0.22397960900088695`, 1, 1], 
     Hue[0.22427627805107986`, 1, 1], 
     Hue[0.2245729471012727, 1, 1], 
     Hue[0.22516628520165846`, 1, 1], 
     Hue[0.22635296140243003`, 1, 1], 
     Hue[0.22872631380397307`, 1, 1], 
     Hue[0.23347301860705919`, 1, 1], 
     Hue[0.2337696876572521, 1, 1], 
     Hue[0.23406635670744494`, 1, 1], 
     Hue[0.2346596948078307, 1, 1], 
     Hue[0.23584637100860226`, 1, 1], 
     Hue[0.2382197234101453, 1, 1], 
     Hue[0.2429664282132314, 1, 1], 
     Hue[0.24325728172336203`, 1, 1], 
     Hue[0.24354813523349272`, 1, 1], 
     Hue[0.2441298422537541, 1, 1], 
     Hue[0.24529325629427684`, 1, 1], 
     Hue[0.2476200843753223, 1, 1], 
     Hue[0.25227374053741314`, 1, 1], 
     Hue[0.2525645940475438, 1, 1], 
     Hue[0.2528554475576745, 1, 1], 
     Hue[0.2534371545779358, 1, 1], 
     Hue[0.25460056861845853`, 1, 1], 
     Hue[0.256927396699504, 1, 1], 
     Hue[0.26158105286159483`, 1, 1], 
     Hue[0.2618965413947549, 1, 1], 
     Hue[0.2622120299279149, 1, 1], 
     Hue[0.262843006994235, 1, 1], 
     Hue[0.26410496112687515`, 1, 1], 
     Hue[0.26662886939215547`, 1, 1], 
     Hue[0.2716766859227161, 1, 1], 
     Hue[0.27199217445587615`, 1, 1], 
     Hue[0.2723076629890362, 1, 1], 
     Hue[0.2729386400553563, 1, 1], 
     Hue[0.2742005941879964, 1, 1], 
     Hue[0.2767245024532768, 1, 1], 
     Hue[0.2817723189838374, 1, 1], 
     Hue[0.2820667666953895, 1, 1], 
     Hue[0.28236121440694156`, 1, 1], 
     Hue[0.28295010983004565`, 1, 1], 
     Hue[0.2841279006762538, 1, 1], 
     Hue[0.28648348236867033`, 1, 1], 
     Hue[0.29119464575350323`, 1, 1], 
     Hue[0.2914890934650553, 1, 1], 
     Hue[0.2917835411766073, 1, 1], 
     Hue[0.29237243659971146`, 1, 1], 
     Hue[0.29355022744591963`, 1, 1], 
     Hue[0.29590580913833614`, 1, 1], 
     Hue[0.30061697252316905`, 1, 1], 
     Hue[0.3009360552577504, 1, 1], 
     Hue[0.3012551379923319, 1, 1], 
     Hue[0.30189330346149473`, 1, 1], 
     Hue[0.3031696343998204, 1, 1], 
     Hue[0.30572229627647174`, 1, 1], 
     Hue[0.3108276200297744, 1, 1], 
     Hue[0.31114670276435585`, 1, 1], 
     Hue[0.3114657854989372, 1, 1], 
     Hue[0.31210395096810006`, 1, 1], 
     Hue[0.3133802819064257, 1, 1], 
     Hue[0.31593294378307707`, 1, 1], 
     Hue[0.32103826753637976`, 1, 1], 
     Hue[0.321351534730899, 1, 1], 
     Hue[0.32166480192541824`, 1, 1], 
     Hue[0.3222913363144566, 1, 1], 
     Hue[0.32354440509253346`, 1, 1], 
     Hue[0.3260505426486872, 1, 1], 
     Hue[0.33106281776099467`, 1, 1], 
     Hue[0.3313760849555139, 1, 1], 
     Hue[0.33168935215003315`, 1, 1], 
     Hue[0.3323158865390715, 1, 1], 
     Hue[0.3335689553171484, 1, 1], 
     Hue[0.3360750928733021, 1, 1], 
     Hue[0.34108736798560957`, 1, 1], 
     Hue[0.34137959435852083`, 1, 1], 
     Hue[0.34167182073143204`, 1, 1], 
     Hue[0.3422562734772545, 1, 1], 
     Hue[0.34342517896889946`, 1, 1], 
     Hue[0.34576298995218935`, 1, 1], 
     Hue[0.350438611918769, 1, 1], 
     Hue[0.3507308382916802, 1, 1], 
     Hue[0.35102306466459143`, 1, 1], 
     Hue[0.3516075174104139, 1, 1], 
     Hue[0.35277642290205885`, 1, 1], 
     Hue[0.35511423388534874`, 1, 1], 
     Hue[0.35978985585192846`, 1, 1], 
     Hue[0.360106717247869, 1, 1], 
     Hue[0.3604235786438097, 1, 1], 
     Hue[0.36105730143569087`, 1, 1], 
     Hue[0.3623247470194532, 1, 1], 
     Hue[0.364859638186978, 1, 1], 
     Hue[0.3651764995829186, 1, 1], 
     Hue[0.3654933609788592, 1, 1], 
     Hue[0.3661270837707403, 1, 1], 
     Hue[0.36739452935450273`, 1, 1], 
     Hue[0.3699294205220275, 1, 1], 
     Hue[0.3702462819179681, 1, 1], 
     Hue[0.3705631433139087, 1, 1], 
     Hue[0.37119686610578984`, 1, 1], 
     Hue[0.37246431168955224`, 1, 1], 
     Hue[0.37499920285707694`, 1, 1], 
     Hue[0.38006898519212645`, 1, 1], 
     Hue[0.38036480576645904`, 1, 1], 
     Hue[0.3806606263407917, 1, 1], 
     Hue[0.3812522674894569, 1, 1], 
     Hue[0.38243554978678734`, 1, 1], 
     Hue[0.38480211438144823`, 1, 1], 
     Hue[0.38509793495578076`, 1, 1], 
     Hue[0.38539375553011346`, 1, 1], 
     Hue[0.3859853966787787, 1, 1], 
     Hue[0.3871686789761091, 1, 1], 
     Hue[0.38953524357077, 1, 1], 
     Hue[0.38983106414510266`, 1, 1], 
     Hue[0.39012688471943524`, 1, 1], 
     Hue[0.39071852586810046`, 1, 1], 
     Hue[0.3919018081654309, 1, 1], 
     Hue[0.39426837276009186`, 1, 1], 
     Hue[0.39900150194941353`, 1, 1], 
     Hue[0.39929150698368404`, 1, 1], 
     Hue[0.39958151201795444`, 1, 1], 
     Hue[0.40016152208649525`, 1, 1], 
     Hue[0.40132154222357685`, 1, 1], 
     Hue[0.4036415824977401, 1, 1], 
     Hue[0.4039315875320105, 1, 1], 
     Hue[0.40422159256628093`, 1, 1], 
     Hue[0.40480160263482173`, 1, 1], 
     Hue[0.40596162277190334`, 1, 1], 
     Hue[0.40828166304606667`, 1, 1], 
     Hue[0.4085716680803371, 1, 1], 
     Hue[0.4088616731146075, 1, 1], 
     Hue[0.40944168318314833`, 1, 1], 
     Hue[0.41060170332022994`, 1, 1], 
     Hue[0.4129217435943932, 1, 1], 
     Hue[0.41756182414271975`, 1, 1], 
     Hue[0.41787646420001956`, 1, 1], 
     Hue[0.41819110425731926`, 1, 1], 
     Hue[0.4188203843719188, 1, 1], 
     Hue[0.42007894460111794`, 1, 1], 
     Hue[0.422596065059516, 1, 1], 
     Hue[0.42291070511681583`, 1, 1], 
     Hue[0.4232253451741156, 1, 1], 
     Hue[0.42385462528871515`, 1, 1], 
     Hue[0.4251131855179142, 1, 1], 
     Hue[0.4276303059763124, 1, 1], 
     Hue[0.42794494603361216`, 1, 1], 
     Hue[0.42825958609091197`, 1, 1], 
     Hue[0.4288888662055114, 1, 1], 
     Hue[0.4301474264347105, 1, 1], 
     Hue[0.4326645468931087, 1, 1], 
     Hue[0.43769878780990495`, 1, 1], 
     Hue[0.43799238704559673`, 1, 1], 
     Hue[0.4382859862812885, 1, 1], 
     Hue[0.43887318475267206`, 1, 1], 
     Hue[0.44004758169543917`, 1, 1], 
     Hue[0.4423963755809735, 1, 1], 
     Hue[0.4426899748166653, 1, 1], 
     Hue[0.44298357405235717`, 1, 1], 
     Hue[0.4435707725237407, 1, 1], 
     Hue[0.44474516946650783`, 1, 1], 
     Hue[0.4470939633520421, 1, 1], 
     Hue[0.4473875625877339, 1, 1], 
     Hue[0.44768116182342566`, 1, 1], 
     Hue[0.4482683602948092, 1, 1], 
     Hue[0.4494427572375764, 1, 1], 
     Hue[0.4517915511231107, 1, 1], 
     Hue[0.45648913889417925`, 1, 1], 
     Hue[0.45680737315290043`, 1, 1], 
     Hue[0.45712560741162156`, 1, 1], 
     Hue[0.4577620759290638, 1, 1], 
     Hue[0.4590350129639484, 1, 1], 
     Hue[0.4615808870337176, 1, 1], 
     Hue[0.46189912129243865`, 1, 1], 
     Hue[0.46221735555115984`, 1, 1], 
     Hue[0.46285382406860215`, 1, 1], 
     Hue[0.4641267611034868, 1, 1], 
     Hue[0.4666726351732559, 1, 1], 
     Hue[0.46699086943197704`, 1, 1], 
     Hue[0.4673091036906982, 1, 1], 
     Hue[0.46794557220814054`, 1, 1], 
     Hue[0.4692185092430251, 1, 1], 
     Hue[0.4717643833127943, 1, 1], 
     Hue[0.47208261757151543`, 1, 1], 
     Hue[0.4724008518302366, 1, 1], 
     Hue[0.4730373203476788, 1, 1], 
     Hue[0.4743102573825634, 1, 1], 
     Hue[0.4768561314523326, 1, 1], 
     Hue[0.4768656420513168, 1, 1], 
     Hue[0.47687515265030106`, 1, 1], 
     Hue[0.47689417384826965`, 1, 1], 
     Hue[0.4769322162442068, 1, 1], 
     Hue[0.4770083010360809, 1, 1], 
     Hue[0.47716047061982914`, 1, 1], 
     Hue[0.4771699812188133, 1, 1], 
     Hue[0.4771794918177976, 1, 1], 
     Hue[0.4771985130157662, 1, 1], 
     Hue[0.4772365554117033, 1, 1], 
     Hue[0.4773126402035774, 1, 1], 
     Hue[0.4773221508025617, 1, 1], 
     Hue[0.477331661401546, 1, 1], 
     Hue[0.47735068259951446`, 1, 1], 
     Hue[0.47738872499545154`, 1, 1], 
     Hue[0.4773982355944358, 1, 1], 
     Hue[0.4774077461934201, 1, 1], 
     Hue[0.4774267673913886, 1, 1], 
     Hue[0.4774362779903729, 1, 1], 
     Hue[0.4774457885893572, 1, 1], 
     Hue[0.47745529918834145`, 1, 1], 
     Hue[0.4774648097873257, 1, 1], 
     Hue[0.8243006381813883, 1, 1], 
     Hue[0.16604244666148624`, 1, 1], 
     Hue[0.5225351902126742, 1, 1], 
     Hue[0.5228280647634655, 1, 1], 
     Hue[0.5228280647634655, 1, 1], 
     Hue[0.5231209393142568, 1, 1], 
     Hue[0.5231209393142568, 1, 1], 
     Hue[0.5237066884158392, 1, 1], 
     Hue[0.5237066884158392, 1, 1], 
     Hue[0.524878186619004, 1, 1], 
     Hue[0.524878186619004, 1, 1], 
     Hue[0.5272211830253337, 1, 1], 
     Hue[0.5272211830253337, 1, 1], 
     Hue[0.527514057576125, 1, 1], 
     Hue[0.527514057576125, 1, 1], 
     Hue[0.5278069321269162, 1, 1], 
     Hue[0.5278069321269162, 1, 1], 
     Hue[0.5283926812284986, 1, 1], 
     Hue[0.5283926812284986, 1, 1], 
     Hue[0.5295641794316635, 1, 1], 
     Hue[0.5295641794316635, 1, 1], 
     Hue[0.5319071758379932, 1, 1], 
     Hue[0.5319071758379932, 1, 1], 
     Hue[0.5322000503887844, 1, 1], 
     Hue[0.5322000503887844, 1, 1], 
     Hue[0.5324929249395756, 1, 1], 
     Hue[0.5324929249395756, 1, 1], 
     Hue[0.5330786740411579, 1, 1], 
     Hue[0.5330786740411579, 1, 1], 
     Hue[0.5342501722443229, 1, 1], 
     Hue[0.5342501722443229, 1, 1], 
     Hue[0.5365931686506525, 1, 1], 
     Hue[0.5365931686506525, 1, 1], 
     Hue[0.5412791614633119, 1, 1], 
     Hue[0.5412791614633119, 1, 1], 
     Hue[0.5415966710371325, 1, 1], 
     Hue[0.5415966710371325, 1, 1], 
     Hue[0.5419141806109531, 1, 1], 
     Hue[0.5419141806109531, 1, 1], 
     Hue[0.5425491997585943, 1, 1], 
     Hue[0.5425491997585943, 1, 1], 
     Hue[0.5438192380538766, 1, 1], 
     Hue[0.5438192380538766, 1, 1], 
     Hue[0.5463593146444412, 1, 1], 
     Hue[0.5463593146444412, 1, 1], 
     Hue[0.5466768242182616, 1, 1], 
     Hue[0.5466768242182616, 1, 1], 
     Hue[0.5469943337920822, 1, 1], 
     Hue[0.5469943337920822, 1, 1], 
     Hue[0.5476293529397234, 1, 1], 
     Hue[0.5476293529397234, 1, 1], 
     Hue[0.5488993912350058, 1, 1], 
     Hue[0.5488993912350058, 1, 1], 
     Hue[0.5514394678255703, 1, 1], 
     Hue[0.5514394678255703, 1, 1], 
     Hue[0.5517569773993909, 1, 1], 
     Hue[0.5517569773993909, 1, 1], 
     Hue[0.5520744869732115, 1, 1], 
     Hue[0.5520744869732115, 1, 1], 
     Hue[0.5527095061208527, 1, 1], 
     Hue[0.5527095061208527, 1, 1], 
     Hue[0.5539795444161348, 1, 1], 
     Hue[0.5539795444161348, 1, 1], 
     Hue[0.5565196210066994, 1, 1], 
     Hue[0.5565196210066994, 1, 1], 
     Hue[0.5615997741878287, 1, 1], 
     Hue[0.5615997741878287, 1, 1], 
     Hue[0.5618962429400414, 1, 1], 
     Hue[0.5618962429400414, 1, 1], 
     Hue[0.5621927116922538, 1, 1], 
     Hue[0.5621927116922538, 1, 1], 
     Hue[0.5627856491966791, 1, 1], 
     Hue[0.5627856491966791, 1, 1], 
     Hue[0.5639715242055294, 1, 1], 
     Hue[0.5639715242055294, 1, 1], 
     Hue[0.5663432742232302, 1, 1], 
     Hue[0.5663432742232302, 1, 1], 
     Hue[0.5666397429754427, 1, 1], 
     Hue[0.5666397429754427, 1, 1], 
     Hue[0.5669362117276553, 1, 1], 
     Hue[0.5669362117276553, 1, 1], 
     Hue[0.5675291492320804, 1, 1], 
     Hue[0.5675291492320804, 1, 1], 
     Hue[0.5687150242409309, 1, 1], 
     Hue[0.5687150242409309, 1, 1], 
     Hue[0.5710867742586316, 1, 1], 
     Hue[0.5710867742586316, 1, 1], 
     Hue[0.5713832430108441, 1, 1], 
     Hue[0.5713832430108441, 1, 1], 
     Hue[0.5716797117630568, 1, 1], 
     Hue[0.5716797117630568, 1, 1], 
     Hue[0.5722726492674819, 1, 1], 
     Hue[0.5722726492674819, 1, 1], 
     Hue[0.5734585242763323, 1, 1], 
     Hue[0.5734585242763323, 1, 1], 
     Hue[0.575830274294033, 1, 1], 
     Hue[0.575830274294033, 1, 1], 
     Hue[0.5805737743294344, 1, 1], 
     Hue[0.5805737743294344, 1, 1], 
     Hue[0.5808644275415848, 1, 1], 
     Hue[0.5808644275415848, 1, 1], 
     Hue[0.5811550807537351, 1, 1], 
     Hue[0.5811550807537351, 1, 1], 
     Hue[0.5817363871780361, 1, 1], 
     Hue[0.5817363871780361, 1, 1], 
     Hue[0.5828990000266375, 1, 1], 
     Hue[0.5828990000266375, 1, 1], 
     Hue[0.5852242257238407, 1, 1], 
     Hue[0.5852242257238407, 1, 1], 
     Hue[0.585514878935991, 1, 1], 
     Hue[0.585514878935991, 1, 1], 
     Hue[0.5858055321481415, 1, 1], 
     Hue[0.5858055321481415, 1, 1], 
     Hue[0.5863868385724422, 1, 1], 
     Hue[0.5863868385724422, 1, 1], 
     Hue[0.5875494514210438, 1, 1], 
     Hue[0.5875494514210438, 1, 1], 
     Hue[0.5898746771182469, 1, 1], 
     Hue[0.5898746771182469, 1, 1], 
     Hue[0.5901653303303972, 1, 1], 
     Hue[0.5901653303303972, 1, 1], 
     Hue[0.5904559835425476, 1, 1], 
     Hue[0.5904559835425476, 1, 1], 
     Hue[0.5910372899668483, 1, 1], 
     Hue[0.5910372899668483, 1, 1], 
     Hue[0.5921999028154499, 1, 1], 
     Hue[0.5921999028154499, 1, 1], 
     Hue[0.594525128512653, 1, 1], 
     Hue[0.594525128512653, 1, 1], 
     Hue[0.5991755799070593, 1, 1], 
     Hue[0.5991755799070593, 1, 1], 
     Hue[0.5994908681422391, 1, 1], 
     Hue[0.5994908681422391, 1, 1], 
     Hue[0.5998061563774189, 1, 1], 
     Hue[0.5998061563774189, 1, 1], 
     Hue[0.6004367328477782, 1, 1], 
     Hue[0.6004367328477782, 1, 1], 
     Hue[0.6016978857884973, 1, 1], 
     Hue[0.6016978857884973, 1, 1], 
     Hue[0.6042201916699352, 1, 1], 
     Hue[0.6042201916699352, 1, 1], 
     Hue[0.604535479905115, 1, 1], 
     Hue[0.604535479905115, 1, 1], 
     Hue[0.6048507681402948, 1, 1], 
     Hue[0.6048507681402948, 1, 1], 
     Hue[0.6054813446106542, 1, 1], 
     Hue[0.6054813446106542, 1, 1], 
     Hue[0.6067424975513733, 1, 1], 
     Hue[0.6067424975513733, 1, 1], 
     Hue[0.6092648034328112, 1, 1], 
     Hue[0.6092648034328112, 1, 1], 
     Hue[0.609580091667991, 1, 1], 
     Hue[0.609580091667991, 1, 1], 
     Hue[0.6098953799031708, 1, 1], 
     Hue[0.6098953799031708, 1, 1], 
     Hue[0.6105259563735302, 1, 1], 
     Hue[0.6105259563735302, 1, 1], 
     Hue[0.6117871093142493, 1, 1], 
     Hue[0.6117871093142493, 1, 1], 
     Hue[0.6143094151956872, 1, 1], 
     Hue[0.6143094151956872, 1, 1], 
     Hue[0.6193540269585631, 1, 1], 
     Hue[0.6193540269585631, 1, 1], 
     Hue[0.619648274372135, 1, 1], 
     Hue[0.619648274372135, 1, 1], 
     Hue[0.6199425217857066, 1, 1], 
     Hue[0.6199425217857066, 1, 1], 
     Hue[0.6205310166128503, 1, 1], 
     Hue[0.6205310166128503, 1, 1], 
     Hue[0.6217080062671374, 1, 1], 
     Hue[0.6217080062671374, 1, 1], 
     Hue[0.6240619855757115, 1, 1], 
     Hue[0.6240619855757115, 1, 1], 
     Hue[0.6243562329892832, 1, 1], 
     Hue[0.6243562329892832, 1, 1], 
     Hue[0.624650480402855, 1, 1], 
     Hue[0.624650480402855, 1, 1], 
     Hue[0.6252389752299985, 1, 1], 
     Hue[0.6252389752299985, 1, 1], 
     Hue[0.6264159648842856, 1, 1], 
     Hue[0.6264159648842856, 1, 1], 
     Hue[0.6287699441928597, 1, 1], 
     Hue[0.6287699441928597, 1, 1], 
     Hue[0.6290641916064315, 1, 1], 
     Hue[0.6290641916064315, 1, 1], 
     Hue[0.6293584390200033, 1, 1], 
     Hue[0.6293584390200033, 1, 1], 
     Hue[0.6299469338471468, 1, 1], 
     Hue[0.6299469338471468, 1, 1], 
     Hue[0.6311239235014338, 1, 1], 
     Hue[0.6311239235014338, 1, 1], 
     Hue[0.6334779028100079, 1, 1], 
     Hue[0.6334779028100079, 1, 1], 
     Hue[0.6381858614271563, 1, 1], 
     Hue[0.6381858614271563, 1, 1], 
     Hue[0.6385047438637574, 1, 1], 
     Hue[0.6385047438637574, 1, 1], 
     Hue[0.6388236263003584, 1, 1], 
     Hue[0.6388236263003584, 1, 1], 
     Hue[0.6394613911735607, 1, 1], 
     Hue[0.6394613911735607, 1, 1], 
     Hue[0.6407369209199651, 1, 1], 
     Hue[0.6407369209199651, 1, 1], 
     Hue[0.6432879804127742, 1, 1], 
     Hue[0.6432879804127742, 1, 1], 
     Hue[0.6436068628493754, 1, 1], 
     Hue[0.6436068628493754, 1, 1], 
     Hue[0.6439257452859765, 1, 1], 
     Hue[0.6439257452859765, 1, 1], 
     Hue[0.6445635101591787, 1, 1], 
     Hue[0.6445635101591787, 1, 1], 
     Hue[0.6458390399055832, 1, 1], 
     Hue[0.6458390399055832, 1, 1], 
     Hue[0.6483900993983922, 1, 1], 
     Hue[0.6483900993983922, 1, 1], 
     Hue[0.6487089818349934, 1, 1], 
     Hue[0.6487089818349934, 1, 1], 
     Hue[0.6490278642715945, 1, 1], 
     Hue[0.6490278642715945, 1, 1], 
     Hue[0.6496656291447966, 1, 1], 
     Hue[0.6496656291447966, 1, 1], 
     Hue[0.6509411588912013, 1, 1], 
     Hue[0.6509411588912013, 1, 1], 
     Hue[0.6534922183840102, 1, 1], 
     Hue[0.6534922183840102, 1, 1], 
     Hue[0.6585943373696282, 1, 1], 
     Hue[0.6585943373696282, 1, 1], 
     Hue[0.6589074042661671, 1, 1], 
     Hue[0.6589074042661671, 1, 1], 
     Hue[0.6592204711627061, 1, 1], 
     Hue[0.6592204711627061, 1, 1], 
     Hue[0.6598466049557838, 1, 1], 
     Hue[0.6598466049557838, 1, 1], 
     Hue[0.6610988725419396, 1, 1], 
     Hue[0.6610988725419396, 1, 1], 
     Hue[0.663603407714251, 1, 1], 
     Hue[0.663603407714251, 1, 1], 
     Hue[0.6686124780588738, 1, 1], 
     Hue[0.6686124780588738, 1, 1], 
     Hue[0.6689255449554127, 1, 1], 
     Hue[0.6689255449554127, 1, 1], 
     Hue[0.6692386118519515, 1, 1], 
     Hue[0.6692386118519515, 1, 1], 
     Hue[0.6698647456450295, 1, 1], 
     Hue[0.6698647456450295, 1, 1], 
     Hue[0.6711170132311852, 1, 1], 
     Hue[0.6711170132311852, 1, 1], 
     Hue[0.6736215484034966, 1, 1], 
     Hue[0.6736215484034966, 1, 1], 
     Hue[0.6786306187481195, 1, 1], 
     Hue[0.6786306187481195, 1, 1], 
     Hue[0.6789226448230503, 1, 1], 
     Hue[0.6789226448230503, 1, 1], 
     Hue[0.6792146708979814, 1, 1], 
     Hue[0.6792146708979814, 1, 1], 
     Hue[0.6797987230478432, 1, 1], 
     Hue[0.6797987230478432, 1, 1], 
     Hue[0.680966827347567, 1, 1], 
     Hue[0.680966827347567, 1, 1], 
     Hue[0.6833030359470145, 1, 1], 
     Hue[0.6833030359470145, 1, 1], 
     Hue[0.6879754531459095, 1, 1], 
     Hue[0.6879754531459095, 1, 1], 
     Hue[0.6882674792208405, 1, 1], 
     Hue[0.6882674792208405, 1, 1], 
     Hue[0.6885595052957714, 1, 1], 
     Hue[0.6885595052957714, 1, 1], 
     Hue[0.6891435574456333, 1, 1], 
     Hue[0.6891435574456333, 1, 1], 
     Hue[0.6903116617453571, 1, 1], 
     Hue[0.6903116617453571, 1, 1], 
     Hue[0.6926478703448046, 1, 1], 
     Hue[0.6926478703448046, 1, 1], 
     Hue[0.6973202875436997, 1, 1], 
     Hue[0.6973202875436997, 1, 1], 
     Hue[0.6976369486416599, 1, 1], 
     Hue[0.6976369486416599, 1, 1], 
     Hue[0.6979536097396202, 1, 1], 
     Hue[0.6979536097396202, 1, 1], 
     Hue[0.6985869319355408, 1, 1], 
     Hue[0.6985869319355408, 1, 1], 
     Hue[0.6998535763273821, 1, 1], 
     Hue[0.6998535763273821, 1, 1], 
     Hue[0.7023868651110645, 1, 1], 
     Hue[0.7023868651110645, 1, 1], 
     Hue[0.7074534426784292, 1, 1], 
     Hue[0.7074534426784292, 1, 1], 
     Hue[0.7077701037763895, 1, 1], 
     Hue[0.7077701037763895, 1, 1], 
     Hue[0.7080867648743498, 1, 1], 
     Hue[0.7080867648743498, 1, 1], 
     Hue[0.7087200870702705, 1, 1], 
     Hue[0.7087200870702705, 1, 1], 
     Hue[0.7099867314621117, 1, 1], 
     Hue[0.7099867314621117, 1, 1], 
     Hue[0.712520020245794, 1, 1], 
     Hue[0.712520020245794, 1, 1], 
     Hue[0.7175865978131588, 1, 1], 
     Hue[0.7175865978131588, 1, 1], 
     Hue[0.7178822180895112, 1, 1], 
     Hue[0.7178822180895112, 1, 1], 
     Hue[0.7181778383658635, 1, 1], 
     Hue[0.7181778383658635, 1, 1], 
     Hue[0.7187690789185681, 1, 1], 
     Hue[0.7187690789185681, 1, 1], 
     Hue[0.7199515600239774, 1, 1], 
     Hue[0.7199515600239774, 1, 1], 
     Hue[0.722316522234796, 1, 1], 
     Hue[0.722316522234796, 1, 1], 
     Hue[0.727046446656433, 1, 1], 
     Hue[0.727046446656433, 1, 1], 
     Hue[0.7273420669327854, 1, 1], 
     Hue[0.7273420669327854, 1, 1], 
     Hue[0.7276376872091377, 1, 1], 
     Hue[0.7276376872091377, 1, 1], 
     Hue[0.7282289277618423, 1, 1], 
     Hue[0.7282289277618423, 1, 1], 
     Hue[0.7294114088672516, 1, 1], 
     Hue[0.7294114088672516, 1, 1], 
     Hue[0.7317763710780701, 1, 1], 
     Hue[0.7317763710780701, 1, 1], 
     Hue[0.7365062954997073, 1, 1], 
     Hue[0.7365062954997073, 1, 1], 
     Hue[0.7367961002359974, 1, 1], 
     Hue[0.7367961002359974, 1, 1], 
     Hue[0.7370859049722875, 1, 1], 
     Hue[0.7370859049722875, 1, 1], 
     Hue[0.7376655144448678, 1, 1], 
     Hue[0.7376655144448678, 1, 1], 
     Hue[0.7388247333900282, 1, 1], 
     Hue[0.7388247333900282, 1, 1], 
     Hue[0.7411431712803491, 1, 1], 
     Hue[0.7411431712803491, 1, 1], 
     Hue[0.745780047060991, 1, 1], 
     Hue[0.745780047060991, 1, 1], 
     Hue[0.7460698517972811, 1, 1], 
     Hue[0.7460698517972811, 1, 1], 
     Hue[0.7463596565335713, 1, 1], 
     Hue[0.7463596565335713, 1, 1], 
     Hue[0.7469392660061515, 1, 1], 
     Hue[0.7469392660061515, 1, 1], 
     Hue[0.7480984849513119, 1, 1], 
     Hue[0.7480984849513119, 1, 1], 
     Hue[0.7504169228416329, 1, 1], 
     Hue[0.7504169228416329, 1, 1], 
     Hue[0.7550537986222747, 1, 1], 
     Hue[0.7550537986222747, 1, 1], 
     Hue[0.7553682383815943, 1, 1], 
     Hue[0.7553682383815943, 1, 1], 
     Hue[0.7556826781409137, 1, 1], 
     Hue[0.7556826781409137, 1, 1], 
     Hue[0.7563115576595526, 1, 1], 
     Hue[0.7563115576595526, 1, 1], 
     Hue[0.7575693166968306, 1, 1], 
     Hue[0.7575693166968306, 1, 1], 
     Hue[0.7600848347713863, 1, 1], 
     Hue[0.7600848347713863, 1, 1], 
     Hue[0.7651158709204979, 1, 1], 
     Hue[0.7651158709204979, 1, 1], 
     Hue[0.7654303106798175, 1, 1], 
     Hue[0.7654303106798175, 1, 1], 
     Hue[0.7657447504391369, 1, 1], 
     Hue[0.7657447504391369, 1, 1], 
     Hue[0.7663736299577759, 1, 1], 
     Hue[0.7663736299577759, 1, 1], 
     Hue[0.7676313889950538, 1, 1], 
     Hue[0.7676313889950538, 1, 1], 
     Hue[0.7701469070696096, 1, 1], 
     Hue[0.7701469070696096, 1, 1], 
     Hue[0.7751779432187212, 1, 1], 
     Hue[0.7751779432187212, 1, 1], 
     Hue[0.7754713421564328, 1, 1], 
     Hue[0.7754713421564328, 1, 1], 
     Hue[0.7757647410941442, 1, 1], 
     Hue[0.7757647410941442, 1, 1], 
     Hue[0.7763515389695672, 1, 1], 
     Hue[0.7763515389695672, 1, 1], 
     Hue[0.7775251347204132, 1, 1], 
     Hue[0.7775251347204132, 1, 1], 
     Hue[0.7798723262221052, 1, 1], 
     Hue[0.7798723262221052, 1, 1], 
     Hue[0.7845667092254891, 1, 1], 
     Hue[0.7845667092254891, 1, 1], 
     Hue[0.7939554752322568, 1, 1], 
     Hue[0.7939554752322568, 1, 1], 
     Hue[0.7942735091929977, 1, 1], 
     Hue[0.7942735091929977, 1, 1], 
     Hue[0.7945915431537385, 1, 1], 
     Hue[0.7945915431537385, 1, 1], 
     Hue[0.7952276110752202, 1, 1], 
     Hue[0.7952276110752202, 1, 1], 
     Hue[0.7964997469181836, 1, 1], 
     Hue[0.7964997469181836, 1, 1], 
     Hue[0.7990440186041106, 1, 1], 
     Hue[0.7990440186041106, 1, 1], 
     Hue[0.8041325619759642, 1, 1], 
     Hue[0.8041325619759642, 1, 1], 
     Hue[0.8143096487196715, 1, 1], 
     Hue[0.8143096487196715, 1, 1], 
     Hue[0.8146218671403501, 1, 1], 
     Hue[0.8146218671403501, 1, 1], 
     Hue[0.8149340855610288, 1, 1], 
     Hue[0.8149340855610288, 1, 1], 
     Hue[0.8155585224023861, 1, 1], 
     Hue[0.8155585224023861, 1, 1], 
     Hue[0.8168073960851008, 1, 1], 
     Hue[0.8168073960851008, 1, 1], 
     Hue[0.81930514345053, 1, 1], 
     Hue[0.81930514345053, 1, 1], 
     Hue[0.8243006381813883, 1, 1], 
     Hue[0.8243006381813883, 1, 1], 
     Hue[0.8342916276431052, 1, 1], 
     Hue[0.8342916276431052, 1, 1], 
     Hue[0.8529269939836281, 1, 1], 
     Hue[0.8529269939836281, 1, 1], 
     Hue[0.8731390017980301, 1, 1], 
     Hue[0.8731390017980301, 1, 1], 
     Hue[0.8920043970295211, 1, 1], 
     Hue[0.8920043970295211, 1, 1], 
     Hue[0.9124464337348911, 1, 1], 
     Hue[0.9124464337348911, 1, 1], 
     Hue[0.9127600250183503, 1, 1], 
     Hue[0.9127600250183503, 1, 1], 
     Hue[0.9130736163018095, 1, 1], 
     Hue[0.9130736163018095, 1, 1], 
     Hue[0.9137007988687279, 1, 1], 
     Hue[0.9137007988687279, 1, 1], 
     Hue[0.9149551640025647, 1, 1], 
     Hue[0.9149551640025647, 1, 1], 
     Hue[0.9174638942702383, 1, 1], 
     Hue[0.9174638942702383, 1, 1], 
     Hue[0.9224813548055857, 1, 1], 
     Hue[0.9224813548055857, 1, 1], 
     Hue[0.9325162758762802, 1, 1], 
     Hue[0.9325162758762802, 1, 1], 
     Hue[0.9328088263381314, 1, 1], 
     Hue[0.9328088263381314, 1, 1], 
     Hue[0.9331013767999826, 1, 1], 
     Hue[0.9331013767999826, 1, 1], 
     Hue[0.9336864777236851, 1, 1], 
     Hue[0.9336864777236851, 1, 1], 
     Hue[0.93485667957109, 1, 1], 
     Hue[0.93485667957109, 1, 1], 
     Hue[0.9371970832658998, 1, 1], 
     Hue[0.9371970832658998, 1, 1], 
     Hue[0.9418778906555193, 1, 1], 
     Hue[0.9418778906555193, 1, 1], 
     Hue[0.9421704411173706, 1, 1], 
     Hue[0.9421704411173706, 1, 1], 
     Hue[0.9424629915792218, 1, 1], 
     Hue[0.9424629915792218, 1, 1], 
     Hue[0.9430480925029242, 1, 1], 
     Hue[0.9430480925029242, 1, 1], 
     Hue[0.9442182943503291, 1, 1], 
     Hue[0.9442182943503291, 1, 1], 
     Hue[0.9465586980451389, 1, 1], 
     Hue[0.9465586980451389, 1, 1], 
     Hue[0.9512395054347584, 1, 1], 
     Hue[0.9512395054347584, 1, 1], 
     Hue[0.951556690919639, 1, 1], 
     Hue[0.951556690919639, 1, 1], 
     Hue[0.9518738764045196, 1, 1], 
     Hue[0.9518738764045196, 1, 1], 
     Hue[0.9525082473742807, 1, 1], 
     Hue[0.9525082473742807, 1, 1], 
     Hue[0.9537769893138032, 1, 1], 
     Hue[0.9537769893138032, 1, 1], 
     Hue[0.9563144731928478, 1, 1], 
     Hue[0.9563144731928478, 1, 1], 
     Hue[0.9566316586777284, 1, 1], 
     Hue[0.9566316586777284, 1, 1], 
     Hue[0.956948844162609, 1, 1], 
     Hue[0.956948844162609, 1, 1], 
     Hue[0.9575832151323701, 1, 1], 
     Hue[0.9575832151323701, 1, 1], 
     Hue[0.9588519570718924, 1, 1], 
     Hue[0.9588519570718924, 1, 1], 
     Hue[0.9613894409509371, 1, 1], 
     Hue[0.9613894409509371, 1, 1], 
     Hue[0.9617066264358177, 1, 1], 
     Hue[0.9617066264358177, 1, 1], 
     Hue[0.9620238119206983, 1, 1], 
     Hue[0.9620238119206983, 1, 1], 
     Hue[0.9626581828904595, 1, 1], 
     Hue[0.9626581828904595, 1, 1], 
     Hue[0.9639269248299818, 1, 1], 
     Hue[0.9639269248299818, 1, 1], 
     Hue[0.9664644087090264, 1, 1], 
     Hue[0.9664644087090264, 1, 1], 
     Hue[0.9715393764671157, 1, 1], 
     Hue[0.9715393764671157, 1, 1], 
     Hue[0.9718355211303884, 1, 1], 
     Hue[0.9718355211303884, 1, 1], 
     Hue[0.972131665793661, 1, 1], 
     Hue[0.972131665793661, 1, 1], 
     Hue[0.9727239551202062, 1, 1], 
     Hue[0.9727239551202062, 1, 1], 
     Hue[0.9739085337732966, 1, 1], 
     Hue[0.9739085337732966, 1, 1], 
     Hue[0.9762776910794774, 1, 1], 
     Hue[0.9762776910794774, 1, 1], 
     Hue[0.9765738357427499, 1, 1], 
     Hue[0.9765738357427499, 1, 1], 
     Hue[0.9768699804060226, 1, 1], 
     Hue[0.9768699804060226, 1, 1], 
     Hue[0.9774622697325678, 1, 1], 
     Hue[0.9774622697325678, 1, 1], 
     Hue[0.9786468483856582, 1, 1], 
     Hue[0.9786468483856582, 1, 1], 
     Hue[0.981016005691839, 1, 1], 
     Hue[0.981016005691839, 1, 1], 
     Hue[0.9813121503551115, 1, 1], 
     Hue[0.9813121503551115, 1, 1], 
     Hue[0.9816082950183842, 1, 1], 
     Hue[0.9816082950183842, 1, 1], 
     Hue[0.9822005843449294, 1, 1], 
     Hue[0.9822005843449294, 1, 1], 
     Hue[0.9833851629980198, 1, 1], 
     Hue[0.9833851629980198, 1, 1], 
     Hue[0.9836813076612924, 1, 1], 
     Hue[0.9836813076612924, 1, 1], 
     Hue[0.983977452324565, 1, 1], 
     Hue[0.983977452324565, 1, 1], 
     Hue[0.9845697416511102, 1, 1], 
     Hue[0.9845697416511102, 1, 1], 
     Hue[0.9857543203042005, 1, 1], 
     Hue[0.9857543203042005, 1, 1], 
     Hue[0.9860504649674732, 1, 1], 
     Hue[0.9860504649674732, 1, 1], 
     Hue[0.9863466096307457, 1, 1], 
     Hue[0.9863466096307457, 1, 1], 
     Hue[0.9869388989572909, 1, 1], 
     Hue[0.9869388989572909, 1, 1], 
     Hue[0.9881234776103813, 1, 1], 
     Hue[0.9881234776103813, 1, 1], 
     Hue[0.988419622273654, 1, 1], 
     Hue[0.988419622273654, 1, 1], 
     Hue[0.9887157669369265, 1, 1], 
     Hue[0.9887157669369265, 1, 1], 
     Hue[0.9893080562634717, 1, 1], 
     Hue[0.9893080562634717, 1, 1], 
     Hue[0.9904926349165621, 1, 1], 
     Hue[0.9904926349165621, 1, 1], 
     Hue[0.9907829640397726, 1, 1], 
     Hue[0.9907829640397726, 1, 1], 
     Hue[0.991073293162983, 1, 1], 
     Hue[0.991073293162983, 1, 1], 
     Hue[0.9916539514094037, 1, 1], 
     Hue[0.9916539514094037, 1, 1], 
     Hue[0.9919442805326142, 1, 1], 
     Hue[0.9919442805326142, 1, 1], 
     Hue[0.9922346096558246, 1, 1], 
     Hue[0.9922346096558246, 1, 1], 
     Hue[0.9928152679022454, 1, 1], 
     Hue[0.9928152679022454, 1, 1], 
     Hue[0.9931055970254558, 1, 1], 
     Hue[0.9931055970254558, 1, 1], 
     Hue[0.9933959261486661, 1, 1], 
     Hue[0.9933959261486661, 1, 1], 
     Hue[0.993976584395087, 1, 1], 
     Hue[0.993976584395087, 1, 1], 
     Hue[0.9942669135182973, 1, 1], 
     Hue[0.9942669135182973, 1, 1], 
     Hue[0.9945572426415078, 1, 1], 
     Hue[0.9945572426415078, 1, 1], 
     Hue[0.9951379008879285, 1, 1], 
     Hue[0.9951379008879285, 1, 1], 
     Hue[0.9954282300111389, 1, 1], 
     Hue[0.9954282300111389, 1, 1], 
     Hue[0.9957185591343494, 1, 1], 
     Hue[0.9957185591343494, 1, 1], 
     Hue[0.9960088882575597, 1, 1], 
     Hue[0.9960088882575597, 1, 1], 
     Hue[0.9962992173807701, 1, 1], 
     Hue[0.9962992173807701, 1, 1], 
     Hue[0.9965895465039806, 1, 1], 
     Hue[0.9965895465039806, 1, 1], 
     Hue[0.9968798756271909, 1, 1], 
     Hue[0.9968798756271909, 1, 1], 
     Hue[0.9971702047504013, 1, 1], 
     Hue[0.9971702047504013, 1, 1], 
     Hue[0.9974605338736118, 1, 1], 
     Hue[0.9974605338736118, 1, 1], 
     Hue[0.9977508629968221, 1, 1], 
     Hue[0.9977508629968221, 1, 1], 
     Hue[0.9980411921200325, 1, 1], 
     Hue[0.9980411921200325, 1, 1], 
     Hue[0.9983315212432429, 1, 1], 
     Hue[0.9983315212432429, 1, 1], 
     Hue[0.9986218503664533, 1, 1], 
     Hue[0.9986218503664533, 1, 1], 
     Hue[0.9989121794896637, 1, 1], 
     Hue[0.9989121794896637, 1, 1], 
     Hue[0.9992025086128741, 1, 1], 
     Hue[0.9992025086128741, 1, 1], 
     Hue[0.9994928377360845, 1, 1], 
     Hue[0.9994928377360845, 1, 1], 
     Hue[0.9997831668592949, 1, 1], 
     Hue[0.9997831668592949, 1, 1], 
     Hue[0.00007349598250531426, 1, 1], 
     Hue[0.00007349598250531426, 1, 1], 
     Hue[0.0003638251057157126, 1, 1], 
     Hue[0.0003638251057157126, 1, 1], 
     Hue[0.000654154228926111, 1, 1], 
     Hue[0.000654154228926111, 1, 1], 
     Hue[0.0009444833521365093, 1, 1], 
     Hue[0.0009444833521365093, 1, 1], 
     Hue[0.0012348124753469082`, 1, 1], 
     Hue[0.0012348124753469082`, 1, 1], 
     Hue[0.0015251415985573062`, 1, 1], 
     Hue[0.0015251415985573062`, 1, 1], 
     Hue[0.0018154707217677046`, 1, 1], 
     Hue[0.0018154707217677046`, 1, 1], 
     Hue[0.002105799844978103, 1, 1], 
     Hue[0.002105799844978103, 1, 1], 
     Hue[0.0023961289681885016`, 1, 1], 
     Hue[0.0023961289681885016`, 1, 1], 
     Hue[0.0026864580913989, 1, 1], 
     Hue[0.0026864580913989, 1, 1], 
     Hue[0.0029767872146092985`, 1, 1], 
     Hue[0.0029767872146092985`, 1, 1], 
     Hue[0.0032671163378196963`, 1, 1], 
     Hue[0.0032671163378196963`, 1, 1], 
     Hue[0.0035574454610300954`, 1, 1], 
     Hue[0.0035574454610300954`, 1, 1], 
     Hue[0.003847774584240494, 1, 1], 
     Hue[0.003847774584240494, 1, 1], 
     Hue[0.00442843283066129, 1, 1], 
     Hue[0.00442843283066129, 1, 1], 
     Hue[0.004718761953871688, 1, 1], 
     Hue[0.004718761953871688, 1, 1], 
     Hue[0.005009091077082087, 1, 1], 
     Hue[0.005009091077082087, 1, 1], 
     Hue[0.005589749323502884, 1, 1], 
     Hue[0.005589749323502884, 1, 1], 
     Hue[0.005880078446713281, 1, 1], 
     Hue[0.005880078446713281, 1, 1], 
     Hue[0.00617040756992368, 1, 1], 
     Hue[0.00617040756992368, 1, 1], 
     Hue[0.006751065816344476, 1, 1], 
     Hue[0.006751065816344476, 1, 1], 
     Hue[0.007041394939554875, 1, 1], 
     Hue[0.007041394939554875, 1, 1], 
     Hue[0.007331724062765273, 1, 1], 
     Hue[0.007331724062765273, 1, 1], 
     Hue[0.00791238230918607, 1, 1], 
     Hue[0.00791238230918607, 1, 1], 
     Hue[0.009073698802027665, 1, 1], 
     Hue[0.009073698802027665, 1, 1], 
     Hue[0.009388662948267422, 1, 1], 
     Hue[0.009388662948267422, 1, 1], 
     Hue[0.00970362709450718, 1, 1], 
     Hue[0.00970362709450718, 1, 1], 
     Hue[0.010333555386986699`, 1, 1], 
     Hue[0.010333555386986699`, 1, 1], 
     Hue[0.01159341197194573, 1, 1], 
     Hue[0.01159341197194573, 1, 1], 
     Hue[0.011908376118185487`, 1, 1], 
     Hue[0.011908376118185487`, 1, 1], 
     Hue[0.012223340264425247`, 1, 1], 
     Hue[0.012223340264425247`, 1, 1], 
     Hue[0.012853268556904763`, 1, 1], 
     Hue[0.012853268556904763`, 1, 1], 
     Hue[0.014113125141863797`, 1, 1], 
     Hue[0.014113125141863797`, 1, 1], 
     Hue[0.014428089288103553`, 1, 1], 
     Hue[0.014428089288103553`, 1, 1], 
     Hue[0.014743053434343312`, 1, 1], 
     Hue[0.014743053434343312`, 1, 1], 
     Hue[0.015372981726822825`, 1, 1], 
     Hue[0.015372981726822825`, 1, 1], 
     Hue[0.01663283831178186, 1, 1], 
     Hue[0.01663283831178186, 1, 1], 
     Hue[0.01915255148169993, 1, 1], 
     Hue[0.01915255148169993, 1, 1], 
     Hue[0.019467515627939688`, 1, 1], 
     Hue[0.019467515627939688`, 1, 1], 
     Hue[0.01978247977417945, 1, 1], 
     Hue[0.01978247977417945, 1, 1], 
     Hue[0.020412408066658963`, 1, 1], 
     Hue[0.020412408066658963`, 1, 1], 
     Hue[0.021672264651618, 1, 1], 
     Hue[0.021672264651618, 1, 1], 
     Hue[0.024191977821536065`, 1, 1], 
     Hue[0.024191977821536065`, 1, 1], 
     Hue[0.024506941967775826`, 1, 1], 
     Hue[0.024506941967775826`, 1, 1], 
     Hue[0.024821906114015576`, 1, 1], 
     Hue[0.024821906114015576`, 1, 1], 
     Hue[0.025451834406495105`, 1, 1], 
     Hue[0.025451834406495105`, 1, 1], 
     Hue[0.026711690991454137`, 1, 1], 
     Hue[0.026711690991454137`, 1, 1], 
     Hue[0.029231404161372203`, 1, 1], 
     Hue[0.029231404161372203`, 1, 1], 
     Hue[0.029525327486003974`, 1, 1], 
     Hue[0.029525327486003974`, 1, 1], 
     Hue[0.029819250810635748`, 1, 1], 
     Hue[0.029819250810635748`, 1, 1], 
     Hue[0.030407097459899307`, 1, 1], 
     Hue[0.030407097459899307`, 1, 1], 
     Hue[0.03158279075842641, 1, 1], 
     Hue[0.03158279075842641, 1, 1], 
     Hue[0.03393417735548061, 1, 1], 
     Hue[0.03393417735548061, 1, 1], 
     Hue[0.03863695054958902, 1, 1], 
     Hue[0.03863695054958902, 1, 1], 
     Hue[0.0389308738742208, 1, 1], 
     Hue[0.0389308738742208, 1, 1], 
     Hue[0.03922479719885257, 1, 1], 
     Hue[0.03922479719885257, 1, 1], 
     Hue[0.03981264384811612, 1, 1], 
     Hue[0.03981264384811612, 1, 1], 
     Hue[0.04098833714664324, 1, 1], 
     Hue[0.04098833714664324, 1, 1], 
     Hue[0.043339723743697434`, 1, 1], 
     Hue[0.043339723743697434`, 1, 1], 
     Hue[0.048042496937805844`, 1, 1], 
     Hue[0.048042496937805844`, 1, 1], 
     Hue[0.048361055285466976`, 1, 1], 
     Hue[0.048361055285466976`, 1, 1], 
     Hue[0.048679613633128116`, 1, 1], 
     Hue[0.048679613633128116`, 1, 1], 
     Hue[0.04931673032845038, 1, 1], 
     Hue[0.04931673032845038, 1, 1], 
     Hue[0.05059096371909493, 1, 1], 
     Hue[0.05059096371909493, 1, 1], 
     Hue[0.05313943050038401, 1, 1], 
     Hue[0.05313943050038401, 1, 1], 
     Hue[0.05823636406296217, 1, 1], 
     Hue[0.05823636406296217, 1, 1], 
     Hue[0.06843023118811851, 1, 1], 
     Hue[0.06843023118811851, 1, 1], 
     Hue[0.06874297399571747, 1, 1], 
     Hue[0.06874297399571747, 1, 1], 
     Hue[0.06905571680331637, 1, 1], 
     Hue[0.06905571680331637, 1, 1], 
     Hue[0.06968120241851426, 1, 1], 
     Hue[0.06968120241851426, 1, 1], 
     Hue[0.07093217364891001, 1, 1], 
     Hue[0.07093217364891001, 1, 1], 
     Hue[0.07343411610970146, 1, 1], 
     Hue[0.07343411610970146, 1, 1], 
     Hue[0.0784380010312844, 1, 1], 
     Hue[0.0784380010312844, 1, 1], 
     Hue[0.08844577087445032, 1, 1], 
     Hue[0.08844577087445032, 1, 1], 
     Hue[0.10711469797787121`, 1, 1], 
     Hue[0.10711469797787121`, 1, 1], 
     Hue[0.12736026655517113`, 1, 1], 
     Hue[0.12736026655517113`, 1, 1], 
     Hue[0.14625922254956017`, 1, 1], 
     Hue[0.14625922254956017`, 1, 1], 
     Hue[0.16478598397996827`, 1, 1], 
     Hue[0.16478598397996827`, 1, 1], 
     Hue[0.16510009965034775`, 1, 1], 
     Hue[0.16510009965034775`, 1, 1], 
     Hue[0.16541421532072728`, 1, 1], 
     Hue[0.16541421532072728`, 1, 1], 
     Hue[0.16604244666148624`, 1, 1], 
     Hue[0.16604244666148624`, 1, 1], 
     Hue[0.16729890934300415`, 1, 1], 
     Hue[0.16729890934300415`, 1, 1], 
     Hue[0.16981183470604008`, 1, 1], 
     Hue[0.16981183470604008`, 1, 1], 
     Hue[0.17483768543211187`, 1, 1], 
     Hue[0.17483768543211187`, 1, 1], 
     Hue[0.1848893868842554, 1, 1], 
     Hue[0.1848893868842554, 1, 1], 
     Hue[0.18518246173302694`, 1, 1], 
     Hue[0.18518246173302694`, 1, 1], 
     Hue[0.1854755365817984, 1, 1], 
     Hue[0.1854755365817984, 1, 1], 
     Hue[0.18606168627934142`, 1, 1], 
     Hue[0.18606168627934142`, 1, 1], 
     Hue[0.18723398567442745`, 1, 1], 
     Hue[0.18723398567442745`, 1, 1], 
     Hue[0.1895785844645995, 1, 1], 
     Hue[0.1895785844645995, 1, 1], 
     Hue[0.19426778204494352`, 1, 1], 
     Hue[0.19426778204494352`, 1, 1], 
     Hue[0.20364617720563166`, 1, 1], 
     Hue[0.20364617720563166`, 1, 1], 
     Hue[0.20396388707743252`, 1, 1], 
     Hue[0.20396388707743252`, 1, 1], 
     Hue[0.20428159694923337`, 1, 1], 
     Hue[0.20428159694923337`, 1, 1], 
     Hue[0.2049170166928351, 1, 1], 
     Hue[0.2049170166928351, 1, 1], 
     Hue[0.20618785618003857`, 1, 1], 
     Hue[0.20618785618003857`, 1, 1], 
     Hue[0.20872953515444548`, 1, 1], 
     Hue[0.20872953515444548`, 1, 1], 
     Hue[0.21381289310325932`, 1, 1], 
     Hue[0.21381289310325932`, 1, 1], 
     Hue[0.21413060297506017`, 1, 1], 
     Hue[0.21413060297506017`, 1, 1], 
     Hue[0.21444831284686106`, 1, 1], 
     Hue[0.21444831284686106`, 1, 1], 
     Hue[0.2150837325904628, 1, 1], 
     Hue[0.2150837325904628, 1, 1], 
     Hue[0.2163545720776662, 1, 1], 
     Hue[0.2163545720776662, 1, 1], 
     Hue[0.21889625105207317`, 1, 1], 
     Hue[0.21889625105207317`, 1, 1], 
     Hue[0.22397960900088695`, 1, 1], 
     Hue[0.22397960900088695`, 1, 1], 
     Hue[0.22427627805107986`, 1, 1], 
     Hue[0.22427627805107986`, 1, 1], 
     Hue[0.2245729471012727, 1, 1], 
     Hue[0.2245729471012727, 1, 1], 
     Hue[0.22516628520165846`, 1, 1], 
     Hue[0.22516628520165846`, 1, 1], 
     Hue[0.22635296140243003`, 1, 1], 
     Hue[0.22635296140243003`, 1, 1], 
     Hue[0.22872631380397307`, 1, 1], 
     Hue[0.22872631380397307`, 1, 1], 
     Hue[0.23347301860705919`, 1, 1], 
     Hue[0.23347301860705919`, 1, 1], 
     Hue[0.2337696876572521, 1, 1], 
     Hue[0.2337696876572521, 1, 1], 
     Hue[0.23406635670744494`, 1, 1], 
     Hue[0.23406635670744494`, 1, 1], 
     Hue[0.2346596948078307, 1, 1], 
     Hue[0.2346596948078307, 1, 1], 
     Hue[0.23584637100860226`, 1, 1], 
     Hue[0.23584637100860226`, 1, 1], 
     Hue[0.2382197234101453, 1, 1], 
     Hue[0.2382197234101453, 1, 1], 
     Hue[0.2429664282132314, 1, 1], 
     Hue[0.2429664282132314, 1, 1], 
     Hue[0.24325728172336203`, 1, 1], 
     Hue[0.24325728172336203`, 1, 1], 
     Hue[0.24354813523349272`, 1, 1], 
     Hue[0.24354813523349272`, 1, 1], 
     Hue[0.2441298422537541, 1, 1], 
     Hue[0.2441298422537541, 1, 1], 
     Hue[0.24529325629427684`, 1, 1], 
     Hue[0.24529325629427684`, 1, 1], 
     Hue[0.2476200843753223, 1, 1], 
     Hue[0.2476200843753223, 1, 1], 
     Hue[0.25227374053741314`, 1, 1], 
     Hue[0.25227374053741314`, 1, 1], 
     Hue[0.2525645940475438, 1, 1], 
     Hue[0.2525645940475438, 1, 1], 
     Hue[0.2528554475576745, 1, 1], 
     Hue[0.2528554475576745, 1, 1], 
     Hue[0.2534371545779358, 1, 1], 
     Hue[0.2534371545779358, 1, 1], 
     Hue[0.25460056861845853`, 1, 1], 
     Hue[0.25460056861845853`, 1, 1], 
     Hue[0.256927396699504, 1, 1], 
     Hue[0.256927396699504, 1, 1], 
     Hue[0.26158105286159483`, 1, 1], 
     Hue[0.26158105286159483`, 1, 1], 
     Hue[0.2618965413947549, 1, 1], 
     Hue[0.2618965413947549, 1, 1], 
     Hue[0.2622120299279149, 1, 1], 
     Hue[0.2622120299279149, 1, 1], 
     Hue[0.262843006994235, 1, 1], 
     Hue[0.262843006994235, 1, 1], 
     Hue[0.26410496112687515`, 1, 1], 
     Hue[0.26410496112687515`, 1, 1], 
     Hue[0.26662886939215547`, 1, 1], 
     Hue[0.26662886939215547`, 1, 1], 
     Hue[0.2716766859227161, 1, 1], 
     Hue[0.2716766859227161, 1, 1], 
     Hue[0.27199217445587615`, 1, 1], 
     Hue[0.27199217445587615`, 1, 1], 
     Hue[0.2723076629890362, 1, 1], 
     Hue[0.2723076629890362, 1, 1], 
     Hue[0.2729386400553563, 1, 1], 
     Hue[0.2729386400553563, 1, 1], 
     Hue[0.2742005941879964, 1, 1], 
     Hue[0.2742005941879964, 1, 1], 
     Hue[0.2767245024532768, 1, 1], 
     Hue[0.2767245024532768, 1, 1], 
     Hue[0.2817723189838374, 1, 1], 
     Hue[0.2817723189838374, 1, 1], 
     Hue[0.2820667666953895, 1, 1], 
     Hue[0.2820667666953895, 1, 1], 
     Hue[0.28236121440694156`, 1, 1], 
     Hue[0.28236121440694156`, 1, 1], 
     Hue[0.28295010983004565`, 1, 1], 
     Hue[0.28295010983004565`, 1, 1], 
     Hue[0.2841279006762538, 1, 1], 
     Hue[0.2841279006762538, 1, 1], 
     Hue[0.28648348236867033`, 1, 1], 
     Hue[0.28648348236867033`, 1, 1], 
     Hue[0.29119464575350323`, 1, 1], 
     Hue[0.29119464575350323`, 1, 1], 
     Hue[0.2914890934650553, 1, 1], 
     Hue[0.2914890934650553, 1, 1], 
     Hue[0.2917835411766073, 1, 1], 
     Hue[0.2917835411766073, 1, 1], 
     Hue[0.29237243659971146`, 1, 1], 
     Hue[0.29237243659971146`, 1, 1], 
     Hue[0.29355022744591963`, 1, 1], 
     Hue[0.29355022744591963`, 1, 1], 
     Hue[0.29590580913833614`, 1, 1], 
     Hue[0.29590580913833614`, 1, 1], 
     Hue[0.30061697252316905`, 1, 1], 
     Hue[0.30061697252316905`, 1, 1], 
     Hue[0.3009360552577504, 1, 1], 
     Hue[0.3009360552577504, 1, 1], 
     Hue[0.3012551379923319, 1, 1], 
     Hue[0.3012551379923319, 1, 1], 
     Hue[0.30189330346149473`, 1, 1], 
     Hue[0.30189330346149473`, 1, 1], 
     Hue[0.3031696343998204, 1, 1], 
     Hue[0.3031696343998204, 1, 1], 
     Hue[0.30572229627647174`, 1, 1], 
     Hue[0.30572229627647174`, 1, 1], 
     Hue[0.3108276200297744, 1, 1], 
     Hue[0.3108276200297744, 1, 1], 
     Hue[0.31114670276435585`, 1, 1], 
     Hue[0.31114670276435585`, 1, 1], 
     Hue[0.3114657854989372, 1, 1], 
     Hue[0.3114657854989372, 1, 1], 
     Hue[0.31210395096810006`, 1, 1], 
     Hue[0.31210395096810006`, 1, 1], 
     Hue[0.3133802819064257, 1, 1], 
     Hue[0.3133802819064257, 1, 1], 
     Hue[0.31593294378307707`, 1, 1], 
     Hue[0.31593294378307707`, 1, 1], 
     Hue[0.32103826753637976`, 1, 1], 
     Hue[0.32103826753637976`, 1, 1], 
     Hue[0.321351534730899, 1, 1], 
     Hue[0.321351534730899, 1, 1], 
     Hue[0.32166480192541824`, 1, 1], 
     Hue[0.32166480192541824`, 1, 1], 
     Hue[0.3222913363144566, 1, 1], 
     Hue[0.3222913363144566, 1, 1], 
     Hue[0.32354440509253346`, 1, 1], 
     Hue[0.32354440509253346`, 1, 1], 
     Hue[0.3260505426486872, 1, 1], 
     Hue[0.3260505426486872, 1, 1], 
     Hue[0.33106281776099467`, 1, 1], 
     Hue[0.33106281776099467`, 1, 1], 
     Hue[0.3313760849555139, 1, 1], 
     Hue[0.3313760849555139, 1, 1], 
     Hue[0.33168935215003315`, 1, 1], 
     Hue[0.33168935215003315`, 1, 1], 
     Hue[0.3323158865390715, 1, 1], 
     Hue[0.3323158865390715, 1, 1], 
     Hue[0.3335689553171484, 1, 1], 
     Hue[0.3335689553171484, 1, 1], 
     Hue[0.3360750928733021, 1, 1], 
     Hue[0.3360750928733021, 1, 1], 
     Hue[0.34108736798560957`, 1, 1], 
     Hue[0.34108736798560957`, 1, 1], 
     Hue[0.34137959435852083`, 1, 1], 
     Hue[0.34137959435852083`, 1, 1], 
     Hue[0.34167182073143204`, 1, 1], 
     Hue[0.34167182073143204`, 1, 1], 
     Hue[0.3422562734772545, 1, 1], 
     Hue[0.3422562734772545, 1, 1], 
     Hue[0.34342517896889946`, 1, 1], 
     Hue[0.34342517896889946`, 1, 1], 
     Hue[0.34576298995218935`, 1, 1], 
     Hue[0.34576298995218935`, 1, 1], 
     Hue[0.350438611918769, 1, 1], 
     Hue[0.350438611918769, 1, 1], 
     Hue[0.3507308382916802, 1, 1], 
     Hue[0.3507308382916802, 1, 1], 
     Hue[0.35102306466459143`, 1, 1], 
     Hue[0.35102306466459143`, 1, 1], 
     Hue[0.3516075174104139, 1, 1], 
     Hue[0.3516075174104139, 1, 1], 
     Hue[0.35277642290205885`, 1, 1], 
     Hue[0.35277642290205885`, 1, 1], 
     Hue[0.35511423388534874`, 1, 1], 
     Hue[0.35511423388534874`, 1, 1], 
     Hue[0.35978985585192846`, 1, 1], 
     Hue[0.35978985585192846`, 1, 1], 
     Hue[0.360106717247869, 1, 1], 
     Hue[0.360106717247869, 1, 1], 
     Hue[0.3604235786438097, 1, 1], 
     Hue[0.3604235786438097, 1, 1], 
     Hue[0.36105730143569087`, 1, 1], 
     Hue[0.36105730143569087`, 1, 1], 
     Hue[0.3623247470194532, 1, 1], 
     Hue[0.3623247470194532, 1, 1], 
     Hue[0.364859638186978, 1, 1], 
     Hue[0.364859638186978, 1, 1], 
     Hue[0.3651764995829186, 1, 1], 
     Hue[0.3651764995829186, 1, 1], 
     Hue[0.3654933609788592, 1, 1], 
     Hue[0.3654933609788592, 1, 1], 
     Hue[0.3661270837707403, 1, 1], 
     Hue[0.3661270837707403, 1, 1], 
     Hue[0.36739452935450273`, 1, 1], 
     Hue[0.36739452935450273`, 1, 1], 
     Hue[0.3699294205220275, 1, 1], 
     Hue[0.3699294205220275, 1, 1], 
     Hue[0.3702462819179681, 1, 1], 
     Hue[0.3702462819179681, 1, 1], 
     Hue[0.3705631433139087, 1, 1], 
     Hue[0.3705631433139087, 1, 1], 
     Hue[0.37119686610578984`, 1, 1], 
     Hue[0.37119686610578984`, 1, 1], 
     Hue[0.37246431168955224`, 1, 1], 
     Hue[0.37246431168955224`, 1, 1], 
     Hue[0.37499920285707694`, 1, 1], 
     Hue[0.37499920285707694`, 1, 1], 
     Hue[0.38006898519212645`, 1, 1], 
     Hue[0.38006898519212645`, 1, 1], 
     Hue[0.38036480576645904`, 1, 1], 
     Hue[0.38036480576645904`, 1, 1], 
     Hue[0.3806606263407917, 1, 1], 
     Hue[0.3806606263407917, 1, 1], 
     Hue[0.3812522674894569, 1, 1], 
     Hue[0.3812522674894569, 1, 1], 
     Hue[0.38243554978678734`, 1, 1], 
     Hue[0.38243554978678734`, 1, 1], 
     Hue[0.38480211438144823`, 1, 1], 
     Hue[0.38480211438144823`, 1, 1], 
     Hue[0.38509793495578076`, 1, 1], 
     Hue[0.38509793495578076`, 1, 1], 
     Hue[0.38539375553011346`, 1, 1], 
     Hue[0.38539375553011346`, 1, 1], 
     Hue[0.3859853966787787, 1, 1], 
     Hue[0.3859853966787787, 1, 1], 
     Hue[0.3871686789761091, 1, 1], 
     Hue[0.3871686789761091, 1, 1], 
     Hue[0.38953524357077, 1, 1], 
     Hue[0.38953524357077, 1, 1], 
     Hue[0.38983106414510266`, 1, 1], 
     Hue[0.38983106414510266`, 1, 1], 
     Hue[0.39012688471943524`, 1, 1], 
     Hue[0.39012688471943524`, 1, 1], 
     Hue[0.39071852586810046`, 1, 1], 
     Hue[0.39071852586810046`, 1, 1], 
     Hue[0.3919018081654309, 1, 1], 
     Hue[0.3919018081654309, 1, 1], 
     Hue[0.39426837276009186`, 1, 1], 
     Hue[0.39426837276009186`, 1, 1], 
     Hue[0.39900150194941353`, 1, 1], 
     Hue[0.39900150194941353`, 1, 1], 
     Hue[0.39929150698368404`, 1, 1], 
     Hue[0.39929150698368404`, 1, 1], 
     Hue[0.39958151201795444`, 1, 1], 
     Hue[0.39958151201795444`, 1, 1], 
     Hue[0.40016152208649525`, 1, 1], 
     Hue[0.40016152208649525`, 1, 1], 
     Hue[0.40132154222357685`, 1, 1], 
     Hue[0.40132154222357685`, 1, 1], 
     Hue[0.4036415824977401, 1, 1], 
     Hue[0.4036415824977401, 1, 1], 
     Hue[0.4039315875320105, 1, 1], 
     Hue[0.4039315875320105, 1, 1], 
     Hue[0.40422159256628093`, 1, 1], 
     Hue[0.40422159256628093`, 1, 1], 
     Hue[0.40480160263482173`, 1, 1], 
     Hue[0.40480160263482173`, 1, 1], 
     Hue[0.40596162277190334`, 1, 1], 
     Hue[0.40596162277190334`, 1, 1], 
     Hue[0.40828166304606667`, 1, 1], 
     Hue[0.40828166304606667`, 1, 1], 
     Hue[0.4085716680803371, 1, 1], 
     Hue[0.4085716680803371, 1, 1], 
     Hue[0.4088616731146075, 1, 1], 
     Hue[0.4088616731146075, 1, 1], 
     Hue[0.40944168318314833`, 1, 1], 
     Hue[0.40944168318314833`, 1, 1], 
     Hue[0.41060170332022994`, 1, 1], 
     Hue[0.41060170332022994`, 1, 1], 
     Hue[0.4129217435943932, 1, 1], 
     Hue[0.4129217435943932, 1, 1], 
     Hue[0.41756182414271975`, 1, 1], 
     Hue[0.41756182414271975`, 1, 1], 
     Hue[0.41787646420001956`, 1, 1], 
     Hue[0.41787646420001956`, 1, 1], 
     Hue[0.41819110425731926`, 1, 1], 
     Hue[0.41819110425731926`, 1, 1], 
     Hue[0.4188203843719188, 1, 1], 
     Hue[0.4188203843719188, 1, 1], 
     Hue[0.42007894460111794`, 1, 1], 
     Hue[0.42007894460111794`, 1, 1], 
     Hue[0.422596065059516, 1, 1], 
     Hue[0.422596065059516, 1, 1], 
     Hue[0.42291070511681583`, 1, 1], 
     Hue[0.42291070511681583`, 1, 1], 
     Hue[0.4232253451741156, 1, 1], 
     Hue[0.4232253451741156, 1, 1], 
     Hue[0.42385462528871515`, 1, 1], 
     Hue[0.42385462528871515`, 1, 1], 
     Hue[0.4251131855179142, 1, 1], 
     Hue[0.4251131855179142, 1, 1], 
     Hue[0.4276303059763124, 1, 1], 
     Hue[0.4276303059763124, 1, 1], 
     Hue[0.42794494603361216`, 1, 1], 
     Hue[0.42794494603361216`, 1, 1], 
     Hue[0.42825958609091197`, 1, 1], 
     Hue[0.42825958609091197`, 1, 1], 
     Hue[0.4288888662055114, 1, 1], 
     Hue[0.4288888662055114, 1, 1], 
     Hue[0.4301474264347105, 1, 1], 
     Hue[0.4301474264347105, 1, 1], 
     Hue[0.4326645468931087, 1, 1], 
     Hue[0.4326645468931087, 1, 1], 
     Hue[0.43769878780990495`, 1, 1], 
     Hue[0.43769878780990495`, 1, 1], 
     Hue[0.43799238704559673`, 1, 1], 
     Hue[0.43799238704559673`, 1, 1], 
     Hue[0.4382859862812885, 1, 1], 
     Hue[0.4382859862812885, 1, 1], 
     Hue[0.43887318475267206`, 1, 1], 
     Hue[0.43887318475267206`, 1, 1], 
     Hue[0.44004758169543917`, 1, 1], 
     Hue[0.44004758169543917`, 1, 1], 
     Hue[0.4423963755809735, 1, 1], 
     Hue[0.4423963755809735, 1, 1], 
     Hue[0.4426899748166653, 1, 1], 
     Hue[0.4426899748166653, 1, 1], 
     Hue[0.44298357405235717`, 1, 1], 
     Hue[0.44298357405235717`, 1, 1], 
     Hue[0.4435707725237407, 1, 1], 
     Hue[0.4435707725237407, 1, 1], 
     Hue[0.44474516946650783`, 1, 1], 
     Hue[0.44474516946650783`, 1, 1], 
     Hue[0.4470939633520421, 1, 1], 
     Hue[0.4470939633520421, 1, 1], 
     Hue[0.4473875625877339, 1, 1], 
     Hue[0.4473875625877339, 1, 1], 
     Hue[0.44768116182342566`, 1, 1], 
     Hue[0.44768116182342566`, 1, 1], 
     Hue[0.4482683602948092, 1, 1], 
     Hue[0.4482683602948092, 1, 1], 
     Hue[0.4494427572375764, 1, 1], 
     Hue[0.4494427572375764, 1, 1], 
     Hue[0.4517915511231107, 1, 1], 
     Hue[0.4517915511231107, 1, 1], 
     Hue[0.45648913889417925`, 1, 1], 
     Hue[0.45648913889417925`, 1, 1], 
     Hue[0.45680737315290043`, 1, 1], 
     Hue[0.45680737315290043`, 1, 1], 
     Hue[0.45712560741162156`, 1, 1], 
     Hue[0.45712560741162156`, 1, 1], 
     Hue[0.4577620759290638, 1, 1], 
     Hue[0.4577620759290638, 1, 1], 
     Hue[0.4590350129639484, 1, 1], 
     Hue[0.4590350129639484, 1, 1], 
     Hue[0.4615808870337176, 1, 1], 
     Hue[0.4615808870337176, 1, 1], 
     Hue[0.46189912129243865`, 1, 1], 
     Hue[0.46189912129243865`, 1, 1], 
     Hue[0.46221735555115984`, 1, 1], 
     Hue[0.46221735555115984`, 1, 1], 
     Hue[0.46285382406860215`, 1, 1], 
     Hue[0.46285382406860215`, 1, 1], 
     Hue[0.4641267611034868, 1, 1], 
     Hue[0.4641267611034868, 1, 1], 
     Hue[0.4666726351732559, 1, 1], 
     Hue[0.4666726351732559, 1, 1], 
     Hue[0.46699086943197704`, 1, 1], 
     Hue[0.46699086943197704`, 1, 1], 
     Hue[0.4673091036906982, 1, 1], 
     Hue[0.4673091036906982, 1, 1], 
     Hue[0.46794557220814054`, 1, 1], 
     Hue[0.46794557220814054`, 1, 1], 
     Hue[0.4692185092430251, 1, 1], 
     Hue[0.4692185092430251, 1, 1], 
     Hue[0.4717643833127943, 1, 1], 
     Hue[0.4717643833127943, 1, 1], 
     Hue[0.47208261757151543`, 1, 1], 
     Hue[0.47208261757151543`, 1, 1], 
     Hue[0.4724008518302366, 1, 1], 
     Hue[0.4724008518302366, 1, 1], 
     Hue[0.4730373203476788, 1, 1], 
     Hue[0.4730373203476788, 1, 1], 
     Hue[0.4743102573825634, 1, 1], 
     Hue[0.4743102573825634, 1, 1], 
     Hue[0.4768561314523326, 1, 1], 
     Hue[0.4768561314523326, 1, 1], 
     Hue[0.4768656420513168, 1, 1], 
     Hue[0.4768656420513168, 1, 1], 
     Hue[0.47687515265030106`, 1, 1], 
     Hue[0.47687515265030106`, 1, 1], 
     Hue[0.47689417384826965`, 1, 1], 
     Hue[0.47689417384826965`, 1, 1], 
     Hue[0.4769322162442068, 1, 1], 
     Hue[0.4769322162442068, 1, 1], 
     Hue[0.4770083010360809, 1, 1], 
     Hue[0.4770083010360809, 1, 1], 
     Hue[0.47716047061982914`, 1, 1], 
     Hue[0.47716047061982914`, 1, 1], 
     Hue[0.4771699812188133, 1, 1], 
     Hue[0.4771699812188133, 1, 1], 
     Hue[0.4771794918177976, 1, 1], 
     Hue[0.4771794918177976, 1, 1], 
     Hue[0.4771985130157662, 1, 1], 
     Hue[0.4771985130157662, 1, 1], 
     Hue[0.4772365554117033, 1, 1], 
     Hue[0.4772365554117033, 1, 1], 
     Hue[0.4773126402035774, 1, 1], 
     Hue[0.4773126402035774, 1, 1], 
     Hue[0.4773221508025617, 1, 1], 
     Hue[0.4773221508025617, 1, 1], 
     Hue[0.477331661401546, 1, 1], 
     Hue[0.477331661401546, 1, 1], 
     Hue[0.47735068259951446`, 1, 1], 
     Hue[0.47735068259951446`, 1, 1], 
     Hue[0.47738872499545154`, 1, 1], 
     Hue[0.47738872499545154`, 1, 1], 
     Hue[0.4773982355944358, 1, 1], 
     Hue[0.4773982355944358, 1, 1], 
     Hue[0.4774077461934201, 1, 1], 
     Hue[0.4774077461934201, 1, 1], 
     Hue[0.4774267673913886, 1, 1], 
     Hue[0.4774267673913886, 1, 1], 
     Hue[0.4774362779903729, 1, 1], 
     Hue[0.4774362779903729, 1, 1], 
     Hue[0.4774457885893572, 1, 1], 
     Hue[0.4774457885893572, 1, 1], 
     Hue[0.47745529918834145`, 1, 1], 
     Hue[0.47745529918834145`, 1, 1], 
     Hue[0.4774648097873257, 1, 1]}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{-2.9999998775510206`, 2.9999998775510206`}, {0., 
   0.9999997867510553}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.389731006760299*^9, 3.3897310463271933`*^9, 
  3.3897330648118515`*^9, 3.390893990668996*^9, 3.3917799208464746`*^9, 
  3.391780198705245*^9, 3.391848707375*^9, 3.392469650854979*^9, 
  3.393842384833564*^9, 3.393847005826743*^9}]
}, Open  ]],

Cell["\<\
This is useful, if we want to combine several ArgColorPlots in the same \
graphics:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"QArgColorPlot", "[", 
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{"x", "+", "\[ImaginaryI]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
     RowBox[{"QBottomLine", "\[Rule]", "1"}], ",", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "3"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"3", ",", "1"}], "}"}]}], "}"}], "]"}]}]}], "]"}], ",", 
   RowBox[{"QArgColorPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Cos", "[", 
       RowBox[{"x", "+", "\[ImaginaryI]"}], "]"}], "-", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{"Arg", "[", 
         RowBox[{"Cos", "[", 
          RowBox[{"x", "+", "\[ImaginaryI]"}], "]"}], "]"}]}]]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "0.2"}], ",", "1.7"}], "}"}]}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.389717505324192*^9, 3.389717511823538*^9}}],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx13Hk0lP0fN3AUo00lKSotWqRFSduNPlOUFqVFi1K0p1SUIkKkhGhVWSpR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    "], {
     {GrayLevel[0.5], EdgeForm[None], 
      GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwtmg34/1N9xr/nvB++khFJJol/JZtWUWGSSSap6cnKtFYJIUW2pFIkecqy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        "]]]}, {{}, {}, {
       {Hue[0.7205518817558729, 1, 1], LineBox[{1, 2}]}, 
       {Hue[0.7201728632810982, 1, 1], LineBox[{2, 3}]}, 
       {Hue[0.7197939855871971, 1, 1], LineBox[{3, 4}]}, 
       {Hue[0.7190366591317676, 1, 1], LineBox[{4, 5}]}, 
       {Hue[0.7175237677526917, 1, 1], LineBox[{5, 6}]}, 
       {Hue[0.7145053924996501, 1, 1], LineBox[{6, 7}]}, 
       {Hue[0.7141288210543033, 1, 1], LineBox[{7, 8}]}, 
       {Hue[0.7137524160490083, 1, 1], LineBox[{8, 9}]}, 
       {Hue[0.7130001115521822, 1, 1], LineBox[{9, 10}]}, 
       {Hue[0.7114975675954698, 1, 1], LineBox[{10, 11}]}, 
       {Hue[0.7085010779576801, 1, 1], LineBox[{11, 12}]}, 
       {Hue[0.7081273517673412, 1, 1], LineBox[{12, 13}]}, 
       {Hue[0.7077538159975071, 1, 1], LineBox[{13, 14}]}, 
       {Hue[0.7070073214666093, 1, 1], LineBox[{14, 15}]}, 
       {Hue[0.7055166802582684, 1, 1], LineBox[{15, 16}]}, 
       {Hue[0.7025451015155051, 1, 1], LineBox[{16, 17}]}, 
       {Hue[0.6966431533753163, 1, 1], LineBox[{17, 18}]}, 
       {Hue[0.6962453407646028, 1, 1], LineBox[{18, 19}]}, 
       {Hue[0.6958478017085719, 1, 1], LineBox[{19, 20}]}, 
       {Hue[0.6950535502982287, 1, 1], LineBox[{20, 21}]}, 
       {Hue[0.6934683959066561, 1, 1], LineBox[{21, 22}]}, 
       {Hue[0.6903118041258601, 1, 1], LineBox[{22, 23}]}, 
       {Hue[0.6840559180388815, 1, 1], LineBox[{23, 24}]}, 
       {Hue[0.6717902321513325, 1, 1], LineBox[{24, 25}]}, 
       {Hue[0.6714375103634247, 1, 1], LineBox[{25, 26}]}, 
       {Hue[0.671085090804056, 1, 1], LineBox[{26, 27}]}, 
       {Hue[0.6703811608448678, 1, 1], LineBox[{27, 28}]}, 
       {Hue[0.668976954394541, 1, 1], LineBox[{28, 29}]}, 
       {Hue[0.6661832827383521, 1, 1], LineBox[{29, 30}]}, 
       {Hue[0.6606558087846726, 1, 1], LineBox[{30, 31}]}, 
       {Hue[0.6498458025017817, 1, 1], LineBox[{31, 32}]}, 
       {Hue[0.6296151700839989, 1, 1], LineBox[{32, 33}]}, 
       {Hue[0.6090856243791776, 1, 1], LineBox[{33, 34}]}, 
       {Hue[0.5911506349521957, 1, 1], LineBox[{34, 35}]}, 
       {Hue[0.5728738758396617, 1, 1], LineBox[{35, 36}]}, 
       {Hue[0.5726018283453903, 1, 1], LineBox[{36, 37}]}, 
       {Hue[0.5723300141524164, 1, 1], LineBox[{37, 38}]}, 
       {Hue[0.5717870824013804, 1, 1], LineBox[{38, 39}]}, 
       {Hue[0.570703982533093, 1, 1], LineBox[{39, 40}]}, 
       {Hue[0.5685486537726839, 1, 1], LineBox[{40, 41}]}, 
       {Hue[0.5642800076517256, 1, 1], LineBox[{41, 42}]}, 
       {Hue[0.5558989435773015, 1, 1], LineBox[{42, 43}]}, 
       {Hue[0.555657555594208, 1, 1], LineBox[{43, 44}]}, 
       {Hue[0.5554163247938143, 1, 1], LineBox[{44, 45}]}, 
       {Hue[0.5549343320656529, 1, 1], LineBox[{45, 46}]}, 
       {Hue[0.5539722033773959, 1, 1], LineBox[{46, 47}]}, 
       {Hue[0.5520552233913043, 1, 1], LineBox[{47, 48}]}, 
       {Hue[0.5482491773582174, 1, 1], LineBox[{48, 49}]}, 
       {Hue[0.5480124880738455, 1, 1], LineBox[{49, 50}]}, 
       {Hue[0.5477759346340769, 1, 1], LineBox[{50, 51}]}, 
       {Hue[0.5473032326321359, 1, 1], LineBox[{51, 52}]}, 
       {Hue[0.5463594295560026, 1, 1], LineBox[{52, 53}]}, 
       {Hue[0.5444780786214425, 1, 1], LineBox[{53, 54}]}, 
       {Hue[0.5407392124960726, 1, 1], LineBox[{54, 55}]}, 
       {Hue[0.5404869192549508, 1, 1], LineBox[{55, 56}]}, 
       {Hue[0.5402347608129789, 1, 1], LineBox[{56, 57}]}, 
       {Hue[0.5397308449751576, 1, 1], LineBox[{57, 58}]}, 
       {Hue[0.5387245940428427, 1, 1], LineBox[{58, 59}]}, 
       {Hue[0.5367182278963121, 1, 1], LineBox[{59, 60}]}, 
       {Hue[0.5327285448595175, 1, 1], LineBox[{60, 61}]}, 
       {Hue[0.5324801512102756, 1, 1], LineBox[{61, 62}]}, 
       {Hue[0.5322318657097549, 1, 1], LineBox[{62, 63}]}, 
       {Hue[0.5317356158456428, 1, 1], LineBox[{63, 64}]}, 
       {Hue[0.5307443775187145, 1, 1], LineBox[{64, 65}]}, 
       {Hue[0.5287667615698055, 1, 1], LineBox[{65, 66}]}, 
       {Hue[0.5248294975419259, 1, 1], LineBox[{66, 67}]}, 
       {Hue[0.524600455244923, 1, 1], LineBox[{67, 68}]}, 
       {Hue[0.5243714843111781, 1, 1], LineBox[{68, 69}]}, 
       {Hue[0.5239137538730607, 1, 1], LineBox[{69, 70}]}, 
       {Hue[0.5229991201035351, 1, 1], LineBox[{70, 71}]}, 
       {Hue[0.5211730122817957, 1, 1], LineBox[{71, 72}]}, 
       {Hue[0.5209450320969299, 1, 1], LineBox[{72, 73}]}, 
       {Hue[0.5207171126580099, 1, 1], LineBox[{73, 74}]}, 
       {Hue[0.5202614533707345, 1, 1], LineBox[{74, 75}]}, 
       {Hue[0.5193508346382325, 1, 1], LineBox[{75, 76}]}, 
       {Hue[0.5175322485357188, 1, 1], LineBox[{76, 77}]}, 
       {Hue[0.5173051609668913, 1, 1], LineBox[{77, 78}]}, 
       {Hue[0.5170781235763294, 1, 1], LineBox[{78, 79}]}, 
       {Hue[0.516624196694218, 1, 1], LineBox[{79, 80}]}, 
       {Hue[0.5157169160846813, 1, 1], LineBox[{80, 81}]}, 
       {Hue[0.5154902114994349, 1, 1], LineBox[{81, 82}]}, 
       {Hue[0.5152635518250663, 1, 1], LineBox[{82, 83}]}, 
       {Hue[0.5148103645782285, 1, 1], LineBox[{83, 84}]}, 
       {Hue[0.5139045000852724, 1, 1], LineBox[{84, 85}]}, 
       {Hue[0.513678136379099, 1, 1], LineBox[{85, 86}]}, 
       {Hue[0.5134518123261133, 1, 1], LineBox[{86, 87}]}, 
       {Hue[0.5129992805535211, 1, 1], LineBox[{87, 88}]}, 
       {Hue[0.5120946639659323, 1, 1], LineBox[{88, 89}]}, 
       {Hue[0.5102870717187569, 1, 1], LineBox[{89, 90}]}, 
       {Hue[0.5100657056310822, 1, 1], LineBox[{90, 91}]}, 
       {Hue[0.5098443675824635, 1, 1], LineBox[{91, 92}]}, 
       {Hue[0.5094017731352407, 1, 1], LineBox[{92, 93}]}, 
       {Hue[0.50851689357583, 1, 1], LineBox[{93, 94}]}, 
       {Hue[0.5082957345349084, 1, 1], LineBox[{94, 95}]}, 
       {Hue[0.508074598601023, 1, 1], LineBox[{95, 96}]}, 
       {Hue[0.5076323935899205, 1, 1], LineBox[{96, 97}]}, 
       {Hue[0.5067482337474685, 1, 1], LineBox[{97, 98}]}, 
       {Hue[0.5065272423153528, 1, 1], LineBox[{98, 99}]}, 
       {Hue[0.5063062690632634, 1, 1], LineBox[{99, 100}]}, 
       {Hue[0.5058643746369205, 1, 1], LineBox[{100, 101}]}, 
       {Hue[0.5056434522316935, 1, 1], LineBox[{101, 102}]}, 
       {Hue[0.5054225455445416, 1, 1], LineBox[{102, 103}]}, 
       {Hue[0.504980776863122, 1, 1], LineBox[{103, 104}]}, 
       {Hue[0.504759913638311, 1, 1], LineBox[{104, 105}]}, 
       {Hue[0.5045390636704838, 1, 1], LineBox[{105, 106}]}, 
       {Hue[0.5040974010452097, 1, 1], LineBox[{106, 107}]}, 
       {Hue[0.5038765871575825, 1, 1], LineBox[{107, 108}]}, 
       {Hue[0.5036557840665759, 1, 1], LineBox[{108, 109}]}, 
       {Hue[0.5032142078144854, 1, 1], LineBox[{109, 110}]}, 
       {Hue[0.5029934334235187, 1, 1], LineBox[{110, 111}]}, 
       {Hue[0.5027726673694014, 1, 1], LineBox[{111, 112}]}, 
       {Hue[0.5025519090372679, 1, 1], LineBox[{112, 113}]}, 
       {Hue[0.5023311578122791, 1, 1], LineBox[{113, 114}]}, 
       {Hue[0.5021104130796202, 1, 1], LineBox[{114, 115}]}, 
       {Hue[0.5018896742244989, 1, 1], LineBox[{115, 116}]}, 
       {Hue[0.5016689406321433, 1, 1], LineBox[{116, 117}]}, 
       {Hue[0.5014482116877991, 1, 1], LineBox[{117, 118}]}, 
       {Hue[0.5012274867767283, 1, 1], LineBox[{118, 119}]}, 
       {Hue[0.5010067652842074, 1, 1], LineBox[{119, 120}]}, 
       {Hue[0.5007860465955236, 1, 1], LineBox[{120, 121}]}, 
       {Hue[0.5005653300959744, 1, 1], LineBox[{121, 122}]}, 
       {Hue[0.5003446151708648, 1, 1], LineBox[{122, 123}]}, 
       {Hue[0.5001239012055051, 1, 1], LineBox[{123, 124}]}, 
       {Hue[0.499903187585209, 1, 1], LineBox[{124, 125}]}, 
       {Hue[0.4996824736952913, 1, 1], LineBox[{125, 126}]}, 
       {Hue[0.4994617589210659, 1, 1], LineBox[{126, 127}]}, 
       {Hue[0.4992410426478438, 1, 1], LineBox[{127, 128}]}, 
       {Hue[0.4990203242609306, 1, 1], LineBox[{128, 129}]}, 
       {Hue[0.49879960314562477`, 1, 1], LineBox[{129, 130}]}, 
       {Hue[0.49857887868721534`, 1, 1], LineBox[{130, 131}]}, 
       {Hue[0.4983581502709798, 1, 1], LineBox[{131, 132}]}, 
       {Hue[0.4981374172821819, 1, 1], LineBox[{132, 133}]}, 
       {Hue[0.4979166791060699, 1, 1], LineBox[{133, 134}]}, 
       {Hue[0.49769593512787397`, 1, 1], LineBox[{134, 135}]}, 
       {Hue[0.4974751847328044, 1, 1], LineBox[{135, 136}]}, 
       {Hue[0.4972544273060493, 1, 1], LineBox[{136, 137}]}, 
       {Hue[0.49703366223277273`, 1, 1], LineBox[{137, 138}]}, 
       {Hue[0.4968128888981123, 1, 1], LineBox[{138, 139}]}, 
       {Hue[0.49659210668717724`, 1, 1], LineBox[{139, 140}]}, 
       {Hue[0.4961505131767657, 1, 1], LineBox[{140, 141}]}, 
       {Hue[0.4959109298335462, 1, 1], LineBox[{141, 142}]}, 
       {Hue[0.4956713330834243, 1, 1], LineBox[{142, 143}]}, 
       {Hue[0.4951920962198805, 1, 1], LineBox[{143, 144}]}, 
       {Hue[0.49495245453501585`, 1, 1], LineBox[{144, 145}]}, 
       {Hue[0.4947127963003569, 1, 1], LineBox[{145, 146}]}, 
       {Hue[0.49423342703805906`, 1, 1], LineBox[{146, 147}]}, 
       {Hue[0.4939937144384435, 1, 1], LineBox[{147, 148}]}, 
       {Hue[0.49375398214507416`, 1, 1], LineBox[{148, 149}]}, 
       {Hue[0.4932744553322717, 1, 1], LineBox[{149, 150}]}, 
       {Hue[0.4923151307840086, 1, 1], LineBox[{150, 151}]}, 
       {Hue[0.4920752386164939, 1, 1], LineBox[{151, 152}]}, 
       {Hue[0.49183532046330664`, 1, 1], LineBox[{152, 153}]}, 
       {Hue[0.49135540305210795`, 1, 1], LineBox[{153, 154}]}, 
       {Hue[0.4903952217696123, 1, 1], LineBox[{154, 155}]}, 
       {Hue[0.49015509967662196`, 1, 1], LineBox[{155, 156}]}, 
       {Hue[0.48991494529939766`, 1, 1], LineBox[{156, 157}]}, 
       {Hue[0.4894345365406593, 1, 1], LineBox[{157, 158}]}, 
       {Hue[0.48847329693741093`, 1, 1], LineBox[{158, 159}]}, 
       {Hue[0.4882328945028128, 1, 1], LineBox[{159, 160}]}, 
       {Hue[0.4879924534772371, 1, 1], LineBox[{160, 161}]}, 
       {Hue[0.4875114524970251, 1, 1], LineBox[{161, 162}]}, 
       {Hue[0.48654895271867454`, 1, 1], LineBox[{162, 163}]}, 
       {Hue[0.4863082194556098, 1, 1], LineBox[{163, 164}]}, 
       {Hue[0.48606744128514545`, 1, 1], LineBox[{164, 165}]}, 
       {Hue[0.4855857470606176, 1, 1], LineBox[{165, 166}]}, 
       {Hue[0.484621784937325, 1, 1], LineBox[{166, 167}]}, 
       {Hue[0.4843806702764197, 1, 1], LineBox[{167, 168}]}, 
       {Hue[0.4841395043805711, 1, 1], LineBox[{168, 169}]}, 
       {Hue[0.4836570157166681, 1, 1], LineBox[{169, 170}]}, 
       {Hue[0.4826913887171722, 1, 1], LineBox[{170, 171}]}, 
       {Hue[0.48075735839305495`, 1, 1], LineBox[{171, 172}]}, 
       {Hue[0.4805315263020154, 1, 1], LineBox[{172, 173}]}, 
       {Hue[0.4803056385978369, 1, 1], LineBox[{173, 174}]}, 
       {Hue[0.47985369376570597`, 1, 1], LineBox[{174, 175}]}, 
       {Hue[0.47894910830569265`, 1, 1], LineBox[{175, 176}]}, 
       {Hue[0.47713700924086944`, 1, 1], LineBox[{176, 177}]}, 
       {Hue[0.4769102097107647, 1, 1], LineBox[{177, 178}]}, 
       {Hue[0.47668334420836844`, 1, 1], LineBox[{178, 179}]}, 
       {Hue[0.47622941269007835`, 1, 1], LineBox[{179, 180}]}, 
       {Hue[0.4753207294116695, 1, 1], LineBox[{180, 181}]}, 
       {Hue[0.47349993620919084`, 1, 1], LineBox[{181, 182}]}, 
       {Hue[0.47327200311344897`, 1, 1], LineBox[{182, 183}]}, 
       {Hue[0.473043993634585, 1, 1], LineBox[{183, 184}]}, 
       {Hue[0.4725877429172142, 1, 1], LineBox[{184, 185}]}, 
       {Hue[0.47167429615942985`, 1, 1], LineBox[{185, 186}]}, 
       {Hue[0.4698434748853157, 1, 1], LineBox[{186, 187}]}, 
       {Hue[0.4661649464524938, 1, 1], LineBox[{187, 188}]}, 
       {Hue[0.4659148691575225, 1, 1], LineBox[{188, 189}]}, 
       {Hue[0.46566467738003314`, 1, 1], LineBox[{189, 190}]}, 
       {Hue[0.46516394701444747`, 1, 1], LineBox[{190, 191}]}, 
       {Hue[0.4641610754806451, 1, 1], LineBox[{191, 192}]}, 
       {Hue[0.46214950043805014`, 1, 1], LineBox[{192, 193}]}, 
       {Hue[0.45810150782318054`, 1, 1], LineBox[{193, 194}]}, 
       {Hue[0.4578473484445837, 1, 1], LineBox[{194, 195}]}, 
       {Hue[0.4575930475155824, 1, 1], LineBox[{195, 196}]}, 
       {Hue[0.45708401760083, 1, 1], LineBox[{196, 197}]}, 
       {Hue[0.4560642216878684, 1, 1], LineBox[{197, 198}]}, 
       {Hue[0.4540174944156169, 1, 1], LineBox[{198, 199}]}, 
       {Hue[0.4498939651897446, 1, 1], LineBox[{199, 200}]}, 
       {Hue[0.4496395920714616, 1, 1], LineBox[{200, 201}]}, 
       {Hue[0.44938505615084595`, 1, 1], LineBox[{201, 202}]}, 
       {Hue[0.4488754926464263, 1, 1], LineBox[{202, 203}]}, 
       {Hue[0.4478543761796727, 1, 1], LineBox[{203, 204}]}, 
       {Hue[0.4458040028063383, 1, 1], LineBox[{204, 205}]}, 
       {Hue[0.44166923112517276`, 1, 1], LineBox[{205, 206}]}, 
       {Hue[0.4332518596871853, 1, 1], LineBox[{206, 207}]}, 
       {Hue[0.4169447860407513, 1, 1], LineBox[{207, 208}]}, 
       {Hue[0.39819770478061206`, 1, 1], LineBox[{208, 209}]}, 
       {Hue[0.3795344901876919, 1, 1], LineBox[{209, 210}]}, 
       {Hue[0.3578952936955762, 1, 1], LineBox[{210, 211}]}, 
       {Hue[0.35755137633603035`, 1, 1], LineBox[{211, 212}]}, 
       {Hue[0.35720709405282786`, 1, 1], LineBox[{212, 213}]}, 
       {Hue[0.35651743459781216`, 1, 1], LineBox[{213, 214}]}, 
       {Hue[0.35513373575771123`, 1, 1], LineBox[{214, 215}]}, 
       {Hue[0.3523488221943377, 1, 1], LineBox[{215, 216}]}, 
       {Hue[0.3467090755102115, 1, 1], LineBox[{216, 217}]}, 
       {Hue[0.33515298547996475`, 1, 1], LineBox[{217, 218}]}, 
       {Hue[0.33481064317849296`, 1, 1], LineBox[{218, 219}]}, 
       {Hue[0.3344679970554598, 1, 1], LineBox[{219, 220}]}, 
       {Hue[0.3337817951822648, 1, 1], LineBox[{220, 221}]}, 
       {Hue[0.3324057662380327, 1, 1], LineBox[{221, 222}]}, 
       {Hue[0.32963932081463193`, 1, 1], LineBox[{222, 223}]}, 
       {Hue[0.3240498957473761, 1, 1], LineBox[{223, 224}]}, 
       {Hue[0.3236980982708487, 1, 1], LineBox[{224, 225}]}, 
       {Hue[0.32334601565736026`, 1, 1], LineBox[{225, 226}]}, 
       {Hue[0.32264099791329365`, 1, 1], LineBox[{226, 227}]}, 
       {Hue[0.32122757308827055`, 1, 1], LineBox[{227, 228}]}, 
       {Hue[0.3183873390867039, 1, 1], LineBox[{228, 229}]}, 
       {Hue[0.3126548323856401, 1, 1], LineBox[{229, 230}]}, 
       {Hue[0.31226394002872365`, 1, 1], LineBox[{230, 231}]}, 
       {Hue[0.3118727446949302, 1, 1], LineBox[{231, 232}]}, 
       {Hue[0.31108945018381584`, 1, 1], LineBox[{232, 233}]}, 
       {Hue[0.30951928205543044`, 1, 1], LineBox[{233, 234}]}, 
       {Hue[0.3063649293548802, 1, 1], LineBox[{234, 235}]}, 
       {Hue[0.30596934819271, 1, 1], LineBox[{235, 236}]}, 
       {Hue[0.3055734857590331, 1, 1], LineBox[{236, 237}]}, 
       {Hue[0.30478092290960934`, 1, 1], LineBox[{237, 238}]}, 
       {Hue[0.30319248675089605`, 1, 1], LineBox[{238, 239}]}, 
       {Hue[0.30000271388318484`, 1, 1], LineBox[{239, 240}]}, 
       {Hue[0.29960281338186984`, 1, 1], LineBox[{240, 241}]}, 
       {Hue[0.29920265625388204`, 1, 1], LineBox[{241, 242}]}, 
       {Hue[0.29840157866966915`, 1, 1], LineBox[{242, 243}]}, 
       {Hue[0.2967964166611863, 1, 1], LineBox[{243, 244}]}, 
       {Hue[0.2935744461038008, 1, 1], LineBox[{244, 245}]}, 
       {Hue[0.2870871058179891, 1, 1], LineBox[{245, 246}]}, 
       {Hue[0.2867068783556848, 1, 1], LineBox[{246, 247}]}, 
       {Hue[0.28632647720527604`, 1, 1], LineBox[{247, 248}]}, 
       {Hue[0.28556516022402634`, 1, 1], LineBox[{248, 249}]}, 
       {Hue[0.284040512612144, 1, 1], LineBox[{249, 250}]}, 
       {Hue[0.2809835290032987, 1, 1], LineBox[{250, 251}]}, 
       {Hue[0.2806007176236879, 1, 1], LineBox[{251, 252}]}, 
       {Hue[0.28021775886523154`, 1, 1], LineBox[{252, 253}]}, 
       {Hue[0.2794514060120158, 1, 1], LineBox[{253, 254}]}, 
       {Hue[0.2779170068960574, 1, 1], LineBox[{254, 255}]}, 
       {Hue[0.2748418233531421, 1, 1], LineBox[{255, 256}]}, 
       {Hue[0.27445686099902716`, 1, 1], LineBox[{256, 257}]}, 
       {Hue[0.2740717791307105, 1, 1], LineBox[{257, 258}]}, 
       {Hue[0.27330126400566074`, 1, 1], LineBox[{258, 259}]}, 
       {Hue[0.2717588785561085, 1, 1], LineBox[{259, 260}]}, 
       {Hue[0.27137301040675016`, 1, 1], LineBox[{260, 261}]}, 
       {Hue[0.2709870371770741, 1, 1], LineBox[{261, 262}]}, 
       {Hue[0.2702147827817822, 1, 1], LineBox[{262, 263}]}, 
       {Hue[0.26866909362519453`, 1, 1], LineBox[{263, 264}]}, 
       {Hue[0.26828243617916075`, 1, 1], LineBox[{264, 265}]}, 
       {Hue[0.26789568837327166`, 1, 1], LineBox[{265, 266}]}, 
       {Hue[0.26712192911903804`, 1, 1], LineBox[{266, 267}]}, 
       {Hue[0.265573408309421, 1, 1], LineBox[{267, 268}]}, 
       {Hue[0.26518608022548107`, 1, 1], LineBox[{268, 269}]}, 
       {Hue[0.264798676750572, 1, 1], LineBox[{269, 270}]}, 
       {Hue[0.2640236511774876, 1, 1], LineBox[{270, 271}]}, 
       {Hue[0.26247277855953854`, 1, 1], LineBox[{271, 272}]}, 
       {Hue[0.2620925178890043, 1, 1], LineBox[{272, 273}]}, 
       {Hue[0.2617121993107025, 1, 1], LineBox[{273, 274}]}, 
       {Hue[0.2609513956309302, 1, 1], LineBox[{274, 275}]}, 
       {Hue[0.26057091413532246`, 1, 1], LineBox[{275, 276}]}, 
       {Hue[0.26019038194352423`, 1, 1], LineBox[{276, 277}]}, 
       {Hue[0.25942917270697724`, 1, 1], LineBox[{277, 278}]}, 
       {Hue[0.2590484992850898, 1, 1], LineBox[{278, 279}]}, 
       {Hue[0.25866778241258415`, 1, 1], LineBox[{279, 280}]}, 
       {Hue[0.2579062255820407, 1, 1], LineBox[{280, 281}]}, 
       {Hue[0.25752538926146157`, 1, 1], LineBox[{281, 282}]}, 
       {Hue[0.2571445167650305, 1, 1], LineBox[{282, 283}]}, 
       {Hue[0.2563826705368009, 1, 1], LineBox[{283, 284}]}, 
       {Hue[0.256001700454635, 1, 1], LineBox[{284, 285}]}, 
       {Hue[0.25562070149572913`, 1, 1], LineBox[{285, 286}]}, 
       {Hue[0.2552396754880936, 1, 1], LineBox[{286, 287}]}, 
       {Hue[0.25485862426087846`, 1, 1], LineBox[{287, 288}]}, 
       {Hue[0.2544775496442966, 1, 1], LineBox[{288, 289}]}, 
       {Hue[0.254096453469547, 1, 1], LineBox[{289, 290}]}, 
       {Hue[0.2537153375687378, 1, 1], LineBox[{290, 291}]}, 
       {Hue[0.25333420377480914`, 1, 1], LineBox[{291, 292}]}, 
       {Hue[0.2529530539214558, 1, 1], LineBox[{292, 293}]}, 
       {Hue[0.2525718898430503, 1, 1], LineBox[{293, 294}]}, 
       {Hue[0.25219071337456533`, 1, 1], LineBox[{294, 295}]}, 
       {Hue[0.2518095263514967, 1, 1], LineBox[{295, 296}]}, 
       {Hue[0.25142833060978564`, 1, 1], LineBox[{296, 297}]}, 
       {Hue[0.25104712798574136`, 1, 1], LineBox[{297, 298}]}, 
       {Hue[0.25066592031596363`, 1, 1], LineBox[{298, 299}]}, 
       {Hue[0.2502847094372654, 1, 1], LineBox[{299, 300}]}, 
       {Hue[0.24990349718659496`, 1, 1], LineBox[{300, 301}]}, 
       {Hue[0.24952228540095855`, 1, 1], LineBox[{301, 302}]}, 
       {Hue[0.24914107591734283`, 1, 1], LineBox[{302, 303}]}, 
       {Hue[0.24875987057263726`, 1, 1], LineBox[{303, 304}]}, 
       {Hue[0.24837867120355647`, 1, 1], LineBox[{304, 305}]}, 
       {Hue[0.2479974796465629, 1, 1], LineBox[{305, 306}]}, 
       {Hue[0.2476162977377892, 1, 1], LineBox[{306, 307}]}, 
       {Hue[0.2472351273129606, 1, 1], LineBox[{307, 308}]}, 
       {Hue[0.24685397020731778`, 1, 1], LineBox[{308, 309}]}, 
       {Hue[0.24647282825553923`, 1, 1], LineBox[{309, 310}]}, 
       {Hue[0.24609170329166405`, 1, 1], LineBox[{310, 311}]}, 
       {Hue[0.24571059714901458`, 1, 1], LineBox[{311, 312}]}, 
       {Hue[0.24532951166011932`, 1, 1], LineBox[{312, 313}]}, 
       {Hue[0.24494844865663576`, 1, 1], LineBox[{313, 314}]}, 
       {Hue[0.24418639742771617`, 1, 1], LineBox[{314, 315}]}, 
       {Hue[0.24380541286054708`, 1, 1], LineBox[{315, 316}]}, 
       {Hue[0.24342445809517, 1, 1], LineBox[{316, 317}]}, 
       {Hue[0.24266264527305542`, 1, 1], LineBox[{317, 318}]}, 
       {Hue[0.24228179086454416`, 1, 1], LineBox[{318, 319}]}, 
       {Hue[0.24190097355412485`, 1, 1], LineBox[{319, 320}]}, 
       {Hue[0.24113945750738408`, 1, 1], LineBox[{320, 321}]}, 
       {Hue[0.2407587624068073, 1, 1], LineBox[{321, 322}]}, 
       {Hue[0.24037811167566045`, 1, 1], LineBox[{322, 323}]}, 
       {Hue[0.23961695057318147`, 1, 1], LineBox[{323, 324}]}, 
       {Hue[0.2380952404554197, 1, 1], LineBox[{324, 325}]}, 
       {Hue[0.23768268530800246`, 1, 1], LineBox[{325, 326}]}, 
       {Hue[0.23727019956300532`, 1, 1], LineBox[{326, 327}]}, 
       {Hue[0.23644544544623258`, 1, 1], LineBox[{327, 328}]}, 
       {Hue[0.23479687066374988`, 1, 1], LineBox[{328, 329}]}, 
       {Hue[0.23438493471701696`, 1, 1], LineBox[{329, 330}]}, 
       {Hue[0.23397308640684428`, 1, 1], LineBox[{330, 331}]}, 
       {Hue[0.23314966173624715`, 1, 1], LineBox[{331, 332}]}, 
       {Hue[0.23150396322258707`, 1, 1], LineBox[{332, 333}]}, 
       {Hue[0.23109279142615208`, 1, 1], LineBox[{333, 334}]}, 
       {Hue[0.23068172522628413`, 1, 1], LineBox[{334, 335}]}, 
       {Hue[0.22985991850312365`, 1, 1], LineBox[{335, 336}]}, 
       {Hue[0.2282176696727462, 1, 1], LineBox[{336, 337}]}, 
       {Hue[0.22493912100615956`, 1, 1], LineBox[{337, 338}]}, 
       {Hue[0.22452990240719808`, 1, 1], LineBox[{338, 339}]}, 
       {Hue[0.22412082428986946`, 1, 1], LineBox[{339, 340}]}, 
       {Hue[0.22330309800330872`, 1, 1], LineBox[{340, 341}]}, 
       {Hue[0.22166942436010048`, 1, 1], LineBox[{341, 342}]}, 
       {Hue[0.21840965988103805`, 1, 1], LineBox[{342, 343}]}, 
       {Hue[0.2180029403272427, 1, 1], LineBox[{343, 344}]}, 
       {Hue[0.21759639443153517`, 1, 1], LineBox[{344, 345}]}, 
       {Hue[0.21678383164015788`, 1, 1], LineBox[{345, 346}]}, 
       {Hue[0.21516087777741738`, 1, 1], LineBox[{346, 347}]}, 
       {Hue[0.21192409557823028`, 1, 1], LineBox[{347, 348}]}, 
       {Hue[0.21154735354250084`, 1, 1], LineBox[{348, 349}]}, 
       {Hue[0.21117078972624026`, 1, 1], LineBox[{349, 350}]}, 
       {Hue[0.21041820282444174`, 1, 1], LineBox[{350, 351}]}, 
       {Hue[0.20891523405310197`, 1, 1], LineBox[{351, 352}]}, 
       {Hue[0.2059184474441574, 1, 1], LineBox[{352, 353}]}, 
       {Hue[0.19996402390747361`, 1, 1], LineBox[{353, 354}]}, 
       {Hue[0.19959370230262743`, 1, 1], LineBox[{354, 355}]}, 
       {Hue[0.1992236038568319, 1, 1], LineBox[{355, 356}]}, 
       {Hue[0.19848408153459976`, 1, 1], LineBox[{356, 357}]}, 
       {Hue[0.19700777035336184`, 1, 1], LineBox[{357, 358}]}, 
       {Hue[0.19406635637185005`, 1, 1], LineBox[{358, 359}]}, 
       {Hue[0.18823044513520215`, 1, 1], LineBox[{359, 360}]}, 
       {Hue[0.18783747724681002`, 1, 1], LineBox[{360, 361}]}, 
       {Hue[0.1874448146329372, 1, 1], LineBox[{361, 362}]}, 
       {Hue[0.18666041032284467`, 1, 1], LineBox[{362, 363}]}, 
       {Hue[0.1850953203601452, 1, 1], LineBox[{363, 364}]}, 
       {Hue[0.1819802848657274, 1, 1], LineBox[{364, 365}]}, 
       {Hue[0.1758127883673826, 1, 1], LineBox[{365, 366}]}, 
       {Hue[0.1637414997039794, 1, 1], LineBox[{366, 367}]}, 
       {Hue[0.16337692046153718`, 1, 1], LineBox[{367, 368}]}, 
       {Hue[0.16301269104984262`, 1, 1], LineBox[{368, 369}]}, 
       {Hue[0.16228528369910886`, 1, 1], LineBox[{369, 370}]}, 
       {Hue[0.1608346881817319, 1, 1], LineBox[{370, 371}]}, 
       {Hue[0.1579504717808601, 1, 1], LineBox[{371, 372}]}, 
       {Hue[0.15225058847550843`, 1, 1], LineBox[{372, 373}]}, 
       {Hue[0.1411282161119817, 1, 1], LineBox[{373, 374}]}, 
       {Hue[0.12136682583576484`, 1, 1], LineBox[{374, 375}]}, 
       {Hue[0.10132435565811605`, 1, 1], LineBox[{375, 376}]}, 
       {Hue[0.08378739001554547, 1, 1], LineBox[{376, 377}]}, 
       {Hue[0.06753590541558296, 1, 1], LineBox[{377, 378}]}, 
       {Hue[0.0672674238272465, 1, 1], LineBox[{378, 379}]}, 
       {Hue[0.06699916076804159, 1, 1], LineBox[{379, 380}]}, 
       {Hue[0.06646328691034004, 1, 1], LineBox[{380, 381}]}, 
       {Hue[0.06539412494024377, 1, 1], LineBox[{381, 382}]}, 
       {Hue[0.06326595746667119, 1, 1], LineBox[{382, 383}]}, 
       {Hue[0.05904875488299526, 1, 1], LineBox[{383, 384}]}, 
       {Hue[0.05878685308360073, 1, 1], LineBox[{384, 385}]}, 
       {Hue[0.05852514314748131, 1, 1], LineBox[{385, 386}]}, 
       {Hue[0.05800229553060261, 1, 1], LineBox[{386, 387}]}, 
       {Hue[0.05695886598100608, 1, 1], LineBox[{387, 388}]}, 
       {Hue[0.05488088299658429, 1, 1], LineBox[{388, 389}]}, 
       {Hue[0.0507589302090418, 1, 1], LineBox[{389, 390}]}, 
       {Hue[0.05051990962755181, 1, 1], LineBox[{390, 391}]}, 
       {Hue[0.050281032945578515`, 1, 1], LineBox[{391, 392}]}, 
       {Hue[0.04980370858756762, 1, 1], LineBox[{392, 393}]}, 
       {Hue[0.04885075705667512, 1, 1], LineBox[{393, 394}]}, 
       {Hue[0.04695149217825662, 1, 1], LineBox[{394, 395}]}, 
       {Hue[0.043178313304186866`, 1, 1], LineBox[{395, 396}]}, 
       {Hue[0.042943564528662284`, 1, 1], LineBox[{396, 397}]}, 
       {Hue[0.042708938205735354`, 1, 1], LineBox[{397, 398}]}, 
       {Hue[0.042240050250999805`, 1, 1], LineBox[{398, 399}]}, 
       {Hue[0.041303714452091696`, 1, 1], LineBox[{399, 400}]}, 
       {Hue[0.03943665425998829, 1, 1], LineBox[{400, 401}]}, 
       {Hue[0.03572379038379056, 1, 1], LineBox[{401, 402}]}, 
       {Hue[0.03547320455100584, 1, 1], LineBox[{402, 403}]}, 
       {Hue[0.03522273762146896, 1, 1], LineBox[{403, 404}]}, 
       {Hue[0.034722157113932214`, 1, 1], LineBox[{404, 405}]}, 
       {Hue[0.03372238601633398, 1, 1], LineBox[{405, 406}]}, 
       {Hue[0.03172821586249482, 1, 1], LineBox[{406, 407}]}, 
       {Hue[0.03147943191275808, 1, 1], LineBox[{407, 408}]}, 
       {Hue[0.031230753472177717`, 1, 1], LineBox[{408, 409}]}, 
       {Hue[0.030733709781557574`, 1, 1], LineBox[{409, 410}]}, 
       {Hue[0.029740851822258815`, 1, 1], LineBox[{410, 411}]}, 
       {Hue[0.027759867141148174`, 1, 1], LineBox[{411, 412}]}, 
       {Hue[0.027512671401734256`, 1, 1], LineBox[{412, 413}]}, 
       {Hue[0.027265567861157903`, 1, 1], LineBox[{413, 414}]}, 
       {Hue[0.02677163406000022, 1, 1], LineBox[{414, 415}]}, 
       {Hue[0.02578483637921635, 1, 1], LineBox[{415, 416}]}, 
       {Hue[0.0238153353695229, 1, 1], LineBox[{416, 417}]}, 
       {Hue[0.023569515476446326`, 1, 1], LineBox[{417, 418}]}, 
       {Hue[0.02332377455098382, 1, 1], LineBox[{418, 419}]}, 
       {Hue[0.022832526305280633`, 1, 1], LineBox[{419, 420}]}, 
       {Hue[0.021850941166985972`, 1, 1], LineBox[{420, 421}]}, 
       {Hue[0.019891231988468473`, 1, 1], LineBox[{421, 422}]}, 
       {Hue[0.01966277741341748, 1, 1], LineBox[{422, 423}]}, 
       {Hue[0.0194343802662687, 1, 1], LineBox[{423, 424}]}, 
       {Hue[0.01897775558442008, 1, 1], LineBox[{424, 425}]}, 
       {Hue[0.018065165982028755`, 1, 1], LineBox[{425, 426}]}, 
       {Hue[0.016242476464460105`, 1, 1], LineBox[{426, 427}]}, 
       {Hue[0.01601486069341581, 1, 1], LineBox[{427, 428}]}, 
       {Hue[0.0157872916858071, 1, 1], LineBox[{428, 429}]}, 
       {Hue[0.015332291300638777`, 1, 1], LineBox[{429, 430}]}, 
       {Hue[0.014422822437338927`, 1, 1], LineBox[{430, 431}]}, 
       {Hue[0.01260586355789195, 1, 1], LineBox[{431, 432}]}, 
       {Hue[0.012378916273309077`, 1, 1], LineBox[{432, 433}]}, 
       {Hue[0.012152005128142398`, 1, 1], LineBox[{433, 434}]}, 
       {Hue[0.011698288604802215`, 1, 1], LineBox[{434, 435}]}, 
       {Hue[0.010791260074104254`, 1, 1], LineBox[{435, 436}]}, 
       {Hue[0.010564583351965631`, 1, 1], LineBox[{436, 437}]}, 
       {Hue[0.010337937469823545`, 1, 1], LineBox[{437, 438}]}, 
       {Hue[0.009884735577967426, 1, 1], LineBox[{438, 439}]}, 
       {Hue[0.008978672756857162, 1, 1], LineBox[{439, 440}]}, 
       {Hue[0.008752224226806537, 1, 1], LineBox[{440, 441}]}, 
       {Hue[0.008525801244265316, 1, 1], LineBox[{441, 442}]}, 
       {Hue[0.008073029277279837, 1, 1], LineBox[{442, 443}]}, 
       {Hue[0.007846678970838494, 1, 1], LineBox[{443, 444}]}, 
       {Hue[0.007620351567907857, 1, 1], LineBox[{444, 445}]}, 
       {Hue[0.007167762829496749, 1, 1], LineBox[{445, 446}]}, 
       {Hue[0.006941500172671094, 1, 1], LineBox[{446, 447}]}, 
       {Hue[0.006715257776661194, 1, 1], LineBox[{447, 448}]}, 
       {Hue[0.006262831125209885, 1, 1], LineBox[{448, 449}]}, 
       {Hue[0.005358191895222516, 1, 1], LineBox[{449, 450}]}, 
       {Hue[0.005136505252619111, 1, 1], LineBox[{450, 451}]}, 
       {Hue[0.004914833019706234, 1, 1], LineBox[{451, 452}]}, 
       {Hue[0.004471529295255007, 1, 1], LineBox[{452, 453}]}, 
       {Hue[0.004249896559984952, 1, 1], LineBox[{453, 454}]}, 
       {Hue[0.00402827574693778, 1, 1], LineBox[{454, 455}]}, 
       {Hue[0.0035850674005169316`, 1, 1], LineBox[{455, 456}]}, 
       {Hue[0.0033634786237412393`, 1, 1], LineBox[{456, 457}]}, 
       {Hue[0.0031418992823801332`, 1, 1], LineBox[{457, 458}]}, 
       {Hue[0.0029203287548185625`, 1, 1], LineBox[{458, 459}]}, 
       {Hue[0.0026987664194720352`, 1, 1], LineBox[{459, 460}]}, 
       {Hue[0.002477211654784387, 1, 1], LineBox[{460, 461}]}, 
       {Hue[0.0022556638392256965`, 1, 1], LineBox[{461, 462}]}, 
       {Hue[0.002034122351290189, 1, 1], LineBox[{462, 463}]}, 
       {Hue[0.0018125865694940044`, 1, 1], LineBox[{463, 464}]}, 
       {Hue[0.0015910558723730777`, 1, 1], LineBox[{464, 465}]}, 
       {Hue[0.0013695296384809849`, 1, 1], LineBox[{465, 466}]}, 
       {Hue[0.0011480072463867883`, 1, 1], LineBox[{466, 467}]}, 
       {Hue[0.0009264880746729118, 1, 1], LineBox[{467, 468}]}, 
       {Hue[0.0007049715019329033, 1, 1], LineBox[{468, 469}]}, 
       {Hue[0.0004834569067693329, 1, 1], LineBox[{469, 470}]}, 
       {Hue[0.0002619436677916905, 1, 1], LineBox[{470, 471}]}, 
       {Hue[0.000040431163614147966`, 1, 1], LineBox[{471, 472}]}, 
       {Hue[0.9998189187728534, 1, 1], LineBox[{472, 473}]}, 
       {Hue[0.9995974058741266, 1, 1], LineBox[{473, 474}]}, 
       {Hue[0.9993758918460491, 1, 1], LineBox[{474, 475}]}, 
       {Hue[0.9991543760672325, 1, 1], LineBox[{475, 476}]}, 
       {Hue[0.9989328579162817, 1, 1], LineBox[{476, 477}]}, 
       {Hue[0.9987113367717942, 1, 1], LineBox[{477, 478}]}, 
       {Hue[0.9984898120123568, 1, 1], LineBox[{478, 479}]}, 
       {Hue[0.9982682830165432, 1, 1], LineBox[{479, 480}]}, 
       {Hue[0.9980467491629134, 1, 1], LineBox[{480, 481}]}, 
       {Hue[0.9978252098300097, 1, 1], LineBox[{481, 482}]}, 
       {Hue[0.9976036643963558, 1, 1], LineBox[{482, 483}]}, 
       {Hue[0.9973821122404543, 1, 1], LineBox[{483, 484}]}, 
       {Hue[0.9971605527407842, 1, 1], LineBox[{484, 485}]}, 
       {Hue[0.9969389852757992, 1, 1], LineBox[{485, 486}]}, 
       {Hue[0.9964958239635591, 1, 1], LineBox[{486, 487}]}, 
       {Hue[0.9962742288730648, 1, 1], LineBox[{487, 488}]}, 
       {Hue[0.996052623330773, 1, 1], LineBox[{488, 489}]}, 
       {Hue[0.9956093784039354, 1, 1], LineBox[{489, 490}]}, 
       {Hue[0.995387737775861, 1, 1], LineBox[{490, 491}]}, 
       {Hue[0.9951660842089277, 1, 1], LineBox[{491, 492}]}, 
       {Hue[0.9947227357709506, 1, 1], LineBox[{492, 493}]}, 
       {Hue[0.9945010396560208, 1, 1], LineBox[{493, 494}]}, 
       {Hue[0.9942793281144557, 1, 1], LineBox[{494, 495}]}, 
       {Hue[0.9938358562630776, 1, 1], LineBox[{495, 496}]}, 
       {Hue[0.9936140947089531, 1, 1], LineBox[{496, 497}]}, 
       {Hue[0.9933923152395664, 1, 1], LineBox[{497, 498}]}, 
       {Hue[0.9929487000657207, 1, 1], LineBox[{498, 499}]}, 
       {Hue[0.9927268631164576, 1, 1], LineBox[{499, 500}]}, 
       {Hue[0.99250500576232, 1, 1], LineBox[{500, 501}]}, 
       {Hue[0.9920612273490585, 1, 1], LineBox[{501, 502}]}, 
       {Hue[0.9911733982659021, 1, 1], LineBox[{502, 503}]}, 
       {Hue[0.9909325747967033, 1, 1], LineBox[{503, 504}]}, 
       {Hue[0.9906917213950743, 1, 1], LineBox[{504, 505}]}, 
       {Hue[0.9902099216129358, 1, 1], LineBox[{505, 506}]}, 
       {Hue[0.989245927854953, 1, 1], LineBox[{506, 507}]}, 
       {Hue[0.9890048426489481, 1, 1], LineBox[{507, 508}]}, 
       {Hue[0.9887637211439682, 1, 1], LineBox[{508, 509}]}, 
       {Hue[0.9882813660511997, 1, 1], LineBox[{509, 510}]}, 
       {Hue[0.9873161852248517, 1, 1], LineBox[{510, 511}]}, 
       {Hue[0.9870747873184581, 1, 1], LineBox[{511, 512}]}, 
       {Hue[0.9868333467373395, 1, 1], LineBox[{512, 513}]}, 
       {Hue[0.9863503343599933, 1, 1], LineBox[{513, 514}]}, 
       {Hue[0.9853837623986506, 1, 1], LineBox[{514, 515}]}, 
       {Hue[0.9834482507269322, 1, 1], LineBox[{515, 516}]}, 
       {Hue[0.9832060742017218, 1, 1], LineBox[{516, 517}]}, 
       {Hue[0.9829638422167695, 1, 1], LineBox[{517, 518}]}, 
       {Hue[0.9824792086644554, 1, 1], LineBox[{518, 519}]}, 
       {Hue[0.9815092407958094, 1, 1], LineBox[{519, 520}]}, 
       {Hue[0.9795663223392861, 1, 1], LineBox[{520, 521}]}, 
       {Hue[0.9793231622450247, 1, 1], LineBox[{521, 522}]}, 
       {Hue[0.9790799338521377, 1, 1], LineBox[{522, 523}]}, 
       {Hue[0.9785932689524265, 1, 1], LineBox[{523, 524}]}, 
       {Hue[0.9776190841566166, 1, 1], LineBox[{524, 525}]}, 
       {Hue[0.975667114035326, 1, 1], LineBox[{525, 526}]}, 
       {Hue[0.9754390633641128, 1, 1], LineBox[{526, 527}]}, 
       {Hue[0.9752109420085299, 1, 1], LineBox[{527, 528}]}, 
       {Hue[0.9747544846142472, 1, 1], LineBox[{528, 529}]}, 
       {Hue[0.9738406926710507, 1, 1], LineBox[{529, 530}]}, 
       {Hue[0.9720094526039389, 1, 1], LineBox[{530, 531}]}, 
       {Hue[0.9683311642017814, 1, 1], LineBox[{531, 532}]}, 
       {Hue[0.9681005244293676, 1, 1], LineBox[{532, 533}]}, 
       {Hue[0.9678697928221847, 1, 1], LineBox[{533, 534}]}, 
       {Hue[0.9674080514439187, 1, 1], LineBox[{534, 535}]}, 
       {Hue[0.966483437400964, 1, 1], LineBox[{535, 536}]}, 
       {Hue[0.9646295349167414, 1, 1], LineBox[{536, 537}]}, 
       {Hue[0.9609018350177954, 1, 1], LineBox[{537, 538}]}, 
       {Hue[0.9606483503513359, 1, 1], LineBox[{538, 539}]}, 
       {Hue[0.9603947326474463, 1, 1], LineBox[{539, 540}]}, 
       {Hue[0.9598870947025527, 1, 1], LineBox[{540, 541}]}, 
       {Hue[0.9588701846718123, 1, 1], LineBox[{541, 542}]}, 
       {Hue[0.9568296358286239, 1, 1], LineBox[{542, 543}]}, 
       {Hue[0.9527200809416663, 1, 1], LineBox[{543, 544}]}, 
       {Hue[0.9443747422042437, 1, 1], LineBox[{544, 545}]}, 
       {Hue[0.9441158128316757, 1, 1], LineBox[{545, 546}]}, 
       {Hue[0.943856701855986, 1, 1], LineBox[{546, 547}]}, 
       {Hue[0.9433379317912788, 1, 1], LineBox[{547, 548}]}, 
       {Hue[0.942298176074474, 1, 1], LineBox[{548, 549}]}, 
       {Hue[0.9402096171393628, 1, 1], LineBox[{549, 550}]}, 
       {Hue[0.9359948273114629, 1, 1], LineBox[{550, 551}]}, 
       {Hue[0.9274027124575679, 1, 1], LineBox[{551, 552}]}, 
       {Hue[0.9107129293179048, 1, 1], LineBox[{552, 553}]}, 
       {Hue[0.8914807352640294, 1, 1], LineBox[{553, 554}]}, 
       {Hue[0.8722988598223519, 1, 1], LineBox[{554, 555}]}, 
       {Hue[0.8522396379588035, 1, 1], LineBox[{555, 556}]}, 
       {Hue[0.8518885980552959, 1, 1], LineBox[{556, 557}]}, 
       {Hue[0.8515371912952256, 1, 1], LineBox[{557, 558}]}, 
       {Hue[0.8508332776347656, 1, 1], LineBox[{558, 559}]}, 
       {Hue[0.8494210532542402, 1, 1], LineBox[{559, 560}]}, 
       {Hue[0.8465790518299141, 1, 1], LineBox[{560, 561}]}, 
       {Hue[0.8408252475632318, 1, 1], LineBox[{561, 562}]}, 
       {Hue[0.8290438106889065, 1, 1], LineBox[{562, 563}]}, 
       {Hue[0.8286949133355983, 1, 1], LineBox[{563, 564}]}, 
       {Hue[0.8283457193462858, 1, 1], LineBox[{564, 565}]}, 
       {Hue[0.8276464439003608, 1, 1], LineBox[{565, 566}]}, 
       {Hue[0.8262443606965498, 1, 1], LineBox[{566, 567}]}, 
       {Hue[0.8234262126203606, 1, 1], LineBox[{567, 568}]}, 
       {Hue[0.8177352853514953, 1, 1], LineBox[{568, 569}]}, 
       {Hue[0.8173772394635447, 1, 1], LineBox[{569, 570}]}, 
       {Hue[0.8170189206330951, 1, 1], LineBox[{570, 571}]}, 
       {Hue[0.8163014676846723, 1, 1], LineBox[{571, 572}]}, 
       {Hue[0.8148633259038316, 1, 1], LineBox[{572, 573}]}, 
       {Hue[0.8119743082263935, 1, 1], LineBox[{573, 574}]}, 
       {Hue[0.8061471281010334, 1, 1], LineBox[{574, 575}]}, 
       {Hue[0.8057500829027806, 1, 1], LineBox[{575, 576}]}, 
       {Hue[0.8053527553799907, 1, 1], LineBox[{576, 577}]}, 
       {Hue[0.8045572592770968, 1, 1], LineBox[{577, 578}]}, 
       {Hue[0.8029629449050588, 1, 1], LineBox[{578, 579}]}, 
       {Hue[0.7997613736541621, 1, 1], LineBox[{579, 580}]}, 
       {Hue[0.799359994854902, 1, 1], LineBox[{580, 581}]}, 
       {Hue[0.7989583587267372, 1, 1], LineBox[{581, 582}]}, 
       {Hue[0.7981543211276124, 1, 1], LineBox[{582, 583}]}, 
       {Hue[0.7965432316826655, 1, 1], LineBox[{583, 584}]}, 
       {Hue[0.7933093819342499, 1, 1], LineBox[{584, 585}]}, 
       {Hue[0.7929040909701478, 1, 1], LineBox[{585, 586}]}, 
       {Hue[0.7924985705100261, 1, 1], LineBox[{586, 587}]}, 
       {Hue[0.7916868484298172, 1, 1], LineBox[{587, 588}]}, 
       {Hue[0.7900607314967867, 1, 1], LineBox[{588, 589}]}, 
       {Hue[0.7867982298702154, 1, 1], LineBox[{589, 590}]}, 
       {Hue[0.7802356708666068, 1, 1], LineBox[{590, 591}]}, 
       {Hue[0.7802233700537657, 1, 1], LineBox[{591, 592}]}, 
       {Hue[0.7802110690906503, 1, 1], LineBox[{592, 593}]}, 
       {Hue[0.7801864667138221, 1, 1], LineBox[{593, 594}]}, 
       {Hue[0.7801372601593551, 1, 1], LineBox[{594, 595}]}, 
       {Hue[0.7800388398598123, 1, 1], LineBox[{595, 596}]}, 
       {Hue[0.7798419705994404, 1, 1], LineBox[{596, 597}]}, 
       {Hue[0.7798296650058097, 1, 1], LineBox[{597, 598}]}, 
       {Hue[0.7798173592637114, 1, 1], LineBox[{598, 599}]}, 
       {Hue[0.7797927473343383, 1, 1], LineBox[{599, 600}]}, 
       {Hue[0.7797435216964705, 1, 1], LineBox[{600, 601}]}, 
       {Hue[0.7796450633169278, 1, 1], LineBox[{601, 602}]}, 
       {Hue[0.7796327553546072, 1, 1], LineBox[{602, 603}]}, 
       {Hue[0.7796204472447248, 1, 1], LineBox[{603, 604}]}, 
       {Hue[0.7795958305825013, 1, 1], LineBox[{604, 605}]}, 
       {Hue[0.7795465954898065, 1, 1], LineBox[{605, 606}]}, 
       {Hue[0.7795342863485786, 1, 1], LineBox[{606, 607}]}, 
       {Hue[0.7795219770602422, 1, 1], LineBox[{607, 608}]}, 
       {Hue[0.7794973580424717, 1, 1], LineBox[{608, 609}]}, 
       {Hue[0.7794850483131508, 1, 1], LineBox[{609, 610}]}, 
       {Hue[0.7794727384369486, 1, 1], LineBox[{610, 611}]}, 
       {Hue[0.7794604284139217, 1, 1], LineBox[{611, 612}]}}}},
    VertexColors->{
      Hue[0.7205518817558729, 1, 1], 
      Hue[0.7201728632810982, 1, 1], 
      Hue[0.7197939855871971, 1, 1], 
      Hue[0.7190366591317676, 1, 1], 
      Hue[0.7175237677526917, 1, 1], 
      Hue[0.7145053924996501, 1, 1], 
      Hue[0.7141288210543033, 1, 1], 
      Hue[0.7137524160490083, 1, 1], 
      Hue[0.7130001115521822, 1, 1], 
      Hue[0.7114975675954698, 1, 1], 
      Hue[0.7085010779576801, 1, 1], 
      Hue[0.7081273517673412, 1, 1], 
      Hue[0.7077538159975071, 1, 1], 
      Hue[0.7070073214666093, 1, 1], 
      Hue[0.7055166802582684, 1, 1], 
      Hue[0.7025451015155051, 1, 1], 
      Hue[0.6966431533753163, 1, 1], 
      Hue[0.6962453407646028, 1, 1], 
      Hue[0.6958478017085719, 1, 1], 
      Hue[0.6950535502982287, 1, 1], 
      Hue[0.6934683959066561, 1, 1], 
      Hue[0.6903118041258601, 1, 1], 
      Hue[0.6840559180388815, 1, 1], 
      Hue[0.6717902321513325, 1, 1], 
      Hue[0.6714375103634247, 1, 1], 
      Hue[0.671085090804056, 1, 1], 
      Hue[0.6703811608448678, 1, 1], 
      Hue[0.668976954394541, 1, 1], 
      Hue[0.6661832827383521, 1, 1], 
      Hue[0.6606558087846726, 1, 1], 
      Hue[0.6498458025017817, 1, 1], 
      Hue[0.6296151700839989, 1, 1], 
      Hue[0.6090856243791776, 1, 1], 
      Hue[0.5911506349521957, 1, 1], 
      Hue[0.5728738758396617, 1, 1], 
      Hue[0.5726018283453903, 1, 1], 
      Hue[0.5723300141524164, 1, 1], 
      Hue[0.5717870824013804, 1, 1], 
      Hue[0.570703982533093, 1, 1], 
      Hue[0.5685486537726839, 1, 1], 
      Hue[0.5642800076517256, 1, 1], 
      Hue[0.5558989435773015, 1, 1], 
      Hue[0.555657555594208, 1, 1], 
      Hue[0.5554163247938143, 1, 1], 
      Hue[0.5549343320656529, 1, 1], 
      Hue[0.5539722033773959, 1, 1], 
      Hue[0.5520552233913043, 1, 1], 
      Hue[0.5482491773582174, 1, 1], 
      Hue[0.5480124880738455, 1, 1], 
      Hue[0.5477759346340769, 1, 1], 
      Hue[0.5473032326321359, 1, 1], 
      Hue[0.5463594295560026, 1, 1], 
      Hue[0.5444780786214425, 1, 1], 
      Hue[0.5407392124960726, 1, 1], 
      Hue[0.5404869192549508, 1, 1], 
      Hue[0.5402347608129789, 1, 1], 
      Hue[0.5397308449751576, 1, 1], 
      Hue[0.5387245940428427, 1, 1], 
      Hue[0.5367182278963121, 1, 1], 
      Hue[0.5327285448595175, 1, 1], 
      Hue[0.5324801512102756, 1, 1], 
      Hue[0.5322318657097549, 1, 1], 
      Hue[0.5317356158456428, 1, 1], 
      Hue[0.5307443775187145, 1, 1], 
      Hue[0.5287667615698055, 1, 1], 
      Hue[0.5248294975419259, 1, 1], 
      Hue[0.524600455244923, 1, 1], 
      Hue[0.5243714843111781, 1, 1], 
      Hue[0.5239137538730607, 1, 1], 
      Hue[0.5229991201035351, 1, 1], 
      Hue[0.5211730122817957, 1, 1], 
      Hue[0.5209450320969299, 1, 1], 
      Hue[0.5207171126580099, 1, 1], 
      Hue[0.5202614533707345, 1, 1], 
      Hue[0.5193508346382325, 1, 1], 
      Hue[0.5175322485357188, 1, 1], 
      Hue[0.5173051609668913, 1, 1], 
      Hue[0.5170781235763294, 1, 1], 
      Hue[0.516624196694218, 1, 1], 
      Hue[0.5157169160846813, 1, 1], 
      Hue[0.5154902114994349, 1, 1], 
      Hue[0.5152635518250663, 1, 1], 
      Hue[0.5148103645782285, 1, 1], 
      Hue[0.5139045000852724, 1, 1], 
      Hue[0.513678136379099, 1, 1], 
      Hue[0.5134518123261133, 1, 1], 
      Hue[0.5129992805535211, 1, 1], 
      Hue[0.5120946639659323, 1, 1], 
      Hue[0.5102870717187569, 1, 1], 
      Hue[0.5100657056310822, 1, 1], 
      Hue[0.5098443675824635, 1, 1], 
      Hue[0.5094017731352407, 1, 1], 
      Hue[0.50851689357583, 1, 1], 
      Hue[0.5082957345349084, 1, 1], 
      Hue[0.508074598601023, 1, 1], 
      Hue[0.5076323935899205, 1, 1], 
      Hue[0.5067482337474685, 1, 1], 
      Hue[0.5065272423153528, 1, 1], 
      Hue[0.5063062690632634, 1, 1], 
      Hue[0.5058643746369205, 1, 1], 
      Hue[0.5056434522316935, 1, 1], 
      Hue[0.5054225455445416, 1, 1], 
      Hue[0.504980776863122, 1, 1], 
      Hue[0.504759913638311, 1, 1], 
      Hue[0.5045390636704838, 1, 1], 
      Hue[0.5040974010452097, 1, 1], 
      Hue[0.5038765871575825, 1, 1], 
      Hue[0.5036557840665759, 1, 1], 
      Hue[0.5032142078144854, 1, 1], 
      Hue[0.5029934334235187, 1, 1], 
      Hue[0.5027726673694014, 1, 1], 
      Hue[0.5025519090372679, 1, 1], 
      Hue[0.5023311578122791, 1, 1], 
      Hue[0.5021104130796202, 1, 1], 
      Hue[0.5018896742244989, 1, 1], 
      Hue[0.5016689406321433, 1, 1], 
      Hue[0.5014482116877991, 1, 1], 
      Hue[0.5012274867767283, 1, 1], 
      Hue[0.5010067652842074, 1, 1], 
      Hue[0.5007860465955236, 1, 1], 
      Hue[0.5005653300959744, 1, 1], 
      Hue[0.5003446151708648, 1, 1], 
      Hue[0.5001239012055051, 1, 1], 
      Hue[0.499903187585209, 1, 1], 
      Hue[0.4996824736952913, 1, 1], 
      Hue[0.4994617589210659, 1, 1], 
      Hue[0.4992410426478438, 1, 1], 
      Hue[0.4990203242609306, 1, 1], 
      Hue[0.49879960314562477`, 1, 1], 
      Hue[0.49857887868721534`, 1, 1], 
      Hue[0.4983581502709798, 1, 1], 
      Hue[0.4981374172821819, 1, 1], 
      Hue[0.4979166791060699, 1, 1], 
      Hue[0.49769593512787397`, 1, 1], 
      Hue[0.4974751847328044, 1, 1], 
      Hue[0.4972544273060493, 1, 1], 
      Hue[0.49703366223277273`, 1, 1], 
      Hue[0.4968128888981123, 1, 1], 
      Hue[0.49659210668717724`, 1, 1], 
      Hue[0.4961505131767657, 1, 1], 
      Hue[0.4959109298335462, 1, 1], 
      Hue[0.4956713330834243, 1, 1], 
      Hue[0.4951920962198805, 1, 1], 
      Hue[0.49495245453501585`, 1, 1], 
      Hue[0.4947127963003569, 1, 1], 
      Hue[0.49423342703805906`, 1, 1], 
      Hue[0.4939937144384435, 1, 1], 
      Hue[0.49375398214507416`, 1, 1], 
      Hue[0.4932744553322717, 1, 1], 
      Hue[0.4923151307840086, 1, 1], 
      Hue[0.4920752386164939, 1, 1], 
      Hue[0.49183532046330664`, 1, 1], 
      Hue[0.49135540305210795`, 1, 1], 
      Hue[0.4903952217696123, 1, 1], 
      Hue[0.49015509967662196`, 1, 1], 
      Hue[0.48991494529939766`, 1, 1], 
      Hue[0.4894345365406593, 1, 1], 
      Hue[0.48847329693741093`, 1, 1], 
      Hue[0.4882328945028128, 1, 1], 
      Hue[0.4879924534772371, 1, 1], 
      Hue[0.4875114524970251, 1, 1], 
      Hue[0.48654895271867454`, 1, 1], 
      Hue[0.4863082194556098, 1, 1], 
      Hue[0.48606744128514545`, 1, 1], 
      Hue[0.4855857470606176, 1, 1], 
      Hue[0.484621784937325, 1, 1], 
      Hue[0.4843806702764197, 1, 1], 
      Hue[0.4841395043805711, 1, 1], 
      Hue[0.4836570157166681, 1, 1], 
      Hue[0.4826913887171722, 1, 1], 
      Hue[0.48075735839305495`, 1, 1], 
      Hue[0.4805315263020154, 1, 1], 
      Hue[0.4803056385978369, 1, 1], 
      Hue[0.47985369376570597`, 1, 1], 
      Hue[0.47894910830569265`, 1, 1], 
      Hue[0.47713700924086944`, 1, 1], 
      Hue[0.4769102097107647, 1, 1], 
      Hue[0.47668334420836844`, 1, 1], 
      Hue[0.47622941269007835`, 1, 1], 
      Hue[0.4753207294116695, 1, 1], 
      Hue[0.47349993620919084`, 1, 1], 
      Hue[0.47327200311344897`, 1, 1], 
      Hue[0.473043993634585, 1, 1], 
      Hue[0.4725877429172142, 1, 1], 
      Hue[0.47167429615942985`, 1, 1], 
      Hue[0.4698434748853157, 1, 1], 
      Hue[0.4661649464524938, 1, 1], 
      Hue[0.4659148691575225, 1, 1], 
      Hue[0.46566467738003314`, 1, 1], 
      Hue[0.46516394701444747`, 1, 1], 
      Hue[0.4641610754806451, 1, 1], 
      Hue[0.46214950043805014`, 1, 1], 
      Hue[0.45810150782318054`, 1, 1], 
      Hue[0.4578473484445837, 1, 1], 
      Hue[0.4575930475155824, 1, 1], 
      Hue[0.45708401760083, 1, 1], 
      Hue[0.4560642216878684, 1, 1], 
      Hue[0.4540174944156169, 1, 1], 
      Hue[0.4498939651897446, 1, 1], 
      Hue[0.4496395920714616, 1, 1], 
      Hue[0.44938505615084595`, 1, 1], 
      Hue[0.4488754926464263, 1, 1], 
      Hue[0.4478543761796727, 1, 1], 
      Hue[0.4458040028063383, 1, 1], 
      Hue[0.44166923112517276`, 1, 1], 
      Hue[0.4332518596871853, 1, 1], 
      Hue[0.4169447860407513, 1, 1], 
      Hue[0.39819770478061206`, 1, 1], 
      Hue[0.3795344901876919, 1, 1], 
      Hue[0.3578952936955762, 1, 1], 
      Hue[0.35755137633603035`, 1, 1], 
      Hue[0.35720709405282786`, 1, 1], 
      Hue[0.35651743459781216`, 1, 1], 
      Hue[0.35513373575771123`, 1, 1], 
      Hue[0.3523488221943377, 1, 1], 
      Hue[0.3467090755102115, 1, 1], 
      Hue[0.33515298547996475`, 1, 1], 
      Hue[0.33481064317849296`, 1, 1], 
      Hue[0.3344679970554598, 1, 1], 
      Hue[0.3337817951822648, 1, 1], 
      Hue[0.3324057662380327, 1, 1], 
      Hue[0.32963932081463193`, 1, 1], 
      Hue[0.3240498957473761, 1, 1], 
      Hue[0.3236980982708487, 1, 1], 
      Hue[0.32334601565736026`, 1, 1], 
      Hue[0.32264099791329365`, 1, 1], 
      Hue[0.32122757308827055`, 1, 1], 
      Hue[0.3183873390867039, 1, 1], 
      Hue[0.3126548323856401, 1, 1], 
      Hue[0.31226394002872365`, 1, 1], 
      Hue[0.3118727446949302, 1, 1], 
      Hue[0.31108945018381584`, 1, 1], 
      Hue[0.30951928205543044`, 1, 1], 
      Hue[0.3063649293548802, 1, 1], 
      Hue[0.30596934819271, 1, 1], 
      Hue[0.3055734857590331, 1, 1], 
      Hue[0.30478092290960934`, 1, 1], 
      Hue[0.30319248675089605`, 1, 1], 
      Hue[0.30000271388318484`, 1, 1], 
      Hue[0.29960281338186984`, 1, 1], 
      Hue[0.29920265625388204`, 1, 1], 
      Hue[0.29840157866966915`, 1, 1], 
      Hue[0.2967964166611863, 1, 1], 
      Hue[0.2935744461038008, 1, 1], 
      Hue[0.2870871058179891, 1, 1], 
      Hue[0.2867068783556848, 1, 1], 
      Hue[0.28632647720527604`, 1, 1], 
      Hue[0.28556516022402634`, 1, 1], 
      Hue[0.284040512612144, 1, 1], 
      Hue[0.2809835290032987, 1, 1], 
      Hue[0.2806007176236879, 1, 1], 
      Hue[0.28021775886523154`, 1, 1], 
      Hue[0.2794514060120158, 1, 1], 
      Hue[0.2779170068960574, 1, 1], 
      Hue[0.2748418233531421, 1, 1], 
      Hue[0.27445686099902716`, 1, 1], 
      Hue[0.2740717791307105, 1, 1], 
      Hue[0.27330126400566074`, 1, 1], 
      Hue[0.2717588785561085, 1, 1], 
      Hue[0.27137301040675016`, 1, 1], 
      Hue[0.2709870371770741, 1, 1], 
      Hue[0.2702147827817822, 1, 1], 
      Hue[0.26866909362519453`, 1, 1], 
      Hue[0.26828243617916075`, 1, 1], 
      Hue[0.26789568837327166`, 1, 1], 
      Hue[0.26712192911903804`, 1, 1], 
      Hue[0.265573408309421, 1, 1], 
      Hue[0.26518608022548107`, 1, 1], 
      Hue[0.264798676750572, 1, 1], 
      Hue[0.2640236511774876, 1, 1], 
      Hue[0.26247277855953854`, 1, 1], 
      Hue[0.2620925178890043, 1, 1], 
      Hue[0.2617121993107025, 1, 1], 
      Hue[0.2609513956309302, 1, 1], 
      Hue[0.26057091413532246`, 1, 1], 
      Hue[0.26019038194352423`, 1, 1], 
      Hue[0.25942917270697724`, 1, 1], 
      Hue[0.2590484992850898, 1, 1], 
      Hue[0.25866778241258415`, 1, 1], 
      Hue[0.2579062255820407, 1, 1], 
      Hue[0.25752538926146157`, 1, 1], 
      Hue[0.2571445167650305, 1, 1], 
      Hue[0.2563826705368009, 1, 1], 
      Hue[0.256001700454635, 1, 1], 
      Hue[0.25562070149572913`, 1, 1], 
      Hue[0.2552396754880936, 1, 1], 
      Hue[0.25485862426087846`, 1, 1], 
      Hue[0.2544775496442966, 1, 1], 
      Hue[0.254096453469547, 1, 1], 
      Hue[0.2537153375687378, 1, 1], 
      Hue[0.25333420377480914`, 1, 1], 
      Hue[0.2529530539214558, 1, 1], 
      Hue[0.2525718898430503, 1, 1], 
      Hue[0.25219071337456533`, 1, 1], 
      Hue[0.2518095263514967, 1, 1], 
      Hue[0.25142833060978564`, 1, 1], 
      Hue[0.25104712798574136`, 1, 1], 
      Hue[0.25066592031596363`, 1, 1], 
      Hue[0.2502847094372654, 1, 1], 
      Hue[0.24990349718659496`, 1, 1], 
      Hue[0.24952228540095855`, 1, 1], 
      Hue[0.24914107591734283`, 1, 1], 
      Hue[0.24875987057263726`, 1, 1], 
      Hue[0.24837867120355647`, 1, 1], 
      Hue[0.2479974796465629, 1, 1], 
      Hue[0.2476162977377892, 1, 1], 
      Hue[0.2472351273129606, 1, 1], 
      Hue[0.24685397020731778`, 1, 1], 
      Hue[0.24647282825553923`, 1, 1], 
      Hue[0.24609170329166405`, 1, 1], 
      Hue[0.24571059714901458`, 1, 1], 
      Hue[0.24532951166011932`, 1, 1], 
      Hue[0.24494844865663576`, 1, 1], 
      Hue[0.24418639742771617`, 1, 1], 
      Hue[0.24380541286054708`, 1, 1], 
      Hue[0.24342445809517, 1, 1], 
      Hue[0.24266264527305542`, 1, 1], 
      Hue[0.24228179086454416`, 1, 1], 
      Hue[0.24190097355412485`, 1, 1], 
      Hue[0.24113945750738408`, 1, 1], 
      Hue[0.2407587624068073, 1, 1], 
      Hue[0.24037811167566045`, 1, 1], 
      Hue[0.23961695057318147`, 1, 1], 
      Hue[0.2380952404554197, 1, 1], 
      Hue[0.23768268530800246`, 1, 1], 
      Hue[0.23727019956300532`, 1, 1], 
      Hue[0.23644544544623258`, 1, 1], 
      Hue[0.23479687066374988`, 1, 1], 
      Hue[0.23438493471701696`, 1, 1], 
      Hue[0.23397308640684428`, 1, 1], 
      Hue[0.23314966173624715`, 1, 1], 
      Hue[0.23150396322258707`, 1, 1], 
      Hue[0.23109279142615208`, 1, 1], 
      Hue[0.23068172522628413`, 1, 1], 
      Hue[0.22985991850312365`, 1, 1], 
      Hue[0.2282176696727462, 1, 1], 
      Hue[0.22493912100615956`, 1, 1], 
      Hue[0.22452990240719808`, 1, 1], 
      Hue[0.22412082428986946`, 1, 1], 
      Hue[0.22330309800330872`, 1, 1], 
      Hue[0.22166942436010048`, 1, 1], 
      Hue[0.21840965988103805`, 1, 1], 
      Hue[0.2180029403272427, 1, 1], 
      Hue[0.21759639443153517`, 1, 1], 
      Hue[0.21678383164015788`, 1, 1], 
      Hue[0.21516087777741738`, 1, 1], 
      Hue[0.21192409557823028`, 1, 1], 
      Hue[0.21154735354250084`, 1, 1], 
      Hue[0.21117078972624026`, 1, 1], 
      Hue[0.21041820282444174`, 1, 1], 
      Hue[0.20891523405310197`, 1, 1], 
      Hue[0.2059184474441574, 1, 1], 
      Hue[0.19996402390747361`, 1, 1], 
      Hue[0.19959370230262743`, 1, 1], 
      Hue[0.1992236038568319, 1, 1], 
      Hue[0.19848408153459976`, 1, 1], 
      Hue[0.19700777035336184`, 1, 1], 
      Hue[0.19406635637185005`, 1, 1], 
      Hue[0.18823044513520215`, 1, 1], 
      Hue[0.18783747724681002`, 1, 1], 
      Hue[0.1874448146329372, 1, 1], 
      Hue[0.18666041032284467`, 1, 1], 
      Hue[0.1850953203601452, 1, 1], 
      Hue[0.1819802848657274, 1, 1], 
      Hue[0.1758127883673826, 1, 1], 
      Hue[0.1637414997039794, 1, 1], 
      Hue[0.16337692046153718`, 1, 1], 
      Hue[0.16301269104984262`, 1, 1], 
      Hue[0.16228528369910886`, 1, 1], 
      Hue[0.1608346881817319, 1, 1], 
      Hue[0.1579504717808601, 1, 1], 
      Hue[0.15225058847550843`, 1, 1], 
      Hue[0.1411282161119817, 1, 1], 
      Hue[0.12136682583576484`, 1, 1], 
      Hue[0.10132435565811605`, 1, 1], 
      Hue[0.08378739001554547, 1, 1], 
      Hue[0.06753590541558296, 1, 1], 
      Hue[0.0672674238272465, 1, 1], 
      Hue[0.06699916076804159, 1, 1], 
      Hue[0.06646328691034004, 1, 1], 
      Hue[0.06539412494024377, 1, 1], 
      Hue[0.06326595746667119, 1, 1], 
      Hue[0.05904875488299526, 1, 1], 
      Hue[0.05878685308360073, 1, 1], 
      Hue[0.05852514314748131, 1, 1], 
      Hue[0.05800229553060261, 1, 1], 
      Hue[0.05695886598100608, 1, 1], 
      Hue[0.05488088299658429, 1, 1], 
      Hue[0.0507589302090418, 1, 1], 
      Hue[0.05051990962755181, 1, 1], 
      Hue[0.050281032945578515`, 1, 1], 
      Hue[0.04980370858756762, 1, 1], 
      Hue[0.04885075705667512, 1, 1], 
      Hue[0.04695149217825662, 1, 1], 
      Hue[0.043178313304186866`, 1, 1], 
      Hue[0.042943564528662284`, 1, 1], 
      Hue[0.042708938205735354`, 1, 1], 
      Hue[0.042240050250999805`, 1, 1], 
      Hue[0.041303714452091696`, 1, 1], 
      Hue[0.03943665425998829, 1, 1], 
      Hue[0.03572379038379056, 1, 1], 
      Hue[0.03547320455100584, 1, 1], 
      Hue[0.03522273762146896, 1, 1], 
      Hue[0.034722157113932214`, 1, 1], 
      Hue[0.03372238601633398, 1, 1], 
      Hue[0.03172821586249482, 1, 1], 
      Hue[0.03147943191275808, 1, 1], 
      Hue[0.031230753472177717`, 1, 1], 
      Hue[0.030733709781557574`, 1, 1], 
      Hue[0.029740851822258815`, 1, 1], 
      Hue[0.027759867141148174`, 1, 1], 
      Hue[0.027512671401734256`, 1, 1], 
      Hue[0.027265567861157903`, 1, 1], 
      Hue[0.02677163406000022, 1, 1], 
      Hue[0.02578483637921635, 1, 1], 
      Hue[0.0238153353695229, 1, 1], 
      Hue[0.023569515476446326`, 1, 1], 
      Hue[0.02332377455098382, 1, 1], 
      Hue[0.022832526305280633`, 1, 1], 
      Hue[0.021850941166985972`, 1, 1], 
      Hue[0.019891231988468473`, 1, 1], 
      Hue[0.01966277741341748, 1, 1], 
      Hue[0.0194343802662687, 1, 1], 
      Hue[0.01897775558442008, 1, 1], 
      Hue[0.018065165982028755`, 1, 1], 
      Hue[0.016242476464460105`, 1, 1], 
      Hue[0.01601486069341581, 1, 1], 
      Hue[0.0157872916858071, 1, 1], 
      Hue[0.015332291300638777`, 1, 1], 
      Hue[0.014422822437338927`, 1, 1], 
      Hue[0.01260586355789195, 1, 1], 
      Hue[0.012378916273309077`, 1, 1], 
      Hue[0.012152005128142398`, 1, 1], 
      Hue[0.011698288604802215`, 1, 1], 
      Hue[0.010791260074104254`, 1, 1], 
      Hue[0.010564583351965631`, 1, 1], 
      Hue[0.010337937469823545`, 1, 1], 
      Hue[0.009884735577967426, 1, 1], 
      Hue[0.008978672756857162, 1, 1], 
      Hue[0.008752224226806537, 1, 1], 
      Hue[0.008525801244265316, 1, 1], 
      Hue[0.008073029277279837, 1, 1], 
      Hue[0.007846678970838494, 1, 1], 
      Hue[0.007620351567907857, 1, 1], 
      Hue[0.007167762829496749, 1, 1], 
      Hue[0.006941500172671094, 1, 1], 
      Hue[0.006715257776661194, 1, 1], 
      Hue[0.006262831125209885, 1, 1], 
      Hue[0.005358191895222516, 1, 1], 
      Hue[0.005136505252619111, 1, 1], 
      Hue[0.004914833019706234, 1, 1], 
      Hue[0.004471529295255007, 1, 1], 
      Hue[0.004249896559984952, 1, 1], 
      Hue[0.00402827574693778, 1, 1], 
      Hue[0.0035850674005169316`, 1, 1], 
      Hue[0.0033634786237412393`, 1, 1], 
      Hue[0.0031418992823801332`, 1, 1], 
      Hue[0.0029203287548185625`, 1, 1], 
      Hue[0.0026987664194720352`, 1, 1], 
      Hue[0.002477211654784387, 1, 1], 
      Hue[0.0022556638392256965`, 1, 1], 
      Hue[0.002034122351290189, 1, 1], 
      Hue[0.0018125865694940044`, 1, 1], 
      Hue[0.0015910558723730777`, 1, 1], 
      Hue[0.0013695296384809849`, 1, 1], 
      Hue[0.0011480072463867883`, 1, 1], 
      Hue[0.0009264880746729118, 1, 1], 
      Hue[0.0007049715019329033, 1, 1], 
      Hue[0.0004834569067693329, 1, 1], 
      Hue[0.0002619436677916905, 1, 1], 
      Hue[0.000040431163614147966`, 1, 1], 
      Hue[0.9998189187728534, 1, 1], 
      Hue[0.9995974058741266, 1, 1], 
      Hue[0.9993758918460491, 1, 1], 
      Hue[0.9991543760672325, 1, 1], 
      Hue[0.9989328579162817, 1, 1], 
      Hue[0.9987113367717942, 1, 1], 
      Hue[0.9984898120123568, 1, 1], 
      Hue[0.9982682830165432, 1, 1], 
      Hue[0.9980467491629134, 1, 1], 
      Hue[0.9978252098300097, 1, 1], 
      Hue[0.9976036643963558, 1, 1], 
      Hue[0.9973821122404543, 1, 1], 
      Hue[0.9971605527407842, 1, 1], 
      Hue[0.9969389852757992, 1, 1], 
      Hue[0.9964958239635591, 1, 1], 
      Hue[0.9962742288730648, 1, 1], 
      Hue[0.996052623330773, 1, 1], 
      Hue[0.9956093784039354, 1, 1], 
      Hue[0.995387737775861, 1, 1], 
      Hue[0.9951660842089277, 1, 1], 
      Hue[0.9947227357709506, 1, 1], 
      Hue[0.9945010396560208, 1, 1], 
      Hue[0.9942793281144557, 1, 1], 
      Hue[0.9938358562630776, 1, 1], 
      Hue[0.9936140947089531, 1, 1], 
      Hue[0.9933923152395664, 1, 1], 
      Hue[0.9929487000657207, 1, 1], 
      Hue[0.9927268631164576, 1, 1], 
      Hue[0.99250500576232, 1, 1], 
      Hue[0.9920612273490585, 1, 1], 
      Hue[0.9911733982659021, 1, 1], 
      Hue[0.9909325747967033, 1, 1], 
      Hue[0.9906917213950743, 1, 1], 
      Hue[0.9902099216129358, 1, 1], 
      Hue[0.989245927854953, 1, 1], 
      Hue[0.9890048426489481, 1, 1], 
      Hue[0.9887637211439682, 1, 1], 
      Hue[0.9882813660511997, 1, 1], 
      Hue[0.9873161852248517, 1, 1], 
      Hue[0.9870747873184581, 1, 1], 
      Hue[0.9868333467373395, 1, 1], 
      Hue[0.9863503343599933, 1, 1], 
      Hue[0.9853837623986506, 1, 1], 
      Hue[0.9834482507269322, 1, 1], 
      Hue[0.9832060742017218, 1, 1], 
      Hue[0.9829638422167695, 1, 1], 
      Hue[0.9824792086644554, 1, 1], 
      Hue[0.9815092407958094, 1, 1], 
      Hue[0.9795663223392861, 1, 1], 
      Hue[0.9793231622450247, 1, 1], 
      Hue[0.9790799338521377, 1, 1], 
      Hue[0.9785932689524265, 1, 1], 
      Hue[0.9776190841566166, 1, 1], 
      Hue[0.975667114035326, 1, 1], 
      Hue[0.9754390633641128, 1, 1], 
      Hue[0.9752109420085299, 1, 1], 
      Hue[0.9747544846142472, 1, 1], 
      Hue[0.9738406926710507, 1, 1], 
      Hue[0.9720094526039389, 1, 1], 
      Hue[0.9683311642017814, 1, 1], 
      Hue[0.9681005244293676, 1, 1], 
      Hue[0.9678697928221847, 1, 1], 
      Hue[0.9674080514439187, 1, 1], 
      Hue[0.966483437400964, 1, 1], 
      Hue[0.9646295349167414, 1, 1], 
      Hue[0.9609018350177954, 1, 1], 
      Hue[0.9606483503513359, 1, 1], 
      Hue[0.9603947326474463, 1, 1], 
      Hue[0.9598870947025527, 1, 1], 
      Hue[0.9588701846718123, 1, 1], 
      Hue[0.9568296358286239, 1, 1], 
      Hue[0.9527200809416663, 1, 1], 
      Hue[0.9443747422042437, 1, 1], 
      Hue[0.9441158128316757, 1, 1], 
      Hue[0.943856701855986, 1, 1], 
      Hue[0.9433379317912788, 1, 1], 
      Hue[0.942298176074474, 1, 1], 
      Hue[0.9402096171393628, 1, 1], 
      Hue[0.9359948273114629, 1, 1], 
      Hue[0.9274027124575679, 1, 1], 
      Hue[0.9107129293179048, 1, 1], 
      Hue[0.8914807352640294, 1, 1], 
      Hue[0.8722988598223519, 1, 1], 
      Hue[0.8522396379588035, 1, 1], 
      Hue[0.8518885980552959, 1, 1], 
      Hue[0.8515371912952256, 1, 1], 
      Hue[0.8508332776347656, 1, 1], 
      Hue[0.8494210532542402, 1, 1], 
      Hue[0.8465790518299141, 1, 1], 
      Hue[0.8408252475632318, 1, 1], 
      Hue[0.8290438106889065, 1, 1], 
      Hue[0.8286949133355983, 1, 1], 
      Hue[0.8283457193462858, 1, 1], 
      Hue[0.8276464439003608, 1, 1], 
      Hue[0.8262443606965498, 1, 1], 
      Hue[0.8234262126203606, 1, 1], 
      Hue[0.8177352853514953, 1, 1], 
      Hue[0.8173772394635447, 1, 1], 
      Hue[0.8170189206330951, 1, 1], 
      Hue[0.8163014676846723, 1, 1], 
      Hue[0.8148633259038316, 1, 1], 
      Hue[0.8119743082263935, 1, 1], 
      Hue[0.8061471281010334, 1, 1], 
      Hue[0.8057500829027806, 1, 1], 
      Hue[0.8053527553799907, 1, 1], 
      Hue[0.8045572592770968, 1, 1], 
      Hue[0.8029629449050588, 1, 1], 
      Hue[0.7997613736541621, 1, 1], 
      Hue[0.799359994854902, 1, 1], 
      Hue[0.7989583587267372, 1, 1], 
      Hue[0.7981543211276124, 1, 1], 
      Hue[0.7965432316826655, 1, 1], 
      Hue[0.7933093819342499, 1, 1], 
      Hue[0.7929040909701478, 1, 1], 
      Hue[0.7924985705100261, 1, 1], 
      Hue[0.7916868484298172, 1, 1], 
      Hue[0.7900607314967867, 1, 1], 
      Hue[0.7867982298702154, 1, 1], 
      Hue[0.7802356708666068, 1, 1], 
      Hue[0.7802233700537657, 1, 1], 
      Hue[0.7802110690906503, 1, 1], 
      Hue[0.7801864667138221, 1, 1], 
      Hue[0.7801372601593551, 1, 1], 
      Hue[0.7800388398598123, 1, 1], 
      Hue[0.7798419705994404, 1, 1], 
      Hue[0.7798296650058097, 1, 1], 
      Hue[0.7798173592637114, 1, 1], 
      Hue[0.7797927473343383, 1, 1], 
      Hue[0.7797435216964705, 1, 1], 
      Hue[0.7796450633169278, 1, 1], 
      Hue[0.7796327553546072, 1, 1], 
      Hue[0.7796204472447248, 1, 1], 
      Hue[0.7795958305825013, 1, 1], 
      Hue[0.7795465954898065, 1, 1], 
      Hue[0.7795342863485786, 1, 1], 
      Hue[0.7795219770602422, 1, 1], 
      Hue[0.7794973580424717, 1, 1], 
      Hue[0.7794850483131508, 1, 1], 
      Hue[0.7794727384369486, 1, 1], 
      Hue[0.7794604284139217, 1, 1], 
      Hue[0.779448118244127, 1, 1], 
      Hue[0.7205518817558729, 1, 1], 
      Hue[0.7201728632810982, 1, 1], 
      Hue[0.7201728632810982, 1, 1], 
      Hue[0.7197939855871971, 1, 1], 
      Hue[0.7197939855871971, 1, 1], 
      Hue[0.7190366591317676, 1, 1], 
      Hue[0.7190366591317676, 1, 1], 
      Hue[0.7175237677526917, 1, 1], 
      Hue[0.7175237677526917, 1, 1], 
      Hue[0.7145053924996501, 1, 1], 
      Hue[0.7145053924996501, 1, 1], 
      Hue[0.7141288210543033, 1, 1], 
      Hue[0.7141288210543033, 1, 1], 
      Hue[0.7137524160490083, 1, 1], 
      Hue[0.7137524160490083, 1, 1], 
      Hue[0.7130001115521822, 1, 1], 
      Hue[0.7130001115521822, 1, 1], 
      Hue[0.7114975675954698, 1, 1], 
      Hue[0.7114975675954698, 1, 1], 
      Hue[0.7085010779576801, 1, 1], 
      Hue[0.7085010779576801, 1, 1], 
      Hue[0.7081273517673412, 1, 1], 
      Hue[0.7081273517673412, 1, 1], 
      Hue[0.7077538159975071, 1, 1], 
      Hue[0.7077538159975071, 1, 1], 
      Hue[0.7070073214666093, 1, 1], 
      Hue[0.7070073214666093, 1, 1], 
      Hue[0.7055166802582684, 1, 1], 
      Hue[0.7055166802582684, 1, 1], 
      Hue[0.7025451015155051, 1, 1], 
      Hue[0.7025451015155051, 1, 1], 
      Hue[0.6966431533753163, 1, 1], 
      Hue[0.6966431533753163, 1, 1], 
      Hue[0.6962453407646028, 1, 1], 
      Hue[0.6962453407646028, 1, 1], 
      Hue[0.6958478017085719, 1, 1], 
      Hue[0.6958478017085719, 1, 1], 
      Hue[0.6950535502982287, 1, 1], 
      Hue[0.6950535502982287, 1, 1], 
      Hue[0.6934683959066561, 1, 1], 
      Hue[0.6934683959066561, 1, 1], 
      Hue[0.6903118041258601, 1, 1], 
      Hue[0.6903118041258601, 1, 1], 
      Hue[0.6840559180388815, 1, 1], 
      Hue[0.6840559180388815, 1, 1], 
      Hue[0.6717902321513325, 1, 1], 
      Hue[0.6717902321513325, 1, 1], 
      Hue[0.6714375103634247, 1, 1], 
      Hue[0.6714375103634247, 1, 1], 
      Hue[0.671085090804056, 1, 1], 
      Hue[0.671085090804056, 1, 1], 
      Hue[0.6703811608448678, 1, 1], 
      Hue[0.6703811608448678, 1, 1], 
      Hue[0.668976954394541, 1, 1], 
      Hue[0.668976954394541, 1, 1], 
      Hue[0.6661832827383521, 1, 1], 
      Hue[0.6661832827383521, 1, 1], 
      Hue[0.6606558087846726, 1, 1], 
      Hue[0.6606558087846726, 1, 1], 
      Hue[0.6498458025017817, 1, 1], 
      Hue[0.6498458025017817, 1, 1], 
      Hue[0.6296151700839989, 1, 1], 
      Hue[0.6296151700839989, 1, 1], 
      Hue[0.6090856243791776, 1, 1], 
      Hue[0.6090856243791776, 1, 1], 
      Hue[0.5911506349521957, 1, 1], 
      Hue[0.5911506349521957, 1, 1], 
      Hue[0.5728738758396617, 1, 1], 
      Hue[0.5728738758396617, 1, 1], 
      Hue[0.5726018283453903, 1, 1], 
      Hue[0.5726018283453903, 1, 1], 
      Hue[0.5723300141524164, 1, 1], 
      Hue[0.5723300141524164, 1, 1], 
      Hue[0.5717870824013804, 1, 1], 
      Hue[0.5717870824013804, 1, 1], 
      Hue[0.570703982533093, 1, 1], 
      Hue[0.570703982533093, 1, 1], 
      Hue[0.5685486537726839, 1, 1], 
      Hue[0.5685486537726839, 1, 1], 
      Hue[0.5642800076517256, 1, 1], 
      Hue[0.5642800076517256, 1, 1], 
      Hue[0.5558989435773015, 1, 1], 
      Hue[0.5558989435773015, 1, 1], 
      Hue[0.555657555594208, 1, 1], 
      Hue[0.555657555594208, 1, 1], 
      Hue[0.5554163247938143, 1, 1], 
      Hue[0.5554163247938143, 1, 1], 
      Hue[0.5549343320656529, 1, 1], 
      Hue[0.5549343320656529, 1, 1], 
      Hue[0.5539722033773959, 1, 1], 
      Hue[0.5539722033773959, 1, 1], 
      Hue[0.5520552233913043, 1, 1], 
      Hue[0.5520552233913043, 1, 1], 
      Hue[0.5482491773582174, 1, 1], 
      Hue[0.5482491773582174, 1, 1], 
      Hue[0.5480124880738455, 1, 1], 
      Hue[0.5480124880738455, 1, 1], 
      Hue[0.5477759346340769, 1, 1], 
      Hue[0.5477759346340769, 1, 1], 
      Hue[0.5473032326321359, 1, 1], 
      Hue[0.5473032326321359, 1, 1], 
      Hue[0.5463594295560026, 1, 1], 
      Hue[0.5463594295560026, 1, 1], 
      Hue[0.5444780786214425, 1, 1], 
      Hue[0.5444780786214425, 1, 1], 
      Hue[0.5407392124960726, 1, 1], 
      Hue[0.5407392124960726, 1, 1], 
      Hue[0.5404869192549508, 1, 1], 
      Hue[0.5404869192549508, 1, 1], 
      Hue[0.5402347608129789, 1, 1], 
      Hue[0.5402347608129789, 1, 1], 
      Hue[0.5397308449751576, 1, 1], 
      Hue[0.5397308449751576, 1, 1], 
      Hue[0.5387245940428427, 1, 1], 
      Hue[0.5387245940428427, 1, 1], 
      Hue[0.5367182278963121, 1, 1], 
      Hue[0.5367182278963121, 1, 1], 
      Hue[0.5327285448595175, 1, 1], 
      Hue[0.5327285448595175, 1, 1], 
      Hue[0.5324801512102756, 1, 1], 
      Hue[0.5324801512102756, 1, 1], 
      Hue[0.5322318657097549, 1, 1], 
      Hue[0.5322318657097549, 1, 1], 
      Hue[0.5317356158456428, 1, 1], 
      Hue[0.5317356158456428, 1, 1], 
      Hue[0.5307443775187145, 1, 1], 
      Hue[0.5307443775187145, 1, 1], 
      Hue[0.5287667615698055, 1, 1], 
      Hue[0.5287667615698055, 1, 1], 
      Hue[0.5248294975419259, 1, 1], 
      Hue[0.5248294975419259, 1, 1], 
      Hue[0.524600455244923, 1, 1], 
      Hue[0.524600455244923, 1, 1], 
      Hue[0.5243714843111781, 1, 1], 
      Hue[0.5243714843111781, 1, 1], 
      Hue[0.5239137538730607, 1, 1], 
      Hue[0.5239137538730607, 1, 1], 
      Hue[0.5229991201035351, 1, 1], 
      Hue[0.5229991201035351, 1, 1], 
      Hue[0.5211730122817957, 1, 1], 
      Hue[0.5211730122817957, 1, 1], 
      Hue[0.5209450320969299, 1, 1], 
      Hue[0.5209450320969299, 1, 1], 
      Hue[0.5207171126580099, 1, 1], 
      Hue[0.5207171126580099, 1, 1], 
      Hue[0.5202614533707345, 1, 1], 
      Hue[0.5202614533707345, 1, 1], 
      Hue[0.5193508346382325, 1, 1], 
      Hue[0.5193508346382325, 1, 1], 
      Hue[0.5175322485357188, 1, 1], 
      Hue[0.5175322485357188, 1, 1], 
      Hue[0.5173051609668913, 1, 1], 
      Hue[0.5173051609668913, 1, 1], 
      Hue[0.5170781235763294, 1, 1], 
      Hue[0.5170781235763294, 1, 1], 
      Hue[0.516624196694218, 1, 1], 
      Hue[0.516624196694218, 1, 1], 
      Hue[0.5157169160846813, 1, 1], 
      Hue[0.5157169160846813, 1, 1], 
      Hue[0.5154902114994349, 1, 1], 
      Hue[0.5154902114994349, 1, 1], 
      Hue[0.5152635518250663, 1, 1], 
      Hue[0.5152635518250663, 1, 1], 
      Hue[0.5148103645782285, 1, 1], 
      Hue[0.5148103645782285, 1, 1], 
      Hue[0.5139045000852724, 1, 1], 
      Hue[0.5139045000852724, 1, 1], 
      Hue[0.513678136379099, 1, 1], 
      Hue[0.513678136379099, 1, 1], 
      Hue[0.5134518123261133, 1, 1], 
      Hue[0.5134518123261133, 1, 1], 
      Hue[0.5129992805535211, 1, 1], 
      Hue[0.5129992805535211, 1, 1], 
      Hue[0.5120946639659323, 1, 1], 
      Hue[0.5120946639659323, 1, 1], 
      Hue[0.5102870717187569, 1, 1], 
      Hue[0.5102870717187569, 1, 1], 
      Hue[0.5100657056310822, 1, 1], 
      Hue[0.5100657056310822, 1, 1], 
      Hue[0.5098443675824635, 1, 1], 
      Hue[0.5098443675824635, 1, 1], 
      Hue[0.5094017731352407, 1, 1], 
      Hue[0.5094017731352407, 1, 1], 
      Hue[0.50851689357583, 1, 1], 
      Hue[0.50851689357583, 1, 1], 
      Hue[0.5082957345349084, 1, 1], 
      Hue[0.5082957345349084, 1, 1], 
      Hue[0.508074598601023, 1, 1], 
      Hue[0.508074598601023, 1, 1], 
      Hue[0.5076323935899205, 1, 1], 
      Hue[0.5076323935899205, 1, 1], 
      Hue[0.5067482337474685, 1, 1], 
      Hue[0.5067482337474685, 1, 1], 
      Hue[0.5065272423153528, 1, 1], 
      Hue[0.5065272423153528, 1, 1], 
      Hue[0.5063062690632634, 1, 1], 
      Hue[0.5063062690632634, 1, 1], 
      Hue[0.5058643746369205, 1, 1], 
      Hue[0.5058643746369205, 1, 1], 
      Hue[0.5056434522316935, 1, 1], 
      Hue[0.5056434522316935, 1, 1], 
      Hue[0.5054225455445416, 1, 1], 
      Hue[0.5054225455445416, 1, 1], 
      Hue[0.504980776863122, 1, 1], 
      Hue[0.504980776863122, 1, 1], 
      Hue[0.504759913638311, 1, 1], 
      Hue[0.504759913638311, 1, 1], 
      Hue[0.5045390636704838, 1, 1], 
      Hue[0.5045390636704838, 1, 1], 
      Hue[0.5040974010452097, 1, 1], 
      Hue[0.5040974010452097, 1, 1], 
      Hue[0.5038765871575825, 1, 1], 
      Hue[0.5038765871575825, 1, 1], 
      Hue[0.5036557840665759, 1, 1], 
      Hue[0.5036557840665759, 1, 1], 
      Hue[0.5032142078144854, 1, 1], 
      Hue[0.5032142078144854, 1, 1], 
      Hue[0.5029934334235187, 1, 1], 
      Hue[0.5029934334235187, 1, 1], 
      Hue[0.5027726673694014, 1, 1], 
      Hue[0.5027726673694014, 1, 1], 
      Hue[0.5025519090372679, 1, 1], 
      Hue[0.5025519090372679, 1, 1], 
      Hue[0.5023311578122791, 1, 1], 
      Hue[0.5023311578122791, 1, 1], 
      Hue[0.5021104130796202, 1, 1], 
      Hue[0.5021104130796202, 1, 1], 
      Hue[0.5018896742244989, 1, 1], 
      Hue[0.5018896742244989, 1, 1], 
      Hue[0.5016689406321433, 1, 1], 
      Hue[0.5016689406321433, 1, 1], 
      Hue[0.5014482116877991, 1, 1], 
      Hue[0.5014482116877991, 1, 1], 
      Hue[0.5012274867767283, 1, 1], 
      Hue[0.5012274867767283, 1, 1], 
      Hue[0.5010067652842074, 1, 1], 
      Hue[0.5010067652842074, 1, 1], 
      Hue[0.5007860465955236, 1, 1], 
      Hue[0.5007860465955236, 1, 1], 
      Hue[0.5005653300959744, 1, 1], 
      Hue[0.5005653300959744, 1, 1], 
      Hue[0.5003446151708648, 1, 1], 
      Hue[0.5003446151708648, 1, 1], 
      Hue[0.5001239012055051, 1, 1], 
      Hue[0.5001239012055051, 1, 1], 
      Hue[0.499903187585209, 1, 1], 
      Hue[0.499903187585209, 1, 1], 
      Hue[0.4996824736952913, 1, 1], 
      Hue[0.4996824736952913, 1, 1], 
      Hue[0.4994617589210659, 1, 1], 
      Hue[0.4994617589210659, 1, 1], 
      Hue[0.4992410426478438, 1, 1], 
      Hue[0.4992410426478438, 1, 1], 
      Hue[0.4990203242609306, 1, 1], 
      Hue[0.4990203242609306, 1, 1], 
      Hue[0.49879960314562477`, 1, 1], 
      Hue[0.49879960314562477`, 1, 1], 
      Hue[0.49857887868721534`, 1, 1], 
      Hue[0.49857887868721534`, 1, 1], 
      Hue[0.4983581502709798, 1, 1], 
      Hue[0.4983581502709798, 1, 1], 
      Hue[0.4981374172821819, 1, 1], 
      Hue[0.4981374172821819, 1, 1], 
      Hue[0.4979166791060699, 1, 1], 
      Hue[0.4979166791060699, 1, 1], 
      Hue[0.49769593512787397`, 1, 1], 
      Hue[0.49769593512787397`, 1, 1], 
      Hue[0.4974751847328044, 1, 1], 
      Hue[0.4974751847328044, 1, 1], 
      Hue[0.4972544273060493, 1, 1], 
      Hue[0.4972544273060493, 1, 1], 
      Hue[0.49703366223277273`, 1, 1], 
      Hue[0.49703366223277273`, 1, 1], 
      Hue[0.4968128888981123, 1, 1], 
      Hue[0.4968128888981123, 1, 1], 
      Hue[0.49659210668717724`, 1, 1], 
      Hue[0.49659210668717724`, 1, 1], 
      Hue[0.4961505131767657, 1, 1], 
      Hue[0.4961505131767657, 1, 1], 
      Hue[0.4959109298335462, 1, 1], 
      Hue[0.4959109298335462, 1, 1], 
      Hue[0.4956713330834243, 1, 1], 
      Hue[0.4956713330834243, 1, 1], 
      Hue[0.4951920962198805, 1, 1], 
      Hue[0.4951920962198805, 1, 1], 
      Hue[0.49495245453501585`, 1, 1], 
      Hue[0.49495245453501585`, 1, 1], 
      Hue[0.4947127963003569, 1, 1], 
      Hue[0.4947127963003569, 1, 1], 
      Hue[0.49423342703805906`, 1, 1], 
      Hue[0.49423342703805906`, 1, 1], 
      Hue[0.4939937144384435, 1, 1], 
      Hue[0.4939937144384435, 1, 1], 
      Hue[0.49375398214507416`, 1, 1], 
      Hue[0.49375398214507416`, 1, 1], 
      Hue[0.4932744553322717, 1, 1], 
      Hue[0.4932744553322717, 1, 1], 
      Hue[0.4923151307840086, 1, 1], 
      Hue[0.4923151307840086, 1, 1], 
      Hue[0.4920752386164939, 1, 1], 
      Hue[0.4920752386164939, 1, 1], 
      Hue[0.49183532046330664`, 1, 1], 
      Hue[0.49183532046330664`, 1, 1], 
      Hue[0.49135540305210795`, 1, 1], 
      Hue[0.49135540305210795`, 1, 1], 
      Hue[0.4903952217696123, 1, 1], 
      Hue[0.4903952217696123, 1, 1], 
      Hue[0.49015509967662196`, 1, 1], 
      Hue[0.49015509967662196`, 1, 1], 
      Hue[0.48991494529939766`, 1, 1], 
      Hue[0.48991494529939766`, 1, 1], 
      Hue[0.4894345365406593, 1, 1], 
      Hue[0.4894345365406593, 1, 1], 
      Hue[0.48847329693741093`, 1, 1], 
      Hue[0.48847329693741093`, 1, 1], 
      Hue[0.4882328945028128, 1, 1], 
      Hue[0.4882328945028128, 1, 1], 
      Hue[0.4879924534772371, 1, 1], 
      Hue[0.4879924534772371, 1, 1], 
      Hue[0.4875114524970251, 1, 1], 
      Hue[0.4875114524970251, 1, 1], 
      Hue[0.48654895271867454`, 1, 1], 
      Hue[0.48654895271867454`, 1, 1], 
      Hue[0.4863082194556098, 1, 1], 
      Hue[0.4863082194556098, 1, 1], 
      Hue[0.48606744128514545`, 1, 1], 
      Hue[0.48606744128514545`, 1, 1], 
      Hue[0.4855857470606176, 1, 1], 
      Hue[0.4855857470606176, 1, 1], 
      Hue[0.484621784937325, 1, 1], 
      Hue[0.484621784937325, 1, 1], 
      Hue[0.4843806702764197, 1, 1], 
      Hue[0.4843806702764197, 1, 1], 
      Hue[0.4841395043805711, 1, 1], 
      Hue[0.4841395043805711, 1, 1], 
      Hue[0.4836570157166681, 1, 1], 
      Hue[0.4836570157166681, 1, 1], 
      Hue[0.4826913887171722, 1, 1], 
      Hue[0.4826913887171722, 1, 1], 
      Hue[0.48075735839305495`, 1, 1], 
      Hue[0.48075735839305495`, 1, 1], 
      Hue[0.4805315263020154, 1, 1], 
      Hue[0.4805315263020154, 1, 1], 
      Hue[0.4803056385978369, 1, 1], 
      Hue[0.4803056385978369, 1, 1], 
      Hue[0.47985369376570597`, 1, 1], 
      Hue[0.47985369376570597`, 1, 1], 
      Hue[0.47894910830569265`, 1, 1], 
      Hue[0.47894910830569265`, 1, 1], 
      Hue[0.47713700924086944`, 1, 1], 
      Hue[0.47713700924086944`, 1, 1], 
      Hue[0.4769102097107647, 1, 1], 
      Hue[0.4769102097107647, 1, 1], 
      Hue[0.47668334420836844`, 1, 1], 
      Hue[0.47668334420836844`, 1, 1], 
      Hue[0.47622941269007835`, 1, 1], 
      Hue[0.47622941269007835`, 1, 1], 
      Hue[0.4753207294116695, 1, 1], 
      Hue[0.4753207294116695, 1, 1], 
      Hue[0.47349993620919084`, 1, 1], 
      Hue[0.47349993620919084`, 1, 1], 
      Hue[0.47327200311344897`, 1, 1], 
      Hue[0.47327200311344897`, 1, 1], 
      Hue[0.473043993634585, 1, 1], 
      Hue[0.473043993634585, 1, 1], 
      Hue[0.4725877429172142, 1, 1], 
      Hue[0.4725877429172142, 1, 1], 
      Hue[0.47167429615942985`, 1, 1], 
      Hue[0.47167429615942985`, 1, 1], 
      Hue[0.4698434748853157, 1, 1], 
      Hue[0.4698434748853157, 1, 1], 
      Hue[0.4661649464524938, 1, 1], 
      Hue[0.4661649464524938, 1, 1], 
      Hue[0.4659148691575225, 1, 1], 
      Hue[0.4659148691575225, 1, 1], 
      Hue[0.46566467738003314`, 1, 1], 
      Hue[0.46566467738003314`, 1, 1], 
      Hue[0.46516394701444747`, 1, 1], 
      Hue[0.46516394701444747`, 1, 1], 
      Hue[0.4641610754806451, 1, 1], 
      Hue[0.4641610754806451, 1, 1], 
      Hue[0.46214950043805014`, 1, 1], 
      Hue[0.46214950043805014`, 1, 1], 
      Hue[0.45810150782318054`, 1, 1], 
      Hue[0.45810150782318054`, 1, 1], 
      Hue[0.4578473484445837, 1, 1], 
      Hue[0.4578473484445837, 1, 1], 
      Hue[0.4575930475155824, 1, 1], 
      Hue[0.4575930475155824, 1, 1], 
      Hue[0.45708401760083, 1, 1], 
      Hue[0.45708401760083, 1, 1], 
      Hue[0.4560642216878684, 1, 1], 
      Hue[0.4560642216878684, 1, 1], 
      Hue[0.4540174944156169, 1, 1], 
      Hue[0.4540174944156169, 1, 1], 
      Hue[0.4498939651897446, 1, 1], 
      Hue[0.4498939651897446, 1, 1], 
      Hue[0.4496395920714616, 1, 1], 
      Hue[0.4496395920714616, 1, 1], 
      Hue[0.44938505615084595`, 1, 1], 
      Hue[0.44938505615084595`, 1, 1], 
      Hue[0.4488754926464263, 1, 1], 
      Hue[0.4488754926464263, 1, 1], 
      Hue[0.4478543761796727, 1, 1], 
      Hue[0.4478543761796727, 1, 1], 
      Hue[0.4458040028063383, 1, 1], 
      Hue[0.4458040028063383, 1, 1], 
      Hue[0.44166923112517276`, 1, 1], 
      Hue[0.44166923112517276`, 1, 1], 
      Hue[0.4332518596871853, 1, 1], 
      Hue[0.4332518596871853, 1, 1], 
      Hue[0.4169447860407513, 1, 1], 
      Hue[0.4169447860407513, 1, 1], 
      Hue[0.39819770478061206`, 1, 1], 
      Hue[0.39819770478061206`, 1, 1], 
      Hue[0.3795344901876919, 1, 1], 
      Hue[0.3795344901876919, 1, 1], 
      Hue[0.3578952936955762, 1, 1], 
      Hue[0.3578952936955762, 1, 1], 
      Hue[0.35755137633603035`, 1, 1], 
      Hue[0.35755137633603035`, 1, 1], 
      Hue[0.35720709405282786`, 1, 1], 
      Hue[0.35720709405282786`, 1, 1], 
      Hue[0.35651743459781216`, 1, 1], 
      Hue[0.35651743459781216`, 1, 1], 
      Hue[0.35513373575771123`, 1, 1], 
      Hue[0.35513373575771123`, 1, 1], 
      Hue[0.3523488221943377, 1, 1], 
      Hue[0.3523488221943377, 1, 1], 
      Hue[0.3467090755102115, 1, 1], 
      Hue[0.3467090755102115, 1, 1], 
      Hue[0.33515298547996475`, 1, 1], 
      Hue[0.33515298547996475`, 1, 1], 
      Hue[0.33481064317849296`, 1, 1], 
      Hue[0.33481064317849296`, 1, 1], 
      Hue[0.3344679970554598, 1, 1], 
      Hue[0.3344679970554598, 1, 1], 
      Hue[0.3337817951822648, 1, 1], 
      Hue[0.3337817951822648, 1, 1], 
      Hue[0.3324057662380327, 1, 1], 
      Hue[0.3324057662380327, 1, 1], 
      Hue[0.32963932081463193`, 1, 1], 
      Hue[0.32963932081463193`, 1, 1], 
      Hue[0.3240498957473761, 1, 1], 
      Hue[0.3240498957473761, 1, 1], 
      Hue[0.3236980982708487, 1, 1], 
      Hue[0.3236980982708487, 1, 1], 
      Hue[0.32334601565736026`, 1, 1], 
      Hue[0.32334601565736026`, 1, 1], 
      Hue[0.32264099791329365`, 1, 1], 
      Hue[0.32264099791329365`, 1, 1], 
      Hue[0.32122757308827055`, 1, 1], 
      Hue[0.32122757308827055`, 1, 1], 
      Hue[0.3183873390867039, 1, 1], 
      Hue[0.3183873390867039, 1, 1], 
      Hue[0.3126548323856401, 1, 1], 
      Hue[0.3126548323856401, 1, 1], 
      Hue[0.31226394002872365`, 1, 1], 
      Hue[0.31226394002872365`, 1, 1], 
      Hue[0.3118727446949302, 1, 1], 
      Hue[0.3118727446949302, 1, 1], 
      Hue[0.31108945018381584`, 1, 1], 
      Hue[0.31108945018381584`, 1, 1], 
      Hue[0.30951928205543044`, 1, 1], 
      Hue[0.30951928205543044`, 1, 1], 
      Hue[0.3063649293548802, 1, 1], 
      Hue[0.3063649293548802, 1, 1], 
      Hue[0.30596934819271, 1, 1], 
      Hue[0.30596934819271, 1, 1], 
      Hue[0.3055734857590331, 1, 1], 
      Hue[0.3055734857590331, 1, 1], 
      Hue[0.30478092290960934`, 1, 1], 
      Hue[0.30478092290960934`, 1, 1], 
      Hue[0.30319248675089605`, 1, 1], 
      Hue[0.30319248675089605`, 1, 1], 
      Hue[0.30000271388318484`, 1, 1], 
      Hue[0.30000271388318484`, 1, 1], 
      Hue[0.29960281338186984`, 1, 1], 
      Hue[0.29960281338186984`, 1, 1], 
      Hue[0.29920265625388204`, 1, 1], 
      Hue[0.29920265625388204`, 1, 1], 
      Hue[0.29840157866966915`, 1, 1], 
      Hue[0.29840157866966915`, 1, 1], 
      Hue[0.2967964166611863, 1, 1], 
      Hue[0.2967964166611863, 1, 1], 
      Hue[0.2935744461038008, 1, 1], 
      Hue[0.2935744461038008, 1, 1], 
      Hue[0.2870871058179891, 1, 1], 
      Hue[0.2870871058179891, 1, 1], 
      Hue[0.2867068783556848, 1, 1], 
      Hue[0.2867068783556848, 1, 1], 
      Hue[0.28632647720527604`, 1, 1], 
      Hue[0.28632647720527604`, 1, 1], 
      Hue[0.28556516022402634`, 1, 1], 
      Hue[0.28556516022402634`, 1, 1], 
      Hue[0.284040512612144, 1, 1], 
      Hue[0.284040512612144, 1, 1], 
      Hue[0.2809835290032987, 1, 1], 
      Hue[0.2809835290032987, 1, 1], 
      Hue[0.2806007176236879, 1, 1], 
      Hue[0.2806007176236879, 1, 1], 
      Hue[0.28021775886523154`, 1, 1], 
      Hue[0.28021775886523154`, 1, 1], 
      Hue[0.2794514060120158, 1, 1], 
      Hue[0.2794514060120158, 1, 1], 
      Hue[0.2779170068960574, 1, 1], 
      Hue[0.2779170068960574, 1, 1], 
      Hue[0.2748418233531421, 1, 1], 
      Hue[0.2748418233531421, 1, 1], 
      Hue[0.27445686099902716`, 1, 1], 
      Hue[0.27445686099902716`, 1, 1], 
      Hue[0.2740717791307105, 1, 1], 
      Hue[0.2740717791307105, 1, 1], 
      Hue[0.27330126400566074`, 1, 1], 
      Hue[0.27330126400566074`, 1, 1], 
      Hue[0.2717588785561085, 1, 1], 
      Hue[0.2717588785561085, 1, 1], 
      Hue[0.27137301040675016`, 1, 1], 
      Hue[0.27137301040675016`, 1, 1], 
      Hue[0.2709870371770741, 1, 1], 
      Hue[0.2709870371770741, 1, 1], 
      Hue[0.2702147827817822, 1, 1], 
      Hue[0.2702147827817822, 1, 1], 
      Hue[0.26866909362519453`, 1, 1], 
      Hue[0.26866909362519453`, 1, 1], 
      Hue[0.26828243617916075`, 1, 1], 
      Hue[0.26828243617916075`, 1, 1], 
      Hue[0.26789568837327166`, 1, 1], 
      Hue[0.26789568837327166`, 1, 1], 
      Hue[0.26712192911903804`, 1, 1], 
      Hue[0.26712192911903804`, 1, 1], 
      Hue[0.265573408309421, 1, 1], 
      Hue[0.265573408309421, 1, 1], 
      Hue[0.26518608022548107`, 1, 1], 
      Hue[0.26518608022548107`, 1, 1], 
      Hue[0.264798676750572, 1, 1], 
      Hue[0.264798676750572, 1, 1], 
      Hue[0.2640236511774876, 1, 1], 
      Hue[0.2640236511774876, 1, 1], 
      Hue[0.26247277855953854`, 1, 1], 
      Hue[0.26247277855953854`, 1, 1], 
      Hue[0.2620925178890043, 1, 1], 
      Hue[0.2620925178890043, 1, 1], 
      Hue[0.2617121993107025, 1, 1], 
      Hue[0.2617121993107025, 1, 1], 
      Hue[0.2609513956309302, 1, 1], 
      Hue[0.2609513956309302, 1, 1], 
      Hue[0.26057091413532246`, 1, 1], 
      Hue[0.26057091413532246`, 1, 1], 
      Hue[0.26019038194352423`, 1, 1], 
      Hue[0.26019038194352423`, 1, 1], 
      Hue[0.25942917270697724`, 1, 1], 
      Hue[0.25942917270697724`, 1, 1], 
      Hue[0.2590484992850898, 1, 1], 
      Hue[0.2590484992850898, 1, 1], 
      Hue[0.25866778241258415`, 1, 1], 
      Hue[0.25866778241258415`, 1, 1], 
      Hue[0.2579062255820407, 1, 1], 
      Hue[0.2579062255820407, 1, 1], 
      Hue[0.25752538926146157`, 1, 1], 
      Hue[0.25752538926146157`, 1, 1], 
      Hue[0.2571445167650305, 1, 1], 
      Hue[0.2571445167650305, 1, 1], 
      Hue[0.2563826705368009, 1, 1], 
      Hue[0.2563826705368009, 1, 1], 
      Hue[0.256001700454635, 1, 1], 
      Hue[0.256001700454635, 1, 1], 
      Hue[0.25562070149572913`, 1, 1], 
      Hue[0.25562070149572913`, 1, 1], 
      Hue[0.2552396754880936, 1, 1], 
      Hue[0.2552396754880936, 1, 1], 
      Hue[0.25485862426087846`, 1, 1], 
      Hue[0.25485862426087846`, 1, 1], 
      Hue[0.2544775496442966, 1, 1], 
      Hue[0.2544775496442966, 1, 1], 
      Hue[0.254096453469547, 1, 1], 
      Hue[0.254096453469547, 1, 1], 
      Hue[0.2537153375687378, 1, 1], 
      Hue[0.2537153375687378, 1, 1], 
      Hue[0.25333420377480914`, 1, 1], 
      Hue[0.25333420377480914`, 1, 1], 
      Hue[0.2529530539214558, 1, 1], 
      Hue[0.2529530539214558, 1, 1], 
      Hue[0.2525718898430503, 1, 1], 
      Hue[0.2525718898430503, 1, 1], 
      Hue[0.25219071337456533`, 1, 1], 
      Hue[0.25219071337456533`, 1, 1], 
      Hue[0.2518095263514967, 1, 1], 
      Hue[0.2518095263514967, 1, 1], 
      Hue[0.25142833060978564`, 1, 1], 
      Hue[0.25142833060978564`, 1, 1], 
      Hue[0.25104712798574136`, 1, 1], 
      Hue[0.25104712798574136`, 1, 1], 
      Hue[0.25066592031596363`, 1, 1], 
      Hue[0.25066592031596363`, 1, 1], 
      Hue[0.2502847094372654, 1, 1], 
      Hue[0.2502847094372654, 1, 1], 
      Hue[0.24990349718659496`, 1, 1], 
      Hue[0.24990349718659496`, 1, 1], 
      Hue[0.24952228540095855`, 1, 1], 
      Hue[0.24952228540095855`, 1, 1], 
      Hue[0.24914107591734283`, 1, 1], 
      Hue[0.24914107591734283`, 1, 1], 
      Hue[0.24875987057263726`, 1, 1], 
      Hue[0.24875987057263726`, 1, 1], 
      Hue[0.24837867120355647`, 1, 1], 
      Hue[0.24837867120355647`, 1, 1], 
      Hue[0.2479974796465629, 1, 1], 
      Hue[0.2479974796465629, 1, 1], 
      Hue[0.2476162977377892, 1, 1], 
      Hue[0.2476162977377892, 1, 1], 
      Hue[0.2472351273129606, 1, 1], 
      Hue[0.2472351273129606, 1, 1], 
      Hue[0.24685397020731778`, 1, 1], 
      Hue[0.24685397020731778`, 1, 1], 
      Hue[0.24647282825553923`, 1, 1], 
      Hue[0.24647282825553923`, 1, 1], 
      Hue[0.24609170329166405`, 1, 1], 
      Hue[0.24609170329166405`, 1, 1], 
      Hue[0.24571059714901458`, 1, 1], 
      Hue[0.24571059714901458`, 1, 1], 
      Hue[0.24532951166011932`, 1, 1], 
      Hue[0.24532951166011932`, 1, 1], 
      Hue[0.24494844865663576`, 1, 1], 
      Hue[0.24494844865663576`, 1, 1], 
      Hue[0.24418639742771617`, 1, 1], 
      Hue[0.24418639742771617`, 1, 1], 
      Hue[0.24380541286054708`, 1, 1], 
      Hue[0.24380541286054708`, 1, 1], 
      Hue[0.24342445809517, 1, 1], 
      Hue[0.24342445809517, 1, 1], 
      Hue[0.24266264527305542`, 1, 1], 
      Hue[0.24266264527305542`, 1, 1], 
      Hue[0.24228179086454416`, 1, 1], 
      Hue[0.24228179086454416`, 1, 1], 
      Hue[0.24190097355412485`, 1, 1], 
      Hue[0.24190097355412485`, 1, 1], 
      Hue[0.24113945750738408`, 1, 1], 
      Hue[0.24113945750738408`, 1, 1], 
      Hue[0.2407587624068073, 1, 1], 
      Hue[0.2407587624068073, 1, 1], 
      Hue[0.24037811167566045`, 1, 1], 
      Hue[0.24037811167566045`, 1, 1], 
      Hue[0.23961695057318147`, 1, 1], 
      Hue[0.23961695057318147`, 1, 1], 
      Hue[0.2380952404554197, 1, 1], 
      Hue[0.2380952404554197, 1, 1], 
      Hue[0.23768268530800246`, 1, 1], 
      Hue[0.23768268530800246`, 1, 1], 
      Hue[0.23727019956300532`, 1, 1], 
      Hue[0.23727019956300532`, 1, 1], 
      Hue[0.23644544544623258`, 1, 1], 
      Hue[0.23644544544623258`, 1, 1], 
      Hue[0.23479687066374988`, 1, 1], 
      Hue[0.23479687066374988`, 1, 1], 
      Hue[0.23438493471701696`, 1, 1], 
      Hue[0.23438493471701696`, 1, 1], 
      Hue[0.23397308640684428`, 1, 1], 
      Hue[0.23397308640684428`, 1, 1], 
      Hue[0.23314966173624715`, 1, 1], 
      Hue[0.23314966173624715`, 1, 1], 
      Hue[0.23150396322258707`, 1, 1], 
      Hue[0.23150396322258707`, 1, 1], 
      Hue[0.23109279142615208`, 1, 1], 
      Hue[0.23109279142615208`, 1, 1], 
      Hue[0.23068172522628413`, 1, 1], 
      Hue[0.23068172522628413`, 1, 1], 
      Hue[0.22985991850312365`, 1, 1], 
      Hue[0.22985991850312365`, 1, 1], 
      Hue[0.2282176696727462, 1, 1], 
      Hue[0.2282176696727462, 1, 1], 
      Hue[0.22493912100615956`, 1, 1], 
      Hue[0.22493912100615956`, 1, 1], 
      Hue[0.22452990240719808`, 1, 1], 
      Hue[0.22452990240719808`, 1, 1], 
      Hue[0.22412082428986946`, 1, 1], 
      Hue[0.22412082428986946`, 1, 1], 
      Hue[0.22330309800330872`, 1, 1], 
      Hue[0.22330309800330872`, 1, 1], 
      Hue[0.22166942436010048`, 1, 1], 
      Hue[0.22166942436010048`, 1, 1], 
      Hue[0.21840965988103805`, 1, 1], 
      Hue[0.21840965988103805`, 1, 1], 
      Hue[0.2180029403272427, 1, 1], 
      Hue[0.2180029403272427, 1, 1], 
      Hue[0.21759639443153517`, 1, 1], 
      Hue[0.21759639443153517`, 1, 1], 
      Hue[0.21678383164015788`, 1, 1], 
      Hue[0.21678383164015788`, 1, 1], 
      Hue[0.21516087777741738`, 1, 1], 
      Hue[0.21516087777741738`, 1, 1], 
      Hue[0.21192409557823028`, 1, 1], 
      Hue[0.21192409557823028`, 1, 1], 
      Hue[0.21154735354250084`, 1, 1], 
      Hue[0.21154735354250084`, 1, 1], 
      Hue[0.21117078972624026`, 1, 1], 
      Hue[0.21117078972624026`, 1, 1], 
      Hue[0.21041820282444174`, 1, 1], 
      Hue[0.21041820282444174`, 1, 1], 
      Hue[0.20891523405310197`, 1, 1], 
      Hue[0.20891523405310197`, 1, 1], 
      Hue[0.2059184474441574, 1, 1], 
      Hue[0.2059184474441574, 1, 1], 
      Hue[0.19996402390747361`, 1, 1], 
      Hue[0.19996402390747361`, 1, 1], 
      Hue[0.19959370230262743`, 1, 1], 
      Hue[0.19959370230262743`, 1, 1], 
      Hue[0.1992236038568319, 1, 1], 
      Hue[0.1992236038568319, 1, 1], 
      Hue[0.19848408153459976`, 1, 1], 
      Hue[0.19848408153459976`, 1, 1], 
      Hue[0.19700777035336184`, 1, 1], 
      Hue[0.19700777035336184`, 1, 1], 
      Hue[0.19406635637185005`, 1, 1], 
      Hue[0.19406635637185005`, 1, 1], 
      Hue[0.18823044513520215`, 1, 1], 
      Hue[0.18823044513520215`, 1, 1], 
      Hue[0.18783747724681002`, 1, 1], 
      Hue[0.18783747724681002`, 1, 1], 
      Hue[0.1874448146329372, 1, 1], 
      Hue[0.1874448146329372, 1, 1], 
      Hue[0.18666041032284467`, 1, 1], 
      Hue[0.18666041032284467`, 1, 1], 
      Hue[0.1850953203601452, 1, 1], 
      Hue[0.1850953203601452, 1, 1], 
      Hue[0.1819802848657274, 1, 1], 
      Hue[0.1819802848657274, 1, 1], 
      Hue[0.1758127883673826, 1, 1], 
      Hue[0.1758127883673826, 1, 1], 
      Hue[0.1637414997039794, 1, 1], 
      Hue[0.1637414997039794, 1, 1], 
      Hue[0.16337692046153718`, 1, 1], 
      Hue[0.16337692046153718`, 1, 1], 
      Hue[0.16301269104984262`, 1, 1], 
      Hue[0.16301269104984262`, 1, 1], 
      Hue[0.16228528369910886`, 1, 1], 
      Hue[0.16228528369910886`, 1, 1], 
      Hue[0.1608346881817319, 1, 1], 
      Hue[0.1608346881817319, 1, 1], 
      Hue[0.1579504717808601, 1, 1], 
      Hue[0.1579504717808601, 1, 1], 
      Hue[0.15225058847550843`, 1, 1], 
      Hue[0.15225058847550843`, 1, 1], 
      Hue[0.1411282161119817, 1, 1], 
      Hue[0.1411282161119817, 1, 1], 
      Hue[0.12136682583576484`, 1, 1], 
      Hue[0.12136682583576484`, 1, 1], 
      Hue[0.10132435565811605`, 1, 1], 
      Hue[0.10132435565811605`, 1, 1], 
      Hue[0.08378739001554547, 1, 1], 
      Hue[0.08378739001554547, 1, 1], 
      Hue[0.06753590541558296, 1, 1], 
      Hue[0.06753590541558296, 1, 1], 
      Hue[0.0672674238272465, 1, 1], 
      Hue[0.0672674238272465, 1, 1], 
      Hue[0.06699916076804159, 1, 1], 
      Hue[0.06699916076804159, 1, 1], 
      Hue[0.06646328691034004, 1, 1], 
      Hue[0.06646328691034004, 1, 1], 
      Hue[0.06539412494024377, 1, 1], 
      Hue[0.06539412494024377, 1, 1], 
      Hue[0.06326595746667119, 1, 1], 
      Hue[0.06326595746667119, 1, 1], 
      Hue[0.05904875488299526, 1, 1], 
      Hue[0.05904875488299526, 1, 1], 
      Hue[0.05878685308360073, 1, 1], 
      Hue[0.05878685308360073, 1, 1], 
      Hue[0.05852514314748131, 1, 1], 
      Hue[0.05852514314748131, 1, 1], 
      Hue[0.05800229553060261, 1, 1], 
      Hue[0.05800229553060261, 1, 1], 
      Hue[0.05695886598100608, 1, 1], 
      Hue[0.05695886598100608, 1, 1], 
      Hue[0.05488088299658429, 1, 1], 
      Hue[0.05488088299658429, 1, 1], 
      Hue[0.0507589302090418, 1, 1], 
      Hue[0.0507589302090418, 1, 1], 
      Hue[0.05051990962755181, 1, 1], 
      Hue[0.05051990962755181, 1, 1], 
      Hue[0.050281032945578515`, 1, 1], 
      Hue[0.050281032945578515`, 1, 1], 
      Hue[0.04980370858756762, 1, 1], 
      Hue[0.04980370858756762, 1, 1], 
      Hue[0.04885075705667512, 1, 1], 
      Hue[0.04885075705667512, 1, 1], 
      Hue[0.04695149217825662, 1, 1], 
      Hue[0.04695149217825662, 1, 1], 
      Hue[0.043178313304186866`, 1, 1], 
      Hue[0.043178313304186866`, 1, 1], 
      Hue[0.042943564528662284`, 1, 1], 
      Hue[0.042943564528662284`, 1, 1], 
      Hue[0.042708938205735354`, 1, 1], 
      Hue[0.042708938205735354`, 1, 1], 
      Hue[0.042240050250999805`, 1, 1], 
      Hue[0.042240050250999805`, 1, 1], 
      Hue[0.041303714452091696`, 1, 1], 
      Hue[0.041303714452091696`, 1, 1], 
      Hue[0.03943665425998829, 1, 1], 
      Hue[0.03943665425998829, 1, 1], 
      Hue[0.03572379038379056, 1, 1], 
      Hue[0.03572379038379056, 1, 1], 
      Hue[0.03547320455100584, 1, 1], 
      Hue[0.03547320455100584, 1, 1], 
      Hue[0.03522273762146896, 1, 1], 
      Hue[0.03522273762146896, 1, 1], 
      Hue[0.034722157113932214`, 1, 1], 
      Hue[0.034722157113932214`, 1, 1], 
      Hue[0.03372238601633398, 1, 1], 
      Hue[0.03372238601633398, 1, 1], 
      Hue[0.03172821586249482, 1, 1], 
      Hue[0.03172821586249482, 1, 1], 
      Hue[0.03147943191275808, 1, 1], 
      Hue[0.03147943191275808, 1, 1], 
      Hue[0.031230753472177717`, 1, 1], 
      Hue[0.031230753472177717`, 1, 1], 
      Hue[0.030733709781557574`, 1, 1], 
      Hue[0.030733709781557574`, 1, 1], 
      Hue[0.029740851822258815`, 1, 1], 
      Hue[0.029740851822258815`, 1, 1], 
      Hue[0.027759867141148174`, 1, 1], 
      Hue[0.027759867141148174`, 1, 1], 
      Hue[0.027512671401734256`, 1, 1], 
      Hue[0.027512671401734256`, 1, 1], 
      Hue[0.027265567861157903`, 1, 1], 
      Hue[0.027265567861157903`, 1, 1], 
      Hue[0.02677163406000022, 1, 1], 
      Hue[0.02677163406000022, 1, 1], 
      Hue[0.02578483637921635, 1, 1], 
      Hue[0.02578483637921635, 1, 1], 
      Hue[0.0238153353695229, 1, 1], 
      Hue[0.0238153353695229, 1, 1], 
      Hue[0.023569515476446326`, 1, 1], 
      Hue[0.023569515476446326`, 1, 1], 
      Hue[0.02332377455098382, 1, 1], 
      Hue[0.02332377455098382, 1, 1], 
      Hue[0.022832526305280633`, 1, 1], 
      Hue[0.022832526305280633`, 1, 1], 
      Hue[0.021850941166985972`, 1, 1], 
      Hue[0.021850941166985972`, 1, 1], 
      Hue[0.019891231988468473`, 1, 1], 
      Hue[0.019891231988468473`, 1, 1], 
      Hue[0.01966277741341748, 1, 1], 
      Hue[0.01966277741341748, 1, 1], 
      Hue[0.0194343802662687, 1, 1], 
      Hue[0.0194343802662687, 1, 1], 
      Hue[0.01897775558442008, 1, 1], 
      Hue[0.01897775558442008, 1, 1], 
      Hue[0.018065165982028755`, 1, 1], 
      Hue[0.018065165982028755`, 1, 1], 
      Hue[0.016242476464460105`, 1, 1], 
      Hue[0.016242476464460105`, 1, 1], 
      Hue[0.01601486069341581, 1, 1], 
      Hue[0.01601486069341581, 1, 1], 
      Hue[0.0157872916858071, 1, 1], 
      Hue[0.0157872916858071, 1, 1], 
      Hue[0.015332291300638777`, 1, 1], 
      Hue[0.015332291300638777`, 1, 1], 
      Hue[0.014422822437338927`, 1, 1], 
      Hue[0.014422822437338927`, 1, 1], 
      Hue[0.01260586355789195, 1, 1], 
      Hue[0.01260586355789195, 1, 1], 
      Hue[0.012378916273309077`, 1, 1], 
      Hue[0.012378916273309077`, 1, 1], 
      Hue[0.012152005128142398`, 1, 1], 
      Hue[0.012152005128142398`, 1, 1], 
      Hue[0.011698288604802215`, 1, 1], 
      Hue[0.011698288604802215`, 1, 1], 
      Hue[0.010791260074104254`, 1, 1], 
      Hue[0.010791260074104254`, 1, 1], 
      Hue[0.010564583351965631`, 1, 1], 
      Hue[0.010564583351965631`, 1, 1], 
      Hue[0.010337937469823545`, 1, 1], 
      Hue[0.010337937469823545`, 1, 1], 
      Hue[0.009884735577967426, 1, 1], 
      Hue[0.009884735577967426, 1, 1], 
      Hue[0.008978672756857162, 1, 1], 
      Hue[0.008978672756857162, 1, 1], 
      Hue[0.008752224226806537, 1, 1], 
      Hue[0.008752224226806537, 1, 1], 
      Hue[0.008525801244265316, 1, 1], 
      Hue[0.008525801244265316, 1, 1], 
      Hue[0.008073029277279837, 1, 1], 
      Hue[0.008073029277279837, 1, 1], 
      Hue[0.007846678970838494, 1, 1], 
      Hue[0.007846678970838494, 1, 1], 
      Hue[0.007620351567907857, 1, 1], 
      Hue[0.007620351567907857, 1, 1], 
      Hue[0.007167762829496749, 1, 1], 
      Hue[0.007167762829496749, 1, 1], 
      Hue[0.006941500172671094, 1, 1], 
      Hue[0.006941500172671094, 1, 1], 
      Hue[0.006715257776661194, 1, 1], 
      Hue[0.006715257776661194, 1, 1], 
      Hue[0.006262831125209885, 1, 1], 
      Hue[0.006262831125209885, 1, 1], 
      Hue[0.005358191895222516, 1, 1], 
      Hue[0.005358191895222516, 1, 1], 
      Hue[0.005136505252619111, 1, 1], 
      Hue[0.005136505252619111, 1, 1], 
      Hue[0.004914833019706234, 1, 1], 
      Hue[0.004914833019706234, 1, 1], 
      Hue[0.004471529295255007, 1, 1], 
      Hue[0.004471529295255007, 1, 1], 
      Hue[0.004249896559984952, 1, 1], 
      Hue[0.004249896559984952, 1, 1], 
      Hue[0.00402827574693778, 1, 1], 
      Hue[0.00402827574693778, 1, 1], 
      Hue[0.0035850674005169316`, 1, 1], 
      Hue[0.0035850674005169316`, 1, 1], 
      Hue[0.0033634786237412393`, 1, 1], 
      Hue[0.0033634786237412393`, 1, 1], 
      Hue[0.0031418992823801332`, 1, 1], 
      Hue[0.0031418992823801332`, 1, 1], 
      Hue[0.0029203287548185625`, 1, 1], 
      Hue[0.0029203287548185625`, 1, 1], 
      Hue[0.0026987664194720352`, 1, 1], 
      Hue[0.0026987664194720352`, 1, 1], 
      Hue[0.002477211654784387, 1, 1], 
      Hue[0.002477211654784387, 1, 1], 
      Hue[0.0022556638392256965`, 1, 1], 
      Hue[0.0022556638392256965`, 1, 1], 
      Hue[0.002034122351290189, 1, 1], 
      Hue[0.002034122351290189, 1, 1], 
      Hue[0.0018125865694940044`, 1, 1], 
      Hue[0.0018125865694940044`, 1, 1], 
      Hue[0.0015910558723730777`, 1, 1], 
      Hue[0.0015910558723730777`, 1, 1], 
      Hue[0.0013695296384809849`, 1, 1], 
      Hue[0.0013695296384809849`, 1, 1], 
      Hue[0.0011480072463867883`, 1, 1], 
      Hue[0.0011480072463867883`, 1, 1], 
      Hue[0.0009264880746729118, 1, 1], 
      Hue[0.0009264880746729118, 1, 1], 
      Hue[0.0007049715019329033, 1, 1], 
      Hue[0.0007049715019329033, 1, 1], 
      Hue[0.0004834569067693329, 1, 1], 
      Hue[0.0004834569067693329, 1, 1], 
      Hue[0.0002619436677916905, 1, 1], 
      Hue[0.0002619436677916905, 1, 1], 
      Hue[0.000040431163614147966`, 1, 1], 
      Hue[0.000040431163614147966`, 1, 1], 
      Hue[0.9998189187728534, 1, 1], 
      Hue[0.9998189187728534, 1, 1], 
      Hue[0.9995974058741266, 1, 1], 
      Hue[0.9995974058741266, 1, 1], 
      Hue[0.9993758918460491, 1, 1], 
      Hue[0.9993758918460491, 1, 1], 
      Hue[0.9991543760672325, 1, 1], 
      Hue[0.9991543760672325, 1, 1], 
      Hue[0.9989328579162817, 1, 1], 
      Hue[0.9989328579162817, 1, 1], 
      Hue[0.9987113367717942, 1, 1], 
      Hue[0.9987113367717942, 1, 1], 
      Hue[0.9984898120123568, 1, 1], 
      Hue[0.9984898120123568, 1, 1], 
      Hue[0.9982682830165432, 1, 1], 
      Hue[0.9982682830165432, 1, 1], 
      Hue[0.9980467491629134, 1, 1], 
      Hue[0.9980467491629134, 1, 1], 
      Hue[0.9978252098300097, 1, 1], 
      Hue[0.9978252098300097, 1, 1], 
      Hue[0.9976036643963558, 1, 1], 
      Hue[0.9976036643963558, 1, 1], 
      Hue[0.9973821122404543, 1, 1], 
      Hue[0.9973821122404543, 1, 1], 
      Hue[0.9971605527407842, 1, 1], 
      Hue[0.9971605527407842, 1, 1], 
      Hue[0.9969389852757992, 1, 1], 
      Hue[0.9969389852757992, 1, 1], 
      Hue[0.9964958239635591, 1, 1], 
      Hue[0.9964958239635591, 1, 1], 
      Hue[0.9962742288730648, 1, 1], 
      Hue[0.9962742288730648, 1, 1], 
      Hue[0.996052623330773, 1, 1], 
      Hue[0.996052623330773, 1, 1], 
      Hue[0.9956093784039354, 1, 1], 
      Hue[0.9956093784039354, 1, 1], 
      Hue[0.995387737775861, 1, 1], 
      Hue[0.995387737775861, 1, 1], 
      Hue[0.9951660842089277, 1, 1], 
      Hue[0.9951660842089277, 1, 1], 
      Hue[0.9947227357709506, 1, 1], 
      Hue[0.9947227357709506, 1, 1], 
      Hue[0.9945010396560208, 1, 1], 
      Hue[0.9945010396560208, 1, 1], 
      Hue[0.9942793281144557, 1, 1], 
      Hue[0.9942793281144557, 1, 1], 
      Hue[0.9938358562630776, 1, 1], 
      Hue[0.9938358562630776, 1, 1], 
      Hue[0.9936140947089531, 1, 1], 
      Hue[0.9936140947089531, 1, 1], 
      Hue[0.9933923152395664, 1, 1], 
      Hue[0.9933923152395664, 1, 1], 
      Hue[0.9929487000657207, 1, 1], 
      Hue[0.9929487000657207, 1, 1], 
      Hue[0.9927268631164576, 1, 1], 
      Hue[0.9927268631164576, 1, 1], 
      Hue[0.99250500576232, 1, 1], 
      Hue[0.99250500576232, 1, 1], 
      Hue[0.9920612273490585, 1, 1], 
      Hue[0.9920612273490585, 1, 1], 
      Hue[0.9911733982659021, 1, 1], 
      Hue[0.9911733982659021, 1, 1], 
      Hue[0.9909325747967033, 1, 1], 
      Hue[0.9909325747967033, 1, 1], 
      Hue[0.9906917213950743, 1, 1], 
      Hue[0.9906917213950743, 1, 1], 
      Hue[0.9902099216129358, 1, 1], 
      Hue[0.9902099216129358, 1, 1], 
      Hue[0.989245927854953, 1, 1], 
      Hue[0.989245927854953, 1, 1], 
      Hue[0.9890048426489481, 1, 1], 
      Hue[0.9890048426489481, 1, 1], 
      Hue[0.9887637211439682, 1, 1], 
      Hue[0.9887637211439682, 1, 1], 
      Hue[0.9882813660511997, 1, 1], 
      Hue[0.9882813660511997, 1, 1], 
      Hue[0.9873161852248517, 1, 1], 
      Hue[0.9873161852248517, 1, 1], 
      Hue[0.9870747873184581, 1, 1], 
      Hue[0.9870747873184581, 1, 1], 
      Hue[0.9868333467373395, 1, 1], 
      Hue[0.9868333467373395, 1, 1], 
      Hue[0.9863503343599933, 1, 1], 
      Hue[0.9863503343599933, 1, 1], 
      Hue[0.9853837623986506, 1, 1], 
      Hue[0.9853837623986506, 1, 1], 
      Hue[0.9834482507269322, 1, 1], 
      Hue[0.9834482507269322, 1, 1], 
      Hue[0.9832060742017218, 1, 1], 
      Hue[0.9832060742017218, 1, 1], 
      Hue[0.9829638422167695, 1, 1], 
      Hue[0.9829638422167695, 1, 1], 
      Hue[0.9824792086644554, 1, 1], 
      Hue[0.9824792086644554, 1, 1], 
      Hue[0.9815092407958094, 1, 1], 
      Hue[0.9815092407958094, 1, 1], 
      Hue[0.9795663223392861, 1, 1], 
      Hue[0.9795663223392861, 1, 1], 
      Hue[0.9793231622450247, 1, 1], 
      Hue[0.9793231622450247, 1, 1], 
      Hue[0.9790799338521377, 1, 1], 
      Hue[0.9790799338521377, 1, 1], 
      Hue[0.9785932689524265, 1, 1], 
      Hue[0.9785932689524265, 1, 1], 
      Hue[0.9776190841566166, 1, 1], 
      Hue[0.9776190841566166, 1, 1], 
      Hue[0.975667114035326, 1, 1], 
      Hue[0.975667114035326, 1, 1], 
      Hue[0.9754390633641128, 1, 1], 
      Hue[0.9754390633641128, 1, 1], 
      Hue[0.9752109420085299, 1, 1], 
      Hue[0.9752109420085299, 1, 1], 
      Hue[0.9747544846142472, 1, 1], 
      Hue[0.9747544846142472, 1, 1], 
      Hue[0.9738406926710507, 1, 1], 
      Hue[0.9738406926710507, 1, 1], 
      Hue[0.9720094526039389, 1, 1], 
      Hue[0.9720094526039389, 1, 1], 
      Hue[0.9683311642017814, 1, 1], 
      Hue[0.9683311642017814, 1, 1], 
      Hue[0.9681005244293676, 1, 1], 
      Hue[0.9681005244293676, 1, 1], 
      Hue[0.9678697928221847, 1, 1], 
      Hue[0.9678697928221847, 1, 1], 
      Hue[0.9674080514439187, 1, 1], 
      Hue[0.9674080514439187, 1, 1], 
      Hue[0.966483437400964, 1, 1], 
      Hue[0.966483437400964, 1, 1], 
      Hue[0.9646295349167414, 1, 1], 
      Hue[0.9646295349167414, 1, 1], 
      Hue[0.9609018350177954, 1, 1], 
      Hue[0.9609018350177954, 1, 1], 
      Hue[0.9606483503513359, 1, 1], 
      Hue[0.9606483503513359, 1, 1], 
      Hue[0.9603947326474463, 1, 1], 
      Hue[0.9603947326474463, 1, 1], 
      Hue[0.9598870947025527, 1, 1], 
      Hue[0.9598870947025527, 1, 1], 
      Hue[0.9588701846718123, 1, 1], 
      Hue[0.9588701846718123, 1, 1], 
      Hue[0.9568296358286239, 1, 1], 
      Hue[0.9568296358286239, 1, 1], 
      Hue[0.9527200809416663, 1, 1], 
      Hue[0.9527200809416663, 1, 1], 
      Hue[0.9443747422042437, 1, 1], 
      Hue[0.9443747422042437, 1, 1], 
      Hue[0.9441158128316757, 1, 1], 
      Hue[0.9441158128316757, 1, 1], 
      Hue[0.943856701855986, 1, 1], 
      Hue[0.943856701855986, 1, 1], 
      Hue[0.9433379317912788, 1, 1], 
      Hue[0.9433379317912788, 1, 1], 
      Hue[0.942298176074474, 1, 1], 
      Hue[0.942298176074474, 1, 1], 
      Hue[0.9402096171393628, 1, 1], 
      Hue[0.9402096171393628, 1, 1], 
      Hue[0.9359948273114629, 1, 1], 
      Hue[0.9359948273114629, 1, 1], 
      Hue[0.9274027124575679, 1, 1], 
      Hue[0.9274027124575679, 1, 1], 
      Hue[0.9107129293179048, 1, 1], 
      Hue[0.9107129293179048, 1, 1], 
      Hue[0.8914807352640294, 1, 1], 
      Hue[0.8914807352640294, 1, 1], 
      Hue[0.8722988598223519, 1, 1], 
      Hue[0.8722988598223519, 1, 1], 
      Hue[0.8522396379588035, 1, 1], 
      Hue[0.8522396379588035, 1, 1], 
      Hue[0.8518885980552959, 1, 1], 
      Hue[0.8518885980552959, 1, 1], 
      Hue[0.8515371912952256, 1, 1], 
      Hue[0.8515371912952256, 1, 1], 
      Hue[0.8508332776347656, 1, 1], 
      Hue[0.8508332776347656, 1, 1], 
      Hue[0.8494210532542402, 1, 1], 
      Hue[0.8494210532542402, 1, 1], 
      Hue[0.8465790518299141, 1, 1], 
      Hue[0.8465790518299141, 1, 1], 
      Hue[0.8408252475632318, 1, 1], 
      Hue[0.8408252475632318, 1, 1], 
      Hue[0.8290438106889065, 1, 1], 
      Hue[0.8290438106889065, 1, 1], 
      Hue[0.8286949133355983, 1, 1], 
      Hue[0.8286949133355983, 1, 1], 
      Hue[0.8283457193462858, 1, 1], 
      Hue[0.8283457193462858, 1, 1], 
      Hue[0.8276464439003608, 1, 1], 
      Hue[0.8276464439003608, 1, 1], 
      Hue[0.8262443606965498, 1, 1], 
      Hue[0.8262443606965498, 1, 1], 
      Hue[0.8234262126203606, 1, 1], 
      Hue[0.8234262126203606, 1, 1], 
      Hue[0.8177352853514953, 1, 1], 
      Hue[0.8177352853514953, 1, 1], 
      Hue[0.8173772394635447, 1, 1], 
      Hue[0.8173772394635447, 1, 1], 
      Hue[0.8170189206330951, 1, 1], 
      Hue[0.8170189206330951, 1, 1], 
      Hue[0.8163014676846723, 1, 1], 
      Hue[0.8163014676846723, 1, 1], 
      Hue[0.8148633259038316, 1, 1], 
      Hue[0.8148633259038316, 1, 1], 
      Hue[0.8119743082263935, 1, 1], 
      Hue[0.8119743082263935, 1, 1], 
      Hue[0.8061471281010334, 1, 1], 
      Hue[0.8061471281010334, 1, 1], 
      Hue[0.8057500829027806, 1, 1], 
      Hue[0.8057500829027806, 1, 1], 
      Hue[0.8053527553799907, 1, 1], 
      Hue[0.8053527553799907, 1, 1], 
      Hue[0.8045572592770968, 1, 1], 
      Hue[0.8045572592770968, 1, 1], 
      Hue[0.8029629449050588, 1, 1], 
      Hue[0.8029629449050588, 1, 1], 
      Hue[0.7997613736541621, 1, 1], 
      Hue[0.7997613736541621, 1, 1], 
      Hue[0.799359994854902, 1, 1], 
      Hue[0.799359994854902, 1, 1], 
      Hue[0.7989583587267372, 1, 1], 
      Hue[0.7989583587267372, 1, 1], 
      Hue[0.7981543211276124, 1, 1], 
      Hue[0.7981543211276124, 1, 1], 
      Hue[0.7965432316826655, 1, 1], 
      Hue[0.7965432316826655, 1, 1], 
      Hue[0.7933093819342499, 1, 1], 
      Hue[0.7933093819342499, 1, 1], 
      Hue[0.7929040909701478, 1, 1], 
      Hue[0.7929040909701478, 1, 1], 
      Hue[0.7924985705100261, 1, 1], 
      Hue[0.7924985705100261, 1, 1], 
      Hue[0.7916868484298172, 1, 1], 
      Hue[0.7916868484298172, 1, 1], 
      Hue[0.7900607314967867, 1, 1], 
      Hue[0.7900607314967867, 1, 1], 
      Hue[0.7867982298702154, 1, 1], 
      Hue[0.7867982298702154, 1, 1], 
      Hue[0.7802356708666068, 1, 1], 
      Hue[0.7802356708666068, 1, 1], 
      Hue[0.7802233700537657, 1, 1], 
      Hue[0.7802233700537657, 1, 1], 
      Hue[0.7802110690906503, 1, 1], 
      Hue[0.7802110690906503, 1, 1], 
      Hue[0.7801864667138221, 1, 1], 
      Hue[0.7801864667138221, 1, 1], 
      Hue[0.7801372601593551, 1, 1], 
      Hue[0.7801372601593551, 1, 1], 
      Hue[0.7800388398598123, 1, 1], 
      Hue[0.7800388398598123, 1, 1], 
      Hue[0.7798419705994404, 1, 1], 
      Hue[0.7798419705994404, 1, 1], 
      Hue[0.7798296650058097, 1, 1], 
      Hue[0.7798296650058097, 1, 1], 
      Hue[0.7798173592637114, 1, 1], 
      Hue[0.7798173592637114, 1, 1], 
      Hue[0.7797927473343383, 1, 1], 
      Hue[0.7797927473343383, 1, 1], 
      Hue[0.7797435216964705, 1, 1], 
      Hue[0.7797435216964705, 1, 1], 
      Hue[0.7796450633169278, 1, 1], 
      Hue[0.7796450633169278, 1, 1], 
      Hue[0.7796327553546072, 1, 1], 
      Hue[0.7796327553546072, 1, 1], 
      Hue[0.7796204472447248, 1, 1], 
      Hue[0.7796204472447248, 1, 1], 
      Hue[0.7795958305825013, 1, 1], 
      Hue[0.7795958305825013, 1, 1], 
      Hue[0.7795465954898065, 1, 1], 
      Hue[0.7795465954898065, 1, 1], 
      Hue[0.7795342863485786, 1, 1], 
      Hue[0.7795342863485786, 1, 1], 
      Hue[0.7795219770602422, 1, 1], 
      Hue[0.7795219770602422, 1, 1], 
      Hue[0.7794973580424717, 1, 1], 
      Hue[0.7794973580424717, 1, 1], 
      Hue[0.7794850483131508, 1, 1], 
      Hue[0.7794850483131508, 1, 1], 
      Hue[0.7794727384369486, 1, 1], 
      Hue[0.7794727384369486, 1, 1], 
      Hue[0.7794604284139217, 1, 1], 
      Hue[0.7794604284139217, 1, 1], 
      Hue[0.779448118244127, 1, 1]}], GraphicsComplexBox[CompressedData["
1:eJx93Hk01O//P34UI1QihQqlEkq9iij0mPZ9UamUolUbqWRJaJOlSIsQhZJU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    "], {
     {GrayLevel[0.5], EdgeForm[None], 
      GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwtmgnYtsUYhr+Ze3lJaLEkWwvZkqWUJaQSEhJSSSWJSJGQvSJSkSVRUUqI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        "]]]}, {{}, {}, {
       {Hue[0.4827891120223487, 1, 1], LineBox[{1, 2}]}, 
       {Hue[0.482564154597886, 1, 1], LineBox[{2, 3}]}, 
       {Hue[0.4823391475506281, 1, 1], LineBox[{3, 4}]}, 
       {Hue[0.4818889820233611, 1, 1], LineBox[{4, 5}]}, 
       {Hue[0.48098802727801254`, 1, 1], LineBox[{5, 6}]}, 
       {Hue[0.4791834792023881, 1, 1], LineBox[{6, 7}]}, 
       {Hue[0.47895765079255526`, 1, 1], LineBox[{7, 8}]}, 
       {Hue[0.4787317624825712, 1, 1], LineBox[{8, 9}]}, 
       {Hue[0.4782798035865052, 1, 1], LineBox[{9, 10}]}, 
       {Hue[0.4773751386497868, 1, 1], LineBox[{10, 11}]}, 
       {Hue[0.475562675712323, 1, 1], LineBox[{11, 12}]}, 
       {Hue[0.47533581152777804`, 1, 1], LineBox[{12, 13}]}, 
       {Hue[0.47510887711774313`, 1, 1], LineBox[{13, 14}]}, 
       {Hue[0.4746547950327467, 1, 1], LineBox[{14, 15}]}, 
       {Hue[0.47374575967195875`, 1, 1], LineBox[{15, 16}]}, 
       {Hue[0.4719240589571304, 1, 1], LineBox[{16, 17}]}, 
       {Hue[0.4682649727256753, 1, 1], LineBox[{17, 18}]}, 
       {Hue[0.46801623645615187`, 1, 1], LineBox[{18, 19}]}, 
       {Hue[0.46776739312065096`, 1, 1], LineBox[{19, 20}]}, 
       {Hue[0.4672693819164649, 1, 1], LineBox[{20, 21}]}, 
       {Hue[0.46627203801009476`, 1, 1], LineBox[{21, 22}]}, 
       {Hue[0.46427187700439293`, 1, 1], LineBox[{22, 23}]}, 
       {Hue[0.46024816012698483`, 1, 1], LineBox[{23, 24}]}, 
       {Hue[0.4599955825663628, 1, 1], LineBox[{24, 25}]}, 
       {Hue[0.45974287109529516`, 1, 1], LineBox[{25, 26}]}, 
       {Hue[0.45923704304401985`, 1, 1], LineBox[{26, 27}]}, 
       {Hue[0.45822374284207923`, 1, 1], LineBox[{27, 28}]}, 
       {Hue[0.4561903764679997, 1, 1], LineBox[{28, 29}]}, 
       {Hue[0.45209505906550335`, 1, 1], LineBox[{29, 30}]}, 
       {Hue[0.4518548306823691, 1, 1], LineBox[{30, 31}]}, 
       {Hue[0.4516144619060803, 1, 1], LineBox[{31, 32}]}, 
       {Hue[0.45113330039310223`, 1, 1], LineBox[{32, 33}]}, 
       {Hue[0.45016926204801466`, 1, 1], LineBox[{33, 34}]}, 
       {Hue[0.44823416810320266`, 1, 1], LineBox[{34, 35}]}, 
       {Hue[0.44433466107445957`, 1, 1], LineBox[{35, 36}]}, 
       {Hue[0.43640834183084554`, 1, 1], LineBox[{36, 37}]}, 
       {Hue[0.42029717691584684`, 1, 1], LineBox[{37, 38}]}, 
       {Hue[0.4018014125344887, 1, 1], LineBox[{38, 39}]}, 
       {Hue[0.3834099295601948, 1, 1], LineBox[{39, 40}]}, 
       {Hue[0.36209016028713226`, 1, 1], LineBox[{40, 41}]}, 
       {Hue[0.33967095617096743`, 1, 1], LineBox[{41, 42}]}, 
       {Hue[0.33933329541167934`, 1, 1], LineBox[{42, 43}]}, 
       {Hue[0.33899532660805554`, 1, 1], LineBox[{43, 44}]}, 
       {Hue[0.3383184662821582, 1, 1], LineBox[{44, 45}]}, 
       {Hue[0.3369610650839929, 1, 1], LineBox[{45, 46}]}, 
       {Hue[0.33423162960793357`, 1, 1], LineBox[{46, 47}]}, 
       {Hue[0.3287150447273139, 1, 1], LineBox[{47, 48}]}, 
       {Hue[0.32836773957656606`, 1, 1], LineBox[{48, 49}]}, 
       {Hue[0.328020141523564, 1, 1], LineBox[{49, 50}]}, 
       {Hue[0.3273240691434084, 1, 1], LineBox[{50, 51}]}, 
       {Hue[0.3259284367777426, 1, 1], LineBox[{51, 52}]}, 
       {Hue[0.3231233685349689, 1, 1], LineBox[{52, 53}]}, 
       {Hue[0.3174593058882333, 1, 1], LineBox[{53, 54}]}, 
       {Hue[0.3170728973764114, 1, 1], LineBox[{54, 55}]}, 
       {Hue[0.316686172231258, 1, 1], LineBox[{55, 56}]}, 
       {Hue[0.31591177652193597`, 1, 1], LineBox[{56, 57}]}, 
       {Hue[0.314359235452104, 1, 1], LineBox[{57, 58}]}, 
       {Hue[0.311239420770304, 1, 1], LineBox[{58, 59}]}, 
       {Hue[0.30494314696483754`, 1, 1], LineBox[{59, 60}]}, 
       {Hue[0.3045472184743326, 1, 1], LineBox[{60, 61}]}, 
       {Hue[0.3041510149005811, 1, 1], LineBox[{61, 62}]}, 
       {Hue[0.3033577884702305, 1, 1], LineBox[{62, 63}]}, 
       {Hue[0.3017681008777705, 1, 1], LineBox[{63, 64}]}, 
       {Hue[0.29857613534787847`, 1, 1], LineBox[{64, 65}]}, 
       {Hue[0.29214477862953786`, 1, 1], LineBox[{65, 66}]}, 
       {Hue[0.2917676876939249, 1, 1], LineBox[{66, 67}]}, 
       {Hue[0.2913904031637292, 1, 1], LineBox[{67, 68}]}, 
       {Hue[0.29063525928355405`, 1, 1], LineBox[{68, 69}]}, 
       {Hue[0.2891227144099267, 1, 1], LineBox[{69, 70}]}, 
       {Hue[0.28608893968771626`, 1, 1], LineBox[{70, 71}]}, 
       {Hue[0.285708934056643, 1, 1], LineBox[{71, 72}]}, 
       {Hue[0.28532875953268905`, 1, 1], LineBox[{72, 73}]}, 
       {Hue[0.28456791022786826`, 1, 1], LineBox[{73, 74}]}, 
       {Hue[0.28304425591740834`, 1, 1], LineBox[{74, 75}]}, 
       {Hue[0.279989492581923, 1, 1], LineBox[{75, 76}]}, 
       {Hue[0.27960698079228, 1, 1], LineBox[{76, 77}]}, 
       {Hue[0.27922432654828644`, 1, 1], LineBox[{77, 78}]}, 
       {Hue[0.27845859752293123`, 1, 1], LineBox[{78, 79}]}, 
       {Hue[0.2769255054252261, 1, 1], LineBox[{79, 80}]}, 
       {Hue[0.27654190206159407`, 1, 1], LineBox[{80, 81}]}, 
       {Hue[0.27615817004289983`, 1, 1], LineBox[{81, 82}]}, 
       {Hue[0.2753903270447928, 1, 1], LineBox[{82, 83}]}, 
       {Hue[0.27385317453066843`, 1, 1], LineBox[{83, 84}]}, 
       {Hue[0.27346859121337924`, 1, 1], LineBox[{84, 85}]}, 
       {Hue[0.27308389338429445`, 1, 1], LineBox[{85, 86}]}, 
       {Hue[0.272314161357055, 1, 1], LineBox[{86, 87}]}, 
       {Hue[0.27077340225339236`, 1, 1], LineBox[{87, 88}]}, 
       {Hue[0.2676871110167407, 1, 1], LineBox[{88, 89}]}, 
       {Hue[0.26730851114187293`, 1, 1], LineBox[{89, 90}]}, 
       {Hue[0.2669298292222692, 1, 1], LineBox[{90, 91}]}, 
       {Hue[0.26617222625345777`, 1, 1], LineBox[{91, 92}]}, 
       {Hue[0.264656113011379, 1, 1], LineBox[{92, 93}]}, 
       {Hue[0.2642769059683955, 1, 1], LineBox[{93, 94}]}, 
       {Hue[0.26389763097215285`, 1, 1], LineBox[{94, 95}]}, 
       {Hue[0.26313888422214, 1, 1], LineBox[{95, 96}]}, 
       {Hue[0.26162065355766034`, 1, 1], LineBox[{96, 97}]}, 
       {Hue[0.26124095273400294`, 1, 1], LineBox[{97, 98}]}, 
       {Hue[0.2608611982290126, 1, 1], LineBox[{98, 99}]}, 
       {Hue[0.2601015353565507, 1, 1], LineBox[{99, 100}]}, 
       {Hue[0.25972163058517933`, 1, 1], LineBox[{100, 101}]}, 
       {Hue[0.2593416793245274, 1, 1], LineBox[{101, 102}]}, 
       {Hue[0.25858164454948335`, 1, 1], LineBox[{102, 103}]}, 
       {Hue[0.2582015646467406, 1, 1], LineBox[{103, 104}]}, 
       {Hue[0.2578214454778663, 1, 1], LineBox[{104, 105}]}, 
       {Hue[0.2570610965836389, 1, 1], LineBox[{105, 106}]}, 
       {Hue[0.25668087048309157`, 1, 1], LineBox[{106, 107}]}, 
       {Hue[0.2563006123658743, 1, 1], LineBox[{107, 108}]}, 
       {Hue[0.25554000734634386`, 1, 1], LineBox[{108, 109}]}, 
       {Hue[0.25515966407958035`, 1, 1], LineBox[{109, 110}]}, 
       {Hue[0.2547792960670942, 1, 1], LineBox[{110, 111}]}, 
       {Hue[0.2543989051294105, 1, 1], LineBox[{111, 112}]}, 
       {Hue[0.2540184930880174, 1, 1], LineBox[{112, 113}]}, 
       {Hue[0.25363806176529013`, 1, 1], LineBox[{113, 114}]}, 
       {Hue[0.25325761298441374`, 1, 1], LineBox[{114, 115}]}, 
       {Hue[0.2528771485693071, 1, 1], LineBox[{115, 116}]}, 
       {Hue[0.2524966703445472, 1, 1], LineBox[{116, 117}]}, 
       {Hue[0.252116180135291, 1, 1], LineBox[{117, 118}]}, 
       {Hue[0.25173567976719924`, 1, 1], LineBox[{118, 119}]}, 
       {Hue[0.2513551710663607, 1, 1], LineBox[{119, 120}]}, 
       {Hue[0.25097465585921397`, 1, 1], LineBox[{120, 121}]}, 
       {Hue[0.25059413597247165`, 1, 1], LineBox[{121, 122}]}, 
       {Hue[0.25021361323304325`, 1, 1], LineBox[{122, 123}]}, 
       {Hue[0.24983308946795788`, 1, 1], LineBox[{123, 124}]}, 
       {Hue[0.2494525665042888, 1, 1], LineBox[{124, 125}]}, 
       {Hue[0.2490720461690742, 1, 1], LineBox[{125, 126}]}, 
       {Hue[0.2486915302892427, 1, 1], LineBox[{126, 127}]}, 
       {Hue[0.2483110206915351, 1, 1], LineBox[{127, 128}]}, 
       {Hue[0.2479305192024281, 1, 1], LineBox[{128, 129}]}, 
       {Hue[0.24755002764805686`, 1, 1], LineBox[{129, 130}]}, 
       {Hue[0.24716954785413933`, 1, 1], LineBox[{130, 131}]}, 
       {Hue[0.24678908164589852`, 1, 1], LineBox[{131, 132}]}, 
       {Hue[0.24640863084798625`, 1, 1], LineBox[{132, 133}]}, 
       {Hue[0.24602819728440656`, 1, 1], LineBox[{133, 134}]}, 
       {Hue[0.2456477827784387, 1, 1], LineBox[{134, 135}]}, 
       {Hue[0.24526738915256116`, 1, 1], LineBox[{135, 136}]}, 
       {Hue[0.24488701822837544`, 1, 1], LineBox[{136, 137}]}, 
       {Hue[0.24450667182652894`, 1, 1], LineBox[{137, 138}]}, 
       {Hue[0.24412635176663902`, 1, 1], LineBox[{138, 139}]}, 
       {Hue[0.24336579794559315`, 1, 1], LineBox[{139, 140}]}, 
       {Hue[0.24295324765529228`, 1, 1], LineBox[{140, 141}]}, 
       {Hue[0.2425407371117956, 1, 1], LineBox[{141, 142}]}, 
       {Hue[0.24171584452690567`, 1, 1], LineBox[{142, 143}]}, 
       {Hue[0.24130346711105533`, 1, 1], LineBox[{143, 144}]}, 
       {Hue[0.24089113869286885`, 1, 1], LineBox[{144, 145}]}, 
       {Hue[0.24006663807480177`, 1, 1], LineBox[{145, 146}]}, 
       {Hue[0.23965447048114782`, 1, 1], LineBox[{146, 147}]}, 
       {Hue[0.2392423610973872, 1, 1], LineBox[{147, 148}]}, 
       {Hue[0.23841832614129013`, 1, 1], LineBox[{148, 149}]}, 
       {Hue[0.23677105557424935`, 1, 1], LineBox[{149, 150}]}, 
       {Hue[0.2363594177784766, 1, 1], LineBox[{150, 151}]}, 
       {Hue[0.23594785647257394`, 1, 1], LineBox[{151, 152}]}, 
       {Hue[0.23512497240373834`, 1, 1], LineBox[{152, 153}]}, 
       {Hue[0.23348022172980518`, 1, 1], LineBox[{153, 154}]}, 
       {Hue[0.23306925917031257`, 1, 1], LineBox[{154, 155}]}, 
       {Hue[0.2326583911412925, 1, 1], LineBox[{155, 156}]}, 
       {Hue[0.23183694761200108`, 1, 1], LineBox[{156, 157}]}, 
       {Hue[0.23019529296078736`, 1, 1], LineBox[{157, 158}]}, 
       {Hue[0.22978514896890515`, 1, 1], LineBox[{158, 159}]}, 
       {Hue[0.2293751172542093, 1, 1], LineBox[{159, 160}]}, 
       {Hue[0.22855539943102374`, 1, 1], LineBox[{160, 161}]}, 
       {Hue[0.22691740731771892`, 1, 1], LineBox[{161, 162}]}, 
       {Hue[0.22364768111296685`, 1, 1], LineBox[{162, 163}]}, 
       {Hue[0.2232395936956678, 1, 1], LineBox[{163, 164}]}, 
       {Hue[0.2228316529602289, 1, 1], LineBox[{164, 165}]}, 
       {Hue[0.22201621990908135`, 1, 1], LineBox[{165, 166}]}, 
       {Hue[0.22038720570674897`, 1, 1], LineBox[{166, 167}]}, 
       {Hue[0.21713704446893195`, 1, 1], LineBox[{167, 168}]}, 
       {Hue[0.21675867941709887`, 1, 1], LineBox[{168, 169}]}, 
       {Hue[0.21638047037135943`, 1, 1], LineBox[{169, 170}]}, 
       {Hue[0.21562452670544385`, 1, 1], LineBox[{170, 171}]}, 
       {Hue[0.2141145815706029, 1, 1], LineBox[{171, 172}]}, 
       {Hue[0.21110281056432975`, 1, 1], LineBox[{172, 173}]}, 
       {Hue[0.20511445765264996`, 1, 1], LineBox[{173, 174}]}, 
       {Hue[0.20474184699692943`, 1, 1], LineBox[{174, 175}]}, 
       {Hue[0.20436944028448417`, 1, 1], LineBox[{175, 176}]}, 
       {Hue[0.20362524419409136`, 1, 1], LineBox[{176, 177}]}, 
       {Hue[0.20213935945020794`, 1, 1], LineBox[{177, 178}]}, 
       {Hue[0.19917791790822034`, 1, 1], LineBox[{178, 179}]}, 
       {Hue[0.19329862431015446`, 1, 1], LineBox[{179, 180}]}, 
       {Hue[0.1929025112030568, 1, 1], LineBox[{180, 181}]}, 
       {Hue[0.19250668498575932`, 1, 1], LineBox[{181, 182}]}, 
       {Hue[0.19171589889733498`, 1, 1], LineBox[{182, 183}]}, 
       {Hue[0.19013783118538494`, 1, 1], LineBox[{183, 184}]}, 
       {Hue[0.1869960163563014, 1, 1], LineBox[{184, 185}]}, 
       {Hue[0.1807719313570252, 1, 1], LineBox[{185, 186}]}, 
       {Hue[0.1685774743268824, 1, 1], LineBox[{186, 187}]}, 
       {Hue[0.16820895585701034`, 1, 1], LineBox[{187, 188}]}, 
       {Hue[0.1678407785456453, 1, 1], LineBox[{188, 189}]}, 
       {Hue[0.1671054499149418, 1, 1], LineBox[{189, 190}]}, 
       {Hue[0.1656389136494823, 1, 1], LineBox[{190, 191}]}, 
       {Hue[0.16272245258452597`, 1, 1], LineBox[{191, 192}]}, 
       {Hue[0.1569568588495444, 1, 1], LineBox[{192, 193}]}, 
       {Hue[0.145699939631525, 1, 1], LineBox[{193, 194}]}, 
       {Hue[0.1256893641497182, 1, 1], LineBox[{194, 195}]}, 
       {Hue[0.10539044861568869`, 1, 1], LineBox[{195, 196}]}, 
       {Hue[0.08764509315685078, 1, 1], LineBox[{196, 197}]}, 
       {Hue[0.0695425280222779, 1, 1], LineBox[{197, 198}]}, 
       {Hue[0.06927284345491812, 1, 1], LineBox[{198, 199}]}, 
       {Hue[0.0690033828549923, 1, 1], LineBox[{199, 200}]}, 
       {Hue[0.06846513025460946, 1, 1], LineBox[{200, 201}]}, 
       {Hue[0.06739127631685435, 1, 1], LineBox[{201, 202}]}, 
       {Hue[0.0652539882177101, 1, 1], LineBox[{202, 203}]}, 
       {Hue[0.06101960660556691, 1, 1], LineBox[{203, 204}]}, 
       {Hue[0.0607566784646249, 1, 1], LineBox[{204, 205}]}, 
       {Hue[0.06049394778226546, 1, 1], LineBox[{205, 206}]}, 
       {Hue[0.05996907547438733, 1, 1], LineBox[{206, 207}]}, 
       {Hue[0.05892166385474362, 1, 1], LineBox[{207, 208}]}, 
       {Hue[0.056835986785009666`, 1, 1], LineBox[{208, 209}]}, 
       {Hue[0.05269973189924155, 1, 1], LineBox[{209, 210}]}, 
       {Hue[0.052459950972469985`, 1, 1], LineBox[{210, 211}]}, 
       {Hue[0.05222031886942625, 1, 1], LineBox[{211, 212}]}, 
       {Hue[0.051741498451220044`, 1, 1], LineBox[{212, 213}]}, 
       {Hue[0.05078561399160116, 1, 1], LineBox[{213, 214}]}, 
       {Hue[0.04888072051499777, 1, 1], LineBox[{214, 215}]}, 
       {Hue[0.045097237160123156`, 1, 1], LineBox[{215, 216}]}, 
       {Hue[0.0448618866686425, 1, 1], LineBox[{216, 217}]}, 
       {Hue[0.04462666361887337, 1, 1], LineBox[{217, 218}]}, 
       {Hue[0.04415659718485804, 1, 1], LineBox[{218, 219}]}, 
       {Hue[0.04321796437381418, 1, 1], LineBox[{219, 220}]}, 
       {Hue[0.041346550324896286`, 1, 1], LineBox[{220, 221}]}, 
       {Hue[0.037625942346307256`, 1, 1], LineBox[{221, 222}]}, 
       {Hue[0.037374843534917906`, 1, 1], LineBox[{222, 223}]}, 
       {Hue[0.0371238695861517, 1, 1], LineBox[{223, 224}]}, 
       {Hue[0.03662229292476846, 1, 1], LineBox[{224, 225}]}, 
       {Hue[0.03562060110319647, 1, 1], LineBox[{225, 226}]}, 
       {Hue[0.03362287619749535, 1, 1], LineBox[{226, 227}]}, 
       {Hue[0.0333736748129829, 1, 1], LineBox[{227, 228}]}, 
       {Hue[0.033124584922840886`, 1, 1], LineBox[{228, 229}]}, 
       {Hue[0.03262673629523637, 1, 1], LineBox[{229, 230}]}, 
       {Hue[0.03163234035619638, 1, 1], LineBox[{230, 231}]}, 
       {Hue[0.02964856766170453, 1, 1], LineBox[{231, 232}]}, 
       {Hue[0.029401050448112514`, 1, 1], LineBox[{232, 233}]}, 
       {Hue[0.029153631445108612`, 1, 1], LineBox[{233, 234}]}, 
       {Hue[0.028659084761207015`, 1, 1], LineBox[{234, 235}]}, 
       {Hue[0.027671133531875808`, 1, 1], LineBox[{235, 236}]}, 
       {Hue[0.02569961468875199, 1, 1], LineBox[{236, 237}]}, 
       {Hue[0.021772636012389598`, 1, 1], LineBox[{237, 238}]}, 
       {Hue[0.021544088339672494`, 1, 1], LineBox[{238, 239}]}, 
       {Hue[0.021315603374490812`, 1, 1], LineBox[{239, 240}]}, 
       {Hue[0.020858818903288473`, 1, 1], LineBox[{240, 241}]}, 
       {Hue[0.01994597316442123, 1, 1], LineBox[{241, 242}]}, 
       {Hue[0.018123025596737834`, 1, 1], LineBox[{242, 243}]}, 
       {Hue[0.017895401443312083`, 1, 1], LineBox[{243, 244}]}, 
       {Hue[0.017667829365711957`, 1, 1], LineBox[{244, 245}]}, 
       {Hue[0.017212838786401004`, 1, 1], LineBox[{245, 246}]}, 
       {Hue[0.0163034533796867, 1, 1], LineBox[{246, 247}]}, 
       {Hue[0.01448691729759583, 1, 1], LineBox[{247, 248}]}, 
       {Hue[0.014260046896887183`, 1, 1], LineBox[{248, 249}]}, 
       {Hue[0.014033217984415945`, 1, 1], LineBox[{249, 250}]}, 
       {Hue[0.013579681982588004`, 1, 1], LineBox[{250, 251}]}, 
       {Hue[0.012673078787923718`, 1, 1], LineBox[{251, 252}]}, 
       {Hue[0.012446521808640136`, 1, 1], LineBox[{252, 253}]}, 
       {Hue[0.012220001037920019`, 1, 1], LineBox[{253, 254}]}, 
       {Hue[0.011767065484800906`, 1, 1], LineBox[{254, 255}]}, 
       {Hue[0.010861599877047007`, 1, 1], LineBox[{255, 256}]}, 
       {Hue[0.010635314110578184`, 1, 1], LineBox[{256, 257}]}, 
       {Hue[0.010409059281020351`, 1, 1], LineBox[{257, 258}]}, 
       {Hue[0.009956639798957091, 1, 1], LineBox[{258, 259}]}, 
       {Hue[0.009052143113095096, 1, 1], LineBox[{259, 260}]}, 
       {Hue[0.008826086411195665, 1, 1], LineBox[{260, 261}]}, 
       {Hue[0.008600055381481772, 1, 1], LineBox[{261, 262}]}, 
       {Hue[0.008148067708061165, 1, 1], LineBox[{262, 263}]}, 
       {Hue[0.007244371496228025, 1, 1], LineBox[{263, 264}]}, 
       {Hue[0.007022937079816844, 1, 1], LineBox[{264, 265}]}, 
       {Hue[0.0068015222952073, 1, 1], LineBox[{265, 266}]}, 
       {Hue[0.006358749145194383, 1, 1], LineBox[{266, 267}]}, 
       {Hue[0.006137389541852153, 1, 1], LineBox[{267, 268}]}, 
       {Hue[0.0059160470944297034`, 1, 1], LineBox[{268, 269}]}, 
       {Hue[0.005473411192127854, 1, 1], LineBox[{269, 270}]}, 
       {Hue[0.0052521164997800344`, 1, 1], LineBox[{270, 271}]}, 
       {Hue[0.005030836488410986, 1, 1], LineBox[{271, 272}]}, 
       {Hue[0.00458831803424194, 1, 1], LineBox[{272, 273}]}, 
       {Hue[0.0043670783543771075`, 1, 1], LineBox[{273, 274}]}, 
       {Hue[0.004145850881357151, 1, 1], LineBox[{274, 275}]}, 
       {Hue[0.0037034300821993217`, 1, 1], LineBox[{275, 276}]}, 
       {Hue[0.0034822355193328738`, 1, 1], LineBox[{276, 277}]}, 
       {Hue[0.0032610506898499217`, 1, 1], LineBox[{277, 278}]}, 
       {Hue[0.003039874975474352, 1, 1], LineBox[{278, 279}]}, 
       {Hue[0.002818707757961507, 1, 1], LineBox[{279, 280}]}, 
       {Hue[0.0025975484190960568`, 1, 1], LineBox[{280, 281}]}, 
       {Hue[0.002376396340689876, 1, 1], LineBox[{281, 282}]}, 
       {Hue[0.0021552509045799197`, 1, 1], LineBox[{282, 283}]}, 
       {Hue[0.0019341114926260904`, 1, 1], LineBox[{283, 284}]}, 
       {Hue[0.00171297748670911, 1, 1], LineBox[{284, 285}]}, 
       {Hue[0.001491848268728384, 1, 1], LineBox[{285, 286}]}, 
       {Hue[0.001270723220599874, 1, 1], LineBox[{286, 287}]}, 
       {Hue[0.001049601724253957, 1, 1], LineBox[{287, 288}]}, 
       {Hue[0.0008284831616332961, 1, 1], LineBox[{288, 289}]}, 
       {Hue[0.0006073669146907008, 1, 1], LineBox[{289, 290}]}, 
       {Hue[0.00038625236538699054`, 1, 1], LineBox[{290, 291}]}, 
       {Hue[0.00016513889568885726`, 1, 1], LineBox[{291, 292}]}, 
       {Hue[0.9999440258875667, 1, 1], LineBox[{292, 293}]}, 
       {Hue[0.9997229127229926, 1, 1], LineBox[{293, 294}]}, 
       {Hue[0.9995017987839381, 1, 1], LineBox[{294, 295}]}, 
       {Hue[0.9992806834523718, 1, 1], LineBox[{295, 296}]}, 
       {Hue[0.9990595661102578, 1, 1], LineBox[{296, 297}]}, 
       {Hue[0.9988384461395532, 1, 1], LineBox[{297, 298}]}, 
       {Hue[0.9986173229222058, 1, 1], LineBox[{298, 299}]}, 
       {Hue[0.9983961958401524, 1, 1], LineBox[{299, 300}]}, 
       {Hue[0.9981750642753163, 1, 1], LineBox[{300, 301}]}, 
       {Hue[0.9979539276096054, 1, 1], LineBox[{301, 302}]}, 
       {Hue[0.9977327852249099, 1, 1], LineBox[{302, 303}]}, 
       {Hue[0.9975116365031003, 1, 1], LineBox[{303, 304}]}, 
       {Hue[0.997290480826025, 1, 1], LineBox[{304, 305}]}, 
       {Hue[0.9970693175755087, 1, 1], LineBox[{305, 306}]}, 
       {Hue[0.9966269658813178, 1, 1], LineBox[{306, 307}]}, 
       {Hue[0.9964057762011531, 1, 1], LineBox[{307, 308}]}, 
       {Hue[0.9961845764745626, 1, 1], LineBox[{308, 309}]}, 
       {Hue[0.9957421444087574, 1, 1], LineBox[{309, 310}]}, 
       {Hue[0.9955209108327753, 1, 1], LineBox[{310, 311}]}, 
       {Hue[0.9952996647368284, 1, 1], LineBox[{311, 312}]}, 
       {Hue[0.9948571325110459, 1, 1], LineBox[{312, 313}]}, 
       {Hue[0.9946358451440981, 1, 1], LineBox[{313, 314}]}, 
       {Hue[0.9944145427829568, 1, 1], LineBox[{314, 315}]}, 
       {Hue[0.9939718906033176, 1, 1], LineBox[{315, 316}]}, 
       {Hue[0.9930863790880589, 1, 1], LineBox[{316, 317}]}, 
       {Hue[0.9928461651955212, 1, 1], LineBox[{317, 318}]}, 
       {Hue[0.9926059277675018, 1, 1], LineBox[{318, 319}]}, 
       {Hue[0.9921253791427431, 1, 1], LineBox[{319, 320}]}, 
       {Hue[0.9911639646767813, 1, 1], LineBox[{320, 321}]}, 
       {Hue[0.9909235403594647, 1, 1], LineBox[{321, 322}]}, 
       {Hue[0.9906830861794046, 1, 1], LineBox[{322, 323}]}, 
       {Hue[0.9902020850652838, 1, 1], LineBox[{323, 324}]}, 
       {Hue[0.9892396896536435, 1, 1], LineBox[{324, 325}]}, 
       {Hue[0.9889990042677944, 1, 1], LineBox[{325, 326}]}, 
       {Hue[0.9887582826843183, 1, 1], LineBox[{326, 327}]}, 
       {Hue[0.9882767277544471, 1, 1], LineBox[{327, 328}]}, 
       {Hue[0.9873131486444305, 1, 1], LineBox[{328, 329}]}, 
       {Hue[0.9853839357017069, 1, 1], LineBox[{329, 330}]}, 
       {Hue[0.9851425759700883, 1, 1], LineBox[{330, 331}]}, 
       {Hue[0.9849011673421513, 1, 1], LineBox[{331, 332}]}, 
       {Hue[0.984418200216528, 1, 1], LineBox[{332, 333}]}, 
       {Hue[0.9834516442098782, 1, 1], LineBox[{333, 334}]}, 
       {Hue[0.9815158667939559, 1, 1], LineBox[{334, 335}]}, 
       {Hue[0.9812736291913834, 1, 1], LineBox[{335, 336}]}, 
       {Hue[0.9810313299456908, 1, 1], LineBox[{336, 337}]}, 
       {Hue[0.9805465433306404, 1, 1], LineBox[{337, 338}]}, 
       {Hue[0.9795761952326396, 1, 1], LineBox[{338, 339}]}, 
       {Hue[0.9776322203763465, 1, 1], LineBox[{339, 340}]}, 
       {Hue[0.9774051575452036, 1, 1], LineBox[{340, 341}]}, 
       {Hue[0.9771780299268937, 1, 1], LineBox[{341, 342}]}, 
       {Hue[0.9767235777199724, 1, 1], LineBox[{342, 343}]}, 
       {Hue[0.9758138671519275, 1, 1], LineBox[{343, 344}]}, 
       {Hue[0.9739910750405399, 1, 1], LineBox[{344, 345}]}, 
       {Hue[0.9703308331526667, 1, 1], LineBox[{345, 346}]}, 
       {Hue[0.9701013726173703, 1, 1], LineBox[{346, 347}]}, 
       {Hue[0.9698718263196648, 1, 1], LineBox[{347, 348}]}, 
       {Hue[0.9694124737999488, 1, 1], LineBox[{348, 349}]}, 
       {Hue[0.9684927105904569, 1, 1], LineBox[{349, 350}]}, 
       {Hue[0.9666488035074778, 1, 1], LineBox[{350, 351}]}, 
       {Hue[0.9629422795583775, 1, 1], LineBox[{351, 352}]}, 
       {Hue[0.96269025198017, 1, 1], LineBox[{352, 353}]}, 
       {Hue[0.9624380986753572, 1, 1], LineBox[{353, 354}]}, 
       {Hue[0.9619334114888105, 1, 1], LineBox[{354, 355}]}, 
       {Hue[0.9609224910093953, 1, 1], LineBox[{355, 356}]}, 
       {Hue[0.9588942749542262, 1, 1], LineBox[{356, 357}]}, 
       {Hue[0.9548108126517544, 1, 1], LineBox[{357, 358}]}, 
       {Hue[0.946523461974924, 1, 1], LineBox[{358, 359}]}, 
       {Hue[0.9462664435525957, 1, 1], LineBox[{359, 360}]}, 
       {Hue[0.9460092509840369, 1, 1], LineBox[{360, 361}]}, 
       {Hue[0.9454943401255437, 1, 1], LineBox[{361, 362}]}, 
       {Hue[0.944462392535523, 1, 1], LineBox[{362, 363}]}, 
       {Hue[0.9423898098455793, 1, 1], LineBox[{363, 364}]}, 
       {Hue[0.9382084208650068, 1, 1], LineBox[{364, 365}]}, 
       {Hue[0.9296889548412226, 1, 1], LineBox[{365, 366}]}, 
       {Hue[0.9131577192100314, 1, 1], LineBox[{366, 367}]}, 
       {Hue[0.8941248259641966, 1, 1], LineBox[{367, 368}]}, 
       {Hue[0.8751555374447492, 1, 1], LineBox[{368, 369}]}, 
       {Hue[0.8553207001162826, 1, 1], LineBox[{369, 370}]}, 
       {Hue[0.8549734798782151, 1, 1], LineBox[{370, 371}]}, 
       {Hue[0.8546258934543336, 1, 1], LineBox[{371, 372}]}, 
       {Hue[0.8539296221742921, 1, 1], LineBox[{372, 373}]}, 
       {Hue[0.8525326872315117, 1, 1], LineBox[{373, 374}]}, 
       {Hue[0.8497212657634408, 1, 1], LineBox[{374, 375}]}, 
       {Hue[0.8440284786662016, 1, 1], LineBox[{375, 376}]}, 
       {Hue[0.832367236818728, 1, 1], LineBox[{376, 377}]}, 
       {Hue[0.832021825341367, 1, 1], LineBox[{377, 378}]}, 
       {Hue[0.8316761129089217, 1, 1], LineBox[{378, 379}]}, 
       {Hue[0.830983787289033, 1, 1], LineBox[{379, 380}]}, 
       {Hue[0.8295955482610037, 1, 1], LineBox[{380, 381}]}, 
       {Hue[0.8268048478525195, 1, 1], LineBox[{381, 382}]}, 
       {Hue[0.8211677004737815, 1, 1], LineBox[{382, 383}]}, 
       {Hue[0.8208129603290648, 1, 1], LineBox[{383, 384}]}, 
       {Hue[0.8204579401889733, 1, 1], LineBox[{384, 385}]}, 
       {Hue[0.8197470631114767, 1, 1], LineBox[{385, 386}]}, 
       {Hue[0.8183219845703645, 1, 1], LineBox[{386, 387}]}, 
       {Hue[0.8154587196009777, 1, 1], LineBox[{387, 388}]}, 
       {Hue[0.8096813911841393, 1, 1], LineBox[{388, 389}]}, 
       {Hue[0.8092875819890374, 1, 1], LineBox[{389, 390}]}, 
       {Hue[0.808893478770385, 1, 1], LineBox[{390, 391}]}, 
       {Hue[0.8081043957324172, 1, 1], LineBox[{391, 392}]}, 
       {Hue[0.8065227621999304, 1, 1], LineBox[{392, 393}]}, 
       {Hue[0.8033459466645283, 1, 1], LineBox[{393, 394}]}, 
       {Hue[0.802947603375167, 1, 1], LineBox[{394, 395}]}, 
       {Hue[0.8025489892916751, 1, 1], LineBox[{395, 396}]}, 
       {Hue[0.8017509549521107, 1, 1], LineBox[{396, 397}]}, 
       {Hue[0.8001517056838474, 1, 1], LineBox[{397, 398}]}, 
       {Hue[0.7969408469898971, 1, 1], LineBox[{398, 399}]}, 
       {Hue[0.7965383632273197, 1, 1], LineBox[{399, 400}]}, 
       {Hue[0.7961356348032806, 1, 1], LineBox[{400, 401}]}, 
       {Hue[0.7953294508865575, 1, 1], LineBox[{401, 402}]}, 
       {Hue[0.7937142237832816, 1, 1], LineBox[{402, 403}]}, 
       {Hue[0.7904727333124814, 1, 1], LineBox[{403, 404}]}, 
       {Hue[0.7900665479973398, 1, 1], LineBox[{404, 405}]}, 
       {Hue[0.7896601468913595, 1, 1], LineBox[{405, 406}]}, 
       {Hue[0.78884670487822, 1, 1], LineBox[{406, 407}]}, 
       {Hue[0.7872173151887686, 1, 1], LineBox[{407, 408}]}, 
       {Hue[0.7839489494382963, 1, 1], LineBox[{408, 409}]}, 
       {Hue[0.7835666629003442, 1, 1], LineBox[{409, 410}]}, 
       {Hue[0.7831842154488271, 1, 1], LineBox[{410, 411}]}, 
       {Hue[0.7824188444458441, 1, 1], LineBox[{411, 412}]}, 
       {Hue[0.7808862448877505, 1, 1], LineBox[{412, 413}]}, 
       {Hue[0.7778139956224613, 1, 1], LineBox[{413, 414}]}, 
       {Hue[0.7774293370436219, 1, 1], LineBox[{414, 415}]}, 
       {Hue[0.7770445448384399, 1, 1], LineBox[{415, 416}]}, 
       {Hue[0.7762745665778351, 1, 1], LineBox[{416, 417}]}, 
       {Hue[0.774733084163743, 1, 1], LineBox[{417, 418}]}, 
       {Hue[0.7716444162444386, 1, 1], LineBox[{418, 419}]}, 
       {Hue[0.7712578333211608, 1, 1], LineBox[{419, 420}]}, 
       {Hue[0.770871145491256, 1, 1], LineBox[{420, 421}]}, 
       {Hue[0.7700974624607736, 1, 1], LineBox[{421, 422}]}, 
       {Hue[0.7685489186047042, 1, 1], LineBox[{422, 423}]}, 
       {Hue[0.7681615480840327, 1, 1], LineBox[{423, 424}]}, 
       {Hue[0.7677740874657797, 1, 1], LineBox[{424, 425}]}, 
       {Hue[0.7669989034180303, 1, 1], LineBox[{425, 426}]}, 
       {Hue[0.7654475366570868, 1, 1], LineBox[{426, 427}]}, 
       {Hue[0.7650594979075213, 1, 1], LineBox[{427, 428}]}, 
       {Hue[0.7646713841180712, 1, 1], LineBox[{428, 429}]}, 
       {Hue[0.7638949390135434, 1, 1], LineBox[{429, 430}]}, 
       {Hue[0.7635066115033468, 1, 1], LineBox[{430, 431}]}, 
       {Hue[0.7631182165628669, 1, 1], LineBox[{431, 432}]}, 
       {Hue[0.7623412320336995, 1, 1], LineBox[{432, 433}]}, 
       {Hue[0.7619526462733915, 1, 1], LineBox[{433, 434}]}, 
       {Hue[0.7615640007393966, 1, 1], LineBox[{434, 435}]}, 
       {Hue[0.7607865380363968, 1, 1], LineBox[{435, 436}]}, 
       {Hue[0.7592309800296734, 1, 1], LineBox[{436, 437}]}, 
       {Hue[0.758849596113294, 1, 1], LineBox[{437, 438}]}, 
       {Hue[0.7584681695412607, 1, 1], LineBox[{438, 439}]}, 
       {Hue[0.7577051957396829, 1, 1], LineBox[{439, 440}]}, 
       {Hue[0.7573236521690917, 1, 1], LineBox[{440, 441}]}, 
       {Hue[0.7569420732606006, 1, 1], LineBox[{441, 442}]}, 
       {Hue[0.7561788167647769, 1, 1], LineBox[{442, 443}]}, 
       {Hue[0.7557971428483347, 1, 1], LineBox[{443, 444}]}, 
       {Hue[0.755415440935619, 1, 1], LineBox[{444, 445}]}, 
       {Hue[0.7550337128651892, 1, 1], LineBox[{445, 446}]}, 
       {Hue[0.7546519604767106, 1, 1], LineBox[{446, 447}]}, 
       {Hue[0.7542701856108777, 1, 1], LineBox[{447, 448}]}, 
       {Hue[0.7538883901093358, 1, 1], LineBox[{448, 449}]}, 
       {Hue[0.7535065758146038, 1, 1], LineBox[{449, 450}]}, 
       {Hue[0.7531247445699961, 1, 1], LineBox[{450, 451}]}, 
       {Hue[0.7527428982195451, 1, 1], LineBox[{451, 452}]}, 
       {Hue[0.7523610386079226, 1, 1], LineBox[{452, 453}]}, 
       {Hue[0.7519791675803619, 1, 1], LineBox[{453, 454}]}, 
       {Hue[0.7515972869825805, 1, 1], LineBox[{454, 455}]}, 
       {Hue[0.7512153986607009, 1, 1], LineBox[{455, 456}]}, 
       {Hue[0.7508335044611727, 1, 1], LineBox[{456, 457}]}, 
       {Hue[0.7504516062306952, 1, 1], LineBox[{457, 458}]}, 
       {Hue[0.7500697058161379, 1, 1], LineBox[{458, 459}]}, 
       {Hue[0.7496878050644631, 1, 1], LineBox[{459, 460}]}, 
       {Hue[0.7493059058226471, 1, 1], LineBox[{460, 461}]}, 
       {Hue[0.7489240099376031, 1, 1], LineBox[{461, 462}]}, 
       {Hue[0.7485421192561008, 1, 1], LineBox[{462, 463}]}, 
       {Hue[0.7481602356246906, 1, 1], LineBox[{463, 464}]}, 
       {Hue[0.7477783608896231, 1, 1], LineBox[{464, 465}]}, 
       {Hue[0.7473964968967727, 1, 1], LineBox[{465, 466}]}, 
       {Hue[0.7470146454915586, 1, 1], LineBox[{466, 467}]}, 
       {Hue[0.7466328085188667, 1, 1], LineBox[{467, 468}]}, 
       {Hue[0.7462509878229718, 1, 1], LineBox[{468, 469}]}, 
       {Hue[0.7458691852474595, 1, 1], LineBox[{469, 470}]}, 
       {Hue[0.745487402635148, 1, 1], LineBox[{470, 471}]}, 
       {Hue[0.7451056418280108, 1, 1], LineBox[{471, 472}]}, 
       {Hue[0.7447239046670979, 1, 1], LineBox[{472, 473}]}, 
       {Hue[0.7439605086430685, 1, 1], LineBox[{473, 474}]}, 
       {Hue[0.7435788534567404, 1, 1], LineBox[{474, 475}]}, 
       {Hue[0.743197229270059, 1, 1], LineBox[{475, 476}]}, 
       {Hue[0.742434081235344, 1, 1], LineBox[{476, 477}]}, 
       {Hue[0.7420525610536186, 1, 1], LineBox[{477, 478}]}, 
       {Hue[0.741671079204003, 1, 1], LineBox[{478, 479}]}, 
       {Hue[0.7409082378164618, 1, 1], LineBox[{479, 480}]}, 
       {Hue[0.7405268819319039, 1, 1], LineBox[{480, 481}]}, 
       {Hue[0.7401455716860397, 1, 1], LineBox[{481, 482}]}, 
       {Hue[0.7393830953965116, 1, 1], LineBox[{482, 483}]}, 
       {Hue[0.7390019329908355, 1, 1], LineBox[{483, 484}]}, 
       {Hue[0.7386208234996778, 1, 1], LineBox[{484, 485}]}, 
       {Hue[0.7378587705129495, 1, 1], LineBox[{485, 486}]}, 
       {Hue[0.7374778306375712, 1, 1], LineBox[{486, 487}]}, 
       {Hue[0.7370969509169465, 1, 1], LineBox[{487, 488}]}, 
       {Hue[0.7363353791531093, 1, 1], LineBox[{488, 489}]}, 
       {Hue[0.7348130366775787, 1, 1], LineBox[{489, 490}]}, 
       {Hue[0.7344004115686684, 1, 1], LineBox[{490, 491}]}, 
       {Hue[0.7339878743030455, 1, 1], LineBox[{491, 492}]}, 
       {Hue[0.7331630723875937, 1, 1], LineBox[{492, 493}]}, 
       {Hue[0.7315146223679851, 1, 1], LineBox[{493, 494}]}, 
       {Hue[0.731102763382932, 1, 1], LineBox[{494, 495}]}, 
       {Hue[0.73069101029219, 1, 1], LineBox[{495, 496}]}, 
       {Hue[0.7298678307254558, 1, 1], LineBox[{496, 497}]}, 
       {Hue[0.7282228402733528, 1, 1], LineBox[{497, 498}]}, 
       {Hue[0.7278118907005582, 1, 1], LineBox[{498, 499}]}, 
       {Hue[0.7274010647432105, 1, 1], LineBox[{499, 500}]}, 
       {Hue[0.726579792426144, 1, 1], LineBox[{500, 501}]}, 
       {Hue[0.7249388270964123, 1, 1], LineBox[{501, 502}]}, 
       {Hue[0.7216636955311846, 1, 1], LineBox[{502, 503}]}, 
       {Hue[0.721254982954668, 1, 1], LineBox[{503, 504}]}, 
       {Hue[0.7208464282417213, 1, 1], LineBox[{504, 505}]}, 
       {Hue[0.7200298007228654, 1, 1], LineBox[{505, 506}]}, 
       {Hue[0.7183985311005171, 1, 1], LineBox[{506, 507}]}, 
       {Hue[0.7151443891844453, 1, 1], LineBox[{507, 508}]}, 
       {Hue[0.7147384477657691, 1, 1], LineBox[{508, 509}]}, 
       {Hue[0.7143326965547424, 1, 1], LineBox[{509, 510}]}, 
       {Hue[0.7135217725488208, 1, 1], LineBox[{510, 511}]}, 
       {Hue[0.7119022922564333, 1, 1], LineBox[{511, 512}]}, 
       {Hue[0.7086732273419384, 1, 1], LineBox[{512, 513}]}, 
       {Hue[0.7082974065478993, 1, 1], LineBox[{513, 514}]}, 
       {Hue[0.7079217775613169, 1, 1], LineBox[{514, 515}]}, 
       {Hue[0.7071711008642876, 1, 1], LineBox[{515, 516}]}, 
       {Hue[0.7056721131307586, 1, 1], LineBox[{516, 517}]}, 
       {Hue[0.7026839183442184, 1, 1], LineBox[{517, 518}]}, 
       {Hue[0.6967490903085822, 1, 1], LineBox[{518, 519}]}, 
       {Hue[0.6963800957883016, 1, 1], LineBox[{519, 520}]}, 
       {Hue[0.6960113360845943, 1, 1], LineBox[{520, 521}]}, 
       {Hue[0.6952745259565232, 1, 1], LineBox[{521, 522}]}, 
       {Hue[0.6938037761512619, 1, 1], LineBox[{522, 523}]}, 
       {Hue[0.6908740178550812, 1, 1], LineBox[{523, 524}]}, 
       {Hue[0.6850634268348433, 1, 1], LineBox[{524, 525}]}, 
       {Hue[0.6846723194047373, 1, 1], LineBox[{525, 526}]}, 
       {Hue[0.6842815282627353, 1, 1], LineBox[{526, 527}]}, 
       {Hue[0.6835008995719081, 1, 1], LineBox[{527, 528}]}, 
       {Hue[0.6819434889866571, 1, 1], LineBox[{528, 529}]}, 
       {Hue[0.6788443042180082, 1, 1], LineBox[{529, 530}]}, 
       {Hue[0.6727103116791256, 1, 1], LineBox[{530, 531}]}, 
       {Hue[0.6607119238065424, 1, 1], LineBox[{531, 532}]}, 
       {Hue[0.6603496703678688, 1, 1], LineBox[{532, 533}]}, 
       {Hue[0.6599877717876943, 1, 1], LineBox[{533, 534}]}, 
       {Hue[0.6592650408555483, 1, 1], LineBox[{534, 535}]}, 
       {Hue[0.6578238549160509, 1, 1], LineBox[{535, 536}]}, 
       {Hue[0.6549586665777665, 1, 1], LineBox[{536, 537}]}, 
       {Hue[0.6492975339672553, 1, 1], LineBox[{537, 538}]}, 
       {Hue[0.6382543738240635, 1, 1], LineBox[{538, 539}]}, 
       {Hue[0.6186381533904819, 1, 1], LineBox[{539, 540}]}, 
       {Hue[0.5987450483813834, 1, 1], LineBox[{540, 541}]}, 
       {Hue[0.5813272006137918, 1, 1], LineBox[{541, 542}]}, 
       {Hue[0.5651708351621385, 1, 1], LineBox[{542, 543}]}, 
       {Hue[0.5649038110512727, 1, 1], LineBox[{543, 544}]}, 
       {Hue[0.5646369988185738, 1, 1], LineBox[{544, 545}]}, 
       {Hue[0.5641040066386009, 1, 1], LineBox[{545, 546}]}, 
       {Hue[0.5630405279707895, 1, 1], LineBox[{546, 547}]}, 
       {Hue[0.5609234057403701, 1, 1], LineBox[{547, 548}]}, 
       {Hue[0.5567270000080751, 1, 1], LineBox[{548, 549}]}, 
       {Hue[0.5564663404531357, 1, 1], LineBox[{549, 550}]}, 
       {Hue[0.5562058659678824, 1, 1], LineBox[{550, 551}]}, 
       {Hue[0.5556854688584882, 1, 1], LineBox[{551, 552}]}, 
       {Hue[0.5546468586555298, 1, 1], LineBox[{552, 553}]}, 
       {Hue[0.5525781870036823, 1, 1], LineBox[{553, 554}]}, 
       {Hue[0.548473542566891, 1, 1], LineBox[{554, 555}]}, 
       {Hue[0.5482354485858063, 1, 1], LineBox[{555, 556}]}, 
       {Hue[0.5479974925493978, 1, 1], LineBox[{556, 557}]}, 
       {Hue[0.5475219916105107, 1, 1], LineBox[{557, 558}]}, 
       {Hue[0.5465726153787525, 1, 1], LineBox[{558, 559}]}, 
       {Hue[0.5446802145516938, 1, 1], LineBox[{559, 560}]}, 
       {Hue[0.5409196147242539, 1, 1], LineBox[{560, 561}]}, 
       {Hue[0.5406856011644792, 1, 1], LineBox[{561, 562}]}, 
       {Hue[0.5404517040519297, 1, 1], LineBox[{562, 563}]}, 
       {Hue[0.539984256496497, 1, 1], LineBox[{563, 564}]}, 
       {Hue[0.539050729373585, 1, 1], LineBox[{564, 565}]}, 
       {Hue[0.5371889977559043, 1, 1], LineBox[{565, 566}]}, 
       {Hue[0.5334856337081378, 1, 1], LineBox[{566, 567}]}, 
       {Hue[0.5332356702272593, 1, 1], LineBox[{567, 568}]}, 
       {Hue[0.5329858185148917, 1, 1], LineBox[{568, 569}]}, 
       {Hue[0.5324864470328553, 1, 1], LineBox[{569, 570}]}, 
       {Hue[0.5314890083184362, 1, 1], LineBox[{570, 571}]}, 
       {Hue[0.5294991599976908, 1, 1], LineBox[{571, 572}]}, 
       {Hue[0.5292508841040009, 1, 1], LineBox[{572, 573}]}, 
       {Hue[0.5290027065658819, 1, 1], LineBox[{573, 574}]}, 
       {Hue[0.5285066432145402, 1, 1], LineBox[{574, 575}]}, 
       {Hue[0.5275156600365587, 1, 1], LineBox[{575, 576}]}, 
       {Hue[0.5255380810443775, 1, 1], LineBox[{576, 577}]}, 
       {Hue[0.525291278752398, 1, 1], LineBox[{577, 578}]}, 
       {Hue[0.5250445614850563, 1, 1], LineBox[{578, 579}]}, 
       {Hue[0.524551378702231, 1, 1], LineBox[{579, 580}]}, 
       {Hue[0.5235659969060593, 1, 1], LineBox[{580, 581}]}, 
       {Hue[0.5215989827293759, 1, 1], LineBox[{581, 582}]}, 
       {Hue[0.5213534413229896, 1, 1], LineBox[{582, 583}]}, 
       {Hue[0.5211079716861946, 1, 1], LineBox[{583, 584}]}, 
       {Hue[0.5206172444172416, 1, 1], LineBox[{584, 585}]}, 
       {Hue[0.5196366147834941, 1, 1], LineBox[{585, 586}]}, 
       {Hue[0.5176784704295874, 1, 1], LineBox[{586, 587}]}, 
       {Hue[0.517671162797467, 1, 1], LineBox[{587, 588}]}, 
       {Hue[0.5176638552183817, 1, 1], LineBox[{588, 589}]}, 
       {Hue[0.5176492402192279, 1, 1], LineBox[{589, 590}]}, 
       {Hue[0.5176200108563731, 1, 1], LineBox[{590, 591}]}, 
       {Hue[0.5175615546675576, 1, 1], LineBox[{591, 592}]}, 
       {Hue[0.5174446523981632, 1, 1], LineBox[{592, 593}]}, 
       {Hue[0.5174373464522715, 1, 1], LineBox[{593, 594}]}, 
       {Hue[0.5174300405587118, 1, 1], LineBox[{594, 595}]}, 
       {Hue[0.5174154289285022, 1, 1], LineBox[{595, 596}]}, 
       {Hue[0.5173862062951069, 1, 1], LineBox[{596, 597}]}, 
       {Hue[0.517327763531494, 1, 1], LineBox[{597, 598}]}, 
       {Hue[0.5173204584202873, 1, 1], LineBox[{598, 599}]}, 
       {Hue[0.5173131533610619, 1, 1], LineBox[{599, 600}]}, 
       {Hue[0.5172985433984671, 1, 1], LineBox[{600, 601}]}, 
       {Hue[0.5172693240960875, 1, 1], LineBox[{601, 602}]}, 
       {Hue[0.5172620194001165, 1, 1], LineBox[{602, 603}]}, 
       {Hue[0.5172547147559514, 1, 1], LineBox[{603, 604}]}, 
       {Hue[0.5172401056229503, 1, 1], LineBox[{604, 605}]}, 
       {Hue[0.5172328011340706, 1, 1], LineBox[{605, 606}]}, 
       {Hue[0.5172254966969088, 1, 1], LineBox[{606, 607}]}, 
       {Hue[0.517218192311443, 1, 1], LineBox[{607, 608}]}}}},
    VertexColors->{
      Hue[0.4827891120223487, 1, 1], 
      Hue[0.482564154597886, 1, 1], 
      Hue[0.4823391475506281, 1, 1], 
      Hue[0.4818889820233611, 1, 1], 
      Hue[0.48098802727801254`, 1, 1], 
      Hue[0.4791834792023881, 1, 1], 
      Hue[0.47895765079255526`, 1, 1], 
      Hue[0.4787317624825712, 1, 1], 
      Hue[0.4782798035865052, 1, 1], 
      Hue[0.4773751386497868, 1, 1], 
      Hue[0.475562675712323, 1, 1], 
      Hue[0.47533581152777804`, 1, 1], 
      Hue[0.47510887711774313`, 1, 1], 
      Hue[0.4746547950327467, 1, 1], 
      Hue[0.47374575967195875`, 1, 1], 
      Hue[0.4719240589571304, 1, 1], 
      Hue[0.4682649727256753, 1, 1], 
      Hue[0.46801623645615187`, 1, 1], 
      Hue[0.46776739312065096`, 1, 1], 
      Hue[0.4672693819164649, 1, 1], 
      Hue[0.46627203801009476`, 1, 1], 
      Hue[0.46427187700439293`, 1, 1], 
      Hue[0.46024816012698483`, 1, 1], 
      Hue[0.4599955825663628, 1, 1], 
      Hue[0.45974287109529516`, 1, 1], 
      Hue[0.45923704304401985`, 1, 1], 
      Hue[0.45822374284207923`, 1, 1], 
      Hue[0.4561903764679997, 1, 1], 
      Hue[0.45209505906550335`, 1, 1], 
      Hue[0.4518548306823691, 1, 1], 
      Hue[0.4516144619060803, 1, 1], 
      Hue[0.45113330039310223`, 1, 1], 
      Hue[0.45016926204801466`, 1, 1], 
      Hue[0.44823416810320266`, 1, 1], 
      Hue[0.44433466107445957`, 1, 1], 
      Hue[0.43640834183084554`, 1, 1], 
      Hue[0.42029717691584684`, 1, 1], 
      Hue[0.4018014125344887, 1, 1], 
      Hue[0.3834099295601948, 1, 1], 
      Hue[0.36209016028713226`, 1, 1], 
      Hue[0.33967095617096743`, 1, 1], 
      Hue[0.33933329541167934`, 1, 1], 
      Hue[0.33899532660805554`, 1, 1], 
      Hue[0.3383184662821582, 1, 1], 
      Hue[0.3369610650839929, 1, 1], 
      Hue[0.33423162960793357`, 1, 1], 
      Hue[0.3287150447273139, 1, 1], 
      Hue[0.32836773957656606`, 1, 1], 
      Hue[0.328020141523564, 1, 1], 
      Hue[0.3273240691434084, 1, 1], 
      Hue[0.3259284367777426, 1, 1], 
      Hue[0.3231233685349689, 1, 1], 
      Hue[0.3174593058882333, 1, 1], 
      Hue[0.3170728973764114, 1, 1], 
      Hue[0.316686172231258, 1, 1], 
      Hue[0.31591177652193597`, 1, 1], 
      Hue[0.314359235452104, 1, 1], 
      Hue[0.311239420770304, 1, 1], 
      Hue[0.30494314696483754`, 1, 1], 
      Hue[0.3045472184743326, 1, 1], 
      Hue[0.3041510149005811, 1, 1], 
      Hue[0.3033577884702305, 1, 1], 
      Hue[0.3017681008777705, 1, 1], 
      Hue[0.29857613534787847`, 1, 1], 
      Hue[0.29214477862953786`, 1, 1], 
      Hue[0.2917676876939249, 1, 1], 
      Hue[0.2913904031637292, 1, 1], 
      Hue[0.29063525928355405`, 1, 1], 
      Hue[0.2891227144099267, 1, 1], 
      Hue[0.28608893968771626`, 1, 1], 
      Hue[0.285708934056643, 1, 1], 
      Hue[0.28532875953268905`, 1, 1], 
      Hue[0.28456791022786826`, 1, 1], 
      Hue[0.28304425591740834`, 1, 1], 
      Hue[0.279989492581923, 1, 1], 
      Hue[0.27960698079228, 1, 1], 
      Hue[0.27922432654828644`, 1, 1], 
      Hue[0.27845859752293123`, 1, 1], 
      Hue[0.2769255054252261, 1, 1], 
      Hue[0.27654190206159407`, 1, 1], 
      Hue[0.27615817004289983`, 1, 1], 
      Hue[0.2753903270447928, 1, 1], 
      Hue[0.27385317453066843`, 1, 1], 
      Hue[0.27346859121337924`, 1, 1], 
      Hue[0.27308389338429445`, 1, 1], 
      Hue[0.272314161357055, 1, 1], 
      Hue[0.27077340225339236`, 1, 1], 
      Hue[0.2676871110167407, 1, 1], 
      Hue[0.26730851114187293`, 1, 1], 
      Hue[0.2669298292222692, 1, 1], 
      Hue[0.26617222625345777`, 1, 1], 
      Hue[0.264656113011379, 1, 1], 
      Hue[0.2642769059683955, 1, 1], 
      Hue[0.26389763097215285`, 1, 1], 
      Hue[0.26313888422214, 1, 1], 
      Hue[0.26162065355766034`, 1, 1], 
      Hue[0.26124095273400294`, 1, 1], 
      Hue[0.2608611982290126, 1, 1], 
      Hue[0.2601015353565507, 1, 1], 
      Hue[0.25972163058517933`, 1, 1], 
      Hue[0.2593416793245274, 1, 1], 
      Hue[0.25858164454948335`, 1, 1], 
      Hue[0.2582015646467406, 1, 1], 
      Hue[0.2578214454778663, 1, 1], 
      Hue[0.2570610965836389, 1, 1], 
      Hue[0.25668087048309157`, 1, 1], 
      Hue[0.2563006123658743, 1, 1], 
      Hue[0.25554000734634386`, 1, 1], 
      Hue[0.25515966407958035`, 1, 1], 
      Hue[0.2547792960670942, 1, 1], 
      Hue[0.2543989051294105, 1, 1], 
      Hue[0.2540184930880174, 1, 1], 
      Hue[0.25363806176529013`, 1, 1], 
      Hue[0.25325761298441374`, 1, 1], 
      Hue[0.2528771485693071, 1, 1], 
      Hue[0.2524966703445472, 1, 1], 
      Hue[0.252116180135291, 1, 1], 
      Hue[0.25173567976719924`, 1, 1], 
      Hue[0.2513551710663607, 1, 1], 
      Hue[0.25097465585921397`, 1, 1], 
      Hue[0.25059413597247165`, 1, 1], 
      Hue[0.25021361323304325`, 1, 1], 
      Hue[0.24983308946795788`, 1, 1], 
      Hue[0.2494525665042888, 1, 1], 
      Hue[0.2490720461690742, 1, 1], 
      Hue[0.2486915302892427, 1, 1], 
      Hue[0.2483110206915351, 1, 1], 
      Hue[0.2479305192024281, 1, 1], 
      Hue[0.24755002764805686`, 1, 1], 
      Hue[0.24716954785413933`, 1, 1], 
      Hue[0.24678908164589852`, 1, 1], 
      Hue[0.24640863084798625`, 1, 1], 
      Hue[0.24602819728440656`, 1, 1], 
      Hue[0.2456477827784387, 1, 1], 
      Hue[0.24526738915256116`, 1, 1], 
      Hue[0.24488701822837544`, 1, 1], 
      Hue[0.24450667182652894`, 1, 1], 
      Hue[0.24412635176663902`, 1, 1], 
      Hue[0.24336579794559315`, 1, 1], 
      Hue[0.24295324765529228`, 1, 1], 
      Hue[0.2425407371117956, 1, 1], 
      Hue[0.24171584452690567`, 1, 1], 
      Hue[0.24130346711105533`, 1, 1], 
      Hue[0.24089113869286885`, 1, 1], 
      Hue[0.24006663807480177`, 1, 1], 
      Hue[0.23965447048114782`, 1, 1], 
      Hue[0.2392423610973872, 1, 1], 
      Hue[0.23841832614129013`, 1, 1], 
      Hue[0.23677105557424935`, 1, 1], 
      Hue[0.2363594177784766, 1, 1], 
      Hue[0.23594785647257394`, 1, 1], 
      Hue[0.23512497240373834`, 1, 1], 
      Hue[0.23348022172980518`, 1, 1], 
      Hue[0.23306925917031257`, 1, 1], 
      Hue[0.2326583911412925, 1, 1], 
      Hue[0.23183694761200108`, 1, 1], 
      Hue[0.23019529296078736`, 1, 1], 
      Hue[0.22978514896890515`, 1, 1], 
      Hue[0.2293751172542093, 1, 1], 
      Hue[0.22855539943102374`, 1, 1], 
      Hue[0.22691740731771892`, 1, 1], 
      Hue[0.22364768111296685`, 1, 1], 
      Hue[0.2232395936956678, 1, 1], 
      Hue[0.2228316529602289, 1, 1], 
      Hue[0.22201621990908135`, 1, 1], 
      Hue[0.22038720570674897`, 1, 1], 
      Hue[0.21713704446893195`, 1, 1], 
      Hue[0.21675867941709887`, 1, 1], 
      Hue[0.21638047037135943`, 1, 1], 
      Hue[0.21562452670544385`, 1, 1], 
      Hue[0.2141145815706029, 1, 1], 
      Hue[0.21110281056432975`, 1, 1], 
      Hue[0.20511445765264996`, 1, 1], 
      Hue[0.20474184699692943`, 1, 1], 
      Hue[0.20436944028448417`, 1, 1], 
      Hue[0.20362524419409136`, 1, 1], 
      Hue[0.20213935945020794`, 1, 1], 
      Hue[0.19917791790822034`, 1, 1], 
      Hue[0.19329862431015446`, 1, 1], 
      Hue[0.1929025112030568, 1, 1], 
      Hue[0.19250668498575932`, 1, 1], 
      Hue[0.19171589889733498`, 1, 1], 
      Hue[0.19013783118538494`, 1, 1], 
      Hue[0.1869960163563014, 1, 1], 
      Hue[0.1807719313570252, 1, 1], 
      Hue[0.1685774743268824, 1, 1], 
      Hue[0.16820895585701034`, 1, 1], 
      Hue[0.1678407785456453, 1, 1], 
      Hue[0.1671054499149418, 1, 1], 
      Hue[0.1656389136494823, 1, 1], 
      Hue[0.16272245258452597`, 1, 1], 
      Hue[0.1569568588495444, 1, 1], 
      Hue[0.145699939631525, 1, 1], 
      Hue[0.1256893641497182, 1, 1], 
      Hue[0.10539044861568869`, 1, 1], 
      Hue[0.08764509315685078, 1, 1], 
      Hue[0.0695425280222779, 1, 1], 
      Hue[0.06927284345491812, 1, 1], 
      Hue[0.0690033828549923, 1, 1], 
      Hue[0.06846513025460946, 1, 1], 
      Hue[0.06739127631685435, 1, 1], 
      Hue[0.0652539882177101, 1, 1], 
      Hue[0.06101960660556691, 1, 1], 
      Hue[0.0607566784646249, 1, 1], 
      Hue[0.06049394778226546, 1, 1], 
      Hue[0.05996907547438733, 1, 1], 
      Hue[0.05892166385474362, 1, 1], 
      Hue[0.056835986785009666`, 1, 1], 
      Hue[0.05269973189924155, 1, 1], 
      Hue[0.052459950972469985`, 1, 1], 
      Hue[0.05222031886942625, 1, 1], 
      Hue[0.051741498451220044`, 1, 1], 
      Hue[0.05078561399160116, 1, 1], 
      Hue[0.04888072051499777, 1, 1], 
      Hue[0.045097237160123156`, 1, 1], 
      Hue[0.0448618866686425, 1, 1], 
      Hue[0.04462666361887337, 1, 1], 
      Hue[0.04415659718485804, 1, 1], 
      Hue[0.04321796437381418, 1, 1], 
      Hue[0.041346550324896286`, 1, 1], 
      Hue[0.037625942346307256`, 1, 1], 
      Hue[0.037374843534917906`, 1, 1], 
      Hue[0.0371238695861517, 1, 1], 
      Hue[0.03662229292476846, 1, 1], 
      Hue[0.03562060110319647, 1, 1], 
      Hue[0.03362287619749535, 1, 1], 
      Hue[0.0333736748129829, 1, 1], 
      Hue[0.033124584922840886`, 1, 1], 
      Hue[0.03262673629523637, 1, 1], 
      Hue[0.03163234035619638, 1, 1], 
      Hue[0.02964856766170453, 1, 1], 
      Hue[0.029401050448112514`, 1, 1], 
      Hue[0.029153631445108612`, 1, 1], 
      Hue[0.028659084761207015`, 1, 1], 
      Hue[0.027671133531875808`, 1, 1], 
      Hue[0.02569961468875199, 1, 1], 
      Hue[0.021772636012389598`, 1, 1], 
      Hue[0.021544088339672494`, 1, 1], 
      Hue[0.021315603374490812`, 1, 1], 
      Hue[0.020858818903288473`, 1, 1], 
      Hue[0.01994597316442123, 1, 1], 
      Hue[0.018123025596737834`, 1, 1], 
      Hue[0.017895401443312083`, 1, 1], 
      Hue[0.017667829365711957`, 1, 1], 
      Hue[0.017212838786401004`, 1, 1], 
      Hue[0.0163034533796867, 1, 1], 
      Hue[0.01448691729759583, 1, 1], 
      Hue[0.014260046896887183`, 1, 1], 
      Hue[0.014033217984415945`, 1, 1], 
      Hue[0.013579681982588004`, 1, 1], 
      Hue[0.012673078787923718`, 1, 1], 
      Hue[0.012446521808640136`, 1, 1], 
      Hue[0.012220001037920019`, 1, 1], 
      Hue[0.011767065484800906`, 1, 1], 
      Hue[0.010861599877047007`, 1, 1], 
      Hue[0.010635314110578184`, 1, 1], 
      Hue[0.010409059281020351`, 1, 1], 
      Hue[0.009956639798957091, 1, 1], 
      Hue[0.009052143113095096, 1, 1], 
      Hue[0.008826086411195665, 1, 1], 
      Hue[0.008600055381481772, 1, 1], 
      Hue[0.008148067708061165, 1, 1], 
      Hue[0.007244371496228025, 1, 1], 
      Hue[0.007022937079816844, 1, 1], 
      Hue[0.0068015222952073, 1, 1], 
      Hue[0.006358749145194383, 1, 1], 
      Hue[0.006137389541852153, 1, 1], 
      Hue[0.0059160470944297034`, 1, 1], 
      Hue[0.005473411192127854, 1, 1], 
      Hue[0.0052521164997800344`, 1, 1], 
      Hue[0.005030836488410986, 1, 1], 
      Hue[0.00458831803424194, 1, 1], 
      Hue[0.0043670783543771075`, 1, 1], 
      Hue[0.004145850881357151, 1, 1], 
      Hue[0.0037034300821993217`, 1, 1], 
      Hue[0.0034822355193328738`, 1, 1], 
      Hue[0.0032610506898499217`, 1, 1], 
      Hue[0.003039874975474352, 1, 1], 
      Hue[0.002818707757961507, 1, 1], 
      Hue[0.0025975484190960568`, 1, 1], 
      Hue[0.002376396340689876, 1, 1], 
      Hue[0.0021552509045799197`, 1, 1], 
      Hue[0.0019341114926260904`, 1, 1], 
      Hue[0.00171297748670911, 1, 1], 
      Hue[0.001491848268728384, 1, 1], 
      Hue[0.001270723220599874, 1, 1], 
      Hue[0.001049601724253957, 1, 1], 
      Hue[0.0008284831616332961, 1, 1], 
      Hue[0.0006073669146907008, 1, 1], 
      Hue[0.00038625236538699054`, 1, 1], 
      Hue[0.00016513889568885726`, 1, 1], 
      Hue[0.9999440258875667, 1, 1], 
      Hue[0.9997229127229926, 1, 1], 
      Hue[0.9995017987839381, 1, 1], 
      Hue[0.9992806834523718, 1, 1], 
      Hue[0.9990595661102578, 1, 1], 
      Hue[0.9988384461395532, 1, 1], 
      Hue[0.9986173229222058, 1, 1], 
      Hue[0.9983961958401524, 1, 1], 
      Hue[0.9981750642753163, 1, 1], 
      Hue[0.9979539276096054, 1, 1], 
      Hue[0.9977327852249099, 1, 1], 
      Hue[0.9975116365031003, 1, 1], 
      Hue[0.997290480826025, 1, 1], 
      Hue[0.9970693175755087, 1, 1], 
      Hue[0.9966269658813178, 1, 1], 
      Hue[0.9964057762011531, 1, 1], 
      Hue[0.9961845764745626, 1, 1], 
      Hue[0.9957421444087574, 1, 1], 
      Hue[0.9955209108327753, 1, 1], 
      Hue[0.9952996647368284, 1, 1], 
      Hue[0.9948571325110459, 1, 1], 
      Hue[0.9946358451440981, 1, 1], 
      Hue[0.9944145427829568, 1, 1], 
      Hue[0.9939718906033176, 1, 1], 
      Hue[0.9930863790880589, 1, 1], 
      Hue[0.9928461651955212, 1, 1], 
      Hue[0.9926059277675018, 1, 1], 
      Hue[0.9921253791427431, 1, 1], 
      Hue[0.9911639646767813, 1, 1], 
      Hue[0.9909235403594647, 1, 1], 
      Hue[0.9906830861794046, 1, 1], 
      Hue[0.9902020850652838, 1, 1], 
      Hue[0.9892396896536435, 1, 1], 
      Hue[0.9889990042677944, 1, 1], 
      Hue[0.9887582826843183, 1, 1], 
      Hue[0.9882767277544471, 1, 1], 
      Hue[0.9873131486444305, 1, 1], 
      Hue[0.9853839357017069, 1, 1], 
      Hue[0.9851425759700883, 1, 1], 
      Hue[0.9849011673421513, 1, 1], 
      Hue[0.984418200216528, 1, 1], 
      Hue[0.9834516442098782, 1, 1], 
      Hue[0.9815158667939559, 1, 1], 
      Hue[0.9812736291913834, 1, 1], 
      Hue[0.9810313299456908, 1, 1], 
      Hue[0.9805465433306404, 1, 1], 
      Hue[0.9795761952326396, 1, 1], 
      Hue[0.9776322203763465, 1, 1], 
      Hue[0.9774051575452036, 1, 1], 
      Hue[0.9771780299268937, 1, 1], 
      Hue[0.9767235777199724, 1, 1], 
      Hue[0.9758138671519275, 1, 1], 
      Hue[0.9739910750405399, 1, 1], 
      Hue[0.9703308331526667, 1, 1], 
      Hue[0.9701013726173703, 1, 1], 
      Hue[0.9698718263196648, 1, 1], 
      Hue[0.9694124737999488, 1, 1], 
      Hue[0.9684927105904569, 1, 1], 
      Hue[0.9666488035074778, 1, 1], 
      Hue[0.9629422795583775, 1, 1], 
      Hue[0.96269025198017, 1, 1], 
      Hue[0.9624380986753572, 1, 1], 
      Hue[0.9619334114888105, 1, 1], 
      Hue[0.9609224910093953, 1, 1], 
      Hue[0.9588942749542262, 1, 1], 
      Hue[0.9548108126517544, 1, 1], 
      Hue[0.946523461974924, 1, 1], 
      Hue[0.9462664435525957, 1, 1], 
      Hue[0.9460092509840369, 1, 1], 
      Hue[0.9454943401255437, 1, 1], 
      Hue[0.944462392535523, 1, 1], 
      Hue[0.9423898098455793, 1, 1], 
      Hue[0.9382084208650068, 1, 1], 
      Hue[0.9296889548412226, 1, 1], 
      Hue[0.9131577192100314, 1, 1], 
      Hue[0.8941248259641966, 1, 1], 
      Hue[0.8751555374447492, 1, 1], 
      Hue[0.8553207001162826, 1, 1], 
      Hue[0.8549734798782151, 1, 1], 
      Hue[0.8546258934543336, 1, 1], 
      Hue[0.8539296221742921, 1, 1], 
      Hue[0.8525326872315117, 1, 1], 
      Hue[0.8497212657634408, 1, 1], 
      Hue[0.8440284786662016, 1, 1], 
      Hue[0.832367236818728, 1, 1], 
      Hue[0.832021825341367, 1, 1], 
      Hue[0.8316761129089217, 1, 1], 
      Hue[0.830983787289033, 1, 1], 
      Hue[0.8295955482610037, 1, 1], 
      Hue[0.8268048478525195, 1, 1], 
      Hue[0.8211677004737815, 1, 1], 
      Hue[0.8208129603290648, 1, 1], 
      Hue[0.8204579401889733, 1, 1], 
      Hue[0.8197470631114767, 1, 1], 
      Hue[0.8183219845703645, 1, 1], 
      Hue[0.8154587196009777, 1, 1], 
      Hue[0.8096813911841393, 1, 1], 
      Hue[0.8092875819890374, 1, 1], 
      Hue[0.808893478770385, 1, 1], 
      Hue[0.8081043957324172, 1, 1], 
      Hue[0.8065227621999304, 1, 1], 
      Hue[0.8033459466645283, 1, 1], 
      Hue[0.802947603375167, 1, 1], 
      Hue[0.8025489892916751, 1, 1], 
      Hue[0.8017509549521107, 1, 1], 
      Hue[0.8001517056838474, 1, 1], 
      Hue[0.7969408469898971, 1, 1], 
      Hue[0.7965383632273197, 1, 1], 
      Hue[0.7961356348032806, 1, 1], 
      Hue[0.7953294508865575, 1, 1], 
      Hue[0.7937142237832816, 1, 1], 
      Hue[0.7904727333124814, 1, 1], 
      Hue[0.7900665479973398, 1, 1], 
      Hue[0.7896601468913595, 1, 1], 
      Hue[0.78884670487822, 1, 1], 
      Hue[0.7872173151887686, 1, 1], 
      Hue[0.7839489494382963, 1, 1], 
      Hue[0.7835666629003442, 1, 1], 
      Hue[0.7831842154488271, 1, 1], 
      Hue[0.7824188444458441, 1, 1], 
      Hue[0.7808862448877505, 1, 1], 
      Hue[0.7778139956224613, 1, 1], 
      Hue[0.7774293370436219, 1, 1], 
      Hue[0.7770445448384399, 1, 1], 
      Hue[0.7762745665778351, 1, 1], 
      Hue[0.774733084163743, 1, 1], 
      Hue[0.7716444162444386, 1, 1], 
      Hue[0.7712578333211608, 1, 1], 
      Hue[0.770871145491256, 1, 1], 
      Hue[0.7700974624607736, 1, 1], 
      Hue[0.7685489186047042, 1, 1], 
      Hue[0.7681615480840327, 1, 1], 
      Hue[0.7677740874657797, 1, 1], 
      Hue[0.7669989034180303, 1, 1], 
      Hue[0.7654475366570868, 1, 1], 
      Hue[0.7650594979075213, 1, 1], 
      Hue[0.7646713841180712, 1, 1], 
      Hue[0.7638949390135434, 1, 1], 
      Hue[0.7635066115033468, 1, 1], 
      Hue[0.7631182165628669, 1, 1], 
      Hue[0.7623412320336995, 1, 1], 
      Hue[0.7619526462733915, 1, 1], 
      Hue[0.7615640007393966, 1, 1], 
      Hue[0.7607865380363968, 1, 1], 
      Hue[0.7592309800296734, 1, 1], 
      Hue[0.758849596113294, 1, 1], 
      Hue[0.7584681695412607, 1, 1], 
      Hue[0.7577051957396829, 1, 1], 
      Hue[0.7573236521690917, 1, 1], 
      Hue[0.7569420732606006, 1, 1], 
      Hue[0.7561788167647769, 1, 1], 
      Hue[0.7557971428483347, 1, 1], 
      Hue[0.755415440935619, 1, 1], 
      Hue[0.7550337128651892, 1, 1], 
      Hue[0.7546519604767106, 1, 1], 
      Hue[0.7542701856108777, 1, 1], 
      Hue[0.7538883901093358, 1, 1], 
      Hue[0.7535065758146038, 1, 1], 
      Hue[0.7531247445699961, 1, 1], 
      Hue[0.7527428982195451, 1, 1], 
      Hue[0.7523610386079226, 1, 1], 
      Hue[0.7519791675803619, 1, 1], 
      Hue[0.7515972869825805, 1, 1], 
      Hue[0.7512153986607009, 1, 1], 
      Hue[0.7508335044611727, 1, 1], 
      Hue[0.7504516062306952, 1, 1], 
      Hue[0.7500697058161379, 1, 1], 
      Hue[0.7496878050644631, 1, 1], 
      Hue[0.7493059058226471, 1, 1], 
      Hue[0.7489240099376031, 1, 1], 
      Hue[0.7485421192561008, 1, 1], 
      Hue[0.7481602356246906, 1, 1], 
      Hue[0.7477783608896231, 1, 1], 
      Hue[0.7473964968967727, 1, 1], 
      Hue[0.7470146454915586, 1, 1], 
      Hue[0.7466328085188667, 1, 1], 
      Hue[0.7462509878229718, 1, 1], 
      Hue[0.7458691852474595, 1, 1], 
      Hue[0.745487402635148, 1, 1], 
      Hue[0.7451056418280108, 1, 1], 
      Hue[0.7447239046670979, 1, 1], 
      Hue[0.7439605086430685, 1, 1], 
      Hue[0.7435788534567404, 1, 1], 
      Hue[0.743197229270059, 1, 1], 
      Hue[0.742434081235344, 1, 1], 
      Hue[0.7420525610536186, 1, 1], 
      Hue[0.741671079204003, 1, 1], 
      Hue[0.7409082378164618, 1, 1], 
      Hue[0.7405268819319039, 1, 1], 
      Hue[0.7401455716860397, 1, 1], 
      Hue[0.7393830953965116, 1, 1], 
      Hue[0.7390019329908355, 1, 1], 
      Hue[0.7386208234996778, 1, 1], 
      Hue[0.7378587705129495, 1, 1], 
      Hue[0.7374778306375712, 1, 1], 
      Hue[0.7370969509169465, 1, 1], 
      Hue[0.7363353791531093, 1, 1], 
      Hue[0.7348130366775787, 1, 1], 
      Hue[0.7344004115686684, 1, 1], 
      Hue[0.7339878743030455, 1, 1], 
      Hue[0.7331630723875937, 1, 1], 
      Hue[0.7315146223679851, 1, 1], 
      Hue[0.731102763382932, 1, 1], 
      Hue[0.73069101029219, 1, 1], 
      Hue[0.7298678307254558, 1, 1], 
      Hue[0.7282228402733528, 1, 1], 
      Hue[0.7278118907005582, 1, 1], 
      Hue[0.7274010647432105, 1, 1], 
      Hue[0.726579792426144, 1, 1], 
      Hue[0.7249388270964123, 1, 1], 
      Hue[0.7216636955311846, 1, 1], 
      Hue[0.721254982954668, 1, 1], 
      Hue[0.7208464282417213, 1, 1], 
      Hue[0.7200298007228654, 1, 1], 
      Hue[0.7183985311005171, 1, 1], 
      Hue[0.7151443891844453, 1, 1], 
      Hue[0.7147384477657691, 1, 1], 
      Hue[0.7143326965547424, 1, 1], 
      Hue[0.7135217725488208, 1, 1], 
      Hue[0.7119022922564333, 1, 1], 
      Hue[0.7086732273419384, 1, 1], 
      Hue[0.7082974065478993, 1, 1], 
      Hue[0.7079217775613169, 1, 1], 
      Hue[0.7071711008642876, 1, 1], 
      Hue[0.7056721131307586, 1, 1], 
      Hue[0.7026839183442184, 1, 1], 
      Hue[0.6967490903085822, 1, 1], 
      Hue[0.6963800957883016, 1, 1], 
      Hue[0.6960113360845943, 1, 1], 
      Hue[0.6952745259565232, 1, 1], 
      Hue[0.6938037761512619, 1, 1], 
      Hue[0.6908740178550812, 1, 1], 
      Hue[0.6850634268348433, 1, 1], 
      Hue[0.6846723194047373, 1, 1], 
      Hue[0.6842815282627353, 1, 1], 
      Hue[0.6835008995719081, 1, 1], 
      Hue[0.6819434889866571, 1, 1], 
      Hue[0.6788443042180082, 1, 1], 
      Hue[0.6727103116791256, 1, 1], 
      Hue[0.6607119238065424, 1, 1], 
      Hue[0.6603496703678688, 1, 1], 
      Hue[0.6599877717876943, 1, 1], 
      Hue[0.6592650408555483, 1, 1], 
      Hue[0.6578238549160509, 1, 1], 
      Hue[0.6549586665777665, 1, 1], 
      Hue[0.6492975339672553, 1, 1], 
      Hue[0.6382543738240635, 1, 1], 
      Hue[0.6186381533904819, 1, 1], 
      Hue[0.5987450483813834, 1, 1], 
      Hue[0.5813272006137918, 1, 1], 
      Hue[0.5651708351621385, 1, 1], 
      Hue[0.5649038110512727, 1, 1], 
      Hue[0.5646369988185738, 1, 1], 
      Hue[0.5641040066386009, 1, 1], 
      Hue[0.5630405279707895, 1, 1], 
      Hue[0.5609234057403701, 1, 1], 
      Hue[0.5567270000080751, 1, 1], 
      Hue[0.5564663404531357, 1, 1], 
      Hue[0.5562058659678824, 1, 1], 
      Hue[0.5556854688584882, 1, 1], 
      Hue[0.5546468586555298, 1, 1], 
      Hue[0.5525781870036823, 1, 1], 
      Hue[0.548473542566891, 1, 1], 
      Hue[0.5482354485858063, 1, 1], 
      Hue[0.5479974925493978, 1, 1], 
      Hue[0.5475219916105107, 1, 1], 
      Hue[0.5465726153787525, 1, 1], 
      Hue[0.5446802145516938, 1, 1], 
      Hue[0.5409196147242539, 1, 1], 
      Hue[0.5406856011644792, 1, 1], 
      Hue[0.5404517040519297, 1, 1], 
      Hue[0.539984256496497, 1, 1], 
      Hue[0.539050729373585, 1, 1], 
      Hue[0.5371889977559043, 1, 1], 
      Hue[0.5334856337081378, 1, 1], 
      Hue[0.5332356702272593, 1, 1], 
      Hue[0.5329858185148917, 1, 1], 
      Hue[0.5324864470328553, 1, 1], 
      Hue[0.5314890083184362, 1, 1], 
      Hue[0.5294991599976908, 1, 1], 
      Hue[0.5292508841040009, 1, 1], 
      Hue[0.5290027065658819, 1, 1], 
      Hue[0.5285066432145402, 1, 1], 
      Hue[0.5275156600365587, 1, 1], 
      Hue[0.5255380810443775, 1, 1], 
      Hue[0.525291278752398, 1, 1], 
      Hue[0.5250445614850563, 1, 1], 
      Hue[0.524551378702231, 1, 1], 
      Hue[0.5235659969060593, 1, 1], 
      Hue[0.5215989827293759, 1, 1], 
      Hue[0.5213534413229896, 1, 1], 
      Hue[0.5211079716861946, 1, 1], 
      Hue[0.5206172444172416, 1, 1], 
      Hue[0.5196366147834941, 1, 1], 
      Hue[0.5176784704295874, 1, 1], 
      Hue[0.517671162797467, 1, 1], 
      Hue[0.5176638552183817, 1, 1], 
      Hue[0.5176492402192279, 1, 1], 
      Hue[0.5176200108563731, 1, 1], 
      Hue[0.5175615546675576, 1, 1], 
      Hue[0.5174446523981632, 1, 1], 
      Hue[0.5174373464522715, 1, 1], 
      Hue[0.5174300405587118, 1, 1], 
      Hue[0.5174154289285022, 1, 1], 
      Hue[0.5173862062951069, 1, 1], 
      Hue[0.517327763531494, 1, 1], 
      Hue[0.5173204584202873, 1, 1], 
      Hue[0.5173131533610619, 1, 1], 
      Hue[0.5172985433984671, 1, 1], 
      Hue[0.5172693240960875, 1, 1], 
      Hue[0.5172620194001165, 1, 1], 
      Hue[0.5172547147559514, 1, 1], 
      Hue[0.5172401056229503, 1, 1], 
      Hue[0.5172328011340706, 1, 1], 
      Hue[0.5172254966969088, 1, 1], 
      Hue[0.517218192311443, 1, 1], 
      Hue[0.5172108879776514, 1, 1], 
      Hue[0.4827891120223487, 1, 1], 
      Hue[0.482564154597886, 1, 1], 
      Hue[0.482564154597886, 1, 1], 
      Hue[0.4823391475506281, 1, 1], 
      Hue[0.4823391475506281, 1, 1], 
      Hue[0.4818889820233611, 1, 1], 
      Hue[0.4818889820233611, 1, 1], 
      Hue[0.48098802727801254`, 1, 1], 
      Hue[0.48098802727801254`, 1, 1], 
      Hue[0.4791834792023881, 1, 1], 
      Hue[0.4791834792023881, 1, 1], 
      Hue[0.47895765079255526`, 1, 1], 
      Hue[0.47895765079255526`, 1, 1], 
      Hue[0.4787317624825712, 1, 1], 
      Hue[0.4787317624825712, 1, 1], 
      Hue[0.4782798035865052, 1, 1], 
      Hue[0.4782798035865052, 1, 1], 
      Hue[0.4773751386497868, 1, 1], 
      Hue[0.4773751386497868, 1, 1], 
      Hue[0.475562675712323, 1, 1], 
      Hue[0.475562675712323, 1, 1], 
      Hue[0.47533581152777804`, 1, 1], 
      Hue[0.47533581152777804`, 1, 1], 
      Hue[0.47510887711774313`, 1, 1], 
      Hue[0.47510887711774313`, 1, 1], 
      Hue[0.4746547950327467, 1, 1], 
      Hue[0.4746547950327467, 1, 1], 
      Hue[0.47374575967195875`, 1, 1], 
      Hue[0.47374575967195875`, 1, 1], 
      Hue[0.4719240589571304, 1, 1], 
      Hue[0.4719240589571304, 1, 1], 
      Hue[0.4682649727256753, 1, 1], 
      Hue[0.4682649727256753, 1, 1], 
      Hue[0.46801623645615187`, 1, 1], 
      Hue[0.46801623645615187`, 1, 1], 
      Hue[0.46776739312065096`, 1, 1], 
      Hue[0.46776739312065096`, 1, 1], 
      Hue[0.4672693819164649, 1, 1], 
      Hue[0.4672693819164649, 1, 1], 
      Hue[0.46627203801009476`, 1, 1], 
      Hue[0.46627203801009476`, 1, 1], 
      Hue[0.46427187700439293`, 1, 1], 
      Hue[0.46427187700439293`, 1, 1], 
      Hue[0.46024816012698483`, 1, 1], 
      Hue[0.46024816012698483`, 1, 1], 
      Hue[0.4599955825663628, 1, 1], 
      Hue[0.4599955825663628, 1, 1], 
      Hue[0.45974287109529516`, 1, 1], 
      Hue[0.45974287109529516`, 1, 1], 
      Hue[0.45923704304401985`, 1, 1], 
      Hue[0.45923704304401985`, 1, 1], 
      Hue[0.45822374284207923`, 1, 1], 
      Hue[0.45822374284207923`, 1, 1], 
      Hue[0.4561903764679997, 1, 1], 
      Hue[0.4561903764679997, 1, 1], 
      Hue[0.45209505906550335`, 1, 1], 
      Hue[0.45209505906550335`, 1, 1], 
      Hue[0.4518548306823691, 1, 1], 
      Hue[0.4518548306823691, 1, 1], 
      Hue[0.4516144619060803, 1, 1], 
      Hue[0.4516144619060803, 1, 1], 
      Hue[0.45113330039310223`, 1, 1], 
      Hue[0.45113330039310223`, 1, 1], 
      Hue[0.45016926204801466`, 1, 1], 
      Hue[0.45016926204801466`, 1, 1], 
      Hue[0.44823416810320266`, 1, 1], 
      Hue[0.44823416810320266`, 1, 1], 
      Hue[0.44433466107445957`, 1, 1], 
      Hue[0.44433466107445957`, 1, 1], 
      Hue[0.43640834183084554`, 1, 1], 
      Hue[0.43640834183084554`, 1, 1], 
      Hue[0.42029717691584684`, 1, 1], 
      Hue[0.42029717691584684`, 1, 1], 
      Hue[0.4018014125344887, 1, 1], 
      Hue[0.4018014125344887, 1, 1], 
      Hue[0.3834099295601948, 1, 1], 
      Hue[0.3834099295601948, 1, 1], 
      Hue[0.36209016028713226`, 1, 1], 
      Hue[0.36209016028713226`, 1, 1], 
      Hue[0.33967095617096743`, 1, 1], 
      Hue[0.33967095617096743`, 1, 1], 
      Hue[0.33933329541167934`, 1, 1], 
      Hue[0.33933329541167934`, 1, 1], 
      Hue[0.33899532660805554`, 1, 1], 
      Hue[0.33899532660805554`, 1, 1], 
      Hue[0.3383184662821582, 1, 1], 
      Hue[0.3383184662821582, 1, 1], 
      Hue[0.3369610650839929, 1, 1], 
      Hue[0.3369610650839929, 1, 1], 
      Hue[0.33423162960793357`, 1, 1], 
      Hue[0.33423162960793357`, 1, 1], 
      Hue[0.3287150447273139, 1, 1], 
      Hue[0.3287150447273139, 1, 1], 
      Hue[0.32836773957656606`, 1, 1], 
      Hue[0.32836773957656606`, 1, 1], 
      Hue[0.328020141523564, 1, 1], 
      Hue[0.328020141523564, 1, 1], 
      Hue[0.3273240691434084, 1, 1], 
      Hue[0.3273240691434084, 1, 1], 
      Hue[0.3259284367777426, 1, 1], 
      Hue[0.3259284367777426, 1, 1], 
      Hue[0.3231233685349689, 1, 1], 
      Hue[0.3231233685349689, 1, 1], 
      Hue[0.3174593058882333, 1, 1], 
      Hue[0.3174593058882333, 1, 1], 
      Hue[0.3170728973764114, 1, 1], 
      Hue[0.3170728973764114, 1, 1], 
      Hue[0.316686172231258, 1, 1], 
      Hue[0.316686172231258, 1, 1], 
      Hue[0.31591177652193597`, 1, 1], 
      Hue[0.31591177652193597`, 1, 1], 
      Hue[0.314359235452104, 1, 1], 
      Hue[0.314359235452104, 1, 1], 
      Hue[0.311239420770304, 1, 1], 
      Hue[0.311239420770304, 1, 1], 
      Hue[0.30494314696483754`, 1, 1], 
      Hue[0.30494314696483754`, 1, 1], 
      Hue[0.3045472184743326, 1, 1], 
      Hue[0.3045472184743326, 1, 1], 
      Hue[0.3041510149005811, 1, 1], 
      Hue[0.3041510149005811, 1, 1], 
      Hue[0.3033577884702305, 1, 1], 
      Hue[0.3033577884702305, 1, 1], 
      Hue[0.3017681008777705, 1, 1], 
      Hue[0.3017681008777705, 1, 1], 
      Hue[0.29857613534787847`, 1, 1], 
      Hue[0.29857613534787847`, 1, 1], 
      Hue[0.29214477862953786`, 1, 1], 
      Hue[0.29214477862953786`, 1, 1], 
      Hue[0.2917676876939249, 1, 1], 
      Hue[0.2917676876939249, 1, 1], 
      Hue[0.2913904031637292, 1, 1], 
      Hue[0.2913904031637292, 1, 1], 
      Hue[0.29063525928355405`, 1, 1], 
      Hue[0.29063525928355405`, 1, 1], 
      Hue[0.2891227144099267, 1, 1], 
      Hue[0.2891227144099267, 1, 1], 
      Hue[0.28608893968771626`, 1, 1], 
      Hue[0.28608893968771626`, 1, 1], 
      Hue[0.285708934056643, 1, 1], 
      Hue[0.285708934056643, 1, 1], 
      Hue[0.28532875953268905`, 1, 1], 
      Hue[0.28532875953268905`, 1, 1], 
      Hue[0.28456791022786826`, 1, 1], 
      Hue[0.28456791022786826`, 1, 1], 
      Hue[0.28304425591740834`, 1, 1], 
      Hue[0.28304425591740834`, 1, 1], 
      Hue[0.279989492581923, 1, 1], 
      Hue[0.279989492581923, 1, 1], 
      Hue[0.27960698079228, 1, 1], 
      Hue[0.27960698079228, 1, 1], 
      Hue[0.27922432654828644`, 1, 1], 
      Hue[0.27922432654828644`, 1, 1], 
      Hue[0.27845859752293123`, 1, 1], 
      Hue[0.27845859752293123`, 1, 1], 
      Hue[0.2769255054252261, 1, 1], 
      Hue[0.2769255054252261, 1, 1], 
      Hue[0.27654190206159407`, 1, 1], 
      Hue[0.27654190206159407`, 1, 1], 
      Hue[0.27615817004289983`, 1, 1], 
      Hue[0.27615817004289983`, 1, 1], 
      Hue[0.2753903270447928, 1, 1], 
      Hue[0.2753903270447928, 1, 1], 
      Hue[0.27385317453066843`, 1, 1], 
      Hue[0.27385317453066843`, 1, 1], 
      Hue[0.27346859121337924`, 1, 1], 
      Hue[0.27346859121337924`, 1, 1], 
      Hue[0.27308389338429445`, 1, 1], 
      Hue[0.27308389338429445`, 1, 1], 
      Hue[0.272314161357055, 1, 1], 
      Hue[0.272314161357055, 1, 1], 
      Hue[0.27077340225339236`, 1, 1], 
      Hue[0.27077340225339236`, 1, 1], 
      Hue[0.2676871110167407, 1, 1], 
      Hue[0.2676871110167407, 1, 1], 
      Hue[0.26730851114187293`, 1, 1], 
      Hue[0.26730851114187293`, 1, 1], 
      Hue[0.2669298292222692, 1, 1], 
      Hue[0.2669298292222692, 1, 1], 
      Hue[0.26617222625345777`, 1, 1], 
      Hue[0.26617222625345777`, 1, 1], 
      Hue[0.264656113011379, 1, 1], 
      Hue[0.264656113011379, 1, 1], 
      Hue[0.2642769059683955, 1, 1], 
      Hue[0.2642769059683955, 1, 1], 
      Hue[0.26389763097215285`, 1, 1], 
      Hue[0.26389763097215285`, 1, 1], 
      Hue[0.26313888422214, 1, 1], 
      Hue[0.26313888422214, 1, 1], 
      Hue[0.26162065355766034`, 1, 1], 
      Hue[0.26162065355766034`, 1, 1], 
      Hue[0.26124095273400294`, 1, 1], 
      Hue[0.26124095273400294`, 1, 1], 
      Hue[0.2608611982290126, 1, 1], 
      Hue[0.2608611982290126, 1, 1], 
      Hue[0.2601015353565507, 1, 1], 
      Hue[0.2601015353565507, 1, 1], 
      Hue[0.25972163058517933`, 1, 1], 
      Hue[0.25972163058517933`, 1, 1], 
      Hue[0.2593416793245274, 1, 1], 
      Hue[0.2593416793245274, 1, 1], 
      Hue[0.25858164454948335`, 1, 1], 
      Hue[0.25858164454948335`, 1, 1], 
      Hue[0.2582015646467406, 1, 1], 
      Hue[0.2582015646467406, 1, 1], 
      Hue[0.2578214454778663, 1, 1], 
      Hue[0.2578214454778663, 1, 1], 
      Hue[0.2570610965836389, 1, 1], 
      Hue[0.2570610965836389, 1, 1], 
      Hue[0.25668087048309157`, 1, 1], 
      Hue[0.25668087048309157`, 1, 1], 
      Hue[0.2563006123658743, 1, 1], 
      Hue[0.2563006123658743, 1, 1], 
      Hue[0.25554000734634386`, 1, 1], 
      Hue[0.25554000734634386`, 1, 1], 
      Hue[0.25515966407958035`, 1, 1], 
      Hue[0.25515966407958035`, 1, 1], 
      Hue[0.2547792960670942, 1, 1], 
      Hue[0.2547792960670942, 1, 1], 
      Hue[0.2543989051294105, 1, 1], 
      Hue[0.2543989051294105, 1, 1], 
      Hue[0.2540184930880174, 1, 1], 
      Hue[0.2540184930880174, 1, 1], 
      Hue[0.25363806176529013`, 1, 1], 
      Hue[0.25363806176529013`, 1, 1], 
      Hue[0.25325761298441374`, 1, 1], 
      Hue[0.25325761298441374`, 1, 1], 
      Hue[0.2528771485693071, 1, 1], 
      Hue[0.2528771485693071, 1, 1], 
      Hue[0.2524966703445472, 1, 1], 
      Hue[0.2524966703445472, 1, 1], 
      Hue[0.252116180135291, 1, 1], 
      Hue[0.252116180135291, 1, 1], 
      Hue[0.25173567976719924`, 1, 1], 
      Hue[0.25173567976719924`, 1, 1], 
      Hue[0.2513551710663607, 1, 1], 
      Hue[0.2513551710663607, 1, 1], 
      Hue[0.25097465585921397`, 1, 1], 
      Hue[0.25097465585921397`, 1, 1], 
      Hue[0.25059413597247165`, 1, 1], 
      Hue[0.25059413597247165`, 1, 1], 
      Hue[0.25021361323304325`, 1, 1], 
      Hue[0.25021361323304325`, 1, 1], 
      Hue[0.24983308946795788`, 1, 1], 
      Hue[0.24983308946795788`, 1, 1], 
      Hue[0.2494525665042888, 1, 1], 
      Hue[0.2494525665042888, 1, 1], 
      Hue[0.2490720461690742, 1, 1], 
      Hue[0.2490720461690742, 1, 1], 
      Hue[0.2486915302892427, 1, 1], 
      Hue[0.2486915302892427, 1, 1], 
      Hue[0.2483110206915351, 1, 1], 
      Hue[0.2483110206915351, 1, 1], 
      Hue[0.2479305192024281, 1, 1], 
      Hue[0.2479305192024281, 1, 1], 
      Hue[0.24755002764805686`, 1, 1], 
      Hue[0.24755002764805686`, 1, 1], 
      Hue[0.24716954785413933`, 1, 1], 
      Hue[0.24716954785413933`, 1, 1], 
      Hue[0.24678908164589852`, 1, 1], 
      Hue[0.24678908164589852`, 1, 1], 
      Hue[0.24640863084798625`, 1, 1], 
      Hue[0.24640863084798625`, 1, 1], 
      Hue[0.24602819728440656`, 1, 1], 
      Hue[0.24602819728440656`, 1, 1], 
      Hue[0.2456477827784387, 1, 1], 
      Hue[0.2456477827784387, 1, 1], 
      Hue[0.24526738915256116`, 1, 1], 
      Hue[0.24526738915256116`, 1, 1], 
      Hue[0.24488701822837544`, 1, 1], 
      Hue[0.24488701822837544`, 1, 1], 
      Hue[0.24450667182652894`, 1, 1], 
      Hue[0.24450667182652894`, 1, 1], 
      Hue[0.24412635176663902`, 1, 1], 
      Hue[0.24412635176663902`, 1, 1], 
      Hue[0.24336579794559315`, 1, 1], 
      Hue[0.24336579794559315`, 1, 1], 
      Hue[0.24295324765529228`, 1, 1], 
      Hue[0.24295324765529228`, 1, 1], 
      Hue[0.2425407371117956, 1, 1], 
      Hue[0.2425407371117956, 1, 1], 
      Hue[0.24171584452690567`, 1, 1], 
      Hue[0.24171584452690567`, 1, 1], 
      Hue[0.24130346711105533`, 1, 1], 
      Hue[0.24130346711105533`, 1, 1], 
      Hue[0.24089113869286885`, 1, 1], 
      Hue[0.24089113869286885`, 1, 1], 
      Hue[0.24006663807480177`, 1, 1], 
      Hue[0.24006663807480177`, 1, 1], 
      Hue[0.23965447048114782`, 1, 1], 
      Hue[0.23965447048114782`, 1, 1], 
      Hue[0.2392423610973872, 1, 1], 
      Hue[0.2392423610973872, 1, 1], 
      Hue[0.23841832614129013`, 1, 1], 
      Hue[0.23841832614129013`, 1, 1], 
      Hue[0.23677105557424935`, 1, 1], 
      Hue[0.23677105557424935`, 1, 1], 
      Hue[0.2363594177784766, 1, 1], 
      Hue[0.2363594177784766, 1, 1], 
      Hue[0.23594785647257394`, 1, 1], 
      Hue[0.23594785647257394`, 1, 1], 
      Hue[0.23512497240373834`, 1, 1], 
      Hue[0.23512497240373834`, 1, 1], 
      Hue[0.23348022172980518`, 1, 1], 
      Hue[0.23348022172980518`, 1, 1], 
      Hue[0.23306925917031257`, 1, 1], 
      Hue[0.23306925917031257`, 1, 1], 
      Hue[0.2326583911412925, 1, 1], 
      Hue[0.2326583911412925, 1, 1], 
      Hue[0.23183694761200108`, 1, 1], 
      Hue[0.23183694761200108`, 1, 1], 
      Hue[0.23019529296078736`, 1, 1], 
      Hue[0.23019529296078736`, 1, 1], 
      Hue[0.22978514896890515`, 1, 1], 
      Hue[0.22978514896890515`, 1, 1], 
      Hue[0.2293751172542093, 1, 1], 
      Hue[0.2293751172542093, 1, 1], 
      Hue[0.22855539943102374`, 1, 1], 
      Hue[0.22855539943102374`, 1, 1], 
      Hue[0.22691740731771892`, 1, 1], 
      Hue[0.22691740731771892`, 1, 1], 
      Hue[0.22364768111296685`, 1, 1], 
      Hue[0.22364768111296685`, 1, 1], 
      Hue[0.2232395936956678, 1, 1], 
      Hue[0.2232395936956678, 1, 1], 
      Hue[0.2228316529602289, 1, 1], 
      Hue[0.2228316529602289, 1, 1], 
      Hue[0.22201621990908135`, 1, 1], 
      Hue[0.22201621990908135`, 1, 1], 
      Hue[0.22038720570674897`, 1, 1], 
      Hue[0.22038720570674897`, 1, 1], 
      Hue[0.21713704446893195`, 1, 1], 
      Hue[0.21713704446893195`, 1, 1], 
      Hue[0.21675867941709887`, 1, 1], 
      Hue[0.21675867941709887`, 1, 1], 
      Hue[0.21638047037135943`, 1, 1], 
      Hue[0.21638047037135943`, 1, 1], 
      Hue[0.21562452670544385`, 1, 1], 
      Hue[0.21562452670544385`, 1, 1], 
      Hue[0.2141145815706029, 1, 1], 
      Hue[0.2141145815706029, 1, 1], 
      Hue[0.21110281056432975`, 1, 1], 
      Hue[0.21110281056432975`, 1, 1], 
      Hue[0.20511445765264996`, 1, 1], 
      Hue[0.20511445765264996`, 1, 1], 
      Hue[0.20474184699692943`, 1, 1], 
      Hue[0.20474184699692943`, 1, 1], 
      Hue[0.20436944028448417`, 1, 1], 
      Hue[0.20436944028448417`, 1, 1], 
      Hue[0.20362524419409136`, 1, 1], 
      Hue[0.20362524419409136`, 1, 1], 
      Hue[0.20213935945020794`, 1, 1], 
      Hue[0.20213935945020794`, 1, 1], 
      Hue[0.19917791790822034`, 1, 1], 
      Hue[0.19917791790822034`, 1, 1], 
      Hue[0.19329862431015446`, 1, 1], 
      Hue[0.19329862431015446`, 1, 1], 
      Hue[0.1929025112030568, 1, 1], 
      Hue[0.1929025112030568, 1, 1], 
      Hue[0.19250668498575932`, 1, 1], 
      Hue[0.19250668498575932`, 1, 1], 
      Hue[0.19171589889733498`, 1, 1], 
      Hue[0.19171589889733498`, 1, 1], 
      Hue[0.19013783118538494`, 1, 1], 
      Hue[0.19013783118538494`, 1, 1], 
      Hue[0.1869960163563014, 1, 1], 
      Hue[0.1869960163563014, 1, 1], 
      Hue[0.1807719313570252, 1, 1], 
      Hue[0.1807719313570252, 1, 1], 
      Hue[0.1685774743268824, 1, 1], 
      Hue[0.1685774743268824, 1, 1], 
      Hue[0.16820895585701034`, 1, 1], 
      Hue[0.16820895585701034`, 1, 1], 
      Hue[0.1678407785456453, 1, 1], 
      Hue[0.1678407785456453, 1, 1], 
      Hue[0.1671054499149418, 1, 1], 
      Hue[0.1671054499149418, 1, 1], 
      Hue[0.1656389136494823, 1, 1], 
      Hue[0.1656389136494823, 1, 1], 
      Hue[0.16272245258452597`, 1, 1], 
      Hue[0.16272245258452597`, 1, 1], 
      Hue[0.1569568588495444, 1, 1], 
      Hue[0.1569568588495444, 1, 1], 
      Hue[0.145699939631525, 1, 1], 
      Hue[0.145699939631525, 1, 1], 
      Hue[0.1256893641497182, 1, 1], 
      Hue[0.1256893641497182, 1, 1], 
      Hue[0.10539044861568869`, 1, 1], 
      Hue[0.10539044861568869`, 1, 1], 
      Hue[0.08764509315685078, 1, 1], 
      Hue[0.08764509315685078, 1, 1], 
      Hue[0.0695425280222779, 1, 1], 
      Hue[0.0695425280222779, 1, 1], 
      Hue[0.06927284345491812, 1, 1], 
      Hue[0.06927284345491812, 1, 1], 
      Hue[0.0690033828549923, 1, 1], 
      Hue[0.0690033828549923, 1, 1], 
      Hue[0.06846513025460946, 1, 1], 
      Hue[0.06846513025460946, 1, 1], 
      Hue[0.06739127631685435, 1, 1], 
      Hue[0.06739127631685435, 1, 1], 
      Hue[0.0652539882177101, 1, 1], 
      Hue[0.0652539882177101, 1, 1], 
      Hue[0.06101960660556691, 1, 1], 
      Hue[0.06101960660556691, 1, 1], 
      Hue[0.0607566784646249, 1, 1], 
      Hue[0.0607566784646249, 1, 1], 
      Hue[0.06049394778226546, 1, 1], 
      Hue[0.06049394778226546, 1, 1], 
      Hue[0.05996907547438733, 1, 1], 
      Hue[0.05996907547438733, 1, 1], 
      Hue[0.05892166385474362, 1, 1], 
      Hue[0.05892166385474362, 1, 1], 
      Hue[0.056835986785009666`, 1, 1], 
      Hue[0.056835986785009666`, 1, 1], 
      Hue[0.05269973189924155, 1, 1], 
      Hue[0.05269973189924155, 1, 1], 
      Hue[0.052459950972469985`, 1, 1], 
      Hue[0.052459950972469985`, 1, 1], 
      Hue[0.05222031886942625, 1, 1], 
      Hue[0.05222031886942625, 1, 1], 
      Hue[0.051741498451220044`, 1, 1], 
      Hue[0.051741498451220044`, 1, 1], 
      Hue[0.05078561399160116, 1, 1], 
      Hue[0.05078561399160116, 1, 1], 
      Hue[0.04888072051499777, 1, 1], 
      Hue[0.04888072051499777, 1, 1], 
      Hue[0.045097237160123156`, 1, 1], 
      Hue[0.045097237160123156`, 1, 1], 
      Hue[0.0448618866686425, 1, 1], 
      Hue[0.0448618866686425, 1, 1], 
      Hue[0.04462666361887337, 1, 1], 
      Hue[0.04462666361887337, 1, 1], 
      Hue[0.04415659718485804, 1, 1], 
      Hue[0.04415659718485804, 1, 1], 
      Hue[0.04321796437381418, 1, 1], 
      Hue[0.04321796437381418, 1, 1], 
      Hue[0.041346550324896286`, 1, 1], 
      Hue[0.041346550324896286`, 1, 1], 
      Hue[0.037625942346307256`, 1, 1], 
      Hue[0.037625942346307256`, 1, 1], 
      Hue[0.037374843534917906`, 1, 1], 
      Hue[0.037374843534917906`, 1, 1], 
      Hue[0.0371238695861517, 1, 1], 
      Hue[0.0371238695861517, 1, 1], 
      Hue[0.03662229292476846, 1, 1], 
      Hue[0.03662229292476846, 1, 1], 
      Hue[0.03562060110319647, 1, 1], 
      Hue[0.03562060110319647, 1, 1], 
      Hue[0.03362287619749535, 1, 1], 
      Hue[0.03362287619749535, 1, 1], 
      Hue[0.0333736748129829, 1, 1], 
      Hue[0.0333736748129829, 1, 1], 
      Hue[0.033124584922840886`, 1, 1], 
      Hue[0.033124584922840886`, 1, 1], 
      Hue[0.03262673629523637, 1, 1], 
      Hue[0.03262673629523637, 1, 1], 
      Hue[0.03163234035619638, 1, 1], 
      Hue[0.03163234035619638, 1, 1], 
      Hue[0.02964856766170453, 1, 1], 
      Hue[0.02964856766170453, 1, 1], 
      Hue[0.029401050448112514`, 1, 1], 
      Hue[0.029401050448112514`, 1, 1], 
      Hue[0.029153631445108612`, 1, 1], 
      Hue[0.029153631445108612`, 1, 1], 
      Hue[0.028659084761207015`, 1, 1], 
      Hue[0.028659084761207015`, 1, 1], 
      Hue[0.027671133531875808`, 1, 1], 
      Hue[0.027671133531875808`, 1, 1], 
      Hue[0.02569961468875199, 1, 1], 
      Hue[0.02569961468875199, 1, 1], 
      Hue[0.021772636012389598`, 1, 1], 
      Hue[0.021772636012389598`, 1, 1], 
      Hue[0.021544088339672494`, 1, 1], 
      Hue[0.021544088339672494`, 1, 1], 
      Hue[0.021315603374490812`, 1, 1], 
      Hue[0.021315603374490812`, 1, 1], 
      Hue[0.020858818903288473`, 1, 1], 
      Hue[0.020858818903288473`, 1, 1], 
      Hue[0.01994597316442123, 1, 1], 
      Hue[0.01994597316442123, 1, 1], 
      Hue[0.018123025596737834`, 1, 1], 
      Hue[0.018123025596737834`, 1, 1], 
      Hue[0.017895401443312083`, 1, 1], 
      Hue[0.017895401443312083`, 1, 1], 
      Hue[0.017667829365711957`, 1, 1], 
      Hue[0.017667829365711957`, 1, 1], 
      Hue[0.017212838786401004`, 1, 1], 
      Hue[0.017212838786401004`, 1, 1], 
      Hue[0.0163034533796867, 1, 1], 
      Hue[0.0163034533796867, 1, 1], 
      Hue[0.01448691729759583, 1, 1], 
      Hue[0.01448691729759583, 1, 1], 
      Hue[0.014260046896887183`, 1, 1], 
      Hue[0.014260046896887183`, 1, 1], 
      Hue[0.014033217984415945`, 1, 1], 
      Hue[0.014033217984415945`, 1, 1], 
      Hue[0.013579681982588004`, 1, 1], 
      Hue[0.013579681982588004`, 1, 1], 
      Hue[0.012673078787923718`, 1, 1], 
      Hue[0.012673078787923718`, 1, 1], 
      Hue[0.012446521808640136`, 1, 1], 
      Hue[0.012446521808640136`, 1, 1], 
      Hue[0.012220001037920019`, 1, 1], 
      Hue[0.012220001037920019`, 1, 1], 
      Hue[0.011767065484800906`, 1, 1], 
      Hue[0.011767065484800906`, 1, 1], 
      Hue[0.010861599877047007`, 1, 1], 
      Hue[0.010861599877047007`, 1, 1], 
      Hue[0.010635314110578184`, 1, 1], 
      Hue[0.010635314110578184`, 1, 1], 
      Hue[0.010409059281020351`, 1, 1], 
      Hue[0.010409059281020351`, 1, 1], 
      Hue[0.009956639798957091, 1, 1], 
      Hue[0.009956639798957091, 1, 1], 
      Hue[0.009052143113095096, 1, 1], 
      Hue[0.009052143113095096, 1, 1], 
      Hue[0.008826086411195665, 1, 1], 
      Hue[0.008826086411195665, 1, 1], 
      Hue[0.008600055381481772, 1, 1], 
      Hue[0.008600055381481772, 1, 1], 
      Hue[0.008148067708061165, 1, 1], 
      Hue[0.008148067708061165, 1, 1], 
      Hue[0.007244371496228025, 1, 1], 
      Hue[0.007244371496228025, 1, 1], 
      Hue[0.007022937079816844, 1, 1], 
      Hue[0.007022937079816844, 1, 1], 
      Hue[0.0068015222952073, 1, 1], 
      Hue[0.0068015222952073, 1, 1], 
      Hue[0.006358749145194383, 1, 1], 
      Hue[0.006358749145194383, 1, 1], 
      Hue[0.006137389541852153, 1, 1], 
      Hue[0.006137389541852153, 1, 1], 
      Hue[0.0059160470944297034`, 1, 1], 
      Hue[0.0059160470944297034`, 1, 1], 
      Hue[0.005473411192127854, 1, 1], 
      Hue[0.005473411192127854, 1, 1], 
      Hue[0.0052521164997800344`, 1, 1], 
      Hue[0.0052521164997800344`, 1, 1], 
      Hue[0.005030836488410986, 1, 1], 
      Hue[0.005030836488410986, 1, 1], 
      Hue[0.00458831803424194, 1, 1], 
      Hue[0.00458831803424194, 1, 1], 
      Hue[0.0043670783543771075`, 1, 1], 
      Hue[0.0043670783543771075`, 1, 1], 
      Hue[0.004145850881357151, 1, 1], 
      Hue[0.004145850881357151, 1, 1], 
      Hue[0.0037034300821993217`, 1, 1], 
      Hue[0.0037034300821993217`, 1, 1], 
      Hue[0.0034822355193328738`, 1, 1], 
      Hue[0.0034822355193328738`, 1, 1], 
      Hue[0.0032610506898499217`, 1, 1], 
      Hue[0.0032610506898499217`, 1, 1], 
      Hue[0.003039874975474352, 1, 1], 
      Hue[0.003039874975474352, 1, 1], 
      Hue[0.002818707757961507, 1, 1], 
      Hue[0.002818707757961507, 1, 1], 
      Hue[0.0025975484190960568`, 1, 1], 
      Hue[0.0025975484190960568`, 1, 1], 
      Hue[0.002376396340689876, 1, 1], 
      Hue[0.002376396340689876, 1, 1], 
      Hue[0.0021552509045799197`, 1, 1], 
      Hue[0.0021552509045799197`, 1, 1], 
      Hue[0.0019341114926260904`, 1, 1], 
      Hue[0.0019341114926260904`, 1, 1], 
      Hue[0.00171297748670911, 1, 1], 
      Hue[0.00171297748670911, 1, 1], 
      Hue[0.001491848268728384, 1, 1], 
      Hue[0.001491848268728384, 1, 1], 
      Hue[0.001270723220599874, 1, 1], 
      Hue[0.001270723220599874, 1, 1], 
      Hue[0.001049601724253957, 1, 1], 
      Hue[0.001049601724253957, 1, 1], 
      Hue[0.0008284831616332961, 1, 1], 
      Hue[0.0008284831616332961, 1, 1], 
      Hue[0.0006073669146907008, 1, 1], 
      Hue[0.0006073669146907008, 1, 1], 
      Hue[0.00038625236538699054`, 1, 1], 
      Hue[0.00038625236538699054`, 1, 1], 
      Hue[0.00016513889568885726`, 1, 1], 
      Hue[0.00016513889568885726`, 1, 1], 
      Hue[0.9999440258875667, 1, 1], 
      Hue[0.9999440258875667, 1, 1], 
      Hue[0.9997229127229926, 1, 1], 
      Hue[0.9997229127229926, 1, 1], 
      Hue[0.9995017987839381, 1, 1], 
      Hue[0.9995017987839381, 1, 1], 
      Hue[0.9992806834523718, 1, 1], 
      Hue[0.9992806834523718, 1, 1], 
      Hue[0.9990595661102578, 1, 1], 
      Hue[0.9990595661102578, 1, 1], 
      Hue[0.9988384461395532, 1, 1], 
      Hue[0.9988384461395532, 1, 1], 
      Hue[0.9986173229222058, 1, 1], 
      Hue[0.9986173229222058, 1, 1], 
      Hue[0.9983961958401524, 1, 1], 
      Hue[0.9983961958401524, 1, 1], 
      Hue[0.9981750642753163, 1, 1], 
      Hue[0.9981750642753163, 1, 1], 
      Hue[0.9979539276096054, 1, 1], 
      Hue[0.9979539276096054, 1, 1], 
      Hue[0.9977327852249099, 1, 1], 
      Hue[0.9977327852249099, 1, 1], 
      Hue[0.9975116365031003, 1, 1], 
      Hue[0.9975116365031003, 1, 1], 
      Hue[0.997290480826025, 1, 1], 
      Hue[0.997290480826025, 1, 1], 
      Hue[0.9970693175755087, 1, 1], 
      Hue[0.9970693175755087, 1, 1], 
      Hue[0.9966269658813178, 1, 1], 
      Hue[0.9966269658813178, 1, 1], 
      Hue[0.9964057762011531, 1, 1], 
      Hue[0.9964057762011531, 1, 1], 
      Hue[0.9961845764745626, 1, 1], 
      Hue[0.9961845764745626, 1, 1], 
      Hue[0.9957421444087574, 1, 1], 
      Hue[0.9957421444087574, 1, 1], 
      Hue[0.9955209108327753, 1, 1], 
      Hue[0.9955209108327753, 1, 1], 
      Hue[0.9952996647368284, 1, 1], 
      Hue[0.9952996647368284, 1, 1], 
      Hue[0.9948571325110459, 1, 1], 
      Hue[0.9948571325110459, 1, 1], 
      Hue[0.9946358451440981, 1, 1], 
      Hue[0.9946358451440981, 1, 1], 
      Hue[0.9944145427829568, 1, 1], 
      Hue[0.9944145427829568, 1, 1], 
      Hue[0.9939718906033176, 1, 1], 
      Hue[0.9939718906033176, 1, 1], 
      Hue[0.9930863790880589, 1, 1], 
      Hue[0.9930863790880589, 1, 1], 
      Hue[0.9928461651955212, 1, 1], 
      Hue[0.9928461651955212, 1, 1], 
      Hue[0.9926059277675018, 1, 1], 
      Hue[0.9926059277675018, 1, 1], 
      Hue[0.9921253791427431, 1, 1], 
      Hue[0.9921253791427431, 1, 1], 
      Hue[0.9911639646767813, 1, 1], 
      Hue[0.9911639646767813, 1, 1], 
      Hue[0.9909235403594647, 1, 1], 
      Hue[0.9909235403594647, 1, 1], 
      Hue[0.9906830861794046, 1, 1], 
      Hue[0.9906830861794046, 1, 1], 
      Hue[0.9902020850652838, 1, 1], 
      Hue[0.9902020850652838, 1, 1], 
      Hue[0.9892396896536435, 1, 1], 
      Hue[0.9892396896536435, 1, 1], 
      Hue[0.9889990042677944, 1, 1], 
      Hue[0.9889990042677944, 1, 1], 
      Hue[0.9887582826843183, 1, 1], 
      Hue[0.9887582826843183, 1, 1], 
      Hue[0.9882767277544471, 1, 1], 
      Hue[0.9882767277544471, 1, 1], 
      Hue[0.9873131486444305, 1, 1], 
      Hue[0.9873131486444305, 1, 1], 
      Hue[0.9853839357017069, 1, 1], 
      Hue[0.9853839357017069, 1, 1], 
      Hue[0.9851425759700883, 1, 1], 
      Hue[0.9851425759700883, 1, 1], 
      Hue[0.9849011673421513, 1, 1], 
      Hue[0.9849011673421513, 1, 1], 
      Hue[0.984418200216528, 1, 1], 
      Hue[0.984418200216528, 1, 1], 
      Hue[0.9834516442098782, 1, 1], 
      Hue[0.9834516442098782, 1, 1], 
      Hue[0.9815158667939559, 1, 1], 
      Hue[0.9815158667939559, 1, 1], 
      Hue[0.9812736291913834, 1, 1], 
      Hue[0.9812736291913834, 1, 1], 
      Hue[0.9810313299456908, 1, 1], 
      Hue[0.9810313299456908, 1, 1], 
      Hue[0.9805465433306404, 1, 1], 
      Hue[0.9805465433306404, 1, 1], 
      Hue[0.9795761952326396, 1, 1], 
      Hue[0.9795761952326396, 1, 1], 
      Hue[0.9776322203763465, 1, 1], 
      Hue[0.9776322203763465, 1, 1], 
      Hue[0.9774051575452036, 1, 1], 
      Hue[0.9774051575452036, 1, 1], 
      Hue[0.9771780299268937, 1, 1], 
      Hue[0.9771780299268937, 1, 1], 
      Hue[0.9767235777199724, 1, 1], 
      Hue[0.9767235777199724, 1, 1], 
      Hue[0.9758138671519275, 1, 1], 
      Hue[0.9758138671519275, 1, 1], 
      Hue[0.9739910750405399, 1, 1], 
      Hue[0.9739910750405399, 1, 1], 
      Hue[0.9703308331526667, 1, 1], 
      Hue[0.9703308331526667, 1, 1], 
      Hue[0.9701013726173703, 1, 1], 
      Hue[0.9701013726173703, 1, 1], 
      Hue[0.9698718263196648, 1, 1], 
      Hue[0.9698718263196648, 1, 1], 
      Hue[0.9694124737999488, 1, 1], 
      Hue[0.9694124737999488, 1, 1], 
      Hue[0.9684927105904569, 1, 1], 
      Hue[0.9684927105904569, 1, 1], 
      Hue[0.9666488035074778, 1, 1], 
      Hue[0.9666488035074778, 1, 1], 
      Hue[0.9629422795583775, 1, 1], 
      Hue[0.9629422795583775, 1, 1], 
      Hue[0.96269025198017, 1, 1], 
      Hue[0.96269025198017, 1, 1], 
      Hue[0.9624380986753572, 1, 1], 
      Hue[0.9624380986753572, 1, 1], 
      Hue[0.9619334114888105, 1, 1], 
      Hue[0.9619334114888105, 1, 1], 
      Hue[0.9609224910093953, 1, 1], 
      Hue[0.9609224910093953, 1, 1], 
      Hue[0.9588942749542262, 1, 1], 
      Hue[0.9588942749542262, 1, 1], 
      Hue[0.9548108126517544, 1, 1], 
      Hue[0.9548108126517544, 1, 1], 
      Hue[0.946523461974924, 1, 1], 
      Hue[0.946523461974924, 1, 1], 
      Hue[0.9462664435525957, 1, 1], 
      Hue[0.9462664435525957, 1, 1], 
      Hue[0.9460092509840369, 1, 1], 
      Hue[0.9460092509840369, 1, 1], 
      Hue[0.9454943401255437, 1, 1], 
      Hue[0.9454943401255437, 1, 1], 
      Hue[0.944462392535523, 1, 1], 
      Hue[0.944462392535523, 1, 1], 
      Hue[0.9423898098455793, 1, 1], 
      Hue[0.9423898098455793, 1, 1], 
      Hue[0.9382084208650068, 1, 1], 
      Hue[0.9382084208650068, 1, 1], 
      Hue[0.9296889548412226, 1, 1], 
      Hue[0.9296889548412226, 1, 1], 
      Hue[0.9131577192100314, 1, 1], 
      Hue[0.9131577192100314, 1, 1], 
      Hue[0.8941248259641966, 1, 1], 
      Hue[0.8941248259641966, 1, 1], 
      Hue[0.8751555374447492, 1, 1], 
      Hue[0.8751555374447492, 1, 1], 
      Hue[0.8553207001162826, 1, 1], 
      Hue[0.8553207001162826, 1, 1], 
      Hue[0.8549734798782151, 1, 1], 
      Hue[0.8549734798782151, 1, 1], 
      Hue[0.8546258934543336, 1, 1], 
      Hue[0.8546258934543336, 1, 1], 
      Hue[0.8539296221742921, 1, 1], 
      Hue[0.8539296221742921, 1, 1], 
      Hue[0.8525326872315117, 1, 1], 
      Hue[0.8525326872315117, 1, 1], 
      Hue[0.8497212657634408, 1, 1], 
      Hue[0.8497212657634408, 1, 1], 
      Hue[0.8440284786662016, 1, 1], 
      Hue[0.8440284786662016, 1, 1], 
      Hue[0.832367236818728, 1, 1], 
      Hue[0.832367236818728, 1, 1], 
      Hue[0.832021825341367, 1, 1], 
      Hue[0.832021825341367, 1, 1], 
      Hue[0.8316761129089217, 1, 1], 
      Hue[0.8316761129089217, 1, 1], 
      Hue[0.830983787289033, 1, 1], 
      Hue[0.830983787289033, 1, 1], 
      Hue[0.8295955482610037, 1, 1], 
      Hue[0.8295955482610037, 1, 1], 
      Hue[0.8268048478525195, 1, 1], 
      Hue[0.8268048478525195, 1, 1], 
      Hue[0.8211677004737815, 1, 1], 
      Hue[0.8211677004737815, 1, 1], 
      Hue[0.8208129603290648, 1, 1], 
      Hue[0.8208129603290648, 1, 1], 
      Hue[0.8204579401889733, 1, 1], 
      Hue[0.8204579401889733, 1, 1], 
      Hue[0.8197470631114767, 1, 1], 
      Hue[0.8197470631114767, 1, 1], 
      Hue[0.8183219845703645, 1, 1], 
      Hue[0.8183219845703645, 1, 1], 
      Hue[0.8154587196009777, 1, 1], 
      Hue[0.8154587196009777, 1, 1], 
      Hue[0.8096813911841393, 1, 1], 
      Hue[0.8096813911841393, 1, 1], 
      Hue[0.8092875819890374, 1, 1], 
      Hue[0.8092875819890374, 1, 1], 
      Hue[0.808893478770385, 1, 1], 
      Hue[0.808893478770385, 1, 1], 
      Hue[0.8081043957324172, 1, 1], 
      Hue[0.8081043957324172, 1, 1], 
      Hue[0.8065227621999304, 1, 1], 
      Hue[0.8065227621999304, 1, 1], 
      Hue[0.8033459466645283, 1, 1], 
      Hue[0.8033459466645283, 1, 1], 
      Hue[0.802947603375167, 1, 1], 
      Hue[0.802947603375167, 1, 1], 
      Hue[0.8025489892916751, 1, 1], 
      Hue[0.8025489892916751, 1, 1], 
      Hue[0.8017509549521107, 1, 1], 
      Hue[0.8017509549521107, 1, 1], 
      Hue[0.8001517056838474, 1, 1], 
      Hue[0.8001517056838474, 1, 1], 
      Hue[0.7969408469898971, 1, 1], 
      Hue[0.7969408469898971, 1, 1], 
      Hue[0.7965383632273197, 1, 1], 
      Hue[0.7965383632273197, 1, 1], 
      Hue[0.7961356348032806, 1, 1], 
      Hue[0.7961356348032806, 1, 1], 
      Hue[0.7953294508865575, 1, 1], 
      Hue[0.7953294508865575, 1, 1], 
      Hue[0.7937142237832816, 1, 1], 
      Hue[0.7937142237832816, 1, 1], 
      Hue[0.7904727333124814, 1, 1], 
      Hue[0.7904727333124814, 1, 1], 
      Hue[0.7900665479973398, 1, 1], 
      Hue[0.7900665479973398, 1, 1], 
      Hue[0.7896601468913595, 1, 1], 
      Hue[0.7896601468913595, 1, 1], 
      Hue[0.78884670487822, 1, 1], 
      Hue[0.78884670487822, 1, 1], 
      Hue[0.7872173151887686, 1, 1], 
      Hue[0.7872173151887686, 1, 1], 
      Hue[0.7839489494382963, 1, 1], 
      Hue[0.7839489494382963, 1, 1], 
      Hue[0.7835666629003442, 1, 1], 
      Hue[0.7835666629003442, 1, 1], 
      Hue[0.7831842154488271, 1, 1], 
      Hue[0.7831842154488271, 1, 1], 
      Hue[0.7824188444458441, 1, 1], 
      Hue[0.7824188444458441, 1, 1], 
      Hue[0.7808862448877505, 1, 1], 
      Hue[0.7808862448877505, 1, 1], 
      Hue[0.7778139956224613, 1, 1], 
      Hue[0.7778139956224613, 1, 1], 
      Hue[0.7774293370436219, 1, 1], 
      Hue[0.7774293370436219, 1, 1], 
      Hue[0.7770445448384399, 1, 1], 
      Hue[0.7770445448384399, 1, 1], 
      Hue[0.7762745665778351, 1, 1], 
      Hue[0.7762745665778351, 1, 1], 
      Hue[0.774733084163743, 1, 1], 
      Hue[0.774733084163743, 1, 1], 
      Hue[0.7716444162444386, 1, 1], 
      Hue[0.7716444162444386, 1, 1], 
      Hue[0.7712578333211608, 1, 1], 
      Hue[0.7712578333211608, 1, 1], 
      Hue[0.770871145491256, 1, 1], 
      Hue[0.770871145491256, 1, 1], 
      Hue[0.7700974624607736, 1, 1], 
      Hue[0.7700974624607736, 1, 1], 
      Hue[0.7685489186047042, 1, 1], 
      Hue[0.7685489186047042, 1, 1], 
      Hue[0.7681615480840327, 1, 1], 
      Hue[0.7681615480840327, 1, 1], 
      Hue[0.7677740874657797, 1, 1], 
      Hue[0.7677740874657797, 1, 1], 
      Hue[0.7669989034180303, 1, 1], 
      Hue[0.7669989034180303, 1, 1], 
      Hue[0.7654475366570868, 1, 1], 
      Hue[0.7654475366570868, 1, 1], 
      Hue[0.7650594979075213, 1, 1], 
      Hue[0.7650594979075213, 1, 1], 
      Hue[0.7646713841180712, 1, 1], 
      Hue[0.7646713841180712, 1, 1], 
      Hue[0.7638949390135434, 1, 1], 
      Hue[0.7638949390135434, 1, 1], 
      Hue[0.7635066115033468, 1, 1], 
      Hue[0.7635066115033468, 1, 1], 
      Hue[0.7631182165628669, 1, 1], 
      Hue[0.7631182165628669, 1, 1], 
      Hue[0.7623412320336995, 1, 1], 
      Hue[0.7623412320336995, 1, 1], 
      Hue[0.7619526462733915, 1, 1], 
      Hue[0.7619526462733915, 1, 1], 
      Hue[0.7615640007393966, 1, 1], 
      Hue[0.7615640007393966, 1, 1], 
      Hue[0.7607865380363968, 1, 1], 
      Hue[0.7607865380363968, 1, 1], 
      Hue[0.7592309800296734, 1, 1], 
      Hue[0.7592309800296734, 1, 1], 
      Hue[0.758849596113294, 1, 1], 
      Hue[0.758849596113294, 1, 1], 
      Hue[0.7584681695412607, 1, 1], 
      Hue[0.7584681695412607, 1, 1], 
      Hue[0.7577051957396829, 1, 1], 
      Hue[0.7577051957396829, 1, 1], 
      Hue[0.7573236521690917, 1, 1], 
      Hue[0.7573236521690917, 1, 1], 
      Hue[0.7569420732606006, 1, 1], 
      Hue[0.7569420732606006, 1, 1], 
      Hue[0.7561788167647769, 1, 1], 
      Hue[0.7561788167647769, 1, 1], 
      Hue[0.7557971428483347, 1, 1], 
      Hue[0.7557971428483347, 1, 1], 
      Hue[0.755415440935619, 1, 1], 
      Hue[0.755415440935619, 1, 1], 
      Hue[0.7550337128651892, 1, 1], 
      Hue[0.7550337128651892, 1, 1], 
      Hue[0.7546519604767106, 1, 1], 
      Hue[0.7546519604767106, 1, 1], 
      Hue[0.7542701856108777, 1, 1], 
      Hue[0.7542701856108777, 1, 1], 
      Hue[0.7538883901093358, 1, 1], 
      Hue[0.7538883901093358, 1, 1], 
      Hue[0.7535065758146038, 1, 1], 
      Hue[0.7535065758146038, 1, 1], 
      Hue[0.7531247445699961, 1, 1], 
      Hue[0.7531247445699961, 1, 1], 
      Hue[0.7527428982195451, 1, 1], 
      Hue[0.7527428982195451, 1, 1], 
      Hue[0.7523610386079226, 1, 1], 
      Hue[0.7523610386079226, 1, 1], 
      Hue[0.7519791675803619, 1, 1], 
      Hue[0.7519791675803619, 1, 1], 
      Hue[0.7515972869825805, 1, 1], 
      Hue[0.7515972869825805, 1, 1], 
      Hue[0.7512153986607009, 1, 1], 
      Hue[0.7512153986607009, 1, 1], 
      Hue[0.7508335044611727, 1, 1], 
      Hue[0.7508335044611727, 1, 1], 
      Hue[0.7504516062306952, 1, 1], 
      Hue[0.7504516062306952, 1, 1], 
      Hue[0.7500697058161379, 1, 1], 
      Hue[0.7500697058161379, 1, 1], 
      Hue[0.7496878050644631, 1, 1], 
      Hue[0.7496878050644631, 1, 1], 
      Hue[0.7493059058226471, 1, 1], 
      Hue[0.7493059058226471, 1, 1], 
      Hue[0.7489240099376031, 1, 1], 
      Hue[0.7489240099376031, 1, 1], 
      Hue[0.7485421192561008, 1, 1], 
      Hue[0.7485421192561008, 1, 1], 
      Hue[0.7481602356246906, 1, 1], 
      Hue[0.7481602356246906, 1, 1], 
      Hue[0.7477783608896231, 1, 1], 
      Hue[0.7477783608896231, 1, 1], 
      Hue[0.7473964968967727, 1, 1], 
      Hue[0.7473964968967727, 1, 1], 
      Hue[0.7470146454915586, 1, 1], 
      Hue[0.7470146454915586, 1, 1], 
      Hue[0.7466328085188667, 1, 1], 
      Hue[0.7466328085188667, 1, 1], 
      Hue[0.7462509878229718, 1, 1], 
      Hue[0.7462509878229718, 1, 1], 
      Hue[0.7458691852474595, 1, 1], 
      Hue[0.7458691852474595, 1, 1], 
      Hue[0.745487402635148, 1, 1], 
      Hue[0.745487402635148, 1, 1], 
      Hue[0.7451056418280108, 1, 1], 
      Hue[0.7451056418280108, 1, 1], 
      Hue[0.7447239046670979, 1, 1], 
      Hue[0.7447239046670979, 1, 1], 
      Hue[0.7439605086430685, 1, 1], 
      Hue[0.7439605086430685, 1, 1], 
      Hue[0.7435788534567404, 1, 1], 
      Hue[0.7435788534567404, 1, 1], 
      Hue[0.743197229270059, 1, 1], 
      Hue[0.743197229270059, 1, 1], 
      Hue[0.742434081235344, 1, 1], 
      Hue[0.742434081235344, 1, 1], 
      Hue[0.7420525610536186, 1, 1], 
      Hue[0.7420525610536186, 1, 1], 
      Hue[0.741671079204003, 1, 1], 
      Hue[0.741671079204003, 1, 1], 
      Hue[0.7409082378164618, 1, 1], 
      Hue[0.7409082378164618, 1, 1], 
      Hue[0.7405268819319039, 1, 1], 
      Hue[0.7405268819319039, 1, 1], 
      Hue[0.7401455716860397, 1, 1], 
      Hue[0.7401455716860397, 1, 1], 
      Hue[0.7393830953965116, 1, 1], 
      Hue[0.7393830953965116, 1, 1], 
      Hue[0.7390019329908355, 1, 1], 
      Hue[0.7390019329908355, 1, 1], 
      Hue[0.7386208234996778, 1, 1], 
      Hue[0.7386208234996778, 1, 1], 
      Hue[0.7378587705129495, 1, 1], 
      Hue[0.7378587705129495, 1, 1], 
      Hue[0.7374778306375712, 1, 1], 
      Hue[0.7374778306375712, 1, 1], 
      Hue[0.7370969509169465, 1, 1], 
      Hue[0.7370969509169465, 1, 1], 
      Hue[0.7363353791531093, 1, 1], 
      Hue[0.7363353791531093, 1, 1], 
      Hue[0.7348130366775787, 1, 1], 
      Hue[0.7348130366775787, 1, 1], 
      Hue[0.7344004115686684, 1, 1], 
      Hue[0.7344004115686684, 1, 1], 
      Hue[0.7339878743030455, 1, 1], 
      Hue[0.7339878743030455, 1, 1], 
      Hue[0.7331630723875937, 1, 1], 
      Hue[0.7331630723875937, 1, 1], 
      Hue[0.7315146223679851, 1, 1], 
      Hue[0.7315146223679851, 1, 1], 
      Hue[0.731102763382932, 1, 1], 
      Hue[0.731102763382932, 1, 1], 
      Hue[0.73069101029219, 1, 1], 
      Hue[0.73069101029219, 1, 1], 
      Hue[0.7298678307254558, 1, 1], 
      Hue[0.7298678307254558, 1, 1], 
      Hue[0.7282228402733528, 1, 1], 
      Hue[0.7282228402733528, 1, 1], 
      Hue[0.7278118907005582, 1, 1], 
      Hue[0.7278118907005582, 1, 1], 
      Hue[0.7274010647432105, 1, 1], 
      Hue[0.7274010647432105, 1, 1], 
      Hue[0.726579792426144, 1, 1], 
      Hue[0.726579792426144, 1, 1], 
      Hue[0.7249388270964123, 1, 1], 
      Hue[0.7249388270964123, 1, 1], 
      Hue[0.7216636955311846, 1, 1], 
      Hue[0.7216636955311846, 1, 1], 
      Hue[0.721254982954668, 1, 1], 
      Hue[0.721254982954668, 1, 1], 
      Hue[0.7208464282417213, 1, 1], 
      Hue[0.7208464282417213, 1, 1], 
      Hue[0.7200298007228654, 1, 1], 
      Hue[0.7200298007228654, 1, 1], 
      Hue[0.7183985311005171, 1, 1], 
      Hue[0.7183985311005171, 1, 1], 
      Hue[0.7151443891844453, 1, 1], 
      Hue[0.7151443891844453, 1, 1], 
      Hue[0.7147384477657691, 1, 1], 
      Hue[0.7147384477657691, 1, 1], 
      Hue[0.7143326965547424, 1, 1], 
      Hue[0.7143326965547424, 1, 1], 
      Hue[0.7135217725488208, 1, 1], 
      Hue[0.7135217725488208, 1, 1], 
      Hue[0.7119022922564333, 1, 1], 
      Hue[0.7119022922564333, 1, 1], 
      Hue[0.7086732273419384, 1, 1], 
      Hue[0.7086732273419384, 1, 1], 
      Hue[0.7082974065478993, 1, 1], 
      Hue[0.7082974065478993, 1, 1], 
      Hue[0.7079217775613169, 1, 1], 
      Hue[0.7079217775613169, 1, 1], 
      Hue[0.7071711008642876, 1, 1], 
      Hue[0.7071711008642876, 1, 1], 
      Hue[0.7056721131307586, 1, 1], 
      Hue[0.7056721131307586, 1, 1], 
      Hue[0.7026839183442184, 1, 1], 
      Hue[0.7026839183442184, 1, 1], 
      Hue[0.6967490903085822, 1, 1], 
      Hue[0.6967490903085822, 1, 1], 
      Hue[0.6963800957883016, 1, 1], 
      Hue[0.6963800957883016, 1, 1], 
      Hue[0.6960113360845943, 1, 1], 
      Hue[0.6960113360845943, 1, 1], 
      Hue[0.6952745259565232, 1, 1], 
      Hue[0.6952745259565232, 1, 1], 
      Hue[0.6938037761512619, 1, 1], 
      Hue[0.6938037761512619, 1, 1], 
      Hue[0.6908740178550812, 1, 1], 
      Hue[0.6908740178550812, 1, 1], 
      Hue[0.6850634268348433, 1, 1], 
      Hue[0.6850634268348433, 1, 1], 
      Hue[0.6846723194047373, 1, 1], 
      Hue[0.6846723194047373, 1, 1], 
      Hue[0.6842815282627353, 1, 1], 
      Hue[0.6842815282627353, 1, 1], 
      Hue[0.6835008995719081, 1, 1], 
      Hue[0.6835008995719081, 1, 1], 
      Hue[0.6819434889866571, 1, 1], 
      Hue[0.6819434889866571, 1, 1], 
      Hue[0.6788443042180082, 1, 1], 
      Hue[0.6788443042180082, 1, 1], 
      Hue[0.6727103116791256, 1, 1], 
      Hue[0.6727103116791256, 1, 1], 
      Hue[0.6607119238065424, 1, 1], 
      Hue[0.6607119238065424, 1, 1], 
      Hue[0.6603496703678688, 1, 1], 
      Hue[0.6603496703678688, 1, 1], 
      Hue[0.6599877717876943, 1, 1], 
      Hue[0.6599877717876943, 1, 1], 
      Hue[0.6592650408555483, 1, 1], 
      Hue[0.6592650408555483, 1, 1], 
      Hue[0.6578238549160509, 1, 1], 
      Hue[0.6578238549160509, 1, 1], 
      Hue[0.6549586665777665, 1, 1], 
      Hue[0.6549586665777665, 1, 1], 
      Hue[0.6492975339672553, 1, 1], 
      Hue[0.6492975339672553, 1, 1], 
      Hue[0.6382543738240635, 1, 1], 
      Hue[0.6382543738240635, 1, 1], 
      Hue[0.6186381533904819, 1, 1], 
      Hue[0.6186381533904819, 1, 1], 
      Hue[0.5987450483813834, 1, 1], 
      Hue[0.5987450483813834, 1, 1], 
      Hue[0.5813272006137918, 1, 1], 
      Hue[0.5813272006137918, 1, 1], 
      Hue[0.5651708351621385, 1, 1], 
      Hue[0.5651708351621385, 1, 1], 
      Hue[0.5649038110512727, 1, 1], 
      Hue[0.5649038110512727, 1, 1], 
      Hue[0.5646369988185738, 1, 1], 
      Hue[0.5646369988185738, 1, 1], 
      Hue[0.5641040066386009, 1, 1], 
      Hue[0.5641040066386009, 1, 1], 
      Hue[0.5630405279707895, 1, 1], 
      Hue[0.5630405279707895, 1, 1], 
      Hue[0.5609234057403701, 1, 1], 
      Hue[0.5609234057403701, 1, 1], 
      Hue[0.5567270000080751, 1, 1], 
      Hue[0.5567270000080751, 1, 1], 
      Hue[0.5564663404531357, 1, 1], 
      Hue[0.5564663404531357, 1, 1], 
      Hue[0.5562058659678824, 1, 1], 
      Hue[0.5562058659678824, 1, 1], 
      Hue[0.5556854688584882, 1, 1], 
      Hue[0.5556854688584882, 1, 1], 
      Hue[0.5546468586555298, 1, 1], 
      Hue[0.5546468586555298, 1, 1], 
      Hue[0.5525781870036823, 1, 1], 
      Hue[0.5525781870036823, 1, 1], 
      Hue[0.548473542566891, 1, 1], 
      Hue[0.548473542566891, 1, 1], 
      Hue[0.5482354485858063, 1, 1], 
      Hue[0.5482354485858063, 1, 1], 
      Hue[0.5479974925493978, 1, 1], 
      Hue[0.5479974925493978, 1, 1], 
      Hue[0.5475219916105107, 1, 1], 
      Hue[0.5475219916105107, 1, 1], 
      Hue[0.5465726153787525, 1, 1], 
      Hue[0.5465726153787525, 1, 1], 
      Hue[0.5446802145516938, 1, 1], 
      Hue[0.5446802145516938, 1, 1], 
      Hue[0.5409196147242539, 1, 1], 
      Hue[0.5409196147242539, 1, 1], 
      Hue[0.5406856011644792, 1, 1], 
      Hue[0.5406856011644792, 1, 1], 
      Hue[0.5404517040519297, 1, 1], 
      Hue[0.5404517040519297, 1, 1], 
      Hue[0.539984256496497, 1, 1], 
      Hue[0.539984256496497, 1, 1], 
      Hue[0.539050729373585, 1, 1], 
      Hue[0.539050729373585, 1, 1], 
      Hue[0.5371889977559043, 1, 1], 
      Hue[0.5371889977559043, 1, 1], 
      Hue[0.5334856337081378, 1, 1], 
      Hue[0.5334856337081378, 1, 1], 
      Hue[0.5332356702272593, 1, 1], 
      Hue[0.5332356702272593, 1, 1], 
      Hue[0.5329858185148917, 1, 1], 
      Hue[0.5329858185148917, 1, 1], 
      Hue[0.5324864470328553, 1, 1], 
      Hue[0.5324864470328553, 1, 1], 
      Hue[0.5314890083184362, 1, 1], 
      Hue[0.5314890083184362, 1, 1], 
      Hue[0.5294991599976908, 1, 1], 
      Hue[0.5294991599976908, 1, 1], 
      Hue[0.5292508841040009, 1, 1], 
      Hue[0.5292508841040009, 1, 1], 
      Hue[0.5290027065658819, 1, 1], 
      Hue[0.5290027065658819, 1, 1], 
      Hue[0.5285066432145402, 1, 1], 
      Hue[0.5285066432145402, 1, 1], 
      Hue[0.5275156600365587, 1, 1], 
      Hue[0.5275156600365587, 1, 1], 
      Hue[0.5255380810443775, 1, 1], 
      Hue[0.5255380810443775, 1, 1], 
      Hue[0.525291278752398, 1, 1], 
      Hue[0.525291278752398, 1, 1], 
      Hue[0.5250445614850563, 1, 1], 
      Hue[0.5250445614850563, 1, 1], 
      Hue[0.524551378702231, 1, 1], 
      Hue[0.524551378702231, 1, 1], 
      Hue[0.5235659969060593, 1, 1], 
      Hue[0.5235659969060593, 1, 1], 
      Hue[0.5215989827293759, 1, 1], 
      Hue[0.5215989827293759, 1, 1], 
      Hue[0.5213534413229896, 1, 1], 
      Hue[0.5213534413229896, 1, 1], 
      Hue[0.5211079716861946, 1, 1], 
      Hue[0.5211079716861946, 1, 1], 
      Hue[0.5206172444172416, 1, 1], 
      Hue[0.5206172444172416, 1, 1], 
      Hue[0.5196366147834941, 1, 1], 
      Hue[0.5196366147834941, 1, 1], 
      Hue[0.5176784704295874, 1, 1], 
      Hue[0.5176784704295874, 1, 1], 
      Hue[0.517671162797467, 1, 1], 
      Hue[0.517671162797467, 1, 1], 
      Hue[0.5176638552183817, 1, 1], 
      Hue[0.5176638552183817, 1, 1], 
      Hue[0.5176492402192279, 1, 1], 
      Hue[0.5176492402192279, 1, 1], 
      Hue[0.5176200108563731, 1, 1], 
      Hue[0.5176200108563731, 1, 1], 
      Hue[0.5175615546675576, 1, 1], 
      Hue[0.5175615546675576, 1, 1], 
      Hue[0.5174446523981632, 1, 1], 
      Hue[0.5174446523981632, 1, 1], 
      Hue[0.5174373464522715, 1, 1], 
      Hue[0.5174373464522715, 1, 1], 
      Hue[0.5174300405587118, 1, 1], 
      Hue[0.5174300405587118, 1, 1], 
      Hue[0.5174154289285022, 1, 1], 
      Hue[0.5174154289285022, 1, 1], 
      Hue[0.5173862062951069, 1, 1], 
      Hue[0.5173862062951069, 1, 1], 
      Hue[0.517327763531494, 1, 1], 
      Hue[0.517327763531494, 1, 1], 
      Hue[0.5173204584202873, 1, 1], 
      Hue[0.5173204584202873, 1, 1], 
      Hue[0.5173131533610619, 1, 1], 
      Hue[0.5173131533610619, 1, 1], 
      Hue[0.5172985433984671, 1, 1], 
      Hue[0.5172985433984671, 1, 1], 
      Hue[0.5172693240960875, 1, 1], 
      Hue[0.5172693240960875, 1, 1], 
      Hue[0.5172620194001165, 1, 1], 
      Hue[0.5172620194001165, 1, 1], 
      Hue[0.5172547147559514, 1, 1], 
      Hue[0.5172547147559514, 1, 1], 
      Hue[0.5172401056229503, 1, 1], 
      Hue[0.5172401056229503, 1, 1], 
      Hue[0.5172328011340706, 1, 1], 
      Hue[0.5172328011340706, 1, 1], 
      Hue[0.5172254966969088, 1, 1], 
      Hue[0.5172254966969088, 1, 1], 
      Hue[0.517218192311443, 1, 1], 
      Hue[0.517218192311443, 1, 1], 
      Hue[0.5172108879776514, 1, 1]}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 1.2},
  Epilog->LineBox[{{-3, 1}, {3, 1}}],
  Frame->True,
  PlotRange->{-0.2, 1.7},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.3897310070006447`*^9, 3.389731048970995*^9, 
  3.389733067545782*^9, 3.3908939925097637`*^9, 3.391779922110993*^9, 
  3.391780205965208*^9, 3.391848712890625*^9, 3.3924696522462883`*^9, 
  3.393842387227544*^9, 3.3938470078509912`*^9}]
}, Open  ]],

Cell["Some more options for use with QArgColorPlot:", "Text"],

Cell["\<\
QSquared->True plots the square of the curve instead of the absolute value:\
\>", "Text"],

Cell[CellGroupData[{

Cell["QArgColorPlot[Sin[x],{x,-2Pi,Pi}, QSquared->True]", "Input"],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJx93HlYjW27x/EGURmqtZqUENGAkFSKziRlylCIUIbIGBLJk4QkGcrQKJI5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   "], {
    {GrayLevel[0.5], EdgeForm[None], 
     GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwtmg/88FN1x7/33nPOzTCTzJDypD+eqfTM+mNSTLJYadRkEmr21MzUJCup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       "]]]}, {{}, {}, {
      {Hue[0, 1, 1], LineBox[{1, 2}]}, 
      {Hue[0, 1, 1], LineBox[{2, 3}]}, 
      {Hue[0, 1, 1], LineBox[{3, 4}]}, 
      {Hue[0, 1, 1], LineBox[{4, 5}]}, 
      {Hue[0, 1, 1], LineBox[{5, 6}]}, 
      {Hue[0, 1, 1], LineBox[{6, 7}]}, 
      {Hue[0, 1, 1], LineBox[{7, 8}]}, 
      {Hue[0, 1, 1], LineBox[{8, 9}]}, 
      {Hue[0, 1, 1], LineBox[{9, 10}]}, 
      {Hue[0, 1, 1], LineBox[{10, 11}]}, 
      {Hue[0, 1, 1], LineBox[{11, 12}]}, 
      {Hue[0, 1, 1], LineBox[{12, 13}]}, 
      {Hue[0, 1, 1], LineBox[{13, 14}]}, 
      {Hue[0, 1, 1], LineBox[{14, 15}]}, 
      {Hue[0, 1, 1], LineBox[{15, 16}]}, 
      {Hue[0, 1, 1], LineBox[{16, 17}]}, 
      {Hue[0, 1, 1], LineBox[{17, 18}]}, 
      {Hue[0, 1, 1], LineBox[{18, 19}]}, 
      {Hue[0, 1, 1], LineBox[{19, 20}]}, 
      {Hue[0, 1, 1], LineBox[{20, 21}]}, 
      {Hue[0, 1, 1], LineBox[{21, 22}]}, 
      {Hue[0, 1, 1], LineBox[{22, 23}]}, 
      {Hue[0, 1, 1], LineBox[{23, 24}]}, 
      {Hue[0, 1, 1], LineBox[{24, 25}]}, 
      {Hue[0, 1, 1], LineBox[{25, 26}]}, 
      {Hue[0, 1, 1], LineBox[{26, 27}]}, 
      {Hue[0, 1, 1], LineBox[{27, 28}]}, 
      {Hue[0, 1, 1], LineBox[{28, 29}]}, 
      {Hue[0, 1, 1], LineBox[{29, 30}]}, 
      {Hue[0, 1, 1], LineBox[{30, 31}]}, 
      {Hue[0, 1, 1], LineBox[{31, 32}]}, 
      {Hue[0, 1, 1], LineBox[{32, 33}]}, 
      {Hue[0, 1, 1], LineBox[{33, 34}]}, 
      {Hue[0, 1, 1], LineBox[{34, 35}]}, 
      {Hue[0, 1, 1], LineBox[{35, 36}]}, 
      {Hue[0, 1, 1], LineBox[{36, 37}]}, 
      {Hue[0, 1, 1], LineBox[{37, 38}]}, 
      {Hue[0, 1, 1], LineBox[{38, 39}]}, 
      {Hue[0, 1, 1], LineBox[{39, 40}]}, 
      {Hue[0, 1, 1], LineBox[{40, 41}]}, 
      {Hue[0, 1, 1], LineBox[{41, 42}]}, 
      {Hue[0, 1, 1], LineBox[{42, 43}]}, 
      {Hue[0, 1, 1], LineBox[{43, 44}]}, 
      {Hue[0, 1, 1], LineBox[{44, 45}]}, 
      {Hue[0, 1, 1], LineBox[{45, 46}]}, 
      {Hue[0, 1, 1], LineBox[{46, 47}]}, 
      {Hue[0, 1, 1], LineBox[{47, 48}]}, 
      {Hue[0, 1, 1], LineBox[{48, 49}]}, 
      {Hue[0, 1, 1], LineBox[{49, 50}]}, 
      {Hue[0, 1, 1], LineBox[{50, 51}]}, 
      {Hue[0, 1, 1], LineBox[{51, 52}]}, 
      {Hue[0, 1, 1], LineBox[{52, 53}]}, 
      {Hue[0, 1, 1], LineBox[{53, 54}]}, 
      {Hue[0, 1, 1], LineBox[{54, 55}]}, 
      {Hue[0, 1, 1], LineBox[{55, 56}]}, 
      {Hue[0, 1, 1], LineBox[{56, 57}]}, 
      {Hue[0, 1, 1], LineBox[{57, 58}]}, 
      {Hue[0, 1, 1], LineBox[{58, 59}]}, 
      {Hue[0, 1, 1], LineBox[{59, 60}]}, 
      {Hue[0, 1, 1], LineBox[{60, 61}]}, 
      {Hue[0, 1, 1], LineBox[{61, 62}]}, 
      {Hue[0, 1, 1], LineBox[{62, 63}]}, 
      {Hue[0, 1, 1], LineBox[{63, 64}]}, 
      {Hue[0, 1, 1], LineBox[{64, 65}]}, 
      {Hue[0, 1, 1], LineBox[{65, 66}]}, 
      {Hue[0, 1, 1], LineBox[{66, 67}]}, 
      {Hue[0, 1, 1], LineBox[{67, 68}]}, 
      {Hue[0, 1, 1], LineBox[{68, 69}]}, 
      {Hue[0, 1, 1], LineBox[{69, 70}]}, 
      {Hue[0, 1, 1], LineBox[{70, 71}]}, 
      {Hue[0, 1, 1], LineBox[{71, 72}]}, 
      {Hue[0, 1, 1], LineBox[{72, 73}]}, 
      {Hue[0, 1, 1], LineBox[{73, 74}]}, 
      {Hue[0, 1, 1], LineBox[{74, 75}]}, 
      {Hue[0, 1, 1], LineBox[{75, 76}]}, 
      {Hue[0, 1, 1], LineBox[{76, 77}]}, 
      {Hue[0, 1, 1], LineBox[{77, 78}]}, 
      {Hue[0, 1, 1], LineBox[{78, 79}]}, 
      {Hue[0, 1, 1], LineBox[{79, 80}]}, 
      {Hue[0, 1, 1], LineBox[{80, 81}]}, 
      {Hue[0, 1, 1], LineBox[{81, 82}]}, 
      {Hue[0, 1, 1], LineBox[{82, 83}]}, 
      {Hue[0, 1, 1], LineBox[{83, 84}]}, 
      {Hue[0, 1, 1], LineBox[{84, 85}]}, 
      {Hue[0, 1, 1], LineBox[{85, 86}]}, 
      {Hue[0, 1, 1], LineBox[{86, 87}]}, 
      {Hue[0, 1, 1], LineBox[{87, 88}]}, 
      {Hue[0, 1, 1], LineBox[{88, 89}]}, 
      {Hue[0, 1, 1], LineBox[{89, 90}]}, 
      {Hue[0, 1, 1], LineBox[{90, 91}]}, 
      {Hue[0, 1, 1], LineBox[{91, 92}]}, 
      {Hue[0, 1, 1], LineBox[{92, 93}]}, 
      {Hue[0, 1, 1], LineBox[{93, 94}]}, 
      {Hue[0, 1, 1], LineBox[{94, 95}]}, 
      {Hue[0, 1, 1], LineBox[{95, 96}]}, 
      {Hue[0, 1, 1], LineBox[{96, 97}]}, 
      {Hue[0, 1, 1], LineBox[{97, 98}]}, 
      {Hue[0, 1, 1], LineBox[{98, 99}]}, 
      {Hue[0, 1, 1], LineBox[{99, 100}]}, 
      {Hue[0, 1, 1], LineBox[{100, 101}]}, 
      {Hue[0, 1, 1], LineBox[{101, 102}]}, 
      {Hue[0, 1, 1], LineBox[{102, 103}]}, 
      {Hue[0, 1, 1], LineBox[{103, 104}]}, 
      {Hue[0, 1, 1], LineBox[{104, 105}]}, 
      {Hue[0, 1, 1], LineBox[{105, 106}]}, 
      {Hue[0, 1, 1], LineBox[{106, 107}]}, 
      {Hue[0, 1, 1], LineBox[{107, 108}]}, 
      {Hue[0, 1, 1], LineBox[{108, 109}]}, 
      {Hue[0, 1, 1], LineBox[{109, 110}]}, 
      {Hue[0, 1, 1], LineBox[{110, 111}]}, 
      {Hue[0, 1, 1], LineBox[{111, 112}]}, 
      {Hue[0, 1, 1], LineBox[{112, 113}]}, 
      {Hue[0, 1, 1], LineBox[{113, 114}]}, 
      {Hue[0, 1, 1], LineBox[{114, 115}]}, 
      {Hue[0, 1, 1], LineBox[{115, 116}]}, 
      {Hue[0, 1, 1], LineBox[{116, 117}]}, 
      {Hue[0, 1, 1], LineBox[{117, 118}]}, 
      {Hue[0, 1, 1], LineBox[{118, 119}]}, 
      {Hue[0, 1, 1], LineBox[{119, 120}]}, 
      {Hue[0, 1, 1], LineBox[{120, 121}]}, 
      {Hue[0, 1, 1], LineBox[{121, 122}]}, 
      {Hue[0, 1, 1], LineBox[{122, 123}]}, 
      {Hue[0, 1, 1], LineBox[{123, 124}]}, 
      {Hue[0, 1, 1], LineBox[{124, 125}]}, 
      {Hue[0, 1, 1], LineBox[{125, 126}]}, 
      {Hue[0, 1, 1], LineBox[{126, 127}]}, 
      {Hue[0, 1, 1], LineBox[{127, 128}]}, 
      {Hue[0, 1, 1], LineBox[{128, 129}]}, 
      {Hue[0, 1, 1], LineBox[{129, 130}]}, 
      {Hue[0, 1, 1], LineBox[{130, 131}]}, 
      {Hue[0, 1, 1], LineBox[{131, 132}]}, 
      {Hue[0, 1, 1], LineBox[{132, 133}]}, 
      {Hue[0, 1, 1], LineBox[{133, 134}]}, 
      {Hue[0, 1, 1], LineBox[{134, 135}]}, 
      {Hue[0, 1, 1], LineBox[{135, 136}]}, 
      {Hue[0, 1, 1], LineBox[{136, 137}]}, 
      {Hue[0, 1, 1], LineBox[{137, 138}]}, 
      {Hue[0, 1, 1], LineBox[{138, 139}]}, 
      {Hue[0, 1, 1], LineBox[{139, 140}]}, 
      {Hue[0, 1, 1], LineBox[{140, 141}]}, 
      {Hue[0, 1, 1], LineBox[{141, 142}]}, 
      {Hue[0, 1, 1], LineBox[{142, 143}]}, 
      {Hue[0, 1, 1], LineBox[{143, 144}]}, 
      {Hue[0, 1, 1], LineBox[{144, 145}]}, 
      {Hue[0, 1, 1], LineBox[{145, 146}]}, 
      {Hue[0, 1, 1], LineBox[{146, 147}]}, 
      {Hue[0, 1, 1], LineBox[{147, 148}]}, 
      {Hue[0, 1, 1], LineBox[{148, 149}]}, 
      {Hue[0, 1, 1], LineBox[{149, 150}]}, 
      {Hue[0, 1, 1], LineBox[{150, 151}]}, 
      {Hue[0, 1, 1], LineBox[{151, 152}]}, 
      {Hue[0, 1, 1], LineBox[{152, 153}]}, 
      {Hue[0, 1, 1], LineBox[{153, 154}]}, 
      {Hue[0, 1, 1], LineBox[{154, 155}]}, 
      {Hue[0, 1, 1], LineBox[{155, 156}]}, 
      {Hue[0, 1, 1], LineBox[{156, 157}]}, 
      {Hue[0, 1, 1], LineBox[{157, 158}]}, 
      {Hue[0, 1, 1], LineBox[{158, 159}]}, 
      {Hue[0, 1, 1], LineBox[{159, 160}]}, 
      {Hue[0, 1, 1], LineBox[{160, 161}]}, 
      {Hue[0, 1, 1], LineBox[{161, 162}]}, 
      {Hue[0, 1, 1], LineBox[{162, 163}]}, 
      {Hue[0, 1, 1], LineBox[{163, 164}]}, 
      {Hue[0, 1, 1], LineBox[{164, 165}]}, 
      {Hue[0, 1, 1], LineBox[{165, 166}]}, 
      {Hue[0, 1, 1], LineBox[{166, 167}]}, 
      {Hue[0, 1, 1], LineBox[{167, 168}]}, 
      {Hue[0, 1, 1], LineBox[{168, 169}]}, 
      {Hue[0, 1, 1], LineBox[{169, 170}]}, 
      {Hue[0, 1, 1], LineBox[{170, 171}]}, 
      {Hue[0, 1, 1], LineBox[{171, 172}]}, 
      {Hue[0, 1, 1], LineBox[{172, 173}]}, 
      {Hue[0, 1, 1], LineBox[{173, 174}]}, 
      {Hue[0, 1, 1], LineBox[{174, 175}]}, 
      {Hue[0, 1, 1], LineBox[{175, 176}]}, 
      {Hue[0, 1, 1], LineBox[{176, 177}]}, 
      {Hue[0, 1, 1], LineBox[{177, 178}]}, 
      {Hue[0, 1, 1], LineBox[{178, 179}]}, 
      {Hue[0, 1, 1], LineBox[{179, 180}]}, 
      {Hue[0, 1, 1], LineBox[{180, 181}]}, 
      {Hue[0, 1, 1], LineBox[{181, 182}]}, 
      {Hue[0, 1, 1], LineBox[{182, 183}]}, 
      {Hue[0, 1, 1], LineBox[{183, 184}]}, 
      {Hue[0, 1, 1], LineBox[{184, 185}]}, 
      {Hue[0, 1, 1], LineBox[{185, 186}]}, 
      {Hue[0, 1, 1], LineBox[{186, 187}]}, 
      {Hue[0, 1, 1], LineBox[{187, 188}]}, 
      {Hue[0, 1, 1], LineBox[{188, 189}]}, 
      {Hue[0, 1, 1], LineBox[{189, 190}]}, 
      {Hue[0, 1, 1], LineBox[{190, 191}]}, 
      {Hue[0, 1, 1], LineBox[{191, 192}]}, 
      {Hue[0, 1, 1], LineBox[{192, 193}]}, 
      {Hue[0, 1, 1], LineBox[{193, 194}]}, 
      {Hue[0, 1, 1], LineBox[{194, 195}]}, 
      {Hue[0, 1, 1], LineBox[{195, 196}]}, 
      {Hue[0, 1, 1], LineBox[{196, 197}]}, 
      {Hue[0, 1, 1], LineBox[{197, 198}]}, 
      {Hue[0, 1, 1], LineBox[{198, 199}]}, 
      {Hue[0, 1, 1], LineBox[{199, 200}]}, 
      {Hue[0, 1, 1], LineBox[{200, 201}]}, 
      {Hue[0, 1, 1], LineBox[{201, 202}]}, 
      {Hue[0, 1, 1], LineBox[{202, 203}]}, 
      {Hue[0, 1, 1], LineBox[{203, 204}]}, 
      {Hue[0, 1, 1], LineBox[{204, 205}]}, 
      {Hue[0, 1, 1], LineBox[{205, 206}]}, 
      {Hue[0, 1, 1], LineBox[{206, 207}]}, 
      {Hue[0, 1, 1], LineBox[{207, 208}]}, 
      {Hue[0, 1, 1], LineBox[{208, 209}]}, 
      {Hue[0, 1, 1], LineBox[{209, 210}]}, 
      {Hue[0, 1, 1], LineBox[{210, 211}]}, 
      {Hue[0, 1, 1], LineBox[{211, 212}]}, 
      {Hue[0, 1, 1], LineBox[{212, 213}]}, 
      {Hue[0, 1, 1], LineBox[{213, 214}]}, 
      {Hue[0, 1, 1], LineBox[{214, 215}]}, 
      {Hue[0, 1, 1], LineBox[{215, 216}]}, 
      {Hue[0, 1, 1], LineBox[{216, 217}]}, 
      {Hue[0, 1, 1], LineBox[{217, 218}]}, 
      {Hue[0, 1, 1], LineBox[{218, 219}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{219, 220}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{220, 221}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{221, 222}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{222, 223}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{223, 224}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{224, 225}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{225, 226}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{226, 227}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{227, 228}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{228, 229}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{229, 230}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{230, 231}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{231, 232}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{232, 233}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{233, 234}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{234, 235}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{235, 236}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{236, 237}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{237, 238}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{238, 239}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{239, 240}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{240, 241}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{241, 242}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{242, 243}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{243, 244}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{244, 245}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{245, 246}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{246, 247}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{247, 248}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{248, 249}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{249, 250}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{250, 251}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{251, 252}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{252, 253}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{253, 254}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{254, 255}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{255, 256}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{256, 257}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{257, 258}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{258, 259}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{259, 260}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{260, 261}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{261, 262}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{262, 263}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{263, 264}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{264, 265}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{265, 266}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{266, 267}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{267, 268}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{268, 269}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{269, 270}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{270, 271}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{271, 272}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{272, 273}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{273, 274}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{274, 275}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{275, 276}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{276, 277}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{277, 278}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{278, 279}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{279, 280}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{280, 281}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{281, 282}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{282, 283}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{283, 284}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{284, 285}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{285, 286}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{286, 287}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{287, 288}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{288, 289}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{289, 290}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{290, 291}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{291, 292}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{292, 293}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{293, 294}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{294, 295}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{295, 296}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{296, 297}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{297, 298}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{298, 299}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{299, 300}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{300, 301}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{301, 302}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{302, 303}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{303, 304}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{304, 305}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{305, 306}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{306, 307}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{307, 308}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{308, 309}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{309, 310}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{310, 311}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{311, 312}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{312, 313}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{313, 314}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{314, 315}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{315, 316}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{316, 317}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{317, 318}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{318, 319}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{319, 320}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{320, 321}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{321, 322}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{322, 323}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{323, 324}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{324, 325}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{325, 326}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{326, 327}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{327, 328}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{328, 329}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{329, 330}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{330, 331}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{331, 332}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{332, 333}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{333, 334}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{334, 335}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{335, 336}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{336, 337}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{337, 338}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{338, 339}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{339, 340}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{340, 341}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{341, 342}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{342, 343}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{343, 344}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{344, 345}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{345, 346}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{346, 347}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{347, 348}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{348, 349}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{349, 350}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{350, 351}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{351, 352}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{352, 353}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{353, 354}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{354, 355}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{355, 356}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{356, 357}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{357, 358}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{358, 359}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{359, 360}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{360, 361}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{361, 362}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{362, 363}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{363, 364}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{364, 365}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{365, 366}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{366, 367}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{367, 368}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{368, 369}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{369, 370}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{370, 371}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{371, 372}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{372, 373}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{373, 374}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{374, 375}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{375, 376}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{376, 377}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{377, 378}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{378, 379}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{379, 380}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{380, 381}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{381, 382}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{382, 383}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{383, 384}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{384, 385}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{385, 386}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{386, 387}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{387, 388}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{388, 389}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{389, 390}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{390, 391}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{391, 392}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{392, 393}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{393, 394}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{394, 395}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{395, 396}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{396, 397}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{397, 398}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{398, 399}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{399, 400}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{400, 401}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{401, 402}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{402, 403}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{403, 404}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{404, 405}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{405, 406}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{406, 407}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{407, 408}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{408, 409}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{409, 410}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{410, 411}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{411, 412}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{412, 413}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{413, 414}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{414, 415}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{415, 416}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{416, 417}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{417, 418}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{418, 419}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{419, 420}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{420, 421}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{421, 422}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{422, 423}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{423, 424}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{424, 425}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{425, 426}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{426, 427}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{427, 428}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{428, 429}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{429, 430}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{430, 431}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{431, 432}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{432, 433}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{433, 434}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{434, 435}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{435, 436}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{436, 437}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{437, 438}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{438, 439}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{439, 440}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{440, 441}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{441, 442}]}, 
      {Hue[0, 1, 1], LineBox[{442, 443}]}, 
      {Hue[0, 1, 1], LineBox[{443, 444}]}, 
      {Hue[0, 1, 1], LineBox[{444, 445}]}, 
      {Hue[0, 1, 1], LineBox[{445, 446}]}, 
      {Hue[0, 1, 1], LineBox[{446, 447}]}, 
      {Hue[0, 1, 1], LineBox[{447, 448}]}, 
      {Hue[0, 1, 1], LineBox[{448, 449}]}, 
      {Hue[0, 1, 1], LineBox[{449, 450}]}, 
      {Hue[0, 1, 1], LineBox[{450, 451}]}, 
      {Hue[0, 1, 1], LineBox[{451, 452}]}, 
      {Hue[0, 1, 1], LineBox[{452, 453}]}, 
      {Hue[0, 1, 1], LineBox[{453, 454}]}, 
      {Hue[0, 1, 1], LineBox[{454, 455}]}, 
      {Hue[0, 1, 1], LineBox[{455, 456}]}, 
      {Hue[0, 1, 1], LineBox[{456, 457}]}, 
      {Hue[0, 1, 1], LineBox[{457, 458}]}, 
      {Hue[0, 1, 1], LineBox[{458, 459}]}, 
      {Hue[0, 1, 1], LineBox[{459, 460}]}, 
      {Hue[0, 1, 1], LineBox[{460, 461}]}, 
      {Hue[0, 1, 1], LineBox[{461, 462}]}, 
      {Hue[0, 1, 1], LineBox[{462, 463}]}, 
      {Hue[0, 1, 1], LineBox[{463, 464}]}, 
      {Hue[0, 1, 1], LineBox[{464, 465}]}, 
      {Hue[0, 1, 1], LineBox[{465, 466}]}, 
      {Hue[0, 1, 1], LineBox[{466, 467}]}, 
      {Hue[0, 1, 1], LineBox[{467, 468}]}, 
      {Hue[0, 1, 1], LineBox[{468, 469}]}, 
      {Hue[0, 1, 1], LineBox[{469, 470}]}, 
      {Hue[0, 1, 1], LineBox[{470, 471}]}, 
      {Hue[0, 1, 1], LineBox[{471, 472}]}, 
      {Hue[0, 1, 1], LineBox[{472, 473}]}, 
      {Hue[0, 1, 1], LineBox[{473, 474}]}, 
      {Hue[0, 1, 1], LineBox[{474, 475}]}, 
      {Hue[0, 1, 1], LineBox[{475, 476}]}, 
      {Hue[0, 1, 1], LineBox[{476, 477}]}, 
      {Hue[0, 1, 1], LineBox[{477, 478}]}, 
      {Hue[0, 1, 1], LineBox[{478, 479}]}, 
      {Hue[0, 1, 1], LineBox[{479, 480}]}, 
      {Hue[0, 1, 1], LineBox[{480, 481}]}, 
      {Hue[0, 1, 1], LineBox[{481, 482}]}, 
      {Hue[0, 1, 1], LineBox[{482, 483}]}, 
      {Hue[0, 1, 1], LineBox[{483, 484}]}, 
      {Hue[0, 1, 1], LineBox[{484, 485}]}, 
      {Hue[0, 1, 1], LineBox[{485, 486}]}, 
      {Hue[0, 1, 1], LineBox[{486, 487}]}, 
      {Hue[0, 1, 1], LineBox[{487, 488}]}, 
      {Hue[0, 1, 1], LineBox[{488, 489}]}, 
      {Hue[0, 1, 1], LineBox[{489, 490}]}, 
      {Hue[0, 1, 1], LineBox[{490, 491}]}, 
      {Hue[0, 1, 1], LineBox[{491, 492}]}, 
      {Hue[0, 1, 1], LineBox[{492, 493}]}, 
      {Hue[0, 1, 1], LineBox[{493, 494}]}, 
      {Hue[0, 1, 1], LineBox[{494, 495}]}, 
      {Hue[0, 1, 1], LineBox[{495, 496}]}, 
      {Hue[0, 1, 1], LineBox[{496, 497}]}, 
      {Hue[0, 1, 1], LineBox[{497, 498}]}, 
      {Hue[0, 1, 1], LineBox[{498, 499}]}, 
      {Hue[0, 1, 1], LineBox[{499, 500}]}, 
      {Hue[0, 1, 1], LineBox[{500, 501}]}, 
      {Hue[0, 1, 1], LineBox[{501, 502}]}, 
      {Hue[0, 1, 1], LineBox[{502, 503}]}, 
      {Hue[0, 1, 1], LineBox[{503, 504}]}, 
      {Hue[0, 1, 1], LineBox[{504, 505}]}, 
      {Hue[0, 1, 1], LineBox[{505, 506}]}, 
      {Hue[0, 1, 1], LineBox[{506, 507}]}, 
      {Hue[0, 1, 1], LineBox[{507, 508}]}, 
      {Hue[0, 1, 1], LineBox[{508, 509}]}, 
      {Hue[0, 1, 1], LineBox[{509, 510}]}, 
      {Hue[0, 1, 1], LineBox[{510, 511}]}, 
      {Hue[0, 1, 1], LineBox[{511, 512}]}, 
      {Hue[0, 1, 1], LineBox[{512, 513}]}, 
      {Hue[0, 1, 1], LineBox[{513, 514}]}, 
      {Hue[0, 1, 1], LineBox[{514, 515}]}, 
      {Hue[0, 1, 1], LineBox[{515, 516}]}, 
      {Hue[0, 1, 1], LineBox[{516, 517}]}, 
      {Hue[0, 1, 1], LineBox[{517, 518}]}, 
      {Hue[0, 1, 1], LineBox[{518, 519}]}, 
      {Hue[0, 1, 1], LineBox[{519, 520}]}, 
      {Hue[0, 1, 1], LineBox[{520, 521}]}, 
      {Hue[0, 1, 1], LineBox[{521, 522}]}, 
      {Hue[0, 1, 1], LineBox[{522, 523}]}, 
      {Hue[0, 1, 1], LineBox[{523, 524}]}, 
      {Hue[0, 1, 1], LineBox[{524, 525}]}, 
      {Hue[0, 1, 1], LineBox[{525, 526}]}, 
      {Hue[0, 1, 1], LineBox[{526, 527}]}, 
      {Hue[0, 1, 1], LineBox[{527, 528}]}, 
      {Hue[0, 1, 1], LineBox[{528, 529}]}, 
      {Hue[0, 1, 1], LineBox[{529, 530}]}, 
      {Hue[0, 1, 1], LineBox[{530, 531}]}, 
      {Hue[0, 1, 1], LineBox[{531, 532}]}, 
      {Hue[0, 1, 1], LineBox[{532, 533}]}, 
      {Hue[0, 1, 1], LineBox[{533, 534}]}, 
      {Hue[0, 1, 1], LineBox[{534, 535}]}, 
      {Hue[0, 1, 1], LineBox[{535, 536}]}, 
      {Hue[0, 1, 1], LineBox[{536, 537}]}, 
      {Hue[0, 1, 1], LineBox[{537, 538}]}, 
      {Hue[0, 1, 1], LineBox[{538, 539}]}, 
      {Hue[0, 1, 1], LineBox[{539, 540}]}, 
      {Hue[0, 1, 1], LineBox[{540, 541}]}, 
      {Hue[0, 1, 1], LineBox[{541, 542}]}, 
      {Hue[0, 1, 1], LineBox[{542, 543}]}, 
      {Hue[0, 1, 1], LineBox[{543, 544}]}, 
      {Hue[0, 1, 1], LineBox[{544, 545}]}, 
      {Hue[0, 1, 1], LineBox[{545, 546}]}, 
      {Hue[0, 1, 1], LineBox[{546, 547}]}, 
      {Hue[0, 1, 1], LineBox[{547, 548}]}, 
      {Hue[0, 1, 1], LineBox[{548, 549}]}, 
      {Hue[0, 1, 1], LineBox[{549, 550}]}, 
      {Hue[0, 1, 1], LineBox[{550, 551}]}, 
      {Hue[0, 1, 1], LineBox[{551, 552}]}, 
      {Hue[0, 1, 1], LineBox[{552, 553}]}, 
      {Hue[0, 1, 1], LineBox[{553, 554}]}, 
      {Hue[0, 1, 1], LineBox[{554, 555}]}, 
      {Hue[0, 1, 1], LineBox[{555, 556}]}, 
      {Hue[0, 1, 1], LineBox[{556, 557}]}, 
      {Hue[0, 1, 1], LineBox[{557, 558}]}, 
      {Hue[0, 1, 1], LineBox[{558, 559}]}, 
      {Hue[0, 1, 1], LineBox[{559, 560}]}, 
      {Hue[0, 1, 1], LineBox[{560, 561}]}, 
      {Hue[0, 1, 1], LineBox[{561, 562}]}, 
      {Hue[0, 1, 1], LineBox[{562, 563}]}, 
      {Hue[0, 1, 1], LineBox[{563, 564}]}, 
      {Hue[0, 1, 1], LineBox[{564, 565}]}, 
      {Hue[0, 1, 1], LineBox[{565, 566}]}, 
      {Hue[0, 1, 1], LineBox[{566, 567}]}, 
      {Hue[0, 1, 1], LineBox[{567, 568}]}, 
      {Hue[0, 1, 1], LineBox[{568, 569}]}, 
      {Hue[0, 1, 1], LineBox[{569, 570}]}, 
      {Hue[0, 1, 1], LineBox[{570, 571}]}, 
      {Hue[0, 1, 1], LineBox[{571, 572}]}, 
      {Hue[0, 1, 1], LineBox[{572, 573}]}, 
      {Hue[0, 1, 1], LineBox[{573, 574}]}, 
      {Hue[0, 1, 1], LineBox[{574, 575}]}, 
      {Hue[0, 1, 1], LineBox[{575, 576}]}, 
      {Hue[0, 1, 1], LineBox[{576, 577}]}, 
      {Hue[0, 1, 1], LineBox[{577, 578}]}, 
      {Hue[0, 1, 1], LineBox[{578, 579}]}, 
      {Hue[0, 1, 1], LineBox[{579, 580}]}, 
      {Hue[0, 1, 1], LineBox[{580, 581}]}, 
      {Hue[0, 1, 1], LineBox[{581, 582}]}, 
      {Hue[0, 1, 1], LineBox[{582, 583}]}, 
      {Hue[0, 1, 1], LineBox[{583, 584}]}, 
      {Hue[0, 1, 1], LineBox[{584, 585}]}, 
      {Hue[0, 1, 1], LineBox[{585, 586}]}, 
      {Hue[0, 1, 1], LineBox[{586, 587}]}, 
      {Hue[0, 1, 1], LineBox[{587, 588}]}, 
      {Hue[0, 1, 1], LineBox[{588, 589}]}, 
      {Hue[0, 1, 1], LineBox[{589, 590}]}, 
      {Hue[0, 1, 1], LineBox[{590, 591}]}, 
      {Hue[0, 1, 1], LineBox[{591, 592}]}, 
      {Hue[0, 1, 1], LineBox[{592, 593}]}, 
      {Hue[0, 1, 1], LineBox[{593, 594}]}, 
      {Hue[0, 1, 1], LineBox[{594, 595}]}, 
      {Hue[0, 1, 1], LineBox[{595, 596}]}, 
      {Hue[0, 1, 1], LineBox[{596, 597}]}, 
      {Hue[0, 1, 1], LineBox[{597, 598}]}, 
      {Hue[0, 1, 1], LineBox[{598, 599}]}, 
      {Hue[0, 1, 1], LineBox[{599, 600}]}, 
      {Hue[0, 1, 1], LineBox[{600, 601}]}, 
      {Hue[0, 1, 1], LineBox[{601, 602}]}, 
      {Hue[0, 1, 1], LineBox[{602, 603}]}, 
      {Hue[0, 1, 1], LineBox[{603, 604}]}, 
      {Hue[0, 1, 1], LineBox[{604, 605}]}, 
      {Hue[0, 1, 1], LineBox[{605, 606}]}, 
      {Hue[0, 1, 1], LineBox[{606, 607}]}, 
      {Hue[0, 1, 1], LineBox[{607, 608}]}, 
      {Hue[0, 1, 1], LineBox[{608, 609}]}, 
      {Hue[0, 1, 1], LineBox[{609, 610}]}, 
      {Hue[0, 1, 1], LineBox[{610, 611}]}, 
      {Hue[0, 1, 1], LineBox[{611, 612}]}, 
      {Hue[0, 1, 1], LineBox[{612, 613}]}, 
      {Hue[0, 1, 1], LineBox[{613, 614}]}, 
      {Hue[0, 1, 1], LineBox[{614, 615}]}, 
      {Hue[0, 1, 1], LineBox[{615, 616}]}, 
      {Hue[0, 1, 1], LineBox[{616, 617}]}, 
      {Hue[0, 1, 1], LineBox[{617, 618}]}, 
      {Hue[0, 1, 1], LineBox[{618, 619}]}, 
      {Hue[0, 1, 1], LineBox[{619, 620}]}, 
      {Hue[0, 1, 1], LineBox[{620, 621}]}, 
      {Hue[0, 1, 1], LineBox[{621, 622}]}, 
      {Hue[0, 1, 1], LineBox[{622, 623}]}, 
      {Hue[0, 1, 1], LineBox[{623, 624}]}, 
      {Hue[0, 1, 1], LineBox[{624, 625}]}, 
      {Hue[0, 1, 1], LineBox[{625, 626}]}, 
      {Hue[0, 1, 1], LineBox[{626, 627}]}, 
      {Hue[0, 1, 1], LineBox[{627, 628}]}, 
      {Hue[0, 1, 1], LineBox[{628, 629}]}, 
      {Hue[0, 1, 1], LineBox[{629, 630}]}, 
      {Hue[0, 1, 1], LineBox[{630, 631}]}, 
      {Hue[0, 1, 1], LineBox[{631, 632}]}, 
      {Hue[0, 1, 1], LineBox[{632, 633}]}, 
      {Hue[0, 1, 1], LineBox[{633, 634}]}, 
      {Hue[0, 1, 1], LineBox[{634, 635}]}, 
      {Hue[0, 1, 1], LineBox[{635, 636}]}, 
      {Hue[0, 1, 1], LineBox[{636, 637}]}, 
      {Hue[0, 1, 1], LineBox[{637, 638}]}, 
      {Hue[0, 1, 1], LineBox[{638, 639}]}, 
      {Hue[0, 1, 1], LineBox[{639, 640}]}, 
      {Hue[0, 1, 1], LineBox[{640, 641}]}, 
      {Hue[0, 1, 1], LineBox[{641, 642}]}, 
      {Hue[0, 1, 1], LineBox[{642, 643}]}, 
      {Hue[0, 1, 1], LineBox[{643, 644}]}, 
      {Hue[0, 1, 1], LineBox[{644, 645}]}, 
      {Hue[0, 1, 1], LineBox[{645, 646}]}, 
      {Hue[0, 1, 1], LineBox[{646, 647}]}, 
      {Hue[0, 1, 1], LineBox[{647, 648}]}, 
      {Hue[0, 1, 1], LineBox[{648, 649}]}, 
      {Hue[0, 1, 1], LineBox[{649, 650}]}, 
      {Hue[0, 1, 1], LineBox[{650, 651}]}, 
      {Hue[0, 1, 1], LineBox[{651, 652}]}, 
      {Hue[0, 1, 1], LineBox[{652, 653}]}, 
      {Hue[0, 1, 1], LineBox[{653, 654}]}, 
      {Hue[0, 1, 1], LineBox[{654, 655}]}, 
      {Hue[0, 1, 1], LineBox[{655, 656}]}, 
      {Hue[0, 1, 1], LineBox[{656, 657}]}, 
      {Hue[0, 1, 1], LineBox[{657, 658}]}, 
      {Hue[0, 1, 1], LineBox[{658, 659}]}, 
      {Hue[0, 1, 1], LineBox[{659, 660}]}, 
      {Hue[0, 1, 1], LineBox[{660, 661}]}}}},
   VertexColors->{
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1]}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{-6.2831851148371785`, 3.141592461247386}, {0., 
   0.9999994738293557}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.3897310071308317`*^9, 3.389731050543256*^9, 
  3.3897330691781297`*^9, 3.39089399394296*^9, 3.391779922847972*^9, 
  3.391780213344058*^9, 3.39184871715625*^9, 3.3924696531736794`*^9, 
  3.393842388409987*^9, 3.3938470090104933`*^9}]
}, Open  ]],

Cell["\<\
QShiftPlot->number performs a vertical shift of the whole plot by number.\
\>", "Text"],

Cell[CellGroupData[{

Cell["\<\
QArgColorPlot[Sin[x],{x,-2Pi,Pi}, QShiftPlot->1, PlotRange->{0,2}]\
\>", "Input"],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJx13GlYTWvYB/AGDTuh9m6SQnSUKXMlw50pQsaIDBkiynwisxAyzw0KZR4q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   "], {
    {GrayLevel[0.5], EdgeForm[None], 
     GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwtmg/88FN1x7/33nPOzTCTzJDypD+eqfTM+mNSTLJYadRkEmr21MzUJCup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       "]]]}, {{}, {}, {
      {Hue[0, 1, 1], LineBox[{1, 2}]}, 
      {Hue[0, 1, 1], LineBox[{2, 3}]}, 
      {Hue[0, 1, 1], LineBox[{3, 4}]}, 
      {Hue[0, 1, 1], LineBox[{4, 5}]}, 
      {Hue[0, 1, 1], LineBox[{5, 6}]}, 
      {Hue[0, 1, 1], LineBox[{6, 7}]}, 
      {Hue[0, 1, 1], LineBox[{7, 8}]}, 
      {Hue[0, 1, 1], LineBox[{8, 9}]}, 
      {Hue[0, 1, 1], LineBox[{9, 10}]}, 
      {Hue[0, 1, 1], LineBox[{10, 11}]}, 
      {Hue[0, 1, 1], LineBox[{11, 12}]}, 
      {Hue[0, 1, 1], LineBox[{12, 13}]}, 
      {Hue[0, 1, 1], LineBox[{13, 14}]}, 
      {Hue[0, 1, 1], LineBox[{14, 15}]}, 
      {Hue[0, 1, 1], LineBox[{15, 16}]}, 
      {Hue[0, 1, 1], LineBox[{16, 17}]}, 
      {Hue[0, 1, 1], LineBox[{17, 18}]}, 
      {Hue[0, 1, 1], LineBox[{18, 19}]}, 
      {Hue[0, 1, 1], LineBox[{19, 20}]}, 
      {Hue[0, 1, 1], LineBox[{20, 21}]}, 
      {Hue[0, 1, 1], LineBox[{21, 22}]}, 
      {Hue[0, 1, 1], LineBox[{22, 23}]}, 
      {Hue[0, 1, 1], LineBox[{23, 24}]}, 
      {Hue[0, 1, 1], LineBox[{24, 25}]}, 
      {Hue[0, 1, 1], LineBox[{25, 26}]}, 
      {Hue[0, 1, 1], LineBox[{26, 27}]}, 
      {Hue[0, 1, 1], LineBox[{27, 28}]}, 
      {Hue[0, 1, 1], LineBox[{28, 29}]}, 
      {Hue[0, 1, 1], LineBox[{29, 30}]}, 
      {Hue[0, 1, 1], LineBox[{30, 31}]}, 
      {Hue[0, 1, 1], LineBox[{31, 32}]}, 
      {Hue[0, 1, 1], LineBox[{32, 33}]}, 
      {Hue[0, 1, 1], LineBox[{33, 34}]}, 
      {Hue[0, 1, 1], LineBox[{34, 35}]}, 
      {Hue[0, 1, 1], LineBox[{35, 36}]}, 
      {Hue[0, 1, 1], LineBox[{36, 37}]}, 
      {Hue[0, 1, 1], LineBox[{37, 38}]}, 
      {Hue[0, 1, 1], LineBox[{38, 39}]}, 
      {Hue[0, 1, 1], LineBox[{39, 40}]}, 
      {Hue[0, 1, 1], LineBox[{40, 41}]}, 
      {Hue[0, 1, 1], LineBox[{41, 42}]}, 
      {Hue[0, 1, 1], LineBox[{42, 43}]}, 
      {Hue[0, 1, 1], LineBox[{43, 44}]}, 
      {Hue[0, 1, 1], LineBox[{44, 45}]}, 
      {Hue[0, 1, 1], LineBox[{45, 46}]}, 
      {Hue[0, 1, 1], LineBox[{46, 47}]}, 
      {Hue[0, 1, 1], LineBox[{47, 48}]}, 
      {Hue[0, 1, 1], LineBox[{48, 49}]}, 
      {Hue[0, 1, 1], LineBox[{49, 50}]}, 
      {Hue[0, 1, 1], LineBox[{50, 51}]}, 
      {Hue[0, 1, 1], LineBox[{51, 52}]}, 
      {Hue[0, 1, 1], LineBox[{52, 53}]}, 
      {Hue[0, 1, 1], LineBox[{53, 54}]}, 
      {Hue[0, 1, 1], LineBox[{54, 55}]}, 
      {Hue[0, 1, 1], LineBox[{55, 56}]}, 
      {Hue[0, 1, 1], LineBox[{56, 57}]}, 
      {Hue[0, 1, 1], LineBox[{57, 58}]}, 
      {Hue[0, 1, 1], LineBox[{58, 59}]}, 
      {Hue[0, 1, 1], LineBox[{59, 60}]}, 
      {Hue[0, 1, 1], LineBox[{60, 61}]}, 
      {Hue[0, 1, 1], LineBox[{61, 62}]}, 
      {Hue[0, 1, 1], LineBox[{62, 63}]}, 
      {Hue[0, 1, 1], LineBox[{63, 64}]}, 
      {Hue[0, 1, 1], LineBox[{64, 65}]}, 
      {Hue[0, 1, 1], LineBox[{65, 66}]}, 
      {Hue[0, 1, 1], LineBox[{66, 67}]}, 
      {Hue[0, 1, 1], LineBox[{67, 68}]}, 
      {Hue[0, 1, 1], LineBox[{68, 69}]}, 
      {Hue[0, 1, 1], LineBox[{69, 70}]}, 
      {Hue[0, 1, 1], LineBox[{70, 71}]}, 
      {Hue[0, 1, 1], LineBox[{71, 72}]}, 
      {Hue[0, 1, 1], LineBox[{72, 73}]}, 
      {Hue[0, 1, 1], LineBox[{73, 74}]}, 
      {Hue[0, 1, 1], LineBox[{74, 75}]}, 
      {Hue[0, 1, 1], LineBox[{75, 76}]}, 
      {Hue[0, 1, 1], LineBox[{76, 77}]}, 
      {Hue[0, 1, 1], LineBox[{77, 78}]}, 
      {Hue[0, 1, 1], LineBox[{78, 79}]}, 
      {Hue[0, 1, 1], LineBox[{79, 80}]}, 
      {Hue[0, 1, 1], LineBox[{80, 81}]}, 
      {Hue[0, 1, 1], LineBox[{81, 82}]}, 
      {Hue[0, 1, 1], LineBox[{82, 83}]}, 
      {Hue[0, 1, 1], LineBox[{83, 84}]}, 
      {Hue[0, 1, 1], LineBox[{84, 85}]}, 
      {Hue[0, 1, 1], LineBox[{85, 86}]}, 
      {Hue[0, 1, 1], LineBox[{86, 87}]}, 
      {Hue[0, 1, 1], LineBox[{87, 88}]}, 
      {Hue[0, 1, 1], LineBox[{88, 89}]}, 
      {Hue[0, 1, 1], LineBox[{89, 90}]}, 
      {Hue[0, 1, 1], LineBox[{90, 91}]}, 
      {Hue[0, 1, 1], LineBox[{91, 92}]}, 
      {Hue[0, 1, 1], LineBox[{92, 93}]}, 
      {Hue[0, 1, 1], LineBox[{93, 94}]}, 
      {Hue[0, 1, 1], LineBox[{94, 95}]}, 
      {Hue[0, 1, 1], LineBox[{95, 96}]}, 
      {Hue[0, 1, 1], LineBox[{96, 97}]}, 
      {Hue[0, 1, 1], LineBox[{97, 98}]}, 
      {Hue[0, 1, 1], LineBox[{98, 99}]}, 
      {Hue[0, 1, 1], LineBox[{99, 100}]}, 
      {Hue[0, 1, 1], LineBox[{100, 101}]}, 
      {Hue[0, 1, 1], LineBox[{101, 102}]}, 
      {Hue[0, 1, 1], LineBox[{102, 103}]}, 
      {Hue[0, 1, 1], LineBox[{103, 104}]}, 
      {Hue[0, 1, 1], LineBox[{104, 105}]}, 
      {Hue[0, 1, 1], LineBox[{105, 106}]}, 
      {Hue[0, 1, 1], LineBox[{106, 107}]}, 
      {Hue[0, 1, 1], LineBox[{107, 108}]}, 
      {Hue[0, 1, 1], LineBox[{108, 109}]}, 
      {Hue[0, 1, 1], LineBox[{109, 110}]}, 
      {Hue[0, 1, 1], LineBox[{110, 111}]}, 
      {Hue[0, 1, 1], LineBox[{111, 112}]}, 
      {Hue[0, 1, 1], LineBox[{112, 113}]}, 
      {Hue[0, 1, 1], LineBox[{113, 114}]}, 
      {Hue[0, 1, 1], LineBox[{114, 115}]}, 
      {Hue[0, 1, 1], LineBox[{115, 116}]}, 
      {Hue[0, 1, 1], LineBox[{116, 117}]}, 
      {Hue[0, 1, 1], LineBox[{117, 118}]}, 
      {Hue[0, 1, 1], LineBox[{118, 119}]}, 
      {Hue[0, 1, 1], LineBox[{119, 120}]}, 
      {Hue[0, 1, 1], LineBox[{120, 121}]}, 
      {Hue[0, 1, 1], LineBox[{121, 122}]}, 
      {Hue[0, 1, 1], LineBox[{122, 123}]}, 
      {Hue[0, 1, 1], LineBox[{123, 124}]}, 
      {Hue[0, 1, 1], LineBox[{124, 125}]}, 
      {Hue[0, 1, 1], LineBox[{125, 126}]}, 
      {Hue[0, 1, 1], LineBox[{126, 127}]}, 
      {Hue[0, 1, 1], LineBox[{127, 128}]}, 
      {Hue[0, 1, 1], LineBox[{128, 129}]}, 
      {Hue[0, 1, 1], LineBox[{129, 130}]}, 
      {Hue[0, 1, 1], LineBox[{130, 131}]}, 
      {Hue[0, 1, 1], LineBox[{131, 132}]}, 
      {Hue[0, 1, 1], LineBox[{132, 133}]}, 
      {Hue[0, 1, 1], LineBox[{133, 134}]}, 
      {Hue[0, 1, 1], LineBox[{134, 135}]}, 
      {Hue[0, 1, 1], LineBox[{135, 136}]}, 
      {Hue[0, 1, 1], LineBox[{136, 137}]}, 
      {Hue[0, 1, 1], LineBox[{137, 138}]}, 
      {Hue[0, 1, 1], LineBox[{138, 139}]}, 
      {Hue[0, 1, 1], LineBox[{139, 140}]}, 
      {Hue[0, 1, 1], LineBox[{140, 141}]}, 
      {Hue[0, 1, 1], LineBox[{141, 142}]}, 
      {Hue[0, 1, 1], LineBox[{142, 143}]}, 
      {Hue[0, 1, 1], LineBox[{143, 144}]}, 
      {Hue[0, 1, 1], LineBox[{144, 145}]}, 
      {Hue[0, 1, 1], LineBox[{145, 146}]}, 
      {Hue[0, 1, 1], LineBox[{146, 147}]}, 
      {Hue[0, 1, 1], LineBox[{147, 148}]}, 
      {Hue[0, 1, 1], LineBox[{148, 149}]}, 
      {Hue[0, 1, 1], LineBox[{149, 150}]}, 
      {Hue[0, 1, 1], LineBox[{150, 151}]}, 
      {Hue[0, 1, 1], LineBox[{151, 152}]}, 
      {Hue[0, 1, 1], LineBox[{152, 153}]}, 
      {Hue[0, 1, 1], LineBox[{153, 154}]}, 
      {Hue[0, 1, 1], LineBox[{154, 155}]}, 
      {Hue[0, 1, 1], LineBox[{155, 156}]}, 
      {Hue[0, 1, 1], LineBox[{156, 157}]}, 
      {Hue[0, 1, 1], LineBox[{157, 158}]}, 
      {Hue[0, 1, 1], LineBox[{158, 159}]}, 
      {Hue[0, 1, 1], LineBox[{159, 160}]}, 
      {Hue[0, 1, 1], LineBox[{160, 161}]}, 
      {Hue[0, 1, 1], LineBox[{161, 162}]}, 
      {Hue[0, 1, 1], LineBox[{162, 163}]}, 
      {Hue[0, 1, 1], LineBox[{163, 164}]}, 
      {Hue[0, 1, 1], LineBox[{164, 165}]}, 
      {Hue[0, 1, 1], LineBox[{165, 166}]}, 
      {Hue[0, 1, 1], LineBox[{166, 167}]}, 
      {Hue[0, 1, 1], LineBox[{167, 168}]}, 
      {Hue[0, 1, 1], LineBox[{168, 169}]}, 
      {Hue[0, 1, 1], LineBox[{169, 170}]}, 
      {Hue[0, 1, 1], LineBox[{170, 171}]}, 
      {Hue[0, 1, 1], LineBox[{171, 172}]}, 
      {Hue[0, 1, 1], LineBox[{172, 173}]}, 
      {Hue[0, 1, 1], LineBox[{173, 174}]}, 
      {Hue[0, 1, 1], LineBox[{174, 175}]}, 
      {Hue[0, 1, 1], LineBox[{175, 176}]}, 
      {Hue[0, 1, 1], LineBox[{176, 177}]}, 
      {Hue[0, 1, 1], LineBox[{177, 178}]}, 
      {Hue[0, 1, 1], LineBox[{178, 179}]}, 
      {Hue[0, 1, 1], LineBox[{179, 180}]}, 
      {Hue[0, 1, 1], LineBox[{180, 181}]}, 
      {Hue[0, 1, 1], LineBox[{181, 182}]}, 
      {Hue[0, 1, 1], LineBox[{182, 183}]}, 
      {Hue[0, 1, 1], LineBox[{183, 184}]}, 
      {Hue[0, 1, 1], LineBox[{184, 185}]}, 
      {Hue[0, 1, 1], LineBox[{185, 186}]}, 
      {Hue[0, 1, 1], LineBox[{186, 187}]}, 
      {Hue[0, 1, 1], LineBox[{187, 188}]}, 
      {Hue[0, 1, 1], LineBox[{188, 189}]}, 
      {Hue[0, 1, 1], LineBox[{189, 190}]}, 
      {Hue[0, 1, 1], LineBox[{190, 191}]}, 
      {Hue[0, 1, 1], LineBox[{191, 192}]}, 
      {Hue[0, 1, 1], LineBox[{192, 193}]}, 
      {Hue[0, 1, 1], LineBox[{193, 194}]}, 
      {Hue[0, 1, 1], LineBox[{194, 195}]}, 
      {Hue[0, 1, 1], LineBox[{195, 196}]}, 
      {Hue[0, 1, 1], LineBox[{196, 197}]}, 
      {Hue[0, 1, 1], LineBox[{197, 198}]}, 
      {Hue[0, 1, 1], LineBox[{198, 199}]}, 
      {Hue[0, 1, 1], LineBox[{199, 200}]}, 
      {Hue[0, 1, 1], LineBox[{200, 201}]}, 
      {Hue[0, 1, 1], LineBox[{201, 202}]}, 
      {Hue[0, 1, 1], LineBox[{202, 203}]}, 
      {Hue[0, 1, 1], LineBox[{203, 204}]}, 
      {Hue[0, 1, 1], LineBox[{204, 205}]}, 
      {Hue[0, 1, 1], LineBox[{205, 206}]}, 
      {Hue[0, 1, 1], LineBox[{206, 207}]}, 
      {Hue[0, 1, 1], LineBox[{207, 208}]}, 
      {Hue[0, 1, 1], LineBox[{208, 209}]}, 
      {Hue[0, 1, 1], LineBox[{209, 210}]}, 
      {Hue[0, 1, 1], LineBox[{210, 211}]}, 
      {Hue[0, 1, 1], LineBox[{211, 212}]}, 
      {Hue[0, 1, 1], LineBox[{212, 213}]}, 
      {Hue[0, 1, 1], LineBox[{213, 214}]}, 
      {Hue[0, 1, 1], LineBox[{214, 215}]}, 
      {Hue[0, 1, 1], LineBox[{215, 216}]}, 
      {Hue[0, 1, 1], LineBox[{216, 217}]}, 
      {Hue[0, 1, 1], LineBox[{217, 218}]}, 
      {Hue[0, 1, 1], LineBox[{218, 219}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{219, 220}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{220, 221}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{221, 222}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{222, 223}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{223, 224}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{224, 225}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{225, 226}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{226, 227}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{227, 228}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{228, 229}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{229, 230}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{230, 231}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{231, 232}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{232, 233}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{233, 234}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{234, 235}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{235, 236}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{236, 237}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{237, 238}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{238, 239}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{239, 240}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{240, 241}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{241, 242}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{242, 243}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{243, 244}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{244, 245}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{245, 246}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{246, 247}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{247, 248}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{248, 249}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{249, 250}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{250, 251}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{251, 252}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{252, 253}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{253, 254}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{254, 255}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{255, 256}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{256, 257}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{257, 258}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{258, 259}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{259, 260}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{260, 261}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{261, 262}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{262, 263}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{263, 264}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{264, 265}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{265, 266}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{266, 267}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{267, 268}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{268, 269}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{269, 270}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{270, 271}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{271, 272}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{272, 273}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{273, 274}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{274, 275}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{275, 276}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{276, 277}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{277, 278}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{278, 279}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{279, 280}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{280, 281}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{281, 282}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{282, 283}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{283, 284}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{284, 285}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{285, 286}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{286, 287}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{287, 288}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{288, 289}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{289, 290}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{290, 291}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{291, 292}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{292, 293}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{293, 294}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{294, 295}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{295, 296}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{296, 297}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{297, 298}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{298, 299}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{299, 300}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{300, 301}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{301, 302}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{302, 303}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{303, 304}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{304, 305}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{305, 306}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{306, 307}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{307, 308}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{308, 309}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{309, 310}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{310, 311}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{311, 312}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{312, 313}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{313, 314}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{314, 315}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{315, 316}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{316, 317}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{317, 318}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{318, 319}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{319, 320}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{320, 321}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{321, 322}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{322, 323}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{323, 324}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{324, 325}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{325, 326}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{326, 327}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{327, 328}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{328, 329}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{329, 330}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{330, 331}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{331, 332}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{332, 333}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{333, 334}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{334, 335}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{335, 336}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{336, 337}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{337, 338}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{338, 339}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{339, 340}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{340, 341}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{341, 342}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{342, 343}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{343, 344}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{344, 345}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{345, 346}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{346, 347}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{347, 348}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{348, 349}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{349, 350}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{350, 351}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{351, 352}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{352, 353}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{353, 354}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{354, 355}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{355, 356}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{356, 357}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{357, 358}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{358, 359}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{359, 360}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{360, 361}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{361, 362}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{362, 363}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{363, 364}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{364, 365}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{365, 366}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{366, 367}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{367, 368}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{368, 369}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{369, 370}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{370, 371}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{371, 372}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{372, 373}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{373, 374}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{374, 375}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{375, 376}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{376, 377}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{377, 378}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{378, 379}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{379, 380}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{380, 381}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{381, 382}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{382, 383}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{383, 384}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{384, 385}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{385, 386}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{386, 387}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{387, 388}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{388, 389}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{389, 390}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{390, 391}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{391, 392}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{392, 393}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{393, 394}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{394, 395}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{395, 396}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{396, 397}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{397, 398}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{398, 399}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{399, 400}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{400, 401}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{401, 402}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{402, 403}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{403, 404}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{404, 405}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{405, 406}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{406, 407}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{407, 408}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{408, 409}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{409, 410}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{410, 411}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{411, 412}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{412, 413}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{413, 414}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{414, 415}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{415, 416}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{416, 417}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{417, 418}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{418, 419}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{419, 420}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{420, 421}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{421, 422}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{422, 423}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{423, 424}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{424, 425}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{425, 426}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{426, 427}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{427, 428}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{428, 429}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{429, 430}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{430, 431}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{431, 432}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{432, 433}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{433, 434}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{434, 435}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{435, 436}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{436, 437}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{437, 438}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{438, 439}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{439, 440}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{440, 441}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{441, 442}]}, 
      {Hue[0, 1, 1], LineBox[{442, 443}]}, 
      {Hue[0, 1, 1], LineBox[{443, 444}]}, 
      {Hue[0, 1, 1], LineBox[{444, 445}]}, 
      {Hue[0, 1, 1], LineBox[{445, 446}]}, 
      {Hue[0, 1, 1], LineBox[{446, 447}]}, 
      {Hue[0, 1, 1], LineBox[{447, 448}]}, 
      {Hue[0, 1, 1], LineBox[{448, 449}]}, 
      {Hue[0, 1, 1], LineBox[{449, 450}]}, 
      {Hue[0, 1, 1], LineBox[{450, 451}]}, 
      {Hue[0, 1, 1], LineBox[{451, 452}]}, 
      {Hue[0, 1, 1], LineBox[{452, 453}]}, 
      {Hue[0, 1, 1], LineBox[{453, 454}]}, 
      {Hue[0, 1, 1], LineBox[{454, 455}]}, 
      {Hue[0, 1, 1], LineBox[{455, 456}]}, 
      {Hue[0, 1, 1], LineBox[{456, 457}]}, 
      {Hue[0, 1, 1], LineBox[{457, 458}]}, 
      {Hue[0, 1, 1], LineBox[{458, 459}]}, 
      {Hue[0, 1, 1], LineBox[{459, 460}]}, 
      {Hue[0, 1, 1], LineBox[{460, 461}]}, 
      {Hue[0, 1, 1], LineBox[{461, 462}]}, 
      {Hue[0, 1, 1], LineBox[{462, 463}]}, 
      {Hue[0, 1, 1], LineBox[{463, 464}]}, 
      {Hue[0, 1, 1], LineBox[{464, 465}]}, 
      {Hue[0, 1, 1], LineBox[{465, 466}]}, 
      {Hue[0, 1, 1], LineBox[{466, 467}]}, 
      {Hue[0, 1, 1], LineBox[{467, 468}]}, 
      {Hue[0, 1, 1], LineBox[{468, 469}]}, 
      {Hue[0, 1, 1], LineBox[{469, 470}]}, 
      {Hue[0, 1, 1], LineBox[{470, 471}]}, 
      {Hue[0, 1, 1], LineBox[{471, 472}]}, 
      {Hue[0, 1, 1], LineBox[{472, 473}]}, 
      {Hue[0, 1, 1], LineBox[{473, 474}]}, 
      {Hue[0, 1, 1], LineBox[{474, 475}]}, 
      {Hue[0, 1, 1], LineBox[{475, 476}]}, 
      {Hue[0, 1, 1], LineBox[{476, 477}]}, 
      {Hue[0, 1, 1], LineBox[{477, 478}]}, 
      {Hue[0, 1, 1], LineBox[{478, 479}]}, 
      {Hue[0, 1, 1], LineBox[{479, 480}]}, 
      {Hue[0, 1, 1], LineBox[{480, 481}]}, 
      {Hue[0, 1, 1], LineBox[{481, 482}]}, 
      {Hue[0, 1, 1], LineBox[{482, 483}]}, 
      {Hue[0, 1, 1], LineBox[{483, 484}]}, 
      {Hue[0, 1, 1], LineBox[{484, 485}]}, 
      {Hue[0, 1, 1], LineBox[{485, 486}]}, 
      {Hue[0, 1, 1], LineBox[{486, 487}]}, 
      {Hue[0, 1, 1], LineBox[{487, 488}]}, 
      {Hue[0, 1, 1], LineBox[{488, 489}]}, 
      {Hue[0, 1, 1], LineBox[{489, 490}]}, 
      {Hue[0, 1, 1], LineBox[{490, 491}]}, 
      {Hue[0, 1, 1], LineBox[{491, 492}]}, 
      {Hue[0, 1, 1], LineBox[{492, 493}]}, 
      {Hue[0, 1, 1], LineBox[{493, 494}]}, 
      {Hue[0, 1, 1], LineBox[{494, 495}]}, 
      {Hue[0, 1, 1], LineBox[{495, 496}]}, 
      {Hue[0, 1, 1], LineBox[{496, 497}]}, 
      {Hue[0, 1, 1], LineBox[{497, 498}]}, 
      {Hue[0, 1, 1], LineBox[{498, 499}]}, 
      {Hue[0, 1, 1], LineBox[{499, 500}]}, 
      {Hue[0, 1, 1], LineBox[{500, 501}]}, 
      {Hue[0, 1, 1], LineBox[{501, 502}]}, 
      {Hue[0, 1, 1], LineBox[{502, 503}]}, 
      {Hue[0, 1, 1], LineBox[{503, 504}]}, 
      {Hue[0, 1, 1], LineBox[{504, 505}]}, 
      {Hue[0, 1, 1], LineBox[{505, 506}]}, 
      {Hue[0, 1, 1], LineBox[{506, 507}]}, 
      {Hue[0, 1, 1], LineBox[{507, 508}]}, 
      {Hue[0, 1, 1], LineBox[{508, 509}]}, 
      {Hue[0, 1, 1], LineBox[{509, 510}]}, 
      {Hue[0, 1, 1], LineBox[{510, 511}]}, 
      {Hue[0, 1, 1], LineBox[{511, 512}]}, 
      {Hue[0, 1, 1], LineBox[{512, 513}]}, 
      {Hue[0, 1, 1], LineBox[{513, 514}]}, 
      {Hue[0, 1, 1], LineBox[{514, 515}]}, 
      {Hue[0, 1, 1], LineBox[{515, 516}]}, 
      {Hue[0, 1, 1], LineBox[{516, 517}]}, 
      {Hue[0, 1, 1], LineBox[{517, 518}]}, 
      {Hue[0, 1, 1], LineBox[{518, 519}]}, 
      {Hue[0, 1, 1], LineBox[{519, 520}]}, 
      {Hue[0, 1, 1], LineBox[{520, 521}]}, 
      {Hue[0, 1, 1], LineBox[{521, 522}]}, 
      {Hue[0, 1, 1], LineBox[{522, 523}]}, 
      {Hue[0, 1, 1], LineBox[{523, 524}]}, 
      {Hue[0, 1, 1], LineBox[{524, 525}]}, 
      {Hue[0, 1, 1], LineBox[{525, 526}]}, 
      {Hue[0, 1, 1], LineBox[{526, 527}]}, 
      {Hue[0, 1, 1], LineBox[{527, 528}]}, 
      {Hue[0, 1, 1], LineBox[{528, 529}]}, 
      {Hue[0, 1, 1], LineBox[{529, 530}]}, 
      {Hue[0, 1, 1], LineBox[{530, 531}]}, 
      {Hue[0, 1, 1], LineBox[{531, 532}]}, 
      {Hue[0, 1, 1], LineBox[{532, 533}]}, 
      {Hue[0, 1, 1], LineBox[{533, 534}]}, 
      {Hue[0, 1, 1], LineBox[{534, 535}]}, 
      {Hue[0, 1, 1], LineBox[{535, 536}]}, 
      {Hue[0, 1, 1], LineBox[{536, 537}]}, 
      {Hue[0, 1, 1], LineBox[{537, 538}]}, 
      {Hue[0, 1, 1], LineBox[{538, 539}]}, 
      {Hue[0, 1, 1], LineBox[{539, 540}]}, 
      {Hue[0, 1, 1], LineBox[{540, 541}]}, 
      {Hue[0, 1, 1], LineBox[{541, 542}]}, 
      {Hue[0, 1, 1], LineBox[{542, 543}]}, 
      {Hue[0, 1, 1], LineBox[{543, 544}]}, 
      {Hue[0, 1, 1], LineBox[{544, 545}]}, 
      {Hue[0, 1, 1], LineBox[{545, 546}]}, 
      {Hue[0, 1, 1], LineBox[{546, 547}]}, 
      {Hue[0, 1, 1], LineBox[{547, 548}]}, 
      {Hue[0, 1, 1], LineBox[{548, 549}]}, 
      {Hue[0, 1, 1], LineBox[{549, 550}]}, 
      {Hue[0, 1, 1], LineBox[{550, 551}]}, 
      {Hue[0, 1, 1], LineBox[{551, 552}]}, 
      {Hue[0, 1, 1], LineBox[{552, 553}]}, 
      {Hue[0, 1, 1], LineBox[{553, 554}]}, 
      {Hue[0, 1, 1], LineBox[{554, 555}]}, 
      {Hue[0, 1, 1], LineBox[{555, 556}]}, 
      {Hue[0, 1, 1], LineBox[{556, 557}]}, 
      {Hue[0, 1, 1], LineBox[{557, 558}]}, 
      {Hue[0, 1, 1], LineBox[{558, 559}]}, 
      {Hue[0, 1, 1], LineBox[{559, 560}]}, 
      {Hue[0, 1, 1], LineBox[{560, 561}]}, 
      {Hue[0, 1, 1], LineBox[{561, 562}]}, 
      {Hue[0, 1, 1], LineBox[{562, 563}]}, 
      {Hue[0, 1, 1], LineBox[{563, 564}]}, 
      {Hue[0, 1, 1], LineBox[{564, 565}]}, 
      {Hue[0, 1, 1], LineBox[{565, 566}]}, 
      {Hue[0, 1, 1], LineBox[{566, 567}]}, 
      {Hue[0, 1, 1], LineBox[{567, 568}]}, 
      {Hue[0, 1, 1], LineBox[{568, 569}]}, 
      {Hue[0, 1, 1], LineBox[{569, 570}]}, 
      {Hue[0, 1, 1], LineBox[{570, 571}]}, 
      {Hue[0, 1, 1], LineBox[{571, 572}]}, 
      {Hue[0, 1, 1], LineBox[{572, 573}]}, 
      {Hue[0, 1, 1], LineBox[{573, 574}]}, 
      {Hue[0, 1, 1], LineBox[{574, 575}]}, 
      {Hue[0, 1, 1], LineBox[{575, 576}]}, 
      {Hue[0, 1, 1], LineBox[{576, 577}]}, 
      {Hue[0, 1, 1], LineBox[{577, 578}]}, 
      {Hue[0, 1, 1], LineBox[{578, 579}]}, 
      {Hue[0, 1, 1], LineBox[{579, 580}]}, 
      {Hue[0, 1, 1], LineBox[{580, 581}]}, 
      {Hue[0, 1, 1], LineBox[{581, 582}]}, 
      {Hue[0, 1, 1], LineBox[{582, 583}]}, 
      {Hue[0, 1, 1], LineBox[{583, 584}]}, 
      {Hue[0, 1, 1], LineBox[{584, 585}]}, 
      {Hue[0, 1, 1], LineBox[{585, 586}]}, 
      {Hue[0, 1, 1], LineBox[{586, 587}]}, 
      {Hue[0, 1, 1], LineBox[{587, 588}]}, 
      {Hue[0, 1, 1], LineBox[{588, 589}]}, 
      {Hue[0, 1, 1], LineBox[{589, 590}]}, 
      {Hue[0, 1, 1], LineBox[{590, 591}]}, 
      {Hue[0, 1, 1], LineBox[{591, 592}]}, 
      {Hue[0, 1, 1], LineBox[{592, 593}]}, 
      {Hue[0, 1, 1], LineBox[{593, 594}]}, 
      {Hue[0, 1, 1], LineBox[{594, 595}]}, 
      {Hue[0, 1, 1], LineBox[{595, 596}]}, 
      {Hue[0, 1, 1], LineBox[{596, 597}]}, 
      {Hue[0, 1, 1], LineBox[{597, 598}]}, 
      {Hue[0, 1, 1], LineBox[{598, 599}]}, 
      {Hue[0, 1, 1], LineBox[{599, 600}]}, 
      {Hue[0, 1, 1], LineBox[{600, 601}]}, 
      {Hue[0, 1, 1], LineBox[{601, 602}]}, 
      {Hue[0, 1, 1], LineBox[{602, 603}]}, 
      {Hue[0, 1, 1], LineBox[{603, 604}]}, 
      {Hue[0, 1, 1], LineBox[{604, 605}]}, 
      {Hue[0, 1, 1], LineBox[{605, 606}]}, 
      {Hue[0, 1, 1], LineBox[{606, 607}]}, 
      {Hue[0, 1, 1], LineBox[{607, 608}]}, 
      {Hue[0, 1, 1], LineBox[{608, 609}]}, 
      {Hue[0, 1, 1], LineBox[{609, 610}]}, 
      {Hue[0, 1, 1], LineBox[{610, 611}]}, 
      {Hue[0, 1, 1], LineBox[{611, 612}]}, 
      {Hue[0, 1, 1], LineBox[{612, 613}]}, 
      {Hue[0, 1, 1], LineBox[{613, 614}]}, 
      {Hue[0, 1, 1], LineBox[{614, 615}]}, 
      {Hue[0, 1, 1], LineBox[{615, 616}]}, 
      {Hue[0, 1, 1], LineBox[{616, 617}]}, 
      {Hue[0, 1, 1], LineBox[{617, 618}]}, 
      {Hue[0, 1, 1], LineBox[{618, 619}]}, 
      {Hue[0, 1, 1], LineBox[{619, 620}]}, 
      {Hue[0, 1, 1], LineBox[{620, 621}]}, 
      {Hue[0, 1, 1], LineBox[{621, 622}]}, 
      {Hue[0, 1, 1], LineBox[{622, 623}]}, 
      {Hue[0, 1, 1], LineBox[{623, 624}]}, 
      {Hue[0, 1, 1], LineBox[{624, 625}]}, 
      {Hue[0, 1, 1], LineBox[{625, 626}]}, 
      {Hue[0, 1, 1], LineBox[{626, 627}]}, 
      {Hue[0, 1, 1], LineBox[{627, 628}]}, 
      {Hue[0, 1, 1], LineBox[{628, 629}]}, 
      {Hue[0, 1, 1], LineBox[{629, 630}]}, 
      {Hue[0, 1, 1], LineBox[{630, 631}]}, 
      {Hue[0, 1, 1], LineBox[{631, 632}]}, 
      {Hue[0, 1, 1], LineBox[{632, 633}]}, 
      {Hue[0, 1, 1], LineBox[{633, 634}]}, 
      {Hue[0, 1, 1], LineBox[{634, 635}]}, 
      {Hue[0, 1, 1], LineBox[{635, 636}]}, 
      {Hue[0, 1, 1], LineBox[{636, 637}]}, 
      {Hue[0, 1, 1], LineBox[{637, 638}]}, 
      {Hue[0, 1, 1], LineBox[{638, 639}]}, 
      {Hue[0, 1, 1], LineBox[{639, 640}]}, 
      {Hue[0, 1, 1], LineBox[{640, 641}]}, 
      {Hue[0, 1, 1], LineBox[{641, 642}]}, 
      {Hue[0, 1, 1], LineBox[{642, 643}]}, 
      {Hue[0, 1, 1], LineBox[{643, 644}]}, 
      {Hue[0, 1, 1], LineBox[{644, 645}]}, 
      {Hue[0, 1, 1], LineBox[{645, 646}]}, 
      {Hue[0, 1, 1], LineBox[{646, 647}]}, 
      {Hue[0, 1, 1], LineBox[{647, 648}]}, 
      {Hue[0, 1, 1], LineBox[{648, 649}]}, 
      {Hue[0, 1, 1], LineBox[{649, 650}]}, 
      {Hue[0, 1, 1], LineBox[{650, 651}]}, 
      {Hue[0, 1, 1], LineBox[{651, 652}]}, 
      {Hue[0, 1, 1], LineBox[{652, 653}]}, 
      {Hue[0, 1, 1], LineBox[{653, 654}]}, 
      {Hue[0, 1, 1], LineBox[{654, 655}]}, 
      {Hue[0, 1, 1], LineBox[{655, 656}]}, 
      {Hue[0, 1, 1], LineBox[{656, 657}]}, 
      {Hue[0, 1, 1], LineBox[{657, 658}]}, 
      {Hue[0, 1, 1], LineBox[{658, 659}]}, 
      {Hue[0, 1, 1], LineBox[{659, 660}]}, 
      {Hue[0, 1, 1], LineBox[{660, 661}]}}}},
   VertexColors->{
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1]}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{0, 2},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], Automatic}]], "Output",
 CellChangeTimes->{3.3897310071608753`*^9, 3.3897310521555743`*^9, 
  3.3897330708305054`*^9, 3.39089399528916*^9, 3.391779923487385*^9, 
  3.391780217128216*^9, 3.391848718453125*^9, 3.392469653837729*^9, 
  3.393842389579771*^9, 3.393847010147756*^9}]
}, Open  ]],

Cell["QPlotDown->True lets the whole plot appear uside down.", "Text"],

Cell[CellGroupData[{

Cell["QArgColorPlot[Sin[x],{x,-2Pi,Pi}, QPlotDown->True]", "Input"],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJx93HlYjP33B/A2qSzVTJEI2SqyJQoPdwuRPVtJZA+RLSK7kmTLVpaQvSwV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   "], {
    {GrayLevel[0.5], EdgeForm[None], 
     GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwtmg8c7+NVx58/55zHJMkkSWZLutMySSbJbpLJlnQnLUkmaZNsk5ZkkiRJ
m0ybJEnSTSZJWptJkmQyLUmStKRN0pKZpNn78/p4vZzXPa/ne57znOc553w+
5/rdTW877uUnt9YG/13Mn8Gf7+PP/uLa+5HN6FsiX4D+u8jV6C/x2vgd5Bp/
a1uh/x5ymf20RP915FL0+aLvX0Mu97dW6L+BXOKzZDN+FbkKfQufMX4b+SD6
tshL0f8EuRF9G+SL0f8IeRR9A/JK9H9DrkP/QmRr9N9HbrKtfIw/Rq51rLIZ
H0Cut237IvQ/QG6wrjPGHyKfQP9qnzH+FbnCsbeF/pvIldYV8/gt5EOOtW2H
/mHkVvTtkS9F/zPkDvQvQ3ZE/0vkXvSdkZeh/w1ym23bDuh/jtxp2/bl6H+F
3IP+Fd4zPobcblv5HH+B3Ie+C/Jy9L9DHkHfzXcY/4I8jP5VXhv/jNzsWNuX
oH8EucW6Yh5/ijyI/pXIruj/iNxv3+0V6H+PPGBdNuMfkMeci7Y7+r8jH/fd
FNP4W+Qh+1IM45+Qu3y3thP6R5FPem/7GvRPURast4OQb0Pn3uNZ9L2Qr0f/
X+RJ9K9F9kD/L+Q5f2t7o/8f8rh9tVeh/wfyadu2V6P/N/IM+tfZ5/gs8oRt
5XP8J/KUbdue6P+DPG/f7RvQ/5+YVKv7Id+E/hKXetsHeQ06fTQ+Z1utjRdY
29K2bX90+maq9r4ZOQCdupvqnX2Rb0SnT2ZZ1xmTOpvDvmUz1TNPOzbdYXyG
ta3sWz4nNT63se/2WnT6YCpXr0MOQSdnU7VzIPKt6NTQ3NXf2rejk6Op2tiI
fAs6dTF3tK1yMsnbVK0dbJ+Tupjb21Y+J3U8d7Ovdig6NTj1docj34XOu0zl
8ju9NsnbVL3RRw0cmNTbVC28HnkDOnmcG+xLa5M6m9v6bopx0nfzVbZt34FO
DufOrh3FOKnDqbc6zGdO3mzuYVutTdXE3a5F9dj4a9b2caxtE7pyuq/19kZ0
5UhnHY18P7rO1Ft+D/ImdL3pYf7WjkHXmcrFdyNHoisnB9m2fS+6alx3+z77
nLrjRtvK51QODrZtOwpdb364fbcfQNebKpbjkR9CV0xHoB+LvBmdc+cm22pt
6g7H2LadgC4f56GfjvwU+i8giu045AfRFeNR1nXGJM55pH3LZirGQxyb7jBV
Q8fad/thdMVwnPX2FnT5PAld8qPoEtbbiciPoL8V0d63em3Kx4vftGfK5lT0
tyPvQP9xRLo47W3oWjvZvrU2tfZO27ZT0H8C0V1/DMHP1J3PRf9Jv8H8eeR4
x6oYpt70LHT50N6fQc7w3qaz34WcaV0286eRs23bTkP/WUS9eYRrYKpHz/E3
nTl/DjnNsSmmqbXznYvGOfMXkXejc07jnPkeRPgvDoU7J/g/xa/4adxjwq9T
vK6YFeuvIFf4W9Pd4K95oX01xfrLyPts24h7wv9TfH6OfU74fF5kW/mc70Wu
tK9G3Uz6dopPFaNig0+n+PiXvDbh47mfe0dvMIWZmieos8Y9J/PEvMq+tDbh
/3mB7647T/zMzbZtegvmkXmJY216W72B+P0Cnznh93mNbbU2mU+m+EdnyDf8
My/1Xt1xMp9MzRd6E70F88UUH/JujXeZ8OEUv3PvxrtO+H1qPrnIa5P5ZN7s
b9oz4dN5h3PTOGfC91P8/n7nbMLv81b71tpkPph32rYpFvh+Co+UA7298Eh8
qzfXW8O38ybHqhgm880U35L3Rp4nfDvv8d5GXUzmhXmvddlM5o15n22baoF5
Yd7g3OkNJvPPvN/fdOaE7+ddjk0xTfh6nuJeUw9O1ezDfttGXifzRfAeHQ7p
cEfoPcS/qgnVAvw7NS+Qx0aeJvPCfMrfGnU04dup+Yu6aOR9Mn/NT9q2KZea
D8T/H7DPCf/PR20rn5N5cD5u20ZdTPh/Pm3fTbX5GY+qTW/I2wV8PTVf6A10
d+aL+YxttTaZD2LYtpH3gH9DfKMckZsQ32g+UA2pdjQffM66zpji/+fsWzaT
+WQ+4dh0h8m8EWHfjVoK+D/KeqPuAv4P8blqkloM+DzE96o53jbg+9B88WGv
BfNFbO1v2hPMFyG+Vw1SewHfh/hdNUjthXK0rX1rLeDT2NG2DZwJ+D7Ep+BM
o64DPg3x80f9BgE/xxaOVTEE81BonlBNU8vBPBG7eG+jF4J5IV5hXTbBPBK7
2bZRZ8G8EHv4bRt1HPBzbPA3nRnwf+zk2BRTwNmxve+iOwbzR+zpvY3aD/g+
hOWqCWohwPQQn6tn6JWAz0PziXqE3gjmkxCfU/eNvgv4PPbxN+0J5oHYiH6/
bQJ+DuG7eopeCvA99rNvrQV4Fwf4m/YE/B8H2XejlwP+D3HDIwizesARIT7V
TMQsFPBpiI/VE/RCwMdxsPfKJpgHQvOIMA5sC+aR0HygnlQvMh/EJus6I8Dh
OMy2sgnmkzjSZ+uMgM/jKJ/V6KuA00NYSx80+iTAzRCf07eNvgz4PDRP0HeN
vg7miRC3q8ZV2/BwHOtv2hPMA3GicyGbgM9DfP8p5yjg+zjevrUW8G+cbF+N
vg9wJ95uvdH7Aa+HuIy+bvRtwFMhbhbmgDUBL8cpttVagFdxtO+mmIN5Kd5p
2wYOBbwdp1lvYFHAx7GXa0k1EsyrIW562mcGHBWn21ZrAW/HWY5Fbxbwapzj
t2tgS8Cpi14Z7/Xfv5d6Bi7o4FAHZwJOCHGZMAUsCTgtLvG3LuyBV0JcKUwB
SwLOjHfbtoE7AY7Hxf7rvHwGnBTn21Y+A16MC23bwKaAR+JS++7gUIDzAY53
+riDKwEOB9zRwaUOLgUcEpfZVmsBz8Rm23ZhDxgc9EkHJzp9H+oxeKSDYx2c
CDgsrrKuMwLeiCvsWzYB78RFjk13CN4prrHvDu4FuB7XWu/CPjA0wNkOLnZw
LITp4HYH9zq4GeBugP19a68FuB43+pv2BDgdt5irOjgSwljy019qDgvl54P2
rbUQRt9q2y6sEYaCRR2M7cJWYRJ10nf2G4Qw5TrHqhgCnguwrIOrHRwLYdod
3tvB3RBG3mldNiEMvdu2XVgnzrnPb9uFpcKce/xNZ4Yw7zbHpphCmH+/bTu4
G8KsB6x3YS84knobcKuDU6k3Ahc6uN3B5RCGPGjbDq6HMIne7HBAF/arRx/y
N+0JYRC93l9pm1DPgysdXO/geAjDHrFvrYUw73H76vBqCKOfsN7h1hCGUOud
vuvgdKjm6eMOR3Rxg3r8SdtqLYQJ1HYHxzu4Harxp2zb4YVQTz9tvYsb1MOP
OjbFHMIEerXv5TNDPfuMbbUW9PQUVmuG1eyq+J93bDoz1LPnutfVo8GcnKp1
OKHDBUnNp3oHDupwT9JDqdqCFzq8ktRYlr9pT9ITuY1zI5ukZlO1v79zltRV
bmnfWkv6JLezrw43JXWd21vv8FpSF6lcwTEdbklylqo1eK7DS0nN5Q621VpS
lynseY1jTnAid7Jth7uSusudrXd4KV/m/9Wnt9eepIlTtfY6n5nUUe5iW60l
dZm7OZbO34OTmsgN1jt/F05ykrtb7/BcUiepu8OZHa5MvYFyBY91eC/JWR7g
bx1eS72ZagVe7PBeUge5t2073JjkLJWbN9pnKkd72lY+k7znPrbt8GjqThvt
u8OVqTcmrg6ndLgkOSf1NnB2h6tTb3SgbbWWetPDbNvhzdQZ8E2HozrclPBN
KjdwcId7Uzk61LrOSL3JwfYtm9Qb7uvYdIdUTR1u3x0uTt1xk/UOD6dsFCsc
2+HWVMyKFU7vcHkqZt3tzV5L3fEof9OeVEzay0zVmaVSPvDb4fAOdyf78hj7
1loqhhNs2+H9lA1/dni/Myckfyb829/hN0j4N49wrIohlWP4vjMDdLg/scuT
vLczW6TkZOuySdmcYtvOvtSbnu637cwFCT/nqf6mM5P5IN/i2BRT6k7H+S66
Y+pNzvDeLlv4PsUfcGiHOxP+SPi9K4fKHfye8H/XnXQX+D/h586+zpyS8HOe
7W/ak8xTCd/3M2yT8H3C710xK1b4Pc+1b62l8OR8f9OehM/zQvvuzD6pmMSn
2iNb+DQ1DygmxcI8kOJfnSHf8G9e5L2ySfg2NW8oRsXGvJHie91Rd4Pv83Lr
OiOZB/JS28ommR/ySp+tMxK+z6t9VifuBDNLby/MBqtLORA/cu/OOyX8mOJ7
7tV5l4TvU/yrGBUb/JvX+pv2JPyfNzkXskn4P8X/73GOEv7P6+1bawn/54fs
q/MuCb/nzda73oa/N6X4mXt07p3wc4rvNaMxmyV8n7fYVmvJvJCbfTfFnMw/
eZttO++Y8G/ebr3rLZkP8kzXkmoklTPx/aU+M+H7vMO2WkvmgbzbsXS9Pfyf
91jv5CHh+7zXelcumDdS/K4c6O3F75oXVBOqBeaFFB+Th07cCR/n/f6mPcl8
kOLnq22T8FuK31UzqhX4PR+0b60l80A+7G/ak8wL+ah9d70FfJriW+VAbw/f
puYH5Vi5ZX4o8Qfv0rl3iT8e817ZJPNDah5QzpVr5oEU/6tmVCvwfz5lXWck
/J5P2lY2SY3lMz67UxcJf+ez1rtqA57O56x3+jqZL1LzA33dqat8wT/9SO/U
VsFnNax36rLgwwrrndosyK/KeqfOCv6uLax3aq3g/9rSeqfuSnz9vM/Wmcn8
UFv5W6cWC34v8b9qjlor+L/E59Rhp84KPq9t/a1Tp8X8UNtZl03B/7WDbTu1
WPB5bW3f8lnMe/m4c6E3TuavEr/f7pwU/F47eq/WSvPBx11rqqlkvq9dnLtO
rRZ8XpovVNPUcjFflPibPurUccHftZu/dfqs4PsSH6uGqd2Cj2uDv2lPwf8l
fv+YbQp+L/E5fdDpg4LP61X2rbViDqx97KsTZ8HXta/1rljhxxJ/0hedOi74
szRPqEfojWKeqP1sq7ViHqhX+G66UzG/1AG27fRNMV/URuud3inmgdrTsSnm
Yn4ozQMP+MxiHqgDbau10jwgbAGbhbkJbtQhjq3TWwX/l+YL9SC9V8wXJX5X
z9FrBb/XJuudvi34vY6w3undgj/rSOudvi/4vN5kvdP7Bd/XUdY7fVvwex1t
vdO7xXxQh/lsnVnMK3WMv3X6tOD3El/Sp52+LviyxKeqKdUSfFrH+1tXrzMX
1AnWZVPwbJ1o206fFxxcx9q3fBYzQB3qt9AbFPNPie/BAXFIwfN1kvdqrTQP
qB70ZprFVA+aB8CBDm4Uc0CJm8GNDm4UPFziSnCggwMFb5W4WJgFVhWcXOf5
WwcbCh6r07y3gzUFL9eZtu3gTIHnJa581j4LnqzTbSufBW/XWbbtYFGR9zrf
vjs4UHBIUQ9DvyOCM6V6EHeBCx1cKjisLrCt1goOrEtsO4RF8EbR60O/PdP3
pZ4Xd77gn9wL3quLreuMgsfqQvuWTcGjdbZj0x0KXq9L7XuAcwVH1WXWh7AO
Hipwf+i3e3CtxO/wyNBv5eBewRMFTozyWsEzdZW/aU/BGwVOD/02Dy4VOF7g
/tC/PQAHC1yqzfattYIX6nrbDrCrwPUCO4d+uxc2gqEF9o3t/QYlDLzcsSqG
ArdK//9F/7YAnCxh8k3eO8DREsZ/0LpsSph+s22HsFSYfLvfdghLhZG3+JvO
LGH0DY5NMRW8UnfYdoCjJYy80/oAS0sYydsP/bYMbpVyAHYM/RYJL5Yw5C7b
DnC5hIngxtBv8cIiYcrd/qY9JQwEi8bLbVPCJLBv6N8agNMlDLzXvrVWwtwH
7WuA2yXMecj6EHYLc+jTod/m6atST4MtQ/+WQNgtjHnYtlorYRJ9OfRbOjhd
mvE+YdsBrpcw51HrQ9gujLnPsSnmEgaDFWN3n1nCjMdsq7USJlzr2lDNFDxf
Tzg2nVnCgFPd6+rxYs4q6njot35xh3qSPhz6bV/YTN8u9Q48MeCJpR56xt+0
pz7rf+qh3MhmqWfovbG3c1bqwefsW2tFH6+wrwHXLOpulfUBryycLdUSnDHg
ikXdLNU2PDPgoUWNry1sq7WlHgFrxqsdc4EjayvbDrhq8QZra+sDXlrqiU/7
7bWneIOlWn6tz1zU9NrGtlpb+n9g+v2ZvOv/IQf4urZ3bAOeWvTQUq3CUwMe
W9ThUu3BmwOeWtTNUi3BawNeXdTUUi7A3wH+LnKydvE37VnkeCm3r7fNIsdL
tQTPDeJY1Mna1b61tqirtcHftGdRB2sP+x7w0uKOS3eB5wY8t3Qn5RqeGvDk
Ii8LPhpwzIBbFny09vRe2SzyvJRbeHTAo0s51tvDowMeXcrB/tZ1xtKb72tb
2SzleKPPHnDrUk4PtD7g2cW7rYOsD7h28U5Ld4NzB1y7dMdDrQ94d+mOb7A+
4N6lNzzM+oB3l2I+3PqAexdxr03WB7y5FNMR1gfcuRTzwT5bZy7l4Eh/G/D2
UsyKBd4e8PRSTNoLRw+4ecnH0f424O6lmI6xLpulGI6z7eCdF37Wm+xbPpfu
vLdzoTde9MyS77c6J0tnHO+9Wls6YyfXmmpqgWnrxdwNeH4ph/D/gOcHfy74
f9Hvg79TDv4uuej39XZ/G/qmNfh5sD7g/QU/r1P8TXsW88CC78eptlnw/YLf
h2z0DX5f77RvrS3mhXWWfQ3p8Pc62/pg34IvF3w6dKbOgk8X88XAz2AOWMwX
6xzbam3p94CTfDfdaUnOs+1gVljMG+t864M4F/PBOt2xKeYlG+aD8S6fuZgP
1gW21dpiPlg7uJfVwwseWhc5tsE9FvPA0rzBPQb3WMwbS3zPPQZxLvh+XWZ9
KFb4fl1ufXCvBZ+uK6wP3Q1+X1daH9xjwf/rKutDd4Hv19XWB/dazAvrEp+t
Mxfzy9rsb0N3he+X8F530l3A+yV+5Z6Dd17w67rO3wbvsJgf1vXWZbOYD9aN
th3KBfPBusa+5XMxX6yL/RZ6g8U8tMT/eiO9Dfy/bvJerS3mg6V5QHtk+5HP
A31FC6o=
       "]]]}, {{}, {}, {
      {Hue[0, 1, 1], LineBox[{1, 2}]}, 
      {Hue[0, 1, 1], LineBox[{2, 3}]}, 
      {Hue[0, 1, 1], LineBox[{3, 4}]}, 
      {Hue[0, 1, 1], LineBox[{4, 5}]}, 
      {Hue[0, 1, 1], LineBox[{5, 6}]}, 
      {Hue[0, 1, 1], LineBox[{6, 7}]}, 
      {Hue[0, 1, 1], LineBox[{7, 8}]}, 
      {Hue[0, 1, 1], LineBox[{8, 9}]}, 
      {Hue[0, 1, 1], LineBox[{9, 10}]}, 
      {Hue[0, 1, 1], LineBox[{10, 11}]}, 
      {Hue[0, 1, 1], LineBox[{11, 12}]}, 
      {Hue[0, 1, 1], LineBox[{12, 13}]}, 
      {Hue[0, 1, 1], LineBox[{13, 14}]}, 
      {Hue[0, 1, 1], LineBox[{14, 15}]}, 
      {Hue[0, 1, 1], LineBox[{15, 16}]}, 
      {Hue[0, 1, 1], LineBox[{16, 17}]}, 
      {Hue[0, 1, 1], LineBox[{17, 18}]}, 
      {Hue[0, 1, 1], LineBox[{18, 19}]}, 
      {Hue[0, 1, 1], LineBox[{19, 20}]}, 
      {Hue[0, 1, 1], LineBox[{20, 21}]}, 
      {Hue[0, 1, 1], LineBox[{21, 22}]}, 
      {Hue[0, 1, 1], LineBox[{22, 23}]}, 
      {Hue[0, 1, 1], LineBox[{23, 24}]}, 
      {Hue[0, 1, 1], LineBox[{24, 25}]}, 
      {Hue[0, 1, 1], LineBox[{25, 26}]}, 
      {Hue[0, 1, 1], LineBox[{26, 27}]}, 
      {Hue[0, 1, 1], LineBox[{27, 28}]}, 
      {Hue[0, 1, 1], LineBox[{28, 29}]}, 
      {Hue[0, 1, 1], LineBox[{29, 30}]}, 
      {Hue[0, 1, 1], LineBox[{30, 31}]}, 
      {Hue[0, 1, 1], LineBox[{31, 32}]}, 
      {Hue[0, 1, 1], LineBox[{32, 33}]}, 
      {Hue[0, 1, 1], LineBox[{33, 34}]}, 
      {Hue[0, 1, 1], LineBox[{34, 35}]}, 
      {Hue[0, 1, 1], LineBox[{35, 36}]}, 
      {Hue[0, 1, 1], LineBox[{36, 37}]}, 
      {Hue[0, 1, 1], LineBox[{37, 38}]}, 
      {Hue[0, 1, 1], LineBox[{38, 39}]}, 
      {Hue[0, 1, 1], LineBox[{39, 40}]}, 
      {Hue[0, 1, 1], LineBox[{40, 41}]}, 
      {Hue[0, 1, 1], LineBox[{41, 42}]}, 
      {Hue[0, 1, 1], LineBox[{42, 43}]}, 
      {Hue[0, 1, 1], LineBox[{43, 44}]}, 
      {Hue[0, 1, 1], LineBox[{44, 45}]}, 
      {Hue[0, 1, 1], LineBox[{45, 46}]}, 
      {Hue[0, 1, 1], LineBox[{46, 47}]}, 
      {Hue[0, 1, 1], LineBox[{47, 48}]}, 
      {Hue[0, 1, 1], LineBox[{48, 49}]}, 
      {Hue[0, 1, 1], LineBox[{49, 50}]}, 
      {Hue[0, 1, 1], LineBox[{50, 51}]}, 
      {Hue[0, 1, 1], LineBox[{51, 52}]}, 
      {Hue[0, 1, 1], LineBox[{52, 53}]}, 
      {Hue[0, 1, 1], LineBox[{53, 54}]}, 
      {Hue[0, 1, 1], LineBox[{54, 55}]}, 
      {Hue[0, 1, 1], LineBox[{55, 56}]}, 
      {Hue[0, 1, 1], LineBox[{56, 57}]}, 
      {Hue[0, 1, 1], LineBox[{57, 58}]}, 
      {Hue[0, 1, 1], LineBox[{58, 59}]}, 
      {Hue[0, 1, 1], LineBox[{59, 60}]}, 
      {Hue[0, 1, 1], LineBox[{60, 61}]}, 
      {Hue[0, 1, 1], LineBox[{61, 62}]}, 
      {Hue[0, 1, 1], LineBox[{62, 63}]}, 
      {Hue[0, 1, 1], LineBox[{63, 64}]}, 
      {Hue[0, 1, 1], LineBox[{64, 65}]}, 
      {Hue[0, 1, 1], LineBox[{65, 66}]}, 
      {Hue[0, 1, 1], LineBox[{66, 67}]}, 
      {Hue[0, 1, 1], LineBox[{67, 68}]}, 
      {Hue[0, 1, 1], LineBox[{68, 69}]}, 
      {Hue[0, 1, 1], LineBox[{69, 70}]}, 
      {Hue[0, 1, 1], LineBox[{70, 71}]}, 
      {Hue[0, 1, 1], LineBox[{71, 72}]}, 
      {Hue[0, 1, 1], LineBox[{72, 73}]}, 
      {Hue[0, 1, 1], LineBox[{73, 74}]}, 
      {Hue[0, 1, 1], LineBox[{74, 75}]}, 
      {Hue[0, 1, 1], LineBox[{75, 76}]}, 
      {Hue[0, 1, 1], LineBox[{76, 77}]}, 
      {Hue[0, 1, 1], LineBox[{77, 78}]}, 
      {Hue[0, 1, 1], LineBox[{78, 79}]}, 
      {Hue[0, 1, 1], LineBox[{79, 80}]}, 
      {Hue[0, 1, 1], LineBox[{80, 81}]}, 
      {Hue[0, 1, 1], LineBox[{81, 82}]}, 
      {Hue[0, 1, 1], LineBox[{82, 83}]}, 
      {Hue[0, 1, 1], LineBox[{83, 84}]}, 
      {Hue[0, 1, 1], LineBox[{84, 85}]}, 
      {Hue[0, 1, 1], LineBox[{85, 86}]}, 
      {Hue[0, 1, 1], LineBox[{86, 87}]}, 
      {Hue[0, 1, 1], LineBox[{87, 88}]}, 
      {Hue[0, 1, 1], LineBox[{88, 89}]}, 
      {Hue[0, 1, 1], LineBox[{89, 90}]}, 
      {Hue[0, 1, 1], LineBox[{90, 91}]}, 
      {Hue[0, 1, 1], LineBox[{91, 92}]}, 
      {Hue[0, 1, 1], LineBox[{92, 93}]}, 
      {Hue[0, 1, 1], LineBox[{93, 94}]}, 
      {Hue[0, 1, 1], LineBox[{94, 95}]}, 
      {Hue[0, 1, 1], LineBox[{95, 96}]}, 
      {Hue[0, 1, 1], LineBox[{96, 97}]}, 
      {Hue[0, 1, 1], LineBox[{97, 98}]}, 
      {Hue[0, 1, 1], LineBox[{98, 99}]}, 
      {Hue[0, 1, 1], LineBox[{99, 100}]}, 
      {Hue[0, 1, 1], LineBox[{100, 101}]}, 
      {Hue[0, 1, 1], LineBox[{101, 102}]}, 
      {Hue[0, 1, 1], LineBox[{102, 103}]}, 
      {Hue[0, 1, 1], LineBox[{103, 104}]}, 
      {Hue[0, 1, 1], LineBox[{104, 105}]}, 
      {Hue[0, 1, 1], LineBox[{105, 106}]}, 
      {Hue[0, 1, 1], LineBox[{106, 107}]}, 
      {Hue[0, 1, 1], LineBox[{107, 108}]}, 
      {Hue[0, 1, 1], LineBox[{108, 109}]}, 
      {Hue[0, 1, 1], LineBox[{109, 110}]}, 
      {Hue[0, 1, 1], LineBox[{110, 111}]}, 
      {Hue[0, 1, 1], LineBox[{111, 112}]}, 
      {Hue[0, 1, 1], LineBox[{112, 113}]}, 
      {Hue[0, 1, 1], LineBox[{113, 114}]}, 
      {Hue[0, 1, 1], LineBox[{114, 115}]}, 
      {Hue[0, 1, 1], LineBox[{115, 116}]}, 
      {Hue[0, 1, 1], LineBox[{116, 117}]}, 
      {Hue[0, 1, 1], LineBox[{117, 118}]}, 
      {Hue[0, 1, 1], LineBox[{118, 119}]}, 
      {Hue[0, 1, 1], LineBox[{119, 120}]}, 
      {Hue[0, 1, 1], LineBox[{120, 121}]}, 
      {Hue[0, 1, 1], LineBox[{121, 122}]}, 
      {Hue[0, 1, 1], LineBox[{122, 123}]}, 
      {Hue[0, 1, 1], LineBox[{123, 124}]}, 
      {Hue[0, 1, 1], LineBox[{124, 125}]}, 
      {Hue[0, 1, 1], LineBox[{125, 126}]}, 
      {Hue[0, 1, 1], LineBox[{126, 127}]}, 
      {Hue[0, 1, 1], LineBox[{127, 128}]}, 
      {Hue[0, 1, 1], LineBox[{128, 129}]}, 
      {Hue[0, 1, 1], LineBox[{129, 130}]}, 
      {Hue[0, 1, 1], LineBox[{130, 131}]}, 
      {Hue[0, 1, 1], LineBox[{131, 132}]}, 
      {Hue[0, 1, 1], LineBox[{132, 133}]}, 
      {Hue[0, 1, 1], LineBox[{133, 134}]}, 
      {Hue[0, 1, 1], LineBox[{134, 135}]}, 
      {Hue[0, 1, 1], LineBox[{135, 136}]}, 
      {Hue[0, 1, 1], LineBox[{136, 137}]}, 
      {Hue[0, 1, 1], LineBox[{137, 138}]}, 
      {Hue[0, 1, 1], LineBox[{138, 139}]}, 
      {Hue[0, 1, 1], LineBox[{139, 140}]}, 
      {Hue[0, 1, 1], LineBox[{140, 141}]}, 
      {Hue[0, 1, 1], LineBox[{141, 142}]}, 
      {Hue[0, 1, 1], LineBox[{142, 143}]}, 
      {Hue[0, 1, 1], LineBox[{143, 144}]}, 
      {Hue[0, 1, 1], LineBox[{144, 145}]}, 
      {Hue[0, 1, 1], LineBox[{145, 146}]}, 
      {Hue[0, 1, 1], LineBox[{146, 147}]}, 
      {Hue[0, 1, 1], LineBox[{147, 148}]}, 
      {Hue[0, 1, 1], LineBox[{148, 149}]}, 
      {Hue[0, 1, 1], LineBox[{149, 150}]}, 
      {Hue[0, 1, 1], LineBox[{150, 151}]}, 
      {Hue[0, 1, 1], LineBox[{151, 152}]}, 
      {Hue[0, 1, 1], LineBox[{152, 153}]}, 
      {Hue[0, 1, 1], LineBox[{153, 154}]}, 
      {Hue[0, 1, 1], LineBox[{154, 155}]}, 
      {Hue[0, 1, 1], LineBox[{155, 156}]}, 
      {Hue[0, 1, 1], LineBox[{156, 157}]}, 
      {Hue[0, 1, 1], LineBox[{157, 158}]}, 
      {Hue[0, 1, 1], LineBox[{158, 159}]}, 
      {Hue[0, 1, 1], LineBox[{159, 160}]}, 
      {Hue[0, 1, 1], LineBox[{160, 161}]}, 
      {Hue[0, 1, 1], LineBox[{161, 162}]}, 
      {Hue[0, 1, 1], LineBox[{162, 163}]}, 
      {Hue[0, 1, 1], LineBox[{163, 164}]}, 
      {Hue[0, 1, 1], LineBox[{164, 165}]}, 
      {Hue[0, 1, 1], LineBox[{165, 166}]}, 
      {Hue[0, 1, 1], LineBox[{166, 167}]}, 
      {Hue[0, 1, 1], LineBox[{167, 168}]}, 
      {Hue[0, 1, 1], LineBox[{168, 169}]}, 
      {Hue[0, 1, 1], LineBox[{169, 170}]}, 
      {Hue[0, 1, 1], LineBox[{170, 171}]}, 
      {Hue[0, 1, 1], LineBox[{171, 172}]}, 
      {Hue[0, 1, 1], LineBox[{172, 173}]}, 
      {Hue[0, 1, 1], LineBox[{173, 174}]}, 
      {Hue[0, 1, 1], LineBox[{174, 175}]}, 
      {Hue[0, 1, 1], LineBox[{175, 176}]}, 
      {Hue[0, 1, 1], LineBox[{176, 177}]}, 
      {Hue[0, 1, 1], LineBox[{177, 178}]}, 
      {Hue[0, 1, 1], LineBox[{178, 179}]}, 
      {Hue[0, 1, 1], LineBox[{179, 180}]}, 
      {Hue[0, 1, 1], LineBox[{180, 181}]}, 
      {Hue[0, 1, 1], LineBox[{181, 182}]}, 
      {Hue[0, 1, 1], LineBox[{182, 183}]}, 
      {Hue[0, 1, 1], LineBox[{183, 184}]}, 
      {Hue[0, 1, 1], LineBox[{184, 185}]}, 
      {Hue[0, 1, 1], LineBox[{185, 186}]}, 
      {Hue[0, 1, 1], LineBox[{186, 187}]}, 
      {Hue[0, 1, 1], LineBox[{187, 188}]}, 
      {Hue[0, 1, 1], LineBox[{188, 189}]}, 
      {Hue[0, 1, 1], LineBox[{189, 190}]}, 
      {Hue[0, 1, 1], LineBox[{190, 191}]}, 
      {Hue[0, 1, 1], LineBox[{191, 192}]}, 
      {Hue[0, 1, 1], LineBox[{192, 193}]}, 
      {Hue[0, 1, 1], LineBox[{193, 194}]}, 
      {Hue[0, 1, 1], LineBox[{194, 195}]}, 
      {Hue[0, 1, 1], LineBox[{195, 196}]}, 
      {Hue[0, 1, 1], LineBox[{196, 197}]}, 
      {Hue[0, 1, 1], LineBox[{197, 198}]}, 
      {Hue[0, 1, 1], LineBox[{198, 199}]}, 
      {Hue[0, 1, 1], LineBox[{199, 200}]}, 
      {Hue[0, 1, 1], LineBox[{200, 201}]}, 
      {Hue[0, 1, 1], LineBox[{201, 202}]}, 
      {Hue[0, 1, 1], LineBox[{202, 203}]}, 
      {Hue[0, 1, 1], LineBox[{203, 204}]}, 
      {Hue[0, 1, 1], LineBox[{204, 205}]}, 
      {Hue[0, 1, 1], LineBox[{205, 206}]}, 
      {Hue[0, 1, 1], LineBox[{206, 207}]}, 
      {Hue[0, 1, 1], LineBox[{207, 208}]}, 
      {Hue[0, 1, 1], LineBox[{208, 209}]}, 
      {Hue[0, 1, 1], LineBox[{209, 210}]}, 
      {Hue[0, 1, 1], LineBox[{210, 211}]}, 
      {Hue[0, 1, 1], LineBox[{211, 212}]}, 
      {Hue[0, 1, 1], LineBox[{212, 213}]}, 
      {Hue[0, 1, 1], LineBox[{213, 214}]}, 
      {Hue[0, 1, 1], LineBox[{214, 215}]}, 
      {Hue[0, 1, 1], LineBox[{215, 216}]}, 
      {Hue[0, 1, 1], LineBox[{216, 217}]}, 
      {Hue[0, 1, 1], LineBox[{217, 218}]}, 
      {Hue[0, 1, 1], LineBox[{218, 219}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{219, 220}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{220, 221}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{221, 222}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{222, 223}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{223, 224}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{224, 225}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{225, 226}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{226, 227}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{227, 228}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{228, 229}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{229, 230}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{230, 231}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{231, 232}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{232, 233}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{233, 234}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{234, 235}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{235, 236}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{236, 237}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{237, 238}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{238, 239}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{239, 240}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{240, 241}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{241, 242}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{242, 243}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{243, 244}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{244, 245}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{245, 246}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{246, 247}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{247, 248}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{248, 249}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{249, 250}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{250, 251}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{251, 252}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{252, 253}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{253, 254}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{254, 255}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{255, 256}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{256, 257}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{257, 258}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{258, 259}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{259, 260}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{260, 261}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{261, 262}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{262, 263}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{263, 264}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{264, 265}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{265, 266}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{266, 267}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{267, 268}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{268, 269}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{269, 270}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{270, 271}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{271, 272}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{272, 273}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{273, 274}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{274, 275}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{275, 276}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{276, 277}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{277, 278}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{278, 279}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{279, 280}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{280, 281}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{281, 282}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{282, 283}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{283, 284}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{284, 285}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{285, 286}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{286, 287}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{287, 288}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{288, 289}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{289, 290}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{290, 291}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{291, 292}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{292, 293}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{293, 294}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{294, 295}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{295, 296}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{296, 297}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{297, 298}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{298, 299}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{299, 300}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{300, 301}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{301, 302}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{302, 303}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{303, 304}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{304, 305}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{305, 306}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{306, 307}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{307, 308}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{308, 309}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{309, 310}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{310, 311}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{311, 312}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{312, 313}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{313, 314}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{314, 315}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{315, 316}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{316, 317}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{317, 318}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{318, 319}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{319, 320}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{320, 321}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{321, 322}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{322, 323}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{323, 324}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{324, 325}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{325, 326}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{326, 327}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{327, 328}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{328, 329}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{329, 330}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{330, 331}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{331, 332}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{332, 333}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{333, 334}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{334, 335}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{335, 336}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{336, 337}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{337, 338}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{338, 339}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{339, 340}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{340, 341}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{341, 342}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{342, 343}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{343, 344}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{344, 345}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{345, 346}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{346, 347}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{347, 348}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{348, 349}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{349, 350}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{350, 351}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{351, 352}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{352, 353}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{353, 354}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{354, 355}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{355, 356}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{356, 357}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{357, 358}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{358, 359}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{359, 360}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{360, 361}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{361, 362}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{362, 363}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{363, 364}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{364, 365}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{365, 366}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{366, 367}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{367, 368}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{368, 369}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{369, 370}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{370, 371}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{371, 372}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{372, 373}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{373, 374}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{374, 375}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{375, 376}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{376, 377}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{377, 378}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{378, 379}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{379, 380}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{380, 381}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{381, 382}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{382, 383}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{383, 384}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{384, 385}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{385, 386}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{386, 387}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{387, 388}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{388, 389}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{389, 390}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{390, 391}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{391, 392}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{392, 393}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{393, 394}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{394, 395}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{395, 396}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{396, 397}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{397, 398}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{398, 399}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{399, 400}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{400, 401}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{401, 402}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{402, 403}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{403, 404}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{404, 405}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{405, 406}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{406, 407}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{407, 408}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{408, 409}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{409, 410}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{410, 411}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{411, 412}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{412, 413}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{413, 414}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{414, 415}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{415, 416}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{416, 417}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{417, 418}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{418, 419}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{419, 420}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{420, 421}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{421, 422}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{422, 423}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{423, 424}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{424, 425}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{425, 426}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{426, 427}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{427, 428}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{428, 429}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{429, 430}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{430, 431}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{431, 432}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{432, 433}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{433, 434}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{434, 435}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{435, 436}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{436, 437}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{437, 438}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{438, 439}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{439, 440}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{440, 441}]}, 
      {Hue[
        NCache[
         Rational[1, 2], 0.5], 1, 1], LineBox[{441, 442}]}, 
      {Hue[0, 1, 1], LineBox[{442, 443}]}, 
      {Hue[0, 1, 1], LineBox[{443, 444}]}, 
      {Hue[0, 1, 1], LineBox[{444, 445}]}, 
      {Hue[0, 1, 1], LineBox[{445, 446}]}, 
      {Hue[0, 1, 1], LineBox[{446, 447}]}, 
      {Hue[0, 1, 1], LineBox[{447, 448}]}, 
      {Hue[0, 1, 1], LineBox[{448, 449}]}, 
      {Hue[0, 1, 1], LineBox[{449, 450}]}, 
      {Hue[0, 1, 1], LineBox[{450, 451}]}, 
      {Hue[0, 1, 1], LineBox[{451, 452}]}, 
      {Hue[0, 1, 1], LineBox[{452, 453}]}, 
      {Hue[0, 1, 1], LineBox[{453, 454}]}, 
      {Hue[0, 1, 1], LineBox[{454, 455}]}, 
      {Hue[0, 1, 1], LineBox[{455, 456}]}, 
      {Hue[0, 1, 1], LineBox[{456, 457}]}, 
      {Hue[0, 1, 1], LineBox[{457, 458}]}, 
      {Hue[0, 1, 1], LineBox[{458, 459}]}, 
      {Hue[0, 1, 1], LineBox[{459, 460}]}, 
      {Hue[0, 1, 1], LineBox[{460, 461}]}, 
      {Hue[0, 1, 1], LineBox[{461, 462}]}, 
      {Hue[0, 1, 1], LineBox[{462, 463}]}, 
      {Hue[0, 1, 1], LineBox[{463, 464}]}, 
      {Hue[0, 1, 1], LineBox[{464, 465}]}, 
      {Hue[0, 1, 1], LineBox[{465, 466}]}, 
      {Hue[0, 1, 1], LineBox[{466, 467}]}, 
      {Hue[0, 1, 1], LineBox[{467, 468}]}, 
      {Hue[0, 1, 1], LineBox[{468, 469}]}, 
      {Hue[0, 1, 1], LineBox[{469, 470}]}, 
      {Hue[0, 1, 1], LineBox[{470, 471}]}, 
      {Hue[0, 1, 1], LineBox[{471, 472}]}, 
      {Hue[0, 1, 1], LineBox[{472, 473}]}, 
      {Hue[0, 1, 1], LineBox[{473, 474}]}, 
      {Hue[0, 1, 1], LineBox[{474, 475}]}, 
      {Hue[0, 1, 1], LineBox[{475, 476}]}, 
      {Hue[0, 1, 1], LineBox[{476, 477}]}, 
      {Hue[0, 1, 1], LineBox[{477, 478}]}, 
      {Hue[0, 1, 1], LineBox[{478, 479}]}, 
      {Hue[0, 1, 1], LineBox[{479, 480}]}, 
      {Hue[0, 1, 1], LineBox[{480, 481}]}, 
      {Hue[0, 1, 1], LineBox[{481, 482}]}, 
      {Hue[0, 1, 1], LineBox[{482, 483}]}, 
      {Hue[0, 1, 1], LineBox[{483, 484}]}, 
      {Hue[0, 1, 1], LineBox[{484, 485}]}, 
      {Hue[0, 1, 1], LineBox[{485, 486}]}, 
      {Hue[0, 1, 1], LineBox[{486, 487}]}, 
      {Hue[0, 1, 1], LineBox[{487, 488}]}, 
      {Hue[0, 1, 1], LineBox[{488, 489}]}, 
      {Hue[0, 1, 1], LineBox[{489, 490}]}, 
      {Hue[0, 1, 1], LineBox[{490, 491}]}, 
      {Hue[0, 1, 1], LineBox[{491, 492}]}, 
      {Hue[0, 1, 1], LineBox[{492, 493}]}, 
      {Hue[0, 1, 1], LineBox[{493, 494}]}, 
      {Hue[0, 1, 1], LineBox[{494, 495}]}, 
      {Hue[0, 1, 1], LineBox[{495, 496}]}, 
      {Hue[0, 1, 1], LineBox[{496, 497}]}, 
      {Hue[0, 1, 1], LineBox[{497, 498}]}, 
      {Hue[0, 1, 1], LineBox[{498, 499}]}, 
      {Hue[0, 1, 1], LineBox[{499, 500}]}, 
      {Hue[0, 1, 1], LineBox[{500, 501}]}, 
      {Hue[0, 1, 1], LineBox[{501, 502}]}, 
      {Hue[0, 1, 1], LineBox[{502, 503}]}, 
      {Hue[0, 1, 1], LineBox[{503, 504}]}, 
      {Hue[0, 1, 1], LineBox[{504, 505}]}, 
      {Hue[0, 1, 1], LineBox[{505, 506}]}, 
      {Hue[0, 1, 1], LineBox[{506, 507}]}, 
      {Hue[0, 1, 1], LineBox[{507, 508}]}, 
      {Hue[0, 1, 1], LineBox[{508, 509}]}, 
      {Hue[0, 1, 1], LineBox[{509, 510}]}, 
      {Hue[0, 1, 1], LineBox[{510, 511}]}, 
      {Hue[0, 1, 1], LineBox[{511, 512}]}, 
      {Hue[0, 1, 1], LineBox[{512, 513}]}, 
      {Hue[0, 1, 1], LineBox[{513, 514}]}, 
      {Hue[0, 1, 1], LineBox[{514, 515}]}, 
      {Hue[0, 1, 1], LineBox[{515, 516}]}, 
      {Hue[0, 1, 1], LineBox[{516, 517}]}, 
      {Hue[0, 1, 1], LineBox[{517, 518}]}, 
      {Hue[0, 1, 1], LineBox[{518, 519}]}, 
      {Hue[0, 1, 1], LineBox[{519, 520}]}, 
      {Hue[0, 1, 1], LineBox[{520, 521}]}, 
      {Hue[0, 1, 1], LineBox[{521, 522}]}, 
      {Hue[0, 1, 1], LineBox[{522, 523}]}, 
      {Hue[0, 1, 1], LineBox[{523, 524}]}, 
      {Hue[0, 1, 1], LineBox[{524, 525}]}, 
      {Hue[0, 1, 1], LineBox[{525, 526}]}, 
      {Hue[0, 1, 1], LineBox[{526, 527}]}, 
      {Hue[0, 1, 1], LineBox[{527, 528}]}, 
      {Hue[0, 1, 1], LineBox[{528, 529}]}, 
      {Hue[0, 1, 1], LineBox[{529, 530}]}, 
      {Hue[0, 1, 1], LineBox[{530, 531}]}, 
      {Hue[0, 1, 1], LineBox[{531, 532}]}, 
      {Hue[0, 1, 1], LineBox[{532, 533}]}, 
      {Hue[0, 1, 1], LineBox[{533, 534}]}, 
      {Hue[0, 1, 1], LineBox[{534, 535}]}, 
      {Hue[0, 1, 1], LineBox[{535, 536}]}, 
      {Hue[0, 1, 1], LineBox[{536, 537}]}, 
      {Hue[0, 1, 1], LineBox[{537, 538}]}, 
      {Hue[0, 1, 1], LineBox[{538, 539}]}, 
      {Hue[0, 1, 1], LineBox[{539, 540}]}, 
      {Hue[0, 1, 1], LineBox[{540, 541}]}, 
      {Hue[0, 1, 1], LineBox[{541, 542}]}, 
      {Hue[0, 1, 1], LineBox[{542, 543}]}, 
      {Hue[0, 1, 1], LineBox[{543, 544}]}, 
      {Hue[0, 1, 1], LineBox[{544, 545}]}, 
      {Hue[0, 1, 1], LineBox[{545, 546}]}, 
      {Hue[0, 1, 1], LineBox[{546, 547}]}, 
      {Hue[0, 1, 1], LineBox[{547, 548}]}, 
      {Hue[0, 1, 1], LineBox[{548, 549}]}, 
      {Hue[0, 1, 1], LineBox[{549, 550}]}, 
      {Hue[0, 1, 1], LineBox[{550, 551}]}, 
      {Hue[0, 1, 1], LineBox[{551, 552}]}, 
      {Hue[0, 1, 1], LineBox[{552, 553}]}, 
      {Hue[0, 1, 1], LineBox[{553, 554}]}, 
      {Hue[0, 1, 1], LineBox[{554, 555}]}, 
      {Hue[0, 1, 1], LineBox[{555, 556}]}, 
      {Hue[0, 1, 1], LineBox[{556, 557}]}, 
      {Hue[0, 1, 1], LineBox[{557, 558}]}, 
      {Hue[0, 1, 1], LineBox[{558, 559}]}, 
      {Hue[0, 1, 1], LineBox[{559, 560}]}, 
      {Hue[0, 1, 1], LineBox[{560, 561}]}, 
      {Hue[0, 1, 1], LineBox[{561, 562}]}, 
      {Hue[0, 1, 1], LineBox[{562, 563}]}, 
      {Hue[0, 1, 1], LineBox[{563, 564}]}, 
      {Hue[0, 1, 1], LineBox[{564, 565}]}, 
      {Hue[0, 1, 1], LineBox[{565, 566}]}, 
      {Hue[0, 1, 1], LineBox[{566, 567}]}, 
      {Hue[0, 1, 1], LineBox[{567, 568}]}, 
      {Hue[0, 1, 1], LineBox[{568, 569}]}, 
      {Hue[0, 1, 1], LineBox[{569, 570}]}, 
      {Hue[0, 1, 1], LineBox[{570, 571}]}, 
      {Hue[0, 1, 1], LineBox[{571, 572}]}, 
      {Hue[0, 1, 1], LineBox[{572, 573}]}, 
      {Hue[0, 1, 1], LineBox[{573, 574}]}, 
      {Hue[0, 1, 1], LineBox[{574, 575}]}, 
      {Hue[0, 1, 1], LineBox[{575, 576}]}, 
      {Hue[0, 1, 1], LineBox[{576, 577}]}, 
      {Hue[0, 1, 1], LineBox[{577, 578}]}, 
      {Hue[0, 1, 1], LineBox[{578, 579}]}, 
      {Hue[0, 1, 1], LineBox[{579, 580}]}, 
      {Hue[0, 1, 1], LineBox[{580, 581}]}, 
      {Hue[0, 1, 1], LineBox[{581, 582}]}, 
      {Hue[0, 1, 1], LineBox[{582, 583}]}, 
      {Hue[0, 1, 1], LineBox[{583, 584}]}, 
      {Hue[0, 1, 1], LineBox[{584, 585}]}, 
      {Hue[0, 1, 1], LineBox[{585, 586}]}, 
      {Hue[0, 1, 1], LineBox[{586, 587}]}, 
      {Hue[0, 1, 1], LineBox[{587, 588}]}, 
      {Hue[0, 1, 1], LineBox[{588, 589}]}, 
      {Hue[0, 1, 1], LineBox[{589, 590}]}, 
      {Hue[0, 1, 1], LineBox[{590, 591}]}, 
      {Hue[0, 1, 1], LineBox[{591, 592}]}, 
      {Hue[0, 1, 1], LineBox[{592, 593}]}, 
      {Hue[0, 1, 1], LineBox[{593, 594}]}, 
      {Hue[0, 1, 1], LineBox[{594, 595}]}, 
      {Hue[0, 1, 1], LineBox[{595, 596}]}, 
      {Hue[0, 1, 1], LineBox[{596, 597}]}, 
      {Hue[0, 1, 1], LineBox[{597, 598}]}, 
      {Hue[0, 1, 1], LineBox[{598, 599}]}, 
      {Hue[0, 1, 1], LineBox[{599, 600}]}, 
      {Hue[0, 1, 1], LineBox[{600, 601}]}, 
      {Hue[0, 1, 1], LineBox[{601, 602}]}, 
      {Hue[0, 1, 1], LineBox[{602, 603}]}, 
      {Hue[0, 1, 1], LineBox[{603, 604}]}, 
      {Hue[0, 1, 1], LineBox[{604, 605}]}, 
      {Hue[0, 1, 1], LineBox[{605, 606}]}, 
      {Hue[0, 1, 1], LineBox[{606, 607}]}, 
      {Hue[0, 1, 1], LineBox[{607, 608}]}, 
      {Hue[0, 1, 1], LineBox[{608, 609}]}, 
      {Hue[0, 1, 1], LineBox[{609, 610}]}, 
      {Hue[0, 1, 1], LineBox[{610, 611}]}, 
      {Hue[0, 1, 1], LineBox[{611, 612}]}, 
      {Hue[0, 1, 1], LineBox[{612, 613}]}, 
      {Hue[0, 1, 1], LineBox[{613, 614}]}, 
      {Hue[0, 1, 1], LineBox[{614, 615}]}, 
      {Hue[0, 1, 1], LineBox[{615, 616}]}, 
      {Hue[0, 1, 1], LineBox[{616, 617}]}, 
      {Hue[0, 1, 1], LineBox[{617, 618}]}, 
      {Hue[0, 1, 1], LineBox[{618, 619}]}, 
      {Hue[0, 1, 1], LineBox[{619, 620}]}, 
      {Hue[0, 1, 1], LineBox[{620, 621}]}, 
      {Hue[0, 1, 1], LineBox[{621, 622}]}, 
      {Hue[0, 1, 1], LineBox[{622, 623}]}, 
      {Hue[0, 1, 1], LineBox[{623, 624}]}, 
      {Hue[0, 1, 1], LineBox[{624, 625}]}, 
      {Hue[0, 1, 1], LineBox[{625, 626}]}, 
      {Hue[0, 1, 1], LineBox[{626, 627}]}, 
      {Hue[0, 1, 1], LineBox[{627, 628}]}, 
      {Hue[0, 1, 1], LineBox[{628, 629}]}, 
      {Hue[0, 1, 1], LineBox[{629, 630}]}, 
      {Hue[0, 1, 1], LineBox[{630, 631}]}, 
      {Hue[0, 1, 1], LineBox[{631, 632}]}, 
      {Hue[0, 1, 1], LineBox[{632, 633}]}, 
      {Hue[0, 1, 1], LineBox[{633, 634}]}, 
      {Hue[0, 1, 1], LineBox[{634, 635}]}, 
      {Hue[0, 1, 1], LineBox[{635, 636}]}, 
      {Hue[0, 1, 1], LineBox[{636, 637}]}, 
      {Hue[0, 1, 1], LineBox[{637, 638}]}, 
      {Hue[0, 1, 1], LineBox[{638, 639}]}, 
      {Hue[0, 1, 1], LineBox[{639, 640}]}, 
      {Hue[0, 1, 1], LineBox[{640, 641}]}, 
      {Hue[0, 1, 1], LineBox[{641, 642}]}, 
      {Hue[0, 1, 1], LineBox[{642, 643}]}, 
      {Hue[0, 1, 1], LineBox[{643, 644}]}, 
      {Hue[0, 1, 1], LineBox[{644, 645}]}, 
      {Hue[0, 1, 1], LineBox[{645, 646}]}, 
      {Hue[0, 1, 1], LineBox[{646, 647}]}, 
      {Hue[0, 1, 1], LineBox[{647, 648}]}, 
      {Hue[0, 1, 1], LineBox[{648, 649}]}, 
      {Hue[0, 1, 1], LineBox[{649, 650}]}, 
      {Hue[0, 1, 1], LineBox[{650, 651}]}, 
      {Hue[0, 1, 1], LineBox[{651, 652}]}, 
      {Hue[0, 1, 1], LineBox[{652, 653}]}, 
      {Hue[0, 1, 1], LineBox[{653, 654}]}, 
      {Hue[0, 1, 1], LineBox[{654, 655}]}, 
      {Hue[0, 1, 1], LineBox[{655, 656}]}, 
      {Hue[0, 1, 1], LineBox[{656, 657}]}, 
      {Hue[0, 1, 1], LineBox[{657, 658}]}, 
      {Hue[0, 1, 1], LineBox[{658, 659}]}, 
      {Hue[0, 1, 1], LineBox[{659, 660}]}, 
      {Hue[0, 1, 1], LineBox[{660, 661}]}}}},
   VertexColors->{
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[
      Rational[1, 2], 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1], 
     Hue[0, 1, 1]}],
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{-6.2831851148371785`, 3.141592461247386}, {-0.9999997369146433,
    0.}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.3897310071909184`*^9, 3.389731053767893*^9, 
  3.389733072542968*^9, 3.390893996445855*^9, 3.39177992418086*^9, 
  3.3917802193355837`*^9, 3.39184871984375*^9, 3.392469654732931*^9, 
  3.393842390701171*^9, 3.393847011292194*^9}]
}, Open  ]],

Cell[TextData[{
 "In quantum mechanics, a ",
 Cell[BoxData[
  SuperscriptBox["\[DoubleStruckCapitalC]", "2"]]],
 "-valued functions is called a spinor function. The ArgColorPlot has a \
method to plot such functions by combining QArgColorPlots of the two \
component-functions. By default, the second component is plotted upside down \
and with less saturation:"
}], "Text"],

Cell["\<\
RM: QSpinorPlot does not add black boundary-lines for the second component. \
OK?\
\>", "Program",
 CellChangeTimes->{{3.3894553577690077`*^9, 3.3894553827736197`*^9}, {
   3.389455431689781*^9, 3.389455433100431*^9}, {3.389537661380677*^9, 
   3.3895376740541277`*^9}, {3.3896864405252047`*^9, 3.389686456077568*^9}, 
   3.389729671189843*^9, {3.391678053085253*^9, 3.3916780531425533`*^9}, {
   3.3917802949130898`*^9, 3.391780326423534*^9}, {3.391780419103088*^9, 
   3.391780442541654*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"spinorfunction", "[", "x_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Cos", "[", 
       RowBox[{"3", " ", "x"}], "]"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "3"]}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"x", "-", 
            FractionBox["1", "4"]}], ")"}], "2"]}], "+", 
        RowBox[{"\[ImaginaryI]", " ", "x"}]}]]}], ",", 
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"4", " ", "x"}], "]"}], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "2"]}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"x", "+", 
            FractionBox["1", "4"]}], ")"}], "2"]}], "+", 
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "x"}]}]]}]}], "}"}]}], 
  ";"}], "\n", 
 RowBox[{"QSpinorPlot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"spinorfunction", "[", "x", "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "3."}], ",", "3."}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"Axes", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"True", ",", "False"}], "}"}]}]}], "]"}]}], "Input"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJwUWnk4lG8XFoPsCpFSlkjaFEXS76iUUJIWylqJRJGQoghlDSEiyVJiCNlJ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    "], {
     {GrayLevel[0.5], EdgeForm[None], 
      GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwtnHngf1Vd5r93O/s518iMqAyXGAeZJCNllBSJyC1CMisiQ1JyISQjNHIb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        "]]]}, {{}, {}, {
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1, 2}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{2, 3}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{3, 4}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{4, 5}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{5, 6}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{6, 7}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{7, 8}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{8, 9}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{9, 10}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{10, 11}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{11, 12}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{12, 13}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{13, 14}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{14, 15}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{15, 16}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{16, 17}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{17, 18}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{18, 19}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{19, 20}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{20, 21}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{21, 22}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{22, 23}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{23, 24}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{24, 25}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{25, 26}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{26, 27}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{27, 28}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{28, 29}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{29, 30}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{30, 31}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{31, 32}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{32, 33}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{33, 34}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{34, 35}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{35, 36}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{36, 37}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{37, 38}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{38, 39}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{39, 40}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{40, 41}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{41, 42}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{42, 43}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{43, 44}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{44, 45}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{45, 46}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{46, 47}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{47, 48}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{48, 49}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{49, 50}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{50, 51}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{51, 52}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{52, 53}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{53, 54}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{54, 55}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{55, 56}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{56, 57}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{57, 58}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{58, 59}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{59, 60}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{60, 61}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{61, 62}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{62, 63}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{63, 64}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{64, 65}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{65, 66}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{66, 67}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{67, 68}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{68, 69}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{69, 70}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{70, 71}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{71, 72}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{72, 73}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{73, 74}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{74, 75}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{75, 76}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{76, 77}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{77, 78}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{78, 79}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{79, 80}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{80, 81}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{81, 82}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{82, 83}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{83, 84}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{84, 85}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{85, 86}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{86, 87}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{87, 88}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{88, 89}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{89, 90}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{90, 91}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{91, 92}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{92, 93}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{93, 94}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{94, 95}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{95, 96}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{96, 97}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{97, 98}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{98, 99}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{99, 100}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{100, 101}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{101, 102}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{102, 103}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{103, 104}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{104, 105}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{105, 106}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{106, 107}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{107, 108}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{108, 109}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{109, 110}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{110, 111}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{111, 112}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{112, 113}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{113, 114}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{114, 115}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{115, 116}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{116, 117}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{117, 118}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{118, 119}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{119, 120}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{120, 121}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{121, 122}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{122, 123}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{123, 124}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{124, 125}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{125, 126}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{126, 127}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{127, 128}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{128, 129}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{129, 130}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{130, 131}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{131, 132}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{132, 133}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{133, 134}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{134, 135}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{135, 136}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{136, 137}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{137, 138}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{138, 139}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{139, 140}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{140, 141}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{141, 142}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{142, 143}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{143, 144}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{144, 145}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{145, 146}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{146, 147}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{147, 148}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{148, 149}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{149, 150}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{150, 151}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{151, 152}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{152, 153}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{153, 154}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{154, 155}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{155, 156}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{156, 157}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{157, 158}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{158, 159}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{159, 160}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{160, 161}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{161, 162}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{162, 163}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{163, 164}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{164, 165}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{165, 166}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{166, 167}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{167, 168}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{168, 169}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{169, 170}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{170, 171}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{171, 172}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{172, 173}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{173, 174}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{174, 175}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{175, 176}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{176, 177}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{177, 178}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{178, 179}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{179, 180}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{180, 181}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{181, 182}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{182, 183}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{183, 184}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{184, 185}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{185, 186}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{186, 187}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{187, 188}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{188, 189}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{189, 190}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{190, 191}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{191, 192}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{192, 193}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{193, 194}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{194, 195}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{195, 196}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{196, 197}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{197, 198}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{198, 199}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{199, 200}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{200, 201}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{201, 202}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{202, 203}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{203, 204}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{204, 205}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{205, 206}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{206, 207}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{207, 208}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{208, 209}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{209, 210}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{210, 211}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{211, 212}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{212, 213}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{213, 214}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{214, 215}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{215, 216}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{216, 217}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{217, 218}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{218, 219}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{219, 220}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{220, 221}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{221, 222}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{222, 223}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{223, 224}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{224, 225}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{225, 226}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{226, 227}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{227, 228}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{228, 229}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{229, 230}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{230, 231}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{231, 232}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{232, 233}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{233, 234}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{234, 235}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{235, 236}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{236, 237}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{237, 238}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{238, 239}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{239, 240}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{240, 241}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{241, 242}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{242, 243}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{243, 244}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{244, 245}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{245, 246}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{246, 247}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{247, 248}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{248, 249}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{249, 250}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{250, 251}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{251, 252}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{252, 253}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{253, 254}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{254, 255}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{255, 256}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{256, 257}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{257, 258}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{258, 259}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{259, 260}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{260, 261}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{261, 262}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{262, 263}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{263, 264}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{264, 265}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{265, 266}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{266, 267}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{267, 268}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{268, 269}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{269, 270}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{270, 271}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{271, 272}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{272, 273}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{273, 274}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{274, 275}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{275, 276}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{276, 277}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{277, 278}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{278, 279}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{279, 280}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{280, 281}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{281, 282}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{282, 283}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{283, 284}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{284, 285}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{285, 286}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{286, 287}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{287, 288}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{288, 289}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{289, 290}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{290, 291}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{291, 292}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{292, 293}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{293, 294}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{294, 295}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{295, 296}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{296, 297}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{297, 298}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{298, 299}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{299, 300}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{300, 301}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{301, 302}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{302, 303}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{303, 304}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{304, 305}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{305, 306}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{306, 307}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{307, 308}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{308, 309}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{309, 310}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{310, 311}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{311, 312}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{312, 313}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{313, 314}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{314, 315}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{315, 316}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{316, 317}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{317, 318}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{318, 319}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{319, 320}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{320, 321}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{321, 322}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{322, 323}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{323, 324}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{324, 325}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{325, 326}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{326, 327}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{327, 328}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{328, 329}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{329, 330}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{330, 331}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{331, 332}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{332, 333}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{333, 334}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{334, 335}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{335, 336}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{336, 337}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{337, 338}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{338, 339}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{339, 340}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{340, 341}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{341, 342}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{342, 343}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{343, 344}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{344, 345}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{345, 346}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{346, 347}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{347, 348}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{348, 349}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{349, 350}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{350, 351}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{351, 352}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{352, 353}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{353, 354}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{354, 355}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{355, 356}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{356, 357}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{357, 358}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{358, 359}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{359, 360}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{360, 361}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{361, 362}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{362, 363}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{363, 364}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{364, 365}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{365, 366}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{366, 367}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{367, 368}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{368, 369}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{369, 370}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{370, 371}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{371, 372}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{372, 373}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{373, 374}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{374, 375}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{375, 376}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{376, 377}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{377, 378}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{378, 379}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{379, 380}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{380, 381}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{381, 382}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{382, 383}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{383, 384}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{384, 385}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{385, 386}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{386, 387}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{387, 388}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{388, 389}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{389, 390}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{390, 391}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{391, 392}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{392, 393}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{393, 394}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{394, 395}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{395, 396}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{396, 397}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{397, 398}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{398, 399}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{399, 400}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{400, 401}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{401, 402}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{402, 403}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{403, 404}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{404, 405}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{405, 406}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{406, 407}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{407, 408}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{408, 409}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{409, 410}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{410, 411}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{411, 412}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{412, 413}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{413, 414}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{414, 415}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{415, 416}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{416, 417}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{417, 418}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{418, 419}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{419, 420}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{420, 421}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{421, 422}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{422, 423}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{423, 424}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{424, 425}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{425, 426}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{426, 427}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{427, 428}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{428, 429}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{429, 430}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{430, 431}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{431, 432}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{432, 433}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{433, 434}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{434, 435}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{435, 436}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{436, 437}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{437, 438}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{438, 439}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{439, 440}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{440, 441}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{441, 442}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{442, 443}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{443, 444}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{444, 445}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{445, 446}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{446, 447}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{447, 448}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{448, 449}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{449, 450}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{450, 451}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{451, 452}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{452, 453}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{453, 454}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{454, 455}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{455, 456}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{456, 457}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{457, 458}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{458, 459}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{459, 460}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{460, 461}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{461, 462}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{462, 463}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{463, 464}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{464, 465}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{465, 466}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{466, 467}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{467, 468}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{468, 469}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{469, 470}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{470, 471}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{471, 472}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{472, 473}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{473, 474}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{474, 475}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{475, 476}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{476, 477}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{477, 478}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{478, 479}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{479, 480}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{480, 481}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{481, 482}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{482, 483}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{483, 484}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{484, 485}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{485, 486}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{486, 487}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{487, 488}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{488, 489}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{489, 490}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{490, 491}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{491, 492}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{492, 493}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{493, 494}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{494, 495}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{495, 496}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{496, 497}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{497, 498}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{498, 499}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{499, 500}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{500, 501}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{501, 502}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{502, 503}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{503, 504}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{504, 505}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{505, 506}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{506, 507}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{507, 508}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{508, 509}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{509, 510}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{510, 511}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{511, 512}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{512, 513}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{513, 514}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{514, 515}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{515, 516}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{516, 517}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{517, 518}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{518, 519}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{519, 520}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{520, 521}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{521, 522}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{522, 523}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{523, 524}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{524, 525}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{525, 526}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{526, 527}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{527, 528}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{528, 529}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{529, 530}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{530, 531}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{531, 532}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{532, 533}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{533, 534}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{534, 535}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{535, 536}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{536, 537}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{537, 538}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{538, 539}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{539, 540}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{540, 541}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{541, 542}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{542, 543}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{543, 544}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{544, 545}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{545, 546}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{546, 547}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{547, 548}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{548, 549}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{549, 550}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{550, 551}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{551, 552}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{552, 553}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{553, 554}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{554, 555}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{555, 556}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{556, 557}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{557, 558}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{558, 559}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{559, 560}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{560, 561}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{561, 562}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{562, 563}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{563, 564}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{564, 565}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{565, 566}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{566, 567}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{567, 568}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{568, 569}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{569, 570}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{570, 571}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{571, 572}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{572, 573}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{573, 574}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{574, 575}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{575, 576}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{576, 577}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{577, 578}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{578, 579}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{579, 580}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{580, 581}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{581, 582}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{582, 583}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{583, 584}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{584, 585}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{585, 586}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{586, 587}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{587, 588}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{588, 589}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{589, 590}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{590, 591}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{591, 592}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{592, 593}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{593, 594}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{594, 595}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{595, 596}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{596, 597}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{597, 598}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{598, 599}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{599, 600}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{600, 601}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{601, 602}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{602, 603}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{603, 604}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{604, 605}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{605, 606}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{606, 607}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{607, 608}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{608, 609}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{609, 610}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{610, 611}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{611, 612}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{612, 613}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{613, 614}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{614, 615}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{615, 616}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{616, 617}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{617, 618}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{618, 619}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{619, 620}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{620, 621}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{621, 622}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{622, 623}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{623, 624}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{624, 625}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{625, 626}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{626, 627}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{627, 628}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{628, 629}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{629, 630}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{630, 631}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{631, 632}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{632, 633}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{633, 634}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{634, 635}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{635, 636}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{636, 637}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{637, 638}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{638, 639}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{639, 640}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{640, 641}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{641, 642}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{642, 643}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{643, 644}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{644, 645}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{645, 646}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{646, 647}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{647, 648}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{648, 649}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{649, 650}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{650, 651}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{651, 652}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{652, 653}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{653, 654}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{654, 655}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{655, 656}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{656, 657}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{657, 658}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{658, 659}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{659, 660}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{660, 661}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{661, 662}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{662, 663}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{663, 664}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{664, 665}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{665, 666}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{666, 667}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{667, 668}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{668, 669}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{669, 670}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{670, 671}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{671, 672}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{672, 673}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{673, 674}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{674, 675}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{675, 676}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{676, 677}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{677, 678}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{678, 679}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{679, 680}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{680, 681}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{681, 682}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{682, 683}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{683, 684}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{684, 685}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{685, 686}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{686, 687}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{687, 688}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{688, 689}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{689, 690}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{690, 691}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{691, 692}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{692, 693}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{693, 694}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{694, 695}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{695, 696}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{696, 697}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{697, 698}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{698, 699}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{699, 700}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{700, 701}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{701, 702}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{702, 703}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{703, 704}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{704, 705}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{705, 706}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{706, 707}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{707, 708}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{708, 709}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{709, 710}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{710, 711}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{711, 712}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{712, 713}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{713, 714}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{714, 715}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{715, 716}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{716, 717}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{717, 718}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{718, 719}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{719, 720}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{720, 721}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{721, 722}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{722, 723}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{723, 724}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{724, 725}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{725, 726}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{726, 727}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{727, 728}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{728, 729}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{729, 730}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{730, 731}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{731, 732}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{732, 733}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{733, 734}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{734, 735}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{735, 736}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{736, 737}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{737, 738}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{738, 739}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{739, 740}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{740, 741}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{741, 742}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{742, 743}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{743, 744}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{744, 745}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{745, 746}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{746, 747}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{747, 748}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{748, 749}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{749, 750}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{750, 751}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{751, 752}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{752, 753}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{753, 754}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{754, 755}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{755, 756}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{756, 757}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{757, 758}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{758, 759}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{759, 760}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{760, 761}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{761, 762}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{762, 763}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{763, 764}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{764, 765}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{765, 766}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{766, 767}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{767, 768}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{768, 769}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{769, 770}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{770, 771}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{771, 772}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{772, 773}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{773, 774}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{774, 775}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{775, 776}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{776, 777}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{777, 778}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{778, 779}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{779, 780}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{780, 781}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{781, 782}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{782, 783}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{783, 784}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{784, 785}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{785, 786}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{786, 787}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{787, 788}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{788, 789}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{789, 790}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{790, 791}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{791, 792}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{792, 793}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{793, 794}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{794, 795}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{795, 796}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{796, 797}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{797, 798}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{798, 799}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{799, 800}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{800, 801}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{801, 802}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{802, 803}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{803, 804}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{804, 805}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{805, 806}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{806, 807}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{807, 808}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{808, 809}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{809, 810}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{810, 811}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{811, 812}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{812, 813}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{813, 814}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{814, 815}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{815, 816}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{816, 817}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{817, 818}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{818, 819}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{819, 820}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{820, 821}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{821, 822}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{822, 823}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{823, 824}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{824, 825}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{825, 826}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{826, 827}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{827, 828}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{828, 829}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{829, 830}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{830, 831}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{831, 832}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{832, 833}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{833, 834}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{834, 835}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{835, 836}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{836, 837}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{837, 838}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{838, 839}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{839, 840}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{840, 841}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{841, 842}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{842, 843}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{843, 844}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{844, 845}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{845, 846}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{846, 847}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{847, 848}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{848, 849}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{849, 850}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{850, 851}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{851, 852}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{852, 853}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{853, 854}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{854, 855}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{855, 856}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{856, 857}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{857, 858}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{858, 859}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{859, 860}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{860, 861}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{861, 862}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{862, 863}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{863, 864}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{864, 865}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{865, 866}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{866, 867}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{867, 868}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{868, 869}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{869, 870}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{870, 871}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{871, 872}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{872, 873}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{873, 874}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{874, 875}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{875, 876}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{876, 877}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{877, 878}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{878, 879}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{879, 880}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{880, 881}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{881, 882}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{882, 883}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{883, 884}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{884, 885}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{885, 886}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{886, 887}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{887, 888}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{888, 889}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{889, 890}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{890, 891}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{891, 892}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{892, 893}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{893, 894}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{894, 895}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{895, 896}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{896, 897}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{897, 898}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{898, 899}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{899, 900}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{900, 901}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{901, 902}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{902, 903}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{903, 904}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{904, 905}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{905, 906}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{906, 907}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{907, 908}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{908, 909}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{909, 910}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{910, 911}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{911, 912}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{912, 913}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{913, 914}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{914, 915}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{915, 916}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{916, 917}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{917, 918}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{918, 919}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{919, 920}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{920, 921}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{921, 922}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{922, 923}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{923, 924}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{924, 925}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{925, 926}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{926, 927}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{927, 928}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{928, 929}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{929, 930}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{930, 931}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{931, 932}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{932, 933}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{933, 934}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{934, 935}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{935, 936}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{936, 937}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{937, 938}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{938, 939}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{939, 940}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{940, 941}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{941, 942}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{942, 943}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{943, 944}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{944, 945}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{945, 946}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{946, 947}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{947, 948}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{948, 949}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{949, 950}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{950, 951}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{951, 952}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{952, 953}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{953, 954}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{954, 955}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{955, 956}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{956, 957}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{957, 958}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{958, 959}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{959, 960}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{960, 961}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{961, 962}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{962, 963}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{963, 964}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{964, 965}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{965, 966}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{966, 967}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{967, 968}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{968, 969}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{969, 970}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{970, 971}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{971, 972}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{972, 973}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{973, 974}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{974, 975}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{975, 976}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{976, 977}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{977, 978}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{978, 979}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{979, 980}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{980, 981}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{981, 982}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{982, 983}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{983, 984}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{984, 985}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{985, 986}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{986, 987}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{987, 988}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{988, 989}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{989, 990}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{990, 991}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{991, 992}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{992, 993}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{993, 994}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{994, 995}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{995, 996}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{996, 997}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{997, 998}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{998, 999}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{999, 1000}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1000, 1001}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1001, 1002}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1002, 1003}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1003, 1004}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1004, 1005}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1005, 1006}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1006, 1007}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1007, 1008}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1008, 1009}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1009, 1010}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1010, 1011}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1011, 1012}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1012, 1013}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1013, 1014}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1014, 1015}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1015, 1016}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1016, 1017}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1017, 1018}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1018, 1019}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1019, 1020}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1020, 1021}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1021, 1022}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1022, 1023}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1023, 1024}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1024, 1025}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1025, 1026}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1026, 1027}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1027, 1028}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1028, 1029}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1029, 1030}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1030, 1031}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1031, 1032}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1032, 1033}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1033, 1034}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1034, 1035}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1035, 1036}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1036, 1037}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1037, 1038}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1038, 1039}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1039, 1040}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1040, 1041}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1041, 1042}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1042, 1043}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1043, 1044}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1044, 1045}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1045, 1046}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1046, 1047}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1047, 1048}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1048, 1049}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1049, 1050}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1050, 1051}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1051, 1052}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1052, 1053}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1053, 1054}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1054, 1055}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1055, 1056}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1056, 1057}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1057, 1058}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1058, 1059}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1059, 1060}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1060, 1061}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1061, 1062}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1062, 1063}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1063, 1064}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1064, 1065}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1065, 1066}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1066, 1067}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1067, 1068}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1068, 1069}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1069, 1070}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1070, 1071}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1071, 1072}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1072, 1073}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1073, 1074}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1074, 1075}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1075, 1076}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1076, 1077}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1077, 1078}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1078, 1079}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1079, 1080}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1080, 1081}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1081, 1082}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1082, 1083}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1083, 1084}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1084, 1085}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1085, 1086}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1086, 1087}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1087, 1088}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1088, 1089}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1089, 1090}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1090, 1091}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1091, 1092}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1092, 1093}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1093, 1094}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1094, 1095}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1095, 1096}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1096, 1097}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1097, 1098}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1098, 1099}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1099, 1100}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1100, 1101}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1101, 1102}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1102, 1103}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1103, 1104}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1104, 1105}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1105, 1106}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1106, 1107}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1107, 1108}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1108, 1109}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1109, 1110}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1110, 1111}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1111, 1112}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1112, 1113}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1113, 1114}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1114, 1115}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1115, 1116}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1116, 1117}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1117, 1118}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1118, 1119}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1119, 1120}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1120, 1121}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1121, 1122}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1122, 1123}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1123, 1124}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1124, 1125}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1125, 1126}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1126, 1127}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1127, 1128}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1128, 1129}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1129, 1130}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1130, 1131}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1131, 1132}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1132, 1133}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1133, 1134}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1134, 1135}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1135, 1136}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1136, 1137}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1137, 1138}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1138, 1139}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1139, 1140}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1140, 1141}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1141, 1142}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1142, 1143}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1143, 1144}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1144, 1145}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1145, 1146}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1146, 1147}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1147, 1148}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1148, 1149}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1149, 1150}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1150, 1151}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1151, 1152}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1152, 1153}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1153, 1154}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1154, 1155}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1155, 1156}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1156, 1157}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1157, 1158}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1158, 1159}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1159, 1160}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1160, 1161}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1161, 1162}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1162, 1163}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1163, 1164}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1164, 1165}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1165, 1166}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1166, 1167}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1167, 1168}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1168, 1169}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1169, 1170}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1170, 1171}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1171, 1172}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1172, 1173}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1173, 1174}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1174, 1175}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1175, 1176}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1176, 1177}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1177, 1178}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1178, 1179}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1179, 1180}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1180, 1181}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1181, 1182}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1182, 1183}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1183, 1184}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1184, 1185}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1185, 1186}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1186, 1187}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1187, 1188}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1188, 1189}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1189, 1190}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1190, 1191}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1191, 1192}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1192, 1193}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1193, 1194}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1194, 1195}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1195, 1196}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1196, 1197}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1197, 1198}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1198, 1199}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1199, 1200}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1200, 1201}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1201, 1202}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1202, 1203}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1203, 1204}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1204, 1205}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1205, 1206}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1206, 1207}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1207, 1208}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1208, 1209}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1209, 1210}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1210, 1211}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1211, 1212}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1212, 1213}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1213, 1214}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1214, 1215}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1215, 1216}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1216, 1217}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1217, 1218}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1218, 1219}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1219, 1220}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1220, 1221}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1221, 1222}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1222, 1223}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1223, 1224}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1224, 1225}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1225, 1226}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1226, 1227}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1227, 1228}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1228, 1229}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1229, 1230}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1230, 1231}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1231, 1232}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1232, 1233}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1233, 1234}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1234, 1235}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1235, 1236}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1236, 1237}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1237, 1238}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1238, 1239}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1239, 1240}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1240, 1241}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1241, 1242}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1242, 1243}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1243, 1244}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1244, 1245}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1245, 1246}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1246, 1247}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1247, 1248}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1248, 1249}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1249, 1250}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1250, 1251}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1251, 1252}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1252, 1253}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1253, 1254}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1254, 1255}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1255, 1256}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1256, 1257}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1257, 1258}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1258, 1259}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1259, 1260}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1260, 1261}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1261, 1262}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1262, 1263}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1263, 1264}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1264, 1265}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1265, 1266}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1266, 1267}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1267, 1268}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1268, 1269}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1269, 1270}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1270, 1271}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1271, 1272}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1272, 1273}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1273, 1274}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1274, 1275}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1275, 1276}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1276, 1277}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1277, 1278}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1278, 1279}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1279, 1280}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1280, 1281}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1281, 1282}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1282, 1283}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1283, 1284}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1284, 1285}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1285, 1286}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1286, 1287}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1287, 1288}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1288, 1289}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1289, 1290}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1290, 1291}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1291, 1292}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1292, 1293}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1293, 1294}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1294, 1295}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1295, 1296}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1296, 1297}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1297, 1298}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1298, 1299}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1299, 1300}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1300, 1301}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1301, 1302}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1302, 1303}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1303, 1304}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1304, 1305}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1305, 1306}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1306, 1307}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1307, 1308}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1308, 1309}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1309, 1310}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1310, 1311}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1311, 1312}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1312, 1313}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1313, 1314}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1314, 1315}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1315, 1316}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1316, 1317}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1317, 1318}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1318, 1319}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1319, 1320}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1320, 1321}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1321, 1322}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1322, 1323}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1323, 1324}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1324, 1325}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1325, 1326}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1326, 1327}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1327, 1328}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1328, 1329}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1329, 1330}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1330, 1331}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1331, 1332}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1332, 1333}]}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], LineBox[{1333, 1334}]}}}},
    VertexColors->{
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]], 
      Hue[0, 0, 
       Rational[1, 4]]}], GraphicsComplexBox[CompressedData["
1:eJwUV3k4lG8XHswYe4WEslZCm0q/IjoTSiVRhBCVpOxUSCIqWyWUXbJElrKT
JM9LtmzZs2UZ+2DGvpv55vtrrvt6z5znnPvsVx1uS1nicDhWHI7X+P+/GJHB
oAVnWUBMRE9kSW0pRtw4JSO6LggxiaSydst4jLjiYpp8rgJivtxuOXcmDSPO
TP3+3icDMahnh8zFNxhxWhanIfcXYn4rsHTED2PECYv/Gh/5Q0wLkCylhDHi
YFfSEA8FYoYCpcNknDFin2C3nVEMxExWuGu5m2DEbt2ty58uQcx8YRCvNgkj
tlR58pz6CrGsSGdPKAdG/MOSH+5nBrGcbZkfZs5jxDqVSclWPojd+vGQvddT
jPgrz+i4tSPEiunOrKAMjIioQahQCmJ3/ze8m9sdI5bIVV5kaYFY2T9GAUX6
GLHoznqb9nOIPSSSPDU4hBHz44+aRSlC7LHtuweOqWPE7J5748MjEHuiTK5+
LgcjfhX6+EAhHGJVxPgWtuVixLQr7Zse5yCWJCvveMYcIya/4fGrXoZY9cHW
k1xOGDGhRp1fIBViNS/clKDgMGIc2+NYcyOIvWi2r9dpBiNGn86WyeCEWG0J
b7zdFEYMfzyavVQMsTqvywV4JDFiaIHYKTUbiL2SfMaai+lv0IxeZdAuiNW7
d01vlIYRX+0P1OlqgFj9dn12oWCM6HcX697rCbHXJt8lqaxhxOcJy3ecDkOs
Qbq1qjVTv9e/g9SSAYg13Haw05xpr4fwncccIUwsoWjTcAMjuunFsOmrMeVb
W0eSszHiw6DmNx/nmfjQ7QN3XDCiYy3HjslPTP2HjktZ3MGIdoTTiSf0mfa0
JCYdFseI90mPDjwnQOzVnbi3g88xouWTjMLGQojVZf9U7cWM961C8hnRu0x/
348cMqZixBtzwnV3dzD5qNyR5daJEY0P6lzLqWHyFR56en0LRjS497J/8zHE
anCk9wZdw4hXk0qsL8gz+Rb9FtarjBEv980tvO+B2FP1fAEs2zCilqic58Br
Zrx2EcYI1RhR89pNzgOqEHuUc37phidGVA8Of+dKhdgDYYe3W1ljRKhrEPv1
EWJlfvKWLDzAiCpEttQtuhAr+WzUpykQI55UUz5qwgKxIgNbd+kqYkTFp44l
KbkQy981eHOwEiMemP/XfFoAYtmi/7IuX8GIcocFTQKY9bF+M61Z/hRG3Gt9
caT9IcTMlXof4dqLEcUGvq3ZdkAMMwRPXvpgRL6G0N0x0RBTeFb2rYYBRuT6
lhClkA4xaT92GfWTMSJ7Qg5fZTHExGYnEmpjMXb6oz+rtG6I8d4hwP+DDWNf
M+93eMGsJ2dfw4cWPzH2pQvUEZE1iLFw6q9kZcpTxXmbNEQhRr3YmfJWE2On
cIid7ZKHmGPbu9Ue5mHsI3MHftgrQ4wU5XREoy3G/q9KKyXSGKI310qyo50x
9gb7AI+pGIjOSiLjWrZh7L+NIue8v0B0dLY3aS0NY69US70nVALRLw+nzgoW
Y+w/har1SL0QbeRzu3s3P8b+BRHkwnZB1IqFueE+Osaemib4Uf4ARPVRd51e
ssLYP73bI4hUIKpiROhoCgvGHmulxpgwhai3gmkl7CMY++stzzpUYyFq153O
jvcUjN1vNVir5QtE0lVYT+ewY+zPhz6WWZVAZP9jnQ+BfzH2J99Kv4T0QmT8
buOvOR8wdhvzDZ9RMYgUlfTziGNg7FYXuVeeHIKIZUGJqGPpGLuF4k77rach
otWKbryHqc+EQ/m6shlEBB7MX5qax9gvZrsdDoqD8BmxC823MzH2c9F+ybsz
IbyacbVp+zTGrvYiQrSoFMI/qnDFLTP9UzYqJJD7IFyrvPm11HGMXR4333tC
HMJi57e68yGMnfOKg3//R3gvoW2yTYMbYyc8+8PBfRPe0ah6t84w7WfJPuR3
QhreoaWLEf/eYYQ1vumXQSnwzkzpYvqvGIxAqbfxUc2E0Hee96Q2zDFCvabV
k5gSCB74OH9AYwMj1LhUrVV7QvDnxyO/6jQwQkWKzON5EgTb5ZUmKI5jhJ/4
EbeLFfB25pVw9A4KRvhabvFwtQ6CuL+GiH2WxAhvVc3tDbshEF/irLc5hBFe
2ZZOP4+FAE+BqZgb0xjBL1bcNssM/Jckus0qDmIEr7V/Nuxk8CNfTTs1qIkR
HItMrAom4GWGACP/6y2McPWY4S2BFXi2GaxbmXwXI1y+XTgAxfDsFpX/Or0f
I1wMFTK38QCvgJlnEnVWGEFtpv3GLxw85ZP8EafKtOdYpp6xMxFcl179zXHw
wAjb5XT0moTAOkhISefAHoywzebvvkYRsOrEO9QZzmIE3kyz9fpdYLmrpk1t
RQEjsB+zT6qRAvODn15XGT7HCKyPllyr9sD1yINC383fYnh6kadWhQzorZh1
66a7Yvi1dXaJcjm4FOtcapLYg+GXVd/MYwfgzDG3aLLTPQw//2x7delhkPl7
yuHB5f8wPK38Q0zJUdjnLP+FrvABw08R9joUK8KZ5++Gq2zIGH5c86t60QnQ
hktudnv+YvjhwOM7CpVB369rxCm9C8MP1JdM5quAsfsdz4LRNQzfdaX+XbYa
WMBpXt73Bhi+/b2+VeZZuHue7XdwZgiGb+7oPfXlPNy/Nv+wNrwZw9eaTA6l
aoOD92VdAYHzGP7HXe5j8UbgwkXbt7BuheE/uF9oDXYA7zcWCQxzRwwfVdL8
OcgZfO5IP9M3rcTwYYzrT14/hOcq+17pGoVj+KAX93f7u8OLGVbnE20JGN4r
yP/BM1/wv0t9mdO8hOFvJVYLOMbC25B9c26uDhh+b52Gnm4NRNw/tPv48hEM
L1WSzB8pDxHzMtdW6Ex9YpmE5v7XEPm0qUYd34rhtwdX69rrQlSYUp7tRgOG
Jxhc1H7VCTH1mr8Hv5/B2IYHdTWrxiH+oH5n3tQOjC1p2VRFlQM+rR4OSEw4
hLFJ7364V+48ZFklHy1qV8JYD/9JMc1UhmLD+2XPWjCMdX+Bwtb2r1DsS1qj
3KrBWPdFf6/YlITigm3VnjUqGKuEZcPBS+zwg//DrR9SChgr3/r85kQL/Gi4
YCxuKo6xUGXPfNxrDT9Jhhriphcxli/PegdjowHjEXkIH9sxltS7d8MqeAGT
tp3SupOGsXzSmrkw+QywkzmO/E6uGEvsDrZc5buAWfIQd5bGYyyvvsr7dB4F
rGRDX2rCDWOx7nLbI1ALZfcd1HTxnhiL3FGBu4FrUJ7zI7xpKAdj2Stf6fAi
E8oruTr8ncgYi9RuVzfP21DeeXrMxZwFYxER7Al0qoVyul6XdV0XxsKxnJRp
FA2/Lux9vPfEMoYb/3lsSUYJfnVxDRBHf2O44YIRhsQU/KI8+tj/ih/DDWRG
cojEw6/10tcRcacxXOfHDVFeDqgQm1DtHPbDcDU+FarznVBxM1yhXuAdhks9
r/+yzA0q+mgvf/rewnCfzrAH/TgAFVQu4/4aWwwXr1QUkT8AFRsbYQYV9zBc
5P5daannoVLU8mWJ0iqG8+cdbni7Ayr1VG+XLCRhuBfs4R3+tVB5i+ikktqA
4bwY5/t9PKHSPvmJZp0NhnOd+TL7aBQqA0zqyY95MJxV66PtpoVQWZL8QGp5
F4azqN8nbmANlb/ZrOn3EjCceUXXPl1xqGw/slDU0orhDAtVldR9oXKKwflF
6SiG04wi3JA3gCpRbV3Xa4oYbp9Z2KflRaiyMbkSMTSB4XbHRnzzN4aqB3ON
ga4CGE6iO6pWGIMqDxNZ1b2HMZywwQea0muoev1he/TAVwzHeTlF6Yk0VKX3
Xn9VuxPDEV6nXuL2h6qcWVW80j4Mx1KbbhZDhaqitvPH+5wRY+HNDeJjZ6iq
YvPc4fMYMTqe2sVsxEPVv03uD87bEaNx1alMzBaqhh7/eXe0AzGqHz0aPX0C
qsbLt7q7MhCjyM5TwasRqubyvunlByBG9oTPtfhoqFo2fTiStRMx0ix93css
oWr9j1lGRxFiRN8IqmTdgGo8/z138b2IEdoVStldA9XEwcExsc+I8epaxBaN
d1DN7a6sn7sbMZ43xyhamkE1X48Er8MJxPDQ/njdVx6q+fGqMfL5iPHwd5Jn
yiJUCy6q1+gFIobd2c9J1RhU7/jan3DhKmJYlmXUjL+GatGD6FF+LGKYqWZR
OQ2hetfDkK7+X4hh8D1fQF4aqsV9CKlb3yOGzvGikxepUC15rZaFbI8Ymjkl
N2y+Q7UULehKwknEIB3EfF6/gOrdOqxan2IQ42RaxeevulC950E77YsSYhzZ
W1PfuBOq9974HqgihhhyCfWz1FGoluG5UbC6hBjSYs07tuQysdeDG1wZiCEa
1a6i4MnEhRnFjm8QQ2B7160rF5g4p8jEmskPd8g/X2dBJnbUkmxmYjzvYEbo
AFP/nBDJ/TKibwSMNOV9YeL/6s+FnUP0RcLEYpsr057Tkjt4VRF92psquqjG
tJdYQZ1oR/SRzTmSEB/Tn3f2ltnXEb3v8ZLlf91QLTHQZF8Zh+gdi2uBhslQ
LUb7aPynCdH/ONGz3Byheid62yXCgejVVNa2KBWoFtE1WJldQHTMmn21mAjV
Qgnp+wV/IXrRKLd4dwtUC+SBOkcMoqf1CdzfdR+qeYU47rUHInqi8Y4gVUWo
5rybLnz6FqJHd+zMM8NBNcHl3vxNpv5Xjbs3P4ZD1UaL2OxjOUR/cVFWGrsN
VStiL/GcBET3qDqgOXgQquZlJvdc4kF0u1LFUOkKZj46x+xfnkB0ywjKm47L
UEU+fsawNAHRbzjFBwR0QlVP6oaDxGdE197L82xmCqoaEvWlBbkQXYNe7vHJ
hZn/+9SLD7xCdJVONzcjHFSVmlBPCbci+oFXww5IAKq+tkodyWpA9D2W0TbO
sVCVvJ1lUVkP0XeBrpWMDFTFEi6f8bVHdO65ErM3ylDlTxv8el0PbU5ef69t
wrTfbHivkfhdtDl07OIFPub7esFvBcuX0GYPL06jnPm+5vhY5Iwh2qzFbFXk
AqHqcKxiaaER2kzfpyG/nAOV6wSRwO+raDMRtyaToQyV0xyN5552oc2o7mxp
swqo7Cvc23Y5Bm0GBO0SqeyEyjKelIY3n9HmvYUFjvc4qPRO8CZF8aHNm43p
eM1AqHSk/O0huqFNo1RzBvN+rjTvKT69tIY2z5vULd+WhUqVvH1u5hloc195
0qiCDlTMHVnjYBdDmxKx1weHmP23L5shNCKCNne4bPkXcRsqattzxsQvok2i
3JM2ugtUJG5RD/3tjTZGg/V+1cdBxSVVUs3YYbTRZ82JnslCxfGhjsUfO9FG
hzr6cSwXKiQOPe6ddEcblcv7c6Mr4ddMlqy2fQLaSDZjS7jHnA9vrx/1cUpG
G3f253kRTkH5j/3Vak4KaMM0mPPNqCyUxw9qvXtYiDb0F8xjq4Wg3FfjRa34
Mto4+5O72H8GynUF8hwac9HGvssWSzwpUNbf8mwxnB+tU5wE7QT5AaNhpW48
tmid3G79ZBEHWJNmV9p0HlrvUcIC26cBy37iWxOyDa3Xs9qmRtQA5jBuR5dZ
ROtf31UM73wKqD1rC/fb3WjdsfCRifQ4/EzkfaXj0oPW74vWWbN1wE+j1NuL
vMto/ZaXlNvwL/jJF7M0fPYlWr+q2RCeEgclbm88Q2xs0Pqxrr0t8nrwQyMm
g8C7Fa0trXdcOFIKRT/dxIvrFdHa0zMnTpDeQ94xFdeQQEm09qjuH62KDXL/
svP+vvEdrdkbvEjVcoZcd0XcryghtGZu0yJicAVySkv3+uKt0NqZcNt1Wz7I
Jr1b1b5wG60RJhNRhD+k60hL1mX3olW6ywW3XcuQ9jxoeeBXJFpdxs0oJN6F
1MI/mZYpgFbHhVQTvp6FzyJNQnylnmi1ltT5/BcrJDWPqOfiHqLVoHA+TaoH
RAtZ3jV8voRW/SQLcA8mIdI4/JzyjDRa9cowKVo1hvDYN58WO+XRqiOWJo9X
gncinT/0T7qg1ftaOuSAVAi5prBUyq2NVm+1L8VsEYa3u3KcxG+PodWrkxo8
Ikvgt0CyFQYaWtV6RKn4aAkvrgc8MrG3QKsauJCne9rgWfGLrAuchWhV5dXJ
4+ka4H7IfpfOPUm0enx7H/VwHjj3ax2W6yxGqwfjX6YUSIPVlmuBojfd0KrM
/gPmyqGgG2dafNvkOloVL2jdgbHARaIc+xqfAlrdQXrcdNYRLC28ZGJ/c6HV
LXWS/rX94Cw/7TBjeAytclyrPqN7GR5/sejRPOuCVlZtBHNNDsILC4bUacEP
aKUnLOu9IwVCOvefvt5agFY+UkaMYi0gviwvY82lAa1EtKqO5QdDQscjWQfO
G2jl7Y9wl/pSSJy6emZ7ryVa8Xqt+X5TFJJ3GnR0LHehFfODac03miDNV/u4
qOIbtCLuaH9R4jTknNuQ+tUzjZZjF5dPJYpAcVqWGZmjDy1Fs3CKf/4D1ZpC
czfWotBCITqSzSMO7RenMhIxNrSQ+bZXdtge2h8KVgaFl6CFlJu+CSWl0P5h
P82AvxwthLP0vLO7Ae20vUc3U9zRwiONly6NsdAReixzSxM/Wjj2u0s1RAT+
tp05eDz5OJrPbntWJyQI3RrCjgc0PdB8avJ+deod6LYmylu2tqP5+EftJVX5
0P225ZWv4Qc0H7xDPtNVD7q7NyYbU5XRvMP1tpDOUOhxePtLUqkazR/slzWK
2QK9IfLZraqbaC594s+oJBf05YpfcbOWRXOJA3Ucsb3Q1zw+/ze6Gs1F/63a
L/IV+ma93pDr2NBcYGWJo4Au9CvwPZm7+wnNWSekrrGHQ3/6p61u+jZoTv66
D++0NAxcjM5j26aN5qR1nyrcX4ABI2RCvBWF5kQ13a6OVsLA3crcVg9NNMd1
3D5i4B4M+LhYlMbnoFnKNhOp1kwYKLrpfGXCDc2m/VY8XnwKBsXFhL31ddFs
AnbY6AQPDMqruumx3kGzUd/k3fP6YPC/U5Zep6bQbECyJPrqA4PajaNRjofR
7H1v3gvxNTD4RNtv+dhFNHvLjcNWLBoGffWuHbyai2avO7AFRdvAYIhinrXl
Ipq9YLra+p4PBlMC5GK/H0CzcidHb/jpw+AfZ+VHF+TRrNThwWd4GRjs0q5L
/ROCZkVkehOfLcPgEBur9kVZNMsp2DLmztS/uOrwil8EzYzPICe7ASCLbqk5
OVqMZlJTI1/q2wLZOMv+5q89aCZB/lgxPQHIt16fG4/rQzNRGY0zqR1AvqeR
WHyHgmYCswgmmyQgP9I8elq5Ds3YFjgfTREE8psg8vWJw2jG8gTvPd0LQH6n
jieX49DMjaLUD2ueQI5svsyav4FmLv/o57w8DuSkJxl7KCVoRqFcq3/5J5C/
sbG50+PRjJz62PaEOSD/eF6nwq6AZqQqfbQu7QMy+ueQ+sUBzfDXFBXGhwC5
RjTLIUcFzXBf1Ju6WAXkus0N7rCTaIatjia1sA7kP9/9/no9RbSJOC3R0Dog
dxT9EpDSQbTuBO+XY/8BuWtDxvy9BaLVffo2eyoeyP92KIT3BiFayWeqaTAX
kAc4S54qH0K0rxl7qocfApncmnww8yWixWWaHDvZB+SRh1WiyVcR7W1OSNyb
80Aem1rn+5CKaE7f6I/+2wXkqdvbZgd2ItrtH4oDgb5Appp9VbRfRjS9Uhut
vhkgzxz5s7c9DNE0yhK+HTMG8mzPtauoG9GOV3RK+1UAed5ELKn1MKLJ1PC9
6T0E5IUcdrOrgGg76jRWFSKBvNhL3YOWEI2j8cmdl6xAXurLW/bORdTV5pw/
XXZAXi48cfxZJqJS2sZPHewE8oqFYWxtLKL2dIqn+Kgx8cii1pHHiFrfc21b
xxcgr6rOlFJcEfVn36un+4WY2Eb+74EDiJo5WDbu9YyJ7V601bUg6sfhFb1W
ChNrDBh3IUQNHj+EZPWZ+mYlHFQmENV70lLeo5SJnfc80U5HVGdqTFizLNOe
6pZLDi6IajHbwrI3lGnvHI9gWgei6i9y2D7eYPozU2BDMkLUsyun/zbeZfr7
K1f7Qjai/rf+SF26icmH9Zj4Wab8PnpGpqsyk6/Rk6l5JEQVYSGL1H1i8nn8
tXiSBKJyEYRfSm5h8m1ULXopH02vc1yeeejOjIfOn7iPn9H0FPdLk5phIFNE
X+9ov4qm//H9qBa7zIxf0ZApy3E03bht7qhTETO+8iUZ8WfRNNou+6FKmhl/
B0buvgtoOlvYnFP0NZD7/d/7BjPlQ8Xr+n/dZObTMYNtLUfRtPc/yxVVTSC3
u633WoujaadY3NZvzPg1B3yyDzZD01dEFM+kM/39zf32U8Y+NE3622i8ZwjI
FR6xKbb+aFoh/J5zXC0z34vOHBh5jKa3CsQmhTLjXRA0dWgjFE0xWv4r4fEC
crZc2SjnGzRFC25q82XylR7UEH0gA0394SMQ3BWBHPftgCqUoqkgDjurW0z+
XnhmXuHagaaeVhO9er4B+em9v97sp9GU3cuEyGtxQHbZFfKW9Qma0mZt/32B
2Q/uDjjVSyM0xb15ev8RDiCf7RQpec2JJtd/dKqn04CsyrOh134MTU66O5vu
YfYHRa55dHwUTdYup7wRZsZD6hbN//EdNBkwx0fDnYHBVfeRxwojaPJxdhrR
XRYGqcuKKVFX0eR9B3WJha0wOKxybqMTjybPT7nqjjH7Z6Nk1O5/rWiSONqf
+8cdBj9euZZ1cxJRlpMf1124BYPvBHZ+U6UhytgdgaFf55n984Nnud9LRKka
PC/4TQgG7Xi2Lx0VRpSXPdkucbkweELX97nDZUR5FH3xrXAUDMoZHnxSo4ko
lkbDn0OfweBOGdcediqiaHQId/pehgG6BNH61D9EYWvyVrajwECZ29elWGU0
4V15ha7KnCeq7fo3avLRhHPUAdVtTTBw8P2DrOuTaMLCjv3JqCcMiO3u8vzu
jSbOChavvu2G/mUrg1y8MJrguLN7gfwO+u2OtOXfsELjb1kXJ/3x0Ke5xbU0
ShaNe3U0yZvmQp/kp6KR4g9o3DE9/f6Rm/BvtTdOWcIcjV+9ajbaXQL/Mo6z
6n/6i8a3J1STDz6Cf5xv5HzmktFYLCmqs2UUegrYbbpE/dDYG8GHOz6/hx7/
3peNmCMaezp+2cBDDXpMjR6XeBagMfNg1ra9cdDDqjZ8LKoSjUn32/xxM4Tu
C+N5uye+otE0T9UqsRrorMkzbyxgQSOFPwbz7qVBu6+RyzmX42gkRUvi4+02
5r7RY6sT3Y5GwrpvvLqBg/YtOE7rPjs08nCly+KKAbSFK+wxVElBI8eONwso
s0JrvFI8f4wjGs7Kwh5wG0Nz0p13pOwPaCg16ePRTC6obV3NyP5ri4Yij/4T
Tz0OtZoesk9cbqAhv/KdXIk34XfxXekU6Xo0dHcgnBxeCDVxjxqaFmhoaK9Y
UKgX8z4zTzvf3tyGyAkRT+d0i6Gs+t2rw7s6ETlE5kffxREoO6oQVH+1FpGf
FazWnt0KWKzWsQRHe0Q2b3uUqHQXSv/RvcOj6hFZfJvdVWl+KBYTFiXJqaDB
6FemOfPWkO0galLVi0eDgVanZv+LgkyXaztShrzQoLv6ToXHNfCF55++Y0AU
Gry+1pWF2wufj6v+qlMzQIMXOoqo6vrwqVpaqWHmLhpUyo086OsDiYZ+AmfE
xtCgiLXBF54BiB5rjxTzY+rjPHd8UpcPwhhTRkd8iWhgVXq7/DtVCNl+fDBm
oRgNjG8u3O+wBX+dp/kW/7Whgc6u1jSRaPDo0+nyucyHBmoKcsdNf8NtmS01
hmVeaKAoJHTfxxWwfHn1zuKbLDSQaud0d0gGPBPfTvMaSqCByAu6KTLXIOCc
ihYfmYwG/PceHrn/AkLiuZuOeeDQgBvLlj1fciH8o/mc8du7aMCwqCHp2FaI
v/o8mhzfhQZ2yF6MhzpIt3RgjKsLo/4DfAGKud7w7QYJ+5dAQ/3cVZp5zPlZ
9Mn3+i+9W6hv0pP9CFKB71OHi/2poagvffr5obolKPH4uLzL9gTqk6t/Kjti
y7zfas1DrafRv32BTmLCRlC5cWP/z9NjqGc3+3WC5yFoUih48JS5avXgxyOa
ikWhydOAYmDKQN2jtR0xSwRoqlsUlG8oQt3pb/WP2vVCs9UeD49DT1H3UWEd
8xuB0PJB+WGbiSDqOiN/9rvKGLQTo1hLmh6hv+aXj9qux0PXn5oCm7D/0N8z
Ck4nT7yG7p1++wcUONDf3fzZbA9codtKbuJxZDXqGP17MGryMnTTRWRbxDZR
h/1N2aruTeiVD1Bjk7yD2p86S0gWG0PfU7yT6yEO1BoTzt32WAAGvQPOtdmZ
oVZ32rZVxgoMfp74JXyhCrUanxeW8P1/P9z/ad3KB7UKr+2xfp/K3N+u5LsR
9qOWcDNVXPZpIOeI1L0OPoyaQ2TsD4zdh6FOBfqdXXLoD69dAleGJ4xyatia
hEyjxnqJr9e+X4BR+Ulq+Dkaagxs/h5fLQijl+7CI7wRauQ43vIfOQ1Gg5rf
CSjnowZWOpuFSBuMbXPF589/RLUrQZY//OVhnDcuL3L/LVQ1lCVve+cvTPQF
sOt466OqlMITuv9KYWJ59vKh3TtQ1f2fGscNUoCybR8b+3c/VEmru0E//xAo
aqvPFy6FoIr1sZDgA1uB8ulo9sGoWPRLUGIlb/4CTJoWlEn+3IXK/+4jRNoq
wKRzy3n6/GlUHn2I32NEGCb9v32/MPYAlUuqHDjbMQqTeb0aF0oUUdkBI/O/
xT4wRXxRHGqNR6UBUm+W2R7B1CfR3NgyFlS65fBntKgBU4Wf5Xc5bEU/w1TL
/Mf4Yapm5e2nHdyoJOH6omhtJkxNTSg/Ks1Axd9DTU+HjML0kfUatwQ+VAzx
LsTn+TCtlmZ536MCfa/MfNv0yAem9UT3O3VNoaLm2l+3r0vA9AMNk+XvS6iQ
wibvK2kE09kFobJjv1Ch4zYNHX4ZmEYuhW1TC6hgScJMmG0BphtWrXSLbqIC
1lMhaWMhME1RSzvwLRvliT5YacisBapEv8+SdR7KjffhD4+PBOqBz217bfxR
rkzwAfPQu0BVUlDZJH5EOUe/mM+6sAH1yrNUQclelBn2O0je3RWoXjsvGrjk
o68pWR0z1MtADUhXWlt1Rl++hUt8uy0D1Hdr3ha6+1F61+0cjQvtQP3c56/E
04DSKOfXuH5+AWqOM0vkx60odf2wWvORF0AtrjqXYM5An3ett5mJHANqfXZm
2NkRlHKQLLbnDRdQ288FB8n6ouTTNZaTODJQ/8WWXPochpJuvl92HQ8B6nSA
i7Z3HPp43vT4boc+oHHdUpWyUEMfrGWrsg3fAG3r0hG/a40o5tWikSqoAG3H
xVcch8NRxJ+gJ4Z80UDbfYToXr+IwmZNeIaWLgBNtnx19zQBvRfYF+f4bwVo
hwSmDR0cULABVhb41QBoJ+Z8RCv10etZ0ZTD8lxAU/FayheXRgGKeb/Pr94D
Gql++2TYS/TS7dLU7ZoqoGl01Dlb2yHvH6NbPCJ3A+18PFty1wX0hE63PPCH
FWiX9mW8tfNFD30VMm7a/QSajl32iC4DWYtWDskKzwLtqjMrV5QWMriq3y/+
pQlo1xSDtoTS4LS6v6TWLTzQDAs0crnc4HYxj2vioTSgXV8QuvHOFRzbWxc/
uEUBzWRmYX/DNXC7nJB1v+sf0G5k/BlO2QZe1Q73/zslDTTzPTH06H/wPF48
xPvyMaDdNNGKW3oJfqYv7a0824F2S6clmrcVXglPaWlnuQLtNuveB4/TIKhd
T/bYgCgTOyuZ6eyEkPP/WN9wmDFxPF71miK827fVCSeZxcSvPJJO1kIYQb3/
gRKOiRWjWn6uQviQq/bolStM/TF6pbS3EFmWXnL9fiLzfZTEfUkToj/2ydd7
zzPtS/Dmnv0DsZ7boiBaA2hmpLHKygKIMz1LzM0NA5rph2ZqLD/Ei6mc4h95
ADTjIuVpU0FI4Lk2d8kpFmhGweLd0iaQsO6Q9nKzAmgGe909b4lCIiXgJgqY
Apqem5Y+nQeSupJ2rAptB5qu/9tA+0uQ/K3D1/bQXaBdGLRXwTEgJWVGNbk4
CGjn5DkCCkLhczjnQv+5b0BTU9jeFUCBtIeqFlfNOYCm9DC4emYPpFsYir6a
VACaYh5bdbMuZFx1bK50vQ60w5kLr/0M4KvCJ9LJt+lA29N/q9GtEDIViSUf
K5jxFA9dM/1QDFknbJTYV8yZ+bpitdc4F7I/ighTsgOBxtk5lPrwHORI1v4V
v8h8n1WfY+pLCOQkeoRdGR4G6pr3QS8JRchNHtj2XeQ0UCdm00+N9ELevpA/
U3k2QB08LpG8Lwzy0tSDJLWZ9d8p39itrQP5Xz5z+XnPAbXyoMSPIlsozLNn
u0ZJAWrM20857iXw7bhEWcCLVqAG313nX/eEb4XNXj8lcEB9MXvoxtk4KCpW
3NijZwxUO/G39k7mUIytL8yVbGH2k4H9asv58EPta56MgQqz31y5spTxGH5U
mDtdn7EGqrjL8b7gaCipLp8u21MBVJaebx6X1qC0MWD07Rs3mK4UuSu7tgRI
99SnX/uSYbrggKKAozKg5unbS2UtMP1pvne7lStg1qkOmetCMP080fgT/2Mo
s+eeEjrsCNOqzz6PBcrBr4ctw8ORe2EqyfrUQdZ5+FWQ8YtuqQJTQf03ZHZy
wq+lF0nCR6/ClDvPWe3NXqhw+++WVv0zmNIJUuc7rA6VT6L+5eG6YXJZSfrd
RX+o9rnZ4X0/CCaVzGo9jF9DdelwAUudP0xKC8c8fekN1ev33vkc9IFJrvCO
g8Unoeaho67PrCtQugetwva7w++7XrUvHt8EilvBCdmZNqi7GFfqF3AEJtJe
eUukscIf/t6UN6nMeTmYi81wiMIfnZsv+bgaYeyXU+CARQb8eTVsEWRbA2Of
NsinC+OgidVlq2akGYxZud9p4OeCpidPG86b6sEoRYTDVE0Fmu3eaF4YVoGR
UTlWTvZFaL3y5dSlBV4Y+tGkVfHHGFqdXS2Odm+Fofd5KXrn9KD1ndorYUwQ
huzulpJamfJtnd3Dr0VhSFx1PvjsNWgzIrh77GHe409/HqndtRPazcy+Z+ir
waDiXTQsYgF/bbad5Mx3gX9Ez5blqf/g76tec1r0Y+jN4hCMn7OEv18++7U/
84BeA534Iit++EtV/Ztw6Tn0fBLLZJMfg04na9eTw8HQrdJipmE+Al2uvwrv
CWbAXwtfo6TEk9DzwkWx6uEANL95/GlBRoD5v1RRQg1zH1N4oyd8mBd6KroY
Z3d1QlOrj0rv8j7oJaj+/lXRBE0iAn3XcW+h15dgViaIQcPZUU2d2mz45/fe
/0f+R6i23GZ4ZUoK/n2uslvniIaqVEN94ap4+Fe9oqdsGg6Vk89qvwWaQh+H
qdh3fBBUOPnaZcJ16AvYnVuo7wllHuEvLQs6oD8wtzd7wQy+SR0jkYu/Qn/6
cNnMeWMoSJE4YZpUBP11Qp8Px16D/P2CV7a/S4MBws+Tf6VlIOe4vLWHzTgM
nJNiu1YrDinv57qcgjRhwEBpcfHhLkiKV3fGDi7CwN2r42HiohCfMb7d35gV
BlxsehRrhCHGoXmQ3qoCA74vGtqchSDMP9aCQg2FgfAP2MNdgvBW4xnXWI0g
DKQU5glU8cPzx9EHcDRRGCj8k5znuBXsy+M2zl7XhYGq8Ug9UT64adTdwG7B
fO8vS+BcBQ94FZSZCnQPwsCY6NNQey549eE49rSxEQaJl243l7ND1JvDbfCN
CIOa2Qd179Mh1aO2UDjjJwzWuJZrf6fCt4Gr/01MHIbBv08eVnPuhe9K7mXx
IndhcNRrH8nIFIpD9+Mbd2QDGe/7+uhSLfxU2746ENIKZFKYgfCxZCjT7nOp
XPcCclHuBPmrKVRFVdM7a+NgKJW6zTW+FppcZ4vfsnnA0LfZXzMzLNBUs7Ja
FeYGQ1WLLtZwEppFfpce+eYMQ8MbPab/UqC5uGLhpnQHDEtxJ6uJekPLGt+W
mKTLMBwlp8Tz/iS022lr57JkwkjAnZsJfinQLVVS8P6IFoxEfcmyy7kJ3Y7l
xHLJQhhJW6Ar9YhCN7Ibrt94CiO1L2NaDgVBj0nhrvCgUzDKnfKXtd0Fet/O
dZm1CcPomwntO7vPQd/ow9wHCx0wFmqvLFM6CoNJl9HYMy4YSyz0nxuPh8GK
F2Vx38dhLJf+F/Ebw+CIT3vo9GsYa337yNCyEcgy7Yyp6KcwLpid7c9TCOSU
pl0tT1/DePi8zISxLwzFtPFwzF2HiRg3gYylvTBidPGWiqw/TKRnSF+pFIYR
xwtCjbVCMPG9T2H5PReM+G/ltMKbwESnxmX1IzMwUrjEwm9xCyjbt/p325XA
KL9Yv7D5UaAEpdI5RvRh9GfJ5y+934DyoZcnM18TRlsOqimmOgLl65ad+s+V
YXTUou24RjZQ6h6djJeShDE+6Tuh+c9hkuPMgxOmkzBmTCYsqEvDpHfXuGWb
D4xN6K2pFXPDZAjPMnfSIxhb27F710NZmIwnEXKc78E4V1zaBbaLMFmaIr25
9TKMy695Zv6ohMl15xvvL4nA+L0hrW2CszDFlWyrvJMHxl2rDeXr42FKpNO9
f4IO474Oile2ZsPUydOR+/2GYTyJS/bRU3eYesTVUv4rG8a7bF5XRhFh6oXq
4L3QJBgftc1RKG2GqXeOM3y3wmF8/sjZMPZNmMr5y3ud4QETPPjowLNqMEVN
0pw9pQkTyq2SAVmxMLXZYRDBpQwTZ6mT9wd+wjQvp6VK1wGY0G2Y+U/qOUzv
d/Dxd+WHCcv2KDUXaZi+d+qnRG4fTLzhltcQr4BpV2l555MNMBHOn26eagvT
vhwRFaUlMBHXXwTJTJzU7ny/NgYmsmqfl7gz74LcH/0luoEw8W38nFDJUZgu
S9Tm63CHCVT3Mas6D6b7HfblkY1gonFIturoSZimXgtjv8e0t2PHre5UZ5je
VGE1ov4HE/+2nTUJDATqTo7ezTVBmKAY7HXmdAOqQWLo+W3NQGHdK3ksSRWo
lv6M6AgMKEQ/z7zNrUB96GA7LcaMM09WbQODeQeEqmiGygUBReiqUd61Z0BN
kM4fznoKFNH6XOuIi0DN5pQ+cdwWKBK8cqHJekBtaN/oPXMRKDIDKc+vfAdq
b4n1oWoloMg/qJnYyQ/UycS/3tqyQDnYcGb1TA5zzwnQaG0VBorCtJRLLnPP
4nTIlblOBMqxVteikCSgCRtIuPUtAeW/Z9fS2mWAtk/ldd2dUaCcnK+v+dsM
tP+k18Qo7UA5dZAmQx0C2llOK0fHCqCoHvpjtXGLuRfS2sqX8oByeulZGYPO
3Fs71LZ7JAKF9FJoI+Uq0JxKsu6xhgLlTHeKY4cL0J4l7Sr292beo8saHKd5
gfY2IJCXj1kH6j0ElZ5XQItzWDZ/z5z3Gr44YV8G0L4a3MkV1WHiFS3Fx7JA
K1FpwcefBsrZI5tFTWtAq9sNhjIHmfjYYdMdEUDr5vyS9mUXU3595XZ5JNDG
Z0Q2jvIw8WunuHwy0JY7/C5/W2e+N5xv/7MeZtjM3HXjFpkY310q9AdmuJqz
VwenmfZOMdj6I2CGX2Msac8w058PKmqRCTAjUiR+yaoXKLA9kxh7HGak9usv
prcx+TBwtA6bgRnZuFdx03VMvszjeVaqYUZhW/l5hXKgKB0xFnngAzMnXqzM
Pihm8l1Xom7xE2ZOrxyOLswFiuKh4SrNFzBzzuau+moaUI4Yz1keBJi5dqU1
3CsSKPv5lJPjP8KMaSUXlAcDZV9Ygd3qLZi5c5I0QfADyu7RsDhMG2YeiGee
euUClJ0jPKeTnWDGPWR4uNEeKDtCR1f7tsCMD2Fn0La7QBHgysp/cR1mgif9
ByKuAYXTKOqGoTrMRLHw5mky85GtZFuPKjvMJAiFvlyugYnNgaAr6Uz5nDOx
+42Y9Tprp/fU5B/MfDeUpHM8YOZ/O13wYS/MlNkmNxV9gYlhnKNl/R6YaY7I
chERh4n2GFdnVWGY6fqqeP63IbO+eB64HWO+N1j+fefjYJioIhHqxYRgZna6
HOtmg4kC2q/TDSwwy6/ewR09DhOhrh9x80IwK3rduE9LCiYC2M49izKFWWn7
/ux1Y5jw0iON1Z+G2aNREwYm9TBhc0a4RTsfZq/SNhJ25cAEyXggwFscZt/F
7v4vzh3G+3/us8U5wmxMTirn5TwYb0n/VhPWD7NJ1Qd66FMwXnkz0NvPC2bz
5v7zNjeD8XQZ4p5yd5htO3+hXlIdxp0kpqLdPGFOcMHxViIPjC3yJjq5UWBO
jHNR8epZGBuONyzTvgxzeyXciayezDnEaFCS5IK54xeff7k9w5xTMnJZ8B7m
rsWHL+9uhzFbEdE7KTMwF37p5+vkOBjt6B1RiGbA3Ie/iZdkH8JoRRblqrgf
zCXf9uPOuACjucYJSpdFYC7fTTcwe4E5J08eDRMfgrmWpCH/Ei0YPbPT8NNH
bZjnW+d80bICIwmlStY+e2HeL+3aU9wVGD5/757xwHuYf6uorPJcBoaPfE9R
UDCB+XAkvkHYgGHRSd8Xc/4wn9w2/oQ7FYam5kzcdIdgvgL35LEQHYbevo+q
iq2EBZxhwqOD6UD+Y8+x9CYVFh4Tpu1M8DB4Knj87DF7WPA+JmmgtRMGJa6v
a2iHwkLATT04dRQG2TjfdzdFwkJU8fdtO2/CQK0YlXCvBRaKHV7k9/yEAUOZ
U+kLAbCw3rVzw9QF+rp38tO1dsCi55eLr25MQM/2eXJUmxMsvbj6Oe1mI7Re
tBfs8ZiEpVeLyl67faB1S0zbw19JsPQuokF/9Di0tNXcrw+/BkuJvfM4m1ho
MZf0aLsdA0tlVqcNXWyg+UEvY1LxIyzRn7QTXnPAH5Udi0Y4ZVh2S2a99U0N
qudi2SRvHYTlZ5phJx4vQbXnjPX0CzZY9qPI8qqkQTW31cn9IX9gOeKwdlH5
Vqjag117j/eD5YLvUVvq+6Hi+ukPvizM73ONh3+SPQCrNfQ7HtUAK7bLN0R5
CyAvVXFIV8wJVh4++Hhu/yjkNpc52UgxYOUJbdD5ojDkrDeyvHc2hpXAccta
Xw/IvmIvJJ30DFZSu+zdGRqQTpjfUI1fhJXsa9mfxVwg9ZadUpMnJ6x8a55r
PZUKKaUsaYLOMrBSVeu6340bktwDLrWHbYWV4R9ePTMtEM3677XIZyaeOlHO
sQUP4fVKqfiIdliZz8crHvwP3kUwanS6pmGV9Yv/6/tREGhXtWcr5QSscsnW
FvnVwgtBEWWlV32wui2ZZzh5A554DqF9zwxgVURKZ2vFIbBDjnMNEAGrkh9C
VMg3Qc3g3DEp6jKsyoq03seFwh2vlN/Bp81h9XD49jDmXHfB8Ge02Bxg9QS/
YZnKEnhHd+00274Cq6eDoqZN9oFf0+3pxIdbYdXUK/FDKxUiT+p03bteCKsW
68O/5yQh5uzTdN8pZ1i1cZNZ2noV4nTISM4qCFbdHTMuXyqAxEPiOt7Sj2A1
8lYevdIDUuW0kg+rE2C1Tb3S/BsX5Ezp7/i1LxfWLhHHpaJl4Cdhz1exEC1Y
05dxc90bBT9LJZJ3q2bBmulZjvocHih12Yn88itgzdZHzrV6HtAQ/wXWiWVY
e71h3bCIQZmRzTa2wEJYa5iZdr9iAhW81+2d4pjyHVue/ulthIpbkfaPPDdh
re8Q3957alBRcLnzkhkbrFFtDjV5yUKlicQUkKNhnW/EUebLElTFn016m5oD
6zpdc60cwfB7q/Ksb4EDrBuuPJd9zwa/Tb7b6OzjgfWbOwQ8JVzgd0qq4Zpm
Aqw76ivK/XcDapU7hGO9amA9uPGR1x15qDO1itjWbgvrzeUr+1ElNLzYFZ+p
0wYbehmbL1zWoCmXg6cmCw8bJjBd1c68m+uTcfIimbBxu7WP85goNI3hDi2d
TYcNp/XSNzQlaBadFfJc/AMbwVpeEVZu0OxVIu64KA4b9ZMs6YZL0KIyJ55x
UQI22jxnpwrZoUXPIcXpcy5s9PKTDwsKQcv9DClJHg3YmFQuz2ti1m+YybJt
dyJscgY+/3n+IbRMJAf6VpyDzXPyhKaTc9D68t+v5aclsKn9c4k/ghVaI1Xm
vR2yYfPalVH9RX5oTTd+xc4bCJt3Hld15RyB1oZm2X0EQdj0+e03JOcIbdu+
lrwruQ6bgTfc9vo9gzZplpq/DfGwGTJ7z2okGNqOCv7QfHYTNhNEzk8lZEHb
Fde49E1X2ET3OZdEqND25lhkd8lz2KzaWDvpSoe2GG9u4VZR2GwMprh38EFb
WhBPaQcBNv8V1TJCD0JbxZjEJXce2NzgeM3JZQttK5GX/ALXgM4W66F1zwPa
8SO4EIsKoHMr2L6peg3tW+eEPorLAV3USJvf5wu0y2r/W//NDfSTqXw71yah
XX+LwiPsFNBJfZf8qlSg3VwllAUFAf2CYOB8SBC0W0taRdQkAf26N7FOVgHa
vXh20a1KgH7r27n/5n2gPUDw2sB4B9DvT79ILG2F9tDWfKqTD9DdjVncr7lA
e7JbvG1BI9B9gmFUshraM81eq/fbAz2wyvPKlDC0F27c2EqYBXrM0XU5nx/Q
Xn3zYctvT6CXcC90ZuOgfbhJ1O1nDdAr1I5pPLkK7ZPuVazuCUCvd3PKPpcE
7bN9KzEcY0DvHab6/TsH7ZttzevaIUAf2XlgPjUCOtjuUniPfgT69BUb8wfj
0MGRZ4OUXwJ98+f4Ca5X0MHvEX5Flh0YhAWZxPZe6BBaLdx2+TUw+OQt+RIO
QcfOowcPs5GAIXQzyd3WCzokZE7WrygBQzx8cPREE3RIdwgVjf0AhkyD5FU2
aeiQUSNY4/uBcZjN7GfjA+iQs1ZnWC8B44TSB7moCug4oMN/+jUnMMChJ8xS
CDoOzWSHxOGBoZkiyqJgBR1HdG6yE7cCQ6fXyHa9CDqO2dy+WNMODCP+8M5q
Lug4rrGaSSkFxs3z7RqhJtDxX+99iSFdYNzzEsi+8QU6Th5ZkMUlA8Ox4Oou
WTp0KJ3tm/ozAAy3yWC/BR3oUBa2P/h8EhjeUo3zKJ6J08bOmFwDRoARr3ng
HBOvBQsRLgIjJEirzkAdOk5xZR1iznVGVEXgCan3zO/drz6K7gZGwlpN4tQo
E1vbbY2qA0b6ESJf0Qnme8Ux37tDgJFrddb9uT/TnrqbN0MkgFH84fno5W7o
OPEBb3iUDxjlreVXRfcz7T/c/OQqk886LtzPEQ/oUHzBr8j+EhitJJDLboSO
o9HbHNU5gNHj8jTMQwI6FJxFk5V+A2PoSwmLpiOTP57H9UV0YEyS1+z4y6Fj
//0nFv5/gLEgcrKzTwA6ZANsrWq+k3Csat2dyky+pAX0Dq6SSDj2G2t8knjo
EH86ckeyjITjeiyiQWDyJ/rl41SfMwnHn2WY1cTkj9+wXjzuAgknVOsyUpgC
HbxtffjNARJOdCR8ZyyTT84dRgV3ukm43Tvb/KzioZ0+3TBae56E27e77t4T
DmhfjT1JD/xEwu3fX34hyBHaFwTurJ2KJOGOncrmLgBoH7+hzGNmQMKpm7wK
Zu2D9kYrX1pbJgmnaeHjJMTM5+o7n3K17pNwWjaPr8plQjt2kGUqOZeE03ti
Jaj7FNpzJLH+HWdJOIsYtci4XdAe/OEyC0cxCWeVpPQ45wW0+23e1muLIOFs
MhSMK6aY9bv/Yk1fBQn34If4rklmvdnOjhsaC5Jwz7tXE5SMof3csYgK0hUS
7pNodlpbJLTRWr8JXbUn4VKlPweO46BtWIlwdpVAwn2Rj7NZvwdtnU5+ECpP
wuUrvz4kfQLasBu+aYajJFyFsVWuQwe0Be0Xn9LPIOGGo8V/cAtCmxQlReOh
MAk3nrg9VtwD2gS+tE7eZCfhptJ5nh4ZhjaC5u+Opj0k3ML3NTDKg9ZxTre4
OxQSC76r/RfzLmzNqGxs9jxMYtkr8rr+TDC0HnDeQpyfIrHI9h5LKj0HrWIc
kfiINhLLgbjuJ8ob0MrrPWN64DSJRXGPrLziPWihip9Mb3hNYlE/9Mt/Hwla
MglakT9dSCy31Nc0eGagRbbxg+0NRRLLB3urH5060MxjIOWWFk1i3f5LLcOB
Dxr+CzF8nn+UxCZa+LNIoxTKMGJri6UniU385anoQQsoC9MejOvnJrFJ631/
6skBZdYf9QKubCOxyc0UqH27CmXb7/ImRveR2JTkvzTIjQJmE2TSLnKNxGYY
F0Pewgelx88/FdqzSGJ77+vO3WUG33ml8g94x5PYIvWXqS5sUFTCZbCi9Z7E
Frv7UTN/KhTZSLWeezVJYkvCnMK15uDb7376i1JxElvu2n3JUl8oDMgwCT/b
SWJrtjc6npQJ+QLcjooeJSQ8n8F/5nabkJkopTzQq03C8297NX3yNmRunXqj
9X2GhN9eP/iEtQq+Pjv+II7dn4QXU38dHhEEX26qJ5EbDUj4AwrkhjJxSJex
jriiLk3CX+R+qyJ4GpLrEvWFkoZIeO2q4d99iZCslrX3pEsvCX/FR9kwjR0+
FZ9bOyQfTcIbrYw8UG2EpAzRbL273SS81eipdCszSHh3t6zutggJ/xIbFy72
gmj69ctRGTdJ+AAP1ZQXwxBF96CwJGyS8G9OvFPUOQ+RjHrV4eVLJPz7zNM6
w1shgjBXk5U+RsInxbz3442Hd5JeFpyt10j4zwYUwU48M1Ul+3ze95HwGfyQ
mHgPQhSXWXtaNkj4XH9K6QkFCIoNLK1xu03Cl7mQFm9i4CfBQ2jS7yThK4+E
P9+/B16ebWb/e+s6CV8zNbV10R+eO/D9/Ox0goRvsog4EKgLXiFL/gH/+ZLw
beJTxfr58GTemHbo0VYS/m+32nkJYXC7XqoTcb2fhO/XnbbIGwCn40Hf5E2Z
9g3xqM16aoCNAVsHl3AsCT9aHel1PhXuaOGG1Q8dI+EpPlReAR4wfq9Yr5rN
Q8JTT6tH/3OEC9pGXP/EmHzPrkbJfm4DAdnOiIUmOgm/mE8tdD4J2tRuvbut
50n4VUcNDZVYMP087pBiy+Rrc39UC5EFLKXWPjglR5MILCeFHvqzg63bPTnS
RBqJQNB4t4OTC5wGb+Vn+3ORCLw3Xpsy6/exSNjfPv5CEkHsrefoFll4Hh9Y
Y81ymERQnbdY23EZgqOjFPxmbpIIZxgDsZF6EGK73Pt7Xp9EOMdzA0SMIFS1
zi6WXZJEuLzX4MXO2/Cu+09/Es8bEsHM8AKfxCOIYD1buZ7wlETw/HFIel8s
fGAvHNapOkUi+FSnV6QmwAdMc9e6XCuJ4Nu2z0ouBeLcLthkfJ8iEYKmJb/s
z4KPQ5/Mso9okwgfJQT+O1wOCXrdGV+lPEkE5LNy8cQEJM3lvFnnOURix10s
dz7/H6TGPt16dVCGxI7fRuM+GgCpvYIjjFphEjuxa+enXb2QthPPTT2yk8S+
xeph+6wPpIVP6Plr7Cexi7/YpxTdCOm+fz0UG9dI7Co/X+OmreCL5ouhJ+7X
SeykF0VRf4vhi0f+//q686Cq6/2P426cr5GRuW8hae6muCQa6vd7Bc0tUa8p
edVcuhdIu5m5pOIGrribmiulGKGRwnHfSMjcr5ma+5IEZom4b6h5v795farf
TPeJ/z1mnDnnvM+ZYQ4zvJ7vvVg60vGEdshumOFnJ6c69QeevuN4Opxp+c7C
DfZX5d47nNp5nuPpee/GPqeA/dXFOheWr3Icz8jAN2fPW2Sv6zS9TpXsjY4n
+n5MTfd76rqRye8N2vK94xmfttb9CmqvWxUYdszvbccz9Q3rdnCWve5+v7RX
npnmeD6J2tY9O9BO6dC8SHDrwo5naeDl69/F2il9ek+8Vamz44l/UHLq1hN2
ygcN6wcWX+t4EicP2jbL/X644O6DuPYbHM/GhMr+QfvtlLO57f720k+OZ+u7
HTZXqWSn5Kx7PLn6EMezs8FHnYsNtlOeVD91eNxqx7P76+8nXCpjp774apmt
8+85nmPnYrPj+tupb5197kSvFY7nZELK2KEb7dTINwYGD+7qeM6+e77s20Xt
1OEjSp4e09rxZD5s0q7RWjt17s1+Q5PvO55bpa8kn8uzU7+d9k3W8x86nnv1
mvcck2unHk0POfjgiuPJazOnqH+mnXox0dNv+W7HKjQiaEDf/Xbqg48Ob+7m
41ie2dNfKLjD9haJ+HjigkDH8v3iQtrKFNtb3Kd86Wp+jlXi1OTyWYtsb/U3
fr3Z9RnHKnPj9N5JM2xv4MO8M9XfcayKz7wyrPp42xvcvev2u6sdq2qz40ci
I21v2EsR834Mc6xGS6tOzgmyvR8W8x912t+xgtaPaDyztu0d3XpAx4x4xwo+
eCCznr/tjW1YNnZepGOFPB7SYrDH9s6r8e6tilUdq22pb68Wz7O9iwNPp1Zw
H7/jK+UXpeba3k+vd7+Qs8KxuvXedfv2CdubPDOgU86vjhU+vNSK+Qdsr/c9
O/rVlx2r16zIsFfTbO+WIiV+ubvRsfombn98wmt7d3b18V11wLHe+fr5NSM+
t70ZPcanHnrkWJEnB4SXc1/v3lI3Xzh427EGXd/ss9V9vQfj0rfO6+VYwwL6
9H001PYeW9Ho/OffO9bIpl6/Ze7rPdlqbcM5FR1rTBefHS162d4z8a9F+0Y5
1oSot6IudLa95ze0vjfwiGNNmvBV2XGhtvfHSS1faVfWsaYtKfBtQFPb+9ML
cx6GFHOsmd5uQ9Lr2t7st5LHnLjnWHMPJAX0D7C9P/d+WqNBE8dakPnocOGS
tvcX//tJhSo41uJHYaNXuff6dXmR+932OFZ8yYRaoe69rp5a2ClyoWOtrHPv
RLZ7r5yjFavPeMuxEkPbT5ycaXuvxRVu8nioY63pFd+whnu/3AJpQzLmOtba
oTcv7nPvl9tkp2eR+/+9M1vPjHLvl1v3/e4Hcxxr0+eLg33d+13LbP2kRkvH
2rYz58qXia7DU/ec7u9YaSechR2XuI83p6q3v9exMnLnh1yb5T6facWuxVxz
rL2en2/OmuA+35ALx2p3dKyDlYM/re/e80q67y+DFjvWd0GzOx5x7/lzwUIX
R9R2rGNhmXkfuPfMLtJ0+jT3/TwZ2SSphHvPzIMvXsnt7lhnx8e9uf7/7tm9
WunHaY51cdGFwt3ce57/fFfXUqMc66fUBil33Xue2dbv0cqxjvXz/kl9Frr3
PDk/ela1bxzr6qXTxYJK2d7jjWM+C2ruWNfz6m49VdT2Hlly+dL8To71oPbx
0uWv2959OxZUrT/BdfuasUXdx9u3bHfndu7n9UFU9I177uvdF33507nufR4k
VTt0rI3rFkW+OObe52G1ERNnxLufpx2Jw8q472deQIXbTzva3j1bJ3gTSjnW
49L9jmattr27Vy97rUA51403OUd/cz21QcPkVq67+a5N7+b6X1v/lbzN9bz1
cfEFXFdNiP3uX471pLhPqx7htvebZReS4ic51m++SakH3M9DxoybHUe79/6t
1pPKW9z7Zby7LTyjiut2XWYmuu9fRtvhyTc2uJ6SFxXb23Xh/YF1izjWU5+O
LzXfYHvTR/6wpfJo1y9/NruOr+sezconf+w65M6T8n1dN569f1AP1zHLT90r
Znt3XS9bZrX7fj1dcatNVn/Xh17fuOWk6/Q2G45ucb16YGLAQNc/Lq2S7ud6
csyV1cHO73s53l0DZo6ttOz3/ZwC5t/v+zls7emwta/D1t4OW/s7bO3xsLXP
w9ZeD1v7PWzt+bC178PW3g9b+z9s7QGxtQ/E1l4QW/tBbO0JsbUvxNbeEFv7
Q2ztEbG1T8TWXhFb+0Vs7RmxtW/E1t4RW/tHbO0hsbWPxNZeElv7SWztKbG1
r8TW3hJb+0ts7TGxtc/E1l4TW/tNbO05sbXvxNbeE1v7T2ztQbG1D8XWXhRb
+1Fs7UmxtS/F1t4UW/tTbO1RsbVPxdZeFVv7VWizZ8XWvhVbe1ds7V+xtYfF
1j4WW3tZbO1nsbWnxda+Flt7W2ztb7G1x8XWPhdbe11s7XextefF1r4XW3tf
bO1/sbUHxtY+GFt7YWzth7G1J8bWvhhbe2Ns7Y+xtUfG1j4ZW3tlaLNfxtae
GVv7ZmztnbG1f8bWHhpb+2hs7aWxtZ/G1p4aW/tqbO2tsbW/xtYeG1v7bGzt
tbG138bWnhtb+25s7b2xtf/G1h4c2uzDsbUXx9Z+HFt7cmzty7G1N8fW/hxb
e3Rs7dOxtVfH1n4dW3t2bO3bsbV3x9b+HVt7eGzt47G1l8fWfh5be3ps7eux
tbfH1v4eW3t8bO3zoc1eH1v7fWzt+aHNvh9be39s7f+xtQfI1j4g2uwFsrUf
yNaeIFv7gmztDbK1P8jWHiFb+4Rs7RWytV/I1p4hW/uGaLN3yNb+IVt7iGzt
I7K1l8jWfiJbe4ps7SuytbfI1v4iW3uMbO0zsrXXyNZ+I1t7jmztO7K198jW
/iNbe5Bs7UOytRfJ1n4kW3uSbO1LsrU3Sf59f5KtPUq29inZ2qtka7+SrT1L
tvYt2dq7ZGv/kq09TLb2Mdnay2RrP5OtPU229jXZ2ttka3+TrT1OtvY52drr
ZGu/k609T7b2Pdna+2Rr/5OtPVC29kHZ2gtFm/1QtvZE2doXZWtvlK39Ubb2
SNnaJ2Vrr5St/VK29kzZ2jdla++Urf1TtvZQ2dpHZWsvla39VLb2VNnaV2Vr
b5Wt/VW29ljZ2mdla6+Vrf1WtvZc0Wbfla29V7b2X9nag2VrH5atvVi29mPZ
2pNla1+Wrb1ZtvZn2dqjZWuflq29Wrb2a9nas0WbfVu29m7Z2r9law+XrX1c
tvZy2drPZWtPl619Xbb2dtFmf5etPV629nnZ2utla7+XrT1ftvZ92dr7ZWv/
l609YLTZB2ZrL5it/WC29oTZ2hdma2+Yrf1htNkjZmufmK29Yrb2i9naM2Zr
35itvWO29o/Z2kNmax+Zrb1ktvaT2dpTZmtfma29Zbb2l9naY2Zrn5mtvWa2
9pvZ2nNGm31ntvae2dp/ZmsPmq19aLb2otnaj2ZrTxpt9qXRZm8abfan2dqj
Zmufmq29arb2q9nas0abfWu29q7Z2r9maw+brX1stvay0WY/m609bbb2tdna
22Zrf5utPW629rnZ2utma78bbfa82dr3Zmvvm639b7b2wNnaB2drL5yt/XC2
9sTZ2hdna2+crf1xtvbI0WafnK29crb2y9naM2dr35ytvXO29s/Z2kNnax+d
rb10tvbT2dpTZ2tfna29dbb219Fmj52tfXa29trZ2m9na8+drX13tvbe2dp/
Z2sPnq19eLb24tnaj2drT56tfXm29ubRZn+erT16tvbp2dqrZ2u/nq09e7b2
7dnau2dr/56tPXy29vHZ2stnaz+frT19tvb12drbZ2t/H232+Nna52drr5+t
/X629vzZ2vdna++frf1/tnoAbPUB2OoFsNUPYKsngDZ9AbZ6A2z1B9jqEbDV
J2CrV8BWv4CtngHa9A3Y6h2w1T9gq4fAVh+BrV4CW/0EtnoKaNNXYKu3wFZ/
ga0eA1t9BrZ6DWz1G9jqOaBN34Gt3gNb/Qe2ehBs9SHQphfBVj+CrZ4EW30J
tnoTaNOfYKtHwVafgq1eBVv9CrTpWaBN34Kt3gVb/Qu2ehhs9THQppeBNv0M
tnoabPU12OptsNXfQJseB1t9DrZ6HWz1O9jqeaBN34Ot3gdb/Q+2eiBs9UHY
6oWw1Q9hqyeCNn0RtnojbPVH2OqRsNUnYatXwla/hK2eCVt9E7Z6J2z1T9Cm
h8JWHwVteils9VPY6qmgTV8FbXorbPVX0KbHwlafha1eC9r0W9Cm58JW34Wt
3gva9F/Y6sGgTR8GbXoxbPVj2OrJsNWXQZveDNr0Z9CmR4M2fRq2ejVs9WvQ
pmeDNn0btOndsNW/YauHgzZ9HLTp5aBNPwdtejps9XXY6u2gTX8HbXo8bPV5
0KbXgzb9HrTp+bDV90Gb3g/a9H/QpgfEVh8IbXpBbPWD0KYnhDZ9IbZ6Q2jT
H0KbHhHa9InQpleENv0itOkZoU3fCG16R2jTP0KbHhLa9JHQppeENv0ktOkp
oU1fCW16S2jTX0KbHhPa9JnQpteENv0mtOk5oU3fCW16T2jTf0KbHhT59z4U
2vSi0KYfhTY9KbTpS6FNbwpt+lNo06NCmz4V2vSq0KZfhTY9K7TpW6FN7wpt
+ldo08NCmz4W2vSy0KafxVZPC236WmjT20Kb/hba9LjQps+FNr0utOl3oU3P
C236XmjT+0Kb/hfa9MDQpg/GVi8MbfphaNMTY6svhja9MbTpj6FNj4ytPhna
9MrQpl+GNj0ztvpmaNM7Q5v+Gdr00Njqo6FNLw1t+mlo01Njq6/GVm8Nbfpr
aNNjQ5s+G1u9Nrb6bWjTc0Obvhva9N7Qpv/GVg+OrT4c2vTi2OrHoU1PDm36
cmz15tjqz7HVo0ObPh3a9OrQpl/HVs+Orb4dW707tOnfoU0PD236eGz18tjq
56FNT4+tvh7a9PbY6u+x1eNDmz4fW70+tOn3sdXzY6vvhza9P7b6f2z1ANnq
A7LVC2SrH8hWT5CtviBbvUG2+oNs9QjZ6hOiTa+QrX4hWz1DtvqGbPUO0aZ/
yFYPka0+Itr0EtnqJ7LVU2Srr4g2vUW2+oto02Nkq8/IVq+RrX4j2vQc2eo7
ok3vka3+I1s9SLb6kGjTi2SrH4k2PUm2+pJs9SbZ6k+iTY+SrT4lW71KtvqV
bPUs0aZvyVbvkq3+JVs9TLb6mGz1MtGmn8lWT5OtviZbvU22+pts9TjZ6nOy
1etkq9+JNj1PtvqebPU+2ep/stUDZasPylYvlK1+KFs9Ubb6omz1RtGmP8pW
j5StPilbvVK2+qVs9UzZ6puy1Ttlq3/KVg+VrT4q2vRS2eqnstVTZauvylZv
la3+Kls9Vrb6rGz1Wtnqt7LVc2Wr78pW75Wt/itbPVi2+rBs9WLRph/LVk+W
rb4sW71ZtvqzbPVo2erTstWrZatfy1bPlq2+LVu9W7b6t2z1cNnq47LVy2Wr
n8tWT5etvi5bvV22+rts9XjZ6vOy1etlq9/LVs8Xbfq+bPV+2er/stUDZqsP
zFYvmK1+MFs9Ybb6wmz1htGmP8xWj5itPjFbvWK2+sVs9YzZ6huz1Ttmq3/M
Vg8ZbfrIbPWS2eons9VTZquvzFZvGW36y2z1mNnqM7PVa2ar38xWz5mtvjPa
9J7Rpv/MVg+arT40W71otvrRbPWk0aYvzVZvmq3+NFs9arb61Gz1qtGmX81W
z5qtvjVbvWu2+tds9bDZ6mOz1ctmq5/NVk+brb422vS22epvs9XjZqvPzVav
m61+N1s9b7b63mz1vtnqf7PVA2erD85WL5ytfjhbPXG06Yuz1Rtnqz/OVo+c
rT45W71ytvrlbPXM2eqbo03vnK3+OVs9dLb66Gz10tnqp7PVU0ebvjpbvXW2
+uts9djZ6rOz1Wtnq9/OVs+drb472vTe2eq/s9WDZ6sPz1Yvnq1+PFs9ebb6
8mz15tnqz7PVo2erT89Wr56tfj3a9OzZ6tuz1btnN03yq5h3le1c6DhlT3N2
u1Jxt+fOYr81wTpYM5Ddb3ObJrdj2FHXJq5MO8Ye1bPgqDeHs2Pm2JcD9rLj
9oztklOOvbTho1ox29k7nr1z6o9f5/4P727VKHR0V/ahjz5IaZPAPpeVO+V8
G3Z2xbq3kz5hX+sy8O0Pr7Cf7LwS5Dsd/dTnTvWVP5xj+9X+p9+KeuwyfRNG
DRrH9l946XLQEXb1/wR0LVyFXb9wn52HP2QHNVtea/Futv3+2QX/LMN+PbFC
wcAIdti58EGPtrDDSyw8tdeX3bftD6Hz/sGOHFcypXcye/DGrpVq/sb+6Oqc
KXfC2BNeOnz768/Y08KfezvuFnvurA4Hu4ewF++OC3ppPntF3r6VOZfZaxpY
fn/2WP5qb0TrUbFT2duWx17udIadcSyja4U67IO+BXZmR7OPOXatlMPss8PH
LIiuzP4peUfB1wezr2bmvVcig32nfNNTF0qSnQKFWp059do/2J7eeX4BRdi+
I8uH+iSzS6zrse7Ib+wyB4Znb0pkV8heWHFZGLtqxeNTIj5j16h6MHJ0UXad
OhntZg1mNwpOeXajzQ75x/Q5hS6wXx8Q80GZNuwOA0d2rbWW/ffREaU6j2EP
WNpqUXwldkRCs5GpE9kDvwzsuTuH/eF2/0pXt7Njzzxc0awne1WFlNXHF7GT
qnwR98ePm//h5NrxAx9Fsje8NqNelSD27p4R3vdPsLOW+G9/thT7ysrSy/yj
2Tlrio1pkMW+szXPDl+PLljk9A/fJHZlVys/49Df5rBrnmuUkNaGXTf+zOjX
HrMbv1yzduNIdki9b6bWcNj9QvJCi91gL/93xPZTYehCpb9p9eX7fujCFTbt
3BKaxvafFLzk0gB2lb9vHTO2KLvWjY2tNndlN6ud/J9al9k94pdmPu/Hnj95
1LOn+7AXdbuf++ffE/7Vy6oO+75EEjth1wcLO9xie/OiAtIms7//d/irCWvR
Rfy6N3n7vSfsEi9Mv9a0P7v0oUujC+1hvxgyY+Ens9h1AzP/k+7Pbv/s7Oal
WrLf2JO1/8JKdpeY13qs9rDDH2R/2OIwO+Jy8JqIPuxJu66U2zaOPS26ReLE
LPbMoI8bh7Vlz1/bMiyrODth6fwpz33G/qL7r6VOFWF/WcJeuTKS7Z36a1pQ
IDt9uHO37y72tw0WxtZ5mb0vJ6f43ansIwM+qRvXmX3cP2dbtw3sk2data1c
jn2x87UB639k/1Ss1c2xoezLexeNa5vE/jUm97mSxdi5LUOWnB/Mvvlwcc0v
jrPvbsjdNKQp++Hg0NDmy9hP6iw+ahVE+xRsWmboVA/bJ/Tjss/4sp/rPaPX
//t5+xe/OHvs5edrslvcHpBXthP7b09/XLbo7+w2xXrb5cPZnap1n1ixP7tP
j3Z+lYexx26vV6XGMnbM3jW7k1awJx+vEVErkT3rWkBynXXsTyuXbFI/g/11
zIP2Qb+gPQXaZwxp24Rd5IXrzzacxrZOV1xV6Rz7+YihP9yMYftPrNFsyWF2
850zClyLYDsTtyw+uY0d2iG7YYYfu8OZlu8s3MDuee/GPqcAe2Tgm7P/3CP8
q6Pvx9SMvsoen7Y2PaIle+ob1u3gLPYnUdu6ZweylwZevv5dLDv+QcmpW0+w
EycP2jYrmr0xobJ/0H721nc7bK5Sib2zwUediw1m7/76+wmXyrCPnYvNjuvP
PpmQMnboRvbZd8+X/fPvcf/qzIdN2jVay75V+kryuTz2vXrNe47JZee1mVPU
PxNtFRoRNKDvfrZn9vQXCu5g+35xIW1lCrvEqcnlsxaxy9w4vXfSDHbFZ14Z
Vn08u2qz40ciI9mNlladnBPEDlo/ovHM2uzggwcy6/mzQx4PaTHYw25b6tur
xfPYHV8pvyg1l92t967bt0+ww4eXWjH/ALvXrMiwV9PYfRO3Pz7hZb/z9fNr
RnzOjjw5ILzcIvag65t9ts5gDwvo0/fRUPbIpl6/ZZHsMV18drToxZ4Q9VbU
hc7sSRO+KjsulD1tSYFvA5qyZ3q7DUmvy557ICmgfwB7Qeajw4VLshc/Chu9
ysOOL5lQKzSPvbLOvRPZuezE0PYTJ2ey1/SKb1jjBHvt0JsX9x1ge2e2nhmV
xt70+eJgXy97286cK18mstNOOAs7LmFn5M4PuTaLvdfz881ZE9gHKwd/Wn8o
+7ug2R2PRLKPhWXmfdCLfTKySVKJzuyz4+PeXB/KvrjoQuFuTdk/pTZIuVuX
/fP+SX0WBrCvXjpdLKgU+3pe3a2nirIf1D5euvz1fNy+ZmzR0HwcFX3j3pJ8
nFTt0LE27IfVRkycEc/OC6hw+2lH9uPS/Y5mrc7HjTc5R3/Lx91816Z3y8fz
1sf98XT+h58U92nVI5z9m29S6gFPPq71pPKWXvm4XZeZid58PCUvKrY3+6lP
x5eab8jHL382u45vPg6586R833wcs/zUvWL5eMWtNln983F6mw1Ht+TjH5dW
SffLx0+vz1n3x+8D/wtgMUQP
    "], {
     {GrayLevel[0.5], EdgeForm[None], 
      GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwtnHv892N9x7+fw3W+PpHKhKRlZiaTSrJmVqikVipJJZPJWkOy7c5kN5lZ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        "]]]}, {{}, {}, {
       {Hue[0.022535190212674343`, 1, 1], LineBox[{1, 2}]}, 
       {Hue[0.022828064763465543`, 1, 1], LineBox[{2, 3}]}, 
       {Hue[0.02312093931425682, 1, 1], LineBox[{3, 4}]}, 
       {Hue[0.023706688415839228`, 1, 1], LineBox[{4, 5}]}, 
       {Hue[0.023999562966630427`, 1, 1], LineBox[{5, 6}]}, 
       {Hue[0.024292437517421633`, 1, 1], LineBox[{6, 7}]}, 
       {Hue[0.024878186619004036`, 1, 1], LineBox[{7, 8}]}, 
       {Hue[0.02517106116979524, 1, 1], LineBox[{8, 9}]}, 
       {Hue[0.025463935720586448`, 1, 1], LineBox[{9, 10}]}, 
       {Hue[0.026049684822168923`, 1, 1], LineBox[{10, 11}]}, 
       {Hue[0.026342559372960126`, 1, 1], LineBox[{11, 12}]}, 
       {Hue[0.026635433923751402`, 1, 1], LineBox[{12, 13}]}, 
       {Hue[0.027221183025333804`, 1, 1], LineBox[{13, 14}]}, 
       {Hue[0.027514057576125007`, 1, 1], LineBox[{14, 15}]}, 
       {Hue[0.027806932126916213`, 1, 1], LineBox[{15, 16}]}, 
       {Hue[0.028099806677707413`, 1, 1], LineBox[{16, 17}]}, 
       {Hue[0.028392681228498615`, 1, 1], LineBox[{17, 18}]}, 
       {Hue[0.02868555577928983, 1, 1], LineBox[{18, 19}]}, 
       {Hue[0.028978430330081024`, 1, 1], LineBox[{19, 20}]}, 
       {Hue[0.029271304880872304`, 1, 1], LineBox[{20, 21}]}, 
       {Hue[0.029564179431663503`, 1, 1], LineBox[{21, 22}]}, 
       {Hue[0.029857053982454706`, 1, 1], LineBox[{22, 23}]}, 
       {Hue[0.030149928533245978`, 1, 1], LineBox[{23, 24}]}, 
       {Hue[0.030442803084037188`, 1, 1], LineBox[{24, 25}]}, 
       {Hue[0.030735677634828387`, 1, 1], LineBox[{25, 26}]}, 
       {Hue[0.031028552185619583`, 1, 1], LineBox[{26, 27}]}, 
       {Hue[0.031321426736410786`, 1, 1], LineBox[{27, 28}]}, 
       {Hue[0.031614301287201996`, 1, 1], LineBox[{28, 29}]}, 
       {Hue[0.031907175837993206`, 1, 1], LineBox[{29, 30}]}, 
       {Hue[0.032200050388784394`, 1, 1], LineBox[{30, 31}]}, 
       {Hue[0.0324929249395756, 1, 1], LineBox[{31, 32}]}, 
       {Hue[0.03278579949036681, 1, 1], LineBox[{32, 33}]}, 
       {Hue[0.03307867404115801, 1, 1], LineBox[{33, 34}]}, 
       {Hue[0.03337154859194921, 1, 1], LineBox[{34, 35}]}, 
       {Hue[0.033664423142740416`, 1, 1], LineBox[{35, 36}]}, 
       {Hue[0.033957297693531695`, 1, 1], LineBox[{36, 37}]}, 
       {Hue[0.0342501722443229, 1, 1], LineBox[{37, 38}]}, 
       {Hue[0.0345430467951141, 1, 1], LineBox[{38, 39}]}, 
       {Hue[0.03483592134590537, 1, 1], LineBox[{39, 40}]}, 
       {Hue[0.035128795896696575`, 1, 1], LineBox[{40, 41}]}, 
       {Hue[0.03542167044748778, 1, 1], LineBox[{41, 42}]}, 
       {Hue[0.03571454499827898, 1, 1], LineBox[{42, 43}]}, 
       {Hue[0.036007419549070184`, 1, 1], LineBox[{43, 44}]}, 
       {Hue[0.03630029409986138, 1, 1], LineBox[{44, 45}]}, 
       {Hue[0.03659316865065259, 1, 1], LineBox[{45, 46}]}, 
       {Hue[0.0368860432014438, 1, 1], LineBox[{46, 47}]}, 
       {Hue[0.037178917752234995`, 1, 1], LineBox[{47, 48}]}, 
       {Hue[0.0374717923030262, 1, 1], LineBox[{48, 49}]}, 
       {Hue[0.0377646668538174, 1, 1], LineBox[{49, 50}]}, 
       {Hue[0.038057541404608604`, 1, 1], LineBox[{50, 51}]}, 
       {Hue[0.03835041595539981, 1, 1], LineBox[{51, 52}]}, 
       {Hue[0.038936165056982296`, 1, 1], LineBox[{52, 53}]}, 
       {Hue[0.03922903960777349, 1, 1], LineBox[{53, 54}]}, 
       {Hue[0.03952191415856477, 1, 1], LineBox[{54, 55}]}, 
       {Hue[0.04010766326014716, 1, 1], LineBox[{55, 56}]}, 
       {Hue[0.041279161463311974`, 1, 1], LineBox[{56, 57}]}, 
       {Hue[0.04159667103713255, 1, 1], LineBox[{57, 58}]}, 
       {Hue[0.041914180610953145`, 1, 1], LineBox[{58, 59}]}, 
       {Hue[0.042549199758594294`, 1, 1], LineBox[{59, 60}]}, 
       {Hue[0.04286670933241487, 1, 1], LineBox[{60, 61}]}, 
       {Hue[0.04318421890623546, 1, 1], LineBox[{61, 62}]}, 
       {Hue[0.04381923805387661, 1, 1], LineBox[{62, 63}]}, 
       {Hue[0.04413674762769719, 1, 1], LineBox[{63, 64}]}, 
       {Hue[0.044454257201517765`, 1, 1], LineBox[{64, 65}]}, 
       {Hue[0.04508927634915892, 1, 1], LineBox[{65, 66}]}, 
       {Hue[0.04635931464444118, 1, 1], LineBox[{66, 67}]}, 
       {Hue[0.04667682421826168, 1, 1], LineBox[{67, 68}]}, 
       {Hue[0.04699433379208225, 1, 1], LineBox[{68, 69}]}, 
       {Hue[0.04762935293972342, 1, 1], LineBox[{69, 70}]}, 
       {Hue[0.04889939123500574, 1, 1], LineBox[{70, 71}]}, 
       {Hue[0.049216900808826305`, 1, 1], LineBox[{71, 72}]}, 
       {Hue[0.049534410382646894`, 1, 1], LineBox[{72, 73}]}, 
       {Hue[0.05016942953028804, 1, 1], LineBox[{73, 74}]}, 
       {Hue[0.05143946782557037, 1, 1], LineBox[{74, 75}]}, 
       {Hue[0.05175697739939095, 1, 1], LineBox[{75, 76}]}, 
       {Hue[0.05207448697321152, 1, 1], LineBox[{76, 77}]}, 
       {Hue[0.052709506120852685`, 1, 1], LineBox[{77, 78}]}, 
       {Hue[0.05397954441613492, 1, 1], LineBox[{78, 79}]}, 
       {Hue[0.054297053989955435`, 1, 1], LineBox[{79, 80}]}, 
       {Hue[0.05461456356377601, 1, 1], LineBox[{80, 81}]}, 
       {Hue[0.05524958271141718, 1, 1], LineBox[{81, 82}]}, 
       {Hue[0.05651962100669948, 1, 1], LineBox[{82, 83}]}, 
       {Hue[0.05683713058052007, 1, 1], LineBox[{83, 84}]}, 
       {Hue[0.05715464015434064, 1, 1], LineBox[{84, 85}]}, 
       {Hue[0.05778965930198181, 1, 1], LineBox[{85, 86}]}, 
       {Hue[0.059059697597264114`, 1, 1], LineBox[{86, 87}]}, 
       {Hue[0.06159977418782867, 1, 1], LineBox[{87, 88}]}, 
       {Hue[0.06189624294004133, 1, 1], LineBox[{88, 89}]}, 
       {Hue[0.062192711692253905`, 1, 1], LineBox[{89, 90}]}, 
       {Hue[0.06278564919667906, 1, 1], LineBox[{90, 91}]}, 
       {Hue[0.0639715242055294, 1, 1], LineBox[{91, 92}]}, 
       {Hue[0.06634327422323016, 1, 1], LineBox[{92, 93}]}, 
       {Hue[0.06663974297544274, 1, 1], LineBox[{93, 94}]}, 
       {Hue[0.06693621172765533, 1, 1], LineBox[{94, 95}]}, 
       {Hue[0.06752914923208049, 1, 1], LineBox[{95, 96}]}, 
       {Hue[0.0687150242409309, 1, 1], LineBox[{96, 97}]}, 
       {Hue[0.0710867742586316, 1, 1], LineBox[{97, 98}]}, 
       {Hue[0.07138324301084417, 1, 1], LineBox[{98, 99}]}, 
       {Hue[0.07167971176305678, 1, 1], LineBox[{99, 100}]}, 
       {Hue[0.0722726492674819, 1, 1], LineBox[{100, 101}]}, 
       {Hue[0.0734585242763323, 1, 1], LineBox[{101, 102}]}, 
       {Hue[0.07583027429403305, 1, 1], LineBox[{102, 103}]}, 
       {Hue[0.0761267430462456, 1, 1], LineBox[{103, 104}]}, 
       {Hue[0.07642321179845818, 1, 1], LineBox[{104, 105}]}, 
       {Hue[0.07701614930288336, 1, 1], LineBox[{105, 106}]}, 
       {Hue[0.07820202431173373, 1, 1], LineBox[{106, 107}]}, 
       {Hue[0.08057377432943444, 1, 1], LineBox[{107, 108}]}, 
       {Hue[0.0808644275415848, 1, 1], LineBox[{108, 109}]}, 
       {Hue[0.08115508075373519, 1, 1], LineBox[{109, 110}]}, 
       {Hue[0.08173638717803601, 1, 1], LineBox[{110, 111}]}, 
       {Hue[0.08202704039018638, 1, 1], LineBox[{111, 112}]}, 
       {Hue[0.08231769360233682, 1, 1], LineBox[{112, 113}]}, 
       {Hue[0.0826083468144872, 1, 1], LineBox[{113, 114}]}, 
       {Hue[0.08289900002663755, 1, 1], LineBox[{114, 115}]}, 
       {Hue[0.08318965323878794, 1, 1], LineBox[{115, 116}]}, 
       {Hue[0.5834803064509383, 1, 1], LineBox[{116, 117}]}, 
       {Hue[0.5837709596630887, 1, 1], LineBox[{117, 118}]}, 
       {Hue[0.5840616128752392, 1, 1], LineBox[{118, 119}]}, 
       {Hue[0.5843522660873894, 1, 1], LineBox[{119, 120}]}, 
       {Hue[0.5846429192995399, 1, 1], LineBox[{120, 121}]}, 
       {Hue[0.5852242257238407, 1, 1], LineBox[{121, 122}]}, 
       {Hue[0.5855148789359912, 1, 1], LineBox[{122, 123}]}, 
       {Hue[0.5858055321481415, 1, 1], LineBox[{123, 124}]}, 
       {Hue[0.5863868385724422, 1, 1], LineBox[{124, 125}]}, 
       {Hue[0.5875494514210438, 1, 1], LineBox[{125, 126}]}, 
       {Hue[0.5898746771182469, 1, 1], LineBox[{126, 127}]}, 
       {Hue[0.5901653303303972, 1, 1], LineBox[{127, 128}]}, 
       {Hue[0.5904559835425476, 1, 1], LineBox[{128, 129}]}, 
       {Hue[0.5910372899668483, 1, 1], LineBox[{129, 130}]}, 
       {Hue[0.5921999028154499, 1, 1], LineBox[{130, 131}]}, 
       {Hue[0.594525128512653, 1, 1], LineBox[{131, 132}]}, 
       {Hue[0.5991755799070593, 1, 1], LineBox[{132, 133}]}, 
       {Hue[0.5994908681422391, 1, 1], LineBox[{133, 134}]}, 
       {Hue[0.5998061563774189, 1, 1], LineBox[{134, 135}]}, 
       {Hue[0.6004367328477782, 1, 1], LineBox[{135, 136}]}, 
       {Hue[0.6016978857884973, 1, 1], LineBox[{136, 137}]}, 
       {Hue[0.6042201916699352, 1, 1], LineBox[{137, 138}]}, 
       {Hue[0.6092648034328112, 1, 1], LineBox[{138, 139}]}, 
       {Hue[0.6193540269585631, 1, 1], LineBox[{139, 140}]}, 
       {Hue[0.6381858614271563, 1, 1], LineBox[{140, 141}]}, 
       {Hue[0.6385047438637574, 1, 1], LineBox[{141, 142}]}, 
       {Hue[0.6388236263003584, 1, 1], LineBox[{142, 143}]}, 
       {Hue[0.6394613911735607, 1, 1], LineBox[{143, 144}]}, 
       {Hue[0.6407369209199651, 1, 1], LineBox[{144, 145}]}, 
       {Hue[0.6432879804127742, 1, 1], LineBox[{145, 146}]}, 
       {Hue[0.6483900993983922, 1, 1], LineBox[{146, 147}]}, 
       {Hue[0.6487089818349934, 1, 1], LineBox[{147, 148}]}, 
       {Hue[0.6490278642715945, 1, 1], LineBox[{148, 149}]}, 
       {Hue[0.6496656291447966, 1, 1], LineBox[{149, 150}]}, 
       {Hue[0.6509411588912013, 1, 1], LineBox[{150, 151}]}, 
       {Hue[0.6534922183840102, 1, 1], LineBox[{151, 152}]}, 
       {Hue[0.6585943373696282, 1, 1], LineBox[{152, 153}]}, 
       {Hue[0.6589074042661671, 1, 1], LineBox[{153, 154}]}, 
       {Hue[0.6592204711627061, 1, 1], LineBox[{154, 155}]}, 
       {Hue[0.6598466049557838, 1, 1], LineBox[{155, 156}]}, 
       {Hue[0.6610988725419396, 1, 1], LineBox[{156, 157}]}, 
       {Hue[0.6636034077142511, 1, 1], LineBox[{157, 158}]}, 
       {Hue[0.66391647461079, 1, 1], LineBox[{158, 159}]}, 
       {Hue[0.6642295415073289, 1, 1], LineBox[{159, 160}]}, 
       {Hue[0.6648556753004067, 1, 1], LineBox[{160, 161}]}, 
       {Hue[0.6661079428865624, 1, 1], LineBox[{161, 162}]}, 
       {Hue[0.6686124780588738, 1, 1], LineBox[{162, 163}]}, 
       {Hue[0.6689255449554127, 1, 1], LineBox[{163, 164}]}, 
       {Hue[0.6692386118519515, 1, 1], LineBox[{164, 165}]}, 
       {Hue[0.6698647456450295, 1, 1], LineBox[{165, 166}]}, 
       {Hue[0.6711170132311852, 1, 1], LineBox[{166, 167}]}, 
       {Hue[0.6714300801277242, 1, 1], LineBox[{167, 168}]}, 
       {Hue[0.6717431470242632, 1, 1], LineBox[{168, 169}]}, 
       {Hue[0.6723692808173409, 1, 1], LineBox[{169, 170}]}, 
       {Hue[0.6736215484034966, 1, 1], LineBox[{170, 171}]}, 
       {Hue[0.6739346153000356, 1, 1], LineBox[{171, 172}]}, 
       {Hue[0.6742476821965744, 1, 1], LineBox[{172, 173}]}, 
       {Hue[0.6748738159896523, 1, 1], LineBox[{173, 174}]}, 
       {Hue[0.6761260835758081, 1, 1], LineBox[{174, 175}]}, 
       {Hue[0.6786306187481195, 1, 1], LineBox[{175, 176}]}, 
       {Hue[0.6789226448230503, 1, 1], LineBox[{176, 177}]}, 
       {Hue[0.6792146708979814, 1, 1], LineBox[{177, 178}]}, 
       {Hue[0.6797987230478432, 1, 1], LineBox[{178, 179}]}, 
       {Hue[0.680966827347567, 1, 1], LineBox[{179, 180}]}, 
       {Hue[0.6812588534224979, 1, 1], LineBox[{180, 181}]}, 
       {Hue[0.6815508794974288, 1, 1], LineBox[{181, 182}]}, 
       {Hue[0.6821349316472908, 1, 1], LineBox[{182, 183}]}, 
       {Hue[0.6833030359470145, 1, 1], LineBox[{183, 184}]}, 
       {Hue[0.6835950620219453, 1, 1], LineBox[{184, 185}]}, 
       {Hue[0.6838870880968764, 1, 1], LineBox[{185, 186}]}, 
       {Hue[0.6844711402467383, 1, 1], LineBox[{186, 187}]}, 
       {Hue[0.6847631663216691, 1, 1], LineBox[{187, 188}]}, 
       {Hue[0.6850551923966001, 1, 1], LineBox[{188, 189}]}, 
       {Hue[0.685639244546462, 1, 1], LineBox[{189, 190}]}, 
       {Hue[0.6859312706213929, 1, 1], LineBox[{190, 191}]}, 
       {Hue[0.6862232966963239, 1, 1], LineBox[{191, 192}]}, 
       {Hue[0.6865153227712548, 1, 1], LineBox[{192, 193}]}, 
       {Hue[0.6868073488461858, 1, 1], LineBox[{193, 194}]}, 
       {Hue[0.6870993749211167, 1, 1], LineBox[{194, 195}]}, 
       {Hue[0.6873914009960477, 1, 1], LineBox[{195, 196}]}, 
       {Hue[0.6876834270709786, 1, 1], LineBox[{196, 197}]}, 
       {Hue[0.6879754531459095, 1, 1], LineBox[{197, 198}]}, 
       {Hue[0.6882674792208405, 1, 1], LineBox[{198, 199}]}, 
       {Hue[0.6885595052957714, 1, 1], LineBox[{199, 200}]}, 
       {Hue[0.6888515313707023, 1, 1], LineBox[{200, 201}]}, 
       {Hue[0.6891435574456333, 1, 1], LineBox[{201, 202}]}, 
       {Hue[0.6894355835205642, 1, 1], LineBox[{202, 203}]}, 
       {Hue[0.6897276095954952, 1, 1], LineBox[{203, 204}]}, 
       {Hue[0.6900196356704261, 1, 1], LineBox[{204, 205}]}, 
       {Hue[0.6903116617453571, 1, 1], LineBox[{205, 206}]}, 
       {Hue[0.6906036878202879, 1, 1], LineBox[{206, 207}]}, 
       {Hue[0.690895713895219, 1, 1], LineBox[{207, 208}]}, 
       {Hue[0.6911877399701498, 1, 1], LineBox[{208, 209}]}, 
       {Hue[0.6914797660450809, 1, 1], LineBox[{209, 210}]}, 
       {Hue[0.6917717921200117, 1, 1], LineBox[{210, 211}]}, 
       {Hue[0.6920638181949428, 1, 1], LineBox[{211, 212}]}, 
       {Hue[0.6923558442698736, 1, 1], LineBox[{212, 213}]}, 
       {Hue[0.6926478703448045, 1, 1], LineBox[{213, 214}]}, 
       {Hue[0.6929398964197355, 1, 1], LineBox[{214, 215}]}, 
       {Hue[0.6932319224946665, 1, 1], LineBox[{215, 216}]}, 
       {Hue[0.6935239485695974, 1, 1], LineBox[{216, 217}]}, 
       {Hue[0.6938159746445283, 1, 1], LineBox[{217, 218}]}, 
       {Hue[0.6941080007194593, 1, 1], LineBox[{218, 219}]}, 
       {Hue[0.6944000267943902, 1, 1], LineBox[{219, 220}]}, 
       {Hue[0.6949840789442521, 1, 1], LineBox[{220, 221}]}, 
       {Hue[0.6952761050191831, 1, 1], LineBox[{221, 222}]}, 
       {Hue[0.695568131094114, 1, 1], LineBox[{222, 223}]}, 
       {Hue[0.6961521832439759, 1, 1], LineBox[{223, 224}]}, 
       {Hue[0.6964442093189067, 1, 1], LineBox[{224, 225}]}, 
       {Hue[0.6967362353938378, 1, 1], LineBox[{225, 226}]}, 
       {Hue[0.6973202875436997, 1, 1], LineBox[{226, 227}]}, 
       {Hue[0.6976369486416599, 1, 1], LineBox[{227, 228}]}, 
       {Hue[0.6979536097396202, 1, 1], LineBox[{228, 229}]}, 
       {Hue[0.6985869319355409, 1, 1], LineBox[{229, 230}]}, 
       {Hue[0.6989035930335011, 1, 1], LineBox[{230, 231}]}, 
       {Hue[0.6992202541314614, 1, 1], LineBox[{231, 232}]}, 
       {Hue[0.6998535763273821, 1, 1], LineBox[{232, 233}]}, 
       {Hue[0.7001702374253423, 1, 1], LineBox[{233, 234}]}, 
       {Hue[0.7004868985233027, 1, 1], LineBox[{234, 235}]}, 
       {Hue[0.7011202207192233, 1, 1], LineBox[{235, 236}]}, 
       {Hue[0.7023868651110645, 1, 1], LineBox[{236, 237}]}, 
       {Hue[0.7027035262090247, 1, 1], LineBox[{237, 238}]}, 
       {Hue[0.703020187306985, 1, 1], LineBox[{238, 239}]}, 
       {Hue[0.7036535095029056, 1, 1], LineBox[{239, 240}]}, 
       {Hue[0.7049201538947468, 1, 1], LineBox[{240, 241}]}, 
       {Hue[0.7052368149927071, 1, 1], LineBox[{241, 242}]}, 
       {Hue[0.7055534760906674, 1, 1], LineBox[{242, 243}]}, 
       {Hue[0.706186798286588, 1, 1], LineBox[{243, 244}]}, 
       {Hue[0.7074534426784292, 1, 1], LineBox[{244, 245}]}, 
       {Hue[0.7077701037763895, 1, 1], LineBox[{245, 246}]}, 
       {Hue[0.7080867648743498, 1, 1], LineBox[{246, 247}]}, 
       {Hue[0.7087200870702705, 1, 1], LineBox[{247, 248}]}, 
       {Hue[0.7099867314621116, 1, 1], LineBox[{248, 249}]}, 
       {Hue[0.7103033925600719, 1, 1], LineBox[{249, 250}]}, 
       {Hue[0.7106200536580323, 1, 1], LineBox[{250, 251}]}, 
       {Hue[0.7112533758539528, 1, 1], LineBox[{251, 252}]}, 
       {Hue[0.712520020245794, 1, 1], LineBox[{252, 253}]}, 
       {Hue[0.7128366813437543, 1, 1], LineBox[{253, 254}]}, 
       {Hue[0.7131533424417147, 1, 1], LineBox[{254, 255}]}, 
       {Hue[0.7137866646376352, 1, 1], LineBox[{255, 256}]}, 
       {Hue[0.7150533090294765, 1, 1], LineBox[{256, 257}]}, 
       {Hue[0.7175865978131588, 1, 1], LineBox[{257, 258}]}, 
       {Hue[0.7178822180895112, 1, 1], LineBox[{258, 259}]}, 
       {Hue[0.7181778383658635, 1, 1], LineBox[{259, 260}]}, 
       {Hue[0.7187690789185681, 1, 1], LineBox[{260, 261}]}, 
       {Hue[0.7199515600239774, 1, 1], LineBox[{261, 262}]}, 
       {Hue[0.7223165222347959, 1, 1], LineBox[{262, 263}]}, 
       {Hue[0.7226121425111482, 1, 1], LineBox[{263, 264}]}, 
       {Hue[0.7229077627875006, 1, 1], LineBox[{264, 265}]}, 
       {Hue[0.7234990033402051, 1, 1], LineBox[{265, 266}]}, 
       {Hue[0.7246814844456145, 1, 1], LineBox[{266, 267}]}, 
       {Hue[0.727046446656433, 1, 1], LineBox[{267, 268}]}, 
       {Hue[0.7273420669327854, 1, 1], LineBox[{268, 269}]}, 
       {Hue[0.7276376872091377, 1, 1], LineBox[{269, 270}]}, 
       {Hue[0.7282289277618423, 1, 1], LineBox[{270, 271}]}, 
       {Hue[0.7294114088672516, 1, 1], LineBox[{271, 272}]}, 
       {Hue[0.7317763710780701, 1, 1], LineBox[{272, 273}]}, 
       {Hue[0.7365062954997073, 1, 1], LineBox[{273, 274}]}, 
       {Hue[0.7367961002359974, 1, 1], LineBox[{274, 275}]}, 
       {Hue[0.7370859049722875, 1, 1], LineBox[{275, 276}]}, 
       {Hue[0.7376655144448678, 1, 1], LineBox[{276, 277}]}, 
       {Hue[0.7388247333900282, 1, 1], LineBox[{277, 278}]}, 
       {Hue[0.7411431712803491, 1, 1], LineBox[{278, 279}]}, 
       {Hue[0.7414329760166393, 1, 1], LineBox[{279, 280}]}, 
       {Hue[0.7417227807529294, 1, 1], LineBox[{280, 281}]}, 
       {Hue[0.7423023902255096, 1, 1], LineBox[{281, 282}]}, 
       {Hue[0.7434616091706701, 1, 1], LineBox[{282, 283}]}, 
       {Hue[0.745780047060991, 1, 1], LineBox[{283, 284}]}, 
       {Hue[0.7460698517972811, 1, 1], LineBox[{284, 285}]}, 
       {Hue[0.7463596565335713, 1, 1], LineBox[{285, 286}]}, 
       {Hue[0.7469392660061515, 1, 1], LineBox[{286, 287}]}, 
       {Hue[0.7472290707424416, 1, 1], LineBox[{287, 288}]}, 
       {Hue[0.7475188754787316, 1, 1], LineBox[{288, 289}]}, 
       {Hue[0.7480984849513119, 1, 1], LineBox[{289, 290}]}, 
       {Hue[0.7483882896876021, 1, 1], LineBox[{290, 291}]}, 
       {Hue[0.7486780944238922, 1, 1], LineBox[{291, 292}]}, 
       {Hue[0.7489678991601822, 1, 1], LineBox[{292, 293}]}, 
       {Hue[0.7492577038964724, 1, 1], LineBox[{293, 294}]}, 
       {Hue[0.7495475086327625, 1, 1], LineBox[{294, 295}]}, 
       {Hue[0.7498373133690526, 1, 1], LineBox[{295, 296}]}, 
       {Hue[0.2501271181053427, 1, 1], LineBox[{296, 297}]}, 
       {Hue[0.25041692284163286`, 1, 1], LineBox[{297, 298}]}, 
       {Hue[0.25070672757792295`, 1, 1], LineBox[{298, 299}]}, 
       {Hue[0.2509965323142131, 1, 1], LineBox[{299, 300}]}, 
       {Hue[0.25157614178679333`, 1, 1], LineBox[{300, 301}]}, 
       {Hue[0.2527353607319538, 1, 1], LineBox[{301, 302}]}, 
       {Hue[0.25505379862227473`, 1, 1], LineBox[{302, 303}]}, 
       {Hue[0.2553682383815942, 1, 1], LineBox[{303, 304}]}, 
       {Hue[0.2556826781409137, 1, 1], LineBox[{304, 305}]}, 
       {Hue[0.25631155765955266`, 1, 1], LineBox[{305, 306}]}, 
       {Hue[0.2575693166968306, 1, 1], LineBox[{306, 307}]}, 
       {Hue[0.2600848347713864, 1, 1], LineBox[{307, 308}]}, 
       {Hue[0.265115870920498, 1, 1], LineBox[{308, 309}]}, 
       {Hue[0.27517794321872124`, 1, 1], LineBox[{309, 310}]}, 
       {Hue[0.29395547523225685`, 1, 1], LineBox[{310, 311}]}, 
       {Hue[0.2942735091929977, 1, 1], LineBox[{311, 312}]}, 
       {Hue[0.29459154315373853`, 1, 1], LineBox[{312, 313}]}, 
       {Hue[0.2952276110752203, 1, 1], LineBox[{313, 314}]}, 
       {Hue[0.29649974691818365`, 1, 1], LineBox[{314, 315}]}, 
       {Hue[0.2990440186041105, 1, 1], LineBox[{315, 316}]}, 
       {Hue[0.30413256197596417`, 1, 1], LineBox[{316, 317}]}, 
       {Hue[0.30445059593670504`, 1, 1], LineBox[{317, 318}]}, 
       {Hue[0.30476862989744585`, 1, 1], LineBox[{318, 319}]}, 
       {Hue[0.3054046978189276, 1, 1], LineBox[{319, 320}]}, 
       {Hue[0.30667683366189097`, 1, 1], LineBox[{320, 321}]}, 
       {Hue[0.3092211053478178, 1, 1], LineBox[{321, 322}]}, 
       {Hue[0.3143096487196715, 1, 1], LineBox[{322, 323}]}, 
       {Hue[0.3146218671403501, 1, 1], LineBox[{323, 324}]}, 
       {Hue[0.3149340855610288, 1, 1], LineBox[{324, 325}]}, 
       {Hue[0.31555852240238613`, 1, 1], LineBox[{325, 326}]}, 
       {Hue[0.3168073960851007, 1, 1], LineBox[{326, 327}]}, 
       {Hue[0.31930514345052996`, 1, 1], LineBox[{327, 328}]}, 
       {Hue[0.3196173618712086, 1, 1], LineBox[{328, 329}]}, 
       {Hue[0.3199295802918873, 1, 1], LineBox[{329, 330}]}, 
       {Hue[0.32055401713324455`, 1, 1], LineBox[{330, 331}]}, 
       {Hue[0.3218028908159592, 1, 1], LineBox[{331, 332}]}, 
       {Hue[0.3243006381813883, 1, 1], LineBox[{332, 333}]}, 
       {Hue[0.324612856602067, 1, 1], LineBox[{333, 334}]}, 
       {Hue[0.32492507502274565`, 1, 1], LineBox[{334, 335}]}, 
       {Hue[0.32554951186410297`, 1, 1], LineBox[{335, 336}]}, 
       {Hue[0.32679838554681756`, 1, 1], LineBox[{336, 337}]}, 
       {Hue[0.32711060396749625`, 1, 1], LineBox[{337, 338}]}, 
       {Hue[0.32742282238817483`, 1, 1], LineBox[{338, 339}]}, 
       {Hue[0.32804725922953215`, 1, 1], LineBox[{339, 340}]}, 
       {Hue[0.3292961329122468, 1, 1], LineBox[{340, 341}]}, 
       {Hue[0.32960835133292543`, 1, 1], LineBox[{341, 342}]}, 
       {Hue[0.32992056975360406`, 1, 1], LineBox[{342, 343}]}, 
       {Hue[0.3305450065949614, 1, 1], LineBox[{343, 344}]}, 
       {Hue[0.331793880277676, 1, 1], LineBox[{344, 345}]}, 
       {Hue[0.3342916276431052, 1, 1], LineBox[{345, 346}]}, 
       {Hue[0.33458280524217593`, 1, 1], LineBox[{346, 347}]}, 
       {Hue[0.3348739828412466, 1, 1], LineBox[{347, 348}]}, 
       {Hue[0.3354563380393879, 1, 1], LineBox[{348, 349}]}, 
       {Hue[0.3366210484356706, 1, 1], LineBox[{349, 350}]}, 
       {Hue[0.3369122260347413, 1, 1], LineBox[{350, 351}]}, 
       {Hue[0.33720340363381196`, 1, 1], LineBox[{351, 352}]}, 
       {Hue[0.3377857588319533, 1, 1], LineBox[{352, 353}]}, 
       {Hue[0.33895046922823596`, 1, 1], LineBox[{353, 354}]}, 
       {Hue[0.3392416468273066, 1, 1], LineBox[{354, 355}]}, 
       {Hue[0.3395328244263773, 1, 1], LineBox[{355, 356}]}, 
       {Hue[0.34011517962451865`, 1, 1], LineBox[{356, 357}]}, 
       {Hue[0.3404063572235893, 1, 1], LineBox[{357, 358}]}, 
       {Hue[0.34069753482265996`, 1, 1], LineBox[{358, 359}]}, 
       {Hue[0.34127989002080134`, 1, 1], LineBox[{359, 360}]}, 
       {Hue[0.341571067619872, 1, 1], LineBox[{360, 361}]}, 
       {Hue[0.34186224521894265`, 1, 1], LineBox[{361, 362}]}, 
       {Hue[0.34215342281801336`, 1, 1], LineBox[{362, 363}]}, 
       {Hue[0.34244460041708397`, 1, 1], LineBox[{363, 364}]}, 
       {Hue[0.3427357780161546, 1, 1], LineBox[{364, 365}]}, 
       {Hue[0.34302695561522534`, 1, 1], LineBox[{365, 366}]}, 
       {Hue[0.34360931081336665`, 1, 1], LineBox[{366, 367}]}, 
       {Hue[0.34390048841243737`, 1, 1], LineBox[{367, 368}]}, 
       {Hue[0.344191666011508, 1, 1], LineBox[{368, 369}]}, 
       {Hue[0.34448284361057874`, 1, 1], LineBox[{369, 370}]}, 
       {Hue[0.34477402120964934`, 1, 1], LineBox[{370, 371}]}, 
       {Hue[0.34506519880872, 1, 1], LineBox[{371, 372}]}, 
       {Hue[0.3453563764077907, 1, 1], LineBox[{372, 373}]}, 
       {Hue[0.3456475540068613, 1, 1], LineBox[{373, 374}]}, 
       {Hue[0.345938731605932, 1, 1], LineBox[{374, 375}]}, 
       {Hue[0.3462299092050027, 1, 1], LineBox[{375, 376}]}, 
       {Hue[0.34652108680407334`, 1, 1], LineBox[{376, 377}]}, 
       {Hue[0.346812264403144, 1, 1], LineBox[{377, 378}]}, 
       {Hue[0.34710344200221466`, 1, 1], LineBox[{378, 379}]}, 
       {Hue[0.34739461960128537`, 1, 1], LineBox[{379, 380}]}, 
       {Hue[0.3476857972003561, 1, 1], LineBox[{380, 381}]}, 
       {Hue[0.34797697479942674`, 1, 1], LineBox[{381, 382}]}, 
       {Hue[0.3482681523984974, 1, 1], LineBox[{382, 383}]}, 
       {Hue[0.34855932999756806`, 1, 1], LineBox[{383, 384}]}, 
       {Hue[0.34885050759663877`, 1, 1], LineBox[{384, 385}]}, 
       {Hue[0.34914168519570943`, 1, 1], LineBox[{385, 386}]}, 
       {Hue[0.34943286279478003`, 1, 1], LineBox[{386, 387}]}, 
       {Hue[0.34972404039385074`, 1, 1], LineBox[{387, 388}]}, 
       {Hue[0.35001521799292146`, 1, 1], LineBox[{388, 389}]}, 
       {Hue[0.3503063955919921, 1, 1], LineBox[{389, 390}]}, 
       {Hue[0.3505975731910627, 1, 1], LineBox[{390, 391}]}, 
       {Hue[0.35088875079013343`, 1, 1], LineBox[{391, 392}]}, 
       {Hue[0.3511799283892041, 1, 1], LineBox[{392, 393}]}, 
       {Hue[0.3514711059882747, 1, 1], LineBox[{393, 394}]}, 
       {Hue[0.3517622835873454, 1, 1], LineBox[{394, 395}]}, 
       {Hue[0.3520534611864161, 1, 1], LineBox[{395, 396}]}, 
       {Hue[0.3523446387854868, 1, 1], LineBox[{396, 397}]}, 
       {Hue[0.3529269939836281, 1, 1], LineBox[{397, 398}]}, 
       {Hue[0.3532428066057281, 1, 1], LineBox[{398, 399}]}, 
       {Hue[0.3535586192278281, 1, 1], LineBox[{399, 400}]}, 
       {Hue[0.35419024447202824`, 1, 1], LineBox[{400, 401}]}, 
       {Hue[0.35450605709412825`, 1, 1], LineBox[{401, 402}]}, 
       {Hue[0.3548218697162283, 1, 1], LineBox[{402, 403}]}, 
       {Hue[0.35545349496042833`, 1, 1], LineBox[{403, 404}]}, 
       {Hue[0.35576930758252834`, 1, 1], LineBox[{404, 405}]}, 
       {Hue[0.35608512020462846`, 1, 1], LineBox[{405, 406}]}, 
       {Hue[0.3567167454488285, 1, 1], LineBox[{406, 407}]}, 
       {Hue[0.35797999593722857`, 1, 1], LineBox[{407, 408}]}, 
       {Hue[0.3582958085593286, 1, 1], LineBox[{408, 409}]}, 
       {Hue[0.3586116211814287, 1, 1], LineBox[{409, 410}]}, 
       {Hue[0.3592432464256287, 1, 1], LineBox[{410, 411}]}, 
       {Hue[0.3605064969140288, 1, 1], LineBox[{411, 412}]}, 
       {Hue[0.3608223095361288, 1, 1], LineBox[{412, 413}]}, 
       {Hue[0.36113812215822894`, 1, 1], LineBox[{413, 414}]}, 
       {Hue[0.36176974740242895`, 1, 1], LineBox[{414, 415}]}, 
       {Hue[0.36303299789082905`, 1, 1], LineBox[{415, 416}]}, 
       {Hue[0.3633488105129291, 1, 1], LineBox[{416, 417}]}, 
       {Hue[0.3636646231350291, 1, 1], LineBox[{417, 418}]}, 
       {Hue[0.36429624837922914`, 1, 1], LineBox[{418, 419}]}, 
       {Hue[0.36555949886762934`, 1, 1], LineBox[{419, 420}]}, 
       {Hue[0.36587531148972935`, 1, 1], LineBox[{420, 421}]}, 
       {Hue[0.36619112411182936`, 1, 1], LineBox[{421, 422}]}, 
       {Hue[0.3668227493560294, 1, 1], LineBox[{422, 423}]}, 
       {Hue[0.3680859998444296, 1, 1], LineBox[{423, 424}]}, 
       {Hue[0.3684018124665296, 1, 1], LineBox[{424, 425}]}, 
       {Hue[0.3687176250886296, 1, 1], LineBox[{425, 426}]}, 
       {Hue[0.3693492503328296, 1, 1], LineBox[{426, 427}]}, 
       {Hue[0.3706125008212298, 1, 1], LineBox[{427, 428}]}, 
       {Hue[0.37313900179803006`, 1, 1], LineBox[{428, 429}]}, 
       {Hue[0.37343377359852203`, 1, 1], LineBox[{429, 430}]}, 
       {Hue[0.37372854539901407`, 1, 1], LineBox[{430, 431}]}, 
       {Hue[0.37431808899999824`, 1, 1], LineBox[{431, 432}]}, 
       {Hue[0.3754971762019664, 1, 1], LineBox[{432, 433}]}, 
       {Hue[0.37785535060590275`, 1, 1], LineBox[{433, 434}]}, 
       {Hue[0.37815012240639484`, 1, 1], LineBox[{434, 435}]}, 
       {Hue[0.3784448942068869, 1, 1], LineBox[{435, 436}]}, 
       {Hue[0.37903443780787094`, 1, 1], LineBox[{436, 437}]}, 
       {Hue[0.38021352500983907`, 1, 1], LineBox[{437, 438}]}, 
       {Hue[0.38257169941377545`, 1, 1], LineBox[{438, 439}]}, 
       {Hue[0.38286647121426753`, 1, 1], LineBox[{439, 440}]}, 
       {Hue[0.3831612430147596, 1, 1], LineBox[{440, 441}]}, 
       {Hue[0.3837507866157437, 1, 1], LineBox[{441, 442}]}, 
       {Hue[0.3849298738177119, 1, 1], LineBox[{442, 443}]}, 
       {Hue[0.38728804822164825`, 1, 1], LineBox[{443, 444}]}, 
       {Hue[0.39200439702952106`, 1, 1], LineBox[{444, 445}]}, 
       {Hue[0.39232380385304244`, 1, 1], LineBox[{445, 446}]}, 
       {Hue[0.3926432106765638, 1, 1], LineBox[{446, 447}]}, 
       {Hue[0.3932820243236066, 1, 1], LineBox[{447, 448}]}, 
       {Hue[0.3945596516176923, 1, 1], LineBox[{448, 449}]}, 
       {Hue[0.39711490620586354`, 1, 1], LineBox[{449, 450}]}, 
       {Hue[0.402225415382206, 1, 1], LineBox[{450, 451}]}, 
       {Hue[0.40254482220572746`, 1, 1], LineBox[{451, 452}]}, 
       {Hue[0.40286422902924884`, 1, 1], LineBox[{452, 453}]}, 
       {Hue[0.40350304267629167`, 1, 1], LineBox[{453, 454}]}, 
       {Hue[0.4047806699703773, 1, 1], LineBox[{454, 455}]}, 
       {Hue[0.4073359245585486, 1, 1], LineBox[{455, 456}]}, 
       {Hue[0.40765533138207, 1, 1], LineBox[{456, 457}]}, 
       {Hue[0.4079747382055914, 1, 1], LineBox[{457, 458}]}, 
       {Hue[0.40861355185263415`, 1, 1], LineBox[{458, 459}]}, 
       {Hue[0.40989117914671985`, 1, 1], LineBox[{459, 460}]}, 
       {Hue[0.4124464337348911, 1, 1], LineBox[{460, 461}]}, 
       {Hue[0.4127600250183503, 1, 1], LineBox[{461, 462}]}, 
       {Hue[0.4130736163018095, 1, 1], LineBox[{462, 463}]}, 
       {Hue[0.4137007988687279, 1, 1], LineBox[{463, 464}]}, 
       {Hue[0.4140143901521871, 1, 1], LineBox[{464, 465}]}, 
       {Hue[0.41432798143564636`, 1, 1], LineBox[{465, 466}]}, 
       {Hue[0.4149551640025647, 1, 1], LineBox[{466, 467}]}, 
       {Hue[0.4152687552860239, 1, 1], LineBox[{467, 468}]}, 
       {Hue[0.41558234656948306`, 1, 1], LineBox[{468, 469}]}, 
       {Hue[0.4158959378529423, 1, 1], LineBox[{469, 470}]}, 
       {Hue[0.4162095291364016, 1, 1], LineBox[{470, 471}]}, 
       {Hue[0.4165231204198608, 1, 1], LineBox[{471, 472}]}, 
       {Hue[0.9168367117033199, 1, 1], LineBox[{472, 473}]}, 
       {Hue[0.9171503029867791, 1, 1], LineBox[{473, 474}]}, 
       {Hue[0.9174638942702383, 1, 1], LineBox[{474, 475}]}, 
       {Hue[0.9177774855536975, 1, 1], LineBox[{475, 476}]}, 
       {Hue[0.9180910768371567, 1, 1], LineBox[{476, 477}]}, 
       {Hue[0.9187182594040751, 1, 1], LineBox[{477, 478}]}, 
       {Hue[0.919972624537912, 1, 1], LineBox[{478, 479}]}, 
       {Hue[0.9224813548055857, 1, 1], LineBox[{479, 480}]}, 
       {Hue[0.9227949460890449, 1, 1], LineBox[{480, 481}]}, 
       {Hue[0.9231085373725041, 1, 1], LineBox[{481, 482}]}, 
       {Hue[0.9237357199394225, 1, 1], LineBox[{482, 483}]}, 
       {Hue[0.9249900850732593, 1, 1], LineBox[{483, 484}]}, 
       {Hue[0.9274988153409329, 1, 1], LineBox[{484, 485}]}, 
       {Hue[0.9325162758762802, 1, 1], LineBox[{485, 486}]}, 
       {Hue[0.9328088263381314, 1, 1], LineBox[{486, 487}]}, 
       {Hue[0.9331013767999826, 1, 1], LineBox[{487, 488}]}, 
       {Hue[0.9336864777236851, 1, 1], LineBox[{488, 489}]}, 
       {Hue[0.93485667957109, 1, 1], LineBox[{489, 490}]}, 
       {Hue[0.9371970832658998, 1, 1], LineBox[{490, 491}]}, 
       {Hue[0.9418778906555193, 1, 1], LineBox[{491, 492}]}, 
       {Hue[0.9421704411173706, 1, 1], LineBox[{492, 493}]}, 
       {Hue[0.9424629915792218, 1, 1], LineBox[{493, 494}]}, 
       {Hue[0.9430480925029242, 1, 1], LineBox[{494, 495}]}, 
       {Hue[0.9442182943503291, 1, 1], LineBox[{495, 496}]}, 
       {Hue[0.9465586980451389, 1, 1], LineBox[{496, 497}]}, 
       {Hue[0.9512395054347584, 1, 1], LineBox[{497, 498}]}, 
       {Hue[0.951556690919639, 1, 1], LineBox[{498, 499}]}, 
       {Hue[0.9518738764045196, 1, 1], LineBox[{499, 500}]}, 
       {Hue[0.9525082473742807, 1, 1], LineBox[{500, 501}]}, 
       {Hue[0.9537769893138032, 1, 1], LineBox[{501, 502}]}, 
       {Hue[0.9563144731928478, 1, 1], LineBox[{502, 503}]}, 
       {Hue[0.9613894409509371, 1, 1], LineBox[{503, 504}]}, 
       {Hue[0.9617066264358177, 1, 1], LineBox[{504, 505}]}, 
       {Hue[0.9620238119206983, 1, 1], LineBox[{505, 506}]}, 
       {Hue[0.9626581828904595, 1, 1], LineBox[{506, 507}]}, 
       {Hue[0.9639269248299818, 1, 1], LineBox[{507, 508}]}, 
       {Hue[0.9664644087090264, 1, 1], LineBox[{508, 509}]}, 
       {Hue[0.9715393764671157, 1, 1], LineBox[{509, 510}]}, 
       {Hue[0.9718355211303884, 1, 1], LineBox[{510, 511}]}, 
       {Hue[0.972131665793661, 1, 1], LineBox[{511, 512}]}, 
       {Hue[0.9727239551202062, 1, 1], LineBox[{512, 513}]}, 
       {Hue[0.9739085337732966, 1, 1], LineBox[{513, 514}]}, 
       {Hue[0.9762776910794774, 1, 1], LineBox[{514, 515}]}, 
       {Hue[0.9765738357427499, 1, 1], LineBox[{515, 516}]}, 
       {Hue[0.9768699804060226, 1, 1], LineBox[{516, 517}]}, 
       {Hue[0.9774622697325678, 1, 1], LineBox[{517, 518}]}, 
       {Hue[0.9786468483856582, 1, 1], LineBox[{518, 519}]}, 
       {Hue[0.981016005691839, 1, 1], LineBox[{519, 520}]}, 
       {Hue[0.9813121503551115, 1, 1], LineBox[{520, 521}]}, 
       {Hue[0.9816082950183842, 1, 1], LineBox[{521, 522}]}, 
       {Hue[0.9822005843449294, 1, 1], LineBox[{522, 523}]}, 
       {Hue[0.9833851629980198, 1, 1], LineBox[{523, 524}]}, 
       {Hue[0.9836813076612924, 1, 1], LineBox[{524, 525}]}, 
       {Hue[0.983977452324565, 1, 1], LineBox[{525, 526}]}, 
       {Hue[0.9845697416511101, 1, 1], LineBox[{526, 527}]}, 
       {Hue[0.9857543203042005, 1, 1], LineBox[{527, 528}]}, 
       {Hue[0.9860504649674732, 1, 1], LineBox[{528, 529}]}, 
       {Hue[0.9863466096307457, 1, 1], LineBox[{529, 530}]}, 
       {Hue[0.9869388989572909, 1, 1], LineBox[{530, 531}]}, 
       {Hue[0.9881234776103813, 1, 1], LineBox[{531, 532}]}, 
       {Hue[0.988419622273654, 1, 1], LineBox[{532, 533}]}, 
       {Hue[0.9887157669369265, 1, 1], LineBox[{533, 534}]}, 
       {Hue[0.9893080562634717, 1, 1], LineBox[{534, 535}]}, 
       {Hue[0.9904926349165621, 1, 1], LineBox[{535, 536}]}, 
       {Hue[0.9907829640397726, 1, 1], LineBox[{536, 537}]}, 
       {Hue[0.991073293162983, 1, 1], LineBox[{537, 538}]}, 
       {Hue[0.9916539514094037, 1, 1], LineBox[{538, 539}]}, 
       {Hue[0.9919442805326142, 1, 1], LineBox[{539, 540}]}, 
       {Hue[0.9922346096558246, 1, 1], LineBox[{540, 541}]}, 
       {Hue[0.9928152679022454, 1, 1], LineBox[{541, 542}]}, 
       {Hue[0.9931055970254558, 1, 1], LineBox[{542, 543}]}, 
       {Hue[0.9933959261486661, 1, 1], LineBox[{543, 544}]}, 
       {Hue[0.993976584395087, 1, 1], LineBox[{544, 545}]}, 
       {Hue[0.9951379008879285, 1, 1], LineBox[{545, 546}]}, 
       {Hue[0.9954282300111389, 1, 1], LineBox[{546, 547}]}, 
       {Hue[0.9957185591343494, 1, 1], LineBox[{547, 548}]}, 
       {Hue[0.9962992173807701, 1, 1], LineBox[{548, 549}]}, 
       {Hue[0.9965895465039806, 1, 1], LineBox[{549, 550}]}, 
       {Hue[0.9968798756271909, 1, 1], LineBox[{550, 551}]}, 
       {Hue[0.9974605338736118, 1, 1], LineBox[{551, 552}]}, 
       {Hue[0.9977508629968221, 1, 1], LineBox[{552, 553}]}, 
       {Hue[0.9980411921200325, 1, 1], LineBox[{553, 554}]}, 
       {Hue[0.9983315212432429, 1, 1], LineBox[{554, 555}]}, 
       {Hue[0.9986218503664533, 1, 1], LineBox[{555, 556}]}, 
       {Hue[0.9989121794896637, 1, 1], LineBox[{556, 557}]}, 
       {Hue[0.9992025086128741, 1, 1], LineBox[{557, 558}]}, 
       {Hue[0.9994928377360845, 1, 1], LineBox[{558, 559}]}, 
       {Hue[0.9997831668592949, 1, 1], LineBox[{559, 560}]}, 
       {Hue[0.00007349598250531426, 1, 1], LineBox[{560, 561}]}, 
       {Hue[0.00036382510571571257`, 1, 1], LineBox[{561, 562}]}, 
       {Hue[0.000654154228926111, 1, 1], LineBox[{562, 563}]}, 
       {Hue[0.0009444833521365093, 1, 1], LineBox[{563, 564}]}, 
       {Hue[0.0012348124753469077`, 1, 1], LineBox[{564, 565}]}, 
       {Hue[0.0015251415985573066`, 1, 1], LineBox[{565, 566}]}, 
       {Hue[0.0018154707217677046`, 1, 1], LineBox[{566, 567}]}, 
       {Hue[0.002105799844978103, 1, 1], LineBox[{567, 568}]}, 
       {Hue[0.0023961289681885016`, 1, 1], LineBox[{568, 569}]}, 
       {Hue[0.0026864580913988994`, 1, 1], LineBox[{569, 570}]}, 
       {Hue[0.0029767872146092976`, 1, 1], LineBox[{570, 571}]}, 
       {Hue[0.0032671163378196967`, 1, 1], LineBox[{571, 572}]}, 
       {Hue[0.0035574454610300954`, 1, 1], LineBox[{572, 573}]}, 
       {Hue[0.003847774584240493, 1, 1], LineBox[{573, 574}]}, 
       {Hue[0.004138103707450892, 1, 1], LineBox[{574, 575}]}, 
       {Hue[0.004428432830661289, 1, 1], LineBox[{575, 576}]}, 
       {Hue[0.0047187619538716875`, 1, 1], LineBox[{576, 577}]}, 
       {Hue[0.005009091077082086, 1, 1], LineBox[{577, 578}]}, 
       {Hue[0.005299420200292485, 1, 1], LineBox[{578, 579}]}, 
       {Hue[0.005589749323502882, 1, 1], LineBox[{579, 580}]}, 
       {Hue[0.005880078446713282, 1, 1], LineBox[{580, 581}]}, 
       {Hue[0.0061704075699236804`, 1, 1], LineBox[{581, 582}]}, 
       {Hue[0.006751065816344477, 1, 1], LineBox[{582, 583}]}, 
       {Hue[0.007041394939554876, 1, 1], LineBox[{583, 584}]}, 
       {Hue[0.0073317240627652725`, 1, 1], LineBox[{584, 585}]}, 
       {Hue[0.00791238230918607, 1, 1], LineBox[{585, 586}]}, 
       {Hue[0.008202711432396469, 1, 1], LineBox[{586, 587}]}, 
       {Hue[0.008493040555606866, 1, 1], LineBox[{587, 588}]}, 
       {Hue[0.009073698802027665, 1, 1], LineBox[{588, 589}]}, 
       {Hue[0.009388662948267422, 1, 1], LineBox[{589, 590}]}, 
       {Hue[0.00970362709450718, 1, 1], LineBox[{590, 591}]}, 
       {Hue[0.0103335553869867, 1, 1], LineBox[{591, 592}]}, 
       {Hue[0.010648519533226455`, 1, 1], LineBox[{592, 593}]}, 
       {Hue[0.010963483679466217`, 1, 1], LineBox[{593, 594}]}, 
       {Hue[0.01159341197194573, 1, 1], LineBox[{594, 595}]}, 
       {Hue[0.011908376118185491`, 1, 1], LineBox[{595, 596}]}, 
       {Hue[0.012223340264425247`, 1, 1], LineBox[{596, 597}]}, 
       {Hue[0.012853268556904763`, 1, 1], LineBox[{597, 598}]}, 
       {Hue[0.014113125141863796`, 1, 1], LineBox[{598, 599}]}, 
       {Hue[0.014428089288103553`, 1, 1], LineBox[{599, 600}]}, 
       {Hue[0.014743053434343314`, 1, 1], LineBox[{600, 601}]}, 
       {Hue[0.015372981726822828`, 1, 1], LineBox[{601, 602}]}, 
       {Hue[0.01663283831178186, 1, 1], LineBox[{602, 603}]}, 
       {Hue[0.016947802458021622`, 1, 1], LineBox[{603, 604}]}, 
       {Hue[0.017262766604261383`, 1, 1], LineBox[{604, 605}]}, 
       {Hue[0.0178926948967409, 1, 1], LineBox[{605, 606}]}, 
       {Hue[0.019152551481699927`, 1, 1], LineBox[{606, 607}]}, 
       {Hue[0.019467515627939688`, 1, 1], LineBox[{607, 608}]}, 
       {Hue[0.019782479774179445`, 1, 1], LineBox[{608, 609}]}, 
       {Hue[0.020412408066658963`, 1, 1], LineBox[{609, 610}]}, 
       {Hue[0.021672264651618, 1, 1], LineBox[{610, 611}]}, 
       {Hue[0.024191977821536065`, 1, 1], LineBox[{611, 612}]}, 
       {Hue[0.024506941967775826`, 1, 1], LineBox[{612, 613}]}, 
       {Hue[0.024821906114015576`, 1, 1], LineBox[{613, 614}]}, 
       {Hue[0.0254518344064951, 1, 1], LineBox[{614, 615}]}, 
       {Hue[0.026711690991454137`, 1, 1], LineBox[{615, 616}]}, 
       {Hue[0.029231404161372203`, 1, 1], LineBox[{616, 617}]}, 
       {Hue[0.029525327486003974`, 1, 1], LineBox[{617, 618}]}, 
       {Hue[0.02981925081063575, 1, 1], LineBox[{618, 619}]}, 
       {Hue[0.0304070974598993, 1, 1], LineBox[{619, 620}]}, 
       {Hue[0.03158279075842641, 1, 1], LineBox[{620, 621}]}, 
       {Hue[0.03393417735548061, 1, 1], LineBox[{621, 622}]}, 
       {Hue[0.03863695054958902, 1, 1], LineBox[{622, 623}]}, 
       {Hue[0.0389308738742208, 1, 1], LineBox[{623, 624}]}, 
       {Hue[0.03922479719885257, 1, 1], LineBox[{624, 625}]}, 
       {Hue[0.03981264384811612, 1, 1], LineBox[{625, 626}]}, 
       {Hue[0.040988337146643225`, 1, 1], LineBox[{626, 627}]}, 
       {Hue[0.043339723743697434`, 1, 1], LineBox[{627, 628}]}, 
       {Hue[0.048042496937805844`, 1, 1], LineBox[{628, 629}]}, 
       {Hue[0.048361055285466976`, 1, 1], LineBox[{629, 630}]}, 
       {Hue[0.048679613633128116`, 1, 1], LineBox[{630, 631}]}, 
       {Hue[0.049316730328450395`, 1, 1], LineBox[{631, 632}]}, 
       {Hue[0.05059096371909493, 1, 1], LineBox[{632, 633}]}, 
       {Hue[0.05313943050038401, 1, 1], LineBox[{633, 634}]}, 
       {Hue[0.058236364062962176`, 1, 1], LineBox[{634, 635}]}, 
       {Hue[0.05855492241062331, 1, 1], LineBox[{635, 636}]}, 
       {Hue[0.058873480758284455`, 1, 1], LineBox[{636, 637}]}, 
       {Hue[0.05951059745360672, 1, 1], LineBox[{637, 638}]}, 
       {Hue[0.06078483084425126, 1, 1], LineBox[{638, 639}]}, 
       {Hue[0.06333329762554035, 1, 1], LineBox[{639, 640}]}, 
       {Hue[0.06843023118811851, 1, 1], LineBox[{640, 641}]}, 
       {Hue[0.06874297399571745, 1, 1], LineBox[{641, 642}]}, 
       {Hue[0.06905571680331637, 1, 1], LineBox[{642, 643}]}, 
       {Hue[0.06968120241851426, 1, 1], LineBox[{643, 644}]}, 
       {Hue[0.07093217364891001, 1, 1], LineBox[{644, 645}]}, 
       {Hue[0.07343411610970148, 1, 1], LineBox[{645, 646}]}, 
       {Hue[0.0737468589173004, 1, 1], LineBox[{646, 647}]}, 
       {Hue[0.07405960172489934, 1, 1], LineBox[{647, 648}]}, 
       {Hue[0.07468508734009718, 1, 1], LineBox[{648, 649}]}, 
       {Hue[0.07593605857049295, 1, 1], LineBox[{649, 650}]}, 
       {Hue[0.0784380010312844, 1, 1], LineBox[{650, 651}]}, 
       {Hue[0.07875074383888336, 1, 1], LineBox[{651, 652}]}, 
       {Hue[0.07906348664648226, 1, 1], LineBox[{652, 653}]}, 
       {Hue[0.07968897226168015, 1, 1], LineBox[{653, 654}]}, 
       {Hue[0.08093994349207585, 1, 1], LineBox[{654, 655}]}, 
       {Hue[0.0812526862996748, 1, 1], LineBox[{655, 656}]}, 
       {Hue[0.08156542910727374, 1, 1], LineBox[{656, 657}]}, 
       {Hue[0.08187817191487268, 1, 1], LineBox[{657, 658}]}, 
       {Hue[0.08219091472247161, 1, 1], LineBox[{658, 659}]}, 
       {Hue[0.08250365753007056, 1, 1], LineBox[{659, 660}]}, 
       {Hue[0.0828164003376695, 1, 1], LineBox[{660, 661}]}, 
       {Hue[0.08312914314526841, 1, 1], LineBox[{661, 662}]}, 
       {Hue[0.5834418859528674, 1, 1], LineBox[{662, 663}]}, 
       {Hue[0.5837546287604662, 1, 1], LineBox[{663, 664}]}, 
       {Hue[0.5840673715680651, 1, 1], LineBox[{664, 665}]}, 
       {Hue[0.584692857183263, 1, 1], LineBox[{665, 666}]}, 
       {Hue[0.5859438284136589, 1, 1], LineBox[{666, 667}]}, 
       {Hue[0.5884457708744504, 1, 1], LineBox[{667, 668}]}, 
       {Hue[0.5887374728604412, 1, 1], LineBox[{668, 669}]}, 
       {Hue[0.5890291748464322, 1, 1], LineBox[{669, 670}]}, 
       {Hue[0.5896125788184141, 1, 1], LineBox[{670, 671}]}, 
       {Hue[0.590779386762378, 1, 1], LineBox[{671, 672}]}, 
       {Hue[0.5931130026503055, 1, 1], LineBox[{672, 673}]}, 
       {Hue[0.5977802344261607, 1, 1], LineBox[{673, 674}]}, 
       {Hue[0.5980719364121516, 1, 1], LineBox[{674, 675}]}, 
       {Hue[0.5983636383981427, 1, 1], LineBox[{675, 676}]}, 
       {Hue[0.5989470423701246, 1, 1], LineBox[{676, 677}]}, 
       {Hue[0.6001138503140884, 1, 1], LineBox[{677, 678}]}, 
       {Hue[0.602447466202016, 1, 1], LineBox[{678, 679}]}, 
       {Hue[0.6071146979778712, 1, 1], LineBox[{679, 680}]}, 
       {Hue[0.6074310349868914, 1, 1], LineBox[{680, 681}]}, 
       {Hue[0.6077473719959118, 1, 1], LineBox[{681, 682}]}, 
       {Hue[0.6083800460139525, 1, 1], LineBox[{682, 683}]}, 
       {Hue[0.6096453940500337, 1, 1], LineBox[{683, 684}]}, 
       {Hue[0.6121760901221962, 1, 1], LineBox[{684, 685}]}, 
       {Hue[0.6172374822665212, 1, 1], LineBox[{685, 686}]}, 
       {Hue[0.6175538192755414, 1, 1], LineBox[{686, 687}]}, 
       {Hue[0.6178701562845618, 1, 1], LineBox[{687, 688}]}, 
       {Hue[0.6185028303026024, 1, 1], LineBox[{688, 689}]}, 
       {Hue[0.6197681783386837, 1, 1], LineBox[{689, 690}]}, 
       {Hue[0.6222988744108462, 1, 1], LineBox[{690, 691}]}, 
       {Hue[0.6273602665551711, 1, 1], LineBox[{691, 692}]}, 
       {Hue[0.6276555627425835, 1, 1], LineBox[{692, 693}]}, 
       {Hue[0.6279508589299957, 1, 1], LineBox[{693, 694}]}, 
       {Hue[0.6285414513048204, 1, 1], LineBox[{694, 695}]}, 
       {Hue[0.6297226360544697, 1, 1], LineBox[{695, 696}]}, 
       {Hue[0.6320850055537683, 1, 1], LineBox[{696, 697}]}, 
       {Hue[0.6323803017411807, 1, 1], LineBox[{697, 698}]}, 
       {Hue[0.632675597928593, 1, 1], LineBox[{698, 699}]}, 
       {Hue[0.6332661903034177, 1, 1], LineBox[{699, 700}]}, 
       {Hue[0.634447375053067, 1, 1], LineBox[{700, 701}]}, 
       {Hue[0.6368097445523656, 1, 1], LineBox[{701, 702}]}, 
       {Hue[0.637105040739778, 1, 1], LineBox[{702, 703}]}, 
       {Hue[0.6374003369271903, 1, 1], LineBox[{703, 704}]}, 
       {Hue[0.637990929302015, 1, 1], LineBox[{704, 705}]}, 
       {Hue[0.6391721140516642, 1, 1], LineBox[{705, 706}]}, 
       {Hue[0.6394674102390766, 1, 1], LineBox[{706, 707}]}, 
       {Hue[0.639762706426489, 1, 1], LineBox[{707, 708}]}, 
       {Hue[0.6403532988013136, 1, 1], LineBox[{708, 709}]}, 
       {Hue[0.6415344835509629, 1, 1], LineBox[{709, 710}]}, 
       {Hue[0.6418297797383752, 1, 1], LineBox[{710, 711}]}, 
       {Hue[0.6421250759257876, 1, 1], LineBox[{711, 712}]}, 
       {Hue[0.6427156683006122, 1, 1], LineBox[{712, 713}]}, 
       {Hue[0.6438968530502616, 1, 1], LineBox[{713, 714}]}, 
       {Hue[0.6441921492376739, 1, 1], LineBox[{714, 715}]}, 
       {Hue[0.6444874454250862, 1, 1], LineBox[{715, 716}]}, 
       {Hue[0.6450780377999108, 1, 1], LineBox[{716, 717}]}, 
       {Hue[0.6462592225495603, 1, 1], LineBox[{717, 718}]}, 
       {Hue[0.6465487031969103, 1, 1], LineBox[{718, 719}]}, 
       {Hue[0.6468381838442604, 1, 1], LineBox[{719, 720}]}, 
       {Hue[0.6474171451389605, 1, 1], LineBox[{720, 721}]}, 
       {Hue[0.6477066257863107, 1, 1], LineBox[{721, 722}]}, 
       {Hue[0.6479961064336609, 1, 1], LineBox[{722, 723}]}, 
       {Hue[0.6485750677283612, 1, 1], LineBox[{723, 724}]}, 
       {Hue[0.6488645483757114, 1, 1], LineBox[{724, 725}]}, 
       {Hue[0.6491540290230615, 1, 1], LineBox[{725, 726}]}, 
       {Hue[0.6497329903177617, 1, 1], LineBox[{726, 727}]}, 
       {Hue[0.6508909129071622, 1, 1], LineBox[{727, 728}]}, 
       {Hue[0.6511803935545123, 1, 1], LineBox[{728, 729}]}, 
       {Hue[0.6514698742018624, 1, 1], LineBox[{729, 730}]}, 
       {Hue[0.6520488354965628, 1, 1], LineBox[{730, 731}]}, 
       {Hue[0.6523383161439129, 1, 1], LineBox[{731, 732}]}, 
       {Hue[0.6526277967912629, 1, 1], LineBox[{732, 733}]}, 
       {Hue[0.6532067580859631, 1, 1], LineBox[{733, 734}]}, 
       {Hue[0.6534962387333133, 1, 1], LineBox[{734, 735}]}, 
       {Hue[0.6537857193806634, 1, 1], LineBox[{735, 736}]}, 
       {Hue[0.6540752000280136, 1, 1], LineBox[{736, 737}]}, 
       {Hue[0.6543646806753637, 1, 1], LineBox[{737, 738}]}, 
       {Hue[0.6546541613227137, 1, 1], LineBox[{738, 739}]}, 
       {Hue[0.654943641970064, 1, 1], LineBox[{739, 740}]}, 
       {Hue[0.6552331226174141, 1, 1], LineBox[{740, 741}]}, 
       {Hue[0.6555226032647642, 1, 1], LineBox[{741, 742}]}, 
       {Hue[0.6558120839121143, 1, 1], LineBox[{742, 743}]}, 
       {Hue[0.6561015645594643, 1, 1], LineBox[{743, 744}]}, 
       {Hue[0.6563910452068146, 1, 1], LineBox[{744, 745}]}, 
       {Hue[0.6566805258541647, 1, 1], LineBox[{745, 746}]}, 
       {Hue[0.6569700065015148, 1, 1], LineBox[{746, 747}]}, 
       {Hue[0.6572594871488651, 1, 1], LineBox[{747, 748}]}, 
       {Hue[0.6575489677962152, 1, 1], LineBox[{748, 749}]}, 
       {Hue[0.6578384484435653, 1, 1], LineBox[{749, 750}]}, 
       {Hue[0.6581279290909153, 1, 1], LineBox[{750, 751}]}, 
       {Hue[0.6584174097382655, 1, 1], LineBox[{751, 752}]}, 
       {Hue[0.6587068903856157, 1, 1], LineBox[{752, 753}]}, 
       {Hue[0.6589963710329658, 1, 1], LineBox[{753, 754}]}, 
       {Hue[0.6592858516803158, 1, 1], LineBox[{754, 755}]}, 
       {Hue[0.659575332327666, 1, 1], LineBox[{755, 756}]}, 
       {Hue[0.6598648129750161, 1, 1], LineBox[{756, 757}]}, 
       {Hue[0.6601542936223663, 1, 1], LineBox[{757, 758}]}, 
       {Hue[0.6604437742697165, 1, 1], LineBox[{758, 759}]}, 
       {Hue[0.6607332549170666, 1, 1], LineBox[{759, 760}]}, 
       {Hue[0.6610227355644166, 1, 1], LineBox[{760, 761}]}, 
       {Hue[0.6613122162117667, 1, 1], LineBox[{761, 762}]}, 
       {Hue[0.661601696859117, 1, 1], LineBox[{762, 763}]}, 
       {Hue[0.661891177506467, 1, 1], LineBox[{763, 764}]}, 
       {Hue[0.6624701388011672, 1, 1], LineBox[{764, 765}]}, 
       {Hue[0.6627596194485174, 1, 1], LineBox[{765, 766}]}, 
       {Hue[0.6630491000958674, 1, 1], LineBox[{766, 767}]}, 
       {Hue[0.6636280613905677, 1, 1], LineBox[{767, 768}]}, 
       {Hue[0.6639175420379179, 1, 1], LineBox[{768, 769}]}, 
       {Hue[0.664207022685268, 1, 1], LineBox[{769, 770}]}, 
       {Hue[0.6647859839799682, 1, 1], LineBox[{770, 771}]}, 
       {Hue[0.6651000996503478, 1, 1], LineBox[{771, 772}]}, 
       {Hue[0.6654142153207272, 1, 1], LineBox[{772, 773}]}, 
       {Hue[0.6660424466614863, 1, 1], LineBox[{773, 774}]}, 
       {Hue[0.6663565623318657, 1, 1], LineBox[{774, 775}]}, 
       {Hue[0.6666706780022451, 1, 1], LineBox[{775, 776}]}, 
       {Hue[0.6672989093430042, 1, 1], LineBox[{776, 777}]}, 
       {Hue[0.6676130250133836, 1, 1], LineBox[{777, 778}]}, 
       {Hue[0.6679271406837631, 1, 1], LineBox[{778, 779}]}, 
       {Hue[0.6685553720245221, 1, 1], LineBox[{779, 780}]}, 
       {Hue[0.66981183470604, 1, 1], LineBox[{780, 781}]}, 
       {Hue[0.6701259503764195, 1, 1], LineBox[{781, 782}]}, 
       {Hue[0.6704400660467991, 1, 1], LineBox[{782, 783}]}, 
       {Hue[0.671068297387558, 1, 1], LineBox[{783, 784}]}, 
       {Hue[0.6723247600690759, 1, 1], LineBox[{784, 785}]}, 
       {Hue[0.6748376854321119, 1, 1], LineBox[{785, 786}]}, 
       {Hue[0.6751518011024913, 1, 1], LineBox[{786, 787}]}, 
       {Hue[0.6754659167728708, 1, 1], LineBox[{787, 788}]}, 
       {Hue[0.6760941481136298, 1, 1], LineBox[{788, 789}]}, 
       {Hue[0.6773506107951477, 1, 1], LineBox[{789, 790}]}, 
       {Hue[0.6798635361581836, 1, 1], LineBox[{790, 791}]}, 
       {Hue[0.680177651828563, 1, 1], LineBox[{791, 792}]}, 
       {Hue[0.6804917674989426, 1, 1], LineBox[{792, 793}]}, 
       {Hue[0.6811199988397015, 1, 1], LineBox[{793, 794}]}, 
       {Hue[0.6823764615212196, 1, 1], LineBox[{794, 795}]}, 
       {Hue[0.6848893868842554, 1, 1], LineBox[{795, 796}]}, 
       {Hue[0.6851824617330269, 1, 1], LineBox[{796, 797}]}, 
       {Hue[0.6854755365817984, 1, 1], LineBox[{797, 798}]}, 
       {Hue[0.6860616862793414, 1, 1], LineBox[{798, 799}]}, 
       {Hue[0.6872339856744274, 1, 1], LineBox[{799, 800}]}, 
       {Hue[0.6895785844645994, 1, 1], LineBox[{800, 801}]}, 
       {Hue[0.6942677820449435, 1, 1], LineBox[{801, 802}]}, 
       {Hue[0.6945608568937149, 1, 1], LineBox[{802, 803}]}, 
       {Hue[0.6948539317424864, 1, 1], LineBox[{803, 804}]}, 
       {Hue[0.6954400814400296, 1, 1], LineBox[{804, 805}]}, 
       {Hue[0.6966123808351156, 1, 1], LineBox[{805, 806}]}, 
       {Hue[0.6989569796252876, 1, 1], LineBox[{806, 807}]}, 
       {Hue[0.7036461772056317, 1, 1], LineBox[{807, 808}]}, 
       {Hue[0.7039638870774325, 1, 1], LineBox[{808, 809}]}, 
       {Hue[0.7042815969492333, 1, 1], LineBox[{809, 810}]}, 
       {Hue[0.7049170166928351, 1, 1], LineBox[{810, 811}]}, 
       {Hue[0.7061878561800385, 1, 1], LineBox[{811, 812}]}, 
       {Hue[0.7087295351544455, 1, 1], LineBox[{812, 813}]}, 
       {Hue[0.7138128931032592, 1, 1], LineBox[{813, 814}]}, 
       {Hue[0.723979609000887, 1, 1], LineBox[{814, 815}]}, 
       {Hue[0.7242762780510799, 1, 1], LineBox[{815, 816}]}, 
       {Hue[0.7245729471012727, 1, 1], LineBox[{816, 817}]}, 
       {Hue[0.7251662852016585, 1, 1], LineBox[{817, 818}]}, 
       {Hue[0.72635296140243, 1, 1], LineBox[{818, 819}]}, 
       {Hue[0.728726313803973, 1, 1], LineBox[{819, 820}]}, 
       {Hue[0.7334730186070592, 1, 1], LineBox[{820, 821}]}, 
       {Hue[0.7337696876572521, 1, 1], LineBox[{821, 822}]}, 
       {Hue[0.7340663567074449, 1, 1], LineBox[{822, 823}]}, 
       {Hue[0.7346596948078307, 1, 1], LineBox[{823, 824}]}, 
       {Hue[0.7358463710086023, 1, 1], LineBox[{824, 825}]}, 
       {Hue[0.7382197234101453, 1, 1], LineBox[{825, 826}]}, 
       {Hue[0.7429664282132313, 1, 1], LineBox[{826, 827}]}, 
       {Hue[0.743257281723362, 1, 1], LineBox[{827, 828}]}, 
       {Hue[0.7435481352334927, 1, 1], LineBox[{828, 829}]}, 
       {Hue[0.7441298422537541, 1, 1], LineBox[{829, 830}]}, 
       {Hue[0.7452932562942769, 1, 1], LineBox[{830, 831}]}, 
       {Hue[0.7455841098044076, 1, 1], LineBox[{831, 832}]}, 
       {Hue[0.7458749633145383, 1, 1], LineBox[{832, 833}]}, 
       {Hue[0.7464566703347996, 1, 1], LineBox[{833, 834}]}, 
       {Hue[0.7476200843753222, 1, 1], LineBox[{834, 835}]}, 
       {Hue[0.7479109378854529, 1, 1], LineBox[{835, 836}]}, 
       {Hue[0.7482017913955836, 1, 1], LineBox[{836, 837}]}, 
       {Hue[0.748783498415845, 1, 1], LineBox[{837, 838}]}, 
       {Hue[0.7490743519259757, 1, 1], LineBox[{838, 839}]}, 
       {Hue[0.7493652054361064, 1, 1], LineBox[{839, 840}]}, 
       {Hue[0.749656058946237, 1, 1], LineBox[{840, 841}]}, 
       {Hue[0.7499469124563677, 1, 1], LineBox[{841, 842}]}, 
       {Hue[0.2502377659664984, 1, 1], LineBox[{842, 843}]}, 
       {Hue[0.2505286194766291, 1, 1], LineBox[{843, 844}]}, 
       {Hue[0.2508194729867598, 1, 1], LineBox[{844, 845}]}, 
       {Hue[0.2511103264968904, 1, 1], LineBox[{845, 846}]}, 
       {Hue[0.25227374053741314`, 1, 1], LineBox[{846, 847}]}, 
       {Hue[0.2525645940475438, 1, 1], LineBox[{847, 848}]}, 
       {Hue[0.2528554475576745, 1, 1], LineBox[{848, 849}]}, 
       {Hue[0.2534371545779358, 1, 1], LineBox[{849, 850}]}, 
       {Hue[0.25460056861845853`, 1, 1], LineBox[{850, 851}]}, 
       {Hue[0.256927396699504, 1, 1], LineBox[{851, 852}]}, 
       {Hue[0.26158105286159483`, 1, 1], LineBox[{852, 853}]}, 
       {Hue[0.2618965413947549, 1, 1], LineBox[{853, 854}]}, 
       {Hue[0.2622120299279149, 1, 1], LineBox[{854, 855}]}, 
       {Hue[0.262843006994235, 1, 1], LineBox[{855, 856}]}, 
       {Hue[0.26410496112687515`, 1, 1], LineBox[{856, 857}]}, 
       {Hue[0.26662886939215547`, 1, 1], LineBox[{857, 858}]}, 
       {Hue[0.2669443579253155, 1, 1], LineBox[{858, 859}]}, 
       {Hue[0.26725984645847556`, 1, 1], LineBox[{859, 860}]}, 
       {Hue[0.26789082352479565`, 1, 1], LineBox[{860, 861}]}, 
       {Hue[0.26915277765743584`, 1, 1], LineBox[{861, 862}]}, 
       {Hue[0.2716766859227161, 1, 1], LineBox[{862, 863}]}, 
       {Hue[0.27199217445587615`, 1, 1], LineBox[{863, 864}]}, 
       {Hue[0.2723076629890362, 1, 1], LineBox[{864, 865}]}, 
       {Hue[0.2729386400553563, 1, 1], LineBox[{865, 866}]}, 
       {Hue[0.2742005941879964, 1, 1], LineBox[{866, 867}]}, 
       {Hue[0.27672450245327673`, 1, 1], LineBox[{867, 868}]}, 
       {Hue[0.28177231898383737`, 1, 1], LineBox[{868, 869}]}, 
       {Hue[0.2820667666953895, 1, 1], LineBox[{869, 870}]}, 
       {Hue[0.2823612144069415, 1, 1], LineBox[{870, 871}]}, 
       {Hue[0.2829501098300456, 1, 1], LineBox[{871, 872}]}, 
       {Hue[0.2841279006762538, 1, 1], LineBox[{872, 873}]}, 
       {Hue[0.28648348236867033`, 1, 1], LineBox[{873, 874}]}, 
       {Hue[0.2867779300802224, 1, 1], LineBox[{874, 875}]}, 
       {Hue[0.28707237779177447`, 1, 1], LineBox[{875, 876}]}, 
       {Hue[0.2876612732148785, 1, 1], LineBox[{876, 877}]}, 
       {Hue[0.2888390640610868, 1, 1], LineBox[{877, 878}]}, 
       {Hue[0.29119464575350323`, 1, 1], LineBox[{878, 879}]}, 
       {Hue[0.29148909346505525`, 1, 1], LineBox[{879, 880}]}, 
       {Hue[0.2917835411766073, 1, 1], LineBox[{880, 881}]}, 
       {Hue[0.29237243659971146`, 1, 1], LineBox[{881, 882}]}, 
       {Hue[0.29355022744591963`, 1, 1], LineBox[{882, 883}]}, 
       {Hue[0.29384467515747176`, 1, 1], LineBox[{883, 884}]}, 
       {Hue[0.2941391228690238, 1, 1], LineBox[{884, 885}]}, 
       {Hue[0.29472801829212786`, 1, 1], LineBox[{885, 886}]}, 
       {Hue[0.29590580913833614`, 1, 1], LineBox[{886, 887}]}, 
       {Hue[0.29620025684988815`, 1, 1], LineBox[{887, 888}]}, 
       {Hue[0.2964947045614402, 1, 1], LineBox[{888, 889}]}, 
       {Hue[0.2970835999845443, 1, 1], LineBox[{889, 890}]}, 
       {Hue[0.2982613908307526, 1, 1], LineBox[{890, 891}]}, 
       {Hue[0.29855583854230466`, 1, 1], LineBox[{891, 892}]}, 
       {Hue[0.2988502862538567, 1, 1], LineBox[{892, 893}]}, 
       {Hue[0.2994391816769608, 1, 1], LineBox[{893, 894}]}, 
       {Hue[0.30061697252316905`, 1, 1], LineBox[{894, 895}]}, 
       {Hue[0.30093605525775047`, 1, 1], LineBox[{895, 896}]}, 
       {Hue[0.3012551379923319, 1, 1], LineBox[{896, 897}]}, 
       {Hue[0.3018933034614947, 1, 1], LineBox[{897, 898}]}, 
       {Hue[0.3022123861960761, 1, 1], LineBox[{898, 899}]}, 
       {Hue[0.3025314689306576, 1, 1], LineBox[{899, 900}]}, 
       {Hue[0.3031696343998204, 1, 1], LineBox[{900, 901}]}, 
       {Hue[0.30348871713440184`, 1, 1], LineBox[{901, 902}]}, 
       {Hue[0.3038077998689832, 1, 1], LineBox[{902, 903}]}, 
       {Hue[0.30444596533814605`, 1, 1], LineBox[{903, 904}]}, 
       {Hue[0.30572229627647174`, 1, 1], LineBox[{904, 905}]}, 
       {Hue[0.30604137901105316`, 1, 1], LineBox[{905, 906}]}, 
       {Hue[0.3063604617456346, 1, 1], LineBox[{906, 907}]}, 
       {Hue[0.30699862721479737`, 1, 1], LineBox[{907, 908}]}, 
       {Hue[0.30731770994937885`, 1, 1], LineBox[{908, 909}]}, 
       {Hue[0.3076367926839602, 1, 1], LineBox[{909, 910}]}, 
       {Hue[0.30827495815312306`, 1, 1], LineBox[{910, 911}]}, 
       {Hue[0.3085940408877045, 1, 1], LineBox[{911, 912}]}, 
       {Hue[0.3089131236222859, 1, 1], LineBox[{912, 913}]}, 
       {Hue[0.3092322063568673, 1, 1], LineBox[{913, 914}]}, 
       {Hue[0.3095512890914487, 1, 1], LineBox[{914, 915}]}, 
       {Hue[0.30987037182603017`, 1, 1], LineBox[{915, 916}]}, 
       {Hue[0.31018945456061153`, 1, 1], LineBox[{916, 917}]}, 
       {Hue[0.31050853729519295`, 1, 1], LineBox[{917, 918}]}, 
       {Hue[0.3108276200297744, 1, 1], LineBox[{918, 919}]}, 
       {Hue[0.31114670276435585`, 1, 1], LineBox[{919, 920}]}, 
       {Hue[0.3114657854989372, 1, 1], LineBox[{920, 921}]}, 
       {Hue[0.3117848682335187, 1, 1], LineBox[{921, 922}]}, 
       {Hue[0.31210395096810006`, 1, 1], LineBox[{922, 923}]}, 
       {Hue[0.3124230337026815, 1, 1], LineBox[{923, 924}]}, 
       {Hue[0.3127421164372629, 1, 1], LineBox[{924, 925}]}, 
       {Hue[0.31306119917184433`, 1, 1], LineBox[{925, 926}]}, 
       {Hue[0.3133802819064257, 1, 1], LineBox[{926, 927}]}, 
       {Hue[0.3136993646410072, 1, 1], LineBox[{927, 928}]}, 
       {Hue[0.31401844737558854`, 1, 1], LineBox[{928, 929}]}, 
       {Hue[0.31433753011017, 1, 1], LineBox[{929, 930}]}, 
       {Hue[0.3146566128447514, 1, 1], LineBox[{930, 931}]}, 
       {Hue[0.31497569557933286`, 1, 1], LineBox[{931, 932}]}, 
       {Hue[0.3152947783139142, 1, 1], LineBox[{932, 933}]}, 
       {Hue[0.3156138610484957, 1, 1], LineBox[{933, 934}]}, 
       {Hue[0.31593294378307707`, 1, 1], LineBox[{934, 935}]}, 
       {Hue[0.3162520265176585, 1, 1], LineBox[{935, 936}]}, 
       {Hue[0.3165711092522399, 1, 1], LineBox[{936, 937}]}, 
       {Hue[0.31689019198682133`, 1, 1], LineBox[{937, 938}]}, 
       {Hue[0.31720927472140276`, 1, 1], LineBox[{938, 939}]}, 
       {Hue[0.3175283574559842, 1, 1], LineBox[{939, 940}]}, 
       {Hue[0.31784744019056554`, 1, 1], LineBox[{940, 941}]}, 
       {Hue[0.31848560565972844`, 1, 1], LineBox[{941, 942}]}, 
       {Hue[0.31880468839430987`, 1, 1], LineBox[{942, 943}]}, 
       {Hue[0.31912377112889123`, 1, 1], LineBox[{943, 944}]}, 
       {Hue[0.31976193659805413`, 1, 1], LineBox[{944, 945}]}, 
       {Hue[0.3200810193326355, 1, 1], LineBox[{945, 946}]}, 
       {Hue[0.320400102067217, 1, 1], LineBox[{946, 947}]}, 
       {Hue[0.32103826753637976`, 1, 1], LineBox[{947, 948}]}, 
       {Hue[0.321351534730899, 1, 1], LineBox[{948, 949}]}, 
       {Hue[0.32166480192541824`, 1, 1], LineBox[{949, 950}]}, 
       {Hue[0.32229133631445656`, 1, 1], LineBox[{950, 951}]}, 
       {Hue[0.32354440509253346`, 1, 1], LineBox[{951, 952}]}, 
       {Hue[0.3238576722870527, 1, 1], LineBox[{952, 953}]}, 
       {Hue[0.32417093948157194`, 1, 1], LineBox[{953, 954}]}, 
       {Hue[0.32479747387061036`, 1, 1], LineBox[{954, 955}]}, 
       {Hue[0.3260505426486872, 1, 1], LineBox[{955, 956}]}, 
       {Hue[0.32636380984320645`, 1, 1], LineBox[{956, 957}]}, 
       {Hue[0.3266770770377257, 1, 1], LineBox[{957, 958}]}, 
       {Hue[0.32730361142676406`, 1, 1], LineBox[{958, 959}]}, 
       {Hue[0.32855668020484097`, 1, 1], LineBox[{959, 960}]}, 
       {Hue[0.33106281776099467`, 1, 1], LineBox[{960, 961}]}, 
       {Hue[0.3313760849555139, 1, 1], LineBox[{961, 962}]}, 
       {Hue[0.33168935215003315`, 1, 1], LineBox[{962, 963}]}, 
       {Hue[0.3323158865390715, 1, 1], LineBox[{963, 964}]}, 
       {Hue[0.3335689553171484, 1, 1], LineBox[{964, 965}]}, 
       {Hue[0.3360750928733021, 1, 1], LineBox[{965, 966}]}, 
       {Hue[0.33638836006782136`, 1, 1], LineBox[{966, 967}]}, 
       {Hue[0.3367016272623406, 1, 1], LineBox[{967, 968}]}, 
       {Hue[0.337328161651379, 1, 1], LineBox[{968, 969}]}, 
       {Hue[0.33858123042945587`, 1, 1], LineBox[{969, 970}]}, 
       {Hue[0.34108736798560957`, 1, 1], LineBox[{970, 971}]}, 
       {Hue[0.34137959435852083`, 1, 1], LineBox[{971, 972}]}, 
       {Hue[0.34167182073143204`, 1, 1], LineBox[{972, 973}]}, 
       {Hue[0.3422562734772545, 1, 1], LineBox[{973, 974}]}, 
       {Hue[0.34342517896889946`, 1, 1], LineBox[{974, 975}]}, 
       {Hue[0.34576298995218935`, 1, 1], LineBox[{975, 976}]}, 
       {Hue[0.35043861191876896`, 1, 1], LineBox[{976, 977}]}, 
       {Hue[0.35978985585192846`, 1, 1], LineBox[{977, 978}]}, 
       {Hue[0.38006898519212645`, 1, 1], LineBox[{978, 979}]}, 
       {Hue[0.38036480576645904`, 1, 1], LineBox[{979, 980}]}, 
       {Hue[0.3806606263407917, 1, 1], LineBox[{980, 981}]}, 
       {Hue[0.3812522674894569, 1, 1], LineBox[{981, 982}]}, 
       {Hue[0.38243554978678734`, 1, 1], LineBox[{982, 983}]}, 
       {Hue[0.38480211438144823`, 1, 1], LineBox[{983, 984}]}, 
       {Hue[0.38953524357077, 1, 1], LineBox[{984, 985}]}, 
       {Hue[0.38983106414510266`, 1, 1], LineBox[{985, 986}]}, 
       {Hue[0.39012688471943524`, 1, 1], LineBox[{986, 987}]}, 
       {Hue[0.39071852586810046`, 1, 1], LineBox[{987, 988}]}, 
       {Hue[0.3919018081654309, 1, 1], LineBox[{988, 989}]}, 
       {Hue[0.39426837276009186`, 1, 1], LineBox[{989, 990}]}, 
       {Hue[0.39900150194941353`, 1, 1], LineBox[{990, 991}]}, 
       {Hue[0.39929150698368404`, 1, 1], LineBox[{991, 992}]}, 
       {Hue[0.39958151201795444`, 1, 1], LineBox[{992, 993}]}, 
       {Hue[0.40016152208649525`, 1, 1], LineBox[{993, 994}]}, 
       {Hue[0.40132154222357685`, 1, 1], LineBox[{994, 995}]}, 
       {Hue[0.4036415824977401, 1, 1], LineBox[{995, 996}]}, 
       {Hue[0.4039315875320105, 1, 1], LineBox[{996, 997}]}, 
       {Hue[0.40422159256628093`, 1, 1], LineBox[{997, 998}]}, 
       {Hue[0.40480160263482173`, 1, 1], LineBox[{998, 999}]}, 
       {Hue[0.40596162277190334`, 1, 1], LineBox[{999, 1000}]}, 
       {Hue[0.40828166304606656`, 1, 1], LineBox[{1000, 1001}]}, 
       {Hue[0.4085716680803371, 1, 1], LineBox[{1001, 1002}]}, 
       {Hue[0.4088616731146075, 1, 1], LineBox[{1002, 1003}]}, 
       {Hue[0.40944168318314833`, 1, 1], LineBox[{1003, 1004}]}, 
       {Hue[0.41060170332022994`, 1, 1], LineBox[{1004, 1005}]}, 
       {Hue[0.4108917083545004, 1, 1], LineBox[{1005, 1006}]}, 
       {Hue[0.4111817133887708, 1, 1], LineBox[{1006, 1007}]}, 
       {Hue[0.4117617234573116, 1, 1], LineBox[{1007, 1008}]}, 
       {Hue[0.4129217435943932, 1, 1], LineBox[{1008, 1009}]}, 
       {Hue[0.4132117486286636, 1, 1], LineBox[{1009, 1010}]}, 
       {Hue[0.413501753662934, 1, 1], LineBox[{1010, 1011}]}, 
       {Hue[0.4140817637314748, 1, 1], LineBox[{1011, 1012}]}, 
       {Hue[0.4143717687657452, 1, 1], LineBox[{1012, 1013}]}, 
       {Hue[0.4146617738000156, 1, 1], LineBox[{1013, 1014}]}, 
       {Hue[0.4152417838685564, 1, 1], LineBox[{1014, 1015}]}, 
       {Hue[0.4155317889028268, 1, 1], LineBox[{1015, 1016}]}, 
       {Hue[0.41582179393709723`, 1, 1], LineBox[{1016, 1017}]}, 
       {Hue[0.41611179897136763`, 1, 1], LineBox[{1017, 1018}]}, 
       {Hue[0.4164018040056381, 1, 1], LineBox[{1018, 1019}]}, 
       {Hue[0.9166918090399084, 1, 1], LineBox[{1019, 1020}]}, 
       {Hue[0.9169818140741788, 1, 1], LineBox[{1020, 1021}]}, 
       {Hue[0.9172718191084492, 1, 1], LineBox[{1021, 1022}]}, 
       {Hue[0.9175618241427197, 1, 1], LineBox[{1022, 1023}]}, 
       {Hue[0.9178764642000194, 1, 1], LineBox[{1023, 1024}]}, 
       {Hue[0.9181911042573192, 1, 1], LineBox[{1024, 1025}]}, 
       {Hue[0.9188203843719187, 1, 1], LineBox[{1025, 1026}]}, 
       {Hue[0.9200789446011179, 1, 1], LineBox[{1026, 1027}]}, 
       {Hue[0.922596065059516, 1, 1], LineBox[{1027, 1028}]}, 
       {Hue[0.9229107051168157, 1, 1], LineBox[{1028, 1029}]}, 
       {Hue[0.9232253451741156, 1, 1], LineBox[{1029, 1030}]}, 
       {Hue[0.9238546252887151, 1, 1], LineBox[{1030, 1031}]}, 
       {Hue[0.9251131855179142, 1, 1], LineBox[{1031, 1032}]}, 
       {Hue[0.9276303059763124, 1, 1], LineBox[{1032, 1033}]}, 
       {Hue[0.9279449460336121, 1, 1], LineBox[{1033, 1034}]}, 
       {Hue[0.9282595860909119, 1, 1], LineBox[{1034, 1035}]}, 
       {Hue[0.9288888662055114, 1, 1], LineBox[{1035, 1036}]}, 
       {Hue[0.9301474264347105, 1, 1], LineBox[{1036, 1037}]}, 
       {Hue[0.9326645468931086, 1, 1], LineBox[{1037, 1038}]}, 
       {Hue[0.9376987878099049, 1, 1], LineBox[{1038, 1039}]}, 
       {Hue[0.9379923870455967, 1, 1], LineBox[{1039, 1040}]}, 
       {Hue[0.9382859862812885, 1, 1], LineBox[{1040, 1041}]}, 
       {Hue[0.938873184752672, 1, 1], LineBox[{1041, 1042}]}, 
       {Hue[0.9400475816954391, 1, 1], LineBox[{1042, 1043}]}, 
       {Hue[0.9423963755809734, 1, 1], LineBox[{1043, 1044}]}, 
       {Hue[0.9426899748166653, 1, 1], LineBox[{1044, 1045}]}, 
       {Hue[0.9429835740523571, 1, 1], LineBox[{1045, 1046}]}, 
       {Hue[0.9435707725237407, 1, 1], LineBox[{1046, 1047}]}, 
       {Hue[0.9447451694665078, 1, 1], LineBox[{1047, 1048}]}, 
       {Hue[0.9470939633520421, 1, 1], LineBox[{1048, 1049}]}, 
       {Hue[0.9473875625877338, 1, 1], LineBox[{1049, 1050}]}, 
       {Hue[0.9476811618234257, 1, 1], LineBox[{1050, 1051}]}, 
       {Hue[0.9482683602948092, 1, 1], LineBox[{1051, 1052}]}, 
       {Hue[0.9494427572375763, 1, 1], LineBox[{1052, 1053}]}, 
       {Hue[0.9497363564732682, 1, 1], LineBox[{1053, 1054}]}, 
       {Hue[0.9500299557089599, 1, 1], LineBox[{1054, 1055}]}, 
       {Hue[0.9506171541803434, 1, 1], LineBox[{1055, 1056}]}, 
       {Hue[0.9517915511231106, 1, 1], LineBox[{1056, 1057}]}, 
       {Hue[0.9520851503588025, 1, 1], LineBox[{1057, 1058}]}, 
       {Hue[0.9523787495944943, 1, 1], LineBox[{1058, 1059}]}, 
       {Hue[0.9529659480658779, 1, 1], LineBox[{1059, 1060}]}, 
       {Hue[0.954140345008645, 1, 1], LineBox[{1060, 1061}]}, 
       {Hue[0.9544339442443368, 1, 1], LineBox[{1061, 1062}]}, 
       {Hue[0.9547275434800285, 1, 1], LineBox[{1062, 1063}]}, 
       {Hue[0.9553147419514121, 1, 1], LineBox[{1063, 1064}]}, 
       {Hue[0.9564891388941792, 1, 1], LineBox[{1064, 1065}]}, 
       {Hue[0.9568073731529004, 1, 1], LineBox[{1065, 1066}]}, 
       {Hue[0.9571256074116216, 1, 1], LineBox[{1066, 1067}]}, 
       {Hue[0.9577620759290638, 1, 1], LineBox[{1067, 1068}]}, 
       {Hue[0.9580803101877848, 1, 1], LineBox[{1068, 1069}]}, 
       {Hue[0.9583985444465061, 1, 1], LineBox[{1069, 1070}]}, 
       {Hue[0.9590350129639483, 1, 1], LineBox[{1070, 1071}]}, 
       {Hue[0.9593532472226696, 1, 1], LineBox[{1071, 1072}]}, 
       {Hue[0.9596714814813907, 1, 1], LineBox[{1072, 1073}]}, 
       {Hue[0.960307949998833, 1, 1], LineBox[{1073, 1074}]}, 
       {Hue[0.9615808870337176, 1, 1], LineBox[{1074, 1075}]}, 
       {Hue[0.9618991212924386, 1, 1], LineBox[{1075, 1076}]}, 
       {Hue[0.9622173555511598, 1, 1], LineBox[{1076, 1077}]}, 
       {Hue[0.9628538240686021, 1, 1], LineBox[{1077, 1078}]}, 
       {Hue[0.9631720583273232, 1, 1], LineBox[{1078, 1079}]}, 
       {Hue[0.9634902925860445, 1, 1], LineBox[{1079, 1080}]}, 
       {Hue[0.9641267611034867, 1, 1], LineBox[{1080, 1081}]}, 
       {Hue[0.9644449953622078, 1, 1], LineBox[{1081, 1082}]}, 
       {Hue[0.9647632296209291, 1, 1], LineBox[{1082, 1083}]}, 
       {Hue[0.9650814638796502, 1, 1], LineBox[{1083, 1084}]}, 
       {Hue[0.9653996981383713, 1, 1], LineBox[{1084, 1085}]}, 
       {Hue[0.9657179323970924, 1, 1], LineBox[{1085, 1086}]}, 
       {Hue[0.9660361666558136, 1, 1], LineBox[{1086, 1087}]}, 
       {Hue[0.9666726351732559, 1, 1], LineBox[{1087, 1088}]}, 
       {Hue[0.966990869431977, 1, 1], LineBox[{1088, 1089}]}, 
       {Hue[0.9673091036906982, 1, 1], LineBox[{1089, 1090}]}, 
       {Hue[0.9676273379494194, 1, 1], LineBox[{1090, 1091}]}, 
       {Hue[0.9679455722081405, 1, 1], LineBox[{1091, 1092}]}, 
       {Hue[0.9682638064668616, 1, 1], LineBox[{1092, 1093}]}, 
       {Hue[0.9685820407255828, 1, 1], LineBox[{1093, 1094}]}, 
       {Hue[0.968900274984304, 1, 1], LineBox[{1094, 1095}]}, 
       {Hue[0.9692185092430251, 1, 1], LineBox[{1095, 1096}]}, 
       {Hue[0.9695367435017461, 1, 1], LineBox[{1096, 1097}]}, 
       {Hue[0.9698549777604673, 1, 1], LineBox[{1097, 1098}]}, 
       {Hue[0.9701732120191885, 1, 1], LineBox[{1098, 1099}]}, 
       {Hue[0.9704914462779096, 1, 1], LineBox[{1099, 1100}]}, 
       {Hue[0.9708096805366307, 1, 1], LineBox[{1100, 1101}]}, 
       {Hue[0.9711279147953519, 1, 1], LineBox[{1101, 1102}]}, 
       {Hue[0.9714461490540731, 1, 1], LineBox[{1102, 1103}]}, 
       {Hue[0.9717643833127942, 1, 1], LineBox[{1103, 1104}]}, 
       {Hue[0.9720826175715154, 1, 1], LineBox[{1104, 1105}]}, 
       {Hue[0.9724008518302366, 1, 1], LineBox[{1105, 1106}]}, 
       {Hue[0.9727190860889577, 1, 1], LineBox[{1106, 1107}]}, 
       {Hue[0.9730373203476788, 1, 1], LineBox[{1107, 1108}]}, 
       {Hue[0.9733555546063999, 1, 1], LineBox[{1108, 1109}]}, 
       {Hue[0.973673788865121, 1, 1], LineBox[{1109, 1110}]}, 
       {Hue[0.9739920231238423, 1, 1], LineBox[{1110, 1111}]}, 
       {Hue[0.9743102573825634, 1, 1], LineBox[{1111, 1112}]}, 
       {Hue[0.9746284916412845, 1, 1], LineBox[{1112, 1113}]}, 
       {Hue[0.9749467259000056, 1, 1], LineBox[{1113, 1114}]}, 
       {Hue[0.9752649601587269, 1, 1], LineBox[{1114, 1115}]}, 
       {Hue[0.975583194417448, 1, 1], LineBox[{1115, 1116}]}, 
       {Hue[0.9759014286761691, 1, 1], LineBox[{1116, 1117}]}, 
       {Hue[0.9762196629348903, 1, 1], LineBox[{1117, 1118}]}, 
       {Hue[0.9768561314523325, 1, 1], LineBox[{1118, 1119}]}, 
       {Hue[0.9768656420513168, 1, 1], LineBox[{1119, 1120}]}, 
       {Hue[0.976875152650301, 1, 1], LineBox[{1120, 1121}]}, 
       {Hue[0.9768941738482696, 1, 1], LineBox[{1121, 1122}]}, 
       {Hue[0.9769322162442068, 1, 1], LineBox[{1122, 1123}]}, 
       {Hue[0.9770083010360808, 1, 1], LineBox[{1123, 1124}]}, 
       {Hue[0.9771604706198291, 1, 1], LineBox[{1124, 1125}]}, 
       {Hue[0.9771699812188133, 1, 1], LineBox[{1125, 1126}]}, 
       {Hue[0.9771794918177976, 1, 1], LineBox[{1126, 1127}]}, 
       {Hue[0.9771985130157661, 1, 1], LineBox[{1127, 1128}]}, 
       {Hue[0.9772365554117033, 1, 1], LineBox[{1128, 1129}]}, 
       {Hue[0.9773126402035773, 1, 1], LineBox[{1129, 1130}]}, 
       {Hue[0.9773221508025617, 1, 1], LineBox[{1130, 1131}]}, 
       {Hue[0.9773316614015459, 1, 1], LineBox[{1131, 1132}]}, 
       {Hue[0.9773506825995144, 1, 1], LineBox[{1132, 1133}]}, 
       {Hue[0.9773887249954515, 1, 1], LineBox[{1133, 1134}]}, 
       {Hue[0.9773982355944357, 1, 1], LineBox[{1134, 1135}]}, 
       {Hue[0.9774077461934201, 1, 1], LineBox[{1135, 1136}]}, 
       {Hue[0.9774267673913886, 1, 1], LineBox[{1136, 1137}]}, 
       {Hue[0.9774362779903729, 1, 1], LineBox[{1137, 1138}]}, 
       {Hue[0.9774457885893572, 1, 1], LineBox[{1138, 1139}]}, 
       {Hue[0.9774552991883414, 1, 1], LineBox[{1139, 1140}]}}}},
    VertexColors->{
      Hue[0.022535190212674343`, 1, 1], 
      Hue[0.022828064763465543`, 1, 1], 
      Hue[0.02312093931425682, 1, 1], 
      Hue[0.023706688415839228`, 1, 1], 
      Hue[0.023999562966630427`, 1, 1], 
      Hue[0.024292437517421633`, 1, 1], 
      Hue[0.024878186619004036`, 1, 1], 
      Hue[0.02517106116979524, 1, 1], 
      Hue[0.025463935720586448`, 1, 1], 
      Hue[0.026049684822168923`, 1, 1], 
      Hue[0.026342559372960126`, 1, 1], 
      Hue[0.026635433923751402`, 1, 1], 
      Hue[0.027221183025333804`, 1, 1], 
      Hue[0.027514057576125007`, 1, 1], 
      Hue[0.027806932126916213`, 1, 1], 
      Hue[0.028099806677707413`, 1, 1], 
      Hue[0.028392681228498615`, 1, 1], 
      Hue[0.02868555577928983, 1, 1], 
      Hue[0.028978430330081024`, 1, 1], 
      Hue[0.029271304880872304`, 1, 1], 
      Hue[0.029564179431663503`, 1, 1], 
      Hue[0.029857053982454706`, 1, 1], 
      Hue[0.030149928533245978`, 1, 1], 
      Hue[0.030442803084037188`, 1, 1], 
      Hue[0.030735677634828387`, 1, 1], 
      Hue[0.031028552185619583`, 1, 1], 
      Hue[0.031321426736410786`, 1, 1], 
      Hue[0.031614301287201996`, 1, 1], 
      Hue[0.031907175837993206`, 1, 1], 
      Hue[0.032200050388784394`, 1, 1], 
      Hue[0.0324929249395756, 1, 1], 
      Hue[0.03278579949036681, 1, 1], 
      Hue[0.03307867404115801, 1, 1], 
      Hue[0.03337154859194921, 1, 1], 
      Hue[0.033664423142740416`, 1, 1], 
      Hue[0.033957297693531695`, 1, 1], 
      Hue[0.0342501722443229, 1, 1], 
      Hue[0.0345430467951141, 1, 1], 
      Hue[0.03483592134590537, 1, 1], 
      Hue[0.035128795896696575`, 1, 1], 
      Hue[0.03542167044748778, 1, 1], 
      Hue[0.03571454499827898, 1, 1], 
      Hue[0.036007419549070184`, 1, 1], 
      Hue[0.03630029409986138, 1, 1], 
      Hue[0.03659316865065259, 1, 1], 
      Hue[0.0368860432014438, 1, 1], 
      Hue[0.037178917752234995`, 1, 1], 
      Hue[0.0374717923030262, 1, 1], 
      Hue[0.0377646668538174, 1, 1], 
      Hue[0.038057541404608604`, 1, 1], 
      Hue[0.03835041595539981, 1, 1], 
      Hue[0.038936165056982296`, 1, 1], 
      Hue[0.03922903960777349, 1, 1], 
      Hue[0.03952191415856477, 1, 1], 
      Hue[0.04010766326014716, 1, 1], 
      Hue[0.041279161463311974`, 1, 1], 
      Hue[0.04159667103713255, 1, 1], 
      Hue[0.041914180610953145`, 1, 1], 
      Hue[0.042549199758594294`, 1, 1], 
      Hue[0.04286670933241487, 1, 1], 
      Hue[0.04318421890623546, 1, 1], 
      Hue[0.04381923805387661, 1, 1], 
      Hue[0.04413674762769719, 1, 1], 
      Hue[0.044454257201517765`, 1, 1], 
      Hue[0.04508927634915892, 1, 1], 
      Hue[0.04635931464444118, 1, 1], 
      Hue[0.04667682421826168, 1, 1], 
      Hue[0.04699433379208225, 1, 1], 
      Hue[0.04762935293972342, 1, 1], 
      Hue[0.04889939123500574, 1, 1], 
      Hue[0.049216900808826305`, 1, 1], 
      Hue[0.049534410382646894`, 1, 1], 
      Hue[0.05016942953028804, 1, 1], 
      Hue[0.05143946782557037, 1, 1], 
      Hue[0.05175697739939095, 1, 1], 
      Hue[0.05207448697321152, 1, 1], 
      Hue[0.052709506120852685`, 1, 1], 
      Hue[0.05397954441613492, 1, 1], 
      Hue[0.054297053989955435`, 1, 1], 
      Hue[0.05461456356377601, 1, 1], 
      Hue[0.05524958271141718, 1, 1], 
      Hue[0.05651962100669948, 1, 1], 
      Hue[0.05683713058052007, 1, 1], 
      Hue[0.05715464015434064, 1, 1], 
      Hue[0.05778965930198181, 1, 1], 
      Hue[0.059059697597264114`, 1, 1], 
      Hue[0.06159977418782867, 1, 1], 
      Hue[0.06189624294004133, 1, 1], 
      Hue[0.062192711692253905`, 1, 1], 
      Hue[0.06278564919667906, 1, 1], 
      Hue[0.0639715242055294, 1, 1], 
      Hue[0.06634327422323016, 1, 1], 
      Hue[0.06663974297544274, 1, 1], 
      Hue[0.06693621172765533, 1, 1], 
      Hue[0.06752914923208049, 1, 1], 
      Hue[0.0687150242409309, 1, 1], 
      Hue[0.0710867742586316, 1, 1], 
      Hue[0.07138324301084417, 1, 1], 
      Hue[0.07167971176305678, 1, 1], 
      Hue[0.0722726492674819, 1, 1], 
      Hue[0.0734585242763323, 1, 1], 
      Hue[0.07583027429403305, 1, 1], 
      Hue[0.0761267430462456, 1, 1], 
      Hue[0.07642321179845818, 1, 1], 
      Hue[0.07701614930288336, 1, 1], 
      Hue[0.07820202431173373, 1, 1], 
      Hue[0.08057377432943444, 1, 1], 
      Hue[0.0808644275415848, 1, 1], 
      Hue[0.08115508075373519, 1, 1], 
      Hue[0.08173638717803601, 1, 1], 
      Hue[0.08202704039018638, 1, 1], 
      Hue[0.08231769360233682, 1, 1], 
      Hue[0.0826083468144872, 1, 1], 
      Hue[0.08289900002663755, 1, 1], 
      Hue[0.08318965323878794, 1, 1], 
      Hue[0.5834803064509383, 1, 1], 
      Hue[0.5837709596630887, 1, 1], 
      Hue[0.5840616128752392, 1, 1], 
      Hue[0.5843522660873894, 1, 1], 
      Hue[0.5846429192995399, 1, 1], 
      Hue[0.5852242257238407, 1, 1], 
      Hue[0.5855148789359912, 1, 1], 
      Hue[0.5858055321481415, 1, 1], 
      Hue[0.5863868385724422, 1, 1], 
      Hue[0.5875494514210438, 1, 1], 
      Hue[0.5898746771182469, 1, 1], 
      Hue[0.5901653303303972, 1, 1], 
      Hue[0.5904559835425476, 1, 1], 
      Hue[0.5910372899668483, 1, 1], 
      Hue[0.5921999028154499, 1, 1], 
      Hue[0.594525128512653, 1, 1], 
      Hue[0.5991755799070593, 1, 1], 
      Hue[0.5994908681422391, 1, 1], 
      Hue[0.5998061563774189, 1, 1], 
      Hue[0.6004367328477782, 1, 1], 
      Hue[0.6016978857884973, 1, 1], 
      Hue[0.6042201916699352, 1, 1], 
      Hue[0.6092648034328112, 1, 1], 
      Hue[0.6193540269585631, 1, 1], 
      Hue[0.6381858614271563, 1, 1], 
      Hue[0.6385047438637574, 1, 1], 
      Hue[0.6388236263003584, 1, 1], 
      Hue[0.6394613911735607, 1, 1], 
      Hue[0.6407369209199651, 1, 1], 
      Hue[0.6432879804127742, 1, 1], 
      Hue[0.6483900993983922, 1, 1], 
      Hue[0.6487089818349934, 1, 1], 
      Hue[0.6490278642715945, 1, 1], 
      Hue[0.6496656291447966, 1, 1], 
      Hue[0.6509411588912013, 1, 1], 
      Hue[0.6534922183840102, 1, 1], 
      Hue[0.6585943373696282, 1, 1], 
      Hue[0.6589074042661671, 1, 1], 
      Hue[0.6592204711627061, 1, 1], 
      Hue[0.6598466049557838, 1, 1], 
      Hue[0.6610988725419396, 1, 1], 
      Hue[0.6636034077142511, 1, 1], 
      Hue[0.66391647461079, 1, 1], 
      Hue[0.6642295415073289, 1, 1], 
      Hue[0.6648556753004067, 1, 1], 
      Hue[0.6661079428865624, 1, 1], 
      Hue[0.6686124780588738, 1, 1], 
      Hue[0.6689255449554127, 1, 1], 
      Hue[0.6692386118519515, 1, 1], 
      Hue[0.6698647456450295, 1, 1], 
      Hue[0.6711170132311852, 1, 1], 
      Hue[0.6714300801277242, 1, 1], 
      Hue[0.6717431470242632, 1, 1], 
      Hue[0.6723692808173409, 1, 1], 
      Hue[0.6736215484034966, 1, 1], 
      Hue[0.6739346153000356, 1, 1], 
      Hue[0.6742476821965744, 1, 1], 
      Hue[0.6748738159896523, 1, 1], 
      Hue[0.6761260835758081, 1, 1], 
      Hue[0.6786306187481195, 1, 1], 
      Hue[0.6789226448230503, 1, 1], 
      Hue[0.6792146708979814, 1, 1], 
      Hue[0.6797987230478432, 1, 1], 
      Hue[0.680966827347567, 1, 1], 
      Hue[0.6812588534224979, 1, 1], 
      Hue[0.6815508794974288, 1, 1], 
      Hue[0.6821349316472908, 1, 1], 
      Hue[0.6833030359470145, 1, 1], 
      Hue[0.6835950620219453, 1, 1], 
      Hue[0.6838870880968764, 1, 1], 
      Hue[0.6844711402467383, 1, 1], 
      Hue[0.6847631663216691, 1, 1], 
      Hue[0.6850551923966001, 1, 1], 
      Hue[0.685639244546462, 1, 1], 
      Hue[0.6859312706213929, 1, 1], 
      Hue[0.6862232966963239, 1, 1], 
      Hue[0.6865153227712548, 1, 1], 
      Hue[0.6868073488461858, 1, 1], 
      Hue[0.6870993749211167, 1, 1], 
      Hue[0.6873914009960477, 1, 1], 
      Hue[0.6876834270709786, 1, 1], 
      Hue[0.6879754531459095, 1, 1], 
      Hue[0.6882674792208405, 1, 1], 
      Hue[0.6885595052957714, 1, 1], 
      Hue[0.6888515313707023, 1, 1], 
      Hue[0.6891435574456333, 1, 1], 
      Hue[0.6894355835205642, 1, 1], 
      Hue[0.6897276095954952, 1, 1], 
      Hue[0.6900196356704261, 1, 1], 
      Hue[0.6903116617453571, 1, 1], 
      Hue[0.6906036878202879, 1, 1], 
      Hue[0.690895713895219, 1, 1], 
      Hue[0.6911877399701498, 1, 1], 
      Hue[0.6914797660450809, 1, 1], 
      Hue[0.6917717921200117, 1, 1], 
      Hue[0.6920638181949428, 1, 1], 
      Hue[0.6923558442698736, 1, 1], 
      Hue[0.6926478703448045, 1, 1], 
      Hue[0.6929398964197355, 1, 1], 
      Hue[0.6932319224946665, 1, 1], 
      Hue[0.6935239485695974, 1, 1], 
      Hue[0.6938159746445283, 1, 1], 
      Hue[0.6941080007194593, 1, 1], 
      Hue[0.6944000267943902, 1, 1], 
      Hue[0.6949840789442521, 1, 1], 
      Hue[0.6952761050191831, 1, 1], 
      Hue[0.695568131094114, 1, 1], 
      Hue[0.6961521832439759, 1, 1], 
      Hue[0.6964442093189067, 1, 1], 
      Hue[0.6967362353938378, 1, 1], 
      Hue[0.6973202875436997, 1, 1], 
      Hue[0.6976369486416599, 1, 1], 
      Hue[0.6979536097396202, 1, 1], 
      Hue[0.6985869319355409, 1, 1], 
      Hue[0.6989035930335011, 1, 1], 
      Hue[0.6992202541314614, 1, 1], 
      Hue[0.6998535763273821, 1, 1], 
      Hue[0.7001702374253423, 1, 1], 
      Hue[0.7004868985233027, 1, 1], 
      Hue[0.7011202207192233, 1, 1], 
      Hue[0.7023868651110645, 1, 1], 
      Hue[0.7027035262090247, 1, 1], 
      Hue[0.703020187306985, 1, 1], 
      Hue[0.7036535095029056, 1, 1], 
      Hue[0.7049201538947468, 1, 1], 
      Hue[0.7052368149927071, 1, 1], 
      Hue[0.7055534760906674, 1, 1], 
      Hue[0.706186798286588, 1, 1], 
      Hue[0.7074534426784292, 1, 1], 
      Hue[0.7077701037763895, 1, 1], 
      Hue[0.7080867648743498, 1, 1], 
      Hue[0.7087200870702705, 1, 1], 
      Hue[0.7099867314621116, 1, 1], 
      Hue[0.7103033925600719, 1, 1], 
      Hue[0.7106200536580323, 1, 1], 
      Hue[0.7112533758539528, 1, 1], 
      Hue[0.712520020245794, 1, 1], 
      Hue[0.7128366813437543, 1, 1], 
      Hue[0.7131533424417147, 1, 1], 
      Hue[0.7137866646376352, 1, 1], 
      Hue[0.7150533090294765, 1, 1], 
      Hue[0.7175865978131588, 1, 1], 
      Hue[0.7178822180895112, 1, 1], 
      Hue[0.7181778383658635, 1, 1], 
      Hue[0.7187690789185681, 1, 1], 
      Hue[0.7199515600239774, 1, 1], 
      Hue[0.7223165222347959, 1, 1], 
      Hue[0.7226121425111482, 1, 1], 
      Hue[0.7229077627875006, 1, 1], 
      Hue[0.7234990033402051, 1, 1], 
      Hue[0.7246814844456145, 1, 1], 
      Hue[0.727046446656433, 1, 1], 
      Hue[0.7273420669327854, 1, 1], 
      Hue[0.7276376872091377, 1, 1], 
      Hue[0.7282289277618423, 1, 1], 
      Hue[0.7294114088672516, 1, 1], 
      Hue[0.7317763710780701, 1, 1], 
      Hue[0.7365062954997073, 1, 1], 
      Hue[0.7367961002359974, 1, 1], 
      Hue[0.7370859049722875, 1, 1], 
      Hue[0.7376655144448678, 1, 1], 
      Hue[0.7388247333900282, 1, 1], 
      Hue[0.7411431712803491, 1, 1], 
      Hue[0.7414329760166393, 1, 1], 
      Hue[0.7417227807529294, 1, 1], 
      Hue[0.7423023902255096, 1, 1], 
      Hue[0.7434616091706701, 1, 1], 
      Hue[0.745780047060991, 1, 1], 
      Hue[0.7460698517972811, 1, 1], 
      Hue[0.7463596565335713, 1, 1], 
      Hue[0.7469392660061515, 1, 1], 
      Hue[0.7472290707424416, 1, 1], 
      Hue[0.7475188754787316, 1, 1], 
      Hue[0.7480984849513119, 1, 1], 
      Hue[0.7483882896876021, 1, 1], 
      Hue[0.7486780944238922, 1, 1], 
      Hue[0.7489678991601822, 1, 1], 
      Hue[0.7492577038964724, 1, 1], 
      Hue[0.7495475086327625, 1, 1], 
      Hue[0.7498373133690526, 1, 1], 
      Hue[0.2501271181053427, 1, 1], 
      Hue[0.25041692284163286`, 1, 1], 
      Hue[0.25070672757792295`, 1, 1], 
      Hue[0.2509965323142131, 1, 1], 
      Hue[0.25157614178679333`, 1, 1], 
      Hue[0.2527353607319538, 1, 1], 
      Hue[0.25505379862227473`, 1, 1], 
      Hue[0.2553682383815942, 1, 1], 
      Hue[0.2556826781409137, 1, 1], 
      Hue[0.25631155765955266`, 1, 1], 
      Hue[0.2575693166968306, 1, 1], 
      Hue[0.2600848347713864, 1, 1], 
      Hue[0.265115870920498, 1, 1], 
      Hue[0.27517794321872124`, 1, 1], 
      Hue[0.29395547523225685`, 1, 1], 
      Hue[0.2942735091929977, 1, 1], 
      Hue[0.29459154315373853`, 1, 1], 
      Hue[0.2952276110752203, 1, 1], 
      Hue[0.29649974691818365`, 1, 1], 
      Hue[0.2990440186041105, 1, 1], 
      Hue[0.30413256197596417`, 1, 1], 
      Hue[0.30445059593670504`, 1, 1], 
      Hue[0.30476862989744585`, 1, 1], 
      Hue[0.3054046978189276, 1, 1], 
      Hue[0.30667683366189097`, 1, 1], 
      Hue[0.3092211053478178, 1, 1], 
      Hue[0.3143096487196715, 1, 1], 
      Hue[0.3146218671403501, 1, 1], 
      Hue[0.3149340855610288, 1, 1], 
      Hue[0.31555852240238613`, 1, 1], 
      Hue[0.3168073960851007, 1, 1], 
      Hue[0.31930514345052996`, 1, 1], 
      Hue[0.3196173618712086, 1, 1], 
      Hue[0.3199295802918873, 1, 1], 
      Hue[0.32055401713324455`, 1, 1], 
      Hue[0.3218028908159592, 1, 1], 
      Hue[0.3243006381813883, 1, 1], 
      Hue[0.324612856602067, 1, 1], 
      Hue[0.32492507502274565`, 1, 1], 
      Hue[0.32554951186410297`, 1, 1], 
      Hue[0.32679838554681756`, 1, 1], 
      Hue[0.32711060396749625`, 1, 1], 
      Hue[0.32742282238817483`, 1, 1], 
      Hue[0.32804725922953215`, 1, 1], 
      Hue[0.3292961329122468, 1, 1], 
      Hue[0.32960835133292543`, 1, 1], 
      Hue[0.32992056975360406`, 1, 1], 
      Hue[0.3305450065949614, 1, 1], 
      Hue[0.331793880277676, 1, 1], 
      Hue[0.3342916276431052, 1, 1], 
      Hue[0.33458280524217593`, 1, 1], 
      Hue[0.3348739828412466, 1, 1], 
      Hue[0.3354563380393879, 1, 1], 
      Hue[0.3366210484356706, 1, 1], 
      Hue[0.3369122260347413, 1, 1], 
      Hue[0.33720340363381196`, 1, 1], 
      Hue[0.3377857588319533, 1, 1], 
      Hue[0.33895046922823596`, 1, 1], 
      Hue[0.3392416468273066, 1, 1], 
      Hue[0.3395328244263773, 1, 1], 
      Hue[0.34011517962451865`, 1, 1], 
      Hue[0.3404063572235893, 1, 1], 
      Hue[0.34069753482265996`, 1, 1], 
      Hue[0.34127989002080134`, 1, 1], 
      Hue[0.341571067619872, 1, 1], 
      Hue[0.34186224521894265`, 1, 1], 
      Hue[0.34215342281801336`, 1, 1], 
      Hue[0.34244460041708397`, 1, 1], 
      Hue[0.3427357780161546, 1, 1], 
      Hue[0.34302695561522534`, 1, 1], 
      Hue[0.34360931081336665`, 1, 1], 
      Hue[0.34390048841243737`, 1, 1], 
      Hue[0.344191666011508, 1, 1], 
      Hue[0.34448284361057874`, 1, 1], 
      Hue[0.34477402120964934`, 1, 1], 
      Hue[0.34506519880872, 1, 1], 
      Hue[0.3453563764077907, 1, 1], 
      Hue[0.3456475540068613, 1, 1], 
      Hue[0.345938731605932, 1, 1], 
      Hue[0.3462299092050027, 1, 1], 
      Hue[0.34652108680407334`, 1, 1], 
      Hue[0.346812264403144, 1, 1], 
      Hue[0.34710344200221466`, 1, 1], 
      Hue[0.34739461960128537`, 1, 1], 
      Hue[0.3476857972003561, 1, 1], 
      Hue[0.34797697479942674`, 1, 1], 
      Hue[0.3482681523984974, 1, 1], 
      Hue[0.34855932999756806`, 1, 1], 
      Hue[0.34885050759663877`, 1, 1], 
      Hue[0.34914168519570943`, 1, 1], 
      Hue[0.34943286279478003`, 1, 1], 
      Hue[0.34972404039385074`, 1, 1], 
      Hue[0.35001521799292146`, 1, 1], 
      Hue[0.3503063955919921, 1, 1], 
      Hue[0.3505975731910627, 1, 1], 
      Hue[0.35088875079013343`, 1, 1], 
      Hue[0.3511799283892041, 1, 1], 
      Hue[0.3514711059882747, 1, 1], 
      Hue[0.3517622835873454, 1, 1], 
      Hue[0.3520534611864161, 1, 1], 
      Hue[0.3523446387854868, 1, 1], 
      Hue[0.3529269939836281, 1, 1], 
      Hue[0.3532428066057281, 1, 1], 
      Hue[0.3535586192278281, 1, 1], 
      Hue[0.35419024447202824`, 1, 1], 
      Hue[0.35450605709412825`, 1, 1], 
      Hue[0.3548218697162283, 1, 1], 
      Hue[0.35545349496042833`, 1, 1], 
      Hue[0.35576930758252834`, 1, 1], 
      Hue[0.35608512020462846`, 1, 1], 
      Hue[0.3567167454488285, 1, 1], 
      Hue[0.35797999593722857`, 1, 1], 
      Hue[0.3582958085593286, 1, 1], 
      Hue[0.3586116211814287, 1, 1], 
      Hue[0.3592432464256287, 1, 1], 
      Hue[0.3605064969140288, 1, 1], 
      Hue[0.3608223095361288, 1, 1], 
      Hue[0.36113812215822894`, 1, 1], 
      Hue[0.36176974740242895`, 1, 1], 
      Hue[0.36303299789082905`, 1, 1], 
      Hue[0.3633488105129291, 1, 1], 
      Hue[0.3636646231350291, 1, 1], 
      Hue[0.36429624837922914`, 1, 1], 
      Hue[0.36555949886762934`, 1, 1], 
      Hue[0.36587531148972935`, 1, 1], 
      Hue[0.36619112411182936`, 1, 1], 
      Hue[0.3668227493560294, 1, 1], 
      Hue[0.3680859998444296, 1, 1], 
      Hue[0.3684018124665296, 1, 1], 
      Hue[0.3687176250886296, 1, 1], 
      Hue[0.3693492503328296, 1, 1], 
      Hue[0.3706125008212298, 1, 1], 
      Hue[0.37313900179803006`, 1, 1], 
      Hue[0.37343377359852203`, 1, 1], 
      Hue[0.37372854539901407`, 1, 1], 
      Hue[0.37431808899999824`, 1, 1], 
      Hue[0.3754971762019664, 1, 1], 
      Hue[0.37785535060590275`, 1, 1], 
      Hue[0.37815012240639484`, 1, 1], 
      Hue[0.3784448942068869, 1, 1], 
      Hue[0.37903443780787094`, 1, 1], 
      Hue[0.38021352500983907`, 1, 1], 
      Hue[0.38257169941377545`, 1, 1], 
      Hue[0.38286647121426753`, 1, 1], 
      Hue[0.3831612430147596, 1, 1], 
      Hue[0.3837507866157437, 1, 1], 
      Hue[0.3849298738177119, 1, 1], 
      Hue[0.38728804822164825`, 1, 1], 
      Hue[0.39200439702952106`, 1, 1], 
      Hue[0.39232380385304244`, 1, 1], 
      Hue[0.3926432106765638, 1, 1], 
      Hue[0.3932820243236066, 1, 1], 
      Hue[0.3945596516176923, 1, 1], 
      Hue[0.39711490620586354`, 1, 1], 
      Hue[0.402225415382206, 1, 1], 
      Hue[0.40254482220572746`, 1, 1], 
      Hue[0.40286422902924884`, 1, 1], 
      Hue[0.40350304267629167`, 1, 1], 
      Hue[0.4047806699703773, 1, 1], 
      Hue[0.4073359245585486, 1, 1], 
      Hue[0.40765533138207, 1, 1], 
      Hue[0.4079747382055914, 1, 1], 
      Hue[0.40861355185263415`, 1, 1], 
      Hue[0.40989117914671985`, 1, 1], 
      Hue[0.4124464337348911, 1, 1], 
      Hue[0.4127600250183503, 1, 1], 
      Hue[0.4130736163018095, 1, 1], 
      Hue[0.4137007988687279, 1, 1], 
      Hue[0.4140143901521871, 1, 1], 
      Hue[0.41432798143564636`, 1, 1], 
      Hue[0.4149551640025647, 1, 1], 
      Hue[0.4152687552860239, 1, 1], 
      Hue[0.41558234656948306`, 1, 1], 
      Hue[0.4158959378529423, 1, 1], 
      Hue[0.4162095291364016, 1, 1], 
      Hue[0.4165231204198608, 1, 1], 
      Hue[0.9168367117033199, 1, 1], 
      Hue[0.9171503029867791, 1, 1], 
      Hue[0.9174638942702383, 1, 1], 
      Hue[0.9177774855536975, 1, 1], 
      Hue[0.9180910768371567, 1, 1], 
      Hue[0.9187182594040751, 1, 1], 
      Hue[0.919972624537912, 1, 1], 
      Hue[0.9224813548055857, 1, 1], 
      Hue[0.9227949460890449, 1, 1], 
      Hue[0.9231085373725041, 1, 1], 
      Hue[0.9237357199394225, 1, 1], 
      Hue[0.9249900850732593, 1, 1], 
      Hue[0.9274988153409329, 1, 1], 
      Hue[0.9325162758762802, 1, 1], 
      Hue[0.9328088263381314, 1, 1], 
      Hue[0.9331013767999826, 1, 1], 
      Hue[0.9336864777236851, 1, 1], 
      Hue[0.93485667957109, 1, 1], 
      Hue[0.9371970832658998, 1, 1], 
      Hue[0.9418778906555193, 1, 1], 
      Hue[0.9421704411173706, 1, 1], 
      Hue[0.9424629915792218, 1, 1], 
      Hue[0.9430480925029242, 1, 1], 
      Hue[0.9442182943503291, 1, 1], 
      Hue[0.9465586980451389, 1, 1], 
      Hue[0.9512395054347584, 1, 1], 
      Hue[0.951556690919639, 1, 1], 
      Hue[0.9518738764045196, 1, 1], 
      Hue[0.9525082473742807, 1, 1], 
      Hue[0.9537769893138032, 1, 1], 
      Hue[0.9563144731928478, 1, 1], 
      Hue[0.9613894409509371, 1, 1], 
      Hue[0.9617066264358177, 1, 1], 
      Hue[0.9620238119206983, 1, 1], 
      Hue[0.9626581828904595, 1, 1], 
      Hue[0.9639269248299818, 1, 1], 
      Hue[0.9664644087090264, 1, 1], 
      Hue[0.9715393764671157, 1, 1], 
      Hue[0.9718355211303884, 1, 1], 
      Hue[0.972131665793661, 1, 1], 
      Hue[0.9727239551202062, 1, 1], 
      Hue[0.9739085337732966, 1, 1], 
      Hue[0.9762776910794774, 1, 1], 
      Hue[0.9765738357427499, 1, 1], 
      Hue[0.9768699804060226, 1, 1], 
      Hue[0.9774622697325678, 1, 1], 
      Hue[0.9786468483856582, 1, 1], 
      Hue[0.981016005691839, 1, 1], 
      Hue[0.9813121503551115, 1, 1], 
      Hue[0.9816082950183842, 1, 1], 
      Hue[0.9822005843449294, 1, 1], 
      Hue[0.9833851629980198, 1, 1], 
      Hue[0.9836813076612924, 1, 1], 
      Hue[0.983977452324565, 1, 1], 
      Hue[0.9845697416511101, 1, 1], 
      Hue[0.9857543203042005, 1, 1], 
      Hue[0.9860504649674732, 1, 1], 
      Hue[0.9863466096307457, 1, 1], 
      Hue[0.9869388989572909, 1, 1], 
      Hue[0.9881234776103813, 1, 1], 
      Hue[0.988419622273654, 1, 1], 
      Hue[0.9887157669369265, 1, 1], 
      Hue[0.9893080562634717, 1, 1], 
      Hue[0.9904926349165621, 1, 1], 
      Hue[0.9907829640397726, 1, 1], 
      Hue[0.991073293162983, 1, 1], 
      Hue[0.9916539514094037, 1, 1], 
      Hue[0.9919442805326142, 1, 1], 
      Hue[0.9922346096558246, 1, 1], 
      Hue[0.9928152679022454, 1, 1], 
      Hue[0.9931055970254558, 1, 1], 
      Hue[0.9933959261486661, 1, 1], 
      Hue[0.993976584395087, 1, 1], 
      Hue[0.9951379008879285, 1, 1], 
      Hue[0.9954282300111389, 1, 1], 
      Hue[0.9957185591343494, 1, 1], 
      Hue[0.9962992173807701, 1, 1], 
      Hue[0.9965895465039806, 1, 1], 
      Hue[0.9968798756271909, 1, 1], 
      Hue[0.9974605338736118, 1, 1], 
      Hue[0.9977508629968221, 1, 1], 
      Hue[0.9980411921200325, 1, 1], 
      Hue[0.9983315212432429, 1, 1], 
      Hue[0.9986218503664533, 1, 1], 
      Hue[0.9989121794896637, 1, 1], 
      Hue[0.9992025086128741, 1, 1], 
      Hue[0.9994928377360845, 1, 1], 
      Hue[0.9997831668592949, 1, 1], 
      Hue[0.00007349598250531426, 1, 1], 
      Hue[0.00036382510571571257`, 1, 1], 
      Hue[0.000654154228926111, 1, 1], 
      Hue[0.0009444833521365093, 1, 1], 
      Hue[0.0012348124753469077`, 1, 1], 
      Hue[0.0015251415985573066`, 1, 1], 
      Hue[0.0018154707217677046`, 1, 1], 
      Hue[0.002105799844978103, 1, 1], 
      Hue[0.0023961289681885016`, 1, 1], 
      Hue[0.0026864580913988994`, 1, 1], 
      Hue[0.0029767872146092976`, 1, 1], 
      Hue[0.0032671163378196967`, 1, 1], 
      Hue[0.0035574454610300954`, 1, 1], 
      Hue[0.003847774584240493, 1, 1], 
      Hue[0.004138103707450892, 1, 1], 
      Hue[0.004428432830661289, 1, 1], 
      Hue[0.0047187619538716875`, 1, 1], 
      Hue[0.005009091077082086, 1, 1], 
      Hue[0.005299420200292485, 1, 1], 
      Hue[0.005589749323502882, 1, 1], 
      Hue[0.005880078446713282, 1, 1], 
      Hue[0.0061704075699236804`, 1, 1], 
      Hue[0.006751065816344477, 1, 1], 
      Hue[0.007041394939554876, 1, 1], 
      Hue[0.0073317240627652725`, 1, 1], 
      Hue[0.00791238230918607, 1, 1], 
      Hue[0.008202711432396469, 1, 1], 
      Hue[0.008493040555606866, 1, 1], 
      Hue[0.009073698802027665, 1, 1], 
      Hue[0.009388662948267422, 1, 1], 
      Hue[0.00970362709450718, 1, 1], 
      Hue[0.0103335553869867, 1, 1], 
      Hue[0.010648519533226455`, 1, 1], 
      Hue[0.010963483679466217`, 1, 1], 
      Hue[0.01159341197194573, 1, 1], 
      Hue[0.011908376118185491`, 1, 1], 
      Hue[0.012223340264425247`, 1, 1], 
      Hue[0.012853268556904763`, 1, 1], 
      Hue[0.014113125141863796`, 1, 1], 
      Hue[0.014428089288103553`, 1, 1], 
      Hue[0.014743053434343314`, 1, 1], 
      Hue[0.015372981726822828`, 1, 1], 
      Hue[0.01663283831178186, 1, 1], 
      Hue[0.016947802458021622`, 1, 1], 
      Hue[0.017262766604261383`, 1, 1], 
      Hue[0.0178926948967409, 1, 1], 
      Hue[0.019152551481699927`, 1, 1], 
      Hue[0.019467515627939688`, 1, 1], 
      Hue[0.019782479774179445`, 1, 1], 
      Hue[0.020412408066658963`, 1, 1], 
      Hue[0.021672264651618, 1, 1], 
      Hue[0.024191977821536065`, 1, 1], 
      Hue[0.024506941967775826`, 1, 1], 
      Hue[0.024821906114015576`, 1, 1], 
      Hue[0.0254518344064951, 1, 1], 
      Hue[0.026711690991454137`, 1, 1], 
      Hue[0.029231404161372203`, 1, 1], 
      Hue[0.029525327486003974`, 1, 1], 
      Hue[0.02981925081063575, 1, 1], 
      Hue[0.0304070974598993, 1, 1], 
      Hue[0.03158279075842641, 1, 1], 
      Hue[0.03393417735548061, 1, 1], 
      Hue[0.03863695054958902, 1, 1], 
      Hue[0.0389308738742208, 1, 1], 
      Hue[0.03922479719885257, 1, 1], 
      Hue[0.03981264384811612, 1, 1], 
      Hue[0.040988337146643225`, 1, 1], 
      Hue[0.043339723743697434`, 1, 1], 
      Hue[0.048042496937805844`, 1, 1], 
      Hue[0.048361055285466976`, 1, 1], 
      Hue[0.048679613633128116`, 1, 1], 
      Hue[0.049316730328450395`, 1, 1], 
      Hue[0.05059096371909493, 1, 1], 
      Hue[0.05313943050038401, 1, 1], 
      Hue[0.058236364062962176`, 1, 1], 
      Hue[0.05855492241062331, 1, 1], 
      Hue[0.058873480758284455`, 1, 1], 
      Hue[0.05951059745360672, 1, 1], 
      Hue[0.06078483084425126, 1, 1], 
      Hue[0.06333329762554035, 1, 1], 
      Hue[0.06843023118811851, 1, 1], 
      Hue[0.06874297399571745, 1, 1], 
      Hue[0.06905571680331637, 1, 1], 
      Hue[0.06968120241851426, 1, 1], 
      Hue[0.07093217364891001, 1, 1], 
      Hue[0.07343411610970148, 1, 1], 
      Hue[0.0737468589173004, 1, 1], 
      Hue[0.07405960172489934, 1, 1], 
      Hue[0.07468508734009718, 1, 1], 
      Hue[0.07593605857049295, 1, 1], 
      Hue[0.0784380010312844, 1, 1], 
      Hue[0.07875074383888336, 1, 1], 
      Hue[0.07906348664648226, 1, 1], 
      Hue[0.07968897226168015, 1, 1], 
      Hue[0.08093994349207585, 1, 1], 
      Hue[0.0812526862996748, 1, 1], 
      Hue[0.08156542910727374, 1, 1], 
      Hue[0.08187817191487268, 1, 1], 
      Hue[0.08219091472247161, 1, 1], 
      Hue[0.08250365753007056, 1, 1], 
      Hue[0.0828164003376695, 1, 1], 
      Hue[0.08312914314526841, 1, 1], 
      Hue[0.5834418859528674, 1, 1], 
      Hue[0.5837546287604662, 1, 1], 
      Hue[0.5840673715680651, 1, 1], 
      Hue[0.584692857183263, 1, 1], 
      Hue[0.5859438284136589, 1, 1], 
      Hue[0.5884457708744504, 1, 1], 
      Hue[0.5887374728604412, 1, 1], 
      Hue[0.5890291748464322, 1, 1], 
      Hue[0.5896125788184141, 1, 1], 
      Hue[0.590779386762378, 1, 1], 
      Hue[0.5931130026503055, 1, 1], 
      Hue[0.5977802344261607, 1, 1], 
      Hue[0.5980719364121516, 1, 1], 
      Hue[0.5983636383981427, 1, 1], 
      Hue[0.5989470423701246, 1, 1], 
      Hue[0.6001138503140884, 1, 1], 
      Hue[0.602447466202016, 1, 1], 
      Hue[0.6071146979778712, 1, 1], 
      Hue[0.6074310349868914, 1, 1], 
      Hue[0.6077473719959118, 1, 1], 
      Hue[0.6083800460139525, 1, 1], 
      Hue[0.6096453940500337, 1, 1], 
      Hue[0.6121760901221962, 1, 1], 
      Hue[0.6172374822665212, 1, 1], 
      Hue[0.6175538192755414, 1, 1], 
      Hue[0.6178701562845618, 1, 1], 
      Hue[0.6185028303026024, 1, 1], 
      Hue[0.6197681783386837, 1, 1], 
      Hue[0.6222988744108462, 1, 1], 
      Hue[0.6273602665551711, 1, 1], 
      Hue[0.6276555627425835, 1, 1], 
      Hue[0.6279508589299957, 1, 1], 
      Hue[0.6285414513048204, 1, 1], 
      Hue[0.6297226360544697, 1, 1], 
      Hue[0.6320850055537683, 1, 1], 
      Hue[0.6323803017411807, 1, 1], 
      Hue[0.632675597928593, 1, 1], 
      Hue[0.6332661903034177, 1, 1], 
      Hue[0.634447375053067, 1, 1], 
      Hue[0.6368097445523656, 1, 1], 
      Hue[0.637105040739778, 1, 1], 
      Hue[0.6374003369271903, 1, 1], 
      Hue[0.637990929302015, 1, 1], 
      Hue[0.6391721140516642, 1, 1], 
      Hue[0.6394674102390766, 1, 1], 
      Hue[0.639762706426489, 1, 1], 
      Hue[0.6403532988013136, 1, 1], 
      Hue[0.6415344835509629, 1, 1], 
      Hue[0.6418297797383752, 1, 1], 
      Hue[0.6421250759257876, 1, 1], 
      Hue[0.6427156683006122, 1, 1], 
      Hue[0.6438968530502616, 1, 1], 
      Hue[0.6441921492376739, 1, 1], 
      Hue[0.6444874454250862, 1, 1], 
      Hue[0.6450780377999108, 1, 1], 
      Hue[0.6462592225495603, 1, 1], 
      Hue[0.6465487031969103, 1, 1], 
      Hue[0.6468381838442604, 1, 1], 
      Hue[0.6474171451389605, 1, 1], 
      Hue[0.6477066257863107, 1, 1], 
      Hue[0.6479961064336609, 1, 1], 
      Hue[0.6485750677283612, 1, 1], 
      Hue[0.6488645483757114, 1, 1], 
      Hue[0.6491540290230615, 1, 1], 
      Hue[0.6497329903177617, 1, 1], 
      Hue[0.6508909129071622, 1, 1], 
      Hue[0.6511803935545123, 1, 1], 
      Hue[0.6514698742018624, 1, 1], 
      Hue[0.6520488354965628, 1, 1], 
      Hue[0.6523383161439129, 1, 1], 
      Hue[0.6526277967912629, 1, 1], 
      Hue[0.6532067580859631, 1, 1], 
      Hue[0.6534962387333133, 1, 1], 
      Hue[0.6537857193806634, 1, 1], 
      Hue[0.6540752000280136, 1, 1], 
      Hue[0.6543646806753637, 1, 1], 
      Hue[0.6546541613227137, 1, 1], 
      Hue[0.654943641970064, 1, 1], 
      Hue[0.6552331226174141, 1, 1], 
      Hue[0.6555226032647642, 1, 1], 
      Hue[0.6558120839121143, 1, 1], 
      Hue[0.6561015645594643, 1, 1], 
      Hue[0.6563910452068146, 1, 1], 
      Hue[0.6566805258541647, 1, 1], 
      Hue[0.6569700065015148, 1, 1], 
      Hue[0.6572594871488651, 1, 1], 
      Hue[0.6575489677962152, 1, 1], 
      Hue[0.6578384484435653, 1, 1], 
      Hue[0.6581279290909153, 1, 1], 
      Hue[0.6584174097382655, 1, 1], 
      Hue[0.6587068903856157, 1, 1], 
      Hue[0.6589963710329658, 1, 1], 
      Hue[0.6592858516803158, 1, 1], 
      Hue[0.659575332327666, 1, 1], 
      Hue[0.6598648129750161, 1, 1], 
      Hue[0.6601542936223663, 1, 1], 
      Hue[0.6604437742697165, 1, 1], 
      Hue[0.6607332549170666, 1, 1], 
      Hue[0.6610227355644166, 1, 1], 
      Hue[0.6613122162117667, 1, 1], 
      Hue[0.661601696859117, 1, 1], 
      Hue[0.661891177506467, 1, 1], 
      Hue[0.6624701388011672, 1, 1], 
      Hue[0.6627596194485174, 1, 1], 
      Hue[0.6630491000958674, 1, 1], 
      Hue[0.6636280613905677, 1, 1], 
      Hue[0.6639175420379179, 1, 1], 
      Hue[0.664207022685268, 1, 1], 
      Hue[0.6647859839799682, 1, 1], 
      Hue[0.6651000996503478, 1, 1], 
      Hue[0.6654142153207272, 1, 1], 
      Hue[0.6660424466614863, 1, 1], 
      Hue[0.6663565623318657, 1, 1], 
      Hue[0.6666706780022451, 1, 1], 
      Hue[0.6672989093430042, 1, 1], 
      Hue[0.6676130250133836, 1, 1], 
      Hue[0.6679271406837631, 1, 1], 
      Hue[0.6685553720245221, 1, 1], 
      Hue[0.66981183470604, 1, 1], 
      Hue[0.6701259503764195, 1, 1], 
      Hue[0.6704400660467991, 1, 1], 
      Hue[0.671068297387558, 1, 1], 
      Hue[0.6723247600690759, 1, 1], 
      Hue[0.6748376854321119, 1, 1], 
      Hue[0.6751518011024913, 1, 1], 
      Hue[0.6754659167728708, 1, 1], 
      Hue[0.6760941481136298, 1, 1], 
      Hue[0.6773506107951477, 1, 1], 
      Hue[0.6798635361581836, 1, 1], 
      Hue[0.680177651828563, 1, 1], 
      Hue[0.6804917674989426, 1, 1], 
      Hue[0.6811199988397015, 1, 1], 
      Hue[0.6823764615212196, 1, 1], 
      Hue[0.6848893868842554, 1, 1], 
      Hue[0.6851824617330269, 1, 1], 
      Hue[0.6854755365817984, 1, 1], 
      Hue[0.6860616862793414, 1, 1], 
      Hue[0.6872339856744274, 1, 1], 
      Hue[0.6895785844645994, 1, 1], 
      Hue[0.6942677820449435, 1, 1], 
      Hue[0.6945608568937149, 1, 1], 
      Hue[0.6948539317424864, 1, 1], 
      Hue[0.6954400814400296, 1, 1], 
      Hue[0.6966123808351156, 1, 1], 
      Hue[0.6989569796252876, 1, 1], 
      Hue[0.7036461772056317, 1, 1], 
      Hue[0.7039638870774325, 1, 1], 
      Hue[0.7042815969492333, 1, 1], 
      Hue[0.7049170166928351, 1, 1], 
      Hue[0.7061878561800385, 1, 1], 
      Hue[0.7087295351544455, 1, 1], 
      Hue[0.7138128931032592, 1, 1], 
      Hue[0.723979609000887, 1, 1], 
      Hue[0.7242762780510799, 1, 1], 
      Hue[0.7245729471012727, 1, 1], 
      Hue[0.7251662852016585, 1, 1], 
      Hue[0.72635296140243, 1, 1], 
      Hue[0.728726313803973, 1, 1], 
      Hue[0.7334730186070592, 1, 1], 
      Hue[0.7337696876572521, 1, 1], 
      Hue[0.7340663567074449, 1, 1], 
      Hue[0.7346596948078307, 1, 1], 
      Hue[0.7358463710086023, 1, 1], 
      Hue[0.7382197234101453, 1, 1], 
      Hue[0.7429664282132313, 1, 1], 
      Hue[0.743257281723362, 1, 1], 
      Hue[0.7435481352334927, 1, 1], 
      Hue[0.7441298422537541, 1, 1], 
      Hue[0.7452932562942769, 1, 1], 
      Hue[0.7455841098044076, 1, 1], 
      Hue[0.7458749633145383, 1, 1], 
      Hue[0.7464566703347996, 1, 1], 
      Hue[0.7476200843753222, 1, 1], 
      Hue[0.7479109378854529, 1, 1], 
      Hue[0.7482017913955836, 1, 1], 
      Hue[0.748783498415845, 1, 1], 
      Hue[0.7490743519259757, 1, 1], 
      Hue[0.7493652054361064, 1, 1], 
      Hue[0.749656058946237, 1, 1], 
      Hue[0.7499469124563677, 1, 1], 
      Hue[0.2502377659664984, 1, 1], 
      Hue[0.2505286194766291, 1, 1], 
      Hue[0.2508194729867598, 1, 1], 
      Hue[0.2511103264968904, 1, 1], 
      Hue[0.25227374053741314`, 1, 1], 
      Hue[0.2525645940475438, 1, 1], 
      Hue[0.2528554475576745, 1, 1], 
      Hue[0.2534371545779358, 1, 1], 
      Hue[0.25460056861845853`, 1, 1], 
      Hue[0.256927396699504, 1, 1], 
      Hue[0.26158105286159483`, 1, 1], 
      Hue[0.2618965413947549, 1, 1], 
      Hue[0.2622120299279149, 1, 1], 
      Hue[0.262843006994235, 1, 1], 
      Hue[0.26410496112687515`, 1, 1], 
      Hue[0.26662886939215547`, 1, 1], 
      Hue[0.2669443579253155, 1, 1], 
      Hue[0.26725984645847556`, 1, 1], 
      Hue[0.26789082352479565`, 1, 1], 
      Hue[0.26915277765743584`, 1, 1], 
      Hue[0.2716766859227161, 1, 1], 
      Hue[0.27199217445587615`, 1, 1], 
      Hue[0.2723076629890362, 1, 1], 
      Hue[0.2729386400553563, 1, 1], 
      Hue[0.2742005941879964, 1, 1], 
      Hue[0.27672450245327673`, 1, 1], 
      Hue[0.28177231898383737`, 1, 1], 
      Hue[0.2820667666953895, 1, 1], 
      Hue[0.2823612144069415, 1, 1], 
      Hue[0.2829501098300456, 1, 1], 
      Hue[0.2841279006762538, 1, 1], 
      Hue[0.28648348236867033`, 1, 1], 
      Hue[0.2867779300802224, 1, 1], 
      Hue[0.28707237779177447`, 1, 1], 
      Hue[0.2876612732148785, 1, 1], 
      Hue[0.2888390640610868, 1, 1], 
      Hue[0.29119464575350323`, 1, 1], 
      Hue[0.29148909346505525`, 1, 1], 
      Hue[0.2917835411766073, 1, 1], 
      Hue[0.29237243659971146`, 1, 1], 
      Hue[0.29355022744591963`, 1, 1], 
      Hue[0.29384467515747176`, 1, 1], 
      Hue[0.2941391228690238, 1, 1], 
      Hue[0.29472801829212786`, 1, 1], 
      Hue[0.29590580913833614`, 1, 1], 
      Hue[0.29620025684988815`, 1, 1], 
      Hue[0.2964947045614402, 1, 1], 
      Hue[0.2970835999845443, 1, 1], 
      Hue[0.2982613908307526, 1, 1], 
      Hue[0.29855583854230466`, 1, 1], 
      Hue[0.2988502862538567, 1, 1], 
      Hue[0.2994391816769608, 1, 1], 
      Hue[0.30061697252316905`, 1, 1], 
      Hue[0.30093605525775047`, 1, 1], 
      Hue[0.3012551379923319, 1, 1], 
      Hue[0.3018933034614947, 1, 1], 
      Hue[0.3022123861960761, 1, 1], 
      Hue[0.3025314689306576, 1, 1], 
      Hue[0.3031696343998204, 1, 1], 
      Hue[0.30348871713440184`, 1, 1], 
      Hue[0.3038077998689832, 1, 1], 
      Hue[0.30444596533814605`, 1, 1], 
      Hue[0.30572229627647174`, 1, 1], 
      Hue[0.30604137901105316`, 1, 1], 
      Hue[0.3063604617456346, 1, 1], 
      Hue[0.30699862721479737`, 1, 1], 
      Hue[0.30731770994937885`, 1, 1], 
      Hue[0.3076367926839602, 1, 1], 
      Hue[0.30827495815312306`, 1, 1], 
      Hue[0.3085940408877045, 1, 1], 
      Hue[0.3089131236222859, 1, 1], 
      Hue[0.3092322063568673, 1, 1], 
      Hue[0.3095512890914487, 1, 1], 
      Hue[0.30987037182603017`, 1, 1], 
      Hue[0.31018945456061153`, 1, 1], 
      Hue[0.31050853729519295`, 1, 1], 
      Hue[0.3108276200297744, 1, 1], 
      Hue[0.31114670276435585`, 1, 1], 
      Hue[0.3114657854989372, 1, 1], 
      Hue[0.3117848682335187, 1, 1], 
      Hue[0.31210395096810006`, 1, 1], 
      Hue[0.3124230337026815, 1, 1], 
      Hue[0.3127421164372629, 1, 1], 
      Hue[0.31306119917184433`, 1, 1], 
      Hue[0.3133802819064257, 1, 1], 
      Hue[0.3136993646410072, 1, 1], 
      Hue[0.31401844737558854`, 1, 1], 
      Hue[0.31433753011017, 1, 1], 
      Hue[0.3146566128447514, 1, 1], 
      Hue[0.31497569557933286`, 1, 1], 
      Hue[0.3152947783139142, 1, 1], 
      Hue[0.3156138610484957, 1, 1], 
      Hue[0.31593294378307707`, 1, 1], 
      Hue[0.3162520265176585, 1, 1], 
      Hue[0.3165711092522399, 1, 1], 
      Hue[0.31689019198682133`, 1, 1], 
      Hue[0.31720927472140276`, 1, 1], 
      Hue[0.3175283574559842, 1, 1], 
      Hue[0.31784744019056554`, 1, 1], 
      Hue[0.31848560565972844`, 1, 1], 
      Hue[0.31880468839430987`, 1, 1], 
      Hue[0.31912377112889123`, 1, 1], 
      Hue[0.31976193659805413`, 1, 1], 
      Hue[0.3200810193326355, 1, 1], 
      Hue[0.320400102067217, 1, 1], 
      Hue[0.32103826753637976`, 1, 1], 
      Hue[0.321351534730899, 1, 1], 
      Hue[0.32166480192541824`, 1, 1], 
      Hue[0.32229133631445656`, 1, 1], 
      Hue[0.32354440509253346`, 1, 1], 
      Hue[0.3238576722870527, 1, 1], 
      Hue[0.32417093948157194`, 1, 1], 
      Hue[0.32479747387061036`, 1, 1], 
      Hue[0.3260505426486872, 1, 1], 
      Hue[0.32636380984320645`, 1, 1], 
      Hue[0.3266770770377257, 1, 1], 
      Hue[0.32730361142676406`, 1, 1], 
      Hue[0.32855668020484097`, 1, 1], 
      Hue[0.33106281776099467`, 1, 1], 
      Hue[0.3313760849555139, 1, 1], 
      Hue[0.33168935215003315`, 1, 1], 
      Hue[0.3323158865390715, 1, 1], 
      Hue[0.3335689553171484, 1, 1], 
      Hue[0.3360750928733021, 1, 1], 
      Hue[0.33638836006782136`, 1, 1], 
      Hue[0.3367016272623406, 1, 1], 
      Hue[0.337328161651379, 1, 1], 
      Hue[0.33858123042945587`, 1, 1], 
      Hue[0.34108736798560957`, 1, 1], 
      Hue[0.34137959435852083`, 1, 1], 
      Hue[0.34167182073143204`, 1, 1], 
      Hue[0.3422562734772545, 1, 1], 
      Hue[0.34342517896889946`, 1, 1], 
      Hue[0.34576298995218935`, 1, 1], 
      Hue[0.35043861191876896`, 1, 1], 
      Hue[0.35978985585192846`, 1, 1], 
      Hue[0.38006898519212645`, 1, 1], 
      Hue[0.38036480576645904`, 1, 1], 
      Hue[0.3806606263407917, 1, 1], 
      Hue[0.3812522674894569, 1, 1], 
      Hue[0.38243554978678734`, 1, 1], 
      Hue[0.38480211438144823`, 1, 1], 
      Hue[0.38953524357077, 1, 1], 
      Hue[0.38983106414510266`, 1, 1], 
      Hue[0.39012688471943524`, 1, 1], 
      Hue[0.39071852586810046`, 1, 1], 
      Hue[0.3919018081654309, 1, 1], 
      Hue[0.39426837276009186`, 1, 1], 
      Hue[0.39900150194941353`, 1, 1], 
      Hue[0.39929150698368404`, 1, 1], 
      Hue[0.39958151201795444`, 1, 1], 
      Hue[0.40016152208649525`, 1, 1], 
      Hue[0.40132154222357685`, 1, 1], 
      Hue[0.4036415824977401, 1, 1], 
      Hue[0.4039315875320105, 1, 1], 
      Hue[0.40422159256628093`, 1, 1], 
      Hue[0.40480160263482173`, 1, 1], 
      Hue[0.40596162277190334`, 1, 1], 
      Hue[0.40828166304606656`, 1, 1], 
      Hue[0.4085716680803371, 1, 1], 
      Hue[0.4088616731146075, 1, 1], 
      Hue[0.40944168318314833`, 1, 1], 
      Hue[0.41060170332022994`, 1, 1], 
      Hue[0.4108917083545004, 1, 1], 
      Hue[0.4111817133887708, 1, 1], 
      Hue[0.4117617234573116, 1, 1], 
      Hue[0.4129217435943932, 1, 1], 
      Hue[0.4132117486286636, 1, 1], 
      Hue[0.413501753662934, 1, 1], 
      Hue[0.4140817637314748, 1, 1], 
      Hue[0.4143717687657452, 1, 1], 
      Hue[0.4146617738000156, 1, 1], 
      Hue[0.4152417838685564, 1, 1], 
      Hue[0.4155317889028268, 1, 1], 
      Hue[0.41582179393709723`, 1, 1], 
      Hue[0.41611179897136763`, 1, 1], 
      Hue[0.4164018040056381, 1, 1], 
      Hue[0.9166918090399084, 1, 1], 
      Hue[0.9169818140741788, 1, 1], 
      Hue[0.9172718191084492, 1, 1], 
      Hue[0.9175618241427197, 1, 1], 
      Hue[0.9178764642000194, 1, 1], 
      Hue[0.9181911042573192, 1, 1], 
      Hue[0.9188203843719187, 1, 1], 
      Hue[0.9200789446011179, 1, 1], 
      Hue[0.922596065059516, 1, 1], 
      Hue[0.9229107051168157, 1, 1], 
      Hue[0.9232253451741156, 1, 1], 
      Hue[0.9238546252887151, 1, 1], 
      Hue[0.9251131855179142, 1, 1], 
      Hue[0.9276303059763124, 1, 1], 
      Hue[0.9279449460336121, 1, 1], 
      Hue[0.9282595860909119, 1, 1], 
      Hue[0.9288888662055114, 1, 1], 
      Hue[0.9301474264347105, 1, 1], 
      Hue[0.9326645468931086, 1, 1], 
      Hue[0.9376987878099049, 1, 1], 
      Hue[0.9379923870455967, 1, 1], 
      Hue[0.9382859862812885, 1, 1], 
      Hue[0.938873184752672, 1, 1], 
      Hue[0.9400475816954391, 1, 1], 
      Hue[0.9423963755809734, 1, 1], 
      Hue[0.9426899748166653, 1, 1], 
      Hue[0.9429835740523571, 1, 1], 
      Hue[0.9435707725237407, 1, 1], 
      Hue[0.9447451694665078, 1, 1], 
      Hue[0.9470939633520421, 1, 1], 
      Hue[0.9473875625877338, 1, 1], 
      Hue[0.9476811618234257, 1, 1], 
      Hue[0.9482683602948092, 1, 1], 
      Hue[0.9494427572375763, 1, 1], 
      Hue[0.9497363564732682, 1, 1], 
      Hue[0.9500299557089599, 1, 1], 
      Hue[0.9506171541803434, 1, 1], 
      Hue[0.9517915511231106, 1, 1], 
      Hue[0.9520851503588025, 1, 1], 
      Hue[0.9523787495944943, 1, 1], 
      Hue[0.9529659480658779, 1, 1], 
      Hue[0.954140345008645, 1, 1], 
      Hue[0.9544339442443368, 1, 1], 
      Hue[0.9547275434800285, 1, 1], 
      Hue[0.9553147419514121, 1, 1], 
      Hue[0.9564891388941792, 1, 1], 
      Hue[0.9568073731529004, 1, 1], 
      Hue[0.9571256074116216, 1, 1], 
      Hue[0.9577620759290638, 1, 1], 
      Hue[0.9580803101877848, 1, 1], 
      Hue[0.9583985444465061, 1, 1], 
      Hue[0.9590350129639483, 1, 1], 
      Hue[0.9593532472226696, 1, 1], 
      Hue[0.9596714814813907, 1, 1], 
      Hue[0.960307949998833, 1, 1], 
      Hue[0.9615808870337176, 1, 1], 
      Hue[0.9618991212924386, 1, 1], 
      Hue[0.9622173555511598, 1, 1], 
      Hue[0.9628538240686021, 1, 1], 
      Hue[0.9631720583273232, 1, 1], 
      Hue[0.9634902925860445, 1, 1], 
      Hue[0.9641267611034867, 1, 1], 
      Hue[0.9644449953622078, 1, 1], 
      Hue[0.9647632296209291, 1, 1], 
      Hue[0.9650814638796502, 1, 1], 
      Hue[0.9653996981383713, 1, 1], 
      Hue[0.9657179323970924, 1, 1], 
      Hue[0.9660361666558136, 1, 1], 
      Hue[0.9666726351732559, 1, 1], 
      Hue[0.966990869431977, 1, 1], 
      Hue[0.9673091036906982, 1, 1], 
      Hue[0.9676273379494194, 1, 1], 
      Hue[0.9679455722081405, 1, 1], 
      Hue[0.9682638064668616, 1, 1], 
      Hue[0.9685820407255828, 1, 1], 
      Hue[0.968900274984304, 1, 1], 
      Hue[0.9692185092430251, 1, 1], 
      Hue[0.9695367435017461, 1, 1], 
      Hue[0.9698549777604673, 1, 1], 
      Hue[0.9701732120191885, 1, 1], 
      Hue[0.9704914462779096, 1, 1], 
      Hue[0.9708096805366307, 1, 1], 
      Hue[0.9711279147953519, 1, 1], 
      Hue[0.9714461490540731, 1, 1], 
      Hue[0.9717643833127942, 1, 1], 
      Hue[0.9720826175715154, 1, 1], 
      Hue[0.9724008518302366, 1, 1], 
      Hue[0.9727190860889577, 1, 1], 
      Hue[0.9730373203476788, 1, 1], 
      Hue[0.9733555546063999, 1, 1], 
      Hue[0.973673788865121, 1, 1], 
      Hue[0.9739920231238423, 1, 1], 
      Hue[0.9743102573825634, 1, 1], 
      Hue[0.9746284916412845, 1, 1], 
      Hue[0.9749467259000056, 1, 1], 
      Hue[0.9752649601587269, 1, 1], 
      Hue[0.975583194417448, 1, 1], 
      Hue[0.9759014286761691, 1, 1], 
      Hue[0.9762196629348903, 1, 1], 
      Hue[0.9768561314523325, 1, 1], 
      Hue[0.9768656420513168, 1, 1], 
      Hue[0.976875152650301, 1, 1], 
      Hue[0.9768941738482696, 1, 1], 
      Hue[0.9769322162442068, 1, 1], 
      Hue[0.9770083010360808, 1, 1], 
      Hue[0.9771604706198291, 1, 1], 
      Hue[0.9771699812188133, 1, 1], 
      Hue[0.9771794918177976, 1, 1], 
      Hue[0.9771985130157661, 1, 1], 
      Hue[0.9772365554117033, 1, 1], 
      Hue[0.9773126402035773, 1, 1], 
      Hue[0.9773221508025617, 1, 1], 
      Hue[0.9773316614015459, 1, 1], 
      Hue[0.9773506825995144, 1, 1], 
      Hue[0.9773887249954515, 1, 1], 
      Hue[0.9773982355944357, 1, 1], 
      Hue[0.9774077461934201, 1, 1], 
      Hue[0.9774267673913886, 1, 1], 
      Hue[0.9774362779903729, 1, 1], 
      Hue[0.9774457885893572, 1, 1], 
      Hue[0.9774552991883414, 1, 1], 
      Hue[0.9774648097873256, 1, 1], 
      Hue[0.022535190212674343`, 1, 1], 
      Hue[0.022828064763465543`, 1, 1], 
      Hue[0.022828064763465543`, 1, 1], 
      Hue[0.02312093931425682, 1, 1], 
      Hue[0.02312093931425682, 1, 1], 
      Hue[0.023706688415839228`, 1, 1], 
      Hue[0.023706688415839228`, 1, 1], 
      Hue[0.023999562966630427`, 1, 1], 
      Hue[0.023999562966630427`, 1, 1], 
      Hue[0.024292437517421633`, 1, 1], 
      Hue[0.024292437517421633`, 1, 1], 
      Hue[0.024878186619004036`, 1, 1], 
      Hue[0.024878186619004036`, 1, 1], 
      Hue[0.02517106116979524, 1, 1], 
      Hue[0.02517106116979524, 1, 1], 
      Hue[0.025463935720586448`, 1, 1], 
      Hue[0.025463935720586448`, 1, 1], 
      Hue[0.026049684822168923`, 1, 1], 
      Hue[0.026049684822168923`, 1, 1], 
      Hue[0.026342559372960126`, 1, 1], 
      Hue[0.026342559372960126`, 1, 1], 
      Hue[0.026635433923751402`, 1, 1], 
      Hue[0.026635433923751402`, 1, 1], 
      Hue[0.027221183025333804`, 1, 1], 
      Hue[0.027221183025333804`, 1, 1], 
      Hue[0.027514057576125007`, 1, 1], 
      Hue[0.027514057576125007`, 1, 1], 
      Hue[0.027806932126916213`, 1, 1], 
      Hue[0.027806932126916213`, 1, 1], 
      Hue[0.028099806677707413`, 1, 1], 
      Hue[0.028099806677707413`, 1, 1], 
      Hue[0.028392681228498615`, 1, 1], 
      Hue[0.028392681228498615`, 1, 1], 
      Hue[0.02868555577928983, 1, 1], 
      Hue[0.02868555577928983, 1, 1], 
      Hue[0.028978430330081024`, 1, 1], 
      Hue[0.028978430330081024`, 1, 1], 
      Hue[0.029271304880872304`, 1, 1], 
      Hue[0.029271304880872304`, 1, 1], 
      Hue[0.029564179431663503`, 1, 1], 
      Hue[0.029564179431663503`, 1, 1], 
      Hue[0.029857053982454706`, 1, 1], 
      Hue[0.029857053982454706`, 1, 1], 
      Hue[0.030149928533245978`, 1, 1], 
      Hue[0.030149928533245978`, 1, 1], 
      Hue[0.030442803084037188`, 1, 1], 
      Hue[0.030442803084037188`, 1, 1], 
      Hue[0.030735677634828387`, 1, 1], 
      Hue[0.030735677634828387`, 1, 1], 
      Hue[0.031028552185619583`, 1, 1], 
      Hue[0.031028552185619583`, 1, 1], 
      Hue[0.031321426736410786`, 1, 1], 
      Hue[0.031321426736410786`, 1, 1], 
      Hue[0.031614301287201996`, 1, 1], 
      Hue[0.031614301287201996`, 1, 1], 
      Hue[0.031907175837993206`, 1, 1], 
      Hue[0.031907175837993206`, 1, 1], 
      Hue[0.032200050388784394`, 1, 1], 
      Hue[0.032200050388784394`, 1, 1], 
      Hue[0.0324929249395756, 1, 1], 
      Hue[0.0324929249395756, 1, 1], 
      Hue[0.03278579949036681, 1, 1], 
      Hue[0.03278579949036681, 1, 1], 
      Hue[0.03307867404115801, 1, 1], 
      Hue[0.03307867404115801, 1, 1], 
      Hue[0.03337154859194921, 1, 1], 
      Hue[0.03337154859194921, 1, 1], 
      Hue[0.033664423142740416`, 1, 1], 
      Hue[0.033664423142740416`, 1, 1], 
      Hue[0.033957297693531695`, 1, 1], 
      Hue[0.033957297693531695`, 1, 1], 
      Hue[0.0342501722443229, 1, 1], 
      Hue[0.0342501722443229, 1, 1], 
      Hue[0.0345430467951141, 1, 1], 
      Hue[0.0345430467951141, 1, 1], 
      Hue[0.03483592134590537, 1, 1], 
      Hue[0.03483592134590537, 1, 1], 
      Hue[0.035128795896696575`, 1, 1], 
      Hue[0.035128795896696575`, 1, 1], 
      Hue[0.03542167044748778, 1, 1], 
      Hue[0.03542167044748778, 1, 1], 
      Hue[0.03571454499827898, 1, 1], 
      Hue[0.03571454499827898, 1, 1], 
      Hue[0.036007419549070184`, 1, 1], 
      Hue[0.036007419549070184`, 1, 1], 
      Hue[0.03630029409986138, 1, 1], 
      Hue[0.03630029409986138, 1, 1], 
      Hue[0.03659316865065259, 1, 1], 
      Hue[0.03659316865065259, 1, 1], 
      Hue[0.0368860432014438, 1, 1], 
      Hue[0.0368860432014438, 1, 1], 
      Hue[0.037178917752234995`, 1, 1], 
      Hue[0.037178917752234995`, 1, 1], 
      Hue[0.0374717923030262, 1, 1], 
      Hue[0.0374717923030262, 1, 1], 
      Hue[0.0377646668538174, 1, 1], 
      Hue[0.0377646668538174, 1, 1], 
      Hue[0.038057541404608604`, 1, 1], 
      Hue[0.038057541404608604`, 1, 1], 
      Hue[0.03835041595539981, 1, 1], 
      Hue[0.03835041595539981, 1, 1], 
      Hue[0.038936165056982296`, 1, 1], 
      Hue[0.038936165056982296`, 1, 1], 
      Hue[0.03922903960777349, 1, 1], 
      Hue[0.03922903960777349, 1, 1], 
      Hue[0.03952191415856477, 1, 1], 
      Hue[0.03952191415856477, 1, 1], 
      Hue[0.04010766326014716, 1, 1], 
      Hue[0.04010766326014716, 1, 1], 
      Hue[0.041279161463311974`, 1, 1], 
      Hue[0.041279161463311974`, 1, 1], 
      Hue[0.04159667103713255, 1, 1], 
      Hue[0.04159667103713255, 1, 1], 
      Hue[0.041914180610953145`, 1, 1], 
      Hue[0.041914180610953145`, 1, 1], 
      Hue[0.042549199758594294`, 1, 1], 
      Hue[0.042549199758594294`, 1, 1], 
      Hue[0.04286670933241487, 1, 1], 
      Hue[0.04286670933241487, 1, 1], 
      Hue[0.04318421890623546, 1, 1], 
      Hue[0.04318421890623546, 1, 1], 
      Hue[0.04381923805387661, 1, 1], 
      Hue[0.04381923805387661, 1, 1], 
      Hue[0.04413674762769719, 1, 1], 
      Hue[0.04413674762769719, 1, 1], 
      Hue[0.044454257201517765`, 1, 1], 
      Hue[0.044454257201517765`, 1, 1], 
      Hue[0.04508927634915892, 1, 1], 
      Hue[0.04508927634915892, 1, 1], 
      Hue[0.04635931464444118, 1, 1], 
      Hue[0.04635931464444118, 1, 1], 
      Hue[0.04667682421826168, 1, 1], 
      Hue[0.04667682421826168, 1, 1], 
      Hue[0.04699433379208225, 1, 1], 
      Hue[0.04699433379208225, 1, 1], 
      Hue[0.04762935293972342, 1, 1], 
      Hue[0.04762935293972342, 1, 1], 
      Hue[0.04889939123500574, 1, 1], 
      Hue[0.04889939123500574, 1, 1], 
      Hue[0.049216900808826305`, 1, 1], 
      Hue[0.049216900808826305`, 1, 1], 
      Hue[0.049534410382646894`, 1, 1], 
      Hue[0.049534410382646894`, 1, 1], 
      Hue[0.05016942953028804, 1, 1], 
      Hue[0.05016942953028804, 1, 1], 
      Hue[0.05143946782557037, 1, 1], 
      Hue[0.05143946782557037, 1, 1], 
      Hue[0.05175697739939095, 1, 1], 
      Hue[0.05175697739939095, 1, 1], 
      Hue[0.05207448697321152, 1, 1], 
      Hue[0.05207448697321152, 1, 1], 
      Hue[0.052709506120852685`, 1, 1], 
      Hue[0.052709506120852685`, 1, 1], 
      Hue[0.05397954441613492, 1, 1], 
      Hue[0.05397954441613492, 1, 1], 
      Hue[0.054297053989955435`, 1, 1], 
      Hue[0.054297053989955435`, 1, 1], 
      Hue[0.05461456356377601, 1, 1], 
      Hue[0.05461456356377601, 1, 1], 
      Hue[0.05524958271141718, 1, 1], 
      Hue[0.05524958271141718, 1, 1], 
      Hue[0.05651962100669948, 1, 1], 
      Hue[0.05651962100669948, 1, 1], 
      Hue[0.05683713058052007, 1, 1], 
      Hue[0.05683713058052007, 1, 1], 
      Hue[0.05715464015434064, 1, 1], 
      Hue[0.05715464015434064, 1, 1], 
      Hue[0.05778965930198181, 1, 1], 
      Hue[0.05778965930198181, 1, 1], 
      Hue[0.059059697597264114`, 1, 1], 
      Hue[0.059059697597264114`, 1, 1], 
      Hue[0.06159977418782867, 1, 1], 
      Hue[0.06159977418782867, 1, 1], 
      Hue[0.06189624294004133, 1, 1], 
      Hue[0.06189624294004133, 1, 1], 
      Hue[0.062192711692253905`, 1, 1], 
      Hue[0.062192711692253905`, 1, 1], 
      Hue[0.06278564919667906, 1, 1], 
      Hue[0.06278564919667906, 1, 1], 
      Hue[0.0639715242055294, 1, 1], 
      Hue[0.0639715242055294, 1, 1], 
      Hue[0.06634327422323016, 1, 1], 
      Hue[0.06634327422323016, 1, 1], 
      Hue[0.06663974297544274, 1, 1], 
      Hue[0.06663974297544274, 1, 1], 
      Hue[0.06693621172765533, 1, 1], 
      Hue[0.06693621172765533, 1, 1], 
      Hue[0.06752914923208049, 1, 1], 
      Hue[0.06752914923208049, 1, 1], 
      Hue[0.0687150242409309, 1, 1], 
      Hue[0.0687150242409309, 1, 1], 
      Hue[0.0710867742586316, 1, 1], 
      Hue[0.0710867742586316, 1, 1], 
      Hue[0.07138324301084417, 1, 1], 
      Hue[0.07138324301084417, 1, 1], 
      Hue[0.07167971176305678, 1, 1], 
      Hue[0.07167971176305678, 1, 1], 
      Hue[0.0722726492674819, 1, 1], 
      Hue[0.0722726492674819, 1, 1], 
      Hue[0.0734585242763323, 1, 1], 
      Hue[0.0734585242763323, 1, 1], 
      Hue[0.07583027429403305, 1, 1], 
      Hue[0.07583027429403305, 1, 1], 
      Hue[0.0761267430462456, 1, 1], 
      Hue[0.0761267430462456, 1, 1], 
      Hue[0.07642321179845818, 1, 1], 
      Hue[0.07642321179845818, 1, 1], 
      Hue[0.07701614930288336, 1, 1], 
      Hue[0.07701614930288336, 1, 1], 
      Hue[0.07820202431173373, 1, 1], 
      Hue[0.07820202431173373, 1, 1], 
      Hue[0.08057377432943444, 1, 1], 
      Hue[0.08057377432943444, 1, 1], 
      Hue[0.0808644275415848, 1, 1], 
      Hue[0.0808644275415848, 1, 1], 
      Hue[0.08115508075373519, 1, 1], 
      Hue[0.08115508075373519, 1, 1], 
      Hue[0.08173638717803601, 1, 1], 
      Hue[0.08173638717803601, 1, 1], 
      Hue[0.08202704039018638, 1, 1], 
      Hue[0.08202704039018638, 1, 1], 
      Hue[0.08231769360233682, 1, 1], 
      Hue[0.08231769360233682, 1, 1], 
      Hue[0.0826083468144872, 1, 1], 
      Hue[0.0826083468144872, 1, 1], 
      Hue[0.08289900002663755, 1, 1], 
      Hue[0.08289900002663755, 1, 1], 
      Hue[0.08318965323878794, 1, 1], 
      Hue[0.08318965323878794, 1, 1], 
      Hue[0.5834803064509383, 1, 1], 
      Hue[0.5834803064509383, 1, 1], 
      Hue[0.5837709596630887, 1, 1], 
      Hue[0.5837709596630887, 1, 1], 
      Hue[0.5840616128752392, 1, 1], 
      Hue[0.5840616128752392, 1, 1], 
      Hue[0.5843522660873894, 1, 1], 
      Hue[0.5843522660873894, 1, 1], 
      Hue[0.5846429192995399, 1, 1], 
      Hue[0.5846429192995399, 1, 1], 
      Hue[0.5852242257238407, 1, 1], 
      Hue[0.5852242257238407, 1, 1], 
      Hue[0.5855148789359912, 1, 1], 
      Hue[0.5855148789359912, 1, 1], 
      Hue[0.5858055321481415, 1, 1], 
      Hue[0.5858055321481415, 1, 1], 
      Hue[0.5863868385724422, 1, 1], 
      Hue[0.5863868385724422, 1, 1], 
      Hue[0.5875494514210438, 1, 1], 
      Hue[0.5875494514210438, 1, 1], 
      Hue[0.5898746771182469, 1, 1], 
      Hue[0.5898746771182469, 1, 1], 
      Hue[0.5901653303303972, 1, 1], 
      Hue[0.5901653303303972, 1, 1], 
      Hue[0.5904559835425476, 1, 1], 
      Hue[0.5904559835425476, 1, 1], 
      Hue[0.5910372899668483, 1, 1], 
      Hue[0.5910372899668483, 1, 1], 
      Hue[0.5921999028154499, 1, 1], 
      Hue[0.5921999028154499, 1, 1], 
      Hue[0.594525128512653, 1, 1], 
      Hue[0.594525128512653, 1, 1], 
      Hue[0.5991755799070593, 1, 1], 
      Hue[0.5991755799070593, 1, 1], 
      Hue[0.5994908681422391, 1, 1], 
      Hue[0.5994908681422391, 1, 1], 
      Hue[0.5998061563774189, 1, 1], 
      Hue[0.5998061563774189, 1, 1], 
      Hue[0.6004367328477782, 1, 1], 
      Hue[0.6004367328477782, 1, 1], 
      Hue[0.6016978857884973, 1, 1], 
      Hue[0.6016978857884973, 1, 1], 
      Hue[0.6042201916699352, 1, 1], 
      Hue[0.6042201916699352, 1, 1], 
      Hue[0.6092648034328112, 1, 1], 
      Hue[0.6092648034328112, 1, 1], 
      Hue[0.6193540269585631, 1, 1], 
      Hue[0.6193540269585631, 1, 1], 
      Hue[0.6381858614271563, 1, 1], 
      Hue[0.6381858614271563, 1, 1], 
      Hue[0.6385047438637574, 1, 1], 
      Hue[0.6385047438637574, 1, 1], 
      Hue[0.6388236263003584, 1, 1], 
      Hue[0.6388236263003584, 1, 1], 
      Hue[0.6394613911735607, 1, 1], 
      Hue[0.6394613911735607, 1, 1], 
      Hue[0.6407369209199651, 1, 1], 
      Hue[0.6407369209199651, 1, 1], 
      Hue[0.6432879804127742, 1, 1], 
      Hue[0.6432879804127742, 1, 1], 
      Hue[0.6483900993983922, 1, 1], 
      Hue[0.6483900993983922, 1, 1], 
      Hue[0.6487089818349934, 1, 1], 
      Hue[0.6487089818349934, 1, 1], 
      Hue[0.6490278642715945, 1, 1], 
      Hue[0.6490278642715945, 1, 1], 
      Hue[0.6496656291447966, 1, 1], 
      Hue[0.6496656291447966, 1, 1], 
      Hue[0.6509411588912013, 1, 1], 
      Hue[0.6509411588912013, 1, 1], 
      Hue[0.6534922183840102, 1, 1], 
      Hue[0.6534922183840102, 1, 1], 
      Hue[0.6585943373696282, 1, 1], 
      Hue[0.6585943373696282, 1, 1], 
      Hue[0.6589074042661671, 1, 1], 
      Hue[0.6589074042661671, 1, 1], 
      Hue[0.6592204711627061, 1, 1], 
      Hue[0.6592204711627061, 1, 1], 
      Hue[0.6598466049557838, 1, 1], 
      Hue[0.6598466049557838, 1, 1], 
      Hue[0.6610988725419396, 1, 1], 
      Hue[0.6610988725419396, 1, 1], 
      Hue[0.6636034077142511, 1, 1], 
      Hue[0.6636034077142511, 1, 1], 
      Hue[0.66391647461079, 1, 1], 
      Hue[0.66391647461079, 1, 1], 
      Hue[0.6642295415073289, 1, 1], 
      Hue[0.6642295415073289, 1, 1], 
      Hue[0.6648556753004067, 1, 1], 
      Hue[0.6648556753004067, 1, 1], 
      Hue[0.6661079428865624, 1, 1], 
      Hue[0.6661079428865624, 1, 1], 
      Hue[0.6686124780588738, 1, 1], 
      Hue[0.6686124780588738, 1, 1], 
      Hue[0.6689255449554127, 1, 1], 
      Hue[0.6689255449554127, 1, 1], 
      Hue[0.6692386118519515, 1, 1], 
      Hue[0.6692386118519515, 1, 1], 
      Hue[0.6698647456450295, 1, 1], 
      Hue[0.6698647456450295, 1, 1], 
      Hue[0.6711170132311852, 1, 1], 
      Hue[0.6711170132311852, 1, 1], 
      Hue[0.6714300801277242, 1, 1], 
      Hue[0.6714300801277242, 1, 1], 
      Hue[0.6717431470242632, 1, 1], 
      Hue[0.6717431470242632, 1, 1], 
      Hue[0.6723692808173409, 1, 1], 
      Hue[0.6723692808173409, 1, 1], 
      Hue[0.6736215484034966, 1, 1], 
      Hue[0.6736215484034966, 1, 1], 
      Hue[0.6739346153000356, 1, 1], 
      Hue[0.6739346153000356, 1, 1], 
      Hue[0.6742476821965744, 1, 1], 
      Hue[0.6742476821965744, 1, 1], 
      Hue[0.6748738159896523, 1, 1], 
      Hue[0.6748738159896523, 1, 1], 
      Hue[0.6761260835758081, 1, 1], 
      Hue[0.6761260835758081, 1, 1], 
      Hue[0.6786306187481195, 1, 1], 
      Hue[0.6786306187481195, 1, 1], 
      Hue[0.6789226448230503, 1, 1], 
      Hue[0.6789226448230503, 1, 1], 
      Hue[0.6792146708979814, 1, 1], 
      Hue[0.6792146708979814, 1, 1], 
      Hue[0.6797987230478432, 1, 1], 
      Hue[0.6797987230478432, 1, 1], 
      Hue[0.680966827347567, 1, 1], 
      Hue[0.680966827347567, 1, 1], 
      Hue[0.6812588534224979, 1, 1], 
      Hue[0.6812588534224979, 1, 1], 
      Hue[0.6815508794974288, 1, 1], 
      Hue[0.6815508794974288, 1, 1], 
      Hue[0.6821349316472908, 1, 1], 
      Hue[0.6821349316472908, 1, 1], 
      Hue[0.6833030359470145, 1, 1], 
      Hue[0.6833030359470145, 1, 1], 
      Hue[0.6835950620219453, 1, 1], 
      Hue[0.6835950620219453, 1, 1], 
      Hue[0.6838870880968764, 1, 1], 
      Hue[0.6838870880968764, 1, 1], 
      Hue[0.6844711402467383, 1, 1], 
      Hue[0.6844711402467383, 1, 1], 
      Hue[0.6847631663216691, 1, 1], 
      Hue[0.6847631663216691, 1, 1], 
      Hue[0.6850551923966001, 1, 1], 
      Hue[0.6850551923966001, 1, 1], 
      Hue[0.685639244546462, 1, 1], 
      Hue[0.685639244546462, 1, 1], 
      Hue[0.6859312706213929, 1, 1], 
      Hue[0.6859312706213929, 1, 1], 
      Hue[0.6862232966963239, 1, 1], 
      Hue[0.6862232966963239, 1, 1], 
      Hue[0.6865153227712548, 1, 1], 
      Hue[0.6865153227712548, 1, 1], 
      Hue[0.6868073488461858, 1, 1], 
      Hue[0.6868073488461858, 1, 1], 
      Hue[0.6870993749211167, 1, 1], 
      Hue[0.6870993749211167, 1, 1], 
      Hue[0.6873914009960477, 1, 1], 
      Hue[0.6873914009960477, 1, 1], 
      Hue[0.6876834270709786, 1, 1], 
      Hue[0.6876834270709786, 1, 1], 
      Hue[0.6879754531459095, 1, 1], 
      Hue[0.6879754531459095, 1, 1], 
      Hue[0.6882674792208405, 1, 1], 
      Hue[0.6882674792208405, 1, 1], 
      Hue[0.6885595052957714, 1, 1], 
      Hue[0.6885595052957714, 1, 1], 
      Hue[0.6888515313707023, 1, 1], 
      Hue[0.6888515313707023, 1, 1], 
      Hue[0.6891435574456333, 1, 1], 
      Hue[0.6891435574456333, 1, 1], 
      Hue[0.6894355835205642, 1, 1], 
      Hue[0.6894355835205642, 1, 1], 
      Hue[0.6897276095954952, 1, 1], 
      Hue[0.6897276095954952, 1, 1], 
      Hue[0.6900196356704261, 1, 1], 
      Hue[0.6900196356704261, 1, 1], 
      Hue[0.6903116617453571, 1, 1], 
      Hue[0.6903116617453571, 1, 1], 
      Hue[0.6906036878202879, 1, 1], 
      Hue[0.6906036878202879, 1, 1], 
      Hue[0.690895713895219, 1, 1], 
      Hue[0.690895713895219, 1, 1], 
      Hue[0.6911877399701498, 1, 1], 
      Hue[0.6911877399701498, 1, 1], 
      Hue[0.6914797660450809, 1, 1], 
      Hue[0.6914797660450809, 1, 1], 
      Hue[0.6917717921200117, 1, 1], 
      Hue[0.6917717921200117, 1, 1], 
      Hue[0.6920638181949428, 1, 1], 
      Hue[0.6920638181949428, 1, 1], 
      Hue[0.6923558442698736, 1, 1], 
      Hue[0.6923558442698736, 1, 1], 
      Hue[0.6926478703448045, 1, 1], 
      Hue[0.6926478703448045, 1, 1], 
      Hue[0.6929398964197355, 1, 1], 
      Hue[0.6929398964197355, 1, 1], 
      Hue[0.6932319224946665, 1, 1], 
      Hue[0.6932319224946665, 1, 1], 
      Hue[0.6935239485695974, 1, 1], 
      Hue[0.6935239485695974, 1, 1], 
      Hue[0.6938159746445283, 1, 1], 
      Hue[0.6938159746445283, 1, 1], 
      Hue[0.6941080007194593, 1, 1], 
      Hue[0.6941080007194593, 1, 1], 
      Hue[0.6944000267943902, 1, 1], 
      Hue[0.6944000267943902, 1, 1], 
      Hue[0.6949840789442521, 1, 1], 
      Hue[0.6949840789442521, 1, 1], 
      Hue[0.6952761050191831, 1, 1], 
      Hue[0.6952761050191831, 1, 1], 
      Hue[0.695568131094114, 1, 1], 
      Hue[0.695568131094114, 1, 1], 
      Hue[0.6961521832439759, 1, 1], 
      Hue[0.6961521832439759, 1, 1], 
      Hue[0.6964442093189067, 1, 1], 
      Hue[0.6964442093189067, 1, 1], 
      Hue[0.6967362353938378, 1, 1], 
      Hue[0.6967362353938378, 1, 1], 
      Hue[0.6973202875436997, 1, 1], 
      Hue[0.6973202875436997, 1, 1], 
      Hue[0.6976369486416599, 1, 1], 
      Hue[0.6976369486416599, 1, 1], 
      Hue[0.6979536097396202, 1, 1], 
      Hue[0.6979536097396202, 1, 1], 
      Hue[0.6985869319355409, 1, 1], 
      Hue[0.6985869319355409, 1, 1], 
      Hue[0.6989035930335011, 1, 1], 
      Hue[0.6989035930335011, 1, 1], 
      Hue[0.6992202541314614, 1, 1], 
      Hue[0.6992202541314614, 1, 1], 
      Hue[0.6998535763273821, 1, 1], 
      Hue[0.6998535763273821, 1, 1], 
      Hue[0.7001702374253423, 1, 1], 
      Hue[0.7001702374253423, 1, 1], 
      Hue[0.7004868985233027, 1, 1], 
      Hue[0.7004868985233027, 1, 1], 
      Hue[0.7011202207192233, 1, 1], 
      Hue[0.7011202207192233, 1, 1], 
      Hue[0.7023868651110645, 1, 1], 
      Hue[0.7023868651110645, 1, 1], 
      Hue[0.7027035262090247, 1, 1], 
      Hue[0.7027035262090247, 1, 1], 
      Hue[0.703020187306985, 1, 1], 
      Hue[0.703020187306985, 1, 1], 
      Hue[0.7036535095029056, 1, 1], 
      Hue[0.7036535095029056, 1, 1], 
      Hue[0.7049201538947468, 1, 1], 
      Hue[0.7049201538947468, 1, 1], 
      Hue[0.7052368149927071, 1, 1], 
      Hue[0.7052368149927071, 1, 1], 
      Hue[0.7055534760906674, 1, 1], 
      Hue[0.7055534760906674, 1, 1], 
      Hue[0.706186798286588, 1, 1], 
      Hue[0.706186798286588, 1, 1], 
      Hue[0.7074534426784292, 1, 1], 
      Hue[0.7074534426784292, 1, 1], 
      Hue[0.7077701037763895, 1, 1], 
      Hue[0.7077701037763895, 1, 1], 
      Hue[0.7080867648743498, 1, 1], 
      Hue[0.7080867648743498, 1, 1], 
      Hue[0.7087200870702705, 1, 1], 
      Hue[0.7087200870702705, 1, 1], 
      Hue[0.7099867314621116, 1, 1], 
      Hue[0.7099867314621116, 1, 1], 
      Hue[0.7103033925600719, 1, 1], 
      Hue[0.7103033925600719, 1, 1], 
      Hue[0.7106200536580323, 1, 1], 
      Hue[0.7106200536580323, 1, 1], 
      Hue[0.7112533758539528, 1, 1], 
      Hue[0.7112533758539528, 1, 1], 
      Hue[0.712520020245794, 1, 1], 
      Hue[0.712520020245794, 1, 1], 
      Hue[0.7128366813437543, 1, 1], 
      Hue[0.7128366813437543, 1, 1], 
      Hue[0.7131533424417147, 1, 1], 
      Hue[0.7131533424417147, 1, 1], 
      Hue[0.7137866646376352, 1, 1], 
      Hue[0.7137866646376352, 1, 1], 
      Hue[0.7150533090294765, 1, 1], 
      Hue[0.7150533090294765, 1, 1], 
      Hue[0.7175865978131588, 1, 1], 
      Hue[0.7175865978131588, 1, 1], 
      Hue[0.7178822180895112, 1, 1], 
      Hue[0.7178822180895112, 1, 1], 
      Hue[0.7181778383658635, 1, 1], 
      Hue[0.7181778383658635, 1, 1], 
      Hue[0.7187690789185681, 1, 1], 
      Hue[0.7187690789185681, 1, 1], 
      Hue[0.7199515600239774, 1, 1], 
      Hue[0.7199515600239774, 1, 1], 
      Hue[0.7223165222347959, 1, 1], 
      Hue[0.7223165222347959, 1, 1], 
      Hue[0.7226121425111482, 1, 1], 
      Hue[0.7226121425111482, 1, 1], 
      Hue[0.7229077627875006, 1, 1], 
      Hue[0.7229077627875006, 1, 1], 
      Hue[0.7234990033402051, 1, 1], 
      Hue[0.7234990033402051, 1, 1], 
      Hue[0.7246814844456145, 1, 1], 
      Hue[0.7246814844456145, 1, 1], 
      Hue[0.727046446656433, 1, 1], 
      Hue[0.727046446656433, 1, 1], 
      Hue[0.7273420669327854, 1, 1], 
      Hue[0.7273420669327854, 1, 1], 
      Hue[0.7276376872091377, 1, 1], 
      Hue[0.7276376872091377, 1, 1], 
      Hue[0.7282289277618423, 1, 1], 
      Hue[0.7282289277618423, 1, 1], 
      Hue[0.7294114088672516, 1, 1], 
      Hue[0.7294114088672516, 1, 1], 
      Hue[0.7317763710780701, 1, 1], 
      Hue[0.7317763710780701, 1, 1], 
      Hue[0.7365062954997073, 1, 1], 
      Hue[0.7365062954997073, 1, 1], 
      Hue[0.7367961002359974, 1, 1], 
      Hue[0.7367961002359974, 1, 1], 
      Hue[0.7370859049722875, 1, 1], 
      Hue[0.7370859049722875, 1, 1], 
      Hue[0.7376655144448678, 1, 1], 
      Hue[0.7376655144448678, 1, 1], 
      Hue[0.7388247333900282, 1, 1], 
      Hue[0.7388247333900282, 1, 1], 
      Hue[0.7411431712803491, 1, 1], 
      Hue[0.7411431712803491, 1, 1], 
      Hue[0.7414329760166393, 1, 1], 
      Hue[0.7414329760166393, 1, 1], 
      Hue[0.7417227807529294, 1, 1], 
      Hue[0.7417227807529294, 1, 1], 
      Hue[0.7423023902255096, 1, 1], 
      Hue[0.7423023902255096, 1, 1], 
      Hue[0.7434616091706701, 1, 1], 
      Hue[0.7434616091706701, 1, 1], 
      Hue[0.745780047060991, 1, 1], 
      Hue[0.745780047060991, 1, 1], 
      Hue[0.7460698517972811, 1, 1], 
      Hue[0.7460698517972811, 1, 1], 
      Hue[0.7463596565335713, 1, 1], 
      Hue[0.7463596565335713, 1, 1], 
      Hue[0.7469392660061515, 1, 1], 
      Hue[0.7469392660061515, 1, 1], 
      Hue[0.7472290707424416, 1, 1], 
      Hue[0.7472290707424416, 1, 1], 
      Hue[0.7475188754787316, 1, 1], 
      Hue[0.7475188754787316, 1, 1], 
      Hue[0.7480984849513119, 1, 1], 
      Hue[0.7480984849513119, 1, 1], 
      Hue[0.7483882896876021, 1, 1], 
      Hue[0.7483882896876021, 1, 1], 
      Hue[0.7486780944238922, 1, 1], 
      Hue[0.7486780944238922, 1, 1], 
      Hue[0.7489678991601822, 1, 1], 
      Hue[0.7489678991601822, 1, 1], 
      Hue[0.7492577038964724, 1, 1], 
      Hue[0.7492577038964724, 1, 1], 
      Hue[0.7495475086327625, 1, 1], 
      Hue[0.7495475086327625, 1, 1], 
      Hue[0.7498373133690526, 1, 1], 
      Hue[0.7498373133690526, 1, 1], 
      Hue[0.2501271181053427, 1, 1], 
      Hue[0.2501271181053427, 1, 1], 
      Hue[0.25041692284163286`, 1, 1], 
      Hue[0.25041692284163286`, 1, 1], 
      Hue[0.25070672757792295`, 1, 1], 
      Hue[0.25070672757792295`, 1, 1], 
      Hue[0.2509965323142131, 1, 1], 
      Hue[0.2509965323142131, 1, 1], 
      Hue[0.25157614178679333`, 1, 1], 
      Hue[0.25157614178679333`, 1, 1], 
      Hue[0.2527353607319538, 1, 1], 
      Hue[0.2527353607319538, 1, 1], 
      Hue[0.25505379862227473`, 1, 1], 
      Hue[0.25505379862227473`, 1, 1], 
      Hue[0.2553682383815942, 1, 1], 
      Hue[0.2553682383815942, 1, 1], 
      Hue[0.2556826781409137, 1, 1], 
      Hue[0.2556826781409137, 1, 1], 
      Hue[0.25631155765955266`, 1, 1], 
      Hue[0.25631155765955266`, 1, 1], 
      Hue[0.2575693166968306, 1, 1], 
      Hue[0.2575693166968306, 1, 1], 
      Hue[0.2600848347713864, 1, 1], 
      Hue[0.2600848347713864, 1, 1], 
      Hue[0.265115870920498, 1, 1], 
      Hue[0.265115870920498, 1, 1], 
      Hue[0.27517794321872124`, 1, 1], 
      Hue[0.27517794321872124`, 1, 1], 
      Hue[0.29395547523225685`, 1, 1], 
      Hue[0.29395547523225685`, 1, 1], 
      Hue[0.2942735091929977, 1, 1], 
      Hue[0.2942735091929977, 1, 1], 
      Hue[0.29459154315373853`, 1, 1], 
      Hue[0.29459154315373853`, 1, 1], 
      Hue[0.2952276110752203, 1, 1], 
      Hue[0.2952276110752203, 1, 1], 
      Hue[0.29649974691818365`, 1, 1], 
      Hue[0.29649974691818365`, 1, 1], 
      Hue[0.2990440186041105, 1, 1], 
      Hue[0.2990440186041105, 1, 1], 
      Hue[0.30413256197596417`, 1, 1], 
      Hue[0.30413256197596417`, 1, 1], 
      Hue[0.30445059593670504`, 1, 1], 
      Hue[0.30445059593670504`, 1, 1], 
      Hue[0.30476862989744585`, 1, 1], 
      Hue[0.30476862989744585`, 1, 1], 
      Hue[0.3054046978189276, 1, 1], 
      Hue[0.3054046978189276, 1, 1], 
      Hue[0.30667683366189097`, 1, 1], 
      Hue[0.30667683366189097`, 1, 1], 
      Hue[0.3092211053478178, 1, 1], 
      Hue[0.3092211053478178, 1, 1], 
      Hue[0.3143096487196715, 1, 1], 
      Hue[0.3143096487196715, 1, 1], 
      Hue[0.3146218671403501, 1, 1], 
      Hue[0.3146218671403501, 1, 1], 
      Hue[0.3149340855610288, 1, 1], 
      Hue[0.3149340855610288, 1, 1], 
      Hue[0.31555852240238613`, 1, 1], 
      Hue[0.31555852240238613`, 1, 1], 
      Hue[0.3168073960851007, 1, 1], 
      Hue[0.3168073960851007, 1, 1], 
      Hue[0.31930514345052996`, 1, 1], 
      Hue[0.31930514345052996`, 1, 1], 
      Hue[0.3196173618712086, 1, 1], 
      Hue[0.3196173618712086, 1, 1], 
      Hue[0.3199295802918873, 1, 1], 
      Hue[0.3199295802918873, 1, 1], 
      Hue[0.32055401713324455`, 1, 1], 
      Hue[0.32055401713324455`, 1, 1], 
      Hue[0.3218028908159592, 1, 1], 
      Hue[0.3218028908159592, 1, 1], 
      Hue[0.3243006381813883, 1, 1], 
      Hue[0.3243006381813883, 1, 1], 
      Hue[0.324612856602067, 1, 1], 
      Hue[0.324612856602067, 1, 1], 
      Hue[0.32492507502274565`, 1, 1], 
      Hue[0.32492507502274565`, 1, 1], 
      Hue[0.32554951186410297`, 1, 1], 
      Hue[0.32554951186410297`, 1, 1], 
      Hue[0.32679838554681756`, 1, 1], 
      Hue[0.32679838554681756`, 1, 1], 
      Hue[0.32711060396749625`, 1, 1], 
      Hue[0.32711060396749625`, 1, 1], 
      Hue[0.32742282238817483`, 1, 1], 
      Hue[0.32742282238817483`, 1, 1], 
      Hue[0.32804725922953215`, 1, 1], 
      Hue[0.32804725922953215`, 1, 1], 
      Hue[0.3292961329122468, 1, 1], 
      Hue[0.3292961329122468, 1, 1], 
      Hue[0.32960835133292543`, 1, 1], 
      Hue[0.32960835133292543`, 1, 1], 
      Hue[0.32992056975360406`, 1, 1], 
      Hue[0.32992056975360406`, 1, 1], 
      Hue[0.3305450065949614, 1, 1], 
      Hue[0.3305450065949614, 1, 1], 
      Hue[0.331793880277676, 1, 1], 
      Hue[0.331793880277676, 1, 1], 
      Hue[0.3342916276431052, 1, 1], 
      Hue[0.3342916276431052, 1, 1], 
      Hue[0.33458280524217593`, 1, 1], 
      Hue[0.33458280524217593`, 1, 1], 
      Hue[0.3348739828412466, 1, 1], 
      Hue[0.3348739828412466, 1, 1], 
      Hue[0.3354563380393879, 1, 1], 
      Hue[0.3354563380393879, 1, 1], 
      Hue[0.3366210484356706, 1, 1], 
      Hue[0.3366210484356706, 1, 1], 
      Hue[0.3369122260347413, 1, 1], 
      Hue[0.3369122260347413, 1, 1], 
      Hue[0.33720340363381196`, 1, 1], 
      Hue[0.33720340363381196`, 1, 1], 
      Hue[0.3377857588319533, 1, 1], 
      Hue[0.3377857588319533, 1, 1], 
      Hue[0.33895046922823596`, 1, 1], 
      Hue[0.33895046922823596`, 1, 1], 
      Hue[0.3392416468273066, 1, 1], 
      Hue[0.3392416468273066, 1, 1], 
      Hue[0.3395328244263773, 1, 1], 
      Hue[0.3395328244263773, 1, 1], 
      Hue[0.34011517962451865`, 1, 1], 
      Hue[0.34011517962451865`, 1, 1], 
      Hue[0.3404063572235893, 1, 1], 
      Hue[0.3404063572235893, 1, 1], 
      Hue[0.34069753482265996`, 1, 1], 
      Hue[0.34069753482265996`, 1, 1], 
      Hue[0.34127989002080134`, 1, 1], 
      Hue[0.34127989002080134`, 1, 1], 
      Hue[0.341571067619872, 1, 1], 
      Hue[0.341571067619872, 1, 1], 
      Hue[0.34186224521894265`, 1, 1], 
      Hue[0.34186224521894265`, 1, 1], 
      Hue[0.34215342281801336`, 1, 1], 
      Hue[0.34215342281801336`, 1, 1], 
      Hue[0.34244460041708397`, 1, 1], 
      Hue[0.34244460041708397`, 1, 1], 
      Hue[0.3427357780161546, 1, 1], 
      Hue[0.3427357780161546, 1, 1], 
      Hue[0.34302695561522534`, 1, 1], 
      Hue[0.34302695561522534`, 1, 1], 
      Hue[0.34360931081336665`, 1, 1], 
      Hue[0.34360931081336665`, 1, 1], 
      Hue[0.34390048841243737`, 1, 1], 
      Hue[0.34390048841243737`, 1, 1], 
      Hue[0.344191666011508, 1, 1], 
      Hue[0.344191666011508, 1, 1], 
      Hue[0.34448284361057874`, 1, 1], 
      Hue[0.34448284361057874`, 1, 1], 
      Hue[0.34477402120964934`, 1, 1], 
      Hue[0.34477402120964934`, 1, 1], 
      Hue[0.34506519880872, 1, 1], 
      Hue[0.34506519880872, 1, 1], 
      Hue[0.3453563764077907, 1, 1], 
      Hue[0.3453563764077907, 1, 1], 
      Hue[0.3456475540068613, 1, 1], 
      Hue[0.3456475540068613, 1, 1], 
      Hue[0.345938731605932, 1, 1], 
      Hue[0.345938731605932, 1, 1], 
      Hue[0.3462299092050027, 1, 1], 
      Hue[0.3462299092050027, 1, 1], 
      Hue[0.34652108680407334`, 1, 1], 
      Hue[0.34652108680407334`, 1, 1], 
      Hue[0.346812264403144, 1, 1], 
      Hue[0.346812264403144, 1, 1], 
      Hue[0.34710344200221466`, 1, 1], 
      Hue[0.34710344200221466`, 1, 1], 
      Hue[0.34739461960128537`, 1, 1], 
      Hue[0.34739461960128537`, 1, 1], 
      Hue[0.3476857972003561, 1, 1], 
      Hue[0.3476857972003561, 1, 1], 
      Hue[0.34797697479942674`, 1, 1], 
      Hue[0.34797697479942674`, 1, 1], 
      Hue[0.3482681523984974, 1, 1], 
      Hue[0.3482681523984974, 1, 1], 
      Hue[0.34855932999756806`, 1, 1], 
      Hue[0.34855932999756806`, 1, 1], 
      Hue[0.34885050759663877`, 1, 1], 
      Hue[0.34885050759663877`, 1, 1], 
      Hue[0.34914168519570943`, 1, 1], 
      Hue[0.34914168519570943`, 1, 1], 
      Hue[0.34943286279478003`, 1, 1], 
      Hue[0.34943286279478003`, 1, 1], 
      Hue[0.34972404039385074`, 1, 1], 
      Hue[0.34972404039385074`, 1, 1], 
      Hue[0.35001521799292146`, 1, 1], 
      Hue[0.35001521799292146`, 1, 1], 
      Hue[0.3503063955919921, 1, 1], 
      Hue[0.3503063955919921, 1, 1], 
      Hue[0.3505975731910627, 1, 1], 
      Hue[0.3505975731910627, 1, 1], 
      Hue[0.35088875079013343`, 1, 1], 
      Hue[0.35088875079013343`, 1, 1], 
      Hue[0.3511799283892041, 1, 1], 
      Hue[0.3511799283892041, 1, 1], 
      Hue[0.3514711059882747, 1, 1], 
      Hue[0.3514711059882747, 1, 1], 
      Hue[0.3517622835873454, 1, 1], 
      Hue[0.3517622835873454, 1, 1], 
      Hue[0.3520534611864161, 1, 1], 
      Hue[0.3520534611864161, 1, 1], 
      Hue[0.3523446387854868, 1, 1], 
      Hue[0.3523446387854868, 1, 1], 
      Hue[0.3529269939836281, 1, 1], 
      Hue[0.3529269939836281, 1, 1], 
      Hue[0.3532428066057281, 1, 1], 
      Hue[0.3532428066057281, 1, 1], 
      Hue[0.3535586192278281, 1, 1], 
      Hue[0.3535586192278281, 1, 1], 
      Hue[0.35419024447202824`, 1, 1], 
      Hue[0.35419024447202824`, 1, 1], 
      Hue[0.35450605709412825`, 1, 1], 
      Hue[0.35450605709412825`, 1, 1], 
      Hue[0.3548218697162283, 1, 1], 
      Hue[0.3548218697162283, 1, 1], 
      Hue[0.35545349496042833`, 1, 1], 
      Hue[0.35545349496042833`, 1, 1], 
      Hue[0.35576930758252834`, 1, 1], 
      Hue[0.35576930758252834`, 1, 1], 
      Hue[0.35608512020462846`, 1, 1], 
      Hue[0.35608512020462846`, 1, 1], 
      Hue[0.3567167454488285, 1, 1], 
      Hue[0.3567167454488285, 1, 1], 
      Hue[0.35797999593722857`, 1, 1], 
      Hue[0.35797999593722857`, 1, 1], 
      Hue[0.3582958085593286, 1, 1], 
      Hue[0.3582958085593286, 1, 1], 
      Hue[0.3586116211814287, 1, 1], 
      Hue[0.3586116211814287, 1, 1], 
      Hue[0.3592432464256287, 1, 1], 
      Hue[0.3592432464256287, 1, 1], 
      Hue[0.3605064969140288, 1, 1], 
      Hue[0.3605064969140288, 1, 1], 
      Hue[0.3608223095361288, 1, 1], 
      Hue[0.3608223095361288, 1, 1], 
      Hue[0.36113812215822894`, 1, 1], 
      Hue[0.36113812215822894`, 1, 1], 
      Hue[0.36176974740242895`, 1, 1], 
      Hue[0.36176974740242895`, 1, 1], 
      Hue[0.36303299789082905`, 1, 1], 
      Hue[0.36303299789082905`, 1, 1], 
      Hue[0.3633488105129291, 1, 1], 
      Hue[0.3633488105129291, 1, 1], 
      Hue[0.3636646231350291, 1, 1], 
      Hue[0.3636646231350291, 1, 1], 
      Hue[0.36429624837922914`, 1, 1], 
      Hue[0.36429624837922914`, 1, 1], 
      Hue[0.36555949886762934`, 1, 1], 
      Hue[0.36555949886762934`, 1, 1], 
      Hue[0.36587531148972935`, 1, 1], 
      Hue[0.36587531148972935`, 1, 1], 
      Hue[0.36619112411182936`, 1, 1], 
      Hue[0.36619112411182936`, 1, 1], 
      Hue[0.3668227493560294, 1, 1], 
      Hue[0.3668227493560294, 1, 1], 
      Hue[0.3680859998444296, 1, 1], 
      Hue[0.3680859998444296, 1, 1], 
      Hue[0.3684018124665296, 1, 1], 
      Hue[0.3684018124665296, 1, 1], 
      Hue[0.3687176250886296, 1, 1], 
      Hue[0.3687176250886296, 1, 1], 
      Hue[0.3693492503328296, 1, 1], 
      Hue[0.3693492503328296, 1, 1], 
      Hue[0.3706125008212298, 1, 1], 
      Hue[0.3706125008212298, 1, 1], 
      Hue[0.37313900179803006`, 1, 1], 
      Hue[0.37313900179803006`, 1, 1], 
      Hue[0.37343377359852203`, 1, 1], 
      Hue[0.37343377359852203`, 1, 1], 
      Hue[0.37372854539901407`, 1, 1], 
      Hue[0.37372854539901407`, 1, 1], 
      Hue[0.37431808899999824`, 1, 1], 
      Hue[0.37431808899999824`, 1, 1], 
      Hue[0.3754971762019664, 1, 1], 
      Hue[0.3754971762019664, 1, 1], 
      Hue[0.37785535060590275`, 1, 1], 
      Hue[0.37785535060590275`, 1, 1], 
      Hue[0.37815012240639484`, 1, 1], 
      Hue[0.37815012240639484`, 1, 1], 
      Hue[0.3784448942068869, 1, 1], 
      Hue[0.3784448942068869, 1, 1], 
      Hue[0.37903443780787094`, 1, 1], 
      Hue[0.37903443780787094`, 1, 1], 
      Hue[0.38021352500983907`, 1, 1], 
      Hue[0.38021352500983907`, 1, 1], 
      Hue[0.38257169941377545`, 1, 1], 
      Hue[0.38257169941377545`, 1, 1], 
      Hue[0.38286647121426753`, 1, 1], 
      Hue[0.38286647121426753`, 1, 1], 
      Hue[0.3831612430147596, 1, 1], 
      Hue[0.3831612430147596, 1, 1], 
      Hue[0.3837507866157437, 1, 1], 
      Hue[0.3837507866157437, 1, 1], 
      Hue[0.3849298738177119, 1, 1], 
      Hue[0.3849298738177119, 1, 1], 
      Hue[0.38728804822164825`, 1, 1], 
      Hue[0.38728804822164825`, 1, 1], 
      Hue[0.39200439702952106`, 1, 1], 
      Hue[0.39200439702952106`, 1, 1], 
      Hue[0.39232380385304244`, 1, 1], 
      Hue[0.39232380385304244`, 1, 1], 
      Hue[0.3926432106765638, 1, 1], 
      Hue[0.3926432106765638, 1, 1], 
      Hue[0.3932820243236066, 1, 1], 
      Hue[0.3932820243236066, 1, 1], 
      Hue[0.3945596516176923, 1, 1], 
      Hue[0.3945596516176923, 1, 1], 
      Hue[0.39711490620586354`, 1, 1], 
      Hue[0.39711490620586354`, 1, 1], 
      Hue[0.402225415382206, 1, 1], 
      Hue[0.402225415382206, 1, 1], 
      Hue[0.40254482220572746`, 1, 1], 
      Hue[0.40254482220572746`, 1, 1], 
      Hue[0.40286422902924884`, 1, 1], 
      Hue[0.40286422902924884`, 1, 1], 
      Hue[0.40350304267629167`, 1, 1], 
      Hue[0.40350304267629167`, 1, 1], 
      Hue[0.4047806699703773, 1, 1], 
      Hue[0.4047806699703773, 1, 1], 
      Hue[0.4073359245585486, 1, 1], 
      Hue[0.4073359245585486, 1, 1], 
      Hue[0.40765533138207, 1, 1], 
      Hue[0.40765533138207, 1, 1], 
      Hue[0.4079747382055914, 1, 1], 
      Hue[0.4079747382055914, 1, 1], 
      Hue[0.40861355185263415`, 1, 1], 
      Hue[0.40861355185263415`, 1, 1], 
      Hue[0.40989117914671985`, 1, 1], 
      Hue[0.40989117914671985`, 1, 1], 
      Hue[0.4124464337348911, 1, 1], 
      Hue[0.4124464337348911, 1, 1], 
      Hue[0.4127600250183503, 1, 1], 
      Hue[0.4127600250183503, 1, 1], 
      Hue[0.4130736163018095, 1, 1], 
      Hue[0.4130736163018095, 1, 1], 
      Hue[0.4137007988687279, 1, 1], 
      Hue[0.4137007988687279, 1, 1], 
      Hue[0.4140143901521871, 1, 1], 
      Hue[0.4140143901521871, 1, 1], 
      Hue[0.41432798143564636`, 1, 1], 
      Hue[0.41432798143564636`, 1, 1], 
      Hue[0.4149551640025647, 1, 1], 
      Hue[0.4149551640025647, 1, 1], 
      Hue[0.4152687552860239, 1, 1], 
      Hue[0.4152687552860239, 1, 1], 
      Hue[0.41558234656948306`, 1, 1], 
      Hue[0.41558234656948306`, 1, 1], 
      Hue[0.4158959378529423, 1, 1], 
      Hue[0.4158959378529423, 1, 1], 
      Hue[0.4162095291364016, 1, 1], 
      Hue[0.4162095291364016, 1, 1], 
      Hue[0.4165231204198608, 1, 1], 
      Hue[0.4165231204198608, 1, 1], 
      Hue[0.9168367117033199, 1, 1], 
      Hue[0.9168367117033199, 1, 1], 
      Hue[0.9171503029867791, 1, 1], 
      Hue[0.9171503029867791, 1, 1], 
      Hue[0.9174638942702383, 1, 1], 
      Hue[0.9174638942702383, 1, 1], 
      Hue[0.9177774855536975, 1, 1], 
      Hue[0.9177774855536975, 1, 1], 
      Hue[0.9180910768371567, 1, 1], 
      Hue[0.9180910768371567, 1, 1], 
      Hue[0.9187182594040751, 1, 1], 
      Hue[0.9187182594040751, 1, 1], 
      Hue[0.919972624537912, 1, 1], 
      Hue[0.919972624537912, 1, 1], 
      Hue[0.9224813548055857, 1, 1], 
      Hue[0.9224813548055857, 1, 1], 
      Hue[0.9227949460890449, 1, 1], 
      Hue[0.9227949460890449, 1, 1], 
      Hue[0.9231085373725041, 1, 1], 
      Hue[0.9231085373725041, 1, 1], 
      Hue[0.9237357199394225, 1, 1], 
      Hue[0.9237357199394225, 1, 1], 
      Hue[0.9249900850732593, 1, 1], 
      Hue[0.9249900850732593, 1, 1], 
      Hue[0.9274988153409329, 1, 1], 
      Hue[0.9274988153409329, 1, 1], 
      Hue[0.9325162758762802, 1, 1], 
      Hue[0.9325162758762802, 1, 1], 
      Hue[0.9328088263381314, 1, 1], 
      Hue[0.9328088263381314, 1, 1], 
      Hue[0.9331013767999826, 1, 1], 
      Hue[0.9331013767999826, 1, 1], 
      Hue[0.9336864777236851, 1, 1], 
      Hue[0.9336864777236851, 1, 1], 
      Hue[0.93485667957109, 1, 1], 
      Hue[0.93485667957109, 1, 1], 
      Hue[0.9371970832658998, 1, 1], 
      Hue[0.9371970832658998, 1, 1], 
      Hue[0.9418778906555193, 1, 1], 
      Hue[0.9418778906555193, 1, 1], 
      Hue[0.9421704411173706, 1, 1], 
      Hue[0.9421704411173706, 1, 1], 
      Hue[0.9424629915792218, 1, 1], 
      Hue[0.9424629915792218, 1, 1], 
      Hue[0.9430480925029242, 1, 1], 
      Hue[0.9430480925029242, 1, 1], 
      Hue[0.9442182943503291, 1, 1], 
      Hue[0.9442182943503291, 1, 1], 
      Hue[0.9465586980451389, 1, 1], 
      Hue[0.9465586980451389, 1, 1], 
      Hue[0.9512395054347584, 1, 1], 
      Hue[0.9512395054347584, 1, 1], 
      Hue[0.951556690919639, 1, 1], 
      Hue[0.951556690919639, 1, 1], 
      Hue[0.9518738764045196, 1, 1], 
      Hue[0.9518738764045196, 1, 1], 
      Hue[0.9525082473742807, 1, 1], 
      Hue[0.9525082473742807, 1, 1], 
      Hue[0.9537769893138032, 1, 1], 
      Hue[0.9537769893138032, 1, 1], 
      Hue[0.9563144731928478, 1, 1], 
      Hue[0.9563144731928478, 1, 1], 
      Hue[0.9613894409509371, 1, 1], 
      Hue[0.9613894409509371, 1, 1], 
      Hue[0.9617066264358177, 1, 1], 
      Hue[0.9617066264358177, 1, 1], 
      Hue[0.9620238119206983, 1, 1], 
      Hue[0.9620238119206983, 1, 1], 
      Hue[0.9626581828904595, 1, 1], 
      Hue[0.9626581828904595, 1, 1], 
      Hue[0.9639269248299818, 1, 1], 
      Hue[0.9639269248299818, 1, 1], 
      Hue[0.9664644087090264, 1, 1], 
      Hue[0.9664644087090264, 1, 1], 
      Hue[0.9715393764671157, 1, 1], 
      Hue[0.9715393764671157, 1, 1], 
      Hue[0.9718355211303884, 1, 1], 
      Hue[0.9718355211303884, 1, 1], 
      Hue[0.972131665793661, 1, 1], 
      Hue[0.972131665793661, 1, 1], 
      Hue[0.9727239551202062, 1, 1], 
      Hue[0.9727239551202062, 1, 1], 
      Hue[0.9739085337732966, 1, 1], 
      Hue[0.9739085337732966, 1, 1], 
      Hue[0.9762776910794774, 1, 1], 
      Hue[0.9762776910794774, 1, 1], 
      Hue[0.9765738357427499, 1, 1], 
      Hue[0.9765738357427499, 1, 1], 
      Hue[0.9768699804060226, 1, 1], 
      Hue[0.9768699804060226, 1, 1], 
      Hue[0.9774622697325678, 1, 1], 
      Hue[0.9774622697325678, 1, 1], 
      Hue[0.9786468483856582, 1, 1], 
      Hue[0.9786468483856582, 1, 1], 
      Hue[0.981016005691839, 1, 1], 
      Hue[0.981016005691839, 1, 1], 
      Hue[0.9813121503551115, 1, 1], 
      Hue[0.9813121503551115, 1, 1], 
      Hue[0.9816082950183842, 1, 1], 
      Hue[0.9816082950183842, 1, 1], 
      Hue[0.9822005843449294, 1, 1], 
      Hue[0.9822005843449294, 1, 1], 
      Hue[0.9833851629980198, 1, 1], 
      Hue[0.9833851629980198, 1, 1], 
      Hue[0.9836813076612924, 1, 1], 
      Hue[0.9836813076612924, 1, 1], 
      Hue[0.983977452324565, 1, 1], 
      Hue[0.983977452324565, 1, 1], 
      Hue[0.9845697416511101, 1, 1], 
      Hue[0.9845697416511101, 1, 1], 
      Hue[0.9857543203042005, 1, 1], 
      Hue[0.9857543203042005, 1, 1], 
      Hue[0.9860504649674732, 1, 1], 
      Hue[0.9860504649674732, 1, 1], 
      Hue[0.9863466096307457, 1, 1], 
      Hue[0.9863466096307457, 1, 1], 
      Hue[0.9869388989572909, 1, 1], 
      Hue[0.9869388989572909, 1, 1], 
      Hue[0.9881234776103813, 1, 1], 
      Hue[0.9881234776103813, 1, 1], 
      Hue[0.988419622273654, 1, 1], 
      Hue[0.988419622273654, 1, 1], 
      Hue[0.9887157669369265, 1, 1], 
      Hue[0.9887157669369265, 1, 1], 
      Hue[0.9893080562634717, 1, 1], 
      Hue[0.9893080562634717, 1, 1], 
      Hue[0.9904926349165621, 1, 1], 
      Hue[0.9904926349165621, 1, 1], 
      Hue[0.9907829640397726, 1, 1], 
      Hue[0.9907829640397726, 1, 1], 
      Hue[0.991073293162983, 1, 1], 
      Hue[0.991073293162983, 1, 1], 
      Hue[0.9916539514094037, 1, 1], 
      Hue[0.9916539514094037, 1, 1], 
      Hue[0.9919442805326142, 1, 1], 
      Hue[0.9919442805326142, 1, 1], 
      Hue[0.9922346096558246, 1, 1], 
      Hue[0.9922346096558246, 1, 1], 
      Hue[0.9928152679022454, 1, 1], 
      Hue[0.9928152679022454, 1, 1], 
      Hue[0.9931055970254558, 1, 1], 
      Hue[0.9931055970254558, 1, 1], 
      Hue[0.9933959261486661, 1, 1], 
      Hue[0.9933959261486661, 1, 1], 
      Hue[0.993976584395087, 1, 1], 
      Hue[0.993976584395087, 1, 1], 
      Hue[0.9951379008879285, 1, 1], 
      Hue[0.9951379008879285, 1, 1], 
      Hue[0.9954282300111389, 1, 1], 
      Hue[0.9954282300111389, 1, 1], 
      Hue[0.9957185591343494, 1, 1], 
      Hue[0.9957185591343494, 1, 1], 
      Hue[0.9962992173807701, 1, 1], 
      Hue[0.9962992173807701, 1, 1], 
      Hue[0.9965895465039806, 1, 1], 
      Hue[0.9965895465039806, 1, 1], 
      Hue[0.9968798756271909, 1, 1], 
      Hue[0.9968798756271909, 1, 1], 
      Hue[0.9974605338736118, 1, 1], 
      Hue[0.9974605338736118, 1, 1], 
      Hue[0.9977508629968221, 1, 1], 
      Hue[0.9977508629968221, 1, 1], 
      Hue[0.9980411921200325, 1, 1], 
      Hue[0.9980411921200325, 1, 1], 
      Hue[0.9983315212432429, 1, 1], 
      Hue[0.9983315212432429, 1, 1], 
      Hue[0.9986218503664533, 1, 1], 
      Hue[0.9986218503664533, 1, 1], 
      Hue[0.9989121794896637, 1, 1], 
      Hue[0.9989121794896637, 1, 1], 
      Hue[0.9992025086128741, 1, 1], 
      Hue[0.9992025086128741, 1, 1], 
      Hue[0.9994928377360845, 1, 1], 
      Hue[0.9994928377360845, 1, 1], 
      Hue[0.9997831668592949, 1, 1], 
      Hue[0.9997831668592949, 1, 1], 
      Hue[0.00007349598250531426, 1, 1], 
      Hue[0.00007349598250531426, 1, 1], 
      Hue[0.00036382510571571257`, 1, 1], 
      Hue[0.00036382510571571257`, 1, 1], 
      Hue[0.000654154228926111, 1, 1], 
      Hue[0.000654154228926111, 1, 1], 
      Hue[0.0009444833521365093, 1, 1], 
      Hue[0.0009444833521365093, 1, 1], 
      Hue[0.0012348124753469077`, 1, 1], 
      Hue[0.0012348124753469077`, 1, 1], 
      Hue[0.0015251415985573066`, 1, 1], 
      Hue[0.0015251415985573066`, 1, 1], 
      Hue[0.0018154707217677046`, 1, 1], 
      Hue[0.0018154707217677046`, 1, 1], 
      Hue[0.002105799844978103, 1, 1], 
      Hue[0.002105799844978103, 1, 1], 
      Hue[0.0023961289681885016`, 1, 1], 
      Hue[0.0023961289681885016`, 1, 1], 
      Hue[0.0026864580913988994`, 1, 1], 
      Hue[0.0026864580913988994`, 1, 1], 
      Hue[0.0029767872146092976`, 1, 1], 
      Hue[0.0029767872146092976`, 1, 1], 
      Hue[0.0032671163378196967`, 1, 1], 
      Hue[0.0032671163378196967`, 1, 1], 
      Hue[0.0035574454610300954`, 1, 1], 
      Hue[0.0035574454610300954`, 1, 1], 
      Hue[0.003847774584240493, 1, 1], 
      Hue[0.003847774584240493, 1, 1], 
      Hue[0.004138103707450892, 1, 1], 
      Hue[0.004138103707450892, 1, 1], 
      Hue[0.004428432830661289, 1, 1], 
      Hue[0.004428432830661289, 1, 1], 
      Hue[0.0047187619538716875`, 1, 1], 
      Hue[0.0047187619538716875`, 1, 1], 
      Hue[0.005009091077082086, 1, 1], 
      Hue[0.005009091077082086, 1, 1], 
      Hue[0.005299420200292485, 1, 1], 
      Hue[0.005299420200292485, 1, 1], 
      Hue[0.005589749323502882, 1, 1], 
      Hue[0.005589749323502882, 1, 1], 
      Hue[0.005880078446713282, 1, 1], 
      Hue[0.005880078446713282, 1, 1], 
      Hue[0.0061704075699236804`, 1, 1], 
      Hue[0.0061704075699236804`, 1, 1], 
      Hue[0.006751065816344477, 1, 1], 
      Hue[0.006751065816344477, 1, 1], 
      Hue[0.007041394939554876, 1, 1], 
      Hue[0.007041394939554876, 1, 1], 
      Hue[0.0073317240627652725`, 1, 1], 
      Hue[0.0073317240627652725`, 1, 1], 
      Hue[0.00791238230918607, 1, 1], 
      Hue[0.00791238230918607, 1, 1], 
      Hue[0.008202711432396469, 1, 1], 
      Hue[0.008202711432396469, 1, 1], 
      Hue[0.008493040555606866, 1, 1], 
      Hue[0.008493040555606866, 1, 1], 
      Hue[0.009073698802027665, 1, 1], 
      Hue[0.009073698802027665, 1, 1], 
      Hue[0.009388662948267422, 1, 1], 
      Hue[0.009388662948267422, 1, 1], 
      Hue[0.00970362709450718, 1, 1], 
      Hue[0.00970362709450718, 1, 1], 
      Hue[0.0103335553869867, 1, 1], 
      Hue[0.0103335553869867, 1, 1], 
      Hue[0.010648519533226455`, 1, 1], 
      Hue[0.010648519533226455`, 1, 1], 
      Hue[0.010963483679466217`, 1, 1], 
      Hue[0.010963483679466217`, 1, 1], 
      Hue[0.01159341197194573, 1, 1], 
      Hue[0.01159341197194573, 1, 1], 
      Hue[0.011908376118185491`, 1, 1], 
      Hue[0.011908376118185491`, 1, 1], 
      Hue[0.012223340264425247`, 1, 1], 
      Hue[0.012223340264425247`, 1, 1], 
      Hue[0.012853268556904763`, 1, 1], 
      Hue[0.012853268556904763`, 1, 1], 
      Hue[0.014113125141863796`, 1, 1], 
      Hue[0.014113125141863796`, 1, 1], 
      Hue[0.014428089288103553`, 1, 1], 
      Hue[0.014428089288103553`, 1, 1], 
      Hue[0.014743053434343314`, 1, 1], 
      Hue[0.014743053434343314`, 1, 1], 
      Hue[0.015372981726822828`, 1, 1], 
      Hue[0.015372981726822828`, 1, 1], 
      Hue[0.01663283831178186, 1, 1], 
      Hue[0.01663283831178186, 1, 1], 
      Hue[0.016947802458021622`, 1, 1], 
      Hue[0.016947802458021622`, 1, 1], 
      Hue[0.017262766604261383`, 1, 1], 
      Hue[0.017262766604261383`, 1, 1], 
      Hue[0.0178926948967409, 1, 1], 
      Hue[0.0178926948967409, 1, 1], 
      Hue[0.019152551481699927`, 1, 1], 
      Hue[0.019152551481699927`, 1, 1], 
      Hue[0.019467515627939688`, 1, 1], 
      Hue[0.019467515627939688`, 1, 1], 
      Hue[0.019782479774179445`, 1, 1], 
      Hue[0.019782479774179445`, 1, 1], 
      Hue[0.020412408066658963`, 1, 1], 
      Hue[0.020412408066658963`, 1, 1], 
      Hue[0.021672264651618, 1, 1], 
      Hue[0.021672264651618, 1, 1], 
      Hue[0.024191977821536065`, 1, 1], 
      Hue[0.024191977821536065`, 1, 1], 
      Hue[0.024506941967775826`, 1, 1], 
      Hue[0.024506941967775826`, 1, 1], 
      Hue[0.024821906114015576`, 1, 1], 
      Hue[0.024821906114015576`, 1, 1], 
      Hue[0.0254518344064951, 1, 1], 
      Hue[0.0254518344064951, 1, 1], 
      Hue[0.026711690991454137`, 1, 1], 
      Hue[0.026711690991454137`, 1, 1], 
      Hue[0.029231404161372203`, 1, 1], 
      Hue[0.029231404161372203`, 1, 1], 
      Hue[0.029525327486003974`, 1, 1], 
      Hue[0.029525327486003974`, 1, 1], 
      Hue[0.02981925081063575, 1, 1], 
      Hue[0.02981925081063575, 1, 1], 
      Hue[0.0304070974598993, 1, 1], 
      Hue[0.0304070974598993, 1, 1], 
      Hue[0.03158279075842641, 1, 1], 
      Hue[0.03158279075842641, 1, 1], 
      Hue[0.03393417735548061, 1, 1], 
      Hue[0.03393417735548061, 1, 1], 
      Hue[0.03863695054958902, 1, 1], 
      Hue[0.03863695054958902, 1, 1], 
      Hue[0.0389308738742208, 1, 1], 
      Hue[0.0389308738742208, 1, 1], 
      Hue[0.03922479719885257, 1, 1], 
      Hue[0.03922479719885257, 1, 1], 
      Hue[0.03981264384811612, 1, 1], 
      Hue[0.03981264384811612, 1, 1], 
      Hue[0.040988337146643225`, 1, 1], 
      Hue[0.040988337146643225`, 1, 1], 
      Hue[0.043339723743697434`, 1, 1], 
      Hue[0.043339723743697434`, 1, 1], 
      Hue[0.048042496937805844`, 1, 1], 
      Hue[0.048042496937805844`, 1, 1], 
      Hue[0.048361055285466976`, 1, 1], 
      Hue[0.048361055285466976`, 1, 1], 
      Hue[0.048679613633128116`, 1, 1], 
      Hue[0.048679613633128116`, 1, 1], 
      Hue[0.049316730328450395`, 1, 1], 
      Hue[0.049316730328450395`, 1, 1], 
      Hue[0.05059096371909493, 1, 1], 
      Hue[0.05059096371909493, 1, 1], 
      Hue[0.05313943050038401, 1, 1], 
      Hue[0.05313943050038401, 1, 1], 
      Hue[0.058236364062962176`, 1, 1], 
      Hue[0.058236364062962176`, 1, 1], 
      Hue[0.05855492241062331, 1, 1], 
      Hue[0.05855492241062331, 1, 1], 
      Hue[0.058873480758284455`, 1, 1], 
      Hue[0.058873480758284455`, 1, 1], 
      Hue[0.05951059745360672, 1, 1], 
      Hue[0.05951059745360672, 1, 1], 
      Hue[0.06078483084425126, 1, 1], 
      Hue[0.06078483084425126, 1, 1], 
      Hue[0.06333329762554035, 1, 1], 
      Hue[0.06333329762554035, 1, 1], 
      Hue[0.06843023118811851, 1, 1], 
      Hue[0.06843023118811851, 1, 1], 
      Hue[0.06874297399571745, 1, 1], 
      Hue[0.06874297399571745, 1, 1], 
      Hue[0.06905571680331637, 1, 1], 
      Hue[0.06905571680331637, 1, 1], 
      Hue[0.06968120241851426, 1, 1], 
      Hue[0.06968120241851426, 1, 1], 
      Hue[0.07093217364891001, 1, 1], 
      Hue[0.07093217364891001, 1, 1], 
      Hue[0.07343411610970148, 1, 1], 
      Hue[0.07343411610970148, 1, 1], 
      Hue[0.0737468589173004, 1, 1], 
      Hue[0.0737468589173004, 1, 1], 
      Hue[0.07405960172489934, 1, 1], 
      Hue[0.07405960172489934, 1, 1], 
      Hue[0.07468508734009718, 1, 1], 
      Hue[0.07468508734009718, 1, 1], 
      Hue[0.07593605857049295, 1, 1], 
      Hue[0.07593605857049295, 1, 1], 
      Hue[0.0784380010312844, 1, 1], 
      Hue[0.0784380010312844, 1, 1], 
      Hue[0.07875074383888336, 1, 1], 
      Hue[0.07875074383888336, 1, 1], 
      Hue[0.07906348664648226, 1, 1], 
      Hue[0.07906348664648226, 1, 1], 
      Hue[0.07968897226168015, 1, 1], 
      Hue[0.07968897226168015, 1, 1], 
      Hue[0.08093994349207585, 1, 1], 
      Hue[0.08093994349207585, 1, 1], 
      Hue[0.0812526862996748, 1, 1], 
      Hue[0.0812526862996748, 1, 1], 
      Hue[0.08156542910727374, 1, 1], 
      Hue[0.08156542910727374, 1, 1], 
      Hue[0.08187817191487268, 1, 1], 
      Hue[0.08187817191487268, 1, 1], 
      Hue[0.08219091472247161, 1, 1], 
      Hue[0.08219091472247161, 1, 1], 
      Hue[0.08250365753007056, 1, 1], 
      Hue[0.08250365753007056, 1, 1], 
      Hue[0.0828164003376695, 1, 1], 
      Hue[0.0828164003376695, 1, 1], 
      Hue[0.08312914314526841, 1, 1], 
      Hue[0.08312914314526841, 1, 1], 
      Hue[0.5834418859528674, 1, 1], 
      Hue[0.5834418859528674, 1, 1], 
      Hue[0.5837546287604662, 1, 1], 
      Hue[0.5837546287604662, 1, 1], 
      Hue[0.5840673715680651, 1, 1], 
      Hue[0.5840673715680651, 1, 1], 
      Hue[0.584692857183263, 1, 1], 
      Hue[0.584692857183263, 1, 1], 
      Hue[0.5859438284136589, 1, 1], 
      Hue[0.5859438284136589, 1, 1], 
      Hue[0.5884457708744504, 1, 1], 
      Hue[0.5884457708744504, 1, 1], 
      Hue[0.5887374728604412, 1, 1], 
      Hue[0.5887374728604412, 1, 1], 
      Hue[0.5890291748464322, 1, 1], 
      Hue[0.5890291748464322, 1, 1], 
      Hue[0.5896125788184141, 1, 1], 
      Hue[0.5896125788184141, 1, 1], 
      Hue[0.590779386762378, 1, 1], 
      Hue[0.590779386762378, 1, 1], 
      Hue[0.5931130026503055, 1, 1], 
      Hue[0.5931130026503055, 1, 1], 
      Hue[0.5977802344261607, 1, 1], 
      Hue[0.5977802344261607, 1, 1], 
      Hue[0.5980719364121516, 1, 1], 
      Hue[0.5980719364121516, 1, 1], 
      Hue[0.5983636383981427, 1, 1], 
      Hue[0.5983636383981427, 1, 1], 
      Hue[0.5989470423701246, 1, 1], 
      Hue[0.5989470423701246, 1, 1], 
      Hue[0.6001138503140884, 1, 1], 
      Hue[0.6001138503140884, 1, 1], 
      Hue[0.602447466202016, 1, 1], 
      Hue[0.602447466202016, 1, 1], 
      Hue[0.6071146979778712, 1, 1], 
      Hue[0.6071146979778712, 1, 1], 
      Hue[0.6074310349868914, 1, 1], 
      Hue[0.6074310349868914, 1, 1], 
      Hue[0.6077473719959118, 1, 1], 
      Hue[0.6077473719959118, 1, 1], 
      Hue[0.6083800460139525, 1, 1], 
      Hue[0.6083800460139525, 1, 1], 
      Hue[0.6096453940500337, 1, 1], 
      Hue[0.6096453940500337, 1, 1], 
      Hue[0.6121760901221962, 1, 1], 
      Hue[0.6121760901221962, 1, 1], 
      Hue[0.6172374822665212, 1, 1], 
      Hue[0.6172374822665212, 1, 1], 
      Hue[0.6175538192755414, 1, 1], 
      Hue[0.6175538192755414, 1, 1], 
      Hue[0.6178701562845618, 1, 1], 
      Hue[0.6178701562845618, 1, 1], 
      Hue[0.6185028303026024, 1, 1], 
      Hue[0.6185028303026024, 1, 1], 
      Hue[0.6197681783386837, 1, 1], 
      Hue[0.6197681783386837, 1, 1], 
      Hue[0.6222988744108462, 1, 1], 
      Hue[0.6222988744108462, 1, 1], 
      Hue[0.6273602665551711, 1, 1], 
      Hue[0.6273602665551711, 1, 1], 
      Hue[0.6276555627425835, 1, 1], 
      Hue[0.6276555627425835, 1, 1], 
      Hue[0.6279508589299957, 1, 1], 
      Hue[0.6279508589299957, 1, 1], 
      Hue[0.6285414513048204, 1, 1], 
      Hue[0.6285414513048204, 1, 1], 
      Hue[0.6297226360544697, 1, 1], 
      Hue[0.6297226360544697, 1, 1], 
      Hue[0.6320850055537683, 1, 1], 
      Hue[0.6320850055537683, 1, 1], 
      Hue[0.6323803017411807, 1, 1], 
      Hue[0.6323803017411807, 1, 1], 
      Hue[0.632675597928593, 1, 1], 
      Hue[0.632675597928593, 1, 1], 
      Hue[0.6332661903034177, 1, 1], 
      Hue[0.6332661903034177, 1, 1], 
      Hue[0.634447375053067, 1, 1], 
      Hue[0.634447375053067, 1, 1], 
      Hue[0.6368097445523656, 1, 1], 
      Hue[0.6368097445523656, 1, 1], 
      Hue[0.637105040739778, 1, 1], 
      Hue[0.637105040739778, 1, 1], 
      Hue[0.6374003369271903, 1, 1], 
      Hue[0.6374003369271903, 1, 1], 
      Hue[0.637990929302015, 1, 1], 
      Hue[0.637990929302015, 1, 1], 
      Hue[0.6391721140516642, 1, 1], 
      Hue[0.6391721140516642, 1, 1], 
      Hue[0.6394674102390766, 1, 1], 
      Hue[0.6394674102390766, 1, 1], 
      Hue[0.639762706426489, 1, 1], 
      Hue[0.639762706426489, 1, 1], 
      Hue[0.6403532988013136, 1, 1], 
      Hue[0.6403532988013136, 1, 1], 
      Hue[0.6415344835509629, 1, 1], 
      Hue[0.6415344835509629, 1, 1], 
      Hue[0.6418297797383752, 1, 1], 
      Hue[0.6418297797383752, 1, 1], 
      Hue[0.6421250759257876, 1, 1], 
      Hue[0.6421250759257876, 1, 1], 
      Hue[0.6427156683006122, 1, 1], 
      Hue[0.6427156683006122, 1, 1], 
      Hue[0.6438968530502616, 1, 1], 
      Hue[0.6438968530502616, 1, 1], 
      Hue[0.6441921492376739, 1, 1], 
      Hue[0.6441921492376739, 1, 1], 
      Hue[0.6444874454250862, 1, 1], 
      Hue[0.6444874454250862, 1, 1], 
      Hue[0.6450780377999108, 1, 1], 
      Hue[0.6450780377999108, 1, 1], 
      Hue[0.6462592225495603, 1, 1], 
      Hue[0.6462592225495603, 1, 1], 
      Hue[0.6465487031969103, 1, 1], 
      Hue[0.6465487031969103, 1, 1], 
      Hue[0.6468381838442604, 1, 1], 
      Hue[0.6468381838442604, 1, 1], 
      Hue[0.6474171451389605, 1, 1], 
      Hue[0.6474171451389605, 1, 1], 
      Hue[0.6477066257863107, 1, 1], 
      Hue[0.6477066257863107, 1, 1], 
      Hue[0.6479961064336609, 1, 1], 
      Hue[0.6479961064336609, 1, 1], 
      Hue[0.6485750677283612, 1, 1], 
      Hue[0.6485750677283612, 1, 1], 
      Hue[0.6488645483757114, 1, 1], 
      Hue[0.6488645483757114, 1, 1], 
      Hue[0.6491540290230615, 1, 1], 
      Hue[0.6491540290230615, 1, 1], 
      Hue[0.6497329903177617, 1, 1], 
      Hue[0.6497329903177617, 1, 1], 
      Hue[0.6508909129071622, 1, 1], 
      Hue[0.6508909129071622, 1, 1], 
      Hue[0.6511803935545123, 1, 1], 
      Hue[0.6511803935545123, 1, 1], 
      Hue[0.6514698742018624, 1, 1], 
      Hue[0.6514698742018624, 1, 1], 
      Hue[0.6520488354965628, 1, 1], 
      Hue[0.6520488354965628, 1, 1], 
      Hue[0.6523383161439129, 1, 1], 
      Hue[0.6523383161439129, 1, 1], 
      Hue[0.6526277967912629, 1, 1], 
      Hue[0.6526277967912629, 1, 1], 
      Hue[0.6532067580859631, 1, 1], 
      Hue[0.6532067580859631, 1, 1], 
      Hue[0.6534962387333133, 1, 1], 
      Hue[0.6534962387333133, 1, 1], 
      Hue[0.6537857193806634, 1, 1], 
      Hue[0.6537857193806634, 1, 1], 
      Hue[0.6540752000280136, 1, 1], 
      Hue[0.6540752000280136, 1, 1], 
      Hue[0.6543646806753637, 1, 1], 
      Hue[0.6543646806753637, 1, 1], 
      Hue[0.6546541613227137, 1, 1], 
      Hue[0.6546541613227137, 1, 1], 
      Hue[0.654943641970064, 1, 1], 
      Hue[0.654943641970064, 1, 1], 
      Hue[0.6552331226174141, 1, 1], 
      Hue[0.6552331226174141, 1, 1], 
      Hue[0.6555226032647642, 1, 1], 
      Hue[0.6555226032647642, 1, 1], 
      Hue[0.6558120839121143, 1, 1], 
      Hue[0.6558120839121143, 1, 1], 
      Hue[0.6561015645594643, 1, 1], 
      Hue[0.6561015645594643, 1, 1], 
      Hue[0.6563910452068146, 1, 1], 
      Hue[0.6563910452068146, 1, 1], 
      Hue[0.6566805258541647, 1, 1], 
      Hue[0.6566805258541647, 1, 1], 
      Hue[0.6569700065015148, 1, 1], 
      Hue[0.6569700065015148, 1, 1], 
      Hue[0.6572594871488651, 1, 1], 
      Hue[0.6572594871488651, 1, 1], 
      Hue[0.6575489677962152, 1, 1], 
      Hue[0.6575489677962152, 1, 1], 
      Hue[0.6578384484435653, 1, 1], 
      Hue[0.6578384484435653, 1, 1], 
      Hue[0.6581279290909153, 1, 1], 
      Hue[0.6581279290909153, 1, 1], 
      Hue[0.6584174097382655, 1, 1], 
      Hue[0.6584174097382655, 1, 1], 
      Hue[0.6587068903856157, 1, 1], 
      Hue[0.6587068903856157, 1, 1], 
      Hue[0.6589963710329658, 1, 1], 
      Hue[0.6589963710329658, 1, 1], 
      Hue[0.6592858516803158, 1, 1], 
      Hue[0.6592858516803158, 1, 1], 
      Hue[0.659575332327666, 1, 1], 
      Hue[0.659575332327666, 1, 1], 
      Hue[0.6598648129750161, 1, 1], 
      Hue[0.6598648129750161, 1, 1], 
      Hue[0.6601542936223663, 1, 1], 
      Hue[0.6601542936223663, 1, 1], 
      Hue[0.6604437742697165, 1, 1], 
      Hue[0.6604437742697165, 1, 1], 
      Hue[0.6607332549170666, 1, 1], 
      Hue[0.6607332549170666, 1, 1], 
      Hue[0.6610227355644166, 1, 1], 
      Hue[0.6610227355644166, 1, 1], 
      Hue[0.6613122162117667, 1, 1], 
      Hue[0.6613122162117667, 1, 1], 
      Hue[0.661601696859117, 1, 1], 
      Hue[0.661601696859117, 1, 1], 
      Hue[0.661891177506467, 1, 1], 
      Hue[0.661891177506467, 1, 1], 
      Hue[0.6624701388011672, 1, 1], 
      Hue[0.6624701388011672, 1, 1], 
      Hue[0.6627596194485174, 1, 1], 
      Hue[0.6627596194485174, 1, 1], 
      Hue[0.6630491000958674, 1, 1], 
      Hue[0.6630491000958674, 1, 1], 
      Hue[0.6636280613905677, 1, 1], 
      Hue[0.6636280613905677, 1, 1], 
      Hue[0.6639175420379179, 1, 1], 
      Hue[0.6639175420379179, 1, 1], 
      Hue[0.664207022685268, 1, 1], 
      Hue[0.664207022685268, 1, 1], 
      Hue[0.6647859839799682, 1, 1], 
      Hue[0.6647859839799682, 1, 1], 
      Hue[0.6651000996503478, 1, 1], 
      Hue[0.6651000996503478, 1, 1], 
      Hue[0.6654142153207272, 1, 1], 
      Hue[0.6654142153207272, 1, 1], 
      Hue[0.6660424466614863, 1, 1], 
      Hue[0.6660424466614863, 1, 1], 
      Hue[0.6663565623318657, 1, 1], 
      Hue[0.6663565623318657, 1, 1], 
      Hue[0.6666706780022451, 1, 1], 
      Hue[0.6666706780022451, 1, 1], 
      Hue[0.6672989093430042, 1, 1], 
      Hue[0.6672989093430042, 1, 1], 
      Hue[0.6676130250133836, 1, 1], 
      Hue[0.6676130250133836, 1, 1], 
      Hue[0.6679271406837631, 1, 1], 
      Hue[0.6679271406837631, 1, 1], 
      Hue[0.6685553720245221, 1, 1], 
      Hue[0.6685553720245221, 1, 1], 
      Hue[0.66981183470604, 1, 1], 
      Hue[0.66981183470604, 1, 1], 
      Hue[0.6701259503764195, 1, 1], 
      Hue[0.6701259503764195, 1, 1], 
      Hue[0.6704400660467991, 1, 1], 
      Hue[0.6704400660467991, 1, 1], 
      Hue[0.671068297387558, 1, 1], 
      Hue[0.671068297387558, 1, 1], 
      Hue[0.6723247600690759, 1, 1], 
      Hue[0.6723247600690759, 1, 1], 
      Hue[0.6748376854321119, 1, 1], 
      Hue[0.6748376854321119, 1, 1], 
      Hue[0.6751518011024913, 1, 1], 
      Hue[0.6751518011024913, 1, 1], 
      Hue[0.6754659167728708, 1, 1], 
      Hue[0.6754659167728708, 1, 1], 
      Hue[0.6760941481136298, 1, 1], 
      Hue[0.6760941481136298, 1, 1], 
      Hue[0.6773506107951477, 1, 1], 
      Hue[0.6773506107951477, 1, 1], 
      Hue[0.6798635361581836, 1, 1], 
      Hue[0.6798635361581836, 1, 1], 
      Hue[0.680177651828563, 1, 1], 
      Hue[0.680177651828563, 1, 1], 
      Hue[0.6804917674989426, 1, 1], 
      Hue[0.6804917674989426, 1, 1], 
      Hue[0.6811199988397015, 1, 1], 
      Hue[0.6811199988397015, 1, 1], 
      Hue[0.6823764615212196, 1, 1], 
      Hue[0.6823764615212196, 1, 1], 
      Hue[0.6848893868842554, 1, 1], 
      Hue[0.6848893868842554, 1, 1], 
      Hue[0.6851824617330269, 1, 1], 
      Hue[0.6851824617330269, 1, 1], 
      Hue[0.6854755365817984, 1, 1], 
      Hue[0.6854755365817984, 1, 1], 
      Hue[0.6860616862793414, 1, 1], 
      Hue[0.6860616862793414, 1, 1], 
      Hue[0.6872339856744274, 1, 1], 
      Hue[0.6872339856744274, 1, 1], 
      Hue[0.6895785844645994, 1, 1], 
      Hue[0.6895785844645994, 1, 1], 
      Hue[0.6942677820449435, 1, 1], 
      Hue[0.6942677820449435, 1, 1], 
      Hue[0.6945608568937149, 1, 1], 
      Hue[0.6945608568937149, 1, 1], 
      Hue[0.6948539317424864, 1, 1], 
      Hue[0.6948539317424864, 1, 1], 
      Hue[0.6954400814400296, 1, 1], 
      Hue[0.6954400814400296, 1, 1], 
      Hue[0.6966123808351156, 1, 1], 
      Hue[0.6966123808351156, 1, 1], 
      Hue[0.6989569796252876, 1, 1], 
      Hue[0.6989569796252876, 1, 1], 
      Hue[0.7036461772056317, 1, 1], 
      Hue[0.7036461772056317, 1, 1], 
      Hue[0.7039638870774325, 1, 1], 
      Hue[0.7039638870774325, 1, 1], 
      Hue[0.7042815969492333, 1, 1], 
      Hue[0.7042815969492333, 1, 1], 
      Hue[0.7049170166928351, 1, 1], 
      Hue[0.7049170166928351, 1, 1], 
      Hue[0.7061878561800385, 1, 1], 
      Hue[0.7061878561800385, 1, 1], 
      Hue[0.7087295351544455, 1, 1], 
      Hue[0.7087295351544455, 1, 1], 
      Hue[0.7138128931032592, 1, 1], 
      Hue[0.7138128931032592, 1, 1], 
      Hue[0.723979609000887, 1, 1], 
      Hue[0.723979609000887, 1, 1], 
      Hue[0.7242762780510799, 1, 1], 
      Hue[0.7242762780510799, 1, 1], 
      Hue[0.7245729471012727, 1, 1], 
      Hue[0.7245729471012727, 1, 1], 
      Hue[0.7251662852016585, 1, 1], 
      Hue[0.7251662852016585, 1, 1], 
      Hue[0.72635296140243, 1, 1], 
      Hue[0.72635296140243, 1, 1], 
      Hue[0.728726313803973, 1, 1], 
      Hue[0.728726313803973, 1, 1], 
      Hue[0.7334730186070592, 1, 1], 
      Hue[0.7334730186070592, 1, 1], 
      Hue[0.7337696876572521, 1, 1], 
      Hue[0.7337696876572521, 1, 1], 
      Hue[0.7340663567074449, 1, 1], 
      Hue[0.7340663567074449, 1, 1], 
      Hue[0.7346596948078307, 1, 1], 
      Hue[0.7346596948078307, 1, 1], 
      Hue[0.7358463710086023, 1, 1], 
      Hue[0.7358463710086023, 1, 1], 
      Hue[0.7382197234101453, 1, 1], 
      Hue[0.7382197234101453, 1, 1], 
      Hue[0.7429664282132313, 1, 1], 
      Hue[0.7429664282132313, 1, 1], 
      Hue[0.743257281723362, 1, 1], 
      Hue[0.743257281723362, 1, 1], 
      Hue[0.7435481352334927, 1, 1], 
      Hue[0.7435481352334927, 1, 1], 
      Hue[0.7441298422537541, 1, 1], 
      Hue[0.7441298422537541, 1, 1], 
      Hue[0.7452932562942769, 1, 1], 
      Hue[0.7452932562942769, 1, 1], 
      Hue[0.7455841098044076, 1, 1], 
      Hue[0.7455841098044076, 1, 1], 
      Hue[0.7458749633145383, 1, 1], 
      Hue[0.7458749633145383, 1, 1], 
      Hue[0.7464566703347996, 1, 1], 
      Hue[0.7464566703347996, 1, 1], 
      Hue[0.7476200843753222, 1, 1], 
      Hue[0.7476200843753222, 1, 1], 
      Hue[0.7479109378854529, 1, 1], 
      Hue[0.7479109378854529, 1, 1], 
      Hue[0.7482017913955836, 1, 1], 
      Hue[0.7482017913955836, 1, 1], 
      Hue[0.748783498415845, 1, 1], 
      Hue[0.748783498415845, 1, 1], 
      Hue[0.7490743519259757, 1, 1], 
      Hue[0.7490743519259757, 1, 1], 
      Hue[0.7493652054361064, 1, 1], 
      Hue[0.7493652054361064, 1, 1], 
      Hue[0.749656058946237, 1, 1], 
      Hue[0.749656058946237, 1, 1], 
      Hue[0.7499469124563677, 1, 1], 
      Hue[0.7499469124563677, 1, 1], 
      Hue[0.2502377659664984, 1, 1], 
      Hue[0.2502377659664984, 1, 1], 
      Hue[0.2505286194766291, 1, 1], 
      Hue[0.2505286194766291, 1, 1], 
      Hue[0.2508194729867598, 1, 1], 
      Hue[0.2508194729867598, 1, 1], 
      Hue[0.2511103264968904, 1, 1], 
      Hue[0.2511103264968904, 1, 1], 
      Hue[0.25227374053741314`, 1, 1], 
      Hue[0.25227374053741314`, 1, 1], 
      Hue[0.2525645940475438, 1, 1], 
      Hue[0.2525645940475438, 1, 1], 
      Hue[0.2528554475576745, 1, 1], 
      Hue[0.2528554475576745, 1, 1], 
      Hue[0.2534371545779358, 1, 1], 
      Hue[0.2534371545779358, 1, 1], 
      Hue[0.25460056861845853`, 1, 1], 
      Hue[0.25460056861845853`, 1, 1], 
      Hue[0.256927396699504, 1, 1], 
      Hue[0.256927396699504, 1, 1], 
      Hue[0.26158105286159483`, 1, 1], 
      Hue[0.26158105286159483`, 1, 1], 
      Hue[0.2618965413947549, 1, 1], 
      Hue[0.2618965413947549, 1, 1], 
      Hue[0.2622120299279149, 1, 1], 
      Hue[0.2622120299279149, 1, 1], 
      Hue[0.262843006994235, 1, 1], 
      Hue[0.262843006994235, 1, 1], 
      Hue[0.26410496112687515`, 1, 1], 
      Hue[0.26410496112687515`, 1, 1], 
      Hue[0.26662886939215547`, 1, 1], 
      Hue[0.26662886939215547`, 1, 1], 
      Hue[0.2669443579253155, 1, 1], 
      Hue[0.2669443579253155, 1, 1], 
      Hue[0.26725984645847556`, 1, 1], 
      Hue[0.26725984645847556`, 1, 1], 
      Hue[0.26789082352479565`, 1, 1], 
      Hue[0.26789082352479565`, 1, 1], 
      Hue[0.26915277765743584`, 1, 1], 
      Hue[0.26915277765743584`, 1, 1], 
      Hue[0.2716766859227161, 1, 1], 
      Hue[0.2716766859227161, 1, 1], 
      Hue[0.27199217445587615`, 1, 1], 
      Hue[0.27199217445587615`, 1, 1], 
      Hue[0.2723076629890362, 1, 1], 
      Hue[0.2723076629890362, 1, 1], 
      Hue[0.2729386400553563, 1, 1], 
      Hue[0.2729386400553563, 1, 1], 
      Hue[0.2742005941879964, 1, 1], 
      Hue[0.2742005941879964, 1, 1], 
      Hue[0.27672450245327673`, 1, 1], 
      Hue[0.27672450245327673`, 1, 1], 
      Hue[0.28177231898383737`, 1, 1], 
      Hue[0.28177231898383737`, 1, 1], 
      Hue[0.2820667666953895, 1, 1], 
      Hue[0.2820667666953895, 1, 1], 
      Hue[0.2823612144069415, 1, 1], 
      Hue[0.2823612144069415, 1, 1], 
      Hue[0.2829501098300456, 1, 1], 
      Hue[0.2829501098300456, 1, 1], 
      Hue[0.2841279006762538, 1, 1], 
      Hue[0.2841279006762538, 1, 1], 
      Hue[0.28648348236867033`, 1, 1], 
      Hue[0.28648348236867033`, 1, 1], 
      Hue[0.2867779300802224, 1, 1], 
      Hue[0.2867779300802224, 1, 1], 
      Hue[0.28707237779177447`, 1, 1], 
      Hue[0.28707237779177447`, 1, 1], 
      Hue[0.2876612732148785, 1, 1], 
      Hue[0.2876612732148785, 1, 1], 
      Hue[0.2888390640610868, 1, 1], 
      Hue[0.2888390640610868, 1, 1], 
      Hue[0.29119464575350323`, 1, 1], 
      Hue[0.29119464575350323`, 1, 1], 
      Hue[0.29148909346505525`, 1, 1], 
      Hue[0.29148909346505525`, 1, 1], 
      Hue[0.2917835411766073, 1, 1], 
      Hue[0.2917835411766073, 1, 1], 
      Hue[0.29237243659971146`, 1, 1], 
      Hue[0.29237243659971146`, 1, 1], 
      Hue[0.29355022744591963`, 1, 1], 
      Hue[0.29355022744591963`, 1, 1], 
      Hue[0.29384467515747176`, 1, 1], 
      Hue[0.29384467515747176`, 1, 1], 
      Hue[0.2941391228690238, 1, 1], 
      Hue[0.2941391228690238, 1, 1], 
      Hue[0.29472801829212786`, 1, 1], 
      Hue[0.29472801829212786`, 1, 1], 
      Hue[0.29590580913833614`, 1, 1], 
      Hue[0.29590580913833614`, 1, 1], 
      Hue[0.29620025684988815`, 1, 1], 
      Hue[0.29620025684988815`, 1, 1], 
      Hue[0.2964947045614402, 1, 1], 
      Hue[0.2964947045614402, 1, 1], 
      Hue[0.2970835999845443, 1, 1], 
      Hue[0.2970835999845443, 1, 1], 
      Hue[0.2982613908307526, 1, 1], 
      Hue[0.2982613908307526, 1, 1], 
      Hue[0.29855583854230466`, 1, 1], 
      Hue[0.29855583854230466`, 1, 1], 
      Hue[0.2988502862538567, 1, 1], 
      Hue[0.2988502862538567, 1, 1], 
      Hue[0.2994391816769608, 1, 1], 
      Hue[0.2994391816769608, 1, 1], 
      Hue[0.30061697252316905`, 1, 1], 
      Hue[0.30061697252316905`, 1, 1], 
      Hue[0.30093605525775047`, 1, 1], 
      Hue[0.30093605525775047`, 1, 1], 
      Hue[0.3012551379923319, 1, 1], 
      Hue[0.3012551379923319, 1, 1], 
      Hue[0.3018933034614947, 1, 1], 
      Hue[0.3018933034614947, 1, 1], 
      Hue[0.3022123861960761, 1, 1], 
      Hue[0.3022123861960761, 1, 1], 
      Hue[0.3025314689306576, 1, 1], 
      Hue[0.3025314689306576, 1, 1], 
      Hue[0.3031696343998204, 1, 1], 
      Hue[0.3031696343998204, 1, 1], 
      Hue[0.30348871713440184`, 1, 1], 
      Hue[0.30348871713440184`, 1, 1], 
      Hue[0.3038077998689832, 1, 1], 
      Hue[0.3038077998689832, 1, 1], 
      Hue[0.30444596533814605`, 1, 1], 
      Hue[0.30444596533814605`, 1, 1], 
      Hue[0.30572229627647174`, 1, 1], 
      Hue[0.30572229627647174`, 1, 1], 
      Hue[0.30604137901105316`, 1, 1], 
      Hue[0.30604137901105316`, 1, 1], 
      Hue[0.3063604617456346, 1, 1], 
      Hue[0.3063604617456346, 1, 1], 
      Hue[0.30699862721479737`, 1, 1], 
      Hue[0.30699862721479737`, 1, 1], 
      Hue[0.30731770994937885`, 1, 1], 
      Hue[0.30731770994937885`, 1, 1], 
      Hue[0.3076367926839602, 1, 1], 
      Hue[0.3076367926839602, 1, 1], 
      Hue[0.30827495815312306`, 1, 1], 
      Hue[0.30827495815312306`, 1, 1], 
      Hue[0.3085940408877045, 1, 1], 
      Hue[0.3085940408877045, 1, 1], 
      Hue[0.3089131236222859, 1, 1], 
      Hue[0.3089131236222859, 1, 1], 
      Hue[0.3092322063568673, 1, 1], 
      Hue[0.3092322063568673, 1, 1], 
      Hue[0.3095512890914487, 1, 1], 
      Hue[0.3095512890914487, 1, 1], 
      Hue[0.30987037182603017`, 1, 1], 
      Hue[0.30987037182603017`, 1, 1], 
      Hue[0.31018945456061153`, 1, 1], 
      Hue[0.31018945456061153`, 1, 1], 
      Hue[0.31050853729519295`, 1, 1], 
      Hue[0.31050853729519295`, 1, 1], 
      Hue[0.3108276200297744, 1, 1], 
      Hue[0.3108276200297744, 1, 1], 
      Hue[0.31114670276435585`, 1, 1], 
      Hue[0.31114670276435585`, 1, 1], 
      Hue[0.3114657854989372, 1, 1], 
      Hue[0.3114657854989372, 1, 1], 
      Hue[0.3117848682335187, 1, 1], 
      Hue[0.3117848682335187, 1, 1], 
      Hue[0.31210395096810006`, 1, 1], 
      Hue[0.31210395096810006`, 1, 1], 
      Hue[0.3124230337026815, 1, 1], 
      Hue[0.3124230337026815, 1, 1], 
      Hue[0.3127421164372629, 1, 1], 
      Hue[0.3127421164372629, 1, 1], 
      Hue[0.31306119917184433`, 1, 1], 
      Hue[0.31306119917184433`, 1, 1], 
      Hue[0.3133802819064257, 1, 1], 
      Hue[0.3133802819064257, 1, 1], 
      Hue[0.3136993646410072, 1, 1], 
      Hue[0.3136993646410072, 1, 1], 
      Hue[0.31401844737558854`, 1, 1], 
      Hue[0.31401844737558854`, 1, 1], 
      Hue[0.31433753011017, 1, 1], 
      Hue[0.31433753011017, 1, 1], 
      Hue[0.3146566128447514, 1, 1], 
      Hue[0.3146566128447514, 1, 1], 
      Hue[0.31497569557933286`, 1, 1], 
      Hue[0.31497569557933286`, 1, 1], 
      Hue[0.3152947783139142, 1, 1], 
      Hue[0.3152947783139142, 1, 1], 
      Hue[0.3156138610484957, 1, 1], 
      Hue[0.3156138610484957, 1, 1], 
      Hue[0.31593294378307707`, 1, 1], 
      Hue[0.31593294378307707`, 1, 1], 
      Hue[0.3162520265176585, 1, 1], 
      Hue[0.3162520265176585, 1, 1], 
      Hue[0.3165711092522399, 1, 1], 
      Hue[0.3165711092522399, 1, 1], 
      Hue[0.31689019198682133`, 1, 1], 
      Hue[0.31689019198682133`, 1, 1], 
      Hue[0.31720927472140276`, 1, 1], 
      Hue[0.31720927472140276`, 1, 1], 
      Hue[0.3175283574559842, 1, 1], 
      Hue[0.3175283574559842, 1, 1], 
      Hue[0.31784744019056554`, 1, 1], 
      Hue[0.31784744019056554`, 1, 1], 
      Hue[0.31848560565972844`, 1, 1], 
      Hue[0.31848560565972844`, 1, 1], 
      Hue[0.31880468839430987`, 1, 1], 
      Hue[0.31880468839430987`, 1, 1], 
      Hue[0.31912377112889123`, 1, 1], 
      Hue[0.31912377112889123`, 1, 1], 
      Hue[0.31976193659805413`, 1, 1], 
      Hue[0.31976193659805413`, 1, 1], 
      Hue[0.3200810193326355, 1, 1], 
      Hue[0.3200810193326355, 1, 1], 
      Hue[0.320400102067217, 1, 1], 
      Hue[0.320400102067217, 1, 1], 
      Hue[0.32103826753637976`, 1, 1], 
      Hue[0.32103826753637976`, 1, 1], 
      Hue[0.321351534730899, 1, 1], 
      Hue[0.321351534730899, 1, 1], 
      Hue[0.32166480192541824`, 1, 1], 
      Hue[0.32166480192541824`, 1, 1], 
      Hue[0.32229133631445656`, 1, 1], 
      Hue[0.32229133631445656`, 1, 1], 
      Hue[0.32354440509253346`, 1, 1], 
      Hue[0.32354440509253346`, 1, 1], 
      Hue[0.3238576722870527, 1, 1], 
      Hue[0.3238576722870527, 1, 1], 
      Hue[0.32417093948157194`, 1, 1], 
      Hue[0.32417093948157194`, 1, 1], 
      Hue[0.32479747387061036`, 1, 1], 
      Hue[0.32479747387061036`, 1, 1], 
      Hue[0.3260505426486872, 1, 1], 
      Hue[0.3260505426486872, 1, 1], 
      Hue[0.32636380984320645`, 1, 1], 
      Hue[0.32636380984320645`, 1, 1], 
      Hue[0.3266770770377257, 1, 1], 
      Hue[0.3266770770377257, 1, 1], 
      Hue[0.32730361142676406`, 1, 1], 
      Hue[0.32730361142676406`, 1, 1], 
      Hue[0.32855668020484097`, 1, 1], 
      Hue[0.32855668020484097`, 1, 1], 
      Hue[0.33106281776099467`, 1, 1], 
      Hue[0.33106281776099467`, 1, 1], 
      Hue[0.3313760849555139, 1, 1], 
      Hue[0.3313760849555139, 1, 1], 
      Hue[0.33168935215003315`, 1, 1], 
      Hue[0.33168935215003315`, 1, 1], 
      Hue[0.3323158865390715, 1, 1], 
      Hue[0.3323158865390715, 1, 1], 
      Hue[0.3335689553171484, 1, 1], 
      Hue[0.3335689553171484, 1, 1], 
      Hue[0.3360750928733021, 1, 1], 
      Hue[0.3360750928733021, 1, 1], 
      Hue[0.33638836006782136`, 1, 1], 
      Hue[0.33638836006782136`, 1, 1], 
      Hue[0.3367016272623406, 1, 1], 
      Hue[0.3367016272623406, 1, 1], 
      Hue[0.337328161651379, 1, 1], 
      Hue[0.337328161651379, 1, 1], 
      Hue[0.33858123042945587`, 1, 1], 
      Hue[0.33858123042945587`, 1, 1], 
      Hue[0.34108736798560957`, 1, 1], 
      Hue[0.34108736798560957`, 1, 1], 
      Hue[0.34137959435852083`, 1, 1], 
      Hue[0.34137959435852083`, 1, 1], 
      Hue[0.34167182073143204`, 1, 1], 
      Hue[0.34167182073143204`, 1, 1], 
      Hue[0.3422562734772545, 1, 1], 
      Hue[0.3422562734772545, 1, 1], 
      Hue[0.34342517896889946`, 1, 1], 
      Hue[0.34342517896889946`, 1, 1], 
      Hue[0.34576298995218935`, 1, 1], 
      Hue[0.34576298995218935`, 1, 1], 
      Hue[0.35043861191876896`, 1, 1], 
      Hue[0.35043861191876896`, 1, 1], 
      Hue[0.35978985585192846`, 1, 1], 
      Hue[0.35978985585192846`, 1, 1], 
      Hue[0.38006898519212645`, 1, 1], 
      Hue[0.38006898519212645`, 1, 1], 
      Hue[0.38036480576645904`, 1, 1], 
      Hue[0.38036480576645904`, 1, 1], 
      Hue[0.3806606263407917, 1, 1], 
      Hue[0.3806606263407917, 1, 1], 
      Hue[0.3812522674894569, 1, 1], 
      Hue[0.3812522674894569, 1, 1], 
      Hue[0.38243554978678734`, 1, 1], 
      Hue[0.38243554978678734`, 1, 1], 
      Hue[0.38480211438144823`, 1, 1], 
      Hue[0.38480211438144823`, 1, 1], 
      Hue[0.38953524357077, 1, 1], 
      Hue[0.38953524357077, 1, 1], 
      Hue[0.38983106414510266`, 1, 1], 
      Hue[0.38983106414510266`, 1, 1], 
      Hue[0.39012688471943524`, 1, 1], 
      Hue[0.39012688471943524`, 1, 1], 
      Hue[0.39071852586810046`, 1, 1], 
      Hue[0.39071852586810046`, 1, 1], 
      Hue[0.3919018081654309, 1, 1], 
      Hue[0.3919018081654309, 1, 1], 
      Hue[0.39426837276009186`, 1, 1], 
      Hue[0.39426837276009186`, 1, 1], 
      Hue[0.39900150194941353`, 1, 1], 
      Hue[0.39900150194941353`, 1, 1], 
      Hue[0.39929150698368404`, 1, 1], 
      Hue[0.39929150698368404`, 1, 1], 
      Hue[0.39958151201795444`, 1, 1], 
      Hue[0.39958151201795444`, 1, 1], 
      Hue[0.40016152208649525`, 1, 1], 
      Hue[0.40016152208649525`, 1, 1], 
      Hue[0.40132154222357685`, 1, 1], 
      Hue[0.40132154222357685`, 1, 1], 
      Hue[0.4036415824977401, 1, 1], 
      Hue[0.4036415824977401, 1, 1], 
      Hue[0.4039315875320105, 1, 1], 
      Hue[0.4039315875320105, 1, 1], 
      Hue[0.40422159256628093`, 1, 1], 
      Hue[0.40422159256628093`, 1, 1], 
      Hue[0.40480160263482173`, 1, 1], 
      Hue[0.40480160263482173`, 1, 1], 
      Hue[0.40596162277190334`, 1, 1], 
      Hue[0.40596162277190334`, 1, 1], 
      Hue[0.40828166304606656`, 1, 1], 
      Hue[0.40828166304606656`, 1, 1], 
      Hue[0.4085716680803371, 1, 1], 
      Hue[0.4085716680803371, 1, 1], 
      Hue[0.4088616731146075, 1, 1], 
      Hue[0.4088616731146075, 1, 1], 
      Hue[0.40944168318314833`, 1, 1], 
      Hue[0.40944168318314833`, 1, 1], 
      Hue[0.41060170332022994`, 1, 1], 
      Hue[0.41060170332022994`, 1, 1], 
      Hue[0.4108917083545004, 1, 1], 
      Hue[0.4108917083545004, 1, 1], 
      Hue[0.4111817133887708, 1, 1], 
      Hue[0.4111817133887708, 1, 1], 
      Hue[0.4117617234573116, 1, 1], 
      Hue[0.4117617234573116, 1, 1], 
      Hue[0.4129217435943932, 1, 1], 
      Hue[0.4129217435943932, 1, 1], 
      Hue[0.4132117486286636, 1, 1], 
      Hue[0.4132117486286636, 1, 1], 
      Hue[0.413501753662934, 1, 1], 
      Hue[0.413501753662934, 1, 1], 
      Hue[0.4140817637314748, 1, 1], 
      Hue[0.4140817637314748, 1, 1], 
      Hue[0.4143717687657452, 1, 1], 
      Hue[0.4143717687657452, 1, 1], 
      Hue[0.4146617738000156, 1, 1], 
      Hue[0.4146617738000156, 1, 1], 
      Hue[0.4152417838685564, 1, 1], 
      Hue[0.4152417838685564, 1, 1], 
      Hue[0.4155317889028268, 1, 1], 
      Hue[0.4155317889028268, 1, 1], 
      Hue[0.41582179393709723`, 1, 1], 
      Hue[0.41582179393709723`, 1, 1], 
      Hue[0.41611179897136763`, 1, 1], 
      Hue[0.41611179897136763`, 1, 1], 
      Hue[0.4164018040056381, 1, 1], 
      Hue[0.4164018040056381, 1, 1], 
      Hue[0.9166918090399084, 1, 1], 
      Hue[0.9166918090399084, 1, 1], 
      Hue[0.9169818140741788, 1, 1], 
      Hue[0.9169818140741788, 1, 1], 
      Hue[0.9172718191084492, 1, 1], 
      Hue[0.9172718191084492, 1, 1], 
      Hue[0.9175618241427197, 1, 1], 
      Hue[0.9175618241427197, 1, 1], 
      Hue[0.9178764642000194, 1, 1], 
      Hue[0.9178764642000194, 1, 1], 
      Hue[0.9181911042573192, 1, 1], 
      Hue[0.9181911042573192, 1, 1], 
      Hue[0.9188203843719187, 1, 1], 
      Hue[0.9188203843719187, 1, 1], 
      Hue[0.9200789446011179, 1, 1], 
      Hue[0.9200789446011179, 1, 1], 
      Hue[0.922596065059516, 1, 1], 
      Hue[0.922596065059516, 1, 1], 
      Hue[0.9229107051168157, 1, 1], 
      Hue[0.9229107051168157, 1, 1], 
      Hue[0.9232253451741156, 1, 1], 
      Hue[0.9232253451741156, 1, 1], 
      Hue[0.9238546252887151, 1, 1], 
      Hue[0.9238546252887151, 1, 1], 
      Hue[0.9251131855179142, 1, 1], 
      Hue[0.9251131855179142, 1, 1], 
      Hue[0.9276303059763124, 1, 1], 
      Hue[0.9276303059763124, 1, 1], 
      Hue[0.9279449460336121, 1, 1], 
      Hue[0.9279449460336121, 1, 1], 
      Hue[0.9282595860909119, 1, 1], 
      Hue[0.9282595860909119, 1, 1], 
      Hue[0.9288888662055114, 1, 1], 
      Hue[0.9288888662055114, 1, 1], 
      Hue[0.9301474264347105, 1, 1], 
      Hue[0.9301474264347105, 1, 1], 
      Hue[0.9326645468931086, 1, 1], 
      Hue[0.9326645468931086, 1, 1], 
      Hue[0.9376987878099049, 1, 1], 
      Hue[0.9376987878099049, 1, 1], 
      Hue[0.9379923870455967, 1, 1], 
      Hue[0.9379923870455967, 1, 1], 
      Hue[0.9382859862812885, 1, 1], 
      Hue[0.9382859862812885, 1, 1], 
      Hue[0.938873184752672, 1, 1], 
      Hue[0.938873184752672, 1, 1], 
      Hue[0.9400475816954391, 1, 1], 
      Hue[0.9400475816954391, 1, 1], 
      Hue[0.9423963755809734, 1, 1], 
      Hue[0.9423963755809734, 1, 1], 
      Hue[0.9426899748166653, 1, 1], 
      Hue[0.9426899748166653, 1, 1], 
      Hue[0.9429835740523571, 1, 1], 
      Hue[0.9429835740523571, 1, 1], 
      Hue[0.9435707725237407, 1, 1], 
      Hue[0.9435707725237407, 1, 1], 
      Hue[0.9447451694665078, 1, 1], 
      Hue[0.9447451694665078, 1, 1], 
      Hue[0.9470939633520421, 1, 1], 
      Hue[0.9470939633520421, 1, 1], 
      Hue[0.9473875625877338, 1, 1], 
      Hue[0.9473875625877338, 1, 1], 
      Hue[0.9476811618234257, 1, 1], 
      Hue[0.9476811618234257, 1, 1], 
      Hue[0.9482683602948092, 1, 1], 
      Hue[0.9482683602948092, 1, 1], 
      Hue[0.9494427572375763, 1, 1], 
      Hue[0.9494427572375763, 1, 1], 
      Hue[0.9497363564732682, 1, 1], 
      Hue[0.9497363564732682, 1, 1], 
      Hue[0.9500299557089599, 1, 1], 
      Hue[0.9500299557089599, 1, 1], 
      Hue[0.9506171541803434, 1, 1], 
      Hue[0.9506171541803434, 1, 1], 
      Hue[0.9517915511231106, 1, 1], 
      Hue[0.9517915511231106, 1, 1], 
      Hue[0.9520851503588025, 1, 1], 
      Hue[0.9520851503588025, 1, 1], 
      Hue[0.9523787495944943, 1, 1], 
      Hue[0.9523787495944943, 1, 1], 
      Hue[0.9529659480658779, 1, 1], 
      Hue[0.9529659480658779, 1, 1], 
      Hue[0.954140345008645, 1, 1], 
      Hue[0.954140345008645, 1, 1], 
      Hue[0.9544339442443368, 1, 1], 
      Hue[0.9544339442443368, 1, 1], 
      Hue[0.9547275434800285, 1, 1], 
      Hue[0.9547275434800285, 1, 1], 
      Hue[0.9553147419514121, 1, 1], 
      Hue[0.9553147419514121, 1, 1], 
      Hue[0.9564891388941792, 1, 1], 
      Hue[0.9564891388941792, 1, 1], 
      Hue[0.9568073731529004, 1, 1], 
      Hue[0.9568073731529004, 1, 1], 
      Hue[0.9571256074116216, 1, 1], 
      Hue[0.9571256074116216, 1, 1], 
      Hue[0.9577620759290638, 1, 1], 
      Hue[0.9577620759290638, 1, 1], 
      Hue[0.9580803101877848, 1, 1], 
      Hue[0.9580803101877848, 1, 1], 
      Hue[0.9583985444465061, 1, 1], 
      Hue[0.9583985444465061, 1, 1], 
      Hue[0.9590350129639483, 1, 1], 
      Hue[0.9590350129639483, 1, 1], 
      Hue[0.9593532472226696, 1, 1], 
      Hue[0.9593532472226696, 1, 1], 
      Hue[0.9596714814813907, 1, 1], 
      Hue[0.9596714814813907, 1, 1], 
      Hue[0.960307949998833, 1, 1], 
      Hue[0.960307949998833, 1, 1], 
      Hue[0.9615808870337176, 1, 1], 
      Hue[0.9615808870337176, 1, 1], 
      Hue[0.9618991212924386, 1, 1], 
      Hue[0.9618991212924386, 1, 1], 
      Hue[0.9622173555511598, 1, 1], 
      Hue[0.9622173555511598, 1, 1], 
      Hue[0.9628538240686021, 1, 1], 
      Hue[0.9628538240686021, 1, 1], 
      Hue[0.9631720583273232, 1, 1], 
      Hue[0.9631720583273232, 1, 1], 
      Hue[0.9634902925860445, 1, 1], 
      Hue[0.9634902925860445, 1, 1], 
      Hue[0.9641267611034867, 1, 1], 
      Hue[0.9641267611034867, 1, 1], 
      Hue[0.9644449953622078, 1, 1], 
      Hue[0.9644449953622078, 1, 1], 
      Hue[0.9647632296209291, 1, 1], 
      Hue[0.9647632296209291, 1, 1], 
      Hue[0.9650814638796502, 1, 1], 
      Hue[0.9650814638796502, 1, 1], 
      Hue[0.9653996981383713, 1, 1], 
      Hue[0.9653996981383713, 1, 1], 
      Hue[0.9657179323970924, 1, 1], 
      Hue[0.9657179323970924, 1, 1], 
      Hue[0.9660361666558136, 1, 1], 
      Hue[0.9660361666558136, 1, 1], 
      Hue[0.9666726351732559, 1, 1], 
      Hue[0.9666726351732559, 1, 1], 
      Hue[0.966990869431977, 1, 1], 
      Hue[0.966990869431977, 1, 1], 
      Hue[0.9673091036906982, 1, 1], 
      Hue[0.9673091036906982, 1, 1], 
      Hue[0.9676273379494194, 1, 1], 
      Hue[0.9676273379494194, 1, 1], 
      Hue[0.9679455722081405, 1, 1], 
      Hue[0.9679455722081405, 1, 1], 
      Hue[0.9682638064668616, 1, 1], 
      Hue[0.9682638064668616, 1, 1], 
      Hue[0.9685820407255828, 1, 1], 
      Hue[0.9685820407255828, 1, 1], 
      Hue[0.968900274984304, 1, 1], 
      Hue[0.968900274984304, 1, 1], 
      Hue[0.9692185092430251, 1, 1], 
      Hue[0.9692185092430251, 1, 1], 
      Hue[0.9695367435017461, 1, 1], 
      Hue[0.9695367435017461, 1, 1], 
      Hue[0.9698549777604673, 1, 1], 
      Hue[0.9698549777604673, 1, 1], 
      Hue[0.9701732120191885, 1, 1], 
      Hue[0.9701732120191885, 1, 1], 
      Hue[0.9704914462779096, 1, 1], 
      Hue[0.9704914462779096, 1, 1], 
      Hue[0.9708096805366307, 1, 1], 
      Hue[0.9708096805366307, 1, 1], 
      Hue[0.9711279147953519, 1, 1], 
      Hue[0.9711279147953519, 1, 1], 
      Hue[0.9714461490540731, 1, 1], 
      Hue[0.9714461490540731, 1, 1], 
      Hue[0.9717643833127942, 1, 1], 
      Hue[0.9717643833127942, 1, 1], 
      Hue[0.9720826175715154, 1, 1], 
      Hue[0.9720826175715154, 1, 1], 
      Hue[0.9724008518302366, 1, 1], 
      Hue[0.9724008518302366, 1, 1], 
      Hue[0.9727190860889577, 1, 1], 
      Hue[0.9727190860889577, 1, 1], 
      Hue[0.9730373203476788, 1, 1], 
      Hue[0.9730373203476788, 1, 1], 
      Hue[0.9733555546063999, 1, 1], 
      Hue[0.9733555546063999, 1, 1], 
      Hue[0.973673788865121, 1, 1], 
      Hue[0.973673788865121, 1, 1], 
      Hue[0.9739920231238423, 1, 1], 
      Hue[0.9739920231238423, 1, 1], 
      Hue[0.9743102573825634, 1, 1], 
      Hue[0.9743102573825634, 1, 1], 
      Hue[0.9746284916412845, 1, 1], 
      Hue[0.9746284916412845, 1, 1], 
      Hue[0.9749467259000056, 1, 1], 
      Hue[0.9749467259000056, 1, 1], 
      Hue[0.9752649601587269, 1, 1], 
      Hue[0.9752649601587269, 1, 1], 
      Hue[0.975583194417448, 1, 1], 
      Hue[0.975583194417448, 1, 1], 
      Hue[0.9759014286761691, 1, 1], 
      Hue[0.9759014286761691, 1, 1], 
      Hue[0.9762196629348903, 1, 1], 
      Hue[0.9762196629348903, 1, 1], 
      Hue[0.9768561314523325, 1, 1], 
      Hue[0.9768561314523325, 1, 1], 
      Hue[0.9768656420513168, 1, 1], 
      Hue[0.9768656420513168, 1, 1], 
      Hue[0.976875152650301, 1, 1], 
      Hue[0.976875152650301, 1, 1], 
      Hue[0.9768941738482696, 1, 1], 
      Hue[0.9768941738482696, 1, 1], 
      Hue[0.9769322162442068, 1, 1], 
      Hue[0.9769322162442068, 1, 1], 
      Hue[0.9770083010360808, 1, 1], 
      Hue[0.9770083010360808, 1, 1], 
      Hue[0.9771604706198291, 1, 1], 
      Hue[0.9771604706198291, 1, 1], 
      Hue[0.9771699812188133, 1, 1], 
      Hue[0.9771699812188133, 1, 1], 
      Hue[0.9771794918177976, 1, 1], 
      Hue[0.9771794918177976, 1, 1], 
      Hue[0.9771985130157661, 1, 1], 
      Hue[0.9771985130157661, 1, 1], 
      Hue[0.9772365554117033, 1, 1], 
      Hue[0.9772365554117033, 1, 1], 
      Hue[0.9773126402035773, 1, 1], 
      Hue[0.9773126402035773, 1, 1], 
      Hue[0.9773221508025617, 1, 1], 
      Hue[0.9773221508025617, 1, 1], 
      Hue[0.9773316614015459, 1, 1], 
      Hue[0.9773316614015459, 1, 1], 
      Hue[0.9773506825995144, 1, 1], 
      Hue[0.9773506825995144, 1, 1], 
      Hue[0.9773887249954515, 1, 1], 
      Hue[0.9773887249954515, 1, 1], 
      Hue[0.9773982355944357, 1, 1], 
      Hue[0.9773982355944357, 1, 1], 
      Hue[0.9774077461934201, 1, 1], 
      Hue[0.9774077461934201, 1, 1], 
      Hue[0.9774267673913886, 1, 1], 
      Hue[0.9774267673913886, 1, 1], 
      Hue[0.9774362779903729, 1, 1], 
      Hue[0.9774362779903729, 1, 1], 
      Hue[0.9774457885893572, 1, 1], 
      Hue[0.9774457885893572, 1, 1], 
      Hue[0.9774552991883414, 1, 1], 
      Hue[0.9774552991883414, 1, 1], 
      Hue[0.9774648097873256, 1, 1]}], GraphicsComplexBox[CompressedData["
1:eJwUV3c81t8XNx6EQhtJdtIgkhFdorLSIpKVKOsrkZ0tMyPJ3pkPmWUl55Od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    "], {
     {GrayLevel[0.5], EdgeForm[None], 
      GraphicsGroupBox[PolygonBox[CompressedData["
1:eJwtnA/48NVZ1r/n++f8P7+ICIkQkRgRIhEjJCQiRERcCxEJCQkZ4ZqEiIyI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        "]]]}, {{}, {}, {
       {Hue[0.04507038042534869, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1, 2}]}, 
       {Hue[0.045656129526931086`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{2, 3}]}, 
       {Hue[0.046241878628513644`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{3, 4}]}, 
       {Hue[0.047413376831678455`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{4, 5}]}, 
       {Hue[0.04975637323800807, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{5, 6}]}, 
       {Hue[0.05444236605066761, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{6, 7}]}, 
       {Hue[0.06381435167598641, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{7, 8}]}, 
       {Hue[0.08255832292662398, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{8, 9}]}, 
       {Hue[0.08319334207426513, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{9, 10}]}, 
       {Hue[0.08382836122190629, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{10, 11}]}, 
       {Hue[0.08509839951718859, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{11, 12}]}, 
       {Hue[0.08763847610775323, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{12, 13}]}, 
       {Hue[0.09271862928888233, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{13, 14}]}, 
       {Hue[0.10287893565114074`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{14, 15}]}, 
       {Hue[0.10351395479878188`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{15, 16}]}, 
       {Hue[0.10414897394642304`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{16, 17}]}, 
       {Hue[0.10541901224170537`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{17, 18}]}, 
       {Hue[0.10795908883226984`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{18, 19}]}, 
       {Hue[0.11303924201339897`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{19, 20}]}, 
       {Hue[0.12319954837565734`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{20, 21}]}, 
       {Hue[0.12379248588008265`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{21, 22}]}, 
       {Hue[0.12438542338450781`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{22, 23}]}, 
       {Hue[0.12557129839335812`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{23, 24}]}, 
       {Hue[0.12794304841105877`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{24, 25}]}, 
       {Hue[0.13268654844646033`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{25, 26}]}, 
       {Hue[0.1332794859508855, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{26, 27}]}, 
       {Hue[0.13387242345531064`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{27, 28}]}, 
       {Hue[0.135058298464161, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{28, 29}]}, 
       {Hue[0.13743004848186177`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{29, 30}]}, 
       {Hue[0.14217354851726322`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{30, 31}]}, 
       {Hue[0.14276648602168834`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{31, 32}]}, 
       {Hue[0.1433594235261135, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{32, 33}]}, 
       {Hue[0.14454529853496384`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{33, 34}]}, 
       {Hue[0.1469170485526646, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{34, 35}]}, 
       {Hue[0.14750998605708993`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{35, 36}]}, 
       {Hue[0.14810292356151508`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{36, 37}]}, 
       {Hue[0.1492887985703654, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{37, 38}]}, 
       {Hue[0.15166054858806602`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{38, 39}]}, 
       {Hue[0.1522534860924912, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{39, 40}]}, 
       {Hue[0.1528464235969164, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{40, 41}]}, 
       {Hue[0.1540322986057667, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{41, 42}]}, 
       {Hue[0.15462523611019183`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{42, 43}]}, 
       {Hue[0.155218173614617, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{43, 44}]}, 
       {Hue[0.15640404862346746`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{44, 45}]}, 
       {Hue[0.15699698612789276`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{45, 46}]}, 
       {Hue[0.15758992363231797`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{46, 47}]}, 
       {Hue[0.15818286113674307`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{47, 48}]}, 
       {Hue[0.15877579864116825`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{48, 49}]}, 
       {Hue[0.1593687361455934, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{49, 50}]}, 
       {Hue[0.15996167365001857`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{50, 51}]}, 
       {Hue[0.16114754865886888`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{51, 52}]}, 
       {Hue[0.16172885508316964`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{52, 53}]}, 
       {Hue[0.16231016150747038`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{53, 54}]}, 
       {Hue[0.16289146793177126`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{54, 55}]}, 
       {Hue[0.16347277435607202`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{55, 56}]}, 
       {Hue[0.16405408078037276`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{56, 57}]}, 
       {Hue[0.16463538720467363`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{57, 58}]}, 
       {Hue[0.1652166936289744, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{58, 59}]}, 
       {Hue[0.16579800005327514`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{59, 60}]}, 
       {Hue[0.16637930647757587`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{60, 61}]}, 
       {Hue[0.16696061290187664`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{61, 62}]}, 
       {Hue[0.1675419193261775, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{62, 63}]}, 
       {Hue[0.16812322575047825`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{63, 64}]}, 
       {Hue[0.16870453217477901`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{64, 65}]}, 
       {Hue[0.1692858385990799, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{65, 66}]}, 
       {Hue[0.16986714502338063`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{66, 67}]}, 
       {Hue[0.1704484514476814, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{67, 68}]}, 
       {Hue[0.17102975787198213`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{68, 69}]}, 
       {Hue[0.17161106429628287`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{69, 70}]}, 
       {Hue[0.17219237072058377`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{70, 71}]}, 
       {Hue[0.1727736771448845, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{71, 72}]}, 
       {Hue[0.17335498356918527`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{72, 73}]}, 
       {Hue[0.17393628999348615`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{73, 74}]}, 
       {Hue[0.17451759641778689`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{74, 75}]}, 
       {Hue[0.17509890284208765`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{75, 76}]}, 
       {Hue[0.1756802092663884, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{76, 77}]}, 
       {Hue[0.17626151569068912`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{77, 78}]}, 
       {Hue[0.1768428221149899, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{78, 79}]}, 
       {Hue[0.17742412853929063`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{79, 80}]}, 
       {Hue[0.17800543496359136`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{80, 81}]}, 
       {Hue[0.1785867413878921, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{81, 82}]}, 
       {Hue[0.17974935423649374`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{82, 83}]}, 
       {Hue[0.1803306606607945, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{83, 84}]}, 
       {Hue[0.18091196708509538`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{84, 85}]}, 
       {Hue[0.18207457993369688`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{85, 86}]}, 
       {Hue[0.18265588635799762`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{86, 87}]}, 
       {Hue[0.18323719278229836`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{87, 88}]}, 
       {Hue[0.18439980563089986`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{88, 89}]}, 
       {Hue[0.1849811120552006, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{89, 90}]}, 
       {Hue[0.18556241847950136`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{90, 91}]}, 
       {Hue[0.18672503132810297`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{91, 92}]}, 
       {Hue[0.18905025702530612`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{92, 93}]}, 
       {Hue[0.18963156344960685`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{93, 94}]}, 
       {Hue[0.1902128698739076, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{94, 95}]}, 
       {Hue[0.19137548272250923`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{95, 96}]}, 
       {Hue[0.19370070841971235`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{96, 97}]}, 
       {Hue[0.1942820148440131, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{97, 98}]}, 
       {Hue[0.19486332126831385`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{98, 99}]}, 
       {Hue[0.1960259341169155, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{99, 100}]}, 
       {Hue[0.1983511598141186, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{100, 101}]}, 
       {Hue[0.1989817362844781, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{101, 102}]}, 
       {Hue[0.1996123127548376, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{102, 103}]}, 
       {Hue[0.2008734656955566, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{103, 104}]}, 
       {Hue[0.2033957715769946, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{104, 105}]}, 
       {Hue[0.2040263480473541, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{105, 106}]}, 
       {Hue[0.20465692451771358`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{106, 107}]}, 
       {Hue[0.20591807745843257`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{107, 108}]}, 
       {Hue[0.20844038333987058`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{108, 109}]}, 
       {Hue[0.20907095981023008`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{109, 110}]}, 
       {Hue[0.20970153628058957`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{110, 111}]}, 
       {Hue[0.21096268922130856`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{111, 112}]}, 
       {Hue[0.21348499510274654`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{112, 113}]}, 
       {Hue[0.21852960686562253`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{113, 114}]}, 
       {Hue[0.21916018333598203`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{114, 115}]}, 
       {Hue[0.21979075980634152`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{115, 116}]}, 
       {Hue[0.2210519127470605, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{116, 117}]}, 
       {Hue[0.22357421862849852`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{117, 118}]}, 
       {Hue[0.22861883039137448`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{118, 119}]}, 
       {Hue[0.22924940686173398`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{119, 120}]}, 
       {Hue[0.22987998333209347`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{120, 121}]}, 
       {Hue[0.2311411362728125, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{121, 122}]}, 
       {Hue[0.23366344215425047`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{122, 123}]}, 
       {Hue[0.23870805391712646`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{123, 124}]}, 
       {Hue[0.23929654874426995`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{124, 125}]}, 
       {Hue[0.23988504357141346`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{125, 126}]}, 
       {Hue[0.2410620332257006, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{126, 127}]}, 
       {Hue[0.24341601253427475`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{127, 128}]}, 
       {Hue[0.24400450736141824`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{128, 129}]}, 
       {Hue[0.24459300218856173`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{129, 130}]}, 
       {Hue[0.24576999184284887`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{130, 131}]}, 
       {Hue[0.24635848666999252`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{131, 132}]}, 
       {Hue[0.246946981497136, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{132, 133}]}, 
       {Hue[0.248123971151423, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{133, 134}]}, 
       {Hue[0.24871246597856653`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{134, 135}]}, 
       {Hue[0.24930096080571001`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{135, 136}]}, 
       {Hue[0.24988945563285353`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{136, 137}]}, 
       {Hue[0.7504779504599972, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{137, 138}]}, 
       {Hue[0.7510664452871407, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{138, 139}]}, 
       {Hue[0.7516549401142842, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{139, 140}]}, 
       {Hue[0.7528319297685713, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{140, 141}]}, 
       {Hue[0.7534204245957148, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{141, 142}]}, 
       {Hue[0.7540089194228583, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{142, 143}]}, 
       {Hue[0.7551859090771453, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{143, 144}]}, 
       {Hue[0.7575398883857194, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{144, 145}]}, 
       {Hue[0.7581283832128631, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{145, 146}]}, 
       {Hue[0.7587168780400065, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{146, 147}]}, 
       {Hue[0.7598938676942936, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{147, 148}]}, 
       {Hue[0.7622478470028675, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{148, 149}]}, 
       {Hue[0.7669558056200159, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{149, 150}]}, 
       {Hue[0.7763717228543123, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{150, 151}]}, 
       {Hue[0.7770094877275147, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{151, 152}]}, 
       {Hue[0.7776472526007169, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{152, 153}]}, 
       {Hue[0.7789227823471214, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{153, 154}]}, 
       {Hue[0.7814738418399304, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{154, 155}]}, 
       {Hue[0.7865759608255485, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{155, 156}]}, 
       {Hue[0.7967801987967844, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{156, 157}]}, 
       {Hue[0.8171886747392565, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{157, 158}]}, 
       {Hue[0.8178148085323343, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{158, 159}]}, 
       {Hue[0.8184409423254122, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{159, 160}]}, 
       {Hue[0.8196932099115679, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{160, 161}]}, 
       {Hue[0.8221977450838792, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{161, 162}]}, 
       {Hue[0.827206815428502, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{162, 163}]}, 
       {Hue[0.8372249561177476, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{163, 164}]}, 
       {Hue[0.8378510899108255, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{164, 165}]}, 
       {Hue[0.8384772237039033, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{165, 166}]}, 
       {Hue[0.8397294912900589, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{166, 167}]}, 
       {Hue[0.8422340264623704, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{167, 168}]}, 
       {Hue[0.8472430968069933, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{168, 169}]}, 
       {Hue[0.8572612374962388, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{169, 170}]}, 
       {Hue[0.8578452896461009, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{170, 171}]}, 
       {Hue[0.8584293417959626, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{171, 172}]}, 
       {Hue[0.8595974460956863, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{172, 173}]}, 
       {Hue[0.8619336546951339, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{173, 174}]}, 
       {Hue[0.8666060718940289, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{174, 175}]}, 
       {Hue[0.8671901240438908, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{175, 176}]}, 
       {Hue[0.8677741761937527, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{176, 177}]}, 
       {Hue[0.8689422804934764, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{177, 178}]}, 
       {Hue[0.8712784890929239, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{178, 179}]}, 
       {Hue[0.875950906291819, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{179, 180}]}, 
       {Hue[0.876534958441681, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{180, 181}]}, 
       {Hue[0.8771190105915427, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{181, 182}]}, 
       {Hue[0.8782871148912667, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{182, 183}]}, 
       {Hue[0.8806233234907141, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{183, 184}]}, 
       {Hue[0.8812073756405759, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{184, 185}]}, 
       {Hue[0.8817914277904378, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{185, 186}]}, 
       {Hue[0.8829595320901616, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{186, 187}]}, 
       {Hue[0.8852957406896091, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{187, 188}]}, 
       {Hue[0.8858797928394709, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{188, 189}]}, 
       {Hue[0.8864638449893328, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{189, 190}]}, 
       {Hue[0.8876319492890566, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{190, 191}]}, 
       {Hue[0.8882160014389185, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{191, 192}]}, 
       {Hue[0.8888000535887804, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{192, 193}]}, 
       {Hue[0.8899681578885041, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{193, 194}]}, 
       {Hue[0.8905522100383662, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{194, 195}]}, 
       {Hue[0.891136262188228, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{195, 196}]}, 
       {Hue[0.8923043664879518, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{196, 197}]}, 
       {Hue[0.8928884186378137, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{197, 198}]}, 
       {Hue[0.8934724707876754, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{198, 199}]}, 
       {Hue[0.8946405750873992, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{199, 200}]}, 
       {Hue[0.8952738972833199, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{200, 201}]}, 
       {Hue[0.8959072194792405, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{201, 202}]}, 
       {Hue[0.8965405416751611, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{202, 203}]}, 
       {Hue[0.8971738638710816, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{203, 204}]}, 
       {Hue[0.8978071860670023, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{204, 205}]}, 
       {Hue[0.8984405082629228, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{205, 206}]}, 
       {Hue[0.8990738304588434, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{206, 207}]}, 
       {Hue[0.8997071526547641, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{207, 208}]}, 
       {Hue[0.9003404748506847, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{208, 209}]}, 
       {Hue[0.9009737970466053, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{209, 210}]}, 
       {Hue[0.9016071192425259, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{210, 211}]}, 
       {Hue[0.9022404414384465, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{211, 212}]}, 
       {Hue[0.9028737636343671, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{212, 213}]}, 
       {Hue[0.9035070858302877, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{213, 214}]}, 
       {Hue[0.9041404080262083, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{214, 215}]}, 
       {Hue[0.9047737302221288, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{215, 216}]}, 
       {Hue[0.9054070524180494, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{216, 217}]}, 
       {Hue[0.90604037461397, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{217, 218}]}, 
       {Hue[0.9066736968098906, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{218, 219}]}, 
       {Hue[0.9073070190058112, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{219, 220}]}, 
       {Hue[0.9079403412017318, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{220, 221}]}, 
       {Hue[0.9085736633976524, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{221, 222}]}, 
       {Hue[0.909206985593573, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{222, 223}]}, 
       {Hue[0.9098403077894937, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{223, 224}]}, 
       {Hue[0.9104736299854144, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{224, 225}]}, 
       {Hue[0.9111069521813349, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{225, 226}]}, 
       {Hue[0.9117402743772555, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{226, 227}]}, 
       {Hue[0.9123735965731761, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{227, 228}]}, 
       {Hue[0.9130069187690967, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{228, 229}]}, 
       {Hue[0.9136402409650173, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{229, 230}]}, 
       {Hue[0.9149068853568585, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{230, 231}]}, 
       {Hue[0.9155402075527791, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{231, 232}]}, 
       {Hue[0.9161735297486997, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{232, 233}]}, 
       {Hue[0.9174401741405408, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{233, 234}]}, 
       {Hue[0.9180734963364614, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{234, 235}]}, 
       {Hue[0.918706818532382, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{235, 236}]}, 
       {Hue[0.9199734629242233, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{236, 237}]}, 
       {Hue[0.9206067851201439, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{237, 238}]}, 
       {Hue[0.9212401073160645, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{238, 239}]}, 
       {Hue[0.9225067517079057, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{239, 240}]}, 
       {Hue[0.9250400404915881, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{240, 241}]}, 
       {Hue[0.9256733626875087, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{241, 242}]}, 
       {Hue[0.9263066848834293, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{242, 243}]}, 
       {Hue[0.9275733292752705, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{243, 244}]}, 
       {Hue[0.930106618058953, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{244, 245}]}, 
       {Hue[0.9307399402548735, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{245, 246}]}, 
       {Hue[0.9313732624507941, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{246, 247}]}, 
       {Hue[0.9326399068426353, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{247, 248}]}, 
       {Hue[0.9351731956263177, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{248, 249}]}, 
       {Hue[0.9357644361790224, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{249, 250}]}, 
       {Hue[0.936355676731727, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{250, 251}]}, 
       {Hue[0.9375381578371363, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{251, 252}]}, 
       {Hue[0.9399031200479548, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{252, 253}]}, 
       {Hue[0.9404943606006595, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{253, 254}]}, 
       {Hue[0.9410856011533641, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{254, 255}]}, 
       {Hue[0.9422680822587733, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{255, 256}]}, 
       {Hue[0.9446330444695918, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{256, 257}]}, 
       {Hue[0.9452242850222965, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{257, 258}]}, 
       {Hue[0.9458155255750011, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{258, 259}]}, 
       {Hue[0.9469980066804105, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{259, 260}]}, 
       {Hue[0.949362968891229, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{260, 261}]}, 
       {Hue[0.9540928933128661, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{261, 262}]}, 
       {Hue[0.9546841338655707, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{262, 263}]}, 
       {Hue[0.9552753744182754, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{263, 264}]}, 
       {Hue[0.9564578555236847, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{264, 265}]}, 
       {Hue[0.9588228177345032, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{265, 266}]}, 
       {Hue[0.9635527421561403, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{266, 267}]}, 
       {Hue[0.9730125909994145, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{267, 268}]}, 
       {Hue[0.9735922004719948, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{268, 269}]}, 
       {Hue[0.9741718099445751, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{269, 270}]}, 
       {Hue[0.9753310288897354, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{270, 271}]}, 
       {Hue[0.9776494667800564, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{271, 272}]}, 
       {Hue[0.9822863425606982, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{272, 273}]}, 
       {Hue[0.9828659520332785, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{273, 274}]}, 
       {Hue[0.9834455615058587, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{274, 275}]}, 
       {Hue[0.9846047804510192, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{275, 276}]}, 
       {Hue[0.9869232183413401, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{276, 277}]}, 
       {Hue[0.991560094121982, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{277, 278}]}, 
       {Hue[0.9921397035945623, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{278, 279}]}, 
       {Hue[0.9927193130671425, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{279, 280}]}, 
       {Hue[0.9938785320123029, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{280, 281}]}, 
       {Hue[0.9944581414848832, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{281, 282}]}, 
       {Hue[0.9950377509574634, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{282, 283}]}, 
       {Hue[0.9961969699026239, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{283, 284}]}, 
       {Hue[0.996776579375204, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{284, 285}]}, 
       {Hue[0.9973561888477843, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{285, 286}]}, 
       {Hue[0.9979357983203645, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{286, 287}]}, 
       {Hue[0.9985154077929448, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{287, 288}]}, 
       {Hue[0.999095017265525, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{288, 289}]}, 
       {Hue[0.9996746267381051, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{289, 290}]}, 
       {Hue[0.5002542362106854, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{290, 291}]}, 
       {Hue[0.5008338456832657, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{291, 292}]}, 
       {Hue[0.5014134551558459, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{292, 293}]}, 
       {Hue[0.5019930646284262, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{293, 294}]}, 
       {Hue[0.5031522835735867, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{294, 295}]}, 
       {Hue[0.5054707214639076, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{295, 296}]}, 
       {Hue[0.5101075972445495, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{296, 297}]}, 
       {Hue[0.5107364767631885, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{297, 298}]}, 
       {Hue[0.5113653562818274, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{298, 299}]}, 
       {Hue[0.5126231153191052, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{299, 300}]}, 
       {Hue[0.5151386333936612, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{300, 301}]}, 
       {Hue[0.5201696695427727, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{301, 302}]}, 
       {Hue[0.530231741840996, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{302, 303}]}, 
       {Hue[0.5503558864374425, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{303, 304}]}, 
       {Hue[0.5509426843128655, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{304, 305}]}, 
       {Hue[0.5515294821882883, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{305, 306}]}, 
       {Hue[0.5527030779391344, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{306, 307}]}, 
       {Hue[0.5550502694408264, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{307, 308}]}, 
       {Hue[0.5597446524442103, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{308, 309}]}, 
       {Hue[0.5691334184509782, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{309, 310}]}, 
       {Hue[0.5697202163264011, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{310, 311}]}, 
       {Hue[0.5703070142018241, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{311, 312}]}, 
       {Hue[0.5714806099526701, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{312, 313}]}, 
       {Hue[0.5738278014543621, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{313, 314}]}, 
       {Hue[0.578522184457746, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{314, 315}]}, 
       {Hue[0.5879109504645137, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{315, 316}]}, 
       {Hue[0.5885470183859953, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{316, 317}]}, 
       {Hue[0.5891830863074771, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{317, 318}]}, 
       {Hue[0.5904552221504404, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{318, 319}]}, 
       {Hue[0.5929994938363673, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{319, 320}]}, 
       {Hue[0.5980880372082211, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{320, 321}]}, 
       {Hue[0.5987241051297028, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{321, 322}]}, 
       {Hue[0.5993601730511844, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{322, 323}]}, 
       {Hue[0.6006323088941479, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{323, 324}]}, 
       {Hue[0.6031765805800747, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{324, 325}]}, 
       {Hue[0.6082651239519283, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{325, 326}]}, 
       {Hue[0.60890119187341, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{326, 327}]}, 
       {Hue[0.6095372597948917, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{327, 328}]}, 
       {Hue[0.6108093956378553, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{328, 329}]}, 
       {Hue[0.6133536673237819, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{329, 330}]}, 
       {Hue[0.6139897352452637, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{330, 331}]}, 
       {Hue[0.6146258031667454, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{331, 332}]}, 
       {Hue[0.6158979390097088, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{332, 333}]}, 
       {Hue[0.6184422106956357, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{333, 334}]}, 
       {Hue[0.6190782786171174, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{334, 335}]}, 
       {Hue[0.619714346538599, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{335, 336}]}, 
       {Hue[0.6209864823815625, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{336, 337}]}, 
       {Hue[0.6216225503030441, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{337, 338}]}, 
       {Hue[0.622258618224526, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{338, 339}]}, 
       {Hue[0.6235307540674894, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{339, 340}]}, 
       {Hue[0.6241668219889711, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{340, 341}]}, 
       {Hue[0.6248028899104527, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{341, 342}]}, 
       {Hue[0.6260750257534162, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{342, 343}]}, 
       {Hue[0.6267110936748979, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{343, 344}]}, 
       {Hue[0.6273471615963796, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{344, 345}]}, 
       {Hue[0.628619297439343, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{345, 346}]}, 
       {Hue[0.6292437342807002, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{346, 347}]}, 
       {Hue[0.6298681711220575, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{347, 348}]}, 
       {Hue[0.6311170448047723, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{348, 349}]}, 
       {Hue[0.6317414816461295, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{349, 350}]}, 
       {Hue[0.6323659184874868, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{350, 351}]}, 
       {Hue[0.6336147921702014, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{351, 352}]}, 
       {Hue[0.6342392290115587, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{352, 353}]}, 
       {Hue[0.6348636658529161, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{353, 354}]}, 
       {Hue[0.6354881026942734, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{354, 355}]}, 
       {Hue[0.6361125395356306, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{355, 356}]}, 
       {Hue[0.6367369763769879, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{356, 357}]}, 
       {Hue[0.6373614132183453, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{357, 358}]}, 
       {Hue[0.6379858500597027, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{358, 359}]}, 
       {Hue[0.6386102869010599, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{359, 360}]}, 
       {Hue[0.6392347237424172, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{360, 361}]}, 
       {Hue[0.6398591605837745, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{361, 362}]}, 
       {Hue[0.6404835974251318, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{362, 363}]}, 
       {Hue[0.6411080342664891, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{363, 364}]}, 
       {Hue[0.6417324711078464, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{364, 365}]}, 
       {Hue[0.6423569079492037, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{365, 366}]}, 
       {Hue[0.642981344790561, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{366, 367}]}, 
       {Hue[0.6436057816319183, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{367, 368}]}, 
       {Hue[0.6442302184732756, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{368, 369}]}, 
       {Hue[0.6448546553146329, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{369, 370}]}, 
       {Hue[0.6454790921559903, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{370, 371}]}, 
       {Hue[0.6461035289973476, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{371, 372}]}, 
       {Hue[0.6467279658387048, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{372, 373}]}, 
       {Hue[0.6473524026800621, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{373, 374}]}, 
       {Hue[0.6479768395214194, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{374, 375}]}, 
       {Hue[0.6486012763627766, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{375, 376}]}, 
       {Hue[0.649225713204134, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{376, 377}]}, 
       {Hue[0.6498501500454913, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{377, 378}]}, 
       {Hue[0.6504745868868487, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{378, 379}]}, 
       {Hue[0.6510990237282059, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{379, 380}]}, 
       {Hue[0.6517234605695632, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{380, 381}]}, 
       {Hue[0.6523478974109205, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{381, 382}]}, 
       {Hue[0.653596771093635, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{382, 383}]}, 
       {Hue[0.6542212079349923, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{383, 384}]}, 
       {Hue[0.6548456447763498, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{384, 385}]}, 
       {Hue[0.6560945184590643, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{385, 386}]}, 
       {Hue[0.6567189553004216, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{386, 387}]}, 
       {Hue[0.657343392141779, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{387, 388}]}, 
       {Hue[0.6585922658244936, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{388, 389}]}, 
       {Hue[0.6592167026658509, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{389, 390}]}, 
       {Hue[0.6598411395072081, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{390, 391}]}, 
       {Hue[0.6610900131899228, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{391, 392}]}, 
       {Hue[0.663587760555352, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{392, 393}]}, 
       {Hue[0.6642121973967092, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{393, 394}]}, 
       {Hue[0.6648366342380666, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{394, 395}]}, 
       {Hue[0.6660855079207813, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{395, 396}]}, 
       {Hue[0.6685832552862104, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{396, 397}]}, 
       {Hue[0.6691656104843519, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{397, 398}]}, 
       {Hue[0.6697479656824932, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{398, 399}]}, 
       {Hue[0.6709126760787758, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{399, 400}]}, 
       {Hue[0.6732420968713412, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{400, 401}]}, 
       {Hue[0.6738244520694825, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{401, 402}]}, 
       {Hue[0.6744068072676239, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{402, 403}]}, 
       {Hue[0.6755715176639066, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{403, 404}]}, 
       {Hue[0.6779009384564719, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{404, 405}]}, 
       {Hue[0.6784832936546132, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{405, 406}]}, 
       {Hue[0.6790656488527546, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{406, 407}]}, 
       {Hue[0.6802303592490373, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{407, 408}]}, 
       {Hue[0.6825597800416026, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{408, 409}]}, 
       {Hue[0.6872186216267333, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{409, 410}]}, 
       {Hue[0.6878009768248747, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{410, 411}]}, 
       {Hue[0.6883833320230159, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{411, 412}]}, 
       {Hue[0.6895480424192988, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{412, 413}]}, 
       {Hue[0.691877463211864, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{413, 414}]}, 
       {Hue[0.6965363047969948, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{414, 415}]}, 
       {Hue[0.7058539879672563, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{415, 416}]}, 
       {Hue[0.7064856132114563, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{416, 417}]}, 
       {Hue[0.7071172384556563, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{417, 418}]}, 
       {Hue[0.7083804889440565, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{418, 419}]}, 
       {Hue[0.7109069899208567, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{419, 420}]}, 
       {Hue[0.7159599918744572, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{420, 421}]}, 
       {Hue[0.7260659957816582, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{421, 422}]}, 
       {Hue[0.7266976210258582, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{422, 423}]}, 
       {Hue[0.7273292462700582, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{423, 424}]}, 
       {Hue[0.7285924967584583, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{424, 425}]}, 
       {Hue[0.7311189977352586, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{425, 426}]}, 
       {Hue[0.736171999688859, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{426, 427}]}, 
       {Hue[0.7368036249330592, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{427, 428}]}, 
       {Hue[0.7374352501772592, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{428, 429}]}, 
       {Hue[0.7386985006656592, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{429, 430}]}, 
       {Hue[0.7412250016424595, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{430, 431}]}, 
       {Hue[0.7418566268866595, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{431, 432}]}, 
       {Hue[0.7424882521308597, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{432, 433}]}, 
       {Hue[0.7437515026192598, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{433, 434}]}, 
       {Hue[0.74627800359606, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{434, 435}]}, 
       {Hue[0.7468675471970441, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{435, 436}]}, 
       {Hue[0.7474570907980282, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{436, 437}]}, 
       {Hue[0.7480466343990123, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{437, 438}]}, 
       {Hue[0.7486361779999964, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{438, 439}]}, 
       {Hue[0.7492257216009806, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{439, 440}]}, 
       {Hue[0.7498152652019646, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{440, 441}]}, 
       {Hue[0.2504048088029487, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{441, 442}]}, 
       {Hue[0.25099435240393275`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{442, 443}]}, 
       {Hue[0.2515838960049168, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{443, 444}]}, 
       {Hue[0.2521734396059009, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{444, 445}]}, 
       {Hue[0.2533525268078691, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{445, 446}]}, 
       {Hue[0.2557107012118055, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{446, 447}]}, 
       {Hue[0.2563002448127896, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{447, 448}]}, 
       {Hue[0.2568897884137737, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{448, 449}]}, 
       {Hue[0.2580688756157419, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{449, 450}]}, 
       {Hue[0.26042705001967825`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{450, 451}]}, 
       {Hue[0.265143398827551, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{451, 452}]}, 
       {Hue[0.2657329424285351, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{452, 453}]}, 
       {Hue[0.2663224860295192, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{453, 454}]}, 
       {Hue[0.2675015732314874, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{454, 455}]}, 
       {Hue[0.26985974763542375`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{455, 456}]}, 
       {Hue[0.2745760964432965, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{456, 457}]}, 
       {Hue[0.28400879405904206`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{457, 458}]}, 
       {Hue[0.2846476077060849, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{458, 459}]}, 
       {Hue[0.28528642135312765`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{459, 460}]}, 
       {Hue[0.2865640486472133, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{460, 461}]}, 
       {Hue[0.28911930323538454`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{461, 462}]}, 
       {Hue[0.294229812411727, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{462, 463}]}, 
       {Hue[0.3044508307644121, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{463, 464}]}, 
       {Hue[0.3050896444114549, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{464, 465}]}, 
       {Hue[0.3057284580584977, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{465, 466}]}, 
       {Hue[0.30700608535258334`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{466, 467}]}, 
       {Hue[0.3095613399407546, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{467, 468}]}, 
       {Hue[0.3146718491170971, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{468, 469}]}, 
       {Hue[0.32489286746978213`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{469, 470}]}, 
       {Hue[0.3255200500367006, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{470, 471}]}, 
       {Hue[0.32614723260361894`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{471, 472}]}, 
       {Hue[0.3274015977374558, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{472, 473}]}, 
       {Hue[0.3299103280051294, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{473, 474}]}, 
       {Hue[0.3349277885404768, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{474, 475}]}, 
       {Hue[0.33555497110739513`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{475, 476}]}, 
       {Hue[0.3361821536743136, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{476, 477}]}, 
       {Hue[0.33743651880815034`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{477, 478}]}, 
       {Hue[0.33994524907582396`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{478, 479}]}, 
       {Hue[0.3449627096111713, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{479, 480}]}, 
       {Hue[0.34558989217808966`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{480, 481}]}, 
       {Hue[0.3462170747450081, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{481, 482}]}, 
       {Hue[0.34747143987884493`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{482, 483}]}, 
       {Hue[0.34998017014651855`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{483, 484}]}, 
       {Hue[0.350607352713437, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{484, 485}]}, 
       {Hue[0.35123453528035536`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{485, 486}]}, 
       {Hue[0.35248890041419223`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{486, 487}]}, 
       {Hue[0.35499763068186585`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{487, 488}]}, 
       {Hue[0.3556248132487843, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{488, 489}]}, 
       {Hue[0.35625199581570266`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{489, 490}]}, 
       {Hue[0.35750636094953947`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{490, 491}]}, 
       {Hue[0.358133543516458, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{491, 492}]}, 
       {Hue[0.35876072608337634`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{492, 493}]}, 
       {Hue[0.36001509121721315`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{493, 494}]}, 
       {Hue[0.36064227378413155`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{494, 495}]}, 
       {Hue[0.3612694563510499, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{495, 496}]}, 
       {Hue[0.3625238214848868, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{496, 497}]}, 
       {Hue[0.36315100405180517`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{497, 498}]}, 
       {Hue[0.3637781866187237, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{498, 499}]}, 
       {Hue[0.3650325517525604, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{499, 500}]}, 
       {Hue[0.3656176526762629, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{500, 501}]}, 
       {Hue[0.36620275359996535`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{501, 502}]}, 
       {Hue[0.3673729554473702, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{502, 503}]}, 
       {Hue[0.36795805637107265`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{503, 504}]}, 
       {Hue[0.3685431572947751, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{504, 505}]}, 
       {Hue[0.36971335914218006`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{505, 506}]}, 
       {Hue[0.37029846006588246`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{506, 507}]}, 
       {Hue[0.3708835609895849, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{507, 508}]}, 
       {Hue[0.37146866191328737`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{508, 509}]}, 
       {Hue[0.3720537628369898, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{509, 510}]}, 
       {Hue[0.3726388637606922, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{510, 511}]}, 
       {Hue[0.37322396468439467`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{511, 512}]}, 
       {Hue[0.3738090656080971, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{512, 513}]}, 
       {Hue[0.3743941665317996, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{513, 514}]}, 
       {Hue[0.3749792674555021, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{514, 515}]}, 
       {Hue[0.3755643683792044, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{515, 516}]}, 
       {Hue[0.3761494693029069, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{516, 517}]}, 
       {Hue[0.3767345702266093, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{517, 518}]}, 
       {Hue[0.3773196711503118, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{518, 519}]}, 
       {Hue[0.37790477207401424`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{519, 520}]}, 
       {Hue[0.3784898729977167, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{520, 521}]}, 
       {Hue[0.37907497392141914`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{521, 522}]}, 
       {Hue[0.37966007484512154`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{522, 523}]}, 
       {Hue[0.380245175768824, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{523, 524}]}, 
       {Hue[0.38083027669252645`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{524, 525}]}, 
       {Hue[0.38141537761622896`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{525, 526}]}, 
       {Hue[0.3820004785399313, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{526, 527}]}, 
       {Hue[0.3825855794636338, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{527, 528}]}, 
       {Hue[0.38317068038733626`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{528, 529}]}, 
       {Hue[0.3837557813110387, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{529, 530}]}, 
       {Hue[0.38434088223474117`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{530, 531}]}, 
       {Hue[0.38492598315844356`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{531, 532}]}, 
       {Hue[0.385511084082146, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{532, 533}]}, 
       {Hue[0.38609618500584847`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{533, 534}]}, 
       {Hue[0.386681285929551, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{534, 535}]}, 
       {Hue[0.3872663868532533, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{535, 536}]}, 
       {Hue[0.3884365887006583, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{536, 537}]}, 
       {Hue[0.38902168962436073`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{537, 538}]}, 
       {Hue[0.38960679054806313`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{538, 539}]}, 
       {Hue[0.39077699239546804`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{539, 540}]}, 
       {Hue[0.3913620933191705, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{540, 541}]}, 
       {Hue[0.3919471942428729, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{541, 542}]}, 
       {Hue[0.39311739609027785`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{542, 543}]}, 
       {Hue[0.39370249701398025`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{543, 544}]}, 
       {Hue[0.39428759793768275`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{544, 545}]}, 
       {Hue[0.3954577997850876, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{545, 546}]}, 
       {Hue[0.39779820347989736`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{546, 547}]}, 
       {Hue[0.3983833044035998, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{547, 548}]}, 
       {Hue[0.3989684053273023, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{548, 549}]}, 
       {Hue[0.4001386071747072, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{549, 550}]}, 
       {Hue[0.40247901086951693`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{550, 551}]}, 
       {Hue[0.40311338183927814`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{551, 552}]}, 
       {Hue[0.40374775280903924`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{552, 553}]}, 
       {Hue[0.4050164947485616, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{553, 554}]}, 
       {Hue[0.40755397862760623`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{554, 555}]}, 
       {Hue[0.40818834959736744`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{555, 556}]}, 
       {Hue[0.4088227205671286, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{556, 557}]}, 
       {Hue[0.4100914625066509, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{557, 558}]}, 
       {Hue[0.41262894638569564`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{558, 559}]}, 
       {Hue[0.41326331735545674`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{559, 560}]}, 
       {Hue[0.41389768832521795`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{560, 561}]}, 
       {Hue[0.41516643026474026`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{561, 562}]}, 
       {Hue[0.41770391414378494`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{562, 563}]}, 
       {Hue[0.42277888190187424`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{563, 564}]}, 
       {Hue[0.4234132528716354, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{564, 565}]}, 
       {Hue[0.4240476238413966, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{565, 566}]}, 
       {Hue[0.4253163657809189, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{566, 567}]}, 
       {Hue[0.4278538496599636, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{567, 568}]}, 
       {Hue[0.4329288174180529, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{568, 569}]}, 
       {Hue[0.44307875293423155`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{569, 570}]}, 
       {Hue[0.4436710422607767, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{570, 571}]}, 
       {Hue[0.4442633315873219, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{571, 572}]}, 
       {Hue[0.44544791024041236`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{572, 573}]}, 
       {Hue[0.4478170675465931, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{573, 574}]}, 
       {Hue[0.45255538215895474`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{574, 575}]}, 
       {Hue[0.46203201138367794`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{575, 576}]}, 
       {Hue[0.46262430071022315`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{576, 577}]}, 
       {Hue[0.46321659003676835`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{577, 578}]}, 
       {Hue[0.46440116868985876`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{578, 579}]}, 
       {Hue[0.46677032599603957`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{579, 580}]}, 
       {Hue[0.4715086406084011, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{580, 581}]}, 
       {Hue[0.48098526983312434`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{581, 582}]}, 
       {Hue[0.4815659280795452, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{582, 583}]}, 
       {Hue[0.48214658632596596`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{583, 584}]}, 
       {Hue[0.48330790281880753`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{584, 585}]}, 
       {Hue[0.48563053580449067`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{585, 586}]}, 
       {Hue[0.4902758017758571, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{586, 587}]}, 
       {Hue[0.4908564600222779, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{587, 588}]}, 
       {Hue[0.4914371182686987, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{588, 589}]}, 
       {Hue[0.4925984347615403, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{589, 590}]}, 
       {Hue[0.4949210677472235, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{590, 591}]}, 
       {Hue[0.4955017259936443, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{591, 592}]}, 
       {Hue[0.49608238424006507`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{592, 593}]}, 
       {Hue[0.4972437007329067, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{593, 594}]}, 
       {Hue[0.4978243589793275, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{594, 595}]}, 
       {Hue[0.4984050172257482, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{595, 596}]}, 
       {Hue[0.4989856754721691, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{596, 597}]}, 
       {Hue[0.4995663337185899, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{597, 598}]}, 
       {Hue[0.00014699196501062852`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{598, 599}]}, 
       {Hue[0.0007276502114314253, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{599, 600}]}, 
       {Hue[0.0013083084578522225`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{600, 601}]}, 
       {Hue[0.0018889667042730185`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{601, 602}]}, 
       {Hue[0.002469624950693816, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{602, 603}]}, 
       {Hue[0.0030502831971146124`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{603, 604}]}, 
       {Hue[0.004211599689956207, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{604, 605}]}, 
       {Hue[0.004792257936377003, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{605, 606}]}, 
       {Hue[0.0053729161827978, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{606, 607}]}, 
       {Hue[0.006534232675639393, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{607, 608}]}, 
       {Hue[0.008856865661322582, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{608, 609}]}, 
       {Hue[0.01814739760405533, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{609, 610}]}, 
       {Hue[0.018777325896534847`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{610, 611}]}, 
       {Hue[0.019407254189014365`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{611, 612}]}, 
       {Hue[0.02066711077397339, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{612, 613}]}, 
       {Hue[0.02318682394389146, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{613, 614}]}, 
       {Hue[0.028226250283727602`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{614, 615}]}, 
       {Hue[0.03830510296339987, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{615, 616}]}, 
       {Hue[0.038935031255879375`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{616, 617}]}, 
       {Hue[0.0395649595483589, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{617, 618}]}, 
       {Hue[0.04082481613331793, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{618, 619}]}, 
       {Hue[0.04334452930323598, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{619, 620}]}, 
       {Hue[0.04838395564307213, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{620, 621}]}, 
       {Hue[0.0584628083227444, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{621, 622}]}, 
       {Hue[0.059050654972007954`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{622, 623}]}, 
       {Hue[0.059638501621271496`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{623, 624}]}, 
       {Hue[0.0608141949197986, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{624, 625}]}, 
       {Hue[0.06316558151685281, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{625, 626}]}, 
       {Hue[0.06786835471096121, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{626, 627}]}, 
       {Hue[0.06845620136022479, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{627, 628}]}, 
       {Hue[0.06904404800948832, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{628, 629}]}, 
       {Hue[0.07021974130801543, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{629, 630}]}, 
       {Hue[0.07257112790506963, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{630, 631}]}, 
       {Hue[0.07727390109917805, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{631, 632}]}, 
       {Hue[0.0778617477484416, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{632, 633}]}, 
       {Hue[0.07844959439770514, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{633, 634}]}, 
       {Hue[0.07962528769623224, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{634, 635}]}, 
       {Hue[0.08197667429328645, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{635, 636}]}, 
       {Hue[0.08256452094255001, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{636, 637}]}, 
       {Hue[0.08315236759181358, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{637, 638}]}, 
       {Hue[0.08432806089034067, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{638, 639}]}, 
       {Hue[0.08667944748739487, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{639, 640}]}, 
       {Hue[0.08726729413665844, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{640, 641}]}, 
       {Hue[0.08785514078592199, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{641, 642}]}, 
       {Hue[0.08903083408444905, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{642, 643}]}, 
       {Hue[0.09138222068150328, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{643, 644}]}, 
       {Hue[0.09197006733076682, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{644, 645}]}, 
       {Hue[0.09255791398003038, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{645, 646}]}, 
       {Hue[0.0937336072785575, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{646, 647}]}, 
       {Hue[0.09608499387561169, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{647, 648}]}, 
       {Hue[0.09672211057093397, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{648, 649}]}, 
       {Hue[0.09735922726625623, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{649, 650}]}, 
       {Hue[0.09863346065690079, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{650, 651}]}, 
       {Hue[0.09927057735222307, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{651, 652}]}, 
       {Hue[0.09990769404754532, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{652, 653}]}, 
       {Hue[0.10118192743818986`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{653, 654}]}, 
       {Hue[0.10181904413351212`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{654, 655}]}, 
       {Hue[0.1024561608288344, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{655, 656}]}, 
       {Hue[0.10309327752415666`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{656, 657}]}, 
       {Hue[0.10373039421947897`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{657, 658}]}, 
       {Hue[0.10436751091480122`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{658, 659}]}, 
       {Hue[0.10500462761012351`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{659, 660}]}, 
       {Hue[0.10564174430544576`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{660, 661}]}, 
       {Hue[0.10627886100076801`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{661, 662}]}, 
       {Hue[0.10691597769609029`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{662, 663}]}, 
       {Hue[0.10755309439141256`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{663, 664}]}, 
       {Hue[0.10819021108673486`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{664, 665}]}, 
       {Hue[0.10882732778205713`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{665, 666}]}, 
       {Hue[0.10946444447737937`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{666, 667}]}, 
       {Hue[0.11010156117270167`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{667, 668}]}, 
       {Hue[0.11073867786802392`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{668, 669}]}, 
       {Hue[0.11137579456334618`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{669, 670}]}, 
       {Hue[0.11201291125866848`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{670, 671}]}, 
       {Hue[0.11265002795399072`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{671, 672}]}, 
       {Hue[0.11328714464931301`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{672, 673}]}, 
       {Hue[0.11392426134463525`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{673, 674}]}, 
       {Hue[0.11456137803995754`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{674, 675}]}, 
       {Hue[0.11519849473527982`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{675, 676}]}, 
       {Hue[0.11583561143060209`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{676, 677}]}, 
       {Hue[0.11647272812592438`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{677, 678}]}, 
       {Hue[0.11710984482124662`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{678, 679}]}, 
       {Hue[0.11774696151656887`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{679, 680}]}, 
       {Hue[0.11838407821189117`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{680, 681}]}, 
       {Hue[0.11902119490721341`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{681, 682}]}, 
       {Hue[0.1196583116025357, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{682, 683}]}, 
       {Hue[0.12029542829785798`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{683, 684}]}, 
       {Hue[0.1215696616885025, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{684, 685}]}, 
       {Hue[0.12220677838382481`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{685, 686}]}, 
       {Hue[0.12284389507914709`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{686, 687}]}, 
       {Hue[0.12411812846979163`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{687, 688}]}, 
       {Hue[0.12475524516511388`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{688, 689}]}, 
       {Hue[0.12539236186043612`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{689, 690}]}, 
       {Hue[0.1266665952510807, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{690, 691}]}, 
       {Hue[0.12730371194640294`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{691, 692}]}, 
       {Hue[0.12794082864172526`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{692, 693}]}, 
       {Hue[0.1292150620323698, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{693, 694}]}, 
       {Hue[0.12985217872769209`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{694, 695}]}, 
       {Hue[0.13048929542301432`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{695, 696}]}, 
       {Hue[0.13176352881365888`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{696, 697}]}, 
       {Hue[0.13240064550898115`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{697, 698}]}, 
       {Hue[0.13303776220430344`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{698, 699}]}, 
       {Hue[0.13431199559494797`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{699, 700}]}, 
       {Hue[0.13686046237623703`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{700, 701}]}, 
       {Hue[0.1374859479914349, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{701, 702}]}, 
       {Hue[0.13811143360663275`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{702, 703}]}, 
       {Hue[0.13936240483702853`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{703, 704}]}, 
       {Hue[0.14186434729781996`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{704, 705}]}, 
       {Hue[0.14248983291301784`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{705, 706}]}, 
       {Hue[0.14311531852821574`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{706, 707}]}, 
       {Hue[0.14436628975861146`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{707, 708}]}, 
       {Hue[0.14686823221940296`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{708, 709}]}, 
       {Hue[0.14749371783460077`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{709, 710}]}, 
       {Hue[0.14811920344979865`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{710, 711}]}, 
       {Hue[0.1493701746801944, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{711, 712}]}, 
       {Hue[0.1518721171409859, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{712, 713}]}, 
       {Hue[0.15687600206256883`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{713, 714}]}, 
       {Hue[0.1575014876777667, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{714, 715}]}, 
       {Hue[0.15812697329296455`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{715, 716}]}, 
       {Hue[0.15937794452336027`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{716, 717}]}, 
       {Hue[0.16187988698415173`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{717, 718}]}, 
       {Hue[0.1668837719057347, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{718, 719}]}, 
       {Hue[0.1768915417489006, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{719, 720}]}, 
       {Hue[0.17747494572088252`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{720, 721}]}, 
       {Hue[0.1780583496928644, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{721, 722}]}, 
       {Hue[0.17922515763682823`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{722, 723}]}, 
       {Hue[0.18155877352475583`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{723, 724}]}, 
       {Hue[0.186226005300611, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{724, 725}]}, 
       {Hue[0.19556046885232148`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{725, 726}]}, 
       {Hue[0.1961438728243034, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{726, 727}]}, 
       {Hue[0.1967272767962853, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{727, 728}]}, 
       {Hue[0.1978940847402491, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{728, 729}]}, 
       {Hue[0.2002277006281767, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{729, 730}]}, 
       {Hue[0.20489493240403192`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{730, 731}]}, 
       {Hue[0.2142293959557424, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{731, 732}]}, 
       {Hue[0.214862069973783, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{732, 733}]}, 
       {Hue[0.2154947439918236, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{733, 734}]}, 
       {Hue[0.21676009202790486`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{734, 735}]}, 
       {Hue[0.21929078810006736`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{735, 736}]}, 
       {Hue[0.22435218024439235`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{736, 737}]}, 
       {Hue[0.22498485426243298`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{737, 738}]}, 
       {Hue[0.2256175282804736, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{738, 739}]}, 
       {Hue[0.22688287631655485`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{739, 740}]}, 
       {Hue[0.22941357238871735`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{740, 741}]}, 
       {Hue[0.2344749645330423, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{741, 742}]}, 
       {Hue[0.23510763855108294`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{742, 743}]}, 
       {Hue[0.23574031256912356`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{743, 744}]}, 
       {Hue[0.2370056606052048, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{744, 745}]}, 
       {Hue[0.2395363566773673, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{745, 746}]}, 
       {Hue[0.24016903069540793`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{746, 747}]}, 
       {Hue[0.24080170471344856`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{747, 748}]}, 
       {Hue[0.2420670527495298, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{748, 749}]}, 
       {Hue[0.2445977488216923, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{749, 750}]}, 
       {Hue[0.24523042283973293`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{750, 751}]}, 
       {Hue[0.24586309685777355`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{751, 752}]}, 
       {Hue[0.2471284448938548, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{752, 753}]}, 
       {Hue[0.24776111891189542`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{753, 754}]}, 
       {Hue[0.24839379292993605`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{754, 755}]}, 
       {Hue[0.24902646694797667`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{755, 756}]}, 
       {Hue[0.2496591409660173, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{756, 757}]}, 
       {Hue[0.7502918149840578, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{757, 758}]}, 
       {Hue[0.7509244890020985, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{758, 759}]}, 
       {Hue[0.7515571630201391, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{759, 760}]}, 
       {Hue[0.7521898370381798, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{760, 761}]}, 
       {Hue[0.7528225110562203, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{761, 762}]}, 
       {Hue[0.753455185074261, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{762, 763}]}, 
       {Hue[0.7547205331103422, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{763, 764}]}, 
       {Hue[0.7553111254851669, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{764, 765}]}, 
       {Hue[0.7559017178599915, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{765, 766}]}, 
       {Hue[0.7570829026096408, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{766, 767}]}, 
       {Hue[0.7594452721089394, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{767, 768}]}, 
       {Hue[0.7641700111075367, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{768, 769}]}, 
       {Hue[0.7647606034823614, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{769, 770}]}, 
       {Hue[0.765351195857186, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{770, 771}]}, 
       {Hue[0.7665323806068354, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{771, 772}]}, 
       {Hue[0.7688947501061341, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{772, 773}]}, 
       {Hue[0.7736194891047312, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{773, 774}]}, 
       {Hue[0.774210081479556, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{774, 775}]}, 
       {Hue[0.7748006738543806, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{775, 776}]}, 
       {Hue[0.7759818586040299, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{776, 777}]}, 
       {Hue[0.7783442281033285, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{777, 778}]}, 
       {Hue[0.7830689671019258, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{778, 779}]}, 
       {Hue[0.7925184450991203, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{779, 780}]}, 
       {Hue[0.7930974063938205, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{780, 781}]}, 
       {Hue[0.7936763676885208, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{781, 782}]}, 
       {Hue[0.7948342902779213, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{782, 783}]}, 
       {Hue[0.7971501354567223, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{783, 784}]}, 
       {Hue[0.8017818258143243, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{784, 785}]}, 
       {Hue[0.8023607871090246, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{785, 786}]}, 
       {Hue[0.8029397484037248, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{786, 787}]}, 
       {Hue[0.8040976709931253, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{787, 788}]}, 
       {Hue[0.8064135161719264, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{788, 789}]}, 
       {Hue[0.8110452065295284, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{789, 790}]}, 
       {Hue[0.8116241678242286, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{790, 791}]}, 
       {Hue[0.8122031291189289, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{791, 792}]}, 
       {Hue[0.8133610517083294, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{792, 793}]}, 
       {Hue[0.8156768968871304, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{793, 794}]}, 
       {Hue[0.8162558581818307, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{794, 795}]}, 
       {Hue[0.8168348194765309, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{795, 796}]}, 
       {Hue[0.8179927420659314, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{796, 797}]}, 
       {Hue[0.8203085872447325, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{797, 798}]}, 
       {Hue[0.8208875485394328, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{798, 799}]}, 
       {Hue[0.8214665098341329, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{799, 800}]}, 
       {Hue[0.8226244324235334, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{800, 801}]}, 
       {Hue[0.8249402776023345, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{801, 802}]}, 
       {Hue[0.8255192388970347, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{802, 803}]}, 
       {Hue[0.826098200191735, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{803, 804}]}, 
       {Hue[0.8272561227811355, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{804, 805}]}, 
       {Hue[0.8295719679599365, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{805, 806}]}, 
       {Hue[0.8302001993006954, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{806, 807}]}, 
       {Hue[0.8308284306414545, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{807, 808}]}, 
       {Hue[0.8320848933229724, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{808, 809}]}, 
       {Hue[0.8327131246637314, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{809, 810}]}, 
       {Hue[0.8333413560044904, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{810, 811}]}, 
       {Hue[0.8345978186860084, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{811, 812}]}, 
       {Hue[0.8352260500267672, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{812, 813}]}, 
       {Hue[0.8358542813675263, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{813, 814}]}, 
       {Hue[0.8371107440490442, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{814, 815}]}, 
       {Hue[0.8377389753898032, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{815, 816}]}, 
       {Hue[0.8383672067305622, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{816, 817}]}, 
       {Hue[0.8396236694120802, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{817, 818}]}, 
       {Hue[0.8402519007528391, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{818, 819}]}, 
       {Hue[0.8408801320935981, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{819, 820}]}, 
       {Hue[0.841508363434357, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{820, 821}]}, 
       {Hue[0.842136594775116, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{821, 822}]}, 
       {Hue[0.8427648261158749, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{822, 823}]}, 
       {Hue[0.843393057456634, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{823, 824}]}, 
       {Hue[0.844021288797393, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{824, 825}]}, 
       {Hue[0.8446495201381519, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{825, 826}]}, 
       {Hue[0.8452777514789109, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{826, 827}]}, 
       {Hue[0.8459059828196699, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{827, 828}]}, 
       {Hue[0.8465342141604288, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{828, 829}]}, 
       {Hue[0.8471624455011878, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{829, 830}]}, 
       {Hue[0.8477906768419468, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{830, 831}]}, 
       {Hue[0.8484189081827058, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{831, 832}]}, 
       {Hue[0.8490471395234648, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{832, 833}]}, 
       {Hue[0.8496753708642237, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{833, 834}]}, 
       {Hue[0.8503036022049826, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{834, 835}]}, 
       {Hue[0.8509318335457416, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{835, 836}]}, 
       {Hue[0.8515600648865006, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{836, 837}]}, 
       {Hue[0.8521882962272596, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{837, 838}]}, 
       {Hue[0.8528165275680185, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{838, 839}]}, 
       {Hue[0.8534447589087775, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{839, 840}]}, 
       {Hue[0.8540729902495365, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{840, 841}]}, 
       {Hue[0.8547012215902955, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{841, 842}]}, 
       {Hue[0.8553294529310544, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{842, 843}]}, 
       {Hue[0.8559576842718135, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{843, 844}]}, 
       {Hue[0.8565859156125724, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{844, 845}]}, 
       {Hue[0.8572141469533314, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{845, 846}]}, 
       {Hue[0.8578423782940904, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{846, 847}]}, 
       {Hue[0.8584706096348493, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{847, 848}]}, 
       {Hue[0.8597270723163672, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{848, 849}]}, 
       {Hue[0.8603553036571262, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{849, 850}]}, 
       {Hue[0.8609835349978852, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{850, 851}]}, 
       {Hue[0.8622399976794031, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{851, 852}]}, 
       {Hue[0.862868229020162, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{852, 853}]}, 
       {Hue[0.863496460360921, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{853, 854}]}, 
       {Hue[0.864752923042439, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{854, 855}]}, 
       {Hue[0.865381154383198, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{855, 856}]}, 
       {Hue[0.866009385723957, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{856, 857}]}, 
       {Hue[0.8672658484054749, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{857, 858}]}, 
       {Hue[0.8697787737685108, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{858, 859}]}, 
       {Hue[0.8703649234660538, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{859, 860}]}, 
       {Hue[0.8709510731635968, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{860, 861}]}, 
       {Hue[0.8721233725586828, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{861, 862}]}, 
       {Hue[0.8744679713488548, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{862, 863}]}, 
       {Hue[0.8750541210463978, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{863, 864}]}, 
       {Hue[0.8756402707439409, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{864, 865}]}, 
       {Hue[0.8768125701390269, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{865, 866}]}, 
       {Hue[0.8791571689291989, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{866, 867}]}, 
       {Hue[0.879743318626742, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{867, 868}]}, 
       {Hue[0.8803294683242849, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{868, 869}]}, 
       {Hue[0.8815017677193709, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{869, 870}]}, 
       {Hue[0.883846366509543, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{870, 871}]}, 
       {Hue[0.888535564089887, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{871, 872}]}, 
       {Hue[0.88912171378743, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{872, 873}]}, 
       {Hue[0.8897078634849731, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{873, 874}]}, 
       {Hue[0.8908801628800591, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{874, 875}]}, 
       {Hue[0.8932247616702311, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{875, 876}]}, 
       {Hue[0.8979139592505752, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{876, 877}]}, 
       {Hue[0.9072923544112633, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{877, 878}]}, 
       {Hue[0.907927774154865, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{878, 879}]}, 
       {Hue[0.9085631938984667, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{879, 880}]}, 
       {Hue[0.9098340333856701, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{880, 881}]}, 
       {Hue[0.9123757123600771, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{881, 882}]}, 
       {Hue[0.9174590703088908, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{882, 883}]}, 
       {Hue[0.9276257862065186, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{883, 884}]}, 
       {Hue[0.9479592180017739, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{884, 885}]}, 
       {Hue[0.9485525561021597, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{885, 886}]}, 
       {Hue[0.9491458942025454, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{886, 887}]}, 
       {Hue[0.9503325704033169, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{887, 888}]}, 
       {Hue[0.95270592280486, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{888, 889}]}, 
       {Hue[0.9574526276079461, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{889, 890}]}, 
       {Hue[0.9669460372141183, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{890, 891}]}, 
       {Hue[0.9675393753145041, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{891, 892}]}, 
       {Hue[0.9681327134148898, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{892, 893}]}, 
       {Hue[0.9693193896156613, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{893, 894}]}, 
       {Hue[0.9716927420172045, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{894, 895}]}, 
       {Hue[0.9764394468202906, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{895, 896}]}, 
       {Hue[0.9859328564264628, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{896, 897}]}, 
       {Hue[0.9865145634467241, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{897, 898}]}, 
       {Hue[0.9870962704669854, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{898, 899}]}, 
       {Hue[0.9882596845075081, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{899, 900}]}, 
       {Hue[0.9905865125885537, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{900, 901}]}, 
       {Hue[0.9911682196088151, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{901, 902}]}, 
       {Hue[0.9917499266290765, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{902, 903}]}, 
       {Hue[0.9929133406695991, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{903, 904}]}, 
       {Hue[0.9952401687506446, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{904, 905}]}, 
       {Hue[0.9958218757709059, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{905, 906}]}, 
       {Hue[0.9964035827911673, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{906, 907}]}, 
       {Hue[0.9975669968316899, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{907, 908}]}, 
       {Hue[0.9981487038519513, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{908, 909}]}, 
       {Hue[0.9987304108722127, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{909, 910}]}, 
       {Hue[0.999312117892474, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{910, 911}]}, 
       {Hue[0.9998938249127354, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{911, 912}]}, 
       {Hue[0.5004755319329968, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{912, 913}]}, 
       {Hue[0.5010572389532582, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{913, 914}]}, 
       {Hue[0.5016389459735195, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{914, 915}]}, 
       {Hue[0.5022206529937808, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{915, 916}]}, 
       {Hue[0.5045474810748263, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{916, 917}]}, 
       {Hue[0.5051291880950877, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{917, 918}]}, 
       {Hue[0.5057108951153491, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{918, 919}]}, 
       {Hue[0.5068743091558717, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{919, 920}]}, 
       {Hue[0.5092011372369172, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{920, 921}]}, 
       {Hue[0.5138547933990081, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{921, 922}]}, 
       {Hue[0.5231621057231898, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{922, 923}]}, 
       {Hue[0.5237930827895099, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{923, 924}]}, 
       {Hue[0.5244240598558298, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{924, 925}]}, 
       {Hue[0.52568601398847, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{925, 926}]}, 
       {Hue[0.5282099222537504, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{926, 927}]}, 
       {Hue[0.533257738784311, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{927, 928}]}, 
       {Hue[0.5338887158506311, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{928, 929}]}, 
       {Hue[0.5345196929169512, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{929, 930}]}, 
       {Hue[0.5357816470495913, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{930, 931}]}, 
       {Hue[0.5383055553148717, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{931, 932}]}, 
       {Hue[0.5433533718454323, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{932, 933}]}, 
       {Hue[0.5439843489117524, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{933, 934}]}, 
       {Hue[0.5446153259780724, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{934, 935}]}, 
       {Hue[0.5458772801107126, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{935, 936}]}, 
       {Hue[0.5484011883759929, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{936, 937}]}, 
       {Hue[0.5490321654423129, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{937, 938}]}, 
       {Hue[0.5496631425086331, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{938, 939}]}, 
       {Hue[0.5509250966412733, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{939, 940}]}, 
       {Hue[0.5534490049065535, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{940, 941}]}, 
       {Hue[0.5540799819728737, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{941, 942}]}, 
       {Hue[0.5547109590391937, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{942, 943}]}, 
       {Hue[0.5559729131718338, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{943, 944}]}, 
       {Hue[0.5584968214371142, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{944, 945}]}, 
       {Hue[0.5591277985034342, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{945, 946}]}, 
       {Hue[0.5597587755697544, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{946, 947}]}, 
       {Hue[0.5610207297023944, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{947, 948}]}, 
       {Hue[0.5635446379676747, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{948, 949}]}, 
       {Hue[0.5641335333907789, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{949, 950}]}, 
       {Hue[0.564722428813883, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{950, 951}]}, 
       {Hue[0.5659002196600913, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{951, 952}]}, 
       {Hue[0.5664891150831953, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{952, 953}]}, 
       {Hue[0.5670780105062995, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{953, 954}]}, 
       {Hue[0.5682558013525076, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{954, 955}]}, 
       {Hue[0.5688446967756118, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{955, 956}]}, 
       {Hue[0.5694335921987159, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{956, 957}]}, 
       {Hue[0.5706113830449242, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{957, 958}]}, 
       {Hue[0.5712002784680282, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{958, 959}]}, 
       {Hue[0.5717891738911324, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{959, 960}]}, 
       {Hue[0.5729669647373405, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{960, 961}]}, 
       {Hue[0.5735558601604447, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{961, 962}]}, 
       {Hue[0.5741447555835488, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{962, 963}]}, 
       {Hue[0.5753225464297571, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{963, 964}]}, 
       {Hue[0.5759114418528611, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{964, 965}]}, 
       {Hue[0.5765003372759653, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{965, 966}]}, 
       {Hue[0.5776781281221735, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{966, 967}]}, 
       {Hue[0.5782670235452776, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{967, 968}]}, 
       {Hue[0.5788559189683817, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{968, 969}]}, 
       {Hue[0.5794448143914859, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{969, 970}]}, 
       {Hue[0.58003370981459, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{970, 971}]}, 
       {Hue[0.580622605237694, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{971, 972}]}, 
       {Hue[0.5812115006607981, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{972, 973}]}, 
       {Hue[0.5818003960839022, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{973, 974}]}, 
       {Hue[0.5823892915070064, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{974, 975}]}, 
       {Hue[0.5829781869301105, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{975, 976}]}, 
       {Hue[0.5835670823532146, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{976, 977}]}, 
       {Hue[0.5841559777763188, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{977, 978}]}, 
       {Hue[0.5847448731994229, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{978, 979}]}, 
       {Hue[0.585333768622527, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{979, 980}]}, 
       {Hue[0.585922664045631, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{980, 981}]}, 
       {Hue[0.5865115594687351, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{981, 982}]}, 
       {Hue[0.5871004548918393, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{982, 983}]}, 
       {Hue[0.5876893503149434, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{983, 984}]}, 
       {Hue[0.5882782457380475, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{984, 985}]}, 
       {Hue[0.5888671411611517, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{985, 986}]}, 
       {Hue[0.5894560365842558, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{986, 987}]}, 
       {Hue[0.5900449320073599, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{987, 988}]}, 
       {Hue[0.5906338274304639, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{988, 989}]}, 
       {Hue[0.591222722853568, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{989, 990}]}, 
       {Hue[0.5918116182766722, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{990, 991}]}, 
       {Hue[0.5924005136997763, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{991, 992}]}, 
       {Hue[0.5929894091228805, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{992, 993}]}, 
       {Hue[0.5935783045459846, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{993, 994}]}, 
       {Hue[0.5941671999690887, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{994, 995}]}, 
       {Hue[0.5947560953921927, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{995, 996}]}, 
       {Hue[0.5953449908152968, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{996, 997}]}, 
       {Hue[0.5965227816615051, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{997, 998}]}, 
       {Hue[0.5971116770846092, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{998, 999}]}, 
       {Hue[0.5977005725077134, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{999, 1000}]}, 
       {Hue[0.5988783633539216, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1000, 1001}]}, 
       {Hue[0.5994672587770258, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1001, 1002}]}, 
       {Hue[0.6000561542001299, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1002, 1003}]}, 
       {Hue[0.6012339450463381, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1003, 1004}]}, 
       {Hue[0.6018721105155009, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1004, 1005}]}, 
       {Hue[0.6025102759846638, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1005, 1006}]}, 
       {Hue[0.6037866069229894, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1006, 1007}]}, 
       {Hue[0.6063392687996407, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1007, 1008}]}, 
       {Hue[0.6069774342688037, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1008, 1009}]}, 
       {Hue[0.6076155997379664, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1009, 1010}]}, 
       {Hue[0.6088919306762921, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1010, 1011}]}, 
       {Hue[0.6114445925529435, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1011, 1012}]}, 
       {Hue[0.6120827580221063, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1012, 1013}]}, 
       {Hue[0.612720923491269, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1013, 1014}]}, 
       {Hue[0.6139972544295949, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1014, 1015}]}, 
       {Hue[0.6165499163062461, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1015, 1016}]}, 
       {Hue[0.6216552400595488, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1016, 1017}]}, 
       {Hue[0.6222934055287117, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1017, 1018}]}, 
       {Hue[0.6229315709978744, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1018, 1019}]}, 
       {Hue[0.6242079019362001, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1019, 1020}]}, 
       {Hue[0.6267605638128515, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1020, 1021}]}, 
       {Hue[0.631865887566154, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1021, 1022}]}, 
       {Hue[0.6420765350727595, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1022, 1023}]}, 
       {Hue[0.6427030694617979, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1023, 1024}]}, 
       {Hue[0.6433296038508365, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1024, 1025}]}, 
       {Hue[0.6445826726289132, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1025, 1026}]}, 
       {Hue[0.6470888101850669, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1026, 1027}]}, 
       {Hue[0.6521010852973744, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1027, 1028}]}, 
       {Hue[0.6621256355219893, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1028, 1029}]}, 
       {Hue[0.6821747359712191, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1029, 1030}]}, 
       {Hue[0.6827591887170417, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1030, 1031}]}, 
       {Hue[0.6833436414628641, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1031, 1032}]}, 
       {Hue[0.684512546954509, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1032, 1033}]}, 
       {Hue[0.6868503579377989, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1033, 1034}]}, 
       {Hue[0.6915259799043787, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1034, 1035}]}, 
       {Hue[0.700877223837538, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1035, 1036}]}, 
       {Hue[0.7014616765833603, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1036, 1037}]}, 
       {Hue[0.7020461293291829, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1037, 1038}]}, 
       {Hue[0.7032150348208277, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1038, 1039}]}, 
       {Hue[0.7055528458041176, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1039, 1040}]}, 
       {Hue[0.7102284677706974, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1040, 1041}]}, 
       {Hue[0.7195797117038569, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1041, 1042}]}, 
       {Hue[0.7202134344957382, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1042, 1043}]}, 
       {Hue[0.7208471572876194, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1043, 1044}]}, 
       {Hue[0.7221146028713816, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1044, 1045}]}, 
       {Hue[0.7246494940389063, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1045, 1046}]}, 
       {Hue[0.729719276373956, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1046, 1047}]}, 
       {Hue[0.7303529991658371, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1047, 1048}]}, 
       {Hue[0.7309867219577184, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1048, 1049}]}, 
       {Hue[0.7322541675414806, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1049, 1050}]}, 
       {Hue[0.7347890587090053, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1050, 1051}]}, 
       {Hue[0.7398588410440549, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1051, 1052}]}, 
       {Hue[0.7404925638359361, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1052, 1053}]}, 
       {Hue[0.7411262866278173, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1053, 1054}]}, 
       {Hue[0.7423937322115797, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1054, 1055}]}, 
       {Hue[0.7449286233791044, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1055, 1056}]}, 
       {Hue[0.7455623461709856, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1056, 1057}]}, 
       {Hue[0.7461960689628668, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1057, 1058}]}, 
       {Hue[0.7474635145466291, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1058, 1059}]}, 
       {Hue[0.7480972373385104, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1059, 1060}]}, 
       {Hue[0.7487309601303914, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1060, 1061}]}, 
       {Hue[0.7493646829222727, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1061, 1062}]}, 
       {Hue[0.7499984057141539, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1062, 1063}]}, 
       {Hue[0.2506321285060351, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1063, 1064}]}, 
       {Hue[0.2512658512979163, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1064, 1065}]}, 
       {Hue[0.25253329688167864`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1065, 1066}]}, 
       {Hue[0.25506818804920334`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1066, 1067}]}, 
       {Hue[0.26013797038425285`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1067, 1068}]}, 
       {Hue[0.26072961153291807`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1068, 1069}]}, 
       {Hue[0.2613212526815833, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1069, 1070}]}, 
       {Hue[0.26250453497891374`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1070, 1071}]}, 
       {Hue[0.26487109957357463`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1071, 1072}]}, 
       {Hue[0.2696042287628964, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1072, 1073}]}, 
       {Hue[0.27019586991156164`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1073, 1074}]}, 
       {Hue[0.2707875110602269, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1074, 1075}]}, 
       {Hue[0.27197079335755736`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1075, 1076}]}, 
       {Hue[0.27433735795221825`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1076, 1077}]}, 
       {Hue[0.27907048714154004`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1077, 1078}]}, 
       {Hue[0.27966212829020526`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1078, 1079}]}, 
       {Hue[0.2802537694388705, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1079, 1080}]}, 
       {Hue[0.2814370517362009, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1080, 1081}]}, 
       {Hue[0.2838036163308618, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1081, 1082}]}, 
       {Hue[0.28439525747952704`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1082, 1083}]}, 
       {Hue[0.28498689862819226`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1083, 1084}]}, 
       {Hue[0.2861701809255227, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1084, 1085}]}, 
       {Hue[0.2885367455201836, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1085, 1086}]}, 
       {Hue[0.2891283866688488, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1086, 1087}]}, 
       {Hue[0.28972002781751405`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1087, 1088}]}, 
       {Hue[0.2909033101148445, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1088, 1089}]}, 
       {Hue[0.2932698747095054, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1089, 1090}]}, 
       {Hue[0.2938615158581706, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1090, 1091}]}, 
       {Hue[0.29445315700683583`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1091, 1092}]}, 
       {Hue[0.29563643930416633`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1092, 1093}]}, 
       {Hue[0.29800300389882706`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1093, 1094}]}, 
       {Hue[0.298583013967368, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1094, 1095}]}, 
       {Hue[0.29916302403590883`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1095, 1096}]}, 
       {Hue[0.30032304417299044`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1096, 1097}]}, 
       {Hue[0.30090305424153124`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1097, 1098}]}, 
       {Hue[0.30148306431007205`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1098, 1099}]}, 
       {Hue[0.3026430844471537, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1099, 1100}]}, 
       {Hue[0.3032230945156945, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1100, 1101}]}, 
       {Hue[0.3038031045842353, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1101, 1102}]}, 
       {Hue[0.3049631247213169, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1102, 1103}]}, 
       {Hue[0.30728316499548014`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1103, 1104}]}, 
       {Hue[0.30786317506402094`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1104, 1105}]}, 
       {Hue[0.3084431851325618, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1105, 1106}]}, 
       {Hue[0.3096032052696434, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1106, 1107}]}, 
       {Hue[0.3101832153381842, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1107, 1108}]}, 
       {Hue[0.310763225406725, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1108, 1109}]}, 
       {Hue[0.3119232455438066, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1109, 1110}]}, 
       {Hue[0.31250325561234743`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1110, 1111}]}, 
       {Hue[0.31308326568088823`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1111, 1112}]}, 
       {Hue[0.3142432858179699, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1112, 1113}]}, 
       {Hue[0.3148232958865107, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1113, 1114}]}, 
       {Hue[0.3154033059550515, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1114, 1115}]}, 
       {Hue[0.3165633260921333, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1115, 1116}]}, 
       {Hue[0.3171433361606742, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1116, 1117}]}, 
       {Hue[0.317723346229215, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1117, 1118}]}, 
       {Hue[0.31830335629775586`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1118, 1119}]}, 
       {Hue[0.31888336636629666`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1119, 1120}]}, 
       {Hue[0.31946337643483746`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1120, 1121}]}, 
       {Hue[0.32004338650337827`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1121, 1122}]}, 
       {Hue[0.32062339657191913`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1122, 1123}]}, 
       {Hue[0.32120340664045993`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1123, 1124}]}, 
       {Hue[0.32178341670900074`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1124, 1125}]}, 
       {Hue[0.32236342677754154`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1125, 1126}]}, 
       {Hue[0.3229434368460823, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1126, 1127}]}, 
       {Hue[0.32352344691462315`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1127, 1128}]}, 
       {Hue[0.32410345698316395`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1128, 1129}]}, 
       {Hue[0.32468346705170475`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1129, 1130}]}, 
       {Hue[0.32526347712024556`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1130, 1131}]}, 
       {Hue[0.3258434871887864, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1131, 1132}]}, 
       {Hue[0.3264234972573272, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1132, 1133}]}, 
       {Hue[0.327003507325868, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1133, 1134}]}, 
       {Hue[0.32758351739440883`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1134, 1135}]}, 
       {Hue[0.32816352746294963`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1135, 1136}]}, 
       {Hue[0.32874353753149044`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1136, 1137}]}, 
       {Hue[0.32932354760003124`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1137, 1138}]}, 
       {Hue[0.32990355766857205`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1138, 1139}]}, 
       {Hue[0.33048356773711285`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1139, 1140}]}, 
       {Hue[0.3310635778056537, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1140, 1141}]}, 
       {Hue[0.3316435878741945, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1141, 1142}]}, 
       {Hue[0.3322235979427353, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1142, 1143}]}, 
       {Hue[0.3328036080112761, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1143, 1144}]}, 
       {Hue[0.3333836180798169, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1144, 1145}]}, 
       {Hue[0.3339636281483577, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1145, 1146}]}, 
       {Hue[0.3351236482854395, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1146, 1147}]}, 
       {Hue[0.33575292840003906`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1147, 1148}]}, 
       {Hue[0.33638220851463846`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1148, 1149}]}, 
       {Hue[0.3376407687438376, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1149, 1150}]}, 
       {Hue[0.33827004885843714`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1150, 1151}]}, 
       {Hue[0.3388993289730367, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1151, 1152}]}, 
       {Hue[0.34015788920223583`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1152, 1153}]}, 
       {Hue[0.3407871693168354, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1153, 1154}]}, 
       {Hue[0.34141644943143495`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1154, 1155}]}, 
       {Hue[0.34267500966063386`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1155, 1156}]}, 
       {Hue[0.34519213011903205`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1156, 1157}]}, 
       {Hue[0.3458214102336316, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1157, 1158}]}, 
       {Hue[0.34645069034823117`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1158, 1159}]}, 
       {Hue[0.3477092505774303, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1159, 1160}]}, 
       {Hue[0.3502263710358284, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1160, 1161}]}, 
       {Hue[0.35526061195262476`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1161, 1162}]}, 
       {Hue[0.35588989206722427`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1162, 1163}]}, 
       {Hue[0.35651917218182383`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1163, 1164}]}, 
       {Hue[0.35777773241102284`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1164, 1165}]}, 
       {Hue[0.360294852869421, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1165, 1166}]}, 
       {Hue[0.3653290937862173, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1166, 1167}]}, 
       {Hue[0.37539757561980985`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1167, 1168}]}, 
       {Hue[0.37598477409119335`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1168, 1169}]}, 
       {Hue[0.376571972562577, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1169, 1170}]}, 
       {Hue[0.3777463695053441, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1170, 1171}]}, 
       {Hue[0.3800951633908783, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1171, 1172}]}, 
       {Hue[0.38479275116194706`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1172, 1173}]}, 
       {Hue[0.3941879267040842, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1173, 1174}]}, 
       {Hue[0.41297827778835855`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1174, 1175}]}, 
       {Hue[0.41361474630580086`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1175, 1176}]}, 
       {Hue[0.41425121482324306`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1176, 1177}]}, 
       {Hue[0.41552415185812763`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1177, 1178}]}, 
       {Hue[0.41807002592789677`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1178, 1179}]}, 
       {Hue[0.42316177406743516`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1179, 1180}]}, 
       {Hue[0.4333452703465117, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1180, 1181}]}, 
       {Hue[0.4537122629046651, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1181, 1182}]}, 
       {Hue[0.4537312841026335, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1182, 1183}]}, 
       {Hue[0.4537503053006021, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1183, 1184}]}, 
       {Hue[0.45378834769653925`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1184, 1185}]}, 
       {Hue[0.45386443248841346`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1185, 1186}]}, 
       {Hue[0.4540166020721617, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1186, 1187}]}, 
       {Hue[0.45432094123965827`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1187, 1188}]}, 
       {Hue[0.4543399624376266, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1188, 1189}]}, 
       {Hue[0.4543589836355952, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1189, 1190}]}, 
       {Hue[0.45439702603153237`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1190, 1191}]}, 
       {Hue[0.4544731108234065, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1191, 1192}]}, 
       {Hue[0.45462528040715483`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1192, 1193}]}, 
       {Hue[0.4546443016051233, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1193, 1194}]}, 
       {Hue[0.45466332280309196`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1194, 1195}]}, 
       {Hue[0.45470136519902893`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1195, 1196}]}, 
       {Hue[0.45477744999090297`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1196, 1197}]}, 
       {Hue[0.45479647118887156`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1197, 1198}]}, 
       {Hue[0.45481549238684016`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1198, 1199}]}, 
       {Hue[0.4548535347827772, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1199, 1200}]}, 
       {Hue[0.4548725559807458, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1200, 1201}]}, 
       {Hue[0.4548915771787143, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1201, 1202}]}, 
       {Hue[0.45491059837668285`, 
         NCache[
          Rational[1, 2], 0.5], 1], LineBox[{1202, 1203}]}}}},
    VertexColors->{
      Hue[0.04507038042534869, 
       Rational[1, 2], 1], 
      Hue[0.045656129526931086`, 
       Rational[1, 2], 1], 
      Hue[0.046241878628513644`, 
       Rational[1, 2], 1], 
      Hue[0.047413376831678455`, 
       Rational[1, 2], 1], 
      Hue[0.04975637323800807, 
       Rational[1, 2], 1], 
      Hue[0.05444236605066761, 
       Rational[1, 2], 1], 
      Hue[0.06381435167598641, 
       Rational[1, 2], 1], 
      Hue[0.08255832292662398, 
       Rational[1, 2], 1], 
      Hue[0.08319334207426513, 
       Rational[1, 2], 1], 
      Hue[0.08382836122190629, 
       Rational[1, 2], 1], 
      Hue[0.08509839951718859, 
       Rational[1, 2], 1], 
      Hue[0.08763847610775323, 
       Rational[1, 2], 1], 
      Hue[0.09271862928888233, 
       Rational[1, 2], 1], 
      Hue[0.10287893565114074`, 
       Rational[1, 2], 1], 
      Hue[0.10351395479878188`, 
       Rational[1, 2], 1], 
      Hue[0.10414897394642304`, 
       Rational[1, 2], 1], 
      Hue[0.10541901224170537`, 
       Rational[1, 2], 1], 
      Hue[0.10795908883226984`, 
       Rational[1, 2], 1], 
      Hue[0.11303924201339897`, 
       Rational[1, 2], 1], 
      Hue[0.12319954837565734`, 
       Rational[1, 2], 1], 
      Hue[0.12379248588008265`, 
       Rational[1, 2], 1], 
      Hue[0.12438542338450781`, 
       Rational[1, 2], 1], 
      Hue[0.12557129839335812`, 
       Rational[1, 2], 1], 
      Hue[0.12794304841105877`, 
       Rational[1, 2], 1], 
      Hue[0.13268654844646033`, 
       Rational[1, 2], 1], 
      Hue[0.1332794859508855, 
       Rational[1, 2], 1], 
      Hue[0.13387242345531064`, 
       Rational[1, 2], 1], 
      Hue[0.135058298464161, 
       Rational[1, 2], 1], 
      Hue[0.13743004848186177`, 
       Rational[1, 2], 1], 
      Hue[0.14217354851726322`, 
       Rational[1, 2], 1], 
      Hue[0.14276648602168834`, 
       Rational[1, 2], 1], 
      Hue[0.1433594235261135, 
       Rational[1, 2], 1], 
      Hue[0.14454529853496384`, 
       Rational[1, 2], 1], 
      Hue[0.1469170485526646, 
       Rational[1, 2], 1], 
      Hue[0.14750998605708993`, 
       Rational[1, 2], 1], 
      Hue[0.14810292356151508`, 
       Rational[1, 2], 1], 
      Hue[0.1492887985703654, 
       Rational[1, 2], 1], 
      Hue[0.15166054858806602`, 
       Rational[1, 2], 1], 
      Hue[0.1522534860924912, 
       Rational[1, 2], 1], 
      Hue[0.1528464235969164, 
       Rational[1, 2], 1], 
      Hue[0.1540322986057667, 
       Rational[1, 2], 1], 
      Hue[0.15462523611019183`, 
       Rational[1, 2], 1], 
      Hue[0.155218173614617, 
       Rational[1, 2], 1], 
      Hue[0.15640404862346746`, 
       Rational[1, 2], 1], 
      Hue[0.15699698612789276`, 
       Rational[1, 2], 1], 
      Hue[0.15758992363231797`, 
       Rational[1, 2], 1], 
      Hue[0.15818286113674307`, 
       Rational[1, 2], 1], 
      Hue[0.15877579864116825`, 
       Rational[1, 2], 1], 
      Hue[0.1593687361455934, 
       Rational[1, 2], 1], 
      Hue[0.15996167365001857`, 
       Rational[1, 2], 1], 
      Hue[0.16114754865886888`, 
       Rational[1, 2], 1], 
      Hue[0.16172885508316964`, 
       Rational[1, 2], 1], 
      Hue[0.16231016150747038`, 
       Rational[1, 2], 1], 
      Hue[0.16289146793177126`, 
       Rational[1, 2], 1], 
      Hue[0.16347277435607202`, 
       Rational[1, 2], 1], 
      Hue[0.16405408078037276`, 
       Rational[1, 2], 1], 
      Hue[0.16463538720467363`, 
       Rational[1, 2], 1], 
      Hue[0.1652166936289744, 
       Rational[1, 2], 1], 
      Hue[0.16579800005327514`, 
       Rational[1, 2], 1], 
      Hue[0.16637930647757587`, 
       Rational[1, 2], 1], 
      Hue[0.16696061290187664`, 
       Rational[1, 2], 1], 
      Hue[0.1675419193261775, 
       Rational[1, 2], 1], 
      Hue[0.16812322575047825`, 
       Rational[1, 2], 1], 
      Hue[0.16870453217477901`, 
       Rational[1, 2], 1], 
      Hue[0.1692858385990799, 
       Rational[1, 2], 1], 
      Hue[0.16986714502338063`, 
       Rational[1, 2], 1], 
      Hue[0.1704484514476814, 
       Rational[1, 2], 1], 
      Hue[0.17102975787198213`, 
       Rational[1, 2], 1], 
      Hue[0.17161106429628287`, 
       Rational[1, 2], 1], 
      Hue[0.17219237072058377`, 
       Rational[1, 2], 1], 
      Hue[0.1727736771448845, 
       Rational[1, 2], 1], 
      Hue[0.17335498356918527`, 
       Rational[1, 2], 1], 
      Hue[0.17393628999348615`, 
       Rational[1, 2], 1], 
      Hue[0.17451759641778689`, 
       Rational[1, 2], 1], 
      Hue[0.17509890284208765`, 
       Rational[1, 2], 1], 
      Hue[0.1756802092663884, 
       Rational[1, 2], 1], 
      Hue[0.17626151569068912`, 
       Rational[1, 2], 1], 
      Hue[0.1768428221149899, 
       Rational[1, 2], 1], 
      Hue[0.17742412853929063`, 
       Rational[1, 2], 1], 
      Hue[0.17800543496359136`, 
       Rational[1, 2], 1], 
      Hue[0.1785867413878921, 
       Rational[1, 2], 1], 
      Hue[0.17974935423649374`, 
       Rational[1, 2], 1], 
      Hue[0.1803306606607945, 
       Rational[1, 2], 1], 
      Hue[0.18091196708509538`, 
       Rational[1, 2], 1], 
      Hue[0.18207457993369688`, 
       Rational[1, 2], 1], 
      Hue[0.18265588635799762`, 
       Rational[1, 2], 1], 
      Hue[0.18323719278229836`, 
       Rational[1, 2], 1], 
      Hue[0.18439980563089986`, 
       Rational[1, 2], 1], 
      Hue[0.1849811120552006, 
       Rational[1, 2], 1], 
      Hue[0.18556241847950136`, 
       Rational[1, 2], 1], 
      Hue[0.18672503132810297`, 
       Rational[1, 2], 1], 
      Hue[0.18905025702530612`, 
       Rational[1, 2], 1], 
      Hue[0.18963156344960685`, 
       Rational[1, 2], 1], 
      Hue[0.1902128698739076, 
       Rational[1, 2], 1], 
      Hue[0.19137548272250923`, 
       Rational[1, 2], 1], 
      Hue[0.19370070841971235`, 
       Rational[1, 2], 1], 
      Hue[0.1942820148440131, 
       Rational[1, 2], 1], 
      Hue[0.19486332126831385`, 
       Rational[1, 2], 1], 
      Hue[0.1960259341169155, 
       Rational[1, 2], 1], 
      Hue[0.1983511598141186, 
       Rational[1, 2], 1], 
      Hue[0.1989817362844781, 
       Rational[1, 2], 1], 
      Hue[0.1996123127548376, 
       Rational[1, 2], 1], 
      Hue[0.2008734656955566, 
       Rational[1, 2], 1], 
      Hue[0.2033957715769946, 
       Rational[1, 2], 1], 
      Hue[0.2040263480473541, 
       Rational[1, 2], 1], 
      Hue[0.20465692451771358`, 
       Rational[1, 2], 1], 
      Hue[0.20591807745843257`, 
       Rational[1, 2], 1], 
      Hue[0.20844038333987058`, 
       Rational[1, 2], 1], 
      Hue[0.20907095981023008`, 
       Rational[1, 2], 1], 
      Hue[0.20970153628058957`, 
       Rational[1, 2], 1], 
      Hue[0.21096268922130856`, 
       Rational[1, 2], 1], 
      Hue[0.21348499510274654`, 
       Rational[1, 2], 1], 
      Hue[0.21852960686562253`, 
       Rational[1, 2], 1], 
      Hue[0.21916018333598203`, 
       Rational[1, 2], 1], 
      Hue[0.21979075980634152`, 
       Rational[1, 2], 1], 
      Hue[0.2210519127470605, 
       Rational[1, 2], 1], 
      Hue[0.22357421862849852`, 
       Rational[1, 2], 1], 
      Hue[0.22861883039137448`, 
       Rational[1, 2], 1], 
      Hue[0.22924940686173398`, 
       Rational[1, 2], 1], 
      Hue[0.22987998333209347`, 
       Rational[1, 2], 1], 
      Hue[0.2311411362728125, 
       Rational[1, 2], 1], 
      Hue[0.23366344215425047`, 
       Rational[1, 2], 1], 
      Hue[0.23870805391712646`, 
       Rational[1, 2], 1], 
      Hue[0.23929654874426995`, 
       Rational[1, 2], 1], 
      Hue[0.23988504357141346`, 
       Rational[1, 2], 1], 
      Hue[0.2410620332257006, 
       Rational[1, 2], 1], 
      Hue[0.24341601253427475`, 
       Rational[1, 2], 1], 
      Hue[0.24400450736141824`, 
       Rational[1, 2], 1], 
      Hue[0.24459300218856173`, 
       Rational[1, 2], 1], 
      Hue[0.24576999184284887`, 
       Rational[1, 2], 1], 
      Hue[0.24635848666999252`, 
       Rational[1, 2], 1], 
      Hue[0.246946981497136, 
       Rational[1, 2], 1], 
      Hue[0.248123971151423, 
       Rational[1, 2], 1], 
      Hue[0.24871246597856653`, 
       Rational[1, 2], 1], 
      Hue[0.24930096080571001`, 
       Rational[1, 2], 1], 
      Hue[0.24988945563285353`, 
       Rational[1, 2], 1], 
      Hue[0.7504779504599972, 
       Rational[1, 2], 1], 
      Hue[0.7510664452871407, 
       Rational[1, 2], 1], 
      Hue[0.7516549401142842, 
       Rational[1, 2], 1], 
      Hue[0.7528319297685713, 
       Rational[1, 2], 1], 
      Hue[0.7534204245957148, 
       Rational[1, 2], 1], 
      Hue[0.7540089194228583, 
       Rational[1, 2], 1], 
      Hue[0.7551859090771453, 
       Rational[1, 2], 1], 
      Hue[0.7575398883857194, 
       Rational[1, 2], 1], 
      Hue[0.7581283832128631, 
       Rational[1, 2], 1], 
      Hue[0.7587168780400065, 
       Rational[1, 2], 1], 
      Hue[0.7598938676942936, 
       Rational[1, 2], 1], 
      Hue[0.7622478470028675, 
       Rational[1, 2], 1], 
      Hue[0.7669558056200159, 
       Rational[1, 2], 1], 
      Hue[0.7763717228543123, 
       Rational[1, 2], 1], 
      Hue[0.7770094877275147, 
       Rational[1, 2], 1], 
      Hue[0.7776472526007169, 
       Rational[1, 2], 1], 
      Hue[0.7789227823471214, 
       Rational[1, 2], 1], 
      Hue[0.7814738418399304, 
       Rational[1, 2], 1], 
      Hue[0.7865759608255485, 
       Rational[1, 2], 1], 
      Hue[0.7967801987967844, 
       Rational[1, 2], 1], 
      Hue[0.8171886747392565, 
       Rational[1, 2], 1], 
      Hue[0.8178148085323343, 
       Rational[1, 2], 1], 
      Hue[0.8184409423254122, 
       Rational[1, 2], 1], 
      Hue[0.8196932099115679, 
       Rational[1, 2], 1], 
      Hue[0.8221977450838792, 
       Rational[1, 2], 1], 
      Hue[0.827206815428502, 
       Rational[1, 2], 1], 
      Hue[0.8372249561177476, 
       Rational[1, 2], 1], 
      Hue[0.8378510899108255, 
       Rational[1, 2], 1], 
      Hue[0.8384772237039033, 
       Rational[1, 2], 1], 
      Hue[0.8397294912900589, 
       Rational[1, 2], 1], 
      Hue[0.8422340264623704, 
       Rational[1, 2], 1], 
      Hue[0.8472430968069933, 
       Rational[1, 2], 1], 
      Hue[0.8572612374962388, 
       Rational[1, 2], 1], 
      Hue[0.8578452896461009, 
       Rational[1, 2], 1], 
      Hue[0.8584293417959626, 
       Rational[1, 2], 1], 
      Hue[0.8595974460956863, 
       Rational[1, 2], 1], 
      Hue[0.8619336546951339, 
       Rational[1, 2], 1], 
      Hue[0.8666060718940289, 
       Rational[1, 2], 1], 
      Hue[0.8671901240438908, 
       Rational[1, 2], 1], 
      Hue[0.8677741761937527, 
       Rational[1, 2], 1], 
      Hue[0.8689422804934764, 
       Rational[1, 2], 1], 
      Hue[0.8712784890929239, 
       Rational[1, 2], 1], 
      Hue[0.875950906291819, 
       Rational[1, 2], 1], 
      Hue[0.876534958441681, 
       Rational[1, 2], 1], 
      Hue[0.8771190105915427, 
       Rational[1, 2], 1], 
      Hue[0.8782871148912667, 
       Rational[1, 2], 1], 
      Hue[0.8806233234907141, 
       Rational[1, 2], 1], 
      Hue[0.8812073756405759, 
       Rational[1, 2], 1], 
      Hue[0.8817914277904378, 
       Rational[1, 2], 1], 
      Hue[0.8829595320901616, 
       Rational[1, 2], 1], 
      Hue[0.8852957406896091, 
       Rational[1, 2], 1], 
      Hue[0.8858797928394709, 
       Rational[1, 2], 1], 
      Hue[0.8864638449893328, 
       Rational[1, 2], 1], 
      Hue[0.8876319492890566, 
       Rational[1, 2], 1], 
      Hue[0.8882160014389185, 
       Rational[1, 2], 1], 
      Hue[0.8888000535887804, 
       Rational[1, 2], 1], 
      Hue[0.8899681578885041, 
       Rational[1, 2], 1], 
      Hue[0.8905522100383662, 
       Rational[1, 2], 1], 
      Hue[0.891136262188228, 
       Rational[1, 2], 1], 
      Hue[0.8923043664879518, 
       Rational[1, 2], 1], 
      Hue[0.8928884186378137, 
       Rational[1, 2], 1], 
      Hue[0.8934724707876754, 
       Rational[1, 2], 1], 
      Hue[0.8946405750873992, 
       Rational[1, 2], 1], 
      Hue[0.8952738972833199, 
       Rational[1, 2], 1], 
      Hue[0.8959072194792405, 
       Rational[1, 2], 1], 
      Hue[0.8965405416751611, 
       Rational[1, 2], 1], 
      Hue[0.8971738638710816, 
       Rational[1, 2], 1], 
      Hue[0.8978071860670023, 
       Rational[1, 2], 1], 
      Hue[0.8984405082629228, 
       Rational[1, 2], 1], 
      Hue[0.8990738304588434, 
       Rational[1, 2], 1], 
      Hue[0.8997071526547641, 
       Rational[1, 2], 1], 
      Hue[0.9003404748506847, 
       Rational[1, 2], 1], 
      Hue[0.9009737970466053, 
       Rational[1, 2], 1], 
      Hue[0.9016071192425259, 
       Rational[1, 2], 1], 
      Hue[0.9022404414384465, 
       Rational[1, 2], 1], 
      Hue[0.9028737636343671, 
       Rational[1, 2], 1], 
      Hue[0.9035070858302877, 
       Rational[1, 2], 1], 
      Hue[0.9041404080262083, 
       Rational[1, 2], 1], 
      Hue[0.9047737302221288, 
       Rational[1, 2], 1], 
      Hue[0.9054070524180494, 
       Rational[1, 2], 1], 
      Hue[0.90604037461397, 
       Rational[1, 2], 1], 
      Hue[0.9066736968098906, 
       Rational[1, 2], 1], 
      Hue[0.9073070190058112, 
       Rational[1, 2], 1], 
      Hue[0.9079403412017318, 
       Rational[1, 2], 1], 
      Hue[0.9085736633976524, 
       Rational[1, 2], 1], 
      Hue[0.909206985593573, 
       Rational[1, 2], 1], 
      Hue[0.9098403077894937, 
       Rational[1, 2], 1], 
      Hue[0.9104736299854144, 
       Rational[1, 2], 1], 
      Hue[0.9111069521813349, 
       Rational[1, 2], 1], 
      Hue[0.9117402743772555, 
       Rational[1, 2], 1], 
      Hue[0.9123735965731761, 
       Rational[1, 2], 1], 
      Hue[0.9130069187690967, 
       Rational[1, 2], 1], 
      Hue[0.9136402409650173, 
       Rational[1, 2], 1], 
      Hue[0.9149068853568585, 
       Rational[1, 2], 1], 
      Hue[0.9155402075527791, 
       Rational[1, 2], 1], 
      Hue[0.9161735297486997, 
       Rational[1, 2], 1], 
      Hue[0.9174401741405408, 
       Rational[1, 2], 1], 
      Hue[0.9180734963364614, 
       Rational[1, 2], 1], 
      Hue[0.918706818532382, 
       Rational[1, 2], 1], 
      Hue[0.9199734629242233, 
       Rational[1, 2], 1], 
      Hue[0.9206067851201439, 
       Rational[1, 2], 1], 
      Hue[0.9212401073160645, 
       Rational[1, 2], 1], 
      Hue[0.9225067517079057, 
       Rational[1, 2], 1], 
      Hue[0.9250400404915881, 
       Rational[1, 2], 1], 
      Hue[0.9256733626875087, 
       Rational[1, 2], 1], 
      Hue[0.9263066848834293, 
       Rational[1, 2], 1], 
      Hue[0.9275733292752705, 
       Rational[1, 2], 1], 
      Hue[0.930106618058953, 
       Rational[1, 2], 1], 
      Hue[0.9307399402548735, 
       Rational[1, 2], 1], 
      Hue[0.9313732624507941, 
       Rational[1, 2], 1], 
      Hue[0.9326399068426353, 
       Rational[1, 2], 1], 
      Hue[0.9351731956263177, 
       Rational[1, 2], 1], 
      Hue[0.9357644361790224, 
       Rational[1, 2], 1], 
      Hue[0.936355676731727, 
       Rational[1, 2], 1], 
      Hue[0.9375381578371363, 
       Rational[1, 2], 1], 
      Hue[0.9399031200479548, 
       Rational[1, 2], 1], 
      Hue[0.9404943606006595, 
       Rational[1, 2], 1], 
      Hue[0.9410856011533641, 
       Rational[1, 2], 1], 
      Hue[0.9422680822587733, 
       Rational[1, 2], 1], 
      Hue[0.9446330444695918, 
       Rational[1, 2], 1], 
      Hue[0.9452242850222965, 
       Rational[1, 2], 1], 
      Hue[0.9458155255750011, 
       Rational[1, 2], 1], 
      Hue[0.9469980066804105, 
       Rational[1, 2], 1], 
      Hue[0.949362968891229, 
       Rational[1, 2], 1], 
      Hue[0.9540928933128661, 
       Rational[1, 2], 1], 
      Hue[0.9546841338655707, 
       Rational[1, 2], 1], 
      Hue[0.9552753744182754, 
       Rational[1, 2], 1], 
      Hue[0.9564578555236847, 
       Rational[1, 2], 1], 
      Hue[0.9588228177345032, 
       Rational[1, 2], 1], 
      Hue[0.9635527421561403, 
       Rational[1, 2], 1], 
      Hue[0.9730125909994145, 
       Rational[1, 2], 1], 
      Hue[0.9735922004719948, 
       Rational[1, 2], 1], 
      Hue[0.9741718099445751, 
       Rational[1, 2], 1], 
      Hue[0.9753310288897354, 
       Rational[1, 2], 1], 
      Hue[0.9776494667800564, 
       Rational[1, 2], 1], 
      Hue[0.9822863425606982, 
       Rational[1, 2], 1], 
      Hue[0.9828659520332785, 
       Rational[1, 2], 1], 
      Hue[0.9834455615058587, 
       Rational[1, 2], 1], 
      Hue[0.9846047804510192, 
       Rational[1, 2], 1], 
      Hue[0.9869232183413401, 
       Rational[1, 2], 1], 
      Hue[0.991560094121982, 
       Rational[1, 2], 1], 
      Hue[0.9921397035945623, 
       Rational[1, 2], 1], 
      Hue[0.9927193130671425, 
       Rational[1, 2], 1], 
      Hue[0.9938785320123029, 
       Rational[1, 2], 1], 
      Hue[0.9944581414848832, 
       Rational[1, 2], 1], 
      Hue[0.9950377509574634, 
       Rational[1, 2], 1], 
      Hue[0.9961969699026239, 
       Rational[1, 2], 1], 
      Hue[0.996776579375204, 
       Rational[1, 2], 1], 
      Hue[0.9973561888477843, 
       Rational[1, 2], 1], 
      Hue[0.9979357983203645, 
       Rational[1, 2], 1], 
      Hue[0.9985154077929448, 
       Rational[1, 2], 1], 
      Hue[0.999095017265525, 
       Rational[1, 2], 1], 
      Hue[0.9996746267381051, 
       Rational[1, 2], 1], 
      Hue[0.5002542362106854, 
       Rational[1, 2], 1], 
      Hue[0.5008338456832657, 
       Rational[1, 2], 1], 
      Hue[0.5014134551558459, 
       Rational[1, 2], 1], 
      Hue[0.5019930646284262, 
       Rational[1, 2], 1], 
      Hue[0.5031522835735867, 
       Rational[1, 2], 1], 
      Hue[0.5054707214639076, 
       Rational[1, 2], 1], 
      Hue[0.5101075972445495, 
       Rational[1, 2], 1], 
      Hue[0.5107364767631885, 
       Rational[1, 2], 1], 
      Hue[0.5113653562818274, 
       Rational[1, 2], 1], 
      Hue[0.5126231153191052, 
       Rational[1, 2], 1], 
      Hue[0.5151386333936612, 
       Rational[1, 2], 1], 
      Hue[0.5201696695427727, 
       Rational[1, 2], 1], 
      Hue[0.530231741840996, 
       Rational[1, 2], 1], 
      Hue[0.5503558864374425, 
       Rational[1, 2], 1], 
      Hue[0.5509426843128655, 
       Rational[1, 2], 1], 
      Hue[0.5515294821882883, 
       Rational[1, 2], 1], 
      Hue[0.5527030779391344, 
       Rational[1, 2], 1], 
      Hue[0.5550502694408264, 
       Rational[1, 2], 1], 
      Hue[0.5597446524442103, 
       Rational[1, 2], 1], 
      Hue[0.5691334184509782, 
       Rational[1, 2], 1], 
      Hue[0.5697202163264011, 
       Rational[1, 2], 1], 
      Hue[0.5703070142018241, 
       Rational[1, 2], 1], 
      Hue[0.5714806099526701, 
       Rational[1, 2], 1], 
      Hue[0.5738278014543621, 
       Rational[1, 2], 1], 
      Hue[0.578522184457746, 
       Rational[1, 2], 1], 
      Hue[0.5879109504645137, 
       Rational[1, 2], 1], 
      Hue[0.5885470183859953, 
       Rational[1, 2], 1], 
      Hue[0.5891830863074771, 
       Rational[1, 2], 1], 
      Hue[0.5904552221504404, 
       Rational[1, 2], 1], 
      Hue[0.5929994938363673, 
       Rational[1, 2], 1], 
      Hue[0.5980880372082211, 
       Rational[1, 2], 1], 
      Hue[0.5987241051297028, 
       Rational[1, 2], 1], 
      Hue[0.5993601730511844, 
       Rational[1, 2], 1], 
      Hue[0.6006323088941479, 
       Rational[1, 2], 1], 
      Hue[0.6031765805800747, 
       Rational[1, 2], 1], 
      Hue[0.6082651239519283, 
       Rational[1, 2], 1], 
      Hue[0.60890119187341, 
       Rational[1, 2], 1], 
      Hue[0.6095372597948917, 
       Rational[1, 2], 1], 
      Hue[0.6108093956378553, 
       Rational[1, 2], 1], 
      Hue[0.6133536673237819, 
       Rational[1, 2], 1], 
      Hue[0.6139897352452637, 
       Rational[1, 2], 1], 
      Hue[0.6146258031667454, 
       Rational[1, 2], 1], 
      Hue[0.6158979390097088, 
       Rational[1, 2], 1], 
      Hue[0.6184422106956357, 
       Rational[1, 2], 1], 
      Hue[0.6190782786171174, 
       Rational[1, 2], 1], 
      Hue[0.619714346538599, 
       Rational[1, 2], 1], 
      Hue[0.6209864823815625, 
       Rational[1, 2], 1], 
      Hue[0.6216225503030441, 
       Rational[1, 2], 1], 
      Hue[0.622258618224526, 
       Rational[1, 2], 1], 
      Hue[0.6235307540674894, 
       Rational[1, 2], 1], 
      Hue[0.6241668219889711, 
       Rational[1, 2], 1], 
      Hue[0.6248028899104527, 
       Rational[1, 2], 1], 
      Hue[0.6260750257534162, 
       Rational[1, 2], 1], 
      Hue[0.6267110936748979, 
       Rational[1, 2], 1], 
      Hue[0.6273471615963796, 
       Rational[1, 2], 1], 
      Hue[0.628619297439343, 
       Rational[1, 2], 1], 
      Hue[0.6292437342807002, 
       Rational[1, 2], 1], 
      Hue[0.6298681711220575, 
       Rational[1, 2], 1], 
      Hue[0.6311170448047723, 
       Rational[1, 2], 1], 
      Hue[0.6317414816461295, 
       Rational[1, 2], 1], 
      Hue[0.6323659184874868, 
       Rational[1, 2], 1], 
      Hue[0.6336147921702014, 
       Rational[1, 2], 1], 
      Hue[0.6342392290115587, 
       Rational[1, 2], 1], 
      Hue[0.6348636658529161, 
       Rational[1, 2], 1], 
      Hue[0.6354881026942734, 
       Rational[1, 2], 1], 
      Hue[0.6361125395356306, 
       Rational[1, 2], 1], 
      Hue[0.6367369763769879, 
       Rational[1, 2], 1], 
      Hue[0.6373614132183453, 
       Rational[1, 2], 1], 
      Hue[0.6379858500597027, 
       Rational[1, 2], 1], 
      Hue[0.6386102869010599, 
       Rational[1, 2], 1], 
      Hue[0.6392347237424172, 
       Rational[1, 2], 1], 
      Hue[0.6398591605837745, 
       Rational[1, 2], 1], 
      Hue[0.6404835974251318, 
       Rational[1, 2], 1], 
      Hue[0.6411080342664891, 
       Rational[1, 2], 1], 
      Hue[0.6417324711078464, 
       Rational[1, 2], 1], 
      Hue[0.6423569079492037, 
       Rational[1, 2], 1], 
      Hue[0.642981344790561, 
       Rational[1, 2], 1], 
      Hue[0.6436057816319183, 
       Rational[1, 2], 1], 
      Hue[0.6442302184732756, 
       Rational[1, 2], 1], 
      Hue[0.6448546553146329, 
       Rational[1, 2], 1], 
      Hue[0.6454790921559903, 
       Rational[1, 2], 1], 
      Hue[0.6461035289973476, 
       Rational[1, 2], 1], 
      Hue[0.6467279658387048, 
       Rational[1, 2], 1], 
      Hue[0.6473524026800621, 
       Rational[1, 2], 1], 
      Hue[0.6479768395214194, 
       Rational[1, 2], 1], 
      Hue[0.6486012763627766, 
       Rational[1, 2], 1], 
      Hue[0.649225713204134, 
       Rational[1, 2], 1], 
      Hue[0.6498501500454913, 
       Rational[1, 2], 1], 
      Hue[0.6504745868868487, 
       Rational[1, 2], 1], 
      Hue[0.6510990237282059, 
       Rational[1, 2], 1], 
      Hue[0.6517234605695632, 
       Rational[1, 2], 1], 
      Hue[0.6523478974109205, 
       Rational[1, 2], 1], 
      Hue[0.653596771093635, 
       Rational[1, 2], 1], 
      Hue[0.6542212079349923, 
       Rational[1, 2], 1], 
      Hue[0.6548456447763498, 
       Rational[1, 2], 1], 
      Hue[0.6560945184590643, 
       Rational[1, 2], 1], 
      Hue[0.6567189553004216, 
       Rational[1, 2], 1], 
      Hue[0.657343392141779, 
       Rational[1, 2], 1], 
      Hue[0.6585922658244936, 
       Rational[1, 2], 1], 
      Hue[0.6592167026658509, 
       Rational[1, 2], 1], 
      Hue[0.6598411395072081, 
       Rational[1, 2], 1], 
      Hue[0.6610900131899228, 
       Rational[1, 2], 1], 
      Hue[0.663587760555352, 
       Rational[1, 2], 1], 
      Hue[0.6642121973967092, 
       Rational[1, 2], 1], 
      Hue[0.6648366342380666, 
       Rational[1, 2], 1], 
      Hue[0.6660855079207813, 
       Rational[1, 2], 1], 
      Hue[0.6685832552862104, 
       Rational[1, 2], 1], 
      Hue[0.6691656104843519, 
       Rational[1, 2], 1], 
      Hue[0.6697479656824932, 
       Rational[1, 2], 1], 
      Hue[0.6709126760787758, 
       Rational[1, 2], 1], 
      Hue[0.6732420968713412, 
       Rational[1, 2], 1], 
      Hue[0.6738244520694825, 
       Rational[1, 2], 1], 
      Hue[0.6744068072676239, 
       Rational[1, 2], 1], 
      Hue[0.6755715176639066, 
       Rational[1, 2], 1], 
      Hue[0.6779009384564719, 
       Rational[1, 2], 1], 
      Hue[0.6784832936546132, 
       Rational[1, 2], 1], 
      Hue[0.6790656488527546, 
       Rational[1, 2], 1], 
      Hue[0.6802303592490373, 
       Rational[1, 2], 1], 
      Hue[0.6825597800416026, 
       Rational[1, 2], 1], 
      Hue[0.6872186216267333, 
       Rational[1, 2], 1], 
      Hue[0.6878009768248747, 
       Rational[1, 2], 1], 
      Hue[0.6883833320230159, 
       Rational[1, 2], 1], 
      Hue[0.6895480424192988, 
       Rational[1, 2], 1], 
      Hue[0.691877463211864, 
       Rational[1, 2], 1], 
      Hue[0.6965363047969948, 
       Rational[1, 2], 1], 
      Hue[0.7058539879672563, 
       Rational[1, 2], 1], 
      Hue[0.7064856132114563, 
       Rational[1, 2], 1], 
      Hue[0.7071172384556563, 
       Rational[1, 2], 1], 
      Hue[0.7083804889440565, 
       Rational[1, 2], 1], 
      Hue[0.7109069899208567, 
       Rational[1, 2], 1], 
      Hue[0.7159599918744572, 
       Rational[1, 2], 1], 
      Hue[0.7260659957816582, 
       Rational[1, 2], 1], 
      Hue[0.7266976210258582, 
       Rational[1, 2], 1], 
      Hue[0.7273292462700582, 
       Rational[1, 2], 1], 
      Hue[0.7285924967584583, 
       Rational[1, 2], 1], 
      Hue[0.7311189977352586, 
       Rational[1, 2], 1], 
      Hue[0.736171999688859, 
       Rational[1, 2], 1], 
      Hue[0.7368036249330592, 
       Rational[1, 2], 1], 
      Hue[0.7374352501772592, 
       Rational[1, 2], 1], 
      Hue[0.7386985006656592, 
       Rational[1, 2], 1], 
      Hue[0.7412250016424595, 
       Rational[1, 2], 1], 
      Hue[0.7418566268866595, 
       Rational[1, 2], 1], 
      Hue[0.7424882521308597, 
       Rational[1, 2], 1], 
      Hue[0.7437515026192598, 
       Rational[1, 2], 1], 
      Hue[0.74627800359606, 
       Rational[1, 2], 1], 
      Hue[0.7468675471970441, 
       Rational[1, 2], 1], 
      Hue[0.7474570907980282, 
       Rational[1, 2], 1], 
      Hue[0.7480466343990123, 
       Rational[1, 2], 1], 
      Hue[0.7486361779999964, 
       Rational[1, 2], 1], 
      Hue[0.7492257216009806, 
       Rational[1, 2], 1], 
      Hue[0.7498152652019646, 
       Rational[1, 2], 1], 
      Hue[0.2504048088029487, 
       Rational[1, 2], 1], 
      Hue[0.25099435240393275`, 
       Rational[1, 2], 1], 
      Hue[0.2515838960049168, 
       Rational[1, 2], 1], 
      Hue[0.2521734396059009, 
       Rational[1, 2], 1], 
      Hue[0.2533525268078691, 
       Rational[1, 2], 1], 
      Hue[0.2557107012118055, 
       Rational[1, 2], 1], 
      Hue[0.2563002448127896, 
       Rational[1, 2], 1], 
      Hue[0.2568897884137737, 
       Rational[1, 2], 1], 
      Hue[0.2580688756157419, 
       Rational[1, 2], 1], 
      Hue[0.26042705001967825`, 
       Rational[1, 2], 1], 
      Hue[0.265143398827551, 
       Rational[1, 2], 1], 
      Hue[0.2657329424285351, 
       Rational[1, 2], 1], 
      Hue[0.2663224860295192, 
       Rational[1, 2], 1], 
      Hue[0.2675015732314874, 
       Rational[1, 2], 1], 
      Hue[0.26985974763542375`, 
       Rational[1, 2], 1], 
      Hue[0.2745760964432965, 
       Rational[1, 2], 1], 
      Hue[0.28400879405904206`, 
       Rational[1, 2], 1], 
      Hue[0.2846476077060849, 
       Rational[1, 2], 1], 
      Hue[0.28528642135312765`, 
       Rational[1, 2], 1], 
      Hue[0.2865640486472133, 
       Rational[1, 2], 1], 
      Hue[0.28911930323538454`, 
       Rational[1, 2], 1], 
      Hue[0.294229812411727, 
       Rational[1, 2], 1], 
      Hue[0.3044508307644121, 
       Rational[1, 2], 1], 
      Hue[0.3050896444114549, 
       Rational[1, 2], 1], 
      Hue[0.3057284580584977, 
       Rational[1, 2], 1], 
      Hue[0.30700608535258334`, 
       Rational[1, 2], 1], 
      Hue[0.3095613399407546, 
       Rational[1, 2], 1], 
      Hue[0.3146718491170971, 
       Rational[1, 2], 1], 
      Hue[0.32489286746978213`, 
       Rational[1, 2], 1], 
      Hue[0.3255200500367006, 
       Rational[1, 2], 1], 
      Hue[0.32614723260361894`, 
       Rational[1, 2], 1], 
      Hue[0.3274015977374558, 
       Rational[1, 2], 1], 
      Hue[0.3299103280051294, 
       Rational[1, 2], 1], 
      Hue[0.3349277885404768, 
       Rational[1, 2], 1], 
      Hue[0.33555497110739513`, 
       Rational[1, 2], 1], 
      Hue[0.3361821536743136, 
       Rational[1, 2], 1], 
      Hue[0.33743651880815034`, 
       Rational[1, 2], 1], 
      Hue[0.33994524907582396`, 
       Rational[1, 2], 1], 
      Hue[0.3449627096111713, 
       Rational[1, 2], 1], 
      Hue[0.34558989217808966`, 
       Rational[1, 2], 1], 
      Hue[0.3462170747450081, 
       Rational[1, 2], 1], 
      Hue[0.34747143987884493`, 
       Rational[1, 2], 1], 
      Hue[0.34998017014651855`, 
       Rational[1, 2], 1], 
      Hue[0.350607352713437, 
       Rational[1, 2], 1], 
      Hue[0.35123453528035536`, 
       Rational[1, 2], 1], 
      Hue[0.35248890041419223`, 
       Rational[1, 2], 1], 
      Hue[0.35499763068186585`, 
       Rational[1, 2], 1], 
      Hue[0.3556248132487843, 
       Rational[1, 2], 1], 
      Hue[0.35625199581570266`, 
       Rational[1, 2], 1], 
      Hue[0.35750636094953947`, 
       Rational[1, 2], 1], 
      Hue[0.358133543516458, 
       Rational[1, 2], 1], 
      Hue[0.35876072608337634`, 
       Rational[1, 2], 1], 
      Hue[0.36001509121721315`, 
       Rational[1, 2], 1], 
      Hue[0.36064227378413155`, 
       Rational[1, 2], 1], 
      Hue[0.3612694563510499, 
       Rational[1, 2], 1], 
      Hue[0.3625238214848868, 
       Rational[1, 2], 1], 
      Hue[0.36315100405180517`, 
       Rational[1, 2], 1], 
      Hue[0.3637781866187237, 
       Rational[1, 2], 1], 
      Hue[0.3650325517525604, 
       Rational[1, 2], 1], 
      Hue[0.3656176526762629, 
       Rational[1, 2], 1], 
      Hue[0.36620275359996535`, 
       Rational[1, 2], 1], 
      Hue[0.3673729554473702, 
       Rational[1, 2], 1], 
      Hue[0.36795805637107265`, 
       Rational[1, 2], 1], 
      Hue[0.3685431572947751, 
       Rational[1, 2], 1], 
      Hue[0.36971335914218006`, 
       Rational[1, 2], 1], 
      Hue[0.37029846006588246`, 
       Rational[1, 2], 1], 
      Hue[0.3708835609895849, 
       Rational[1, 2], 1], 
      Hue[0.37146866191328737`, 
       Rational[1, 2], 1], 
      Hue[0.3720537628369898, 
       Rational[1, 2], 1], 
      Hue[0.3726388637606922, 
       Rational[1, 2], 1], 
      Hue[0.37322396468439467`, 
       Rational[1, 2], 1], 
      Hue[0.3738090656080971, 
       Rational[1, 2], 1], 
      Hue[0.3743941665317996, 
       Rational[1, 2], 1], 
      Hue[0.3749792674555021, 
       Rational[1, 2], 1], 
      Hue[0.3755643683792044, 
       Rational[1, 2], 1], 
      Hue[0.3761494693029069, 
       Rational[1, 2], 1], 
      Hue[0.3767345702266093, 
       Rational[1, 2], 1], 
      Hue[0.3773196711503118, 
       Rational[1, 2], 1], 
      Hue[0.37790477207401424`, 
       Rational[1, 2], 1], 
      Hue[0.3784898729977167, 
       Rational[1, 2], 1], 
      Hue[0.37907497392141914`, 
       Rational[1, 2], 1], 
      Hue[0.37966007484512154`, 
       Rational[1, 2], 1], 
      Hue[0.380245175768824, 
       Rational[1, 2], 1], 
      Hue[0.38083027669252645`, 
       Rational[1, 2], 1], 
      Hue[0.38141537761622896`, 
       Rational[1, 2], 1], 
      Hue[0.3820004785399313, 
       Rational[1, 2], 1], 
      Hue[0.3825855794636338, 
       Rational[1, 2], 1], 
      Hue[0.38317068038733626`, 
       Rational[1, 2], 1], 
      Hue[0.3837557813110387, 
       Rational[1, 2], 1], 
      Hue[0.38434088223474117`, 
       Rational[1, 2], 1], 
      Hue[0.38492598315844356`, 
       Rational[1, 2], 1], 
      Hue[0.385511084082146, 
       Rational[1, 2], 1], 
      Hue[0.38609618500584847`, 
       Rational[1, 2], 1], 
      Hue[0.386681285929551, 
       Rational[1, 2], 1], 
      Hue[0.3872663868532533, 
       Rational[1, 2], 1], 
      Hue[0.3884365887006583, 
       Rational[1, 2], 1], 
      Hue[0.38902168962436073`, 
       Rational[1, 2], 1], 
      Hue[0.38960679054806313`, 
       Rational[1, 2], 1], 
      Hue[0.39077699239546804`, 
       Rational[1, 2], 1], 
      Hue[0.3913620933191705, 
       Rational[1, 2], 1], 
      Hue[0.3919471942428729, 
       Rational[1, 2], 1], 
      Hue[0.39311739609027785`, 
       Rational[1, 2], 1], 
      Hue[0.39370249701398025`, 
       Rational[1, 2], 1], 
      Hue[0.39428759793768275`, 
       Rational[1, 2], 1], 
      Hue[0.3954577997850876, 
       Rational[1, 2], 1], 
      Hue[0.39779820347989736`, 
       Rational[1, 2], 1], 
      Hue[0.3983833044035998, 
       Rational[1, 2], 1], 
      Hue[0.3989684053273023, 
       Rational[1, 2], 1], 
      Hue[0.4001386071747072, 
       Rational[1, 2], 1], 
      Hue[0.40247901086951693`, 
       Rational[1, 2], 1], 
      Hue[0.40311338183927814`, 
       Rational[1, 2], 1], 
      Hue[0.40374775280903924`, 
       Rational[1, 2], 1], 
      Hue[0.4050164947485616, 
       Rational[1, 2], 1], 
      Hue[0.40755397862760623`, 
       Rational[1, 2], 1], 
      Hue[0.40818834959736744`, 
       Rational[1, 2], 1], 
      Hue[0.4088227205671286, 
       Rational[1, 2], 1], 
      Hue[0.4100914625066509, 
       Rational[1, 2], 1], 
      Hue[0.41262894638569564`, 
       Rational[1, 2], 1], 
      Hue[0.41326331735545674`, 
       Rational[1, 2], 1], 
      Hue[0.41389768832521795`, 
       Rational[1, 2], 1], 
      Hue[0.41516643026474026`, 
       Rational[1, 2], 1], 
      Hue[0.41770391414378494`, 
       Rational[1, 2], 1], 
      Hue[0.42277888190187424`, 
       Rational[1, 2], 1], 
      Hue[0.4234132528716354, 
       Rational[1, 2], 1], 
      Hue[0.4240476238413966, 
       Rational[1, 2], 1], 
      Hue[0.4253163657809189, 
       Rational[1, 2], 1], 
      Hue[0.4278538496599636, 
       Rational[1, 2], 1], 
      Hue[0.4329288174180529, 
       Rational[1, 2], 1], 
      Hue[0.44307875293423155`, 
       Rational[1, 2], 1], 
      Hue[0.4436710422607767, 
       Rational[1, 2], 1], 
      Hue[0.4442633315873219, 
       Rational[1, 2], 1], 
      Hue[0.44544791024041236`, 
       Rational[1, 2], 1], 
      Hue[0.4478170675465931, 
       Rational[1, 2], 1], 
      Hue[0.45255538215895474`, 
       Rational[1, 2], 1], 
      Hue[0.46203201138367794`, 
       Rational[1, 2], 1], 
      Hue[0.46262430071022315`, 
       Rational[1, 2], 1], 
      Hue[0.46321659003676835`, 
       Rational[1, 2], 1], 
      Hue[0.46440116868985876`, 
       Rational[1, 2], 1], 
      Hue[0.46677032599603957`, 
       Rational[1, 2], 1], 
      Hue[0.4715086406084011, 
       Rational[1, 2], 1], 
      Hue[0.48098526983312434`, 
       Rational[1, 2], 1], 
      Hue[0.4815659280795452, 
       Rational[1, 2], 1], 
      Hue[0.48214658632596596`, 
       Rational[1, 2], 1], 
      Hue[0.48330790281880753`, 
       Rational[1, 2], 1], 
      Hue[0.48563053580449067`, 
       Rational[1, 2], 1], 
      Hue[0.4902758017758571, 
       Rational[1, 2], 1], 
      Hue[0.4908564600222779, 
       Rational[1, 2], 1], 
      Hue[0.4914371182686987, 
       Rational[1, 2], 1], 
      Hue[0.4925984347615403, 
       Rational[1, 2], 1], 
      Hue[0.4949210677472235, 
       Rational[1, 2], 1], 
      Hue[0.4955017259936443, 
       Rational[1, 2], 1], 
      Hue[0.49608238424006507`, 
       Rational[1, 2], 1], 
      Hue[0.4972437007329067, 
       Rational[1, 2], 1], 
      Hue[0.4978243589793275, 
       Rational[1, 2], 1], 
      Hue[0.4984050172257482, 
       Rational[1, 2], 1], 
      Hue[0.4989856754721691, 
       Rational[1, 2], 1], 
      Hue[0.4995663337185899, 
       Rational[1, 2], 1], 
      Hue[0.00014699196501062852`, 
       Rational[1, 2], 1], 
      Hue[0.0007276502114314253, 
       Rational[1, 2], 1], 
      Hue[0.0013083084578522225`, 
       Rational[1, 2], 1], 
      Hue[0.0018889667042730185`, 
       Rational[1, 2], 1], 
      Hue[0.002469624950693816, 
       Rational[1, 2], 1], 
      Hue[0.0030502831971146124`, 
       Rational[1, 2], 1], 
      Hue[0.004211599689956207, 
       Rational[1, 2], 1], 
      Hue[0.004792257936377003, 
       Rational[1, 2], 1], 
      Hue[0.0053729161827978, 
       Rational[1, 2], 1], 
      Hue[0.006534232675639393, 
       Rational[1, 2], 1], 
      Hue[0.008856865661322582, 
       Rational[1, 2], 1], 
      Hue[0.01814739760405533, 
       Rational[1, 2], 1], 
      Hue[0.018777325896534847`, 
       Rational[1, 2], 1], 
      Hue[0.019407254189014365`, 
       Rational[1, 2], 1], 
      Hue[0.02066711077397339, 
       Rational[1, 2], 1], 
      Hue[0.02318682394389146, 
       Rational[1, 2], 1], 
      Hue[0.028226250283727602`, 
       Rational[1, 2], 1], 
      Hue[0.03830510296339987, 
       Rational[1, 2], 1], 
      Hue[0.038935031255879375`, 
       Rational[1, 2], 1], 
      Hue[0.0395649595483589, 
       Rational[1, 2], 1], 
      Hue[0.04082481613331793, 
       Rational[1, 2], 1], 
      Hue[0.04334452930323598, 
       Rational[1, 2], 1], 
      Hue[0.04838395564307213, 
       Rational[1, 2], 1], 
      Hue[0.0584628083227444, 
       Rational[1, 2], 1], 
      Hue[0.059050654972007954`, 
       Rational[1, 2], 1], 
      Hue[0.059638501621271496`, 
       Rational[1, 2], 1], 
      Hue[0.0608141949197986, 
       Rational[1, 2], 1], 
      Hue[0.06316558151685281, 
       Rational[1, 2], 1], 
      Hue[0.06786835471096121, 
       Rational[1, 2], 1], 
      Hue[0.06845620136022479, 
       Rational[1, 2], 1], 
      Hue[0.06904404800948832, 
       Rational[1, 2], 1], 
      Hue[0.07021974130801543, 
       Rational[1, 2], 1], 
      Hue[0.07257112790506963, 
       Rational[1, 2], 1], 
      Hue[0.07727390109917805, 
       Rational[1, 2], 1], 
      Hue[0.0778617477484416, 
       Rational[1, 2], 1], 
      Hue[0.07844959439770514, 
       Rational[1, 2], 1], 
      Hue[0.07962528769623224, 
       Rational[1, 2], 1], 
      Hue[0.08197667429328645, 
       Rational[1, 2], 1], 
      Hue[0.08256452094255001, 
       Rational[1, 2], 1], 
      Hue[0.08315236759181358, 
       Rational[1, 2], 1], 
      Hue[0.08432806089034067, 
       Rational[1, 2], 1], 
      Hue[0.08667944748739487, 
       Rational[1, 2], 1], 
      Hue[0.08726729413665844, 
       Rational[1, 2], 1], 
      Hue[0.08785514078592199, 
       Rational[1, 2], 1], 
      Hue[0.08903083408444905, 
       Rational[1, 2], 1], 
      Hue[0.09138222068150328, 
       Rational[1, 2], 1], 
      Hue[0.09197006733076682, 
       Rational[1, 2], 1], 
      Hue[0.09255791398003038, 
       Rational[1, 2], 1], 
      Hue[0.0937336072785575, 
       Rational[1, 2], 1], 
      Hue[0.09608499387561169, 
       Rational[1, 2], 1], 
      Hue[0.09672211057093397, 
       Rational[1, 2], 1], 
      Hue[0.09735922726625623, 
       Rational[1, 2], 1], 
      Hue[0.09863346065690079, 
       Rational[1, 2], 1], 
      Hue[0.09927057735222307, 
       Rational[1, 2], 1], 
      Hue[0.09990769404754532, 
       Rational[1, 2], 1], 
      Hue[0.10118192743818986`, 
       Rational[1, 2], 1], 
      Hue[0.10181904413351212`, 
       Rational[1, 2], 1], 
      Hue[0.1024561608288344, 
       Rational[1, 2], 1], 
      Hue[0.10309327752415666`, 
       Rational[1, 2], 1], 
      Hue[0.10373039421947897`, 
       Rational[1, 2], 1], 
      Hue[0.10436751091480122`, 
       Rational[1, 2], 1], 
      Hue[0.10500462761012351`, 
       Rational[1, 2], 1], 
      Hue[0.10564174430544576`, 
       Rational[1, 2], 1], 
      Hue[0.10627886100076801`, 
       Rational[1, 2], 1], 
      Hue[0.10691597769609029`, 
       Rational[1, 2], 1], 
      Hue[0.10755309439141256`, 
       Rational[1, 2], 1], 
      Hue[0.10819021108673486`, 
       Rational[1, 2], 1], 
      Hue[0.10882732778205713`, 
       Rational[1, 2], 1], 
      Hue[0.10946444447737937`, 
       Rational[1, 2], 1], 
      Hue[0.11010156117270167`, 
       Rational[1, 2], 1], 
      Hue[0.11073867786802392`, 
       Rational[1, 2], 1], 
      Hue[0.11137579456334618`, 
       Rational[1, 2], 1], 
      Hue[0.11201291125866848`, 
       Rational[1, 2], 1], 
      Hue[0.11265002795399072`, 
       Rational[1, 2], 1], 
      Hue[0.11328714464931301`, 
       Rational[1, 2], 1], 
      Hue[0.11392426134463525`, 
       Rational[1, 2], 1], 
      Hue[0.11456137803995754`, 
       Rational[1, 2], 1], 
      Hue[0.11519849473527982`, 
       Rational[1, 2], 1], 
      Hue[0.11583561143060209`, 
       Rational[1, 2], 1], 
      Hue[0.11647272812592438`, 
       Rational[1, 2], 1], 
      Hue[0.11710984482124662`, 
       Rational[1, 2], 1], 
      Hue[0.11774696151656887`, 
       Rational[1, 2], 1], 
      Hue[0.11838407821189117`, 
       Rational[1, 2], 1], 
      Hue[0.11902119490721341`, 
       Rational[1, 2], 1], 
      Hue[0.1196583116025357, 
       Rational[1, 2], 1], 
      Hue[0.12029542829785798`, 
       Rational[1, 2], 1], 
      Hue[0.1215696616885025, 
       Rational[1, 2], 1], 
      Hue[0.12220677838382481`, 
       Rational[1, 2], 1], 
      Hue[0.12284389507914709`, 
       Rational[1, 2], 1], 
      Hue[0.12411812846979163`, 
       Rational[1, 2], 1], 
      Hue[0.12475524516511388`, 
       Rational[1, 2], 1], 
      Hue[0.12539236186043612`, 
       Rational[1, 2], 1], 
      Hue[0.1266665952510807, 
       Rational[1, 2], 1], 
      Hue[0.12730371194640294`, 
       Rational[1, 2], 1], 
      Hue[0.12794082864172526`, 
       Rational[1, 2], 1], 
      Hue[0.1292150620323698, 
       Rational[1, 2], 1], 
      Hue[0.12985217872769209`, 
       Rational[1, 2], 1], 
      Hue[0.13048929542301432`, 
       Rational[1, 2], 1], 
      Hue[0.13176352881365888`, 
       Rational[1, 2], 1], 
      Hue[0.13240064550898115`, 
       Rational[1, 2], 1], 
      Hue[0.13303776220430344`, 
       Rational[1, 2], 1], 
      Hue[0.13431199559494797`, 
       Rational[1, 2], 1], 
      Hue[0.13686046237623703`, 
       Rational[1, 2], 1], 
      Hue[0.1374859479914349, 
       Rational[1, 2], 1], 
      Hue[0.13811143360663275`, 
       Rational[1, 2], 1], 
      Hue[0.13936240483702853`, 
       Rational[1, 2], 1], 
      Hue[0.14186434729781996`, 
       Rational[1, 2], 1], 
      Hue[0.14248983291301784`, 
       Rational[1, 2], 1], 
      Hue[0.14311531852821574`, 
       Rational[1, 2], 1], 
      Hue[0.14436628975861146`, 
       Rational[1, 2], 1], 
      Hue[0.14686823221940296`, 
       Rational[1, 2], 1], 
      Hue[0.14749371783460077`, 
       Rational[1, 2], 1], 
      Hue[0.14811920344979865`, 
       Rational[1, 2], 1], 
      Hue[0.1493701746801944, 
       Rational[1, 2], 1], 
      Hue[0.1518721171409859, 
       Rational[1, 2], 1], 
      Hue[0.15687600206256883`, 
       Rational[1, 2], 1], 
      Hue[0.1575014876777667, 
       Rational[1, 2], 1], 
      Hue[0.15812697329296455`, 
       Rational[1, 2], 1], 
      Hue[0.15937794452336027`, 
       Rational[1, 2], 1], 
      Hue[0.16187988698415173`, 
       Rational[1, 2], 1], 
      Hue[0.1668837719057347, 
       Rational[1, 2], 1], 
      Hue[0.1768915417489006, 
       Rational[1, 2], 1], 
      Hue[0.17747494572088252`, 
       Rational[1, 2], 1], 
      Hue[0.1780583496928644, 
       Rational[1, 2], 1], 
      Hue[0.17922515763682823`, 
       Rational[1, 2], 1], 
      Hue[0.18155877352475583`, 
       Rational[1, 2], 1], 
      Hue[0.186226005300611, 
       Rational[1, 2], 1], 
      Hue[0.19556046885232148`, 
       Rational[1, 2], 1], 
      Hue[0.1961438728243034, 
       Rational[1, 2], 1], 
      Hue[0.1967272767962853, 
       Rational[1, 2], 1], 
      Hue[0.1978940847402491, 
       Rational[1, 2], 1], 
      Hue[0.2002277006281767, 
       Rational[1, 2], 1], 
      Hue[0.20489493240403192`, 
       Rational[1, 2], 1], 
      Hue[0.2142293959557424, 
       Rational[1, 2], 1], 
      Hue[0.214862069973783, 
       Rational[1, 2], 1], 
      Hue[0.2154947439918236, 
       Rational[1, 2], 1], 
      Hue[0.21676009202790486`, 
       Rational[1, 2], 1], 
      Hue[0.21929078810006736`, 
       Rational[1, 2], 1], 
      Hue[0.22435218024439235`, 
       Rational[1, 2], 1], 
      Hue[0.22498485426243298`, 
       Rational[1, 2], 1], 
      Hue[0.2256175282804736, 
       Rational[1, 2], 1], 
      Hue[0.22688287631655485`, 
       Rational[1, 2], 1], 
      Hue[0.22941357238871735`, 
       Rational[1, 2], 1], 
      Hue[0.2344749645330423, 
       Rational[1, 2], 1], 
      Hue[0.23510763855108294`, 
       Rational[1, 2], 1], 
      Hue[0.23574031256912356`, 
       Rational[1, 2], 1], 
      Hue[0.2370056606052048, 
       Rational[1, 2], 1], 
      Hue[0.2395363566773673, 
       Rational[1, 2], 1], 
      Hue[0.24016903069540793`, 
       Rational[1, 2], 1], 
      Hue[0.24080170471344856`, 
       Rational[1, 2], 1], 
      Hue[0.2420670527495298, 
       Rational[1, 2], 1], 
      Hue[0.2445977488216923, 
       Rational[1, 2], 1], 
      Hue[0.24523042283973293`, 
       Rational[1, 2], 1], 
      Hue[0.24586309685777355`, 
       Rational[1, 2], 1], 
      Hue[0.2471284448938548, 
       Rational[1, 2], 1], 
      Hue[0.24776111891189542`, 
       Rational[1, 2], 1], 
      Hue[0.24839379292993605`, 
       Rational[1, 2], 1], 
      Hue[0.24902646694797667`, 
       Rational[1, 2], 1], 
      Hue[0.2496591409660173, 
       Rational[1, 2], 1], 
      Hue[0.7502918149840578, 
       Rational[1, 2], 1], 
      Hue[0.7509244890020985, 
       Rational[1, 2], 1], 
      Hue[0.7515571630201391, 
       Rational[1, 2], 1], 
      Hue[0.7521898370381798, 
       Rational[1, 2], 1], 
      Hue[0.7528225110562203, 
       Rational[1, 2], 1], 
      Hue[0.753455185074261, 
       Rational[1, 2], 1], 
      Hue[0.7547205331103422, 
       Rational[1, 2], 1], 
      Hue[0.7553111254851669, 
       Rational[1, 2], 1], 
      Hue[0.7559017178599915, 
       Rational[1, 2], 1], 
      Hue[0.7570829026096408, 
       Rational[1, 2], 1], 
      Hue[0.7594452721089394, 
       Rational[1, 2], 1], 
      Hue[0.7641700111075367, 
       Rational[1, 2], 1], 
      Hue[0.7647606034823614, 
       Rational[1, 2], 1], 
      Hue[0.765351195857186, 
       Rational[1, 2], 1], 
      Hue[0.7665323806068354, 
       Rational[1, 2], 1], 
      Hue[0.7688947501061341, 
       Rational[1, 2], 1], 
      Hue[0.7736194891047312, 
       Rational[1, 2], 1], 
      Hue[0.774210081479556, 
       Rational[1, 2], 1], 
      Hue[0.7748006738543806, 
       Rational[1, 2], 1], 
      Hue[0.7759818586040299, 
       Rational[1, 2], 1], 
      Hue[0.7783442281033285, 
       Rational[1, 2], 1], 
      Hue[0.7830689671019258, 
       Rational[1, 2], 1], 
      Hue[0.7925184450991203, 
       Rational[1, 2], 1], 
      Hue[0.7930974063938205, 
       Rational[1, 2], 1], 
      Hue[0.7936763676885208, 
       Rational[1, 2], 1], 
      Hue[0.7948342902779213, 
       Rational[1, 2], 1], 
      Hue[0.7971501354567223, 
       Rational[1, 2], 1], 
      Hue[0.8017818258143243, 
       Rational[1, 2], 1], 
      Hue[0.8023607871090246, 
       Rational[1, 2], 1], 
      Hue[0.8029397484037248, 
       Rational[1, 2], 1], 
      Hue[0.8040976709931253, 
       Rational[1, 2], 1], 
      Hue[0.8064135161719264, 
       Rational[1, 2], 1], 
      Hue[0.8110452065295284, 
       Rational[1, 2], 1], 
      Hue[0.8116241678242286, 
       Rational[1, 2], 1], 
      Hue[0.8122031291189289, 
       Rational[1, 2], 1], 
      Hue[0.8133610517083294, 
       Rational[1, 2], 1], 
      Hue[0.8156768968871304, 
       Rational[1, 2], 1], 
      Hue[0.8162558581818307, 
       Rational[1, 2], 1], 
      Hue[0.8168348194765309, 
       Rational[1, 2], 1], 
      Hue[0.8179927420659314, 
       Rational[1, 2], 1], 
      Hue[0.8203085872447325, 
       Rational[1, 2], 1], 
      Hue[0.8208875485394328, 
       Rational[1, 2], 1], 
      Hue[0.8214665098341329, 
       Rational[1, 2], 1], 
      Hue[0.8226244324235334, 
       Rational[1, 2], 1], 
      Hue[0.8249402776023345, 
       Rational[1, 2], 1], 
      Hue[0.8255192388970347, 
       Rational[1, 2], 1], 
      Hue[0.826098200191735, 
       Rational[1, 2], 1], 
      Hue[0.8272561227811355, 
       Rational[1, 2], 1], 
      Hue[0.8295719679599365, 
       Rational[1, 2], 1], 
      Hue[0.8302001993006954, 
       Rational[1, 2], 1], 
      Hue[0.8308284306414545, 
       Rational[1, 2], 1], 
      Hue[0.8320848933229724, 
       Rational[1, 2], 1], 
      Hue[0.8327131246637314, 
       Rational[1, 2], 1], 
      Hue[0.8333413560044904, 
       Rational[1, 2], 1], 
      Hue[0.8345978186860084, 
       Rational[1, 2], 1], 
      Hue[0.8352260500267672, 
       Rational[1, 2], 1], 
      Hue[0.8358542813675263, 
       Rational[1, 2], 1], 
      Hue[0.8371107440490442, 
       Rational[1, 2], 1], 
      Hue[0.8377389753898032, 
       Rational[1, 2], 1], 
      Hue[0.8383672067305622, 
       Rational[1, 2], 1], 
      Hue[0.8396236694120802, 
       Rational[1, 2], 1], 
      Hue[0.8402519007528391, 
       Rational[1, 2], 1], 
      Hue[0.8408801320935981, 
       Rational[1, 2], 1], 
      Hue[0.841508363434357, 
       Rational[1, 2], 1], 
      Hue[0.842136594775116, 
       Rational[1, 2], 1], 
      Hue[0.8427648261158749, 
       Rational[1, 2], 1], 
      Hue[0.843393057456634, 
       Rational[1, 2], 1], 
      Hue[0.844021288797393, 
       Rational[1, 2], 1], 
      Hue[0.8446495201381519, 
       Rational[1, 2], 1], 
      Hue[0.8452777514789109, 
       Rational[1, 2], 1], 
      Hue[0.8459059828196699, 
       Rational[1, 2], 1], 
      Hue[0.8465342141604288, 
       Rational[1, 2], 1], 
      Hue[0.8471624455011878, 
       Rational[1, 2], 1], 
      Hue[0.8477906768419468, 
       Rational[1, 2], 1], 
      Hue[0.8484189081827058, 
       Rational[1, 2], 1], 
      Hue[0.8490471395234648, 
       Rational[1, 2], 1], 
      Hue[0.8496753708642237, 
       Rational[1, 2], 1], 
      Hue[0.8503036022049826, 
       Rational[1, 2], 1], 
      Hue[0.8509318335457416, 
       Rational[1, 2], 1], 
      Hue[0.8515600648865006, 
       Rational[1, 2], 1], 
      Hue[0.8521882962272596, 
       Rational[1, 2], 1], 
      Hue[0.8528165275680185, 
       Rational[1, 2], 1], 
      Hue[0.8534447589087775, 
       Rational[1, 2], 1], 
      Hue[0.8540729902495365, 
       Rational[1, 2], 1], 
      Hue[0.8547012215902955, 
       Rational[1, 2], 1], 
      Hue[0.8553294529310544, 
       Rational[1, 2], 1], 
      Hue[0.8559576842718135, 
       Rational[1, 2], 1], 
      Hue[0.8565859156125724, 
       Rational[1, 2], 1], 
      Hue[0.8572141469533314, 
       Rational[1, 2], 1], 
      Hue[0.8578423782940904, 
       Rational[1, 2], 1], 
      Hue[0.8584706096348493, 
       Rational[1, 2], 1], 
      Hue[0.8597270723163672, 
       Rational[1, 2], 1], 
      Hue[0.8603553036571262, 
       Rational[1, 2], 1], 
      Hue[0.8609835349978852, 
       Rational[1, 2], 1], 
      Hue[0.8622399976794031, 
       Rational[1, 2], 1], 
      Hue[0.862868229020162, 
       Rational[1, 2], 1], 
      Hue[0.863496460360921, 
       Rational[1, 2], 1], 
      Hue[0.864752923042439, 
       Rational[1, 2], 1], 
      Hue[0.865381154383198, 
       Rational[1, 2], 1], 
      Hue[0.866009385723957, 
       Rational[1, 2], 1], 
      Hue[0.8672658484054749, 
       Rational[1, 2], 1], 
      Hue[0.8697787737685108, 
       Rational[1, 2], 1], 
      Hue[0.8703649234660538, 
       Rational[1, 2], 1], 
      Hue[0.8709510731635968, 
       Rational[1, 2], 1], 
      Hue[0.8721233725586828, 
       Rational[1, 2], 1], 
      Hue[0.8744679713488548, 
       Rational[1, 2], 1], 
      Hue[0.8750541210463978, 
       Rational[1, 2], 1], 
      Hue[0.8756402707439409, 
       Rational[1, 2], 1], 
      Hue[0.8768125701390269, 
       Rational[1, 2], 1], 
      Hue[0.8791571689291989, 
       Rational[1, 2], 1], 
      Hue[0.879743318626742, 
       Rational[1, 2], 1], 
      Hue[0.8803294683242849, 
       Rational[1, 2], 1], 
      Hue[0.8815017677193709, 
       Rational[1, 2], 1], 
      Hue[0.883846366509543, 
       Rational[1, 2], 1], 
      Hue[0.888535564089887, 
       Rational[1, 2], 1], 
      Hue[0.88912171378743, 
       Rational[1, 2], 1], 
      Hue[0.8897078634849731, 
       Rational[1, 2], 1], 
      Hue[0.8908801628800591, 
       Rational[1, 2], 1], 
      Hue[0.8932247616702311, 
       Rational[1, 2], 1], 
      Hue[0.8979139592505752, 
       Rational[1, 2], 1], 
      Hue[0.9072923544112633, 
       Rational[1, 2], 1], 
      Hue[0.907927774154865, 
       Rational[1, 2], 1], 
      Hue[0.9085631938984667, 
       Rational[1, 2], 1], 
      Hue[0.9098340333856701, 
       Rational[1, 2], 1], 
      Hue[0.9123757123600771, 
       Rational[1, 2], 1], 
      Hue[0.9174590703088908, 
       Rational[1, 2], 1], 
      Hue[0.9276257862065186, 
       Rational[1, 2], 1], 
      Hue[0.9479592180017739, 
       Rational[1, 2], 1], 
      Hue[0.9485525561021597, 
       Rational[1, 2], 1], 
      Hue[0.9491458942025454, 
       Rational[1, 2], 1], 
      Hue[0.9503325704033169, 
       Rational[1, 2], 1], 
      Hue[0.95270592280486, 
       Rational[1, 2], 1], 
      Hue[0.9574526276079461, 
       Rational[1, 2], 1], 
      Hue[0.9669460372141183, 
       Rational[1, 2], 1], 
      Hue[0.9675393753145041, 
       Rational[1, 2], 1], 
      Hue[0.9681327134148898, 
       Rational[1, 2], 1], 
      Hue[0.9693193896156613, 
       Rational[1, 2], 1], 
      Hue[0.9716927420172045, 
       Rational[1, 2], 1], 
      Hue[0.9764394468202906, 
       Rational[1, 2], 1], 
      Hue[0.9859328564264628, 
       Rational[1, 2], 1], 
      Hue[0.9865145634467241, 
       Rational[1, 2], 1], 
      Hue[0.9870962704669854, 
       Rational[1, 2], 1], 
      Hue[0.9882596845075081, 
       Rational[1, 2], 1], 
      Hue[0.9905865125885537, 
       Rational[1, 2], 1], 
      Hue[0.9911682196088151, 
       Rational[1, 2], 1], 
      Hue[0.9917499266290765, 
       Rational[1, 2], 1], 
      Hue[0.9929133406695991, 
       Rational[1, 2], 1], 
      Hue[0.9952401687506446, 
       Rational[1, 2], 1], 
      Hue[0.9958218757709059, 
       Rational[1, 2], 1], 
      Hue[0.9964035827911673, 
       Rational[1, 2], 1], 
      Hue[0.9975669968316899, 
       Rational[1, 2], 1], 
      Hue[0.9981487038519513, 
       Rational[1, 2], 1], 
      Hue[0.9987304108722127, 
       Rational[1, 2], 1], 
      Hue[0.999312117892474, 
       Rational[1, 2], 1], 
      Hue[0.9998938249127354, 
       Rational[1, 2], 1], 
      Hue[0.5004755319329968, 
       Rational[1, 2], 1], 
      Hue[0.5010572389532582, 
       Rational[1, 2], 1], 
      Hue[0.5016389459735195, 
       Rational[1, 2], 1], 
      Hue[0.5022206529937808, 
       Rational[1, 2], 1], 
      Hue[0.5045474810748263, 
       Rational[1, 2], 1], 
      Hue[0.5051291880950877, 
       Rational[1, 2], 1], 
      Hue[0.5057108951153491, 
       Rational[1, 2], 1], 
      Hue[0.5068743091558717, 
       Rational[1, 2], 1], 
      Hue[0.5092011372369172, 
       Rational[1, 2], 1], 
      Hue[0.5138547933990081, 
       Rational[1, 2], 1], 
      Hue[0.5231621057231898, 
       Rational[1, 2], 1], 
      Hue[0.5237930827895099, 
       Rational[1, 2], 1], 
      Hue[0.5244240598558298, 
       Rational[1, 2], 1], 
      Hue[0.52568601398847, 
       Rational[1, 2], 1], 
      Hue[0.5282099222537504, 
       Rational[1, 2], 1], 
      Hue[0.533257738784311, 
       Rational[1, 2], 1], 
      Hue[0.5338887158506311, 
       Rational[1, 2], 1], 
      Hue[0.5345196929169512, 
       Rational[1, 2], 1], 
      Hue[0.5357816470495913, 
       Rational[1, 2], 1], 
      Hue[0.5383055553148717, 
       Rational[1, 2], 1], 
      Hue[0.5433533718454323, 
       Rational[1, 2], 1], 
      Hue[0.5439843489117524, 
       Rational[1, 2], 1], 
      Hue[0.5446153259780724, 
       Rational[1, 2], 1], 
      Hue[0.5458772801107126, 
       Rational[1, 2], 1], 
      Hue[0.5484011883759929, 
       Rational[1, 2], 1], 
      Hue[0.5490321654423129, 
       Rational[1, 2], 1], 
      Hue[0.5496631425086331, 
       Rational[1, 2], 1], 
      Hue[0.5509250966412733, 
       Rational[1, 2], 1], 
      Hue[0.5534490049065535, 
       Rational[1, 2], 1], 
      Hue[0.5540799819728737, 
       Rational[1, 2], 1], 
      Hue[0.5547109590391937, 
       Rational[1, 2], 1], 
      Hue[0.5559729131718338, 
       Rational[1, 2], 1], 
      Hue[0.5584968214371142, 
       Rational[1, 2], 1], 
      Hue[0.5591277985034342, 
       Rational[1, 2], 1], 
      Hue[0.5597587755697544, 
       Rational[1, 2], 1], 
      Hue[0.5610207297023944, 
       Rational[1, 2], 1], 
      Hue[0.5635446379676747, 
       Rational[1, 2], 1], 
      Hue[0.5641335333907789, 
       Rational[1, 2], 1], 
      Hue[0.564722428813883, 
       Rational[1, 2], 1], 
      Hue[0.5659002196600913, 
       Rational[1, 2], 1], 
      Hue[0.5664891150831953, 
       Rational[1, 2], 1], 
      Hue[0.5670780105062995, 
       Rational[1, 2], 1], 
      Hue[0.5682558013525076, 
       Rational[1, 2], 1], 
      Hue[0.5688446967756118, 
       Rational[1, 2], 1], 
      Hue[0.5694335921987159, 
       Rational[1, 2], 1], 
      Hue[0.5706113830449242, 
       Rational[1, 2], 1], 
      Hue[0.5712002784680282, 
       Rational[1, 2], 1], 
      Hue[0.5717891738911324, 
       Rational[1, 2], 1], 
      Hue[0.5729669647373405, 
       Rational[1, 2], 1], 
      Hue[0.5735558601604447, 
       Rational[1, 2], 1], 
      Hue[0.5741447555835488, 
       Rational[1, 2], 1], 
      Hue[0.5753225464297571, 
       Rational[1, 2], 1], 
      Hue[0.5759114418528611, 
       Rational[1, 2], 1], 
      Hue[0.5765003372759653, 
       Rational[1, 2], 1], 
      Hue[0.5776781281221735, 
       Rational[1, 2], 1], 
      Hue[0.5782670235452776, 
       Rational[1, 2], 1], 
      Hue[0.5788559189683817, 
       Rational[1, 2], 1], 
      Hue[0.5794448143914859, 
       Rational[1, 2], 1], 
      Hue[0.58003370981459, 
       Rational[1, 2], 1], 
      Hue[0.580622605237694, 
       Rational[1, 2], 1], 
      Hue[0.5812115006607981, 
       Rational[1, 2], 1], 
      Hue[0.5818003960839022, 
       Rational[1, 2], 1], 
      Hue[0.5823892915070064, 
       Rational[1, 2], 1], 
      Hue[0.5829781869301105, 
       Rational[1, 2], 1], 
      Hue[0.5835670823532146, 
       Rational[1, 2], 1], 
      Hue[0.5841559777763188, 
       Rational[1, 2], 1], 
      Hue[0.5847448731994229, 
       Rational[1, 2], 1], 
      Hue[0.585333768622527, 
       Rational[1, 2], 1], 
      Hue[0.585922664045631, 
       Rational[1, 2], 1], 
      Hue[0.5865115594687351, 
       Rational[1, 2], 1], 
      Hue[0.5871004548918393, 
       Rational[1, 2], 1], 
      Hue[0.5876893503149434, 
       Rational[1, 2], 1], 
      Hue[0.5882782457380475, 
       Rational[1, 2], 1], 
      Hue[0.5888671411611517, 
       Rational[1, 2], 1], 
      Hue[0.5894560365842558, 
       Rational[1, 2], 1], 
      Hue[0.5900449320073599, 
       Rational[1, 2], 1], 
      Hue[0.5906338274304639, 
       Rational[1, 2], 1], 
      Hue[0.591222722853568, 
       Rational[1, 2], 1], 
      Hue[0.5918116182766722, 
       Rational[1, 2], 1], 
      Hue[0.5924005136997763, 
       Rational[1, 2], 1], 
      Hue[0.5929894091228805, 
       Rational[1, 2], 1], 
      Hue[0.5935783045459846, 
       Rational[1, 2], 1], 
      Hue[0.5941671999690887, 
       Rational[1, 2], 1], 
      Hue[0.5947560953921927, 
       Rational[1, 2], 1], 
      Hue[0.5953449908152968, 
       Rational[1, 2], 1], 
      Hue[0.5965227816615051, 
       Rational[1, 2], 1], 
      Hue[0.5971116770846092, 
       Rational[1, 2], 1], 
      Hue[0.5977005725077134, 
       Rational[1, 2], 1], 
      Hue[0.5988783633539216, 
       Rational[1, 2], 1], 
      Hue[0.5994672587770258, 
       Rational[1, 2], 1], 
      Hue[0.6000561542001299, 
       Rational[1, 2], 1], 
      Hue[0.6012339450463381, 
       Rational[1, 2], 1], 
      Hue[0.6018721105155009, 
       Rational[1, 2], 1], 
      Hue[0.6025102759846638, 
       Rational[1, 2], 1], 
      Hue[0.6037866069229894, 
       Rational[1, 2], 1], 
      Hue[0.6063392687996407, 
       Rational[1, 2], 1], 
      Hue[0.6069774342688037, 
       Rational[1, 2], 1], 
      Hue[0.6076155997379664, 
       Rational[1, 2], 1], 
      Hue[0.6088919306762921, 
       Rational[1, 2], 1], 
      Hue[0.6114445925529435, 
       Rational[1, 2], 1], 
      Hue[0.6120827580221063, 
       Rational[1, 2], 1], 
      Hue[0.612720923491269, 
       Rational[1, 2], 1], 
      Hue[0.6139972544295949, 
       Rational[1, 2], 1], 
      Hue[0.6165499163062461, 
       Rational[1, 2], 1], 
      Hue[0.6216552400595488, 
       Rational[1, 2], 1], 
      Hue[0.6222934055287117, 
       Rational[1, 2], 1], 
      Hue[0.6229315709978744, 
       Rational[1, 2], 1], 
      Hue[0.6242079019362001, 
       Rational[1, 2], 1], 
      Hue[0.6267605638128515, 
       Rational[1, 2], 1], 
      Hue[0.631865887566154, 
       Rational[1, 2], 1], 
      Hue[0.6420765350727595, 
       Rational[1, 2], 1], 
      Hue[0.6427030694617979, 
       Rational[1, 2], 1], 
      Hue[0.6433296038508365, 
       Rational[1, 2], 1], 
      Hue[0.6445826726289132, 
       Rational[1, 2], 1], 
      Hue[0.6470888101850669, 
       Rational[1, 2], 1], 
      Hue[0.6521010852973744, 
       Rational[1, 2], 1], 
      Hue[0.6621256355219893, 
       Rational[1, 2], 1], 
      Hue[0.6821747359712191, 
       Rational[1, 2], 1], 
      Hue[0.6827591887170417, 
       Rational[1, 2], 1], 
      Hue[0.6833436414628641, 
       Rational[1, 2], 1], 
      Hue[0.684512546954509, 
       Rational[1, 2], 1], 
      Hue[0.6868503579377989, 
       Rational[1, 2], 1], 
      Hue[0.6915259799043787, 
       Rational[1, 2], 1], 
      Hue[0.700877223837538, 
       Rational[1, 2], 1], 
      Hue[0.7014616765833603, 
       Rational[1, 2], 1], 
      Hue[0.7020461293291829, 
       Rational[1, 2], 1], 
      Hue[0.7032150348208277, 
       Rational[1, 2], 1], 
      Hue[0.7055528458041176, 
       Rational[1, 2], 1], 
      Hue[0.7102284677706974, 
       Rational[1, 2], 1], 
      Hue[0.7195797117038569, 
       Rational[1, 2], 1], 
      Hue[0.7202134344957382, 
       Rational[1, 2], 1], 
      Hue[0.7208471572876194, 
       Rational[1, 2], 1], 
      Hue[0.7221146028713816, 
       Rational[1, 2], 1], 
      Hue[0.7246494940389063, 
       Rational[1, 2], 1], 
      Hue[0.729719276373956, 
       Rational[1, 2], 1], 
      Hue[0.7303529991658371, 
       Rational[1, 2], 1], 
      Hue[0.7309867219577184, 
       Rational[1, 2], 1], 
      Hue[0.7322541675414806, 
       Rational[1, 2], 1], 
      Hue[0.7347890587090053, 
       Rational[1, 2], 1], 
      Hue[0.7398588410440549, 
       Rational[1, 2], 1], 
      Hue[0.7404925638359361, 
       Rational[1, 2], 1], 
      Hue[0.7411262866278173, 
       Rational[1, 2], 1], 
      Hue[0.7423937322115797, 
       Rational[1, 2], 1], 
      Hue[0.7449286233791044, 
       Rational[1, 2], 1], 
      Hue[0.7455623461709856, 
       Rational[1, 2], 1], 
      Hue[0.7461960689628668, 
       Rational[1, 2], 1], 
      Hue[0.7474635145466291, 
       Rational[1, 2], 1], 
      Hue[0.7480972373385104, 
       Rational[1, 2], 1], 
      Hue[0.7487309601303914, 
       Rational[1, 2], 1], 
      Hue[0.7493646829222727, 
       Rational[1, 2], 1], 
      Hue[0.7499984057141539, 
       Rational[1, 2], 1], 
      Hue[0.2506321285060351, 
       Rational[1, 2], 1], 
      Hue[0.2512658512979163, 
       Rational[1, 2], 1], 
      Hue[0.25253329688167864`, 
       Rational[1, 2], 1], 
      Hue[0.25506818804920334`, 
       Rational[1, 2], 1], 
      Hue[0.26013797038425285`, 
       Rational[1, 2], 1], 
      Hue[0.26072961153291807`, 
       Rational[1, 2], 1], 
      Hue[0.2613212526815833, 
       Rational[1, 2], 1], 
      Hue[0.26250453497891374`, 
       Rational[1, 2], 1], 
      Hue[0.26487109957357463`, 
       Rational[1, 2], 1], 
      Hue[0.2696042287628964, 
       Rational[1, 2], 1], 
      Hue[0.27019586991156164`, 
       Rational[1, 2], 1], 
      Hue[0.2707875110602269, 
       Rational[1, 2], 1], 
      Hue[0.27197079335755736`, 
       Rational[1, 2], 1], 
      Hue[0.27433735795221825`, 
       Rational[1, 2], 1], 
      Hue[0.27907048714154004`, 
       Rational[1, 2], 1], 
      Hue[0.27966212829020526`, 
       Rational[1, 2], 1], 
      Hue[0.2802537694388705, 
       Rational[1, 2], 1], 
      Hue[0.2814370517362009, 
       Rational[1, 2], 1], 
      Hue[0.2838036163308618, 
       Rational[1, 2], 1], 
      Hue[0.28439525747952704`, 
       Rational[1, 2], 1], 
      Hue[0.28498689862819226`, 
       Rational[1, 2], 1], 
      Hue[0.2861701809255227, 
       Rational[1, 2], 1], 
      Hue[0.2885367455201836, 
       Rational[1, 2], 1], 
      Hue[0.2891283866688488, 
       Rational[1, 2], 1], 
      Hue[0.28972002781751405`, 
       Rational[1, 2], 1], 
      Hue[0.2909033101148445, 
       Rational[1, 2], 1], 
      Hue[0.2932698747095054, 
       Rational[1, 2], 1], 
      Hue[0.2938615158581706, 
       Rational[1, 2], 1], 
      Hue[0.29445315700683583`, 
       Rational[1, 2], 1], 
      Hue[0.29563643930416633`, 
       Rational[1, 2], 1], 
      Hue[0.29800300389882706`, 
       Rational[1, 2], 1], 
      Hue[0.298583013967368, 
       Rational[1, 2], 1], 
      Hue[0.29916302403590883`, 
       Rational[1, 2], 1], 
      Hue[0.30032304417299044`, 
       Rational[1, 2], 1], 
      Hue[0.30090305424153124`, 
       Rational[1, 2], 1], 
      Hue[0.30148306431007205`, 
       Rational[1, 2], 1], 
      Hue[0.3026430844471537, 
       Rational[1, 2], 1], 
      Hue[0.3032230945156945, 
       Rational[1, 2], 1], 
      Hue[0.3038031045842353, 
       Rational[1, 2], 1], 
      Hue[0.3049631247213169, 
       Rational[1, 2], 1], 
      Hue[0.30728316499548014`, 
       Rational[1, 2], 1], 
      Hue[0.30786317506402094`, 
       Rational[1, 2], 1], 
      Hue[0.3084431851325618, 
       Rational[1, 2], 1], 
      Hue[0.3096032052696434, 
       Rational[1, 2], 1], 
      Hue[0.3101832153381842, 
       Rational[1, 2], 1], 
      Hue[0.310763225406725, 
       Rational[1, 2], 1], 
      Hue[0.3119232455438066, 
       Rational[1, 2], 1], 
      Hue[0.31250325561234743`, 
       Rational[1, 2], 1], 
      Hue[0.31308326568088823`, 
       Rational[1, 2], 1], 
      Hue[0.3142432858179699, 
       Rational[1, 2], 1], 
      Hue[0.3148232958865107, 
       Rational[1, 2], 1], 
      Hue[0.3154033059550515, 
       Rational[1, 2], 1], 
      Hue[0.3165633260921333, 
       Rational[1, 2], 1], 
      Hue[0.3171433361606742, 
       Rational[1, 2], 1], 
      Hue[0.317723346229215, 
       Rational[1, 2], 1], 
      Hue[0.31830335629775586`, 
       Rational[1, 2], 1], 
      Hue[0.31888336636629666`, 
       Rational[1, 2], 1], 
      Hue[0.31946337643483746`, 
       Rational[1, 2], 1], 
      Hue[0.32004338650337827`, 
       Rational[1, 2], 1], 
      Hue[0.32062339657191913`, 
       Rational[1, 2], 1], 
      Hue[0.32120340664045993`, 
       Rational[1, 2], 1], 
      Hue[0.32178341670900074`, 
       Rational[1, 2], 1], 
      Hue[0.32236342677754154`, 
       Rational[1, 2], 1], 
      Hue[0.3229434368460823, 
       Rational[1, 2], 1], 
      Hue[0.32352344691462315`, 
       Rational[1, 2], 1], 
      Hue[0.32410345698316395`, 
       Rational[1, 2], 1], 
      Hue[0.32468346705170475`, 
       Rational[1, 2], 1], 
      Hue[0.32526347712024556`, 
       Rational[1, 2], 1], 
      Hue[0.3258434871887864, 
       Rational[1, 2], 1], 
      Hue[0.3264234972573272, 
       Rational[1, 2], 1], 
      Hue[0.327003507325868, 
       Rational[1, 2], 1], 
      Hue[0.32758351739440883`, 
       Rational[1, 2], 1], 
      Hue[0.32816352746294963`, 
       Rational[1, 2], 1], 
      Hue[0.32874353753149044`, 
       Rational[1, 2], 1], 
      Hue[0.32932354760003124`, 
       Rational[1, 2], 1], 
      Hue[0.32990355766857205`, 
       Rational[1, 2], 1], 
      Hue[0.33048356773711285`, 
       Rational[1, 2], 1], 
      Hue[0.3310635778056537, 
       Rational[1, 2], 1], 
      Hue[0.3316435878741945, 
       Rational[1, 2], 1], 
      Hue[0.3322235979427353, 
       Rational[1, 2], 1], 
      Hue[0.3328036080112761, 
       Rational[1, 2], 1], 
      Hue[0.3333836180798169, 
       Rational[1, 2], 1], 
      Hue[0.3339636281483577, 
       Rational[1, 2], 1], 
      Hue[0.3351236482854395, 
       Rational[1, 2], 1], 
      Hue[0.33575292840003906`, 
       Rational[1, 2], 1], 
      Hue[0.33638220851463846`, 
       Rational[1, 2], 1], 
      Hue[0.3376407687438376, 
       Rational[1, 2], 1], 
      Hue[0.33827004885843714`, 
       Rational[1, 2], 1], 
      Hue[0.3388993289730367, 
       Rational[1, 2], 1], 
      Hue[0.34015788920223583`, 
       Rational[1, 2], 1], 
      Hue[0.3407871693168354, 
       Rational[1, 2], 1], 
      Hue[0.34141644943143495`, 
       Rational[1, 2], 1], 
      Hue[0.34267500966063386`, 
       Rational[1, 2], 1], 
      Hue[0.34519213011903205`, 
       Rational[1, 2], 1], 
      Hue[0.3458214102336316, 
       Rational[1, 2], 1], 
      Hue[0.34645069034823117`, 
       Rational[1, 2], 1], 
      Hue[0.3477092505774303, 
       Rational[1, 2], 1], 
      Hue[0.3502263710358284, 
       Rational[1, 2], 1], 
      Hue[0.35526061195262476`, 
       Rational[1, 2], 1], 
      Hue[0.35588989206722427`, 
       Rational[1, 2], 1], 
      Hue[0.35651917218182383`, 
       Rational[1, 2], 1], 
      Hue[0.35777773241102284`, 
       Rational[1, 2], 1], 
      Hue[0.360294852869421, 
       Rational[1, 2], 1], 
      Hue[0.3653290937862173, 
       Rational[1, 2], 1], 
      Hue[0.37539757561980985`, 
       Rational[1, 2], 1], 
      Hue[0.37598477409119335`, 
       Rational[1, 2], 1], 
      Hue[0.376571972562577, 
       Rational[1, 2], 1], 
      Hue[0.3777463695053441, 
       Rational[1, 2], 1], 
      Hue[0.3800951633908783, 
       Rational[1, 2], 1], 
      Hue[0.38479275116194706`, 
       Rational[1, 2], 1], 
      Hue[0.3941879267040842, 
       Rational[1, 2], 1], 
      Hue[0.41297827778835855`, 
       Rational[1, 2], 1], 
      Hue[0.41361474630580086`, 
       Rational[1, 2], 1], 
      Hue[0.41425121482324306`, 
       Rational[1, 2], 1], 
      Hue[0.41552415185812763`, 
       Rational[1, 2], 1], 
      Hue[0.41807002592789677`, 
       Rational[1, 2], 1], 
      Hue[0.42316177406743516`, 
       Rational[1, 2], 1], 
      Hue[0.4333452703465117, 
       Rational[1, 2], 1], 
      Hue[0.4537122629046651, 
       Rational[1, 2], 1], 
      Hue[0.4537312841026335, 
       Rational[1, 2], 1], 
      Hue[0.4537503053006021, 
       Rational[1, 2], 1], 
      Hue[0.45378834769653925`, 
       Rational[1, 2], 1], 
      Hue[0.45386443248841346`, 
       Rational[1, 2], 1], 
      Hue[0.4540166020721617, 
       Rational[1, 2], 1], 
      Hue[0.45432094123965827`, 
       Rational[1, 2], 1], 
      Hue[0.4543399624376266, 
       Rational[1, 2], 1], 
      Hue[0.4543589836355952, 
       Rational[1, 2], 1], 
      Hue[0.45439702603153237`, 
       Rational[1, 2], 1], 
      Hue[0.4544731108234065, 
       Rational[1, 2], 1], 
      Hue[0.45462528040715483`, 
       Rational[1, 2], 1], 
      Hue[0.4546443016051233, 
       Rational[1, 2], 1], 
      Hue[0.45466332280309196`, 
       Rational[1, 2], 1], 
      Hue[0.45470136519902893`, 
       Rational[1, 2], 1], 
      Hue[0.45477744999090297`, 
       Rational[1, 2], 1], 
      Hue[0.45479647118887156`, 
       Rational[1, 2], 1], 
      Hue[0.45481549238684016`, 
       Rational[1, 2], 1], 
      Hue[0.4548535347827772, 
       Rational[1, 2], 1], 
      Hue[0.4548725559807458, 
       Rational[1, 2], 1], 
      Hue[0.4548915771787143, 
       Rational[1, 2], 1], 
      Hue[0.45491059837668285`, 
       Rational[1, 2], 1], 
      Hue[0.4549296195746514, 
       Rational[1, 2], 1], 
      Hue[0.04507038042534869, 
       Rational[1, 2], 1], 
      Hue[0.045656129526931086`, 
       Rational[1, 2], 1], 
      Hue[0.045656129526931086`, 
       Rational[1, 2], 1], 
      Hue[0.046241878628513644`, 
       Rational[1, 2], 1], 
      Hue[0.046241878628513644`, 
       Rational[1, 2], 1], 
      Hue[0.047413376831678455`, 
       Rational[1, 2], 1], 
      Hue[0.047413376831678455`, 
       Rational[1, 2], 1], 
      Hue[0.04975637323800807, 
       Rational[1, 2], 1], 
      Hue[0.04975637323800807, 
       Rational[1, 2], 1], 
      Hue[0.05444236605066761, 
       Rational[1, 2], 1], 
      Hue[0.05444236605066761, 
       Rational[1, 2], 1], 
      Hue[0.06381435167598641, 
       Rational[1, 2], 1], 
      Hue[0.06381435167598641, 
       Rational[1, 2], 1], 
      Hue[0.08255832292662398, 
       Rational[1, 2], 1], 
      Hue[0.08255832292662398, 
       Rational[1, 2], 1], 
      Hue[0.08319334207426513, 
       Rational[1, 2], 1], 
      Hue[0.08319334207426513, 
       Rational[1, 2], 1], 
      Hue[0.08382836122190629, 
       Rational[1, 2], 1], 
      Hue[0.08382836122190629, 
       Rational[1, 2], 1], 
      Hue[0.08509839951718859, 
       Rational[1, 2], 1], 
      Hue[0.08509839951718859, 
       Rational[1, 2], 1], 
      Hue[0.08763847610775323, 
       Rational[1, 2], 1], 
      Hue[0.08763847610775323, 
       Rational[1, 2], 1], 
      Hue[0.09271862928888233, 
       Rational[1, 2], 1], 
      Hue[0.09271862928888233, 
       Rational[1, 2], 1], 
      Hue[0.10287893565114074`, 
       Rational[1, 2], 1], 
      Hue[0.10287893565114074`, 
       Rational[1, 2], 1], 
      Hue[0.10351395479878188`, 
       Rational[1, 2], 1], 
      Hue[0.10351395479878188`, 
       Rational[1, 2], 1], 
      Hue[0.10414897394642304`, 
       Rational[1, 2], 1], 
      Hue[0.10414897394642304`, 
       Rational[1, 2], 1], 
      Hue[0.10541901224170537`, 
       Rational[1, 2], 1], 
      Hue[0.10541901224170537`, 
       Rational[1, 2], 1], 
      Hue[0.10795908883226984`, 
       Rational[1, 2], 1], 
      Hue[0.10795908883226984`, 
       Rational[1, 2], 1], 
      Hue[0.11303924201339897`, 
       Rational[1, 2], 1], 
      Hue[0.11303924201339897`, 
       Rational[1, 2], 1], 
      Hue[0.12319954837565734`, 
       Rational[1, 2], 1], 
      Hue[0.12319954837565734`, 
       Rational[1, 2], 1], 
      Hue[0.12379248588008265`, 
       Rational[1, 2], 1], 
      Hue[0.12379248588008265`, 
       Rational[1, 2], 1], 
      Hue[0.12438542338450781`, 
       Rational[1, 2], 1], 
      Hue[0.12438542338450781`, 
       Rational[1, 2], 1], 
      Hue[0.12557129839335812`, 
       Rational[1, 2], 1], 
      Hue[0.12557129839335812`, 
       Rational[1, 2], 1], 
      Hue[0.12794304841105877`, 
       Rational[1, 2], 1], 
      Hue[0.12794304841105877`, 
       Rational[1, 2], 1], 
      Hue[0.13268654844646033`, 
       Rational[1, 2], 1], 
      Hue[0.13268654844646033`, 
       Rational[1, 2], 1], 
      Hue[0.1332794859508855, 
       Rational[1, 2], 1], 
      Hue[0.1332794859508855, 
       Rational[1, 2], 1], 
      Hue[0.13387242345531064`, 
       Rational[1, 2], 1], 
      Hue[0.13387242345531064`, 
       Rational[1, 2], 1], 
      Hue[0.135058298464161, 
       Rational[1, 2], 1], 
      Hue[0.135058298464161, 
       Rational[1, 2], 1], 
      Hue[0.13743004848186177`, 
       Rational[1, 2], 1], 
      Hue[0.13743004848186177`, 
       Rational[1, 2], 1], 
      Hue[0.14217354851726322`, 
       Rational[1, 2], 1], 
      Hue[0.14217354851726322`, 
       Rational[1, 2], 1], 
      Hue[0.14276648602168834`, 
       Rational[1, 2], 1], 
      Hue[0.14276648602168834`, 
       Rational[1, 2], 1], 
      Hue[0.1433594235261135, 
       Rational[1, 2], 1], 
      Hue[0.1433594235261135, 
       Rational[1, 2], 1], 
      Hue[0.14454529853496384`, 
       Rational[1, 2], 1], 
      Hue[0.14454529853496384`, 
       Rational[1, 2], 1], 
      Hue[0.1469170485526646, 
       Rational[1, 2], 1], 
      Hue[0.1469170485526646, 
       Rational[1, 2], 1], 
      Hue[0.14750998605708993`, 
       Rational[1, 2], 1], 
      Hue[0.14750998605708993`, 
       Rational[1, 2], 1], 
      Hue[0.14810292356151508`, 
       Rational[1, 2], 1], 
      Hue[0.14810292356151508`, 
       Rational[1, 2], 1], 
      Hue[0.1492887985703654, 
       Rational[1, 2], 1], 
      Hue[0.1492887985703654, 
       Rational[1, 2], 1], 
      Hue[0.15166054858806602`, 
       Rational[1, 2], 1], 
      Hue[0.15166054858806602`, 
       Rational[1, 2], 1], 
      Hue[0.1522534860924912, 
       Rational[1, 2], 1], 
      Hue[0.1522534860924912, 
       Rational[1, 2], 1], 
      Hue[0.1528464235969164, 
       Rational[1, 2], 1], 
      Hue[0.1528464235969164, 
       Rational[1, 2], 1], 
      Hue[0.1540322986057667, 
       Rational[1, 2], 1], 
      Hue[0.1540322986057667, 
       Rational[1, 2], 1], 
      Hue[0.15462523611019183`, 
       Rational[1, 2], 1], 
      Hue[0.15462523611019183`, 
       Rational[1, 2], 1], 
      Hue[0.155218173614617, 
       Rational[1, 2], 1], 
      Hue[0.155218173614617, 
       Rational[1, 2], 1], 
      Hue[0.15640404862346746`, 
       Rational[1, 2], 1], 
      Hue[0.15640404862346746`, 
       Rational[1, 2], 1], 
      Hue[0.15699698612789276`, 
       Rational[1, 2], 1], 
      Hue[0.15699698612789276`, 
       Rational[1, 2], 1], 
      Hue[0.15758992363231797`, 
       Rational[1, 2], 1], 
      Hue[0.15758992363231797`, 
       Rational[1, 2], 1], 
      Hue[0.15818286113674307`, 
       Rational[1, 2], 1], 
      Hue[0.15818286113674307`, 
       Rational[1, 2], 1], 
      Hue[0.15877579864116825`, 
       Rational[1, 2], 1], 
      Hue[0.15877579864116825`, 
       Rational[1, 2], 1], 
      Hue[0.1593687361455934, 
       Rational[1, 2], 1], 
      Hue[0.1593687361455934, 
       Rational[1, 2], 1], 
      Hue[0.15996167365001857`, 
       Rational[1, 2], 1], 
      Hue[0.15996167365001857`, 
       Rational[1, 2], 1], 
      Hue[0.16114754865886888`, 
       Rational[1, 2], 1], 
      Hue[0.16114754865886888`, 
       Rational[1, 2], 1], 
      Hue[0.16172885508316964`, 
       Rational[1, 2], 1], 
      Hue[0.16172885508316964`, 
       Rational[1, 2], 1], 
      Hue[0.16231016150747038`, 
       Rational[1, 2], 1], 
      Hue[0.16231016150747038`, 
       Rational[1, 2], 1], 
      Hue[0.16289146793177126`, 
       Rational[1, 2], 1], 
      Hue[0.16289146793177126`, 
       Rational[1, 2], 1], 
      Hue[0.16347277435607202`, 
       Rational[1, 2], 1], 
      Hue[0.16347277435607202`, 
       Rational[1, 2], 1], 
      Hue[0.16405408078037276`, 
       Rational[1, 2], 1], 
      Hue[0.16405408078037276`, 
       Rational[1, 2], 1], 
      Hue[0.16463538720467363`, 
       Rational[1, 2], 1], 
      Hue[0.16463538720467363`, 
       Rational[1, 2], 1], 
      Hue[0.1652166936289744, 
       Rational[1, 2], 1], 
      Hue[0.1652166936289744, 
       Rational[1, 2], 1], 
      Hue[0.16579800005327514`, 
       Rational[1, 2], 1], 
      Hue[0.16579800005327514`, 
       Rational[1, 2], 1], 
      Hue[0.16637930647757587`, 
       Rational[1, 2], 1], 
      Hue[0.16637930647757587`, 
       Rational[1, 2], 1], 
      Hue[0.16696061290187664`, 
       Rational[1, 2], 1], 
      Hue[0.16696061290187664`, 
       Rational[1, 2], 1], 
      Hue[0.1675419193261775, 
       Rational[1, 2], 1], 
      Hue[0.1675419193261775, 
       Rational[1, 2], 1], 
      Hue[0.16812322575047825`, 
       Rational[1, 2], 1], 
      Hue[0.16812322575047825`, 
       Rational[1, 2], 1], 
      Hue[0.16870453217477901`, 
       Rational[1, 2], 1], 
      Hue[0.16870453217477901`, 
       Rational[1, 2], 1], 
      Hue[0.1692858385990799, 
       Rational[1, 2], 1], 
      Hue[0.1692858385990799, 
       Rational[1, 2], 1], 
      Hue[0.16986714502338063`, 
       Rational[1, 2], 1], 
      Hue[0.16986714502338063`, 
       Rational[1, 2], 1], 
      Hue[0.1704484514476814, 
       Rational[1, 2], 1], 
      Hue[0.1704484514476814, 
       Rational[1, 2], 1], 
      Hue[0.17102975787198213`, 
       Rational[1, 2], 1], 
      Hue[0.17102975787198213`, 
       Rational[1, 2], 1], 
      Hue[0.17161106429628287`, 
       Rational[1, 2], 1], 
      Hue[0.17161106429628287`, 
       Rational[1, 2], 1], 
      Hue[0.17219237072058377`, 
       Rational[1, 2], 1], 
      Hue[0.17219237072058377`, 
       Rational[1, 2], 1], 
      Hue[0.1727736771448845, 
       Rational[1, 2], 1], 
      Hue[0.1727736771448845, 
       Rational[1, 2], 1], 
      Hue[0.17335498356918527`, 
       Rational[1, 2], 1], 
      Hue[0.17335498356918527`, 
       Rational[1, 2], 1], 
      Hue[0.17393628999348615`, 
       Rational[1, 2], 1], 
      Hue[0.17393628999348615`, 
       Rational[1, 2], 1], 
      Hue[0.17451759641778689`, 
       Rational[1, 2], 1], 
      Hue[0.17451759641778689`, 
       Rational[1, 2], 1], 
      Hue[0.17509890284208765`, 
       Rational[1, 2], 1], 
      Hue[0.17509890284208765`, 
       Rational[1, 2], 1], 
      Hue[0.1756802092663884, 
       Rational[1, 2], 1], 
      Hue[0.1756802092663884, 
       Rational[1, 2], 1], 
      Hue[0.17626151569068912`, 
       Rational[1, 2], 1], 
      Hue[0.17626151569068912`, 
       Rational[1, 2], 1], 
      Hue[0.1768428221149899, 
       Rational[1, 2], 1], 
      Hue[0.1768428221149899, 
       Rational[1, 2], 1], 
      Hue[0.17742412853929063`, 
       Rational[1, 2], 1], 
      Hue[0.17742412853929063`, 
       Rational[1, 2], 1], 
      Hue[0.17800543496359136`, 
       Rational[1, 2], 1], 
      Hue[0.17800543496359136`, 
       Rational[1, 2], 1], 
      Hue[0.1785867413878921, 
       Rational[1, 2], 1], 
      Hue[0.1785867413878921, 
       Rational[1, 2], 1], 
      Hue[0.17974935423649374`, 
       Rational[1, 2], 1], 
      Hue[0.17974935423649374`, 
       Rational[1, 2], 1], 
      Hue[0.1803306606607945, 
       Rational[1, 2], 1], 
      Hue[0.1803306606607945, 
       Rational[1, 2], 1], 
      Hue[0.18091196708509538`, 
       Rational[1, 2], 1], 
      Hue[0.18091196708509538`, 
       Rational[1, 2], 1], 
      Hue[0.18207457993369688`, 
       Rational[1, 2], 1], 
      Hue[0.18207457993369688`, 
       Rational[1, 2], 1], 
      Hue[0.18265588635799762`, 
       Rational[1, 2], 1], 
      Hue[0.18265588635799762`, 
       Rational[1, 2], 1], 
      Hue[0.18323719278229836`, 
       Rational[1, 2], 1], 
      Hue[0.18323719278229836`, 
       Rational[1, 2], 1], 
      Hue[0.18439980563089986`, 
       Rational[1, 2], 1], 
      Hue[0.18439980563089986`, 
       Rational[1, 2], 1], 
      Hue[0.1849811120552006, 
       Rational[1, 2], 1], 
      Hue[0.1849811120552006, 
       Rational[1, 2], 1], 
      Hue[0.18556241847950136`, 
       Rational[1, 2], 1], 
      Hue[0.18556241847950136`, 
       Rational[1, 2], 1], 
      Hue[0.18672503132810297`, 
       Rational[1, 2], 1], 
      Hue[0.18672503132810297`, 
       Rational[1, 2], 1], 
      Hue[0.18905025702530612`, 
       Rational[1, 2], 1], 
      Hue[0.18905025702530612`, 
       Rational[1, 2], 1], 
      Hue[0.18963156344960685`, 
       Rational[1, 2], 1], 
      Hue[0.18963156344960685`, 
       Rational[1, 2], 1], 
      Hue[0.1902128698739076, 
       Rational[1, 2], 1], 
      Hue[0.1902128698739076, 
       Rational[1, 2], 1], 
      Hue[0.19137548272250923`, 
       Rational[1, 2], 1], 
      Hue[0.19137548272250923`, 
       Rational[1, 2], 1], 
      Hue[0.19370070841971235`, 
       Rational[1, 2], 1], 
      Hue[0.19370070841971235`, 
       Rational[1, 2], 1], 
      Hue[0.1942820148440131, 
       Rational[1, 2], 1], 
      Hue[0.1942820148440131, 
       Rational[1, 2], 1], 
      Hue[0.19486332126831385`, 
       Rational[1, 2], 1], 
      Hue[0.19486332126831385`, 
       Rational[1, 2], 1], 
      Hue[0.1960259341169155, 
       Rational[1, 2], 1], 
      Hue[0.1960259341169155, 
       Rational[1, 2], 1], 
      Hue[0.1983511598141186, 
       Rational[1, 2], 1], 
      Hue[0.1983511598141186, 
       Rational[1, 2], 1], 
      Hue[0.1989817362844781, 
       Rational[1, 2], 1], 
      Hue[0.1989817362844781, 
       Rational[1, 2], 1], 
      Hue[0.1996123127548376, 
       Rational[1, 2], 1], 
      Hue[0.1996123127548376, 
       Rational[1, 2], 1], 
      Hue[0.2008734656955566, 
       Rational[1, 2], 1], 
      Hue[0.2008734656955566, 
       Rational[1, 2], 1], 
      Hue[0.2033957715769946, 
       Rational[1, 2], 1], 
      Hue[0.2033957715769946, 
       Rational[1, 2], 1], 
      Hue[0.2040263480473541, 
       Rational[1, 2], 1], 
      Hue[0.2040263480473541, 
       Rational[1, 2], 1], 
      Hue[0.20465692451771358`, 
       Rational[1, 2], 1], 
      Hue[0.20465692451771358`, 
       Rational[1, 2], 1], 
      Hue[0.20591807745843257`, 
       Rational[1, 2], 1], 
      Hue[0.20591807745843257`, 
       Rational[1, 2], 1], 
      Hue[0.20844038333987058`, 
       Rational[1, 2], 1], 
      Hue[0.20844038333987058`, 
       Rational[1, 2], 1], 
      Hue[0.20907095981023008`, 
       Rational[1, 2], 1], 
      Hue[0.20907095981023008`, 
       Rational[1, 2], 1], 
      Hue[0.20970153628058957`, 
       Rational[1, 2], 1], 
      Hue[0.20970153628058957`, 
       Rational[1, 2], 1], 
      Hue[0.21096268922130856`, 
       Rational[1, 2], 1], 
      Hue[0.21096268922130856`, 
       Rational[1, 2], 1], 
      Hue[0.21348499510274654`, 
       Rational[1, 2], 1], 
      Hue[0.21348499510274654`, 
       Rational[1, 2], 1], 
      Hue[0.21852960686562253`, 
       Rational[1, 2], 1], 
      Hue[0.21852960686562253`, 
       Rational[1, 2], 1], 
      Hue[0.21916018333598203`, 
       Rational[1, 2], 1], 
      Hue[0.21916018333598203`, 
       Rational[1, 2], 1], 
      Hue[0.21979075980634152`, 
       Rational[1, 2], 1], 
      Hue[0.21979075980634152`, 
       Rational[1, 2], 1], 
      Hue[0.2210519127470605, 
       Rational[1, 2], 1], 
      Hue[0.2210519127470605, 
       Rational[1, 2], 1], 
      Hue[0.22357421862849852`, 
       Rational[1, 2], 1], 
      Hue[0.22357421862849852`, 
       Rational[1, 2], 1], 
      Hue[0.22861883039137448`, 
       Rational[1, 2], 1], 
      Hue[0.22861883039137448`, 
       Rational[1, 2], 1], 
      Hue[0.22924940686173398`, 
       Rational[1, 2], 1], 
      Hue[0.22924940686173398`, 
       Rational[1, 2], 1], 
      Hue[0.22987998333209347`, 
       Rational[1, 2], 1], 
      Hue[0.22987998333209347`, 
       Rational[1, 2], 1], 
      Hue[0.2311411362728125, 
       Rational[1, 2], 1], 
      Hue[0.2311411362728125, 
       Rational[1, 2], 1], 
      Hue[0.23366344215425047`, 
       Rational[1, 2], 1], 
      Hue[0.23366344215425047`, 
       Rational[1, 2], 1], 
      Hue[0.23870805391712646`, 
       Rational[1, 2], 1], 
      Hue[0.23870805391712646`, 
       Rational[1, 2], 1], 
      Hue[0.23929654874426995`, 
       Rational[1, 2], 1], 
      Hue[0.23929654874426995`, 
       Rational[1, 2], 1], 
      Hue[0.23988504357141346`, 
       Rational[1, 2], 1], 
      Hue[0.23988504357141346`, 
       Rational[1, 2], 1], 
      Hue[0.2410620332257006, 
       Rational[1, 2], 1], 
      Hue[0.2410620332257006, 
       Rational[1, 2], 1], 
      Hue[0.24341601253427475`, 
       Rational[1, 2], 1], 
      Hue[0.24341601253427475`, 
       Rational[1, 2], 1], 
      Hue[0.24400450736141824`, 
       Rational[1, 2], 1], 
      Hue[0.24400450736141824`, 
       Rational[1, 2], 1], 
      Hue[0.24459300218856173`, 
       Rational[1, 2], 1], 
      Hue[0.24459300218856173`, 
       Rational[1, 2], 1], 
      Hue[0.24576999184284887`, 
       Rational[1, 2], 1], 
      Hue[0.24576999184284887`, 
       Rational[1, 2], 1], 
      Hue[0.24635848666999252`, 
       Rational[1, 2], 1], 
      Hue[0.24635848666999252`, 
       Rational[1, 2], 1], 
      Hue[0.246946981497136, 
       Rational[1, 2], 1], 
      Hue[0.246946981497136, 
       Rational[1, 2], 1], 
      Hue[0.248123971151423, 
       Rational[1, 2], 1], 
      Hue[0.248123971151423, 
       Rational[1, 2], 1], 
      Hue[0.24871246597856653`, 
       Rational[1, 2], 1], 
      Hue[0.24871246597856653`, 
       Rational[1, 2], 1], 
      Hue[0.24930096080571001`, 
       Rational[1, 2], 1], 
      Hue[0.24930096080571001`, 
       Rational[1, 2], 1], 
      Hue[0.24988945563285353`, 
       Rational[1, 2], 1], 
      Hue[0.24988945563285353`, 
       Rational[1, 2], 1], 
      Hue[0.7504779504599972, 
       Rational[1, 2], 1], 
      Hue[0.7504779504599972, 
       Rational[1, 2], 1], 
      Hue[0.7510664452871407, 
       Rational[1, 2], 1], 
      Hue[0.7510664452871407, 
       Rational[1, 2], 1], 
      Hue[0.7516549401142842, 
       Rational[1, 2], 1], 
      Hue[0.7516549401142842, 
       Rational[1, 2], 1], 
      Hue[0.7528319297685713, 
       Rational[1, 2], 1], 
      Hue[0.7528319297685713, 
       Rational[1, 2], 1], 
      Hue[0.7534204245957148, 
       Rational[1, 2], 1], 
      Hue[0.7534204245957148, 
       Rational[1, 2], 1], 
      Hue[0.7540089194228583, 
       Rational[1, 2], 1], 
      Hue[0.7540089194228583, 
       Rational[1, 2], 1], 
      Hue[0.7551859090771453, 
       Rational[1, 2], 1], 
      Hue[0.7551859090771453, 
       Rational[1, 2], 1], 
      Hue[0.7575398883857194, 
       Rational[1, 2], 1], 
      Hue[0.7575398883857194, 
       Rational[1, 2], 1], 
      Hue[0.7581283832128631, 
       Rational[1, 2], 1], 
      Hue[0.7581283832128631, 
       Rational[1, 2], 1], 
      Hue[0.7587168780400065, 
       Rational[1, 2], 1], 
      Hue[0.7587168780400065, 
       Rational[1, 2], 1], 
      Hue[0.7598938676942936, 
       Rational[1, 2], 1], 
      Hue[0.7598938676942936, 
       Rational[1, 2], 1], 
      Hue[0.7622478470028675, 
       Rational[1, 2], 1], 
      Hue[0.7622478470028675, 
       Rational[1, 2], 1], 
      Hue[0.7669558056200159, 
       Rational[1, 2], 1], 
      Hue[0.7669558056200159, 
       Rational[1, 2], 1], 
      Hue[0.7763717228543123, 
       Rational[1, 2], 1], 
      Hue[0.7763717228543123, 
       Rational[1, 2], 1], 
      Hue[0.7770094877275147, 
       Rational[1, 2], 1], 
      Hue[0.7770094877275147, 
       Rational[1, 2], 1], 
      Hue[0.7776472526007169, 
       Rational[1, 2], 1], 
      Hue[0.7776472526007169, 
       Rational[1, 2], 1], 
      Hue[0.7789227823471214, 
       Rational[1, 2], 1], 
      Hue[0.7789227823471214, 
       Rational[1, 2], 1], 
      Hue[0.7814738418399304, 
       Rational[1, 2], 1], 
      Hue[0.7814738418399304, 
       Rational[1, 2], 1], 
      Hue[0.7865759608255485, 
       Rational[1, 2], 1], 
      Hue[0.7865759608255485, 
       Rational[1, 2], 1], 
      Hue[0.7967801987967844, 
       Rational[1, 2], 1], 
      Hue[0.7967801987967844, 
       Rational[1, 2], 1], 
      Hue[0.8171886747392565, 
       Rational[1, 2], 1], 
      Hue[0.8171886747392565, 
       Rational[1, 2], 1], 
      Hue[0.8178148085323343, 
       Rational[1, 2], 1], 
      Hue[0.8178148085323343, 
       Rational[1, 2], 1], 
      Hue[0.8184409423254122, 
       Rational[1, 2], 1], 
      Hue[0.8184409423254122, 
       Rational[1, 2], 1], 
      Hue[0.8196932099115679, 
       Rational[1, 2], 1], 
      Hue[0.8196932099115679, 
       Rational[1, 2], 1], 
      Hue[0.8221977450838792, 
       Rational[1, 2], 1], 
      Hue[0.8221977450838792, 
       Rational[1, 2], 1], 
      Hue[0.827206815428502, 
       Rational[1, 2], 1], 
      Hue[0.827206815428502, 
       Rational[1, 2], 1], 
      Hue[0.8372249561177476, 
       Rational[1, 2], 1], 
      Hue[0.8372249561177476, 
       Rational[1, 2], 1], 
      Hue[0.8378510899108255, 
       Rational[1, 2], 1], 
      Hue[0.8378510899108255, 
       Rational[1, 2], 1], 
      Hue[0.8384772237039033, 
       Rational[1, 2], 1], 
      Hue[0.8384772237039033, 
       Rational[1, 2], 1], 
      Hue[0.8397294912900589, 
       Rational[1, 2], 1], 
      Hue[0.8397294912900589, 
       Rational[1, 2], 1], 
      Hue[0.8422340264623704, 
       Rational[1, 2], 1], 
      Hue[0.8422340264623704, 
       Rational[1, 2], 1], 
      Hue[0.8472430968069933, 
       Rational[1, 2], 1], 
      Hue[0.8472430968069933, 
       Rational[1, 2], 1], 
      Hue[0.8572612374962388, 
       Rational[1, 2], 1], 
      Hue[0.8572612374962388, 
       Rational[1, 2], 1], 
      Hue[0.8578452896461009, 
       Rational[1, 2], 1], 
      Hue[0.8578452896461009, 
       Rational[1, 2], 1], 
      Hue[0.8584293417959626, 
       Rational[1, 2], 1], 
      Hue[0.8584293417959626, 
       Rational[1, 2], 1], 
      Hue[0.8595974460956863, 
       Rational[1, 2], 1], 
      Hue[0.8595974460956863, 
       Rational[1, 2], 1], 
      Hue[0.8619336546951339, 
       Rational[1, 2], 1], 
      Hue[0.8619336546951339, 
       Rational[1, 2], 1], 
      Hue[0.8666060718940289, 
       Rational[1, 2], 1], 
      Hue[0.8666060718940289, 
       Rational[1, 2], 1], 
      Hue[0.8671901240438908, 
       Rational[1, 2], 1], 
      Hue[0.8671901240438908, 
       Rational[1, 2], 1], 
      Hue[0.8677741761937527, 
       Rational[1, 2], 1], 
      Hue[0.8677741761937527, 
       Rational[1, 2], 1], 
      Hue[0.8689422804934764, 
       Rational[1, 2], 1], 
      Hue[0.8689422804934764, 
       Rational[1, 2], 1], 
      Hue[0.8712784890929239, 
       Rational[1, 2], 1], 
      Hue[0.8712784890929239, 
       Rational[1, 2], 1], 
      Hue[0.875950906291819, 
       Rational[1, 2], 1], 
      Hue[0.875950906291819, 
       Rational[1, 2], 1], 
      Hue[0.876534958441681, 
       Rational[1, 2], 1], 
      Hue[0.876534958441681, 
       Rational[1, 2], 1], 
      Hue[0.8771190105915427, 
       Rational[1, 2], 1], 
      Hue[0.8771190105915427, 
       Rational[1, 2], 1], 
      Hue[0.8782871148912667, 
       Rational[1, 2], 1], 
      Hue[0.8782871148912667, 
       Rational[1, 2], 1], 
      Hue[0.8806233234907141, 
       Rational[1, 2], 1], 
      Hue[0.8806233234907141, 
       Rational[1, 2], 1], 
      Hue[0.8812073756405759, 
       Rational[1, 2], 1], 
      Hue[0.8812073756405759, 
       Rational[1, 2], 1], 
      Hue[0.8817914277904378, 
       Rational[1, 2], 1], 
      Hue[0.8817914277904378, 
       Rational[1, 2], 1], 
      Hue[0.8829595320901616, 
       Rational[1, 2], 1], 
      Hue[0.8829595320901616, 
       Rational[1, 2], 1], 
      Hue[0.8852957406896091, 
       Rational[1, 2], 1], 
      Hue[0.8852957406896091, 
       Rational[1, 2], 1], 
      Hue[0.8858797928394709, 
       Rational[1, 2], 1], 
      Hue[0.8858797928394709, 
       Rational[1, 2], 1], 
      Hue[0.8864638449893328, 
       Rational[1, 2], 1], 
      Hue[0.8864638449893328, 
       Rational[1, 2], 1], 
      Hue[0.8876319492890566, 
       Rational[1, 2], 1], 
      Hue[0.8876319492890566, 
       Rational[1, 2], 1], 
      Hue[0.8882160014389185, 
       Rational[1, 2], 1], 
      Hue[0.8882160014389185, 
       Rational[1, 2], 1], 
      Hue[0.8888000535887804, 
       Rational[1, 2], 1], 
      Hue[0.8888000535887804, 
       Rational[1, 2], 1], 
      Hue[0.8899681578885041, 
       Rational[1, 2], 1], 
      Hue[0.8899681578885041, 
       Rational[1, 2], 1], 
      Hue[0.8905522100383662, 
       Rational[1, 2], 1], 
      Hue[0.8905522100383662, 
       Rational[1, 2], 1], 
      Hue[0.891136262188228, 
       Rational[1, 2], 1], 
      Hue[0.891136262188228, 
       Rational[1, 2], 1], 
      Hue[0.8923043664879518, 
       Rational[1, 2], 1], 
      Hue[0.8923043664879518, 
       Rational[1, 2], 1], 
      Hue[0.8928884186378137, 
       Rational[1, 2], 1], 
      Hue[0.8928884186378137, 
       Rational[1, 2], 1], 
      Hue[0.8934724707876754, 
       Rational[1, 2], 1], 
      Hue[0.8934724707876754, 
       Rational[1, 2], 1], 
      Hue[0.8946405750873992, 
       Rational[1, 2], 1], 
      Hue[0.8946405750873992, 
       Rational[1, 2], 1], 
      Hue[0.8952738972833199, 
       Rational[1, 2], 1], 
      Hue[0.8952738972833199, 
       Rational[1, 2], 1], 
      Hue[0.8959072194792405, 
       Rational[1, 2], 1], 
      Hue[0.8959072194792405, 
       Rational[1, 2], 1], 
      Hue[0.8965405416751611, 
       Rational[1, 2], 1], 
      Hue[0.8965405416751611, 
       Rational[1, 2], 1], 
      Hue[0.8971738638710816, 
       Rational[1, 2], 1], 
      Hue[0.8971738638710816, 
       Rational[1, 2], 1], 
      Hue[0.8978071860670023, 
       Rational[1, 2], 1], 
      Hue[0.8978071860670023, 
       Rational[1, 2], 1], 
      Hue[0.8984405082629228, 
       Rational[1, 2], 1], 
      Hue[0.8984405082629228, 
       Rational[1, 2], 1], 
      Hue[0.8990738304588434, 
       Rational[1, 2], 1], 
      Hue[0.8990738304588434, 
       Rational[1, 2], 1], 
      Hue[0.8997071526547641, 
       Rational[1, 2], 1], 
      Hue[0.8997071526547641, 
       Rational[1, 2], 1], 
      Hue[0.9003404748506847, 
       Rational[1, 2], 1], 
      Hue[0.9003404748506847, 
       Rational[1, 2], 1], 
      Hue[0.9009737970466053, 
       Rational[1, 2], 1], 
      Hue[0.9009737970466053, 
       Rational[1, 2], 1], 
      Hue[0.9016071192425259, 
       Rational[1, 2], 1], 
      Hue[0.9016071192425259, 
       Rational[1, 2], 1], 
      Hue[0.9022404414384465, 
       Rational[1, 2], 1], 
      Hue[0.9022404414384465, 
       Rational[1, 2], 1], 
      Hue[0.9028737636343671, 
       Rational[1, 2], 1], 
      Hue[0.9028737636343671, 
       Rational[1, 2], 1], 
      Hue[0.9035070858302877, 
       Rational[1, 2], 1], 
      Hue[0.9035070858302877, 
       Rational[1, 2], 1], 
      Hue[0.9041404080262083, 
       Rational[1, 2], 1], 
      Hue[0.9041404080262083, 
       Rational[1, 2], 1], 
      Hue[0.9047737302221288, 
       Rational[1, 2], 1], 
      Hue[0.9047737302221288, 
       Rational[1, 2], 1], 
      Hue[0.9054070524180494, 
       Rational[1, 2], 1], 
      Hue[0.9054070524180494, 
       Rational[1, 2], 1], 
      Hue[0.90604037461397, 
       Rational[1, 2], 1], 
      Hue[0.90604037461397, 
       Rational[1, 2], 1], 
      Hue[0.9066736968098906, 
       Rational[1, 2], 1], 
      Hue[0.9066736968098906, 
       Rational[1, 2], 1], 
      Hue[0.9073070190058112, 
       Rational[1, 2], 1], 
      Hue[0.9073070190058112, 
       Rational[1, 2], 1], 
      Hue[0.9079403412017318, 
       Rational[1, 2], 1], 
      Hue[0.9079403412017318, 
       Rational[1, 2], 1], 
      Hue[0.9085736633976524, 
       Rational[1, 2], 1], 
      Hue[0.9085736633976524, 
       Rational[1, 2], 1], 
      Hue[0.909206985593573, 
       Rational[1, 2], 1], 
      Hue[0.909206985593573, 
       Rational[1, 2], 1], 
      Hue[0.9098403077894937, 
       Rational[1, 2], 1], 
      Hue[0.9098403077894937, 
       Rational[1, 2], 1], 
      Hue[0.9104736299854144, 
       Rational[1, 2], 1], 
      Hue[0.9104736299854144, 
       Rational[1, 2], 1], 
      Hue[0.9111069521813349, 
       Rational[1, 2], 1], 
      Hue[0.9111069521813349, 
       Rational[1, 2], 1], 
      Hue[0.9117402743772555, 
       Rational[1, 2], 1], 
      Hue[0.9117402743772555, 
       Rational[1, 2], 1], 
      Hue[0.9123735965731761, 
       Rational[1, 2], 1], 
      Hue[0.9123735965731761, 
       Rational[1, 2], 1], 
      Hue[0.9130069187690967, 
       Rational[1, 2], 1], 
      Hue[0.9130069187690967, 
       Rational[1, 2], 1], 
      Hue[0.9136402409650173, 
       Rational[1, 2], 1], 
      Hue[0.9136402409650173, 
       Rational[1, 2], 1], 
      Hue[0.9149068853568585, 
       Rational[1, 2], 1], 
      Hue[0.9149068853568585, 
       Rational[1, 2], 1], 
      Hue[0.9155402075527791, 
       Rational[1, 2], 1], 
      Hue[0.9155402075527791, 
       Rational[1, 2], 1], 
      Hue[0.9161735297486997, 
       Rational[1, 2], 1], 
      Hue[0.9161735297486997, 
       Rational[1, 2], 1], 
      Hue[0.9174401741405408, 
       Rational[1, 2], 1], 
      Hue[0.9174401741405408, 
       Rational[1, 2], 1], 
      Hue[0.9180734963364614, 
       Rational[1, 2], 1], 
      Hue[0.9180734963364614, 
       Rational[1, 2], 1], 
      Hue[0.918706818532382, 
       Rational[1, 2], 1], 
      Hue[0.918706818532382, 
       Rational[1, 2], 1], 
      Hue[0.9199734629242233, 
       Rational[1, 2], 1], 
      Hue[0.9199734629242233, 
       Rational[1, 2], 1], 
      Hue[0.9206067851201439, 
       Rational[1, 2], 1], 
      Hue[0.9206067851201439, 
       Rational[1, 2], 1], 
      Hue[0.9212401073160645, 
       Rational[1, 2], 1], 
      Hue[0.9212401073160645, 
       Rational[1, 2], 1], 
      Hue[0.9225067517079057, 
       Rational[1, 2], 1], 
      Hue[0.9225067517079057, 
       Rational[1, 2], 1], 
      Hue[0.9250400404915881, 
       Rational[1, 2], 1], 
      Hue[0.9250400404915881, 
       Rational[1, 2], 1], 
      Hue[0.9256733626875087, 
       Rational[1, 2], 1], 
      Hue[0.9256733626875087, 
       Rational[1, 2], 1], 
      Hue[0.9263066848834293, 
       Rational[1, 2], 1], 
      Hue[0.9263066848834293, 
       Rational[1, 2], 1], 
      Hue[0.9275733292752705, 
       Rational[1, 2], 1], 
      Hue[0.9275733292752705, 
       Rational[1, 2], 1], 
      Hue[0.930106618058953, 
       Rational[1, 2], 1], 
      Hue[0.930106618058953, 
       Rational[1, 2], 1], 
      Hue[0.9307399402548735, 
       Rational[1, 2], 1], 
      Hue[0.9307399402548735, 
       Rational[1, 2], 1], 
      Hue[0.9313732624507941, 
       Rational[1, 2], 1], 
      Hue[0.9313732624507941, 
       Rational[1, 2], 1], 
      Hue[0.9326399068426353, 
       Rational[1, 2], 1], 
      Hue[0.9326399068426353, 
       Rational[1, 2], 1], 
      Hue[0.9351731956263177, 
       Rational[1, 2], 1], 
      Hue[0.9351731956263177, 
       Rational[1, 2], 1], 
      Hue[0.9357644361790224, 
       Rational[1, 2], 1], 
      Hue[0.9357644361790224, 
       Rational[1, 2], 1], 
      Hue[0.936355676731727, 
       Rational[1, 2], 1], 
      Hue[0.936355676731727, 
       Rational[1, 2], 1], 
      Hue[0.9375381578371363, 
       Rational[1, 2], 1], 
      Hue[0.9375381578371363, 
       Rational[1, 2], 1], 
      Hue[0.9399031200479548, 
       Rational[1, 2], 1], 
      Hue[0.9399031200479548, 
       Rational[1, 2], 1], 
      Hue[0.9404943606006595, 
       Rational[1, 2], 1], 
      Hue[0.9404943606006595, 
       Rational[1, 2], 1], 
      Hue[0.9410856011533641, 
       Rational[1, 2], 1], 
      Hue[0.9410856011533641, 
       Rational[1, 2], 1], 
      Hue[0.9422680822587733, 
       Rational[1, 2], 1], 
      Hue[0.9422680822587733, 
       Rational[1, 2], 1], 
      Hue[0.9446330444695918, 
       Rational[1, 2], 1], 
      Hue[0.9446330444695918, 
       Rational[1, 2], 1], 
      Hue[0.9452242850222965, 
       Rational[1, 2], 1], 
      Hue[0.9452242850222965, 
       Rational[1, 2], 1], 
      Hue[0.9458155255750011, 
       Rational[1, 2], 1], 
      Hue[0.9458155255750011, 
       Rational[1, 2], 1], 
      Hue[0.9469980066804105, 
       Rational[1, 2], 1], 
      Hue[0.9469980066804105, 
       Rational[1, 2], 1], 
      Hue[0.949362968891229, 
       Rational[1, 2], 1], 
      Hue[0.949362968891229, 
       Rational[1, 2], 1], 
      Hue[0.9540928933128661, 
       Rational[1, 2], 1], 
      Hue[0.9540928933128661, 
       Rational[1, 2], 1], 
      Hue[0.9546841338655707, 
       Rational[1, 2], 1], 
      Hue[0.9546841338655707, 
       Rational[1, 2], 1], 
      Hue[0.9552753744182754, 
       Rational[1, 2], 1], 
      Hue[0.9552753744182754, 
       Rational[1, 2], 1], 
      Hue[0.9564578555236847, 
       Rational[1, 2], 1], 
      Hue[0.9564578555236847, 
       Rational[1, 2], 1], 
      Hue[0.9588228177345032, 
       Rational[1, 2], 1], 
      Hue[0.9588228177345032, 
       Rational[1, 2], 1], 
      Hue[0.9635527421561403, 
       Rational[1, 2], 1], 
      Hue[0.9635527421561403, 
       Rational[1, 2], 1], 
      Hue[0.9730125909994145, 
       Rational[1, 2], 1], 
      Hue[0.9730125909994145, 
       Rational[1, 2], 1], 
      Hue[0.9735922004719948, 
       Rational[1, 2], 1], 
      Hue[0.9735922004719948, 
       Rational[1, 2], 1], 
      Hue[0.9741718099445751, 
       Rational[1, 2], 1], 
      Hue[0.9741718099445751, 
       Rational[1, 2], 1], 
      Hue[0.9753310288897354, 
       Rational[1, 2], 1], 
      Hue[0.9753310288897354, 
       Rational[1, 2], 1], 
      Hue[0.9776494667800564, 
       Rational[1, 2], 1], 
      Hue[0.9776494667800564, 
       Rational[1, 2], 1], 
      Hue[0.9822863425606982, 
       Rational[1, 2], 1], 
      Hue[0.9822863425606982, 
       Rational[1, 2], 1], 
      Hue[0.9828659520332785, 
       Rational[1, 2], 1], 
      Hue[0.9828659520332785, 
       Rational[1, 2], 1], 
      Hue[0.9834455615058587, 
       Rational[1, 2], 1], 
      Hue[0.9834455615058587, 
       Rational[1, 2], 1], 
      Hue[0.9846047804510192, 
       Rational[1, 2], 1], 
      Hue[0.9846047804510192, 
       Rational[1, 2], 1], 
      Hue[0.9869232183413401, 
       Rational[1, 2], 1], 
      Hue[0.9869232183413401, 
       Rational[1, 2], 1], 
      Hue[0.991560094121982, 
       Rational[1, 2], 1], 
      Hue[0.991560094121982, 
       Rational[1, 2], 1], 
      Hue[0.9921397035945623, 
       Rational[1, 2], 1], 
      Hue[0.9921397035945623, 
       Rational[1, 2], 1], 
      Hue[0.9927193130671425, 
       Rational[1, 2], 1], 
      Hue[0.9927193130671425, 
       Rational[1, 2], 1], 
      Hue[0.9938785320123029, 
       Rational[1, 2], 1], 
      Hue[0.9938785320123029, 
       Rational[1, 2], 1], 
      Hue[0.9944581414848832, 
       Rational[1, 2], 1], 
      Hue[0.9944581414848832, 
       Rational[1, 2], 1], 
      Hue[0.9950377509574634, 
       Rational[1, 2], 1], 
      Hue[0.9950377509574634, 
       Rational[1, 2], 1], 
      Hue[0.9961969699026239, 
       Rational[1, 2], 1], 
      Hue[0.9961969699026239, 
       Rational[1, 2], 1], 
      Hue[0.996776579375204, 
       Rational[1, 2], 1], 
      Hue[0.996776579375204, 
       Rational[1, 2], 1], 
      Hue[0.9973561888477843, 
       Rational[1, 2], 1], 
      Hue[0.9973561888477843, 
       Rational[1, 2], 1], 
      Hue[0.9979357983203645, 
       Rational[1, 2], 1], 
      Hue[0.9979357983203645, 
       Rational[1, 2], 1], 
      Hue[0.9985154077929448, 
       Rational[1, 2], 1], 
      Hue[0.9985154077929448, 
       Rational[1, 2], 1], 
      Hue[0.999095017265525, 
       Rational[1, 2], 1], 
      Hue[0.999095017265525, 
       Rational[1, 2], 1], 
      Hue[0.9996746267381051, 
       Rational[1, 2], 1], 
      Hue[0.9996746267381051, 
       Rational[1, 2], 1], 
      Hue[0.5002542362106854, 
       Rational[1, 2], 1], 
      Hue[0.5002542362106854, 
       Rational[1, 2], 1], 
      Hue[0.5008338456832657, 
       Rational[1, 2], 1], 
      Hue[0.5008338456832657, 
       Rational[1, 2], 1], 
      Hue[0.5014134551558459, 
       Rational[1, 2], 1], 
      Hue[0.5014134551558459, 
       Rational[1, 2], 1], 
      Hue[0.5019930646284262, 
       Rational[1, 2], 1], 
      Hue[0.5019930646284262, 
       Rational[1, 2], 1], 
      Hue[0.5031522835735867, 
       Rational[1, 2], 1], 
      Hue[0.5031522835735867, 
       Rational[1, 2], 1], 
      Hue[0.5054707214639076, 
       Rational[1, 2], 1], 
      Hue[0.5054707214639076, 
       Rational[1, 2], 1], 
      Hue[0.5101075972445495, 
       Rational[1, 2], 1], 
      Hue[0.5101075972445495, 
       Rational[1, 2], 1], 
      Hue[0.5107364767631885, 
       Rational[1, 2], 1], 
      Hue[0.5107364767631885, 
       Rational[1, 2], 1], 
      Hue[0.5113653562818274, 
       Rational[1, 2], 1], 
      Hue[0.5113653562818274, 
       Rational[1, 2], 1], 
      Hue[0.5126231153191052, 
       Rational[1, 2], 1], 
      Hue[0.5126231153191052, 
       Rational[1, 2], 1], 
      Hue[0.5151386333936612, 
       Rational[1, 2], 1], 
      Hue[0.5151386333936612, 
       Rational[1, 2], 1], 
      Hue[0.5201696695427727, 
       Rational[1, 2], 1], 
      Hue[0.5201696695427727, 
       Rational[1, 2], 1], 
      Hue[0.530231741840996, 
       Rational[1, 2], 1], 
      Hue[0.530231741840996, 
       Rational[1, 2], 1], 
      Hue[0.5503558864374425, 
       Rational[1, 2], 1], 
      Hue[0.5503558864374425, 
       Rational[1, 2], 1], 
      Hue[0.5509426843128655, 
       Rational[1, 2], 1], 
      Hue[0.5509426843128655, 
       Rational[1, 2], 1], 
      Hue[0.5515294821882883, 
       Rational[1, 2], 1], 
      Hue[0.5515294821882883, 
       Rational[1, 2], 1], 
      Hue[0.5527030779391344, 
       Rational[1, 2], 1], 
      Hue[0.5527030779391344, 
       Rational[1, 2], 1], 
      Hue[0.5550502694408264, 
       Rational[1, 2], 1], 
      Hue[0.5550502694408264, 
       Rational[1, 2], 1], 
      Hue[0.5597446524442103, 
       Rational[1, 2], 1], 
      Hue[0.5597446524442103, 
       Rational[1, 2], 1], 
      Hue[0.5691334184509782, 
       Rational[1, 2], 1], 
      Hue[0.5691334184509782, 
       Rational[1, 2], 1], 
      Hue[0.5697202163264011, 
       Rational[1, 2], 1], 
      Hue[0.5697202163264011, 
       Rational[1, 2], 1], 
      Hue[0.5703070142018241, 
       Rational[1, 2], 1], 
      Hue[0.5703070142018241, 
       Rational[1, 2], 1], 
      Hue[0.5714806099526701, 
       Rational[1, 2], 1], 
      Hue[0.5714806099526701, 
       Rational[1, 2], 1], 
      Hue[0.5738278014543621, 
       Rational[1, 2], 1], 
      Hue[0.5738278014543621, 
       Rational[1, 2], 1], 
      Hue[0.578522184457746, 
       Rational[1, 2], 1], 
      Hue[0.578522184457746, 
       Rational[1, 2], 1], 
      Hue[0.5879109504645137, 
       Rational[1, 2], 1], 
      Hue[0.5879109504645137, 
       Rational[1, 2], 1], 
      Hue[0.5885470183859953, 
       Rational[1, 2], 1], 
      Hue[0.5885470183859953, 
       Rational[1, 2], 1], 
      Hue[0.5891830863074771, 
       Rational[1, 2], 1], 
      Hue[0.5891830863074771, 
       Rational[1, 2], 1], 
      Hue[0.5904552221504404, 
       Rational[1, 2], 1], 
      Hue[0.5904552221504404, 
       Rational[1, 2], 1], 
      Hue[0.5929994938363673, 
       Rational[1, 2], 1], 
      Hue[0.5929994938363673, 
       Rational[1, 2], 1], 
      Hue[0.5980880372082211, 
       Rational[1, 2], 1], 
      Hue[0.5980880372082211, 
       Rational[1, 2], 1], 
      Hue[0.5987241051297028, 
       Rational[1, 2], 1], 
      Hue[0.5987241051297028, 
       Rational[1, 2], 1], 
      Hue[0.5993601730511844, 
       Rational[1, 2], 1], 
      Hue[0.5993601730511844, 
       Rational[1, 2], 1], 
      Hue[0.6006323088941479, 
       Rational[1, 2], 1], 
      Hue[0.6006323088941479, 
       Rational[1, 2], 1], 
      Hue[0.6031765805800747, 
       Rational[1, 2], 1], 
      Hue[0.6031765805800747, 
       Rational[1, 2], 1], 
      Hue[0.6082651239519283, 
       Rational[1, 2], 1], 
      Hue[0.6082651239519283, 
       Rational[1, 2], 1], 
      Hue[0.60890119187341, 
       Rational[1, 2], 1], 
      Hue[0.60890119187341, 
       Rational[1, 2], 1], 
      Hue[0.6095372597948917, 
       Rational[1, 2], 1], 
      Hue[0.6095372597948917, 
       Rational[1, 2], 1], 
      Hue[0.6108093956378553, 
       Rational[1, 2], 1], 
      Hue[0.6108093956378553, 
       Rational[1, 2], 1], 
      Hue[0.6133536673237819, 
       Rational[1, 2], 1], 
      Hue[0.6133536673237819, 
       Rational[1, 2], 1], 
      Hue[0.6139897352452637, 
       Rational[1, 2], 1], 
      Hue[0.6139897352452637, 
       Rational[1, 2], 1], 
      Hue[0.6146258031667454, 
       Rational[1, 2], 1], 
      Hue[0.6146258031667454, 
       Rational[1, 2], 1], 
      Hue[0.6158979390097088, 
       Rational[1, 2], 1], 
      Hue[0.6158979390097088, 
       Rational[1, 2], 1], 
      Hue[0.6184422106956357, 
       Rational[1, 2], 1], 
      Hue[0.6184422106956357, 
       Rational[1, 2], 1], 
      Hue[0.6190782786171174, 
       Rational[1, 2], 1], 
      Hue[0.6190782786171174, 
       Rational[1, 2], 1], 
      Hue[0.619714346538599, 
       Rational[1, 2], 1], 
      Hue[0.619714346538599, 
       Rational[1, 2], 1], 
      Hue[0.6209864823815625, 
       Rational[1, 2], 1], 
      Hue[0.6209864823815625, 
       Rational[1, 2], 1], 
      Hue[0.6216225503030441, 
       Rational[1, 2], 1], 
      Hue[0.6216225503030441, 
       Rational[1, 2], 1], 
      Hue[0.622258618224526, 
       Rational[1, 2], 1], 
      Hue[0.622258618224526, 
       Rational[1, 2], 1], 
      Hue[0.6235307540674894, 
       Rational[1, 2], 1], 
      Hue[0.6235307540674894, 
       Rational[1, 2], 1], 
      Hue[0.6241668219889711, 
       Rational[1, 2], 1], 
      Hue[0.6241668219889711, 
       Rational[1, 2], 1], 
      Hue[0.6248028899104527, 
       Rational[1, 2], 1], 
      Hue[0.6248028899104527, 
       Rational[1, 2], 1], 
      Hue[0.6260750257534162, 
       Rational[1, 2], 1], 
      Hue[0.6260750257534162, 
       Rational[1, 2], 1], 
      Hue[0.6267110936748979, 
       Rational[1, 2], 1], 
      Hue[0.6267110936748979, 
       Rational[1, 2], 1], 
      Hue[0.6273471615963796, 
       Rational[1, 2], 1], 
      Hue[0.6273471615963796, 
       Rational[1, 2], 1], 
      Hue[0.628619297439343, 
       Rational[1, 2], 1], 
      Hue[0.628619297439343, 
       Rational[1, 2], 1], 
      Hue[0.6292437342807002, 
       Rational[1, 2], 1], 
      Hue[0.6292437342807002, 
       Rational[1, 2], 1], 
      Hue[0.6298681711220575, 
       Rational[1, 2], 1], 
      Hue[0.6298681711220575, 
       Rational[1, 2], 1], 
      Hue[0.6311170448047723, 
       Rational[1, 2], 1], 
      Hue[0.6311170448047723, 
       Rational[1, 2], 1], 
      Hue[0.6317414816461295, 
       Rational[1, 2], 1], 
      Hue[0.6317414816461295, 
       Rational[1, 2], 1], 
      Hue[0.6323659184874868, 
       Rational[1, 2], 1], 
      Hue[0.6323659184874868, 
       Rational[1, 2], 1], 
      Hue[0.6336147921702014, 
       Rational[1, 2], 1], 
      Hue[0.6336147921702014, 
       Rational[1, 2], 1], 
      Hue[0.6342392290115587, 
       Rational[1, 2], 1], 
      Hue[0.6342392290115587, 
       Rational[1, 2], 1], 
      Hue[0.6348636658529161, 
       Rational[1, 2], 1], 
      Hue[0.6348636658529161, 
       Rational[1, 2], 1], 
      Hue[0.6354881026942734, 
       Rational[1, 2], 1], 
      Hue[0.6354881026942734, 
       Rational[1, 2], 1], 
      Hue[0.6361125395356306, 
       Rational[1, 2], 1], 
      Hue[0.6361125395356306, 
       Rational[1, 2], 1], 
      Hue[0.6367369763769879, 
       Rational[1, 2], 1], 
      Hue[0.6367369763769879, 
       Rational[1, 2], 1], 
      Hue[0.6373614132183453, 
       Rational[1, 2], 1], 
      Hue[0.6373614132183453, 
       Rational[1, 2], 1], 
      Hue[0.6379858500597027, 
       Rational[1, 2], 1], 
      Hue[0.6379858500597027, 
       Rational[1, 2], 1], 
      Hue[0.6386102869010599, 
       Rational[1, 2], 1], 
      Hue[0.6386102869010599, 
       Rational[1, 2], 1], 
      Hue[0.6392347237424172, 
       Rational[1, 2], 1], 
      Hue[0.6392347237424172, 
       Rational[1, 2], 1], 
      Hue[0.6398591605837745, 
       Rational[1, 2], 1], 
      Hue[0.6398591605837745, 
       Rational[1, 2], 1], 
      Hue[0.6404835974251318, 
       Rational[1, 2], 1], 
      Hue[0.6404835974251318, 
       Rational[1, 2], 1], 
      Hue[0.6411080342664891, 
       Rational[1, 2], 1], 
      Hue[0.6411080342664891, 
       Rational[1, 2], 1], 
      Hue[0.6417324711078464, 
       Rational[1, 2], 1], 
      Hue[0.6417324711078464, 
       Rational[1, 2], 1], 
      Hue[0.6423569079492037, 
       Rational[1, 2], 1], 
      Hue[0.6423569079492037, 
       Rational[1, 2], 1], 
      Hue[0.642981344790561, 
       Rational[1, 2], 1], 
      Hue[0.642981344790561, 
       Rational[1, 2], 1], 
      Hue[0.6436057816319183, 
       Rational[1, 2], 1], 
      Hue[0.6436057816319183, 
       Rational[1, 2], 1], 
      Hue[0.6442302184732756, 
       Rational[1, 2], 1], 
      Hue[0.6442302184732756, 
       Rational[1, 2], 1], 
      Hue[0.6448546553146329, 
       Rational[1, 2], 1], 
      Hue[0.6448546553146329, 
       Rational[1, 2], 1], 
      Hue[0.6454790921559903, 
       Rational[1, 2], 1], 
      Hue[0.6454790921559903, 
       Rational[1, 2], 1], 
      Hue[0.6461035289973476, 
       Rational[1, 2], 1], 
      Hue[0.6461035289973476, 
       Rational[1, 2], 1], 
      Hue[0.6467279658387048, 
       Rational[1, 2], 1], 
      Hue[0.6467279658387048, 
       Rational[1, 2], 1], 
      Hue[0.6473524026800621, 
       Rational[1, 2], 1], 
      Hue[0.6473524026800621, 
       Rational[1, 2], 1], 
      Hue[0.6479768395214194, 
       Rational[1, 2], 1], 
      Hue[0.6479768395214194, 
       Rational[1, 2], 1], 
      Hue[0.6486012763627766, 
       Rational[1, 2], 1], 
      Hue[0.6486012763627766, 
       Rational[1, 2], 1], 
      Hue[0.649225713204134, 
       Rational[1, 2], 1], 
      Hue[0.649225713204134, 
       Rational[1, 2], 1], 
      Hue[0.6498501500454913, 
       Rational[1, 2], 1], 
      Hue[0.6498501500454913, 
       Rational[1, 2], 1], 
      Hue[0.6504745868868487, 
       Rational[1, 2], 1], 
      Hue[0.6504745868868487, 
       Rational[1, 2], 1], 
      Hue[0.6510990237282059, 
       Rational[1, 2], 1], 
      Hue[0.6510990237282059, 
       Rational[1, 2], 1], 
      Hue[0.6517234605695632, 
       Rational[1, 2], 1], 
      Hue[0.6517234605695632, 
       Rational[1, 2], 1], 
      Hue[0.6523478974109205, 
       Rational[1, 2], 1], 
      Hue[0.6523478974109205, 
       Rational[1, 2], 1], 
      Hue[0.653596771093635, 
       Rational[1, 2], 1], 
      Hue[0.653596771093635, 
       Rational[1, 2], 1], 
      Hue[0.6542212079349923, 
       Rational[1, 2], 1], 
      Hue[0.6542212079349923, 
       Rational[1, 2], 1], 
      Hue[0.6548456447763498, 
       Rational[1, 2], 1], 
      Hue[0.6548456447763498, 
       Rational[1, 2], 1], 
      Hue[0.6560945184590643, 
       Rational[1, 2], 1], 
      Hue[0.6560945184590643, 
       Rational[1, 2], 1], 
      Hue[0.6567189553004216, 
       Rational[1, 2], 1], 
      Hue[0.6567189553004216, 
       Rational[1, 2], 1], 
      Hue[0.657343392141779, 
       Rational[1, 2], 1], 
      Hue[0.657343392141779, 
       Rational[1, 2], 1], 
      Hue[0.6585922658244936, 
       Rational[1, 2], 1], 
      Hue[0.6585922658244936, 
       Rational[1, 2], 1], 
      Hue[0.6592167026658509, 
       Rational[1, 2], 1], 
      Hue[0.6592167026658509, 
       Rational[1, 2], 1], 
      Hue[0.6598411395072081, 
       Rational[1, 2], 1], 
      Hue[0.6598411395072081, 
       Rational[1, 2], 1], 
      Hue[0.6610900131899228, 
       Rational[1, 2], 1], 
      Hue[0.6610900131899228, 
       Rational[1, 2], 1], 
      Hue[0.663587760555352, 
       Rational[1, 2], 1], 
      Hue[0.663587760555352, 
       Rational[1, 2], 1], 
      Hue[0.6642121973967092, 
       Rational[1, 2], 1], 
      Hue[0.6642121973967092, 
       Rational[1, 2], 1], 
      Hue[0.6648366342380666, 
       Rational[1, 2], 1], 
      Hue[0.6648366342380666, 
       Rational[1, 2], 1], 
      Hue[0.6660855079207813, 
       Rational[1, 2], 1], 
      Hue[0.6660855079207813, 
       Rational[1, 2], 1], 
      Hue[0.6685832552862104, 
       Rational[1, 2], 1], 
      Hue[0.6685832552862104, 
       Rational[1, 2], 1], 
      Hue[0.6691656104843519, 
       Rational[1, 2], 1], 
      Hue[0.6691656104843519, 
       Rational[1, 2], 1], 
      Hue[0.6697479656824932, 
       Rational[1, 2], 1], 
      Hue[0.6697479656824932, 
       Rational[1, 2], 1], 
      Hue[0.6709126760787758, 
       Rational[1, 2], 1], 
      Hue[0.6709126760787758, 
       Rational[1, 2], 1], 
      Hue[0.6732420968713412, 
       Rational[1, 2], 1], 
      Hue[0.6732420968713412, 
       Rational[1, 2], 1], 
      Hue[0.6738244520694825, 
       Rational[1, 2], 1], 
      Hue[0.6738244520694825, 
       Rational[1, 2], 1], 
      Hue[0.6744068072676239, 
       Rational[1, 2], 1], 
      Hue[0.6744068072676239, 
       Rational[1, 2], 1], 
      Hue[0.6755715176639066, 
       Rational[1, 2], 1], 
      Hue[0.6755715176639066, 
       Rational[1, 2], 1], 
      Hue[0.6779009384564719, 
       Rational[1, 2], 1], 
      Hue[0.6779009384564719, 
       Rational[1, 2], 1], 
      Hue[0.6784832936546132, 
       Rational[1, 2], 1], 
      Hue[0.6784832936546132, 
       Rational[1, 2], 1], 
      Hue[0.6790656488527546, 
       Rational[1, 2], 1], 
      Hue[0.6790656488527546, 
       Rational[1, 2], 1], 
      Hue[0.6802303592490373, 
       Rational[1, 2], 1], 
      Hue[0.6802303592490373, 
       Rational[1, 2], 1], 
      Hue[0.6825597800416026, 
       Rational[1, 2], 1], 
      Hue[0.6825597800416026, 
       Rational[1, 2], 1], 
      Hue[0.6872186216267333, 
       Rational[1, 2], 1], 
      Hue[0.6872186216267333, 
       Rational[1, 2], 1], 
      Hue[0.6878009768248747, 
       Rational[1, 2], 1], 
      Hue[0.6878009768248747, 
       Rational[1, 2], 1], 
      Hue[0.6883833320230159, 
       Rational[1, 2], 1], 
      Hue[0.6883833320230159, 
       Rational[1, 2], 1], 
      Hue[0.6895480424192988, 
       Rational[1, 2], 1], 
      Hue[0.6895480424192988, 
       Rational[1, 2], 1], 
      Hue[0.691877463211864, 
       Rational[1, 2], 1], 
      Hue[0.691877463211864, 
       Rational[1, 2], 1], 
      Hue[0.6965363047969948, 
       Rational[1, 2], 1], 
      Hue[0.6965363047969948, 
       Rational[1, 2], 1], 
      Hue[0.7058539879672563, 
       Rational[1, 2], 1], 
      Hue[0.7058539879672563, 
       Rational[1, 2], 1], 
      Hue[0.7064856132114563, 
       Rational[1, 2], 1], 
      Hue[0.7064856132114563, 
       Rational[1, 2], 1], 
      Hue[0.7071172384556563, 
       Rational[1, 2], 1], 
      Hue[0.7071172384556563, 
       Rational[1, 2], 1], 
      Hue[0.7083804889440565, 
       Rational[1, 2], 1], 
      Hue[0.7083804889440565, 
       Rational[1, 2], 1], 
      Hue[0.7109069899208567, 
       Rational[1, 2], 1], 
      Hue[0.7109069899208567, 
       Rational[1, 2], 1], 
      Hue[0.7159599918744572, 
       Rational[1, 2], 1], 
      Hue[0.7159599918744572, 
       Rational[1, 2], 1], 
      Hue[0.7260659957816582, 
       Rational[1, 2], 1], 
      Hue[0.7260659957816582, 
       Rational[1, 2], 1], 
      Hue[0.7266976210258582, 
       Rational[1, 2], 1], 
      Hue[0.7266976210258582, 
       Rational[1, 2], 1], 
      Hue[0.7273292462700582, 
       Rational[1, 2], 1], 
      Hue[0.7273292462700582, 
       Rational[1, 2], 1], 
      Hue[0.7285924967584583, 
       Rational[1, 2], 1], 
      Hue[0.7285924967584583, 
       Rational[1, 2], 1], 
      Hue[0.7311189977352586, 
       Rational[1, 2], 1], 
      Hue[0.7311189977352586, 
       Rational[1, 2], 1], 
      Hue[0.736171999688859, 
       Rational[1, 2], 1], 
      Hue[0.736171999688859, 
       Rational[1, 2], 1], 
      Hue[0.7368036249330592, 
       Rational[1, 2], 1], 
      Hue[0.7368036249330592, 
       Rational[1, 2], 1], 
      Hue[0.7374352501772592, 
       Rational[1, 2], 1], 
      Hue[0.7374352501772592, 
       Rational[1, 2], 1], 
      Hue[0.7386985006656592, 
       Rational[1, 2], 1], 
      Hue[0.7386985006656592, 
       Rational[1, 2], 1], 
      Hue[0.7412250016424595, 
       Rational[1, 2], 1], 
      Hue[0.7412250016424595, 
       Rational[1, 2], 1], 
      Hue[0.7418566268866595, 
       Rational[1, 2], 1], 
      Hue[0.7418566268866595, 
       Rational[1, 2], 1], 
      Hue[0.7424882521308597, 
       Rational[1, 2], 1], 
      Hue[0.7424882521308597, 
       Rational[1, 2], 1], 
      Hue[0.7437515026192598, 
       Rational[1, 2], 1], 
      Hue[0.7437515026192598, 
       Rational[1, 2], 1], 
      Hue[0.74627800359606, 
       Rational[1, 2], 1], 
      Hue[0.74627800359606, 
       Rational[1, 2], 1], 
      Hue[0.7468675471970441, 
       Rational[1, 2], 1], 
      Hue[0.7468675471970441, 
       Rational[1, 2], 1], 
      Hue[0.7474570907980282, 
       Rational[1, 2], 1], 
      Hue[0.7474570907980282, 
       Rational[1, 2], 1], 
      Hue[0.7480466343990123, 
       Rational[1, 2], 1], 
      Hue[0.7480466343990123, 
       Rational[1, 2], 1], 
      Hue[0.7486361779999964, 
       Rational[1, 2], 1], 
      Hue[0.7486361779999964, 
       Rational[1, 2], 1], 
      Hue[0.7492257216009806, 
       Rational[1, 2], 1], 
      Hue[0.7492257216009806, 
       Rational[1, 2], 1], 
      Hue[0.7498152652019646, 
       Rational[1, 2], 1], 
      Hue[0.7498152652019646, 
       Rational[1, 2], 1], 
      Hue[0.2504048088029487, 
       Rational[1, 2], 1], 
      Hue[0.2504048088029487, 
       Rational[1, 2], 1], 
      Hue[0.25099435240393275`, 
       Rational[1, 2], 1], 
      Hue[0.25099435240393275`, 
       Rational[1, 2], 1], 
      Hue[0.2515838960049168, 
       Rational[1, 2], 1], 
      Hue[0.2515838960049168, 
       Rational[1, 2], 1], 
      Hue[0.2521734396059009, 
       Rational[1, 2], 1], 
      Hue[0.2521734396059009, 
       Rational[1, 2], 1], 
      Hue[0.2533525268078691, 
       Rational[1, 2], 1], 
      Hue[0.2533525268078691, 
       Rational[1, 2], 1], 
      Hue[0.2557107012118055, 
       Rational[1, 2], 1], 
      Hue[0.2557107012118055, 
       Rational[1, 2], 1], 
      Hue[0.2563002448127896, 
       Rational[1, 2], 1], 
      Hue[0.2563002448127896, 
       Rational[1, 2], 1], 
      Hue[0.2568897884137737, 
       Rational[1, 2], 1], 
      Hue[0.2568897884137737, 
       Rational[1, 2], 1], 
      Hue[0.2580688756157419, 
       Rational[1, 2], 1], 
      Hue[0.2580688756157419, 
       Rational[1, 2], 1], 
      Hue[0.26042705001967825`, 
       Rational[1, 2], 1], 
      Hue[0.26042705001967825`, 
       Rational[1, 2], 1], 
      Hue[0.265143398827551, 
       Rational[1, 2], 1], 
      Hue[0.265143398827551, 
       Rational[1, 2], 1], 
      Hue[0.2657329424285351, 
       Rational[1, 2], 1], 
      Hue[0.2657329424285351, 
       Rational[1, 2], 1], 
      Hue[0.2663224860295192, 
       Rational[1, 2], 1], 
      Hue[0.2663224860295192, 
       Rational[1, 2], 1], 
      Hue[0.2675015732314874, 
       Rational[1, 2], 1], 
      Hue[0.2675015732314874, 
       Rational[1, 2], 1], 
      Hue[0.26985974763542375`, 
       Rational[1, 2], 1], 
      Hue[0.26985974763542375`, 
       Rational[1, 2], 1], 
      Hue[0.2745760964432965, 
       Rational[1, 2], 1], 
      Hue[0.2745760964432965, 
       Rational[1, 2], 1], 
      Hue[0.28400879405904206`, 
       Rational[1, 2], 1], 
      Hue[0.28400879405904206`, 
       Rational[1, 2], 1], 
      Hue[0.2846476077060849, 
       Rational[1, 2], 1], 
      Hue[0.2846476077060849, 
       Rational[1, 2], 1], 
      Hue[0.28528642135312765`, 
       Rational[1, 2], 1], 
      Hue[0.28528642135312765`, 
       Rational[1, 2], 1], 
      Hue[0.2865640486472133, 
       Rational[1, 2], 1], 
      Hue[0.2865640486472133, 
       Rational[1, 2], 1], 
      Hue[0.28911930323538454`, 
       Rational[1, 2], 1], 
      Hue[0.28911930323538454`, 
       Rational[1, 2], 1], 
      Hue[0.294229812411727, 
       Rational[1, 2], 1], 
      Hue[0.294229812411727, 
       Rational[1, 2], 1], 
      Hue[0.3044508307644121, 
       Rational[1, 2], 1], 
      Hue[0.3044508307644121, 
       Rational[1, 2], 1], 
      Hue[0.3050896444114549, 
       Rational[1, 2], 1], 
      Hue[0.3050896444114549, 
       Rational[1, 2], 1], 
      Hue[0.3057284580584977, 
       Rational[1, 2], 1], 
      Hue[0.3057284580584977, 
       Rational[1, 2], 1], 
      Hue[0.30700608535258334`, 
       Rational[1, 2], 1], 
      Hue[0.30700608535258334`, 
       Rational[1, 2], 1], 
      Hue[0.3095613399407546, 
       Rational[1, 2], 1], 
      Hue[0.3095613399407546, 
       Rational[1, 2], 1], 
      Hue[0.3146718491170971, 
       Rational[1, 2], 1], 
      Hue[0.3146718491170971, 
       Rational[1, 2], 1], 
      Hue[0.32489286746978213`, 
       Rational[1, 2], 1], 
      Hue[0.32489286746978213`, 
       Rational[1, 2], 1], 
      Hue[0.3255200500367006, 
       Rational[1, 2], 1], 
      Hue[0.3255200500367006, 
       Rational[1, 2], 1], 
      Hue[0.32614723260361894`, 
       Rational[1, 2], 1], 
      Hue[0.32614723260361894`, 
       Rational[1, 2], 1], 
      Hue[0.3274015977374558, 
       Rational[1, 2], 1], 
      Hue[0.3274015977374558, 
       Rational[1, 2], 1], 
      Hue[0.3299103280051294, 
       Rational[1, 2], 1], 
      Hue[0.3299103280051294, 
       Rational[1, 2], 1], 
      Hue[0.3349277885404768, 
       Rational[1, 2], 1], 
      Hue[0.3349277885404768, 
       Rational[1, 2], 1], 
      Hue[0.33555497110739513`, 
       Rational[1, 2], 1], 
      Hue[0.33555497110739513`, 
       Rational[1, 2], 1], 
      Hue[0.3361821536743136, 
       Rational[1, 2], 1], 
      Hue[0.3361821536743136, 
       Rational[1, 2], 1], 
      Hue[0.33743651880815034`, 
       Rational[1, 2], 1], 
      Hue[0.33743651880815034`, 
       Rational[1, 2], 1], 
      Hue[0.33994524907582396`, 
       Rational[1, 2], 1], 
      Hue[0.33994524907582396`, 
       Rational[1, 2], 1], 
      Hue[0.3449627096111713, 
       Rational[1, 2], 1], 
      Hue[0.3449627096111713, 
       Rational[1, 2], 1], 
      Hue[0.34558989217808966`, 
       Rational[1, 2], 1], 
      Hue[0.34558989217808966`, 
       Rational[1, 2], 1], 
      Hue[0.3462170747450081, 
       Rational[1, 2], 1], 
      Hue[0.3462170747450081, 
       Rational[1, 2], 1], 
      Hue[0.34747143987884493`, 
       Rational[1, 2], 1], 
      Hue[0.34747143987884493`, 
       Rational[1, 2], 1], 
      Hue[0.34998017014651855`, 
       Rational[1, 2], 1], 
      Hue[0.34998017014651855`, 
       Rational[1, 2], 1], 
      Hue[0.350607352713437, 
       Rational[1, 2], 1], 
      Hue[0.350607352713437, 
       Rational[1, 2], 1], 
      Hue[0.35123453528035536`, 
       Rational[1, 2], 1], 
      Hue[0.35123453528035536`, 
       Rational[1, 2], 1], 
      Hue[0.35248890041419223`, 
       Rational[1, 2], 1], 
      Hue[0.35248890041419223`, 
       Rational[1, 2], 1], 
      Hue[0.35499763068186585`, 
       Rational[1, 2], 1], 
      Hue[0.35499763068186585`, 
       Rational[1, 2], 1], 
      Hue[0.3556248132487843, 
       Rational[1, 2], 1], 
      Hue[0.3556248132487843, 
       Rational[1, 2], 1], 
      Hue[0.35625199581570266`, 
       Rational[1, 2], 1], 
      Hue[0.35625199581570266`, 
       Rational[1, 2], 1], 
      Hue[0.35750636094953947`, 
       Rational[1, 2], 1], 
      Hue[0.35750636094953947`, 
       Rational[1, 2], 1], 
      Hue[0.358133543516458, 
       Rational[1, 2], 1], 
      Hue[0.358133543516458, 
       Rational[1, 2], 1], 
      Hue[0.35876072608337634`, 
       Rational[1, 2], 1], 
      Hue[0.35876072608337634`, 
       Rational[1, 2], 1], 
      Hue[0.36001509121721315`, 
       Rational[1, 2], 1], 
      Hue[0.36001509121721315`, 
       Rational[1, 2], 1], 
      Hue[0.36064227378413155`, 
       Rational[1, 2], 1], 
      Hue[0.36064227378413155`, 
       Rational[1, 2], 1], 
      Hue[0.3612694563510499, 
       Rational[1, 2], 1], 
      Hue[0.3612694563510499, 
       Rational[1, 2], 1], 
      Hue[0.3625238214848868, 
       Rational[1, 2], 1], 
      Hue[0.3625238214848868, 
       Rational[1, 2], 1], 
      Hue[0.36315100405180517`, 
       Rational[1, 2], 1], 
      Hue[0.36315100405180517`, 
       Rational[1, 2], 1], 
      Hue[0.3637781866187237, 
       Rational[1, 2], 1], 
      Hue[0.3637781866187237, 
       Rational[1, 2], 1], 
      Hue[0.3650325517525604, 
       Rational[1, 2], 1], 
      Hue[0.3650325517525604, 
       Rational[1, 2], 1], 
      Hue[0.3656176526762629, 
       Rational[1, 2], 1], 
      Hue[0.3656176526762629, 
       Rational[1, 2], 1], 
      Hue[0.36620275359996535`, 
       Rational[1, 2], 1], 
      Hue[0.36620275359996535`, 
       Rational[1, 2], 1], 
      Hue[0.3673729554473702, 
       Rational[1, 2], 1], 
      Hue[0.3673729554473702, 
       Rational[1, 2], 1], 
      Hue[0.36795805637107265`, 
       Rational[1, 2], 1], 
      Hue[0.36795805637107265`, 
       Rational[1, 2], 1], 
      Hue[0.3685431572947751, 
       Rational[1, 2], 1], 
      Hue[0.3685431572947751, 
       Rational[1, 2], 1], 
      Hue[0.36971335914218006`, 
       Rational[1, 2], 1], 
      Hue[0.36971335914218006`, 
       Rational[1, 2], 1], 
      Hue[0.37029846006588246`, 
       Rational[1, 2], 1], 
      Hue[0.37029846006588246`, 
       Rational[1, 2], 1], 
      Hue[0.3708835609895849, 
       Rational[1, 2], 1], 
      Hue[0.3708835609895849, 
       Rational[1, 2], 1], 
      Hue[0.37146866191328737`, 
       Rational[1, 2], 1], 
      Hue[0.37146866191328737`, 
       Rational[1, 2], 1], 
      Hue[0.3720537628369898, 
       Rational[1, 2], 1], 
      Hue[0.3720537628369898, 
       Rational[1, 2], 1], 
      Hue[0.3726388637606922, 
       Rational[1, 2], 1], 
      Hue[0.3726388637606922, 
       Rational[1, 2], 1], 
      Hue[0.37322396468439467`, 
       Rational[1, 2], 1], 
      Hue[0.37322396468439467`, 
       Rational[1, 2], 1], 
      Hue[0.3738090656080971, 
       Rational[1, 2], 1], 
      Hue[0.3738090656080971, 
       Rational[1, 2], 1], 
      Hue[0.3743941665317996, 
       Rational[1, 2], 1], 
      Hue[0.3743941665317996, 
       Rational[1, 2], 1], 
      Hue[0.3749792674555021, 
       Rational[1, 2], 1], 
      Hue[0.3749792674555021, 
       Rational[1, 2], 1], 
      Hue[0.3755643683792044, 
       Rational[1, 2], 1], 
      Hue[0.3755643683792044, 
       Rational[1, 2], 1], 
      Hue[0.3761494693029069, 
       Rational[1, 2], 1], 
      Hue[0.3761494693029069, 
       Rational[1, 2], 1], 
      Hue[0.3767345702266093, 
       Rational[1, 2], 1], 
      Hue[0.3767345702266093, 
       Rational[1, 2], 1], 
      Hue[0.3773196711503118, 
       Rational[1, 2], 1], 
      Hue[0.3773196711503118, 
       Rational[1, 2], 1], 
      Hue[0.37790477207401424`, 
       Rational[1, 2], 1], 
      Hue[0.37790477207401424`, 
       Rational[1, 2], 1], 
      Hue[0.3784898729977167, 
       Rational[1, 2], 1], 
      Hue[0.3784898729977167, 
       Rational[1, 2], 1], 
      Hue[0.37907497392141914`, 
       Rational[1, 2], 1], 
      Hue[0.37907497392141914`, 
       Rational[1, 2], 1], 
      Hue[0.37966007484512154`, 
       Rational[1, 2], 1], 
      Hue[0.37966007484512154`, 
       Rational[1, 2], 1], 
      Hue[0.380245175768824, 
       Rational[1, 2], 1], 
      Hue[0.380245175768824, 
       Rational[1, 2], 1], 
      Hue[0.38083027669252645`, 
       Rational[1, 2], 1], 
      Hue[0.38083027669252645`, 
       Rational[1, 2], 1], 
      Hue[0.38141537761622896`, 
       Rational[1, 2], 1], 
      Hue[0.38141537761622896`, 
       Rational[1, 2], 1], 
      Hue[0.3820004785399313, 
       Rational[1, 2], 1], 
      Hue[0.3820004785399313, 
       Rational[1, 2], 1], 
      Hue[0.3825855794636338, 
       Rational[1, 2], 1], 
      Hue[0.3825855794636338, 
       Rational[1, 2], 1], 
      Hue[0.38317068038733626`, 
       Rational[1, 2], 1], 
      Hue[0.38317068038733626`, 
       Rational[1, 2], 1], 
      Hue[0.3837557813110387, 
       Rational[1, 2], 1], 
      Hue[0.3837557813110387, 
       Rational[1, 2], 1], 
      Hue[0.38434088223474117`, 
       Rational[1, 2], 1], 
      Hue[0.38434088223474117`, 
       Rational[1, 2], 1], 
      Hue[0.38492598315844356`, 
       Rational[1, 2], 1], 
      Hue[0.38492598315844356`, 
       Rational[1, 2], 1], 
      Hue[0.385511084082146, 
       Rational[1, 2], 1], 
      Hue[0.385511084082146, 
       Rational[1, 2], 1], 
      Hue[0.38609618500584847`, 
       Rational[1, 2], 1], 
      Hue[0.38609618500584847`, 
       Rational[1, 2], 1], 
      Hue[0.386681285929551, 
       Rational[1, 2], 1], 
      Hue[0.386681285929551, 
       Rational[1, 2], 1], 
      Hue[0.3872663868532533, 
       Rational[1, 2], 1], 
      Hue[0.3872663868532533, 
       Rational[1, 2], 1], 
      Hue[0.3884365887006583, 
       Rational[1, 2], 1], 
      Hue[0.3884365887006583, 
       Rational[1, 2], 1], 
      Hue[0.38902168962436073`, 
       Rational[1, 2], 1], 
      Hue[0.38902168962436073`, 
       Rational[1, 2], 1], 
      Hue[0.38960679054806313`, 
       Rational[1, 2], 1], 
      Hue[0.38960679054806313`, 
       Rational[1, 2], 1], 
      Hue[0.39077699239546804`, 
       Rational[1, 2], 1], 
      Hue[0.39077699239546804`, 
       Rational[1, 2], 1], 
      Hue[0.3913620933191705, 
       Rational[1, 2], 1], 
      Hue[0.3913620933191705, 
       Rational[1, 2], 1], 
      Hue[0.3919471942428729, 
       Rational[1, 2], 1], 
      Hue[0.3919471942428729, 
       Rational[1, 2], 1], 
      Hue[0.39311739609027785`, 
       Rational[1, 2], 1], 
      Hue[0.39311739609027785`, 
       Rational[1, 2], 1], 
      Hue[0.39370249701398025`, 
       Rational[1, 2], 1], 
      Hue[0.39370249701398025`, 
       Rational[1, 2], 1], 
      Hue[0.39428759793768275`, 
       Rational[1, 2], 1], 
      Hue[0.39428759793768275`, 
       Rational[1, 2], 1], 
      Hue[0.3954577997850876, 
       Rational[1, 2], 1], 
      Hue[0.3954577997850876, 
       Rational[1, 2], 1], 
      Hue[0.39779820347989736`, 
       Rational[1, 2], 1], 
      Hue[0.39779820347989736`, 
       Rational[1, 2], 1], 
      Hue[0.3983833044035998, 
       Rational[1, 2], 1], 
      Hue[0.3983833044035998, 
       Rational[1, 2], 1], 
      Hue[0.3989684053273023, 
       Rational[1, 2], 1], 
      Hue[0.3989684053273023, 
       Rational[1, 2], 1], 
      Hue[0.4001386071747072, 
       Rational[1, 2], 1], 
      Hue[0.4001386071747072, 
       Rational[1, 2], 1], 
      Hue[0.40247901086951693`, 
       Rational[1, 2], 1], 
      Hue[0.40247901086951693`, 
       Rational[1, 2], 1], 
      Hue[0.40311338183927814`, 
       Rational[1, 2], 1], 
      Hue[0.40311338183927814`, 
       Rational[1, 2], 1], 
      Hue[0.40374775280903924`, 
       Rational[1, 2], 1], 
      Hue[0.40374775280903924`, 
       Rational[1, 2], 1], 
      Hue[0.4050164947485616, 
       Rational[1, 2], 1], 
      Hue[0.4050164947485616, 
       Rational[1, 2], 1], 
      Hue[0.40755397862760623`, 
       Rational[1, 2], 1], 
      Hue[0.40755397862760623`, 
       Rational[1, 2], 1], 
      Hue[0.40818834959736744`, 
       Rational[1, 2], 1], 
      Hue[0.40818834959736744`, 
       Rational[1, 2], 1], 
      Hue[0.4088227205671286, 
       Rational[1, 2], 1], 
      Hue[0.4088227205671286, 
       Rational[1, 2], 1], 
      Hue[0.4100914625066509, 
       Rational[1, 2], 1], 
      Hue[0.4100914625066509, 
       Rational[1, 2], 1], 
      Hue[0.41262894638569564`, 
       Rational[1, 2], 1], 
      Hue[0.41262894638569564`, 
       Rational[1, 2], 1], 
      Hue[0.41326331735545674`, 
       Rational[1, 2], 1], 
      Hue[0.41326331735545674`, 
       Rational[1, 2], 1], 
      Hue[0.41389768832521795`, 
       Rational[1, 2], 1], 
      Hue[0.41389768832521795`, 
       Rational[1, 2], 1], 
      Hue[0.41516643026474026`, 
       Rational[1, 2], 1], 
      Hue[0.41516643026474026`, 
       Rational[1, 2], 1], 
      Hue[0.41770391414378494`, 
       Rational[1, 2], 1], 
      Hue[0.41770391414378494`, 
       Rational[1, 2], 1], 
      Hue[0.42277888190187424`, 
       Rational[1, 2], 1], 
      Hue[0.42277888190187424`, 
       Rational[1, 2], 1], 
      Hue[0.4234132528716354, 
       Rational[1, 2], 1], 
      Hue[0.4234132528716354, 
       Rational[1, 2], 1], 
      Hue[0.4240476238413966, 
       Rational[1, 2], 1], 
      Hue[0.4240476238413966, 
       Rational[1, 2], 1], 
      Hue[0.4253163657809189, 
       Rational[1, 2], 1], 
      Hue[0.4253163657809189, 
       Rational[1, 2], 1], 
      Hue[0.4278538496599636, 
       Rational[1, 2], 1], 
      Hue[0.4278538496599636, 
       Rational[1, 2], 1], 
      Hue[0.4329288174180529, 
       Rational[1, 2], 1], 
      Hue[0.4329288174180529, 
       Rational[1, 2], 1], 
      Hue[0.44307875293423155`, 
       Rational[1, 2], 1], 
      Hue[0.44307875293423155`, 
       Rational[1, 2], 1], 
      Hue[0.4436710422607767, 
       Rational[1, 2], 1], 
      Hue[0.4436710422607767, 
       Rational[1, 2], 1], 
      Hue[0.4442633315873219, 
       Rational[1, 2], 1], 
      Hue[0.4442633315873219, 
       Rational[1, 2], 1], 
      Hue[0.44544791024041236`, 
       Rational[1, 2], 1], 
      Hue[0.44544791024041236`, 
       Rational[1, 2], 1], 
      Hue[0.4478170675465931, 
       Rational[1, 2], 1], 
      Hue[0.4478170675465931, 
       Rational[1, 2], 1], 
      Hue[0.45255538215895474`, 
       Rational[1, 2], 1], 
      Hue[0.45255538215895474`, 
       Rational[1, 2], 1], 
      Hue[0.46203201138367794`, 
       Rational[1, 2], 1], 
      Hue[0.46203201138367794`, 
       Rational[1, 2], 1], 
      Hue[0.46262430071022315`, 
       Rational[1, 2], 1], 
      Hue[0.46262430071022315`, 
       Rational[1, 2], 1], 
      Hue[0.46321659003676835`, 
       Rational[1, 2], 1], 
      Hue[0.46321659003676835`, 
       Rational[1, 2], 1], 
      Hue[0.46440116868985876`, 
       Rational[1, 2], 1], 
      Hue[0.46440116868985876`, 
       Rational[1, 2], 1], 
      Hue[0.46677032599603957`, 
       Rational[1, 2], 1], 
      Hue[0.46677032599603957`, 
       Rational[1, 2], 1], 
      Hue[0.4715086406084011, 
       Rational[1, 2], 1], 
      Hue[0.4715086406084011, 
       Rational[1, 2], 1], 
      Hue[0.48098526983312434`, 
       Rational[1, 2], 1], 
      Hue[0.48098526983312434`, 
       Rational[1, 2], 1], 
      Hue[0.4815659280795452, 
       Rational[1, 2], 1], 
      Hue[0.4815659280795452, 
       Rational[1, 2], 1], 
      Hue[0.48214658632596596`, 
       Rational[1, 2], 1], 
      Hue[0.48214658632596596`, 
       Rational[1, 2], 1], 
      Hue[0.48330790281880753`, 
       Rational[1, 2], 1], 
      Hue[0.48330790281880753`, 
       Rational[1, 2], 1], 
      Hue[0.48563053580449067`, 
       Rational[1, 2], 1], 
      Hue[0.48563053580449067`, 
       Rational[1, 2], 1], 
      Hue[0.4902758017758571, 
       Rational[1, 2], 1], 
      Hue[0.4902758017758571, 
       Rational[1, 2], 1], 
      Hue[0.4908564600222779, 
       Rational[1, 2], 1], 
      Hue[0.4908564600222779, 
       Rational[1, 2], 1], 
      Hue[0.4914371182686987, 
       Rational[1, 2], 1], 
      Hue[0.4914371182686987, 
       Rational[1, 2], 1], 
      Hue[0.4925984347615403, 
       Rational[1, 2], 1], 
      Hue[0.4925984347615403, 
       Rational[1, 2], 1], 
      Hue[0.4949210677472235, 
       Rational[1, 2], 1], 
      Hue[0.4949210677472235, 
       Rational[1, 2], 1], 
      Hue[0.4955017259936443, 
       Rational[1, 2], 1], 
      Hue[0.4955017259936443, 
       Rational[1, 2], 1], 
      Hue[0.49608238424006507`, 
       Rational[1, 2], 1], 
      Hue[0.49608238424006507`, 
       Rational[1, 2], 1], 
      Hue[0.4972437007329067, 
       Rational[1, 2], 1], 
      Hue[0.4972437007329067, 
       Rational[1, 2], 1], 
      Hue[0.4978243589793275, 
       Rational[1, 2], 1], 
      Hue[0.4978243589793275, 
       Rational[1, 2], 1], 
      Hue[0.4984050172257482, 
       Rational[1, 2], 1], 
      Hue[0.4984050172257482, 
       Rational[1, 2], 1], 
      Hue[0.4989856754721691, 
       Rational[1, 2], 1], 
      Hue[0.4989856754721691, 
       Rational[1, 2], 1], 
      Hue[0.4995663337185899, 
       Rational[1, 2], 1], 
      Hue[0.4995663337185899, 
       Rational[1, 2], 1], 
      Hue[0.00014699196501062852`, 
       Rational[1, 2], 1], 
      Hue[0.00014699196501062852`, 
       Rational[1, 2], 1], 
      Hue[0.0007276502114314253, 
       Rational[1, 2], 1], 
      Hue[0.0007276502114314253, 
       Rational[1, 2], 1], 
      Hue[0.0013083084578522225`, 
       Rational[1, 2], 1], 
      Hue[0.0013083084578522225`, 
       Rational[1, 2], 1], 
      Hue[0.0018889667042730185`, 
       Rational[1, 2], 1], 
      Hue[0.0018889667042730185`, 
       Rational[1, 2], 1], 
      Hue[0.002469624950693816, 
       Rational[1, 2], 1], 
      Hue[0.002469624950693816, 
       Rational[1, 2], 1], 
      Hue[0.0030502831971146124`, 
       Rational[1, 2], 1], 
      Hue[0.0030502831971146124`, 
       Rational[1, 2], 1], 
      Hue[0.004211599689956207, 
       Rational[1, 2], 1], 
      Hue[0.004211599689956207, 
       Rational[1, 2], 1], 
      Hue[0.004792257936377003, 
       Rational[1, 2], 1], 
      Hue[0.004792257936377003, 
       Rational[1, 2], 1], 
      Hue[0.0053729161827978, 
       Rational[1, 2], 1], 
      Hue[0.0053729161827978, 
       Rational[1, 2], 1], 
      Hue[0.006534232675639393, 
       Rational[1, 2], 1], 
      Hue[0.006534232675639393, 
       Rational[1, 2], 1], 
      Hue[0.008856865661322582, 
       Rational[1, 2], 1], 
      Hue[0.008856865661322582, 
       Rational[1, 2], 1], 
      Hue[0.01814739760405533, 
       Rational[1, 2], 1], 
      Hue[0.01814739760405533, 
       Rational[1, 2], 1], 
      Hue[0.018777325896534847`, 
       Rational[1, 2], 1], 
      Hue[0.018777325896534847`, 
       Rational[1, 2], 1], 
      Hue[0.019407254189014365`, 
       Rational[1, 2], 1], 
      Hue[0.019407254189014365`, 
       Rational[1, 2], 1], 
      Hue[0.02066711077397339, 
       Rational[1, 2], 1], 
      Hue[0.02066711077397339, 
       Rational[1, 2], 1], 
      Hue[0.02318682394389146, 
       Rational[1, 2], 1], 
      Hue[0.02318682394389146, 
       Rational[1, 2], 1], 
      Hue[0.028226250283727602`, 
       Rational[1, 2], 1], 
      Hue[0.028226250283727602`, 
       Rational[1, 2], 1], 
      Hue[0.03830510296339987, 
       Rational[1, 2], 1], 
      Hue[0.03830510296339987, 
       Rational[1, 2], 1], 
      Hue[0.038935031255879375`, 
       Rational[1, 2], 1], 
      Hue[0.038935031255879375`, 
       Rational[1, 2], 1], 
      Hue[0.0395649595483589, 
       Rational[1, 2], 1], 
      Hue[0.0395649595483589, 
       Rational[1, 2], 1], 
      Hue[0.04082481613331793, 
       Rational[1, 2], 1], 
      Hue[0.04082481613331793, 
       Rational[1, 2], 1], 
      Hue[0.04334452930323598, 
       Rational[1, 2], 1], 
      Hue[0.04334452930323598, 
       Rational[1, 2], 1], 
      Hue[0.04838395564307213, 
       Rational[1, 2], 1], 
      Hue[0.04838395564307213, 
       Rational[1, 2], 1], 
      Hue[0.0584628083227444, 
       Rational[1, 2], 1], 
      Hue[0.0584628083227444, 
       Rational[1, 2], 1], 
      Hue[0.059050654972007954`, 
       Rational[1, 2], 1], 
      Hue[0.059050654972007954`, 
       Rational[1, 2], 1], 
      Hue[0.059638501621271496`, 
       Rational[1, 2], 1], 
      Hue[0.059638501621271496`, 
       Rational[1, 2], 1], 
      Hue[0.0608141949197986, 
       Rational[1, 2], 1], 
      Hue[0.0608141949197986, 
       Rational[1, 2], 1], 
      Hue[0.06316558151685281, 
       Rational[1, 2], 1], 
      Hue[0.06316558151685281, 
       Rational[1, 2], 1], 
      Hue[0.06786835471096121, 
       Rational[1, 2], 1], 
      Hue[0.06786835471096121, 
       Rational[1, 2], 1], 
      Hue[0.06845620136022479, 
       Rational[1, 2], 1], 
      Hue[0.06845620136022479, 
       Rational[1, 2], 1], 
      Hue[0.06904404800948832, 
       Rational[1, 2], 1], 
      Hue[0.06904404800948832, 
       Rational[1, 2], 1], 
      Hue[0.07021974130801543, 
       Rational[1, 2], 1], 
      Hue[0.07021974130801543, 
       Rational[1, 2], 1], 
      Hue[0.07257112790506963, 
       Rational[1, 2], 1], 
      Hue[0.07257112790506963, 
       Rational[1, 2], 1], 
      Hue[0.07727390109917805, 
       Rational[1, 2], 1], 
      Hue[0.07727390109917805, 
       Rational[1, 2], 1], 
      Hue[0.0778617477484416, 
       Rational[1, 2], 1], 
      Hue[0.0778617477484416, 
       Rational[1, 2], 1], 
      Hue[0.07844959439770514, 
       Rational[1, 2], 1], 
      Hue[0.07844959439770514, 
       Rational[1, 2], 1], 
      Hue[0.07962528769623224, 
       Rational[1, 2], 1], 
      Hue[0.07962528769623224, 
       Rational[1, 2], 1], 
      Hue[0.08197667429328645, 
       Rational[1, 2], 1], 
      Hue[0.08197667429328645, 
       Rational[1, 2], 1], 
      Hue[0.08256452094255001, 
       Rational[1, 2], 1], 
      Hue[0.08256452094255001, 
       Rational[1, 2], 1], 
      Hue[0.08315236759181358, 
       Rational[1, 2], 1], 
      Hue[0.08315236759181358, 
       Rational[1, 2], 1], 
      Hue[0.08432806089034067, 
       Rational[1, 2], 1], 
      Hue[0.08432806089034067, 
       Rational[1, 2], 1], 
      Hue[0.08667944748739487, 
       Rational[1, 2], 1], 
      Hue[0.08667944748739487, 
       Rational[1, 2], 1], 
      Hue[0.08726729413665844, 
       Rational[1, 2], 1], 
      Hue[0.08726729413665844, 
       Rational[1, 2], 1], 
      Hue[0.08785514078592199, 
       Rational[1, 2], 1], 
      Hue[0.08785514078592199, 
       Rational[1, 2], 1], 
      Hue[0.08903083408444905, 
       Rational[1, 2], 1], 
      Hue[0.08903083408444905, 
       Rational[1, 2], 1], 
      Hue[0.09138222068150328, 
       Rational[1, 2], 1], 
      Hue[0.09138222068150328, 
       Rational[1, 2], 1], 
      Hue[0.09197006733076682, 
       Rational[1, 2], 1], 
      Hue[0.09197006733076682, 
       Rational[1, 2], 1], 
      Hue[0.09255791398003038, 
       Rational[1, 2], 1], 
      Hue[0.09255791398003038, 
       Rational[1, 2], 1], 
      Hue[0.0937336072785575, 
       Rational[1, 2], 1], 
      Hue[0.0937336072785575, 
       Rational[1, 2], 1], 
      Hue[0.09608499387561169, 
       Rational[1, 2], 1], 
      Hue[0.09608499387561169, 
       Rational[1, 2], 1], 
      Hue[0.09672211057093397, 
       Rational[1, 2], 1], 
      Hue[0.09672211057093397, 
       Rational[1, 2], 1], 
      Hue[0.09735922726625623, 
       Rational[1, 2], 1], 
      Hue[0.09735922726625623, 
       Rational[1, 2], 1], 
      Hue[0.09863346065690079, 
       Rational[1, 2], 1], 
      Hue[0.09863346065690079, 
       Rational[1, 2], 1], 
      Hue[0.09927057735222307, 
       Rational[1, 2], 1], 
      Hue[0.09927057735222307, 
       Rational[1, 2], 1], 
      Hue[0.09990769404754532, 
       Rational[1, 2], 1], 
      Hue[0.09990769404754532, 
       Rational[1, 2], 1], 
      Hue[0.10118192743818986`, 
       Rational[1, 2], 1], 
      Hue[0.10118192743818986`, 
       Rational[1, 2], 1], 
      Hue[0.10181904413351212`, 
       Rational[1, 2], 1], 
      Hue[0.10181904413351212`, 
       Rational[1, 2], 1], 
      Hue[0.1024561608288344, 
       Rational[1, 2], 1], 
      Hue[0.1024561608288344, 
       Rational[1, 2], 1], 
      Hue[0.10309327752415666`, 
       Rational[1, 2], 1], 
      Hue[0.10309327752415666`, 
       Rational[1, 2], 1], 
      Hue[0.10373039421947897`, 
       Rational[1, 2], 1], 
      Hue[0.10373039421947897`, 
       Rational[1, 2], 1], 
      Hue[0.10436751091480122`, 
       Rational[1, 2], 1], 
      Hue[0.10436751091480122`, 
       Rational[1, 2], 1], 
      Hue[0.10500462761012351`, 
       Rational[1, 2], 1], 
      Hue[0.10500462761012351`, 
       Rational[1, 2], 1], 
      Hue[0.10564174430544576`, 
       Rational[1, 2], 1], 
      Hue[0.10564174430544576`, 
       Rational[1, 2], 1], 
      Hue[0.10627886100076801`, 
       Rational[1, 2], 1], 
      Hue[0.10627886100076801`, 
       Rational[1, 2], 1], 
      Hue[0.10691597769609029`, 
       Rational[1, 2], 1], 
      Hue[0.10691597769609029`, 
       Rational[1, 2], 1], 
      Hue[0.10755309439141256`, 
       Rational[1, 2], 1], 
      Hue[0.10755309439141256`, 
       Rational[1, 2], 1], 
      Hue[0.10819021108673486`, 
       Rational[1, 2], 1], 
      Hue[0.10819021108673486`, 
       Rational[1, 2], 1], 
      Hue[0.10882732778205713`, 
       Rational[1, 2], 1], 
      Hue[0.10882732778205713`, 
       Rational[1, 2], 1], 
      Hue[0.10946444447737937`, 
       Rational[1, 2], 1], 
      Hue[0.10946444447737937`, 
       Rational[1, 2], 1], 
      Hue[0.11010156117270167`, 
       Rational[1, 2], 1], 
      Hue[0.11010156117270167`, 
       Rational[1, 2], 1], 
      Hue[0.11073867786802392`, 
       Rational[1, 2], 1], 
      Hue[0.11073867786802392`, 
       Rational[1, 2], 1], 
      Hue[0.11137579456334618`, 
       Rational[1, 2], 1], 
      Hue[0.11137579456334618`, 
       Rational[1, 2], 1], 
      Hue[0.11201291125866848`, 
       Rational[1, 2], 1], 
      Hue[0.11201291125866848`, 
       Rational[1, 2], 1], 
      Hue[0.11265002795399072`, 
       Rational[1, 2], 1], 
      Hue[0.11265002795399072`, 
       Rational[1, 2], 1], 
      Hue[0.11328714464931301`, 
       Rational[1, 2], 1], 
      Hue[0.11328714464931301`, 
       Rational[1, 2], 1], 
      Hue[0.11392426134463525`, 
       Rational[1, 2], 1], 
      Hue[0.11392426134463525`, 
       Rational[1, 2], 1], 
      Hue[0.11456137803995754`, 
       Rational[1, 2], 1], 
      Hue[0.11456137803995754`, 
       Rational[1, 2], 1], 
      Hue[0.11519849473527982`, 
       Rational[1, 2], 1], 
      Hue[0.11519849473527982`, 
       Rational[1, 2], 1], 
      Hue[0.11583561143060209`, 
       Rational[1, 2], 1], 
      Hue[0.11583561143060209`, 
       Rational[1, 2], 1], 
      Hue[0.11647272812592438`, 
       Rational[1, 2], 1], 
      Hue[0.11647272812592438`, 
       Rational[1, 2], 1], 
      Hue[0.11710984482124662`, 
       Rational[1, 2], 1], 
      Hue[0.11710984482124662`, 
       Rational[1, 2], 1], 
      Hue[0.11774696151656887`, 
       Rational[1, 2], 1], 
      Hue[0.11774696151656887`, 
       Rational[1, 2], 1], 
      Hue[0.11838407821189117`, 
       Rational[1, 2], 1], 
      Hue[0.11838407821189117`, 
       Rational[1, 2], 1], 
      Hue[0.11902119490721341`, 
       Rational[1, 2], 1], 
      Hue[0.11902119490721341`, 
       Rational[1, 2], 1], 
      Hue[0.1196583116025357, 
       Rational[1, 2], 1], 
      Hue[0.1196583116025357, 
       Rational[1, 2], 1], 
      Hue[0.12029542829785798`, 
       Rational[1, 2], 1], 
      Hue[0.12029542829785798`, 
       Rational[1, 2], 1], 
      Hue[0.1215696616885025, 
       Rational[1, 2], 1], 
      Hue[0.1215696616885025, 
       Rational[1, 2], 1], 
      Hue[0.12220677838382481`, 
       Rational[1, 2], 1], 
      Hue[0.12220677838382481`, 
       Rational[1, 2], 1], 
      Hue[0.12284389507914709`, 
       Rational[1, 2], 1], 
      Hue[0.12284389507914709`, 
       Rational[1, 2], 1], 
      Hue[0.12411812846979163`, 
       Rational[1, 2], 1], 
      Hue[0.12411812846979163`, 
       Rational[1, 2], 1], 
      Hue[0.12475524516511388`, 
       Rational[1, 2], 1], 
      Hue[0.12475524516511388`, 
       Rational[1, 2], 1], 
      Hue[0.12539236186043612`, 
       Rational[1, 2], 1], 
      Hue[0.12539236186043612`, 
       Rational[1, 2], 1], 
      Hue[0.1266665952510807, 
       Rational[1, 2], 1], 
      Hue[0.1266665952510807, 
       Rational[1, 2], 1], 
      Hue[0.12730371194640294`, 
       Rational[1, 2], 1], 
      Hue[0.12730371194640294`, 
       Rational[1, 2], 1], 
      Hue[0.12794082864172526`, 
       Rational[1, 2], 1], 
      Hue[0.12794082864172526`, 
       Rational[1, 2], 1], 
      Hue[0.1292150620323698, 
       Rational[1, 2], 1], 
      Hue[0.1292150620323698, 
       Rational[1, 2], 1], 
      Hue[0.12985217872769209`, 
       Rational[1, 2], 1], 
      Hue[0.12985217872769209`, 
       Rational[1, 2], 1], 
      Hue[0.13048929542301432`, 
       Rational[1, 2], 1], 
      Hue[0.13048929542301432`, 
       Rational[1, 2], 1], 
      Hue[0.13176352881365888`, 
       Rational[1, 2], 1], 
      Hue[0.13176352881365888`, 
       Rational[1, 2], 1], 
      Hue[0.13240064550898115`, 
       Rational[1, 2], 1], 
      Hue[0.13240064550898115`, 
       Rational[1, 2], 1], 
      Hue[0.13303776220430344`, 
       Rational[1, 2], 1], 
      Hue[0.13303776220430344`, 
       Rational[1, 2], 1], 
      Hue[0.13431199559494797`, 
       Rational[1, 2], 1], 
      Hue[0.13431199559494797`, 
       Rational[1, 2], 1], 
      Hue[0.13686046237623703`, 
       Rational[1, 2], 1], 
      Hue[0.13686046237623703`, 
       Rational[1, 2], 1], 
      Hue[0.1374859479914349, 
       Rational[1, 2], 1], 
      Hue[0.1374859479914349, 
       Rational[1, 2], 1], 
      Hue[0.13811143360663275`, 
       Rational[1, 2], 1], 
      Hue[0.13811143360663275`, 
       Rational[1, 2], 1], 
      Hue[0.13936240483702853`, 
       Rational[1, 2], 1], 
      Hue[0.13936240483702853`, 
       Rational[1, 2], 1], 
      Hue[0.14186434729781996`, 
       Rational[1, 2], 1], 
      Hue[0.14186434729781996`, 
       Rational[1, 2], 1], 
      Hue[0.14248983291301784`, 
       Rational[1, 2], 1], 
      Hue[0.14248983291301784`, 
       Rational[1, 2], 1], 
      Hue[0.14311531852821574`, 
       Rational[1, 2], 1], 
      Hue[0.14311531852821574`, 
       Rational[1, 2], 1], 
      Hue[0.14436628975861146`, 
       Rational[1, 2], 1], 
      Hue[0.14436628975861146`, 
       Rational[1, 2], 1], 
      Hue[0.14686823221940296`, 
       Rational[1, 2], 1], 
      Hue[0.14686823221940296`, 
       Rational[1, 2], 1], 
      Hue[0.14749371783460077`, 
       Rational[1, 2], 1], 
      Hue[0.14749371783460077`, 
       Rational[1, 2], 1], 
      Hue[0.14811920344979865`, 
       Rational[1, 2], 1], 
      Hue[0.14811920344979865`, 
       Rational[1, 2], 1], 
      Hue[0.1493701746801944, 
       Rational[1, 2], 1], 
      Hue[0.1493701746801944, 
       Rational[1, 2], 1], 
      Hue[0.1518721171409859, 
       Rational[1, 2], 1], 
      Hue[0.1518721171409859, 
       Rational[1, 2], 1], 
      Hue[0.15687600206256883`, 
       Rational[1, 2], 1], 
      Hue[0.15687600206256883`, 
       Rational[1, 2], 1], 
      Hue[0.1575014876777667, 
       Rational[1, 2], 1], 
      Hue[0.1575014876777667, 
       Rational[1, 2], 1], 
      Hue[0.15812697329296455`, 
       Rational[1, 2], 1], 
      Hue[0.15812697329296455`, 
       Rational[1, 2], 1], 
      Hue[0.15937794452336027`, 
       Rational[1, 2], 1], 
      Hue[0.15937794452336027`, 
       Rational[1, 2], 1], 
      Hue[0.16187988698415173`, 
       Rational[1, 2], 1], 
      Hue[0.16187988698415173`, 
       Rational[1, 2], 1], 
      Hue[0.1668837719057347, 
       Rational[1, 2], 1], 
      Hue[0.1668837719057347, 
       Rational[1, 2], 1], 
      Hue[0.1768915417489006, 
       Rational[1, 2], 1], 
      Hue[0.1768915417489006, 
       Rational[1, 2], 1], 
      Hue[0.17747494572088252`, 
       Rational[1, 2], 1], 
      Hue[0.17747494572088252`, 
       Rational[1, 2], 1], 
      Hue[0.1780583496928644, 
       Rational[1, 2], 1], 
      Hue[0.1780583496928644, 
       Rational[1, 2], 1], 
      Hue[0.17922515763682823`, 
       Rational[1, 2], 1], 
      Hue[0.17922515763682823`, 
       Rational[1, 2], 1], 
      Hue[0.18155877352475583`, 
       Rational[1, 2], 1], 
      Hue[0.18155877352475583`, 
       Rational[1, 2], 1], 
      Hue[0.186226005300611, 
       Rational[1, 2], 1], 
      Hue[0.186226005300611, 
       Rational[1, 2], 1], 
      Hue[0.19556046885232148`, 
       Rational[1, 2], 1], 
      Hue[0.19556046885232148`, 
       Rational[1, 2], 1], 
      Hue[0.1961438728243034, 
       Rational[1, 2], 1], 
      Hue[0.1961438728243034, 
       Rational[1, 2], 1], 
      Hue[0.1967272767962853, 
       Rational[1, 2], 1], 
      Hue[0.1967272767962853, 
       Rational[1, 2], 1], 
      Hue[0.1978940847402491, 
       Rational[1, 2], 1], 
      Hue[0.1978940847402491, 
       Rational[1, 2], 1], 
      Hue[0.2002277006281767, 
       Rational[1, 2], 1], 
      Hue[0.2002277006281767, 
       Rational[1, 2], 1], 
      Hue[0.20489493240403192`, 
       Rational[1, 2], 1], 
      Hue[0.20489493240403192`, 
       Rational[1, 2], 1], 
      Hue[0.2142293959557424, 
       Rational[1, 2], 1], 
      Hue[0.2142293959557424, 
       Rational[1, 2], 1], 
      Hue[0.214862069973783, 
       Rational[1, 2], 1], 
      Hue[0.214862069973783, 
       Rational[1, 2], 1], 
      Hue[0.2154947439918236, 
       Rational[1, 2], 1], 
      Hue[0.2154947439918236, 
       Rational[1, 2], 1], 
      Hue[0.21676009202790486`, 
       Rational[1, 2], 1], 
      Hue[0.21676009202790486`, 
       Rational[1, 2], 1], 
      Hue[0.21929078810006736`, 
       Rational[1, 2], 1], 
      Hue[0.21929078810006736`, 
       Rational[1, 2], 1], 
      Hue[0.22435218024439235`, 
       Rational[1, 2], 1], 
      Hue[0.22435218024439235`, 
       Rational[1, 2], 1], 
      Hue[0.22498485426243298`, 
       Rational[1, 2], 1], 
      Hue[0.22498485426243298`, 
       Rational[1, 2], 1], 
      Hue[0.2256175282804736, 
       Rational[1, 2], 1], 
      Hue[0.2256175282804736, 
       Rational[1, 2], 1], 
      Hue[0.22688287631655485`, 
       Rational[1, 2], 1], 
      Hue[0.22688287631655485`, 
       Rational[1, 2], 1], 
      Hue[0.22941357238871735`, 
       Rational[1, 2], 1], 
      Hue[0.22941357238871735`, 
       Rational[1, 2], 1], 
      Hue[0.2344749645330423, 
       Rational[1, 2], 1], 
      Hue[0.2344749645330423, 
       Rational[1, 2], 1], 
      Hue[0.23510763855108294`, 
       Rational[1, 2], 1], 
      Hue[0.23510763855108294`, 
       Rational[1, 2], 1], 
      Hue[0.23574031256912356`, 
       Rational[1, 2], 1], 
      Hue[0.23574031256912356`, 
       Rational[1, 2], 1], 
      Hue[0.2370056606052048, 
       Rational[1, 2], 1], 
      Hue[0.2370056606052048, 
       Rational[1, 2], 1], 
      Hue[0.2395363566773673, 
       Rational[1, 2], 1], 
      Hue[0.2395363566773673, 
       Rational[1, 2], 1], 
      Hue[0.24016903069540793`, 
       Rational[1, 2], 1], 
      Hue[0.24016903069540793`, 
       Rational[1, 2], 1], 
      Hue[0.24080170471344856`, 
       Rational[1, 2], 1], 
      Hue[0.24080170471344856`, 
       Rational[1, 2], 1], 
      Hue[0.2420670527495298, 
       Rational[1, 2], 1], 
      Hue[0.2420670527495298, 
       Rational[1, 2], 1], 
      Hue[0.2445977488216923, 
       Rational[1, 2], 1], 
      Hue[0.2445977488216923, 
       Rational[1, 2], 1], 
      Hue[0.24523042283973293`, 
       Rational[1, 2], 1], 
      Hue[0.24523042283973293`, 
       Rational[1, 2], 1], 
      Hue[0.24586309685777355`, 
       Rational[1, 2], 1], 
      Hue[0.24586309685777355`, 
       Rational[1, 2], 1], 
      Hue[0.2471284448938548, 
       Rational[1, 2], 1], 
      Hue[0.2471284448938548, 
       Rational[1, 2], 1], 
      Hue[0.24776111891189542`, 
       Rational[1, 2], 1], 
      Hue[0.24776111891189542`, 
       Rational[1, 2], 1], 
      Hue[0.24839379292993605`, 
       Rational[1, 2], 1], 
      Hue[0.24839379292993605`, 
       Rational[1, 2], 1], 
      Hue[0.24902646694797667`, 
       Rational[1, 2], 1], 
      Hue[0.24902646694797667`, 
       Rational[1, 2], 1], 
      Hue[0.2496591409660173, 
       Rational[1, 2], 1], 
      Hue[0.2496591409660173, 
       Rational[1, 2], 1], 
      Hue[0.7502918149840578, 
       Rational[1, 2], 1], 
      Hue[0.7502918149840578, 
       Rational[1, 2], 1], 
      Hue[0.7509244890020985, 
       Rational[1, 2], 1], 
      Hue[0.7509244890020985, 
       Rational[1, 2], 1], 
      Hue[0.7515571630201391, 
       Rational[1, 2], 1], 
      Hue[0.7515571630201391, 
       Rational[1, 2], 1], 
      Hue[0.7521898370381798, 
       Rational[1, 2], 1], 
      Hue[0.7521898370381798, 
       Rational[1, 2], 1], 
      Hue[0.7528225110562203, 
       Rational[1, 2], 1], 
      Hue[0.7528225110562203, 
       Rational[1, 2], 1], 
      Hue[0.753455185074261, 
       Rational[1, 2], 1], 
      Hue[0.753455185074261, 
       Rational[1, 2], 1], 
      Hue[0.7547205331103422, 
       Rational[1, 2], 1], 
      Hue[0.7547205331103422, 
       Rational[1, 2], 1], 
      Hue[0.7553111254851669, 
       Rational[1, 2], 1], 
      Hue[0.7553111254851669, 
       Rational[1, 2], 1], 
      Hue[0.7559017178599915, 
       Rational[1, 2], 1], 
      Hue[0.7559017178599915, 
       Rational[1, 2], 1], 
      Hue[0.7570829026096408, 
       Rational[1, 2], 1], 
      Hue[0.7570829026096408, 
       Rational[1, 2], 1], 
      Hue[0.7594452721089394, 
       Rational[1, 2], 1], 
      Hue[0.7594452721089394, 
       Rational[1, 2], 1], 
      Hue[0.7641700111075367, 
       Rational[1, 2], 1], 
      Hue[0.7641700111075367, 
       Rational[1, 2], 1], 
      Hue[0.7647606034823614, 
       Rational[1, 2], 1], 
      Hue[0.7647606034823614, 
       Rational[1, 2], 1], 
      Hue[0.765351195857186, 
       Rational[1, 2], 1], 
      Hue[0.765351195857186, 
       Rational[1, 2], 1], 
      Hue[0.7665323806068354, 
       Rational[1, 2], 1], 
      Hue[0.7665323806068354, 
       Rational[1, 2], 1], 
      Hue[0.7688947501061341, 
       Rational[1, 2], 1], 
      Hue[0.7688947501061341, 
       Rational[1, 2], 1], 
      Hue[0.7736194891047312, 
       Rational[1, 2], 1], 
      Hue[0.7736194891047312, 
       Rational[1, 2], 1], 
      Hue[0.774210081479556, 
       Rational[1, 2], 1], 
      Hue[0.774210081479556, 
       Rational[1, 2], 1], 
      Hue[0.7748006738543806, 
       Rational[1, 2], 1], 
      Hue[0.7748006738543806, 
       Rational[1, 2], 1], 
      Hue[0.7759818586040299, 
       Rational[1, 2], 1], 
      Hue[0.7759818586040299, 
       Rational[1, 2], 1], 
      Hue[0.7783442281033285, 
       Rational[1, 2], 1], 
      Hue[0.7783442281033285, 
       Rational[1, 2], 1], 
      Hue[0.7830689671019258, 
       Rational[1, 2], 1], 
      Hue[0.7830689671019258, 
       Rational[1, 2], 1], 
      Hue[0.7925184450991203, 
       Rational[1, 2], 1], 
      Hue[0.7925184450991203, 
       Rational[1, 2], 1], 
      Hue[0.7930974063938205, 
       Rational[1, 2], 1], 
      Hue[0.7930974063938205, 
       Rational[1, 2], 1], 
      Hue[0.7936763676885208, 
       Rational[1, 2], 1], 
      Hue[0.7936763676885208, 
       Rational[1, 2], 1], 
      Hue[0.7948342902779213, 
       Rational[1, 2], 1], 
      Hue[0.7948342902779213, 
       Rational[1, 2], 1], 
      Hue[0.7971501354567223, 
       Rational[1, 2], 1], 
      Hue[0.7971501354567223, 
       Rational[1, 2], 1], 
      Hue[0.8017818258143243, 
       Rational[1, 2], 1], 
      Hue[0.8017818258143243, 
       Rational[1, 2], 1], 
      Hue[0.8023607871090246, 
       Rational[1, 2], 1], 
      Hue[0.8023607871090246, 
       Rational[1, 2], 1], 
      Hue[0.8029397484037248, 
       Rational[1, 2], 1], 
      Hue[0.8029397484037248, 
       Rational[1, 2], 1], 
      Hue[0.8040976709931253, 
       Rational[1, 2], 1], 
      Hue[0.8040976709931253, 
       Rational[1, 2], 1], 
      Hue[0.8064135161719264, 
       Rational[1, 2], 1], 
      Hue[0.8064135161719264, 
       Rational[1, 2], 1], 
      Hue[0.8110452065295284, 
       Rational[1, 2], 1], 
      Hue[0.8110452065295284, 
       Rational[1, 2], 1], 
      Hue[0.8116241678242286, 
       Rational[1, 2], 1], 
      Hue[0.8116241678242286, 
       Rational[1, 2], 1], 
      Hue[0.8122031291189289, 
       Rational[1, 2], 1], 
      Hue[0.8122031291189289, 
       Rational[1, 2], 1], 
      Hue[0.8133610517083294, 
       Rational[1, 2], 1], 
      Hue[0.8133610517083294, 
       Rational[1, 2], 1], 
      Hue[0.8156768968871304, 
       Rational[1, 2], 1], 
      Hue[0.8156768968871304, 
       Rational[1, 2], 1], 
      Hue[0.8162558581818307, 
       Rational[1, 2], 1], 
      Hue[0.8162558581818307, 
       Rational[1, 2], 1], 
      Hue[0.8168348194765309, 
       Rational[1, 2], 1], 
      Hue[0.8168348194765309, 
       Rational[1, 2], 1], 
      Hue[0.8179927420659314, 
       Rational[1, 2], 1], 
      Hue[0.8179927420659314, 
       Rational[1, 2], 1], 
      Hue[0.8203085872447325, 
       Rational[1, 2], 1], 
      Hue[0.8203085872447325, 
       Rational[1, 2], 1], 
      Hue[0.8208875485394328, 
       Rational[1, 2], 1], 
      Hue[0.8208875485394328, 
       Rational[1, 2], 1], 
      Hue[0.8214665098341329, 
       Rational[1, 2], 1], 
      Hue[0.8214665098341329, 
       Rational[1, 2], 1], 
      Hue[0.8226244324235334, 
       Rational[1, 2], 1], 
      Hue[0.8226244324235334, 
       Rational[1, 2], 1], 
      Hue[0.8249402776023345, 
       Rational[1, 2], 1], 
      Hue[0.8249402776023345, 
       Rational[1, 2], 1], 
      Hue[0.8255192388970347, 
       Rational[1, 2], 1], 
      Hue[0.8255192388970347, 
       Rational[1, 2], 1], 
      Hue[0.826098200191735, 
       Rational[1, 2], 1], 
      Hue[0.826098200191735, 
       Rational[1, 2], 1], 
      Hue[0.8272561227811355, 
       Rational[1, 2], 1], 
      Hue[0.8272561227811355, 
       Rational[1, 2], 1], 
      Hue[0.8295719679599365, 
       Rational[1, 2], 1], 
      Hue[0.8295719679599365, 
       Rational[1, 2], 1], 
      Hue[0.8302001993006954, 
       Rational[1, 2], 1], 
      Hue[0.8302001993006954, 
       Rational[1, 2], 1], 
      Hue[0.8308284306414545, 
       Rational[1, 2], 1], 
      Hue[0.8308284306414545, 
       Rational[1, 2], 1], 
      Hue[0.8320848933229724, 
       Rational[1, 2], 1], 
      Hue[0.8320848933229724, 
       Rational[1, 2], 1], 
      Hue[0.8327131246637314, 
       Rational[1, 2], 1], 
      Hue[0.8327131246637314, 
       Rational[1, 2], 1], 
      Hue[0.8333413560044904, 
       Rational[1, 2], 1], 
      Hue[0.8333413560044904, 
       Rational[1, 2], 1], 
      Hue[0.8345978186860084, 
       Rational[1, 2], 1], 
      Hue[0.8345978186860084, 
       Rational[1, 2], 1], 
      Hue[0.8352260500267672, 
       Rational[1, 2], 1], 
      Hue[0.8352260500267672, 
       Rational[1, 2], 1], 
      Hue[0.8358542813675263, 
       Rational[1, 2], 1], 
      Hue[0.8358542813675263, 
       Rational[1, 2], 1], 
      Hue[0.8371107440490442, 
       Rational[1, 2], 1], 
      Hue[0.8371107440490442, 
       Rational[1, 2], 1], 
      Hue[0.8377389753898032, 
       Rational[1, 2], 1], 
      Hue[0.8377389753898032, 
       Rational[1, 2], 1], 
      Hue[0.8383672067305622, 
       Rational[1, 2], 1], 
      Hue[0.8383672067305622, 
       Rational[1, 2], 1], 
      Hue[0.8396236694120802, 
       Rational[1, 2], 1], 
      Hue[0.8396236694120802, 
       Rational[1, 2], 1], 
      Hue[0.8402519007528391, 
       Rational[1, 2], 1], 
      Hue[0.8402519007528391, 
       Rational[1, 2], 1], 
      Hue[0.8408801320935981, 
       Rational[1, 2], 1], 
      Hue[0.8408801320935981, 
       Rational[1, 2], 1], 
      Hue[0.841508363434357, 
       Rational[1, 2], 1], 
      Hue[0.841508363434357, 
       Rational[1, 2], 1], 
      Hue[0.842136594775116, 
       Rational[1, 2], 1], 
      Hue[0.842136594775116, 
       Rational[1, 2], 1], 
      Hue[0.8427648261158749, 
       Rational[1, 2], 1], 
      Hue[0.8427648261158749, 
       Rational[1, 2], 1], 
      Hue[0.843393057456634, 
       Rational[1, 2], 1], 
      Hue[0.843393057456634, 
       Rational[1, 2], 1], 
      Hue[0.844021288797393, 
       Rational[1, 2], 1], 
      Hue[0.844021288797393, 
       Rational[1, 2], 1], 
      Hue[0.8446495201381519, 
       Rational[1, 2], 1], 
      Hue[0.8446495201381519, 
       Rational[1, 2], 1], 
      Hue[0.8452777514789109, 
       Rational[1, 2], 1], 
      Hue[0.8452777514789109, 
       Rational[1, 2], 1], 
      Hue[0.8459059828196699, 
       Rational[1, 2], 1], 
      Hue[0.8459059828196699, 
       Rational[1, 2], 1], 
      Hue[0.8465342141604288, 
       Rational[1, 2], 1], 
      Hue[0.8465342141604288, 
       Rational[1, 2], 1], 
      Hue[0.8471624455011878, 
       Rational[1, 2], 1], 
      Hue[0.8471624455011878, 
       Rational[1, 2], 1], 
      Hue[0.8477906768419468, 
       Rational[1, 2], 1], 
      Hue[0.8477906768419468, 
       Rational[1, 2], 1], 
      Hue[0.8484189081827058, 
       Rational[1, 2], 1], 
      Hue[0.8484189081827058, 
       Rational[1, 2], 1], 
      Hue[0.8490471395234648, 
       Rational[1, 2], 1], 
      Hue[0.8490471395234648, 
       Rational[1, 2], 1], 
      Hue[0.8496753708642237, 
       Rational[1, 2], 1], 
      Hue[0.8496753708642237, 
       Rational[1, 2], 1], 
      Hue[0.8503036022049826, 
       Rational[1, 2], 1], 
      Hue[0.8503036022049826, 
       Rational[1, 2], 1], 
      Hue[0.8509318335457416, 
       Rational[1, 2], 1], 
      Hue[0.8509318335457416, 
       Rational[1, 2], 1], 
      Hue[0.8515600648865006, 
       Rational[1, 2], 1], 
      Hue[0.8515600648865006, 
       Rational[1, 2], 1], 
      Hue[0.8521882962272596, 
       Rational[1, 2], 1], 
      Hue[0.8521882962272596, 
       Rational[1, 2], 1], 
      Hue[0.8528165275680185, 
       Rational[1, 2], 1], 
      Hue[0.8528165275680185, 
       Rational[1, 2], 1], 
      Hue[0.8534447589087775, 
       Rational[1, 2], 1], 
      Hue[0.8534447589087775, 
       Rational[1, 2], 1], 
      Hue[0.8540729902495365, 
       Rational[1, 2], 1], 
      Hue[0.8540729902495365, 
       Rational[1, 2], 1], 
      Hue[0.8547012215902955, 
       Rational[1, 2], 1], 
      Hue[0.8547012215902955, 
       Rational[1, 2], 1], 
      Hue[0.8553294529310544, 
       Rational[1, 2], 1], 
      Hue[0.8553294529310544, 
       Rational[1, 2], 1], 
      Hue[0.8559576842718135, 
       Rational[1, 2], 1], 
      Hue[0.8559576842718135, 
       Rational[1, 2], 1], 
      Hue[0.8565859156125724, 
       Rational[1, 2], 1], 
      Hue[0.8565859156125724, 
       Rational[1, 2], 1], 
      Hue[0.8572141469533314, 
       Rational[1, 2], 1], 
      Hue[0.8572141469533314, 
       Rational[1, 2], 1], 
      Hue[0.8578423782940904, 
       Rational[1, 2], 1], 
      Hue[0.8578423782940904, 
       Rational[1, 2], 1], 
      Hue[0.8584706096348493, 
       Rational[1, 2], 1], 
      Hue[0.8584706096348493, 
       Rational[1, 2], 1], 
      Hue[0.8597270723163672, 
       Rational[1, 2], 1], 
      Hue[0.8597270723163672, 
       Rational[1, 2], 1], 
      Hue[0.8603553036571262, 
       Rational[1, 2], 1], 
      Hue[0.8603553036571262, 
       Rational[1, 2], 1], 
      Hue[0.8609835349978852, 
       Rational[1, 2], 1], 
      Hue[0.8609835349978852, 
       Rational[1, 2], 1], 
      Hue[0.8622399976794031, 
       Rational[1, 2], 1], 
      Hue[0.8622399976794031, 
       Rational[1, 2], 1], 
      Hue[0.862868229020162, 
       Rational[1, 2], 1], 
      Hue[0.862868229020162, 
       Rational[1, 2], 1], 
      Hue[0.863496460360921, 
       Rational[1, 2], 1], 
      Hue[0.863496460360921, 
       Rational[1, 2], 1], 
      Hue[0.864752923042439, 
       Rational[1, 2], 1], 
      Hue[0.864752923042439, 
       Rational[1, 2], 1], 
      Hue[0.865381154383198, 
       Rational[1, 2], 1], 
      Hue[0.865381154383198, 
       Rational[1, 2], 1], 
      Hue[0.866009385723957, 
       Rational[1, 2], 1], 
      Hue[0.866009385723957, 
       Rational[1, 2], 1], 
      Hue[0.8672658484054749, 
       Rational[1, 2], 1], 
      Hue[0.8672658484054749, 
       Rational[1, 2], 1], 
      Hue[0.8697787737685108, 
       Rational[1, 2], 1], 
      Hue[0.8697787737685108, 
       Rational[1, 2], 1], 
      Hue[0.8703649234660538, 
       Rational[1, 2], 1], 
      Hue[0.8703649234660538, 
       Rational[1, 2], 1], 
      Hue[0.8709510731635968, 
       Rational[1, 2], 1], 
      Hue[0.8709510731635968, 
       Rational[1, 2], 1], 
      Hue[0.8721233725586828, 
       Rational[1, 2], 1], 
      Hue[0.8721233725586828, 
       Rational[1, 2], 1], 
      Hue[0.8744679713488548, 
       Rational[1, 2], 1], 
      Hue[0.8744679713488548, 
       Rational[1, 2], 1], 
      Hue[0.8750541210463978, 
       Rational[1, 2], 1], 
      Hue[0.8750541210463978, 
       Rational[1, 2], 1], 
      Hue[0.8756402707439409, 
       Rational[1, 2], 1], 
      Hue[0.8756402707439409, 
       Rational[1, 2], 1], 
      Hue[0.8768125701390269, 
       Rational[1, 2], 1], 
      Hue[0.8768125701390269, 
       Rational[1, 2], 1], 
      Hue[0.8791571689291989, 
       Rational[1, 2], 1], 
      Hue[0.8791571689291989, 
       Rational[1, 2], 1], 
      Hue[0.879743318626742, 
       Rational[1, 2], 1], 
      Hue[0.879743318626742, 
       Rational[1, 2], 1], 
      Hue[0.8803294683242849, 
       Rational[1, 2], 1], 
      Hue[0.8803294683242849, 
       Rational[1, 2], 1], 
      Hue[0.8815017677193709, 
       Rational[1, 2], 1], 
      Hue[0.8815017677193709, 
       Rational[1, 2], 1], 
      Hue[0.883846366509543, 
       Rational[1, 2], 1], 
      Hue[0.883846366509543, 
       Rational[1, 2], 1], 
      Hue[0.888535564089887, 
       Rational[1, 2], 1], 
      Hue[0.888535564089887, 
       Rational[1, 2], 1], 
      Hue[0.88912171378743, 
       Rational[1, 2], 1], 
      Hue[0.88912171378743, 
       Rational[1, 2], 1], 
      Hue[0.8897078634849731, 
       Rational[1, 2], 1], 
      Hue[0.8897078634849731, 
       Rational[1, 2], 1], 
      Hue[0.8908801628800591, 
       Rational[1, 2], 1], 
      Hue[0.8908801628800591, 
       Rational[1, 2], 1], 
      Hue[0.8932247616702311, 
       Rational[1, 2], 1], 
      Hue[0.8932247616702311, 
       Rational[1, 2], 1], 
      Hue[0.8979139592505752, 
       Rational[1, 2], 1], 
      Hue[0.8979139592505752, 
       Rational[1, 2], 1], 
      Hue[0.9072923544112633, 
       Rational[1, 2], 1], 
      Hue[0.9072923544112633, 
       Rational[1, 2], 1], 
      Hue[0.907927774154865, 
       Rational[1, 2], 1], 
      Hue[0.907927774154865, 
       Rational[1, 2], 1], 
      Hue[0.9085631938984667, 
       Rational[1, 2], 1], 
      Hue[0.9085631938984667, 
       Rational[1, 2], 1], 
      Hue[0.9098340333856701, 
       Rational[1, 2], 1], 
      Hue[0.9098340333856701, 
       Rational[1, 2], 1], 
      Hue[0.9123757123600771, 
       Rational[1, 2], 1], 
      Hue[0.9123757123600771, 
       Rational[1, 2], 1], 
      Hue[0.9174590703088908, 
       Rational[1, 2], 1], 
      Hue[0.9174590703088908, 
       Rational[1, 2], 1], 
      Hue[0.9276257862065186, 
       Rational[1, 2], 1], 
      Hue[0.9276257862065186, 
       Rational[1, 2], 1], 
      Hue[0.9479592180017739, 
       Rational[1, 2], 1], 
      Hue[0.9479592180017739, 
       Rational[1, 2], 1], 
      Hue[0.9485525561021597, 
       Rational[1, 2], 1], 
      Hue[0.9485525561021597, 
       Rational[1, 2], 1], 
      Hue[0.9491458942025454, 
       Rational[1, 2], 1], 
      Hue[0.9491458942025454, 
       Rational[1, 2], 1], 
      Hue[0.9503325704033169, 
       Rational[1, 2], 1], 
      Hue[0.9503325704033169, 
       Rational[1, 2], 1], 
      Hue[0.95270592280486, 
       Rational[1, 2], 1], 
      Hue[0.95270592280486, 
       Rational[1, 2], 1], 
      Hue[0.9574526276079461, 
       Rational[1, 2], 1], 
      Hue[0.9574526276079461, 
       Rational[1, 2], 1], 
      Hue[0.9669460372141183, 
       Rational[1, 2], 1], 
      Hue[0.9669460372141183, 
       Rational[1, 2], 1], 
      Hue[0.9675393753145041, 
       Rational[1, 2], 1], 
      Hue[0.9675393753145041, 
       Rational[1, 2], 1], 
      Hue[0.9681327134148898, 
       Rational[1, 2], 1], 
      Hue[0.9681327134148898, 
       Rational[1, 2], 1], 
      Hue[0.9693193896156613, 
       Rational[1, 2], 1], 
      Hue[0.9693193896156613, 
       Rational[1, 2], 1], 
      Hue[0.9716927420172045, 
       Rational[1, 2], 1], 
      Hue[0.9716927420172045, 
       Rational[1, 2], 1], 
      Hue[0.9764394468202906, 
       Rational[1, 2], 1], 
      Hue[0.9764394468202906, 
       Rational[1, 2], 1], 
      Hue[0.9859328564264628, 
       Rational[1, 2], 1], 
      Hue[0.9859328564264628, 
       Rational[1, 2], 1], 
      Hue[0.9865145634467241, 
       Rational[1, 2], 1], 
      Hue[0.9865145634467241, 
       Rational[1, 2], 1], 
      Hue[0.9870962704669854, 
       Rational[1, 2], 1], 
      Hue[0.9870962704669854, 
       Rational[1, 2], 1], 
      Hue[0.9882596845075081, 
       Rational[1, 2], 1], 
      Hue[0.9882596845075081, 
       Rational[1, 2], 1], 
      Hue[0.9905865125885537, 
       Rational[1, 2], 1], 
      Hue[0.9905865125885537, 
       Rational[1, 2], 1], 
      Hue[0.9911682196088151, 
       Rational[1, 2], 1], 
      Hue[0.9911682196088151, 
       Rational[1, 2], 1], 
      Hue[0.9917499266290765, 
       Rational[1, 2], 1], 
      Hue[0.9917499266290765, 
       Rational[1, 2], 1], 
      Hue[0.9929133406695991, 
       Rational[1, 2], 1], 
      Hue[0.9929133406695991, 
       Rational[1, 2], 1], 
      Hue[0.9952401687506446, 
       Rational[1, 2], 1], 
      Hue[0.9952401687506446, 
       Rational[1, 2], 1], 
      Hue[0.9958218757709059, 
       Rational[1, 2], 1], 
      Hue[0.9958218757709059, 
       Rational[1, 2], 1], 
      Hue[0.9964035827911673, 
       Rational[1, 2], 1], 
      Hue[0.9964035827911673, 
       Rational[1, 2], 1], 
      Hue[0.9975669968316899, 
       Rational[1, 2], 1], 
      Hue[0.9975669968316899, 
       Rational[1, 2], 1], 
      Hue[0.9981487038519513, 
       Rational[1, 2], 1], 
      Hue[0.9981487038519513, 
       Rational[1, 2], 1], 
      Hue[0.9987304108722127, 
       Rational[1, 2], 1], 
      Hue[0.9987304108722127, 
       Rational[1, 2], 1], 
      Hue[0.999312117892474, 
       Rational[1, 2], 1], 
      Hue[0.999312117892474, 
       Rational[1, 2], 1], 
      Hue[0.9998938249127354, 
       Rational[1, 2], 1], 
      Hue[0.9998938249127354, 
       Rational[1, 2], 1], 
      Hue[0.5004755319329968, 
       Rational[1, 2], 1], 
      Hue[0.5004755319329968, 
       Rational[1, 2], 1], 
      Hue[0.5010572389532582, 
       Rational[1, 2], 1], 
      Hue[0.5010572389532582, 
       Rational[1, 2], 1], 
      Hue[0.5016389459735195, 
       Rational[1, 2], 1], 
      Hue[0.5016389459735195, 
       Rational[1, 2], 1], 
      Hue[0.5022206529937808, 
       Rational[1, 2], 1], 
      Hue[0.5022206529937808, 
       Rational[1, 2], 1], 
      Hue[0.5045474810748263, 
       Rational[1, 2], 1], 
      Hue[0.5045474810748263, 
       Rational[1, 2], 1], 
      Hue[0.5051291880950877, 
       Rational[1, 2], 1], 
      Hue[0.5051291880950877, 
       Rational[1, 2], 1], 
      Hue[0.5057108951153491, 
       Rational[1, 2], 1], 
      Hue[0.5057108951153491, 
       Rational[1, 2], 1], 
      Hue[0.5068743091558717, 
       Rational[1, 2], 1], 
      Hue[0.5068743091558717, 
       Rational[1, 2], 1], 
      Hue[0.5092011372369172, 
       Rational[1, 2], 1], 
      Hue[0.5092011372369172, 
       Rational[1, 2], 1], 
      Hue[0.5138547933990081, 
       Rational[1, 2], 1], 
      Hue[0.5138547933990081, 
       Rational[1, 2], 1], 
      Hue[0.5231621057231898, 
       Rational[1, 2], 1], 
      Hue[0.5231621057231898, 
       Rational[1, 2], 1], 
      Hue[0.5237930827895099, 
       Rational[1, 2], 1], 
      Hue[0.5237930827895099, 
       Rational[1, 2], 1], 
      Hue[0.5244240598558298, 
       Rational[1, 2], 1], 
      Hue[0.5244240598558298, 
       Rational[1, 2], 1], 
      Hue[0.52568601398847, 
       Rational[1, 2], 1], 
      Hue[0.52568601398847, 
       Rational[1, 2], 1], 
      Hue[0.5282099222537504, 
       Rational[1, 2], 1], 
      Hue[0.5282099222537504, 
       Rational[1, 2], 1], 
      Hue[0.533257738784311, 
       Rational[1, 2], 1], 
      Hue[0.533257738784311, 
       Rational[1, 2], 1], 
      Hue[0.5338887158506311, 
       Rational[1, 2], 1], 
      Hue[0.5338887158506311, 
       Rational[1, 2], 1], 
      Hue[0.5345196929169512, 
       Rational[1, 2], 1], 
      Hue[0.5345196929169512, 
       Rational[1, 2], 1], 
      Hue[0.5357816470495913, 
       Rational[1, 2], 1], 
      Hue[0.5357816470495913, 
       Rational[1, 2], 1], 
      Hue[0.5383055553148717, 
       Rational[1, 2], 1], 
      Hue[0.5383055553148717, 
       Rational[1, 2], 1], 
      Hue[0.5433533718454323, 
       Rational[1, 2], 1], 
      Hue[0.5433533718454323, 
       Rational[1, 2], 1], 
      Hue[0.5439843489117524, 
       Rational[1, 2], 1], 
      Hue[0.5439843489117524, 
       Rational[1, 2], 1], 
      Hue[0.5446153259780724, 
       Rational[1, 2], 1], 
      Hue[0.5446153259780724, 
       Rational[1, 2], 1], 
      Hue[0.5458772801107126, 
       Rational[1, 2], 1], 
      Hue[0.5458772801107126, 
       Rational[1, 2], 1], 
      Hue[0.5484011883759929, 
       Rational[1, 2], 1], 
      Hue[0.5484011883759929, 
       Rational[1, 2], 1], 
      Hue[0.5490321654423129, 
       Rational[1, 2], 1], 
      Hue[0.5490321654423129, 
       Rational[1, 2], 1], 
      Hue[0.5496631425086331, 
       Rational[1, 2], 1], 
      Hue[0.5496631425086331, 
       Rational[1, 2], 1], 
      Hue[0.5509250966412733, 
       Rational[1, 2], 1], 
      Hue[0.5509250966412733, 
       Rational[1, 2], 1], 
      Hue[0.5534490049065535, 
       Rational[1, 2], 1], 
      Hue[0.5534490049065535, 
       Rational[1, 2], 1], 
      Hue[0.5540799819728737, 
       Rational[1, 2], 1], 
      Hue[0.5540799819728737, 
       Rational[1, 2], 1], 
      Hue[0.5547109590391937, 
       Rational[1, 2], 1], 
      Hue[0.5547109590391937, 
       Rational[1, 2], 1], 
      Hue[0.5559729131718338, 
       Rational[1, 2], 1], 
      Hue[0.5559729131718338, 
       Rational[1, 2], 1], 
      Hue[0.5584968214371142, 
       Rational[1, 2], 1], 
      Hue[0.5584968214371142, 
       Rational[1, 2], 1], 
      Hue[0.5591277985034342, 
       Rational[1, 2], 1], 
      Hue[0.5591277985034342, 
       Rational[1, 2], 1], 
      Hue[0.5597587755697544, 
       Rational[1, 2], 1], 
      Hue[0.5597587755697544, 
       Rational[1, 2], 1], 
      Hue[0.5610207297023944, 
       Rational[1, 2], 1], 
      Hue[0.5610207297023944, 
       Rational[1, 2], 1], 
      Hue[0.5635446379676747, 
       Rational[1, 2], 1], 
      Hue[0.5635446379676747, 
       Rational[1, 2], 1], 
      Hue[0.5641335333907789, 
       Rational[1, 2], 1], 
      Hue[0.5641335333907789, 
       Rational[1, 2], 1], 
      Hue[0.564722428813883, 
       Rational[1, 2], 1], 
      Hue[0.564722428813883, 
       Rational[1, 2], 1], 
      Hue[0.5659002196600913, 
       Rational[1, 2], 1], 
      Hue[0.5659002196600913, 
       Rational[1, 2], 1], 
      Hue[0.5664891150831953, 
       Rational[1, 2], 1], 
      Hue[0.5664891150831953, 
       Rational[1, 2], 1], 
      Hue[0.5670780105062995, 
       Rational[1, 2], 1], 
      Hue[0.5670780105062995, 
       Rational[1, 2], 1], 
      Hue[0.5682558013525076, 
       Rational[1, 2], 1], 
      Hue[0.5682558013525076, 
       Rational[1, 2], 1], 
      Hue[0.5688446967756118, 
       Rational[1, 2], 1], 
      Hue[0.5688446967756118, 
       Rational[1, 2], 1], 
      Hue[0.5694335921987159, 
       Rational[1, 2], 1], 
      Hue[0.5694335921987159, 
       Rational[1, 2], 1], 
      Hue[0.5706113830449242, 
       Rational[1, 2], 1], 
      Hue[0.5706113830449242, 
       Rational[1, 2], 1], 
      Hue[0.5712002784680282, 
       Rational[1, 2], 1], 
      Hue[0.5712002784680282, 
       Rational[1, 2], 1], 
      Hue[0.5717891738911324, 
       Rational[1, 2], 1], 
      Hue[0.5717891738911324, 
       Rational[1, 2], 1], 
      Hue[0.5729669647373405, 
       Rational[1, 2], 1], 
      Hue[0.5729669647373405, 
       Rational[1, 2], 1], 
      Hue[0.5735558601604447, 
       Rational[1, 2], 1], 
      Hue[0.5735558601604447, 
       Rational[1, 2], 1], 
      Hue[0.5741447555835488, 
       Rational[1, 2], 1], 
      Hue[0.5741447555835488, 
       Rational[1, 2], 1], 
      Hue[0.5753225464297571, 
       Rational[1, 2], 1], 
      Hue[0.5753225464297571, 
       Rational[1, 2], 1], 
      Hue[0.5759114418528611, 
       Rational[1, 2], 1], 
      Hue[0.5759114418528611, 
       Rational[1, 2], 1], 
      Hue[0.5765003372759653, 
       Rational[1, 2], 1], 
      Hue[0.5765003372759653, 
       Rational[1, 2], 1], 
      Hue[0.5776781281221735, 
       Rational[1, 2], 1], 
      Hue[0.5776781281221735, 
       Rational[1, 2], 1], 
      Hue[0.5782670235452776, 
       Rational[1, 2], 1], 
      Hue[0.5782670235452776, 
       Rational[1, 2], 1], 
      Hue[0.5788559189683817, 
       Rational[1, 2], 1], 
      Hue[0.5788559189683817, 
       Rational[1, 2], 1], 
      Hue[0.5794448143914859, 
       Rational[1, 2], 1], 
      Hue[0.5794448143914859, 
       Rational[1, 2], 1], 
      Hue[0.58003370981459, 
       Rational[1, 2], 1], 
      Hue[0.58003370981459, 
       Rational[1, 2], 1], 
      Hue[0.580622605237694, 
       Rational[1, 2], 1], 
      Hue[0.580622605237694, 
       Rational[1, 2], 1], 
      Hue[0.5812115006607981, 
       Rational[1, 2], 1], 
      Hue[0.5812115006607981, 
       Rational[1, 2], 1], 
      Hue[0.5818003960839022, 
       Rational[1, 2], 1], 
      Hue[0.5818003960839022, 
       Rational[1, 2], 1], 
      Hue[0.5823892915070064, 
       Rational[1, 2], 1], 
      Hue[0.5823892915070064, 
       Rational[1, 2], 1], 
      Hue[0.5829781869301105, 
       Rational[1, 2], 1], 
      Hue[0.5829781869301105, 
       Rational[1, 2], 1], 
      Hue[0.5835670823532146, 
       Rational[1, 2], 1], 
      Hue[0.5835670823532146, 
       Rational[1, 2], 1], 
      Hue[0.5841559777763188, 
       Rational[1, 2], 1], 
      Hue[0.5841559777763188, 
       Rational[1, 2], 1], 
      Hue[0.5847448731994229, 
       Rational[1, 2], 1], 
      Hue[0.5847448731994229, 
       Rational[1, 2], 1], 
      Hue[0.585333768622527, 
       Rational[1, 2], 1], 
      Hue[0.585333768622527, 
       Rational[1, 2], 1], 
      Hue[0.585922664045631, 
       Rational[1, 2], 1], 
      Hue[0.585922664045631, 
       Rational[1, 2], 1], 
      Hue[0.5865115594687351, 
       Rational[1, 2], 1], 
      Hue[0.5865115594687351, 
       Rational[1, 2], 1], 
      Hue[0.5871004548918393, 
       Rational[1, 2], 1], 
      Hue[0.5871004548918393, 
       Rational[1, 2], 1], 
      Hue[0.5876893503149434, 
       Rational[1, 2], 1], 
      Hue[0.5876893503149434, 
       Rational[1, 2], 1], 
      Hue[0.5882782457380475, 
       Rational[1, 2], 1], 
      Hue[0.5882782457380475, 
       Rational[1, 2], 1], 
      Hue[0.5888671411611517, 
       Rational[1, 2], 1], 
      Hue[0.5888671411611517, 
       Rational[1, 2], 1], 
      Hue[0.5894560365842558, 
       Rational[1, 2], 1], 
      Hue[0.5894560365842558, 
       Rational[1, 2], 1], 
      Hue[0.5900449320073599, 
       Rational[1, 2], 1], 
      Hue[0.5900449320073599, 
       Rational[1, 2], 1], 
      Hue[0.5906338274304639, 
       Rational[1, 2], 1], 
      Hue[0.5906338274304639, 
       Rational[1, 2], 1], 
      Hue[0.591222722853568, 
       Rational[1, 2], 1], 
      Hue[0.591222722853568, 
       Rational[1, 2], 1], 
      Hue[0.5918116182766722, 
       Rational[1, 2], 1], 
      Hue[0.5918116182766722, 
       Rational[1, 2], 1], 
      Hue[0.5924005136997763, 
       Rational[1, 2], 1], 
      Hue[0.5924005136997763, 
       Rational[1, 2], 1], 
      Hue[0.5929894091228805, 
       Rational[1, 2], 1], 
      Hue[0.5929894091228805, 
       Rational[1, 2], 1], 
      Hue[0.5935783045459846, 
       Rational[1, 2], 1], 
      Hue[0.5935783045459846, 
       Rational[1, 2], 1], 
      Hue[0.5941671999690887, 
       Rational[1, 2], 1], 
      Hue[0.5941671999690887, 
       Rational[1, 2], 1], 
      Hue[0.5947560953921927, 
       Rational[1, 2], 1], 
      Hue[0.5947560953921927, 
       Rational[1, 2], 1], 
      Hue[0.5953449908152968, 
       Rational[1, 2], 1], 
      Hue[0.5953449908152968, 
       Rational[1, 2], 1], 
      Hue[0.5965227816615051, 
       Rational[1, 2], 1], 
      Hue[0.5965227816615051, 
       Rational[1, 2], 1], 
      Hue[0.5971116770846092, 
       Rational[1, 2], 1], 
      Hue[0.5971116770846092, 
       Rational[1, 2], 1], 
      Hue[0.5977005725077134, 
       Rational[1, 2], 1], 
      Hue[0.5977005725077134, 
       Rational[1, 2], 1], 
      Hue[0.5988783633539216, 
       Rational[1, 2], 1], 
      Hue[0.5988783633539216, 
       Rational[1, 2], 1], 
      Hue[0.5994672587770258, 
       Rational[1, 2], 1], 
      Hue[0.5994672587770258, 
       Rational[1, 2], 1], 
      Hue[0.6000561542001299, 
       Rational[1, 2], 1], 
      Hue[0.6000561542001299, 
       Rational[1, 2], 1], 
      Hue[0.6012339450463381, 
       Rational[1, 2], 1], 
      Hue[0.6012339450463381, 
       Rational[1, 2], 1], 
      Hue[0.6018721105155009, 
       Rational[1, 2], 1], 
      Hue[0.6018721105155009, 
       Rational[1, 2], 1], 
      Hue[0.6025102759846638, 
       Rational[1, 2], 1], 
      Hue[0.6025102759846638, 
       Rational[1, 2], 1], 
      Hue[0.6037866069229894, 
       Rational[1, 2], 1], 
      Hue[0.6037866069229894, 
       Rational[1, 2], 1], 
      Hue[0.6063392687996407, 
       Rational[1, 2], 1], 
      Hue[0.6063392687996407, 
       Rational[1, 2], 1], 
      Hue[0.6069774342688037, 
       Rational[1, 2], 1], 
      Hue[0.6069774342688037, 
       Rational[1, 2], 1], 
      Hue[0.6076155997379664, 
       Rational[1, 2], 1], 
      Hue[0.6076155997379664, 
       Rational[1, 2], 1], 
      Hue[0.6088919306762921, 
       Rational[1, 2], 1], 
      Hue[0.6088919306762921, 
       Rational[1, 2], 1], 
      Hue[0.6114445925529435, 
       Rational[1, 2], 1], 
      Hue[0.6114445925529435, 
       Rational[1, 2], 1], 
      Hue[0.6120827580221063, 
       Rational[1, 2], 1], 
      Hue[0.6120827580221063, 
       Rational[1, 2], 1], 
      Hue[0.612720923491269, 
       Rational[1, 2], 1], 
      Hue[0.612720923491269, 
       Rational[1, 2], 1], 
      Hue[0.6139972544295949, 
       Rational[1, 2], 1], 
      Hue[0.6139972544295949, 
       Rational[1, 2], 1], 
      Hue[0.6165499163062461, 
       Rational[1, 2], 1], 
      Hue[0.6165499163062461, 
       Rational[1, 2], 1], 
      Hue[0.6216552400595488, 
       Rational[1, 2], 1], 
      Hue[0.6216552400595488, 
       Rational[1, 2], 1], 
      Hue[0.6222934055287117, 
       Rational[1, 2], 1], 
      Hue[0.6222934055287117, 
       Rational[1, 2], 1], 
      Hue[0.6229315709978744, 
       Rational[1, 2], 1], 
      Hue[0.6229315709978744, 
       Rational[1, 2], 1], 
      Hue[0.6242079019362001, 
       Rational[1, 2], 1], 
      Hue[0.6242079019362001, 
       Rational[1, 2], 1], 
      Hue[0.6267605638128515, 
       Rational[1, 2], 1], 
      Hue[0.6267605638128515, 
       Rational[1, 2], 1], 
      Hue[0.631865887566154, 
       Rational[1, 2], 1], 
      Hue[0.631865887566154, 
       Rational[1, 2], 1], 
      Hue[0.6420765350727595, 
       Rational[1, 2], 1], 
      Hue[0.6420765350727595, 
       Rational[1, 2], 1], 
      Hue[0.6427030694617979, 
       Rational[1, 2], 1], 
      Hue[0.6427030694617979, 
       Rational[1, 2], 1], 
      Hue[0.6433296038508365, 
       Rational[1, 2], 1], 
      Hue[0.6433296038508365, 
       Rational[1, 2], 1], 
      Hue[0.6445826726289132, 
       Rational[1, 2], 1], 
      Hue[0.6445826726289132, 
       Rational[1, 2], 1], 
      Hue[0.6470888101850669, 
       Rational[1, 2], 1], 
      Hue[0.6470888101850669, 
       Rational[1, 2], 1], 
      Hue[0.6521010852973744, 
       Rational[1, 2], 1], 
      Hue[0.6521010852973744, 
       Rational[1, 2], 1], 
      Hue[0.6621256355219893, 
       Rational[1, 2], 1], 
      Hue[0.6621256355219893, 
       Rational[1, 2], 1], 
      Hue[0.6821747359712191, 
       Rational[1, 2], 1], 
      Hue[0.6821747359712191, 
       Rational[1, 2], 1], 
      Hue[0.6827591887170417, 
       Rational[1, 2], 1], 
      Hue[0.6827591887170417, 
       Rational[1, 2], 1], 
      Hue[0.6833436414628641, 
       Rational[1, 2], 1], 
      Hue[0.6833436414628641, 
       Rational[1, 2], 1], 
      Hue[0.684512546954509, 
       Rational[1, 2], 1], 
      Hue[0.684512546954509, 
       Rational[1, 2], 1], 
      Hue[0.6868503579377989, 
       Rational[1, 2], 1], 
      Hue[0.6868503579377989, 
       Rational[1, 2], 1], 
      Hue[0.6915259799043787, 
       Rational[1, 2], 1], 
      Hue[0.6915259799043787, 
       Rational[1, 2], 1], 
      Hue[0.700877223837538, 
       Rational[1, 2], 1], 
      Hue[0.700877223837538, 
       Rational[1, 2], 1], 
      Hue[0.7014616765833603, 
       Rational[1, 2], 1], 
      Hue[0.7014616765833603, 
       Rational[1, 2], 1], 
      Hue[0.7020461293291829, 
       Rational[1, 2], 1], 
      Hue[0.7020461293291829, 
       Rational[1, 2], 1], 
      Hue[0.7032150348208277, 
       Rational[1, 2], 1], 
      Hue[0.7032150348208277, 
       Rational[1, 2], 1], 
      Hue[0.7055528458041176, 
       Rational[1, 2], 1], 
      Hue[0.7055528458041176, 
       Rational[1, 2], 1], 
      Hue[0.7102284677706974, 
       Rational[1, 2], 1], 
      Hue[0.7102284677706974, 
       Rational[1, 2], 1], 
      Hue[0.7195797117038569, 
       Rational[1, 2], 1], 
      Hue[0.7195797117038569, 
       Rational[1, 2], 1], 
      Hue[0.7202134344957382, 
       Rational[1, 2], 1], 
      Hue[0.7202134344957382, 
       Rational[1, 2], 1], 
      Hue[0.7208471572876194, 
       Rational[1, 2], 1], 
      Hue[0.7208471572876194, 
       Rational[1, 2], 1], 
      Hue[0.7221146028713816, 
       Rational[1, 2], 1], 
      Hue[0.7221146028713816, 
       Rational[1, 2], 1], 
      Hue[0.7246494940389063, 
       Rational[1, 2], 1], 
      Hue[0.7246494940389063, 
       Rational[1, 2], 1], 
      Hue[0.729719276373956, 
       Rational[1, 2], 1], 
      Hue[0.729719276373956, 
       Rational[1, 2], 1], 
      Hue[0.7303529991658371, 
       Rational[1, 2], 1], 
      Hue[0.7303529991658371, 
       Rational[1, 2], 1], 
      Hue[0.7309867219577184, 
       Rational[1, 2], 1], 
      Hue[0.7309867219577184, 
       Rational[1, 2], 1], 
      Hue[0.7322541675414806, 
       Rational[1, 2], 1], 
      Hue[0.7322541675414806, 
       Rational[1, 2], 1], 
      Hue[0.7347890587090053, 
       Rational[1, 2], 1], 
      Hue[0.7347890587090053, 
       Rational[1, 2], 1], 
      Hue[0.7398588410440549, 
       Rational[1, 2], 1], 
      Hue[0.7398588410440549, 
       Rational[1, 2], 1], 
      Hue[0.7404925638359361, 
       Rational[1, 2], 1], 
      Hue[0.7404925638359361, 
       Rational[1, 2], 1], 
      Hue[0.7411262866278173, 
       Rational[1, 2], 1], 
      Hue[0.7411262866278173, 
       Rational[1, 2], 1], 
      Hue[0.7423937322115797, 
       Rational[1, 2], 1], 
      Hue[0.7423937322115797, 
       Rational[1, 2], 1], 
      Hue[0.7449286233791044, 
       Rational[1, 2], 1], 
      Hue[0.7449286233791044, 
       Rational[1, 2], 1], 
      Hue[0.7455623461709856, 
       Rational[1, 2], 1], 
      Hue[0.7455623461709856, 
       Rational[1, 2], 1], 
      Hue[0.7461960689628668, 
       Rational[1, 2], 1], 
      Hue[0.7461960689628668, 
       Rational[1, 2], 1], 
      Hue[0.7474635145466291, 
       Rational[1, 2], 1], 
      Hue[0.7474635145466291, 
       Rational[1, 2], 1], 
      Hue[0.7480972373385104, 
       Rational[1, 2], 1], 
      Hue[0.7480972373385104, 
       Rational[1, 2], 1], 
      Hue[0.7487309601303914, 
       Rational[1, 2], 1], 
      Hue[0.7487309601303914, 
       Rational[1, 2], 1], 
      Hue[0.7493646829222727, 
       Rational[1, 2], 1], 
      Hue[0.7493646829222727, 
       Rational[1, 2], 1], 
      Hue[0.7499984057141539, 
       Rational[1, 2], 1], 
      Hue[0.7499984057141539, 
       Rational[1, 2], 1], 
      Hue[0.2506321285060351, 
       Rational[1, 2], 1], 
      Hue[0.2506321285060351, 
       Rational[1, 2], 1], 
      Hue[0.2512658512979163, 
       Rational[1, 2], 1], 
      Hue[0.2512658512979163, 
       Rational[1, 2], 1], 
      Hue[0.25253329688167864`, 
       Rational[1, 2], 1], 
      Hue[0.25253329688167864`, 
       Rational[1, 2], 1], 
      Hue[0.25506818804920334`, 
       Rational[1, 2], 1], 
      Hue[0.25506818804920334`, 
       Rational[1, 2], 1], 
      Hue[0.26013797038425285`, 
       Rational[1, 2], 1], 
      Hue[0.26013797038425285`, 
       Rational[1, 2], 1], 
      Hue[0.26072961153291807`, 
       Rational[1, 2], 1], 
      Hue[0.26072961153291807`, 
       Rational[1, 2], 1], 
      Hue[0.2613212526815833, 
       Rational[1, 2], 1], 
      Hue[0.2613212526815833, 
       Rational[1, 2], 1], 
      Hue[0.26250453497891374`, 
       Rational[1, 2], 1], 
      Hue[0.26250453497891374`, 
       Rational[1, 2], 1], 
      Hue[0.26487109957357463`, 
       Rational[1, 2], 1], 
      Hue[0.26487109957357463`, 
       Rational[1, 2], 1], 
      Hue[0.2696042287628964, 
       Rational[1, 2], 1], 
      Hue[0.2696042287628964, 
       Rational[1, 2], 1], 
      Hue[0.27019586991156164`, 
       Rational[1, 2], 1], 
      Hue[0.27019586991156164`, 
       Rational[1, 2], 1], 
      Hue[0.2707875110602269, 
       Rational[1, 2], 1], 
      Hue[0.2707875110602269, 
       Rational[1, 2], 1], 
      Hue[0.27197079335755736`, 
       Rational[1, 2], 1], 
      Hue[0.27197079335755736`, 
       Rational[1, 2], 1], 
      Hue[0.27433735795221825`, 
       Rational[1, 2], 1], 
      Hue[0.27433735795221825`, 
       Rational[1, 2], 1], 
      Hue[0.27907048714154004`, 
       Rational[1, 2], 1], 
      Hue[0.27907048714154004`, 
       Rational[1, 2], 1], 
      Hue[0.27966212829020526`, 
       Rational[1, 2], 1], 
      Hue[0.27966212829020526`, 
       Rational[1, 2], 1], 
      Hue[0.2802537694388705, 
       Rational[1, 2], 1], 
      Hue[0.2802537694388705, 
       Rational[1, 2], 1], 
      Hue[0.2814370517362009, 
       Rational[1, 2], 1], 
      Hue[0.2814370517362009, 
       Rational[1, 2], 1], 
      Hue[0.2838036163308618, 
       Rational[1, 2], 1], 
      Hue[0.2838036163308618, 
       Rational[1, 2], 1], 
      Hue[0.28439525747952704`, 
       Rational[1, 2], 1], 
      Hue[0.28439525747952704`, 
       Rational[1, 2], 1], 
      Hue[0.28498689862819226`, 
       Rational[1, 2], 1], 
      Hue[0.28498689862819226`, 
       Rational[1, 2], 1], 
      Hue[0.2861701809255227, 
       Rational[1, 2], 1], 
      Hue[0.2861701809255227, 
       Rational[1, 2], 1], 
      Hue[0.2885367455201836, 
       Rational[1, 2], 1], 
      Hue[0.2885367455201836, 
       Rational[1, 2], 1], 
      Hue[0.2891283866688488, 
       Rational[1, 2], 1], 
      Hue[0.2891283866688488, 
       Rational[1, 2], 1], 
      Hue[0.28972002781751405`, 
       Rational[1, 2], 1], 
      Hue[0.28972002781751405`, 
       Rational[1, 2], 1], 
      Hue[0.2909033101148445, 
       Rational[1, 2], 1], 
      Hue[0.2909033101148445, 
       Rational[1, 2], 1], 
      Hue[0.2932698747095054, 
       Rational[1, 2], 1], 
      Hue[0.2932698747095054, 
       Rational[1, 2], 1], 
      Hue[0.2938615158581706, 
       Rational[1, 2], 1], 
      Hue[0.2938615158581706, 
       Rational[1, 2], 1], 
      Hue[0.29445315700683583`, 
       Rational[1, 2], 1], 
      Hue[0.29445315700683583`, 
       Rational[1, 2], 1], 
      Hue[0.29563643930416633`, 
       Rational[1, 2], 1], 
      Hue[0.29563643930416633`, 
       Rational[1, 2], 1], 
      Hue[0.29800300389882706`, 
       Rational[1, 2], 1], 
      Hue[0.29800300389882706`, 
       Rational[1, 2], 1], 
      Hue[0.298583013967368, 
       Rational[1, 2], 1], 
      Hue[0.298583013967368, 
       Rational[1, 2], 1], 
      Hue[0.29916302403590883`, 
       Rational[1, 2], 1], 
      Hue[0.29916302403590883`, 
       Rational[1, 2], 1], 
      Hue[0.30032304417299044`, 
       Rational[1, 2], 1], 
      Hue[0.30032304417299044`, 
       Rational[1, 2], 1], 
      Hue[0.30090305424153124`, 
       Rational[1, 2], 1], 
      Hue[0.30090305424153124`, 
       Rational[1, 2], 1], 
      Hue[0.30148306431007205`, 
       Rational[1, 2], 1], 
      Hue[0.30148306431007205`, 
       Rational[1, 2], 1], 
      Hue[0.3026430844471537, 
       Rational[1, 2], 1], 
      Hue[0.3026430844471537, 
       Rational[1, 2], 1], 
      Hue[0.3032230945156945, 
       Rational[1, 2], 1], 
      Hue[0.3032230945156945, 
       Rational[1, 2], 1], 
      Hue[0.3038031045842353, 
       Rational[1, 2], 1], 
      Hue[0.3038031045842353, 
       Rational[1, 2], 1], 
      Hue[0.3049631247213169, 
       Rational[1, 2], 1], 
      Hue[0.3049631247213169, 
       Rational[1, 2], 1], 
      Hue[0.30728316499548014`, 
       Rational[1, 2], 1], 
      Hue[0.30728316499548014`, 
       Rational[1, 2], 1], 
      Hue[0.30786317506402094`, 
       Rational[1, 2], 1], 
      Hue[0.30786317506402094`, 
       Rational[1, 2], 1], 
      Hue[0.3084431851325618, 
       Rational[1, 2], 1], 
      Hue[0.3084431851325618, 
       Rational[1, 2], 1], 
      Hue[0.3096032052696434, 
       Rational[1, 2], 1], 
      Hue[0.3096032052696434, 
       Rational[1, 2], 1], 
      Hue[0.3101832153381842, 
       Rational[1, 2], 1], 
      Hue[0.3101832153381842, 
       Rational[1, 2], 1], 
      Hue[0.310763225406725, 
       Rational[1, 2], 1], 
      Hue[0.310763225406725, 
       Rational[1, 2], 1], 
      Hue[0.3119232455438066, 
       Rational[1, 2], 1], 
      Hue[0.3119232455438066, 
       Rational[1, 2], 1], 
      Hue[0.31250325561234743`, 
       Rational[1, 2], 1], 
      Hue[0.31250325561234743`, 
       Rational[1, 2], 1], 
      Hue[0.31308326568088823`, 
       Rational[1, 2], 1], 
      Hue[0.31308326568088823`, 
       Rational[1, 2], 1], 
      Hue[0.3142432858179699, 
       Rational[1, 2], 1], 
      Hue[0.3142432858179699, 
       Rational[1, 2], 1], 
      Hue[0.3148232958865107, 
       Rational[1, 2], 1], 
      Hue[0.3148232958865107, 
       Rational[1, 2], 1], 
      Hue[0.3154033059550515, 
       Rational[1, 2], 1], 
      Hue[0.3154033059550515, 
       Rational[1, 2], 1], 
      Hue[0.3165633260921333, 
       Rational[1, 2], 1], 
      Hue[0.3165633260921333, 
       Rational[1, 2], 1], 
      Hue[0.3171433361606742, 
       Rational[1, 2], 1], 
      Hue[0.3171433361606742, 
       Rational[1, 2], 1], 
      Hue[0.317723346229215, 
       Rational[1, 2], 1], 
      Hue[0.317723346229215, 
       Rational[1, 2], 1], 
      Hue[0.31830335629775586`, 
       Rational[1, 2], 1], 
      Hue[0.31830335629775586`, 
       Rational[1, 2], 1], 
      Hue[0.31888336636629666`, 
       Rational[1, 2], 1], 
      Hue[0.31888336636629666`, 
       Rational[1, 2], 1], 
      Hue[0.31946337643483746`, 
       Rational[1, 2], 1], 
      Hue[0.31946337643483746`, 
       Rational[1, 2], 1], 
      Hue[0.32004338650337827`, 
       Rational[1, 2], 1], 
      Hue[0.32004338650337827`, 
       Rational[1, 2], 1], 
      Hue[0.32062339657191913`, 
       Rational[1, 2], 1], 
      Hue[0.32062339657191913`, 
       Rational[1, 2], 1], 
      Hue[0.32120340664045993`, 
       Rational[1, 2], 1], 
      Hue[0.32120340664045993`, 
       Rational[1, 2], 1], 
      Hue[0.32178341670900074`, 
       Rational[1, 2], 1], 
      Hue[0.32178341670900074`, 
       Rational[1, 2], 1], 
      Hue[0.32236342677754154`, 
       Rational[1, 2], 1], 
      Hue[0.32236342677754154`, 
       Rational[1, 2], 1], 
      Hue[0.3229434368460823, 
       Rational[1, 2], 1], 
      Hue[0.3229434368460823, 
       Rational[1, 2], 1], 
      Hue[0.32352344691462315`, 
       Rational[1, 2], 1], 
      Hue[0.32352344691462315`, 
       Rational[1, 2], 1], 
      Hue[0.32410345698316395`, 
       Rational[1, 2], 1], 
      Hue[0.32410345698316395`, 
       Rational[1, 2], 1], 
      Hue[0.32468346705170475`, 
       Rational[1, 2], 1], 
      Hue[0.32468346705170475`, 
       Rational[1, 2], 1], 
      Hue[0.32526347712024556`, 
       Rational[1, 2], 1], 
      Hue[0.32526347712024556`, 
       Rational[1, 2], 1], 
      Hue[0.3258434871887864, 
       Rational[1, 2], 1], 
      Hue[0.3258434871887864, 
       Rational[1, 2], 1], 
      Hue[0.3264234972573272, 
       Rational[1, 2], 1], 
      Hue[0.3264234972573272, 
       Rational[1, 2], 1], 
      Hue[0.327003507325868, 
       Rational[1, 2], 1], 
      Hue[0.327003507325868, 
       Rational[1, 2], 1], 
      Hue[0.32758351739440883`, 
       Rational[1, 2], 1], 
      Hue[0.32758351739440883`, 
       Rational[1, 2], 1], 
      Hue[0.32816352746294963`, 
       Rational[1, 2], 1], 
      Hue[0.32816352746294963`, 
       Rational[1, 2], 1], 
      Hue[0.32874353753149044`, 
       Rational[1, 2], 1], 
      Hue[0.32874353753149044`, 
       Rational[1, 2], 1], 
      Hue[0.32932354760003124`, 
       Rational[1, 2], 1], 
      Hue[0.32932354760003124`, 
       Rational[1, 2], 1], 
      Hue[0.32990355766857205`, 
       Rational[1, 2], 1], 
      Hue[0.32990355766857205`, 
       Rational[1, 2], 1], 
      Hue[0.33048356773711285`, 
       Rational[1, 2], 1], 
      Hue[0.33048356773711285`, 
       Rational[1, 2], 1], 
      Hue[0.3310635778056537, 
       Rational[1, 2], 1], 
      Hue[0.3310635778056537, 
       Rational[1, 2], 1], 
      Hue[0.3316435878741945, 
       Rational[1, 2], 1], 
      Hue[0.3316435878741945, 
       Rational[1, 2], 1], 
      Hue[0.3322235979427353, 
       Rational[1, 2], 1], 
      Hue[0.3322235979427353, 
       Rational[1, 2], 1], 
      Hue[0.3328036080112761, 
       Rational[1, 2], 1], 
      Hue[0.3328036080112761, 
       Rational[1, 2], 1], 
      Hue[0.3333836180798169, 
       Rational[1, 2], 1], 
      Hue[0.3333836180798169, 
       Rational[1, 2], 1], 
      Hue[0.3339636281483577, 
       Rational[1, 2], 1], 
      Hue[0.3339636281483577, 
       Rational[1, 2], 1], 
      Hue[0.3351236482854395, 
       Rational[1, 2], 1], 
      Hue[0.3351236482854395, 
       Rational[1, 2], 1], 
      Hue[0.33575292840003906`, 
       Rational[1, 2], 1], 
      Hue[0.33575292840003906`, 
       Rational[1, 2], 1], 
      Hue[0.33638220851463846`, 
       Rational[1, 2], 1], 
      Hue[0.33638220851463846`, 
       Rational[1, 2], 1], 
      Hue[0.3376407687438376, 
       Rational[1, 2], 1], 
      Hue[0.3376407687438376, 
       Rational[1, 2], 1], 
      Hue[0.33827004885843714`, 
       Rational[1, 2], 1], 
      Hue[0.33827004885843714`, 
       Rational[1, 2], 1], 
      Hue[0.3388993289730367, 
       Rational[1, 2], 1], 
      Hue[0.3388993289730367, 
       Rational[1, 2], 1], 
      Hue[0.34015788920223583`, 
       Rational[1, 2], 1], 
      Hue[0.34015788920223583`, 
       Rational[1, 2], 1], 
      Hue[0.3407871693168354, 
       Rational[1, 2], 1], 
      Hue[0.3407871693168354, 
       Rational[1, 2], 1], 
      Hue[0.34141644943143495`, 
       Rational[1, 2], 1], 
      Hue[0.34141644943143495`, 
       Rational[1, 2], 1], 
      Hue[0.34267500966063386`, 
       Rational[1, 2], 1], 
      Hue[0.34267500966063386`, 
       Rational[1, 2], 1], 
      Hue[0.34519213011903205`, 
       Rational[1, 2], 1], 
      Hue[0.34519213011903205`, 
       Rational[1, 2], 1], 
      Hue[0.3458214102336316, 
       Rational[1, 2], 1], 
      Hue[0.3458214102336316, 
       Rational[1, 2], 1], 
      Hue[0.34645069034823117`, 
       Rational[1, 2], 1], 
      Hue[0.34645069034823117`, 
       Rational[1, 2], 1], 
      Hue[0.3477092505774303, 
       Rational[1, 2], 1], 
      Hue[0.3477092505774303, 
       Rational[1, 2], 1], 
      Hue[0.3502263710358284, 
       Rational[1, 2], 1], 
      Hue[0.3502263710358284, 
       Rational[1, 2], 1], 
      Hue[0.35526061195262476`, 
       Rational[1, 2], 1], 
      Hue[0.35526061195262476`, 
       Rational[1, 2], 1], 
      Hue[0.35588989206722427`, 
       Rational[1, 2], 1], 
      Hue[0.35588989206722427`, 
       Rational[1, 2], 1], 
      Hue[0.35651917218182383`, 
       Rational[1, 2], 1], 
      Hue[0.35651917218182383`, 
       Rational[1, 2], 1], 
      Hue[0.35777773241102284`, 
       Rational[1, 2], 1], 
      Hue[0.35777773241102284`, 
       Rational[1, 2], 1], 
      Hue[0.360294852869421, 
       Rational[1, 2], 1], 
      Hue[0.360294852869421, 
       Rational[1, 2], 1], 
      Hue[0.3653290937862173, 
       Rational[1, 2], 1], 
      Hue[0.3653290937862173, 
       Rational[1, 2], 1], 
      Hue[0.37539757561980985`, 
       Rational[1, 2], 1], 
      Hue[0.37539757561980985`, 
       Rational[1, 2], 1], 
      Hue[0.37598477409119335`, 
       Rational[1, 2], 1], 
      Hue[0.37598477409119335`, 
       Rational[1, 2], 1], 
      Hue[0.376571972562577, 
       Rational[1, 2], 1], 
      Hue[0.376571972562577, 
       Rational[1, 2], 1], 
      Hue[0.3777463695053441, 
       Rational[1, 2], 1], 
      Hue[0.3777463695053441, 
       Rational[1, 2], 1], 
      Hue[0.3800951633908783, 
       Rational[1, 2], 1], 
      Hue[0.3800951633908783, 
       Rational[1, 2], 1], 
      Hue[0.38479275116194706`, 
       Rational[1, 2], 1], 
      Hue[0.38479275116194706`, 
       Rational[1, 2], 1], 
      Hue[0.3941879267040842, 
       Rational[1, 2], 1], 
      Hue[0.3941879267040842, 
       Rational[1, 2], 1], 
      Hue[0.41297827778835855`, 
       Rational[1, 2], 1], 
      Hue[0.41297827778835855`, 
       Rational[1, 2], 1], 
      Hue[0.41361474630580086`, 
       Rational[1, 2], 1], 
      Hue[0.41361474630580086`, 
       Rational[1, 2], 1], 
      Hue[0.41425121482324306`, 
       Rational[1, 2], 1], 
      Hue[0.41425121482324306`, 
       Rational[1, 2], 1], 
      Hue[0.41552415185812763`, 
       Rational[1, 2], 1], 
      Hue[0.41552415185812763`, 
       Rational[1, 2], 1], 
      Hue[0.41807002592789677`, 
       Rational[1, 2], 1], 
      Hue[0.41807002592789677`, 
       Rational[1, 2], 1], 
      Hue[0.42316177406743516`, 
       Rational[1, 2], 1], 
      Hue[0.42316177406743516`, 
       Rational[1, 2], 1], 
      Hue[0.4333452703465117, 
       Rational[1, 2], 1], 
      Hue[0.4333452703465117, 
       Rational[1, 2], 1], 
      Hue[0.4537122629046651, 
       Rational[1, 2], 1], 
      Hue[0.4537122629046651, 
       Rational[1, 2], 1], 
      Hue[0.4537312841026335, 
       Rational[1, 2], 1], 
      Hue[0.4537312841026335, 
       Rational[1, 2], 1], 
      Hue[0.4537503053006021, 
       Rational[1, 2], 1], 
      Hue[0.4537503053006021, 
       Rational[1, 2], 1], 
      Hue[0.45378834769653925`, 
       Rational[1, 2], 1], 
      Hue[0.45378834769653925`, 
       Rational[1, 2], 1], 
      Hue[0.45386443248841346`, 
       Rational[1, 2], 1], 
      Hue[0.45386443248841346`, 
       Rational[1, 2], 1], 
      Hue[0.4540166020721617, 
       Rational[1, 2], 1], 
      Hue[0.4540166020721617, 
       Rational[1, 2], 1], 
      Hue[0.45432094123965827`, 
       Rational[1, 2], 1], 
      Hue[0.45432094123965827`, 
       Rational[1, 2], 1], 
      Hue[0.4543399624376266, 
       Rational[1, 2], 1], 
      Hue[0.4543399624376266, 
       Rational[1, 2], 1], 
      Hue[0.4543589836355952, 
       Rational[1, 2], 1], 
      Hue[0.4543589836355952, 
       Rational[1, 2], 1], 
      Hue[0.45439702603153237`, 
       Rational[1, 2], 1], 
      Hue[0.45439702603153237`, 
       Rational[1, 2], 1], 
      Hue[0.4544731108234065, 
       Rational[1, 2], 1], 
      Hue[0.4544731108234065, 
       Rational[1, 2], 1], 
      Hue[0.45462528040715483`, 
       Rational[1, 2], 1], 
      Hue[0.45462528040715483`, 
       Rational[1, 2], 1], 
      Hue[0.4546443016051233, 
       Rational[1, 2], 1], 
      Hue[0.4546443016051233, 
       Rational[1, 2], 1], 
      Hue[0.45466332280309196`, 
       Rational[1, 2], 1], 
      Hue[0.45466332280309196`, 
       Rational[1, 2], 1], 
      Hue[0.45470136519902893`, 
       Rational[1, 2], 1], 
      Hue[0.45470136519902893`, 
       Rational[1, 2], 1], 
      Hue[0.45477744999090297`, 
       Rational[1, 2], 1], 
      Hue[0.45477744999090297`, 
       Rational[1, 2], 1], 
      Hue[0.45479647118887156`, 
       Rational[1, 2], 1], 
      Hue[0.45479647118887156`, 
       Rational[1, 2], 1], 
      Hue[0.45481549238684016`, 
       Rational[1, 2], 1], 
      Hue[0.45481549238684016`, 
       Rational[1, 2], 1], 
      Hue[0.4548535347827772, 
       Rational[1, 2], 1], 
      Hue[0.4548535347827772, 
       Rational[1, 2], 1], 
      Hue[0.4548725559807458, 
       Rational[1, 2], 1], 
      Hue[0.4548725559807458, 
       Rational[1, 2], 1], 
      Hue[0.4548915771787143, 
       Rational[1, 2], 1], 
      Hue[0.4548915771787143, 
       Rational[1, 2], 1], 
      Hue[0.45491059837668285`, 
       Rational[1, 2], 1], 
      Hue[0.45491059837668285`, 
       Rational[1, 2], 1], 
      Hue[0.4549296195746514, 
       Rational[1, 2], 1]}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, False},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->True,
  PlotRange->All,
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.389731007230976*^9, 3.3897310615691104`*^9, 
  3.389733080434315*^9, 3.3908940007448*^9, 3.3917799276570683`*^9, 
  3.391780224564777*^9, 3.391848729703125*^9, 3.39246965823599*^9, 
  3.3938423932285557`*^9, 3.393844802104107*^9, 3.393847017038987*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell["\<\
Like the other commands, this command accepts options and allows a \
combination with an ordinary plot\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"spinorlist", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"spinorfunction", "[", "x", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "3"}], ",", "3", ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{"QListSpinorCombinedPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"spinorlist", ",", 
     RowBox[{"Sin", "[", 
      RowBox[{"4", " ", "x"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "3"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"QCurveStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"RGBColor", "[", 
       RowBox[{"1", ",", "0.7", ",", "0.9"}], "]"}], ",", 
      RowBox[{"Thickness", "[", "0.03", "]"}]}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"RGBColor", "[", 
       RowBox[{"1", ",", "0.2", ",", " ", "0.5"}], "]"}], ",", 
      RowBox[{"Thickness", "[", "0.04", "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{
  3.3897201237793455`*^9, {3.393844844821946*^9, 3.393844918496057*^9}, 
   3.393845136771717*^9, {3.393845246415341*^9, 3.393845304320002*^9}, {
   3.393845617568818*^9, 3.393845650350236*^9}, 3.393845684126103*^9}],

Cell[BoxData[
 GraphicsBox[{{GraphicsComplexBox[CompressedData["
1:eJyFlGlIVFEUx8dxGwcr0CK0klJGRGnTShHxPFAJtAi0HCs/WDRatlgmptUH
ExkjIXAJlyw0IsqwHBVSUq6iaYNbprhBOiVq6eCMqdOIMi33nfnglUsHHo8f
797/+d/7OP/olPN7VBKJRPr3Kf73bpGIBf3d9hkBikhiSaQFAwXVObdVhWSt
mxZ8DndXdRXakNUAWqA16fK0lUqyUkoLXhu0PikT24gZ9drk5k3Lbr3EhHoj
qlHNzrevyBLqTSqbo8r6/Mgi6n3vaomZ810mC6g3F30rfWJfGjH8pgWzIadb
U4syiR73T32RKtrTq8gPurwEdJc9T8RlA5mm7VQw3plRebTDlUxSeX+Y8oiJ
ehm4m0xQOQvow8jY3jwpGaX7i8FY0qFNC/EkA3T9AVhQDaWP/9QRLf1eBMaR
a/kzCTWkkfJDMAzGOnmlxEms92dQuh2bjIwE8fsLMIapg8erb4K4vwKMH3Nj
c8s1IOofAWPQKbnXtBuI/Z+APvZSzKBFAToqJ4VpV2VdgGkYRP+HQVda9PTs
mBnE810EXcFVebvvMIjnL4ep+IgX9R9sQbyfPpj1+1peVJsARqpnA/pseWPc
Zm8Q7/cxzNVkXQhZfA/i/R+CmbUoF0XSAxD/Ty9883f2VjedARP2G9L4BC/5
u4MZ9Vq7jJpdbY9gBfWqqm9EnzyeCKuop+0OqFu4Y4I11BsIlz+PX9aDxaqX
HJr1q7VHkKDeUP2nrQd76gUJXd8Dg807zs3Phwo2VL8M+oPmt+c0eAtSuj8J
tC1O767cbRJssV+LJvl+YEWmYId6NQ1u03G5LoId9s+XqStGk64L9qj3bEuv
bH9nquCAem96q9UuTQrBEfVq70VNeEY4CzLUq21r8MgTAq3zYi3rvHAZ54fL
OE9cxvnispnxw7KJ8cPyEuOH5UXGD8sLjB+WcX65rGf6sYzzzWWcdy7j/HMZ
84DLmA9cxrzgMuYHlzFPePy/suYNlzF/uIx5xGXMJy7r6EvKZcwvLmOecRnz
jcuYd1zG/OMy5iGXMR+5jHnJZRNzHpbNjB+WVxg/LK8yflheY/ywbGH8MCxI
1vvZyGJecxnzm8uY51y2XX+eDWzH+NnA68+7ge0ZPyw7MH5YdmT8sCxb7+cP
vKUDdA==
     "], {
      {GrayLevel[0.5], EdgeForm[None], 
       GraphicsGroupBox[
        PolygonBox[{{1, 52, 53, 2}, {2, 54, 55, 3}, {3, 56, 57, 4}, {4, 58, 
         59, 5}, {11, 72, 73, 12}, {5, 60, 61, 6}, {7, 64, 65, 8}, {6, 62, 63,
          7}, {9, 68, 69, 10}, {10, 70, 71, 11}, {49, 148, 149, 50}, {12, 74, 
         75, 13}, {14, 78, 79, 15}, {15, 80, 81, 16}, {16, 82, 83, 17}, {17, 
         84, 85, 18}, {18, 86, 87, 19}, {19, 88, 89, 20}, {20, 90, 91, 21}, {
         21, 92, 93, 22}, {22, 94, 95, 23}, {23, 96, 97, 24}, {8, 66, 67, 
         9}, {24, 98, 99, 25}, {25, 100, 101, 26}, {26, 102, 103, 27}, {31, 
         112, 113, 32}, {28, 106, 107, 29}, {29, 108, 109, 30}, {30, 110, 111,
          31}, {32, 114, 115, 33}, {36, 122, 123, 37}, {33, 116, 117, 34}, {
         34, 118, 119, 35}, {35, 120, 121, 36}, {37, 124, 125, 38}, {13, 76, 
         77, 14}, {38, 126, 127, 39}, {46, 142, 143, 47}, {41, 132, 133, 
         42}, {42, 134, 135, 43}, {27, 104, 105, 28}, {40, 130, 131, 41}, {43,
          136, 137, 44}, {44, 138, 139, 45}, {47, 144, 145, 48}, {48, 146, 
         147, 49}, {45, 140, 141, 46}, {39, 128, 129, 40}, {50, 150, 151, 
         51}}]]}, {{}, {}, 
       {Hue[0, 0, 
         NCache[
          Rational[1, 4], 0.25]], Thickness[0.04], LineBox[{1, 2}], 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{2, 3}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{3, 4}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{4, 5}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{5, 6}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{6, 7}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{7, 8}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{8, 9}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{9, 10}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{10, 11}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{11, 12}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{12, 13}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{13, 14}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{14, 15}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{15, 16}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{16, 17}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{17, 18}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{18, 19}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{19, 20}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{20, 21}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{21, 22}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{22, 23}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{23, 24}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{24, 25}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{25, 26}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{26, 27}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{27, 28}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{28, 29}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{29, 30}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{30, 31}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{31, 32}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{32, 33}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{33, 34}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{34, 35}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{35, 36}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{36, 37}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{37, 38}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{38, 39}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{39, 40}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{40, 41}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{41, 42}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{42, 43}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{43, 44}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{44, 45}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{45, 46}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{46, 47}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{47, 48}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{48, 49}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{49, 50}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{50, 51}]}}}},
     VertexColors->{
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]]}], GraphicsComplexBox[CompressedData["
1:eJyFlFtIVFEUhsdxnJEuJJYPViSiCWWRZNmDDeuA5YMEheEttUhR85YpRZSg
KD6IiJmJlmmMlhYWmkagZW7NGLO8pOOFcPKuqJl3ZrQZnGqfNQ9u2bTgcPg4
e//r3/uwft+EMMcIiUQi/fsU/ns3ScQCdcN2z8p8D7IRSQvUY/3am7tjibGd
FnySBV+Jc9UQgzsteK9cCHdxkZP1R7SguLQ6UKduJmuo9yYxtMX+wRzRoV6b
b7VHy7Mysop6vYN1eRWq82QF9bR3TEr32FCyhHqjHlFnOp1syYKJFox158Sn
lC+ROdw/VqKdDh7wJzN0+UMY8Te0LgdnkSnaLgIGZlPLjuQeIONU/jioBzMz
bLybyTCV24AqebJXQZYL+U73F0Kvsz5v0OkQ0dD1bjBq6LBrL68kbfR7PkxX
9yUcHk4l9ZRz4FegsSAkMkhivr+FAPtz4z4+IH6vgPmApxMpxA7E/SqYDc+4
5fb8LIj6HjA+bKzV3AgBsX8JDMjS42u8XWGEykmhpkEou7vDD0T/J+Hrzz1u
X/Legni+azDknhZj8lWBeP5imPS7eFSzywTi/XTBjKNS59VTAYtUzwJmvRLl
i7frQLzfxzDdbzu+vysVxPs/AZPK2okFmyIQ/08njNjp01PiAHTYr9dtqGe2
VQlrqNekOGjrV/Ib1lHvRdS+d2k7P4AB9T5bXDZFu/SBEfV6ThcuVzg0wgbq
9eW8KulonBIkqNfvtDyhePlEkND1HdCb1BV0T5UtWFD9Iuh22HsselUmSOn+
KGir15dbOJUKltivqUr68f5VhSBDvdcxyguD83pBhv3TMmd+LOaoBSvUU2mz
m9fDbAQ56lVd1yZXXfomKFCvNumUu+e2dMEa9WqbwpOdnXPN82Iu87xwGeeH
yzhPXMb54vIa44dlHeOH5VXGD8srjB+Wlxg/LOP8cnmO6ccyzjeXcd65jPPP
ZcwDLmM+cBnzgsuYH1zGPOHx/8qcN1zG/OEy5hGXMZ+4PEJfUi5jfnEZ84zL
mG9cxrzjMuYflzEPuYz5yGXMSy7rmPOwvMb4YXmd8cOygfHDspHxw/IG44dh
QbLZz1YW85rLmN9cxjznsuXm82xhGeNnC28+7xa2YvywLGf8sKxg/LBsvdnP
H34jCEM=
     "], {
      {GrayLevel[0.5], EdgeForm[None], 
       GraphicsGroupBox[
        PolygonBox[{{1, 52, 53, 2}, {2, 54, 55, 3}, {3, 56, 57, 4}, {4, 58, 
         59, 5}, {11, 72, 73, 12}, {5, 60, 61, 6}, {7, 64, 65, 8}, {6, 62, 63,
          7}, {9, 68, 69, 10}, {10, 70, 71, 11}, {49, 148, 149, 50}, {12, 74, 
         75, 13}, {14, 78, 79, 15}, {15, 80, 81, 16}, {16, 82, 83, 17}, {17, 
         84, 85, 18}, {18, 86, 87, 19}, {19, 88, 89, 20}, {20, 90, 91, 21}, {
         21, 92, 93, 22}, {22, 94, 95, 23}, {23, 96, 97, 24}, {8, 66, 67, 
         9}, {24, 98, 99, 25}, {25, 100, 101, 26}, {26, 102, 103, 27}, {31, 
         112, 113, 32}, {28, 106, 107, 29}, {29, 108, 109, 30}, {30, 110, 111,
          31}, {32, 114, 115, 33}, {36, 122, 123, 37}, {33, 116, 117, 34}, {
         34, 118, 119, 35}, {35, 120, 121, 36}, {37, 124, 125, 38}, {13, 76, 
         77, 14}, {38, 126, 127, 39}, {46, 142, 143, 47}, {41, 132, 133, 
         42}, {42, 134, 135, 43}, {27, 104, 105, 28}, {40, 130, 131, 41}, {43,
          136, 137, 44}, {44, 138, 139, 45}, {47, 144, 145, 48}, {48, 146, 
         147, 49}, {45, 140, 141, 46}, {39, 128, 129, 40}, {50, 150, 151, 
         51}}]]}, {{}, {}, 
       {Hue[0.6816901138162093, 1, 1], Thickness[0.04], LineBox[{1, 2}], 
        {Hue[0.697605608125399, 1, 1], LineBox[{2, 3}]}, 
        {Hue[0.7135211024345884, 1, 1], LineBox[{3, 4}]}, 
        {Hue[0.7294365967437779, 1, 1], LineBox[{4, 5}]}, 
        {Hue[0.7453520910529675, 1, 1], LineBox[{5, 6}]}, 
        {Hue[0.261267585362157, 1, 1], LineBox[{6, 7}]}, 
        {Hue[0.27718307967134653`, 1, 1], LineBox[{7, 8}]}, 
        {Hue[0.29309857398053607`, 1, 1], LineBox[{8, 9}]}, 
        {Hue[0.3090140682897256, 1, 1], LineBox[{9, 10}]}, 
        {Hue[0.3249295625989152, 1, 1], LineBox[{10, 11}]}, 
        {Hue[0.3408450569081047, 1, 1], LineBox[{11, 12}]}, 
        {Hue[0.3567605512172942, 1, 1], LineBox[{12, 13}]}, 
        {Hue[0.37267604552648376`, 1, 1], LineBox[{13, 14}]}, 
        {Hue[0.3885915398356733, 1, 1], LineBox[{14, 15}]}, 
        {Hue[0.4045070341448629, 1, 1], LineBox[{15, 16}]}, 
        {Hue[0.9204225284540524, 1, 1], LineBox[{16, 17}]}, 
        {Hue[0.9363380227632419, 1, 1], LineBox[{17, 18}]}, 
        {Hue[0.9522535170724314, 1, 1], LineBox[{18, 19}]}, 
        {Hue[0.9681690113816209, 1, 1], LineBox[{19, 20}]}, 
        {Hue[0.9840845056908105, 1, 1], LineBox[{20, 21}]}, 
        {Hue[0., 1, 1], LineBox[{21, 22}]}, 
        {Hue[0.015915494309189558`, 1, 1], LineBox[{22, 23}]}, 
        {Hue[0.0318309886183791, 1, 1], LineBox[{23, 24}]}, 
        {Hue[0.047746482927568626`, 1, 1], LineBox[{24, 25}]}, 
        {Hue[0.06366197723675816, 1, 1], LineBox[{25, 26}]}, 
        {Hue[0.07957747154594771, 1, 1], LineBox[{26, 27}]}, 
        {Hue[0.5954929658551372, 1, 1], LineBox[{27, 28}]}, 
        {Hue[0.6114084601643268, 1, 1], LineBox[{28, 29}]}, 
        {Hue[0.6273239544735163, 1, 1], LineBox[{29, 30}]}, 
        {Hue[0.6432394487827058, 1, 1], LineBox[{30, 31}]}, 
        {Hue[0.6591549430918953, 1, 1], LineBox[{31, 32}]}, 
        {Hue[0.675070437401085, 1, 1], LineBox[{32, 33}]}, 
        {Hue[0.6909859317102744, 1, 1], LineBox[{33, 34}]}, 
        {Hue[0.7069014260194639, 1, 1], LineBox[{34, 35}]}, 
        {Hue[0.7228169203286535, 1, 1], LineBox[{35, 36}]}, 
        {Hue[0.7387324146378431, 1, 1], LineBox[{36, 37}]}, 
        {Hue[0.25464790894703254`, 1, 1], LineBox[{37, 38}]}, 
        {Hue[0.2705634032562221, 1, 1], LineBox[{38, 39}]}, 
        {Hue[0.28647889756541167`, 1, 1], LineBox[{39, 40}]}, 
        {Hue[0.3023943918746012, 1, 1], LineBox[{40, 41}]}, 
        {Hue[0.3183098861837907, 1, 1], LineBox[{41, 42}]}, 
        {Hue[0.33422538049298023`, 1, 1], LineBox[{42, 43}]}, 
        {Hue[0.35014087480216977`, 1, 1], LineBox[{43, 44}]}, 
        {Hue[0.36605636911135936`, 1, 1], LineBox[{44, 45}]}, 
        {Hue[0.3819718634205489, 1, 1], LineBox[{45, 46}]}, 
        {Hue[0.39788735772973843`, 1, 1], LineBox[{46, 47}]}, 
        {Hue[0.41380285203892797`, 1, 1], LineBox[{47, 48}]}, 
        {Hue[0.9297183463481175, 1, 1], LineBox[{48, 49}]}, 
        {Hue[0.9456338406573069, 1, 1], LineBox[{49, 50}]}, 
        {Hue[0.9615493349664965, 1, 1], LineBox[{50, 51}]}}}},
     VertexColors->{
       Hue[0.6816901138162093, 1, 1], 
       Hue[0.697605608125399, 1, 1], 
       Hue[0.7135211024345884, 1, 1], 
       Hue[0.7294365967437779, 1, 1], 
       Hue[0.7453520910529675, 1, 1], 
       Hue[0.261267585362157, 1, 1], 
       Hue[0.27718307967134653`, 1, 1], 
       Hue[0.29309857398053607`, 1, 1], 
       Hue[0.3090140682897256, 1, 1], 
       Hue[0.3249295625989152, 1, 1], 
       Hue[0.3408450569081047, 1, 1], 
       Hue[0.3567605512172942, 1, 1], 
       Hue[0.37267604552648376`, 1, 1], 
       Hue[0.3885915398356733, 1, 1], 
       Hue[0.4045070341448629, 1, 1], 
       Hue[0.9204225284540524, 1, 1], 
       Hue[0.9363380227632419, 1, 1], 
       Hue[0.9522535170724314, 1, 1], 
       Hue[0.9681690113816209, 1, 1], 
       Hue[0.9840845056908105, 1, 1], 
       Hue[0., 1, 1], 
       Hue[0.015915494309189558`, 1, 1], 
       Hue[0.0318309886183791, 1, 1], 
       Hue[0.047746482927568626`, 1, 1], 
       Hue[0.06366197723675816, 1, 1], 
       Hue[0.07957747154594771, 1, 1], 
       Hue[0.5954929658551372, 1, 1], 
       Hue[0.6114084601643268, 1, 1], 
       Hue[0.6273239544735163, 1, 1], 
       Hue[0.6432394487827058, 1, 1], 
       Hue[0.6591549430918953, 1, 1], 
       Hue[0.675070437401085, 1, 1], 
       Hue[0.6909859317102744, 1, 1], 
       Hue[0.7069014260194639, 1, 1], 
       Hue[0.7228169203286535, 1, 1], 
       Hue[0.7387324146378431, 1, 1], 
       Hue[0.25464790894703254`, 1, 1], 
       Hue[0.2705634032562221, 1, 1], 
       Hue[0.28647889756541167`, 1, 1], 
       Hue[0.3023943918746012, 1, 1], 
       Hue[0.3183098861837907, 1, 1], 
       Hue[0.33422538049298023`, 1, 1], 
       Hue[0.35014087480216977`, 1, 1], 
       Hue[0.36605636911135936`, 1, 1], 
       Hue[0.3819718634205489, 1, 1], 
       Hue[0.39788735772973843`, 1, 1], 
       Hue[0.41380285203892797`, 1, 1], 
       Hue[0.9297183463481175, 1, 1], 
       Hue[0.9456338406573069, 1, 1], 
       Hue[0.9615493349664965, 1, 1], 
       Hue[0.9774648292756861, 1, 1], 
       Hue[0.6816901138162093, 1, 1], 
       Hue[0.697605608125399, 1, 1], 
       Hue[0.697605608125399, 1, 1], 
       Hue[0.7135211024345884, 1, 1], 
       Hue[0.7135211024345884, 1, 1], 
       Hue[0.7294365967437779, 1, 1], 
       Hue[0.7294365967437779, 1, 1], 
       Hue[0.7453520910529675, 1, 1], 
       Hue[0.7453520910529675, 1, 1], 
       Hue[0.261267585362157, 1, 1], 
       Hue[0.261267585362157, 1, 1], 
       Hue[0.27718307967134653`, 1, 1], 
       Hue[0.27718307967134653`, 1, 1], 
       Hue[0.29309857398053607`, 1, 1], 
       Hue[0.29309857398053607`, 1, 1], 
       Hue[0.3090140682897256, 1, 1], 
       Hue[0.3090140682897256, 1, 1], 
       Hue[0.3249295625989152, 1, 1], 
       Hue[0.3249295625989152, 1, 1], 
       Hue[0.3408450569081047, 1, 1], 
       Hue[0.3408450569081047, 1, 1], 
       Hue[0.3567605512172942, 1, 1], 
       Hue[0.3567605512172942, 1, 1], 
       Hue[0.37267604552648376`, 1, 1], 
       Hue[0.37267604552648376`, 1, 1], 
       Hue[0.3885915398356733, 1, 1], 
       Hue[0.3885915398356733, 1, 1], 
       Hue[0.4045070341448629, 1, 1], 
       Hue[0.4045070341448629, 1, 1], 
       Hue[0.9204225284540524, 1, 1], 
       Hue[0.9204225284540524, 1, 1], 
       Hue[0.9363380227632419, 1, 1], 
       Hue[0.9363380227632419, 1, 1], 
       Hue[0.9522535170724314, 1, 1], 
       Hue[0.9522535170724314, 1, 1], 
       Hue[0.9681690113816209, 1, 1], 
       Hue[0.9681690113816209, 1, 1], 
       Hue[0.9840845056908105, 1, 1], 
       Hue[0.9840845056908105, 1, 1], 
       Hue[0., 1, 1], 
       Hue[0., 1, 1], 
       Hue[0.015915494309189558`, 1, 1], 
       Hue[0.015915494309189558`, 1, 1], 
       Hue[0.0318309886183791, 1, 1], 
       Hue[0.0318309886183791, 1, 1], 
       Hue[0.047746482927568626`, 1, 1], 
       Hue[0.047746482927568626`, 1, 1], 
       Hue[0.06366197723675816, 1, 1], 
       Hue[0.06366197723675816, 1, 1], 
       Hue[0.07957747154594771, 1, 1], 
       Hue[0.07957747154594771, 1, 1], 
       Hue[0.5954929658551372, 1, 1], 
       Hue[0.5954929658551372, 1, 1], 
       Hue[0.6114084601643268, 1, 1], 
       Hue[0.6114084601643268, 1, 1], 
       Hue[0.6273239544735163, 1, 1], 
       Hue[0.6273239544735163, 1, 1], 
       Hue[0.6432394487827058, 1, 1], 
       Hue[0.6432394487827058, 1, 1], 
       Hue[0.6591549430918953, 1, 1], 
       Hue[0.6591549430918953, 1, 1], 
       Hue[0.675070437401085, 1, 1], 
       Hue[0.675070437401085, 1, 1], 
       Hue[0.6909859317102744, 1, 1], 
       Hue[0.6909859317102744, 1, 1], 
       Hue[0.7069014260194639, 1, 1], 
       Hue[0.7069014260194639, 1, 1], 
       Hue[0.7228169203286535, 1, 1], 
       Hue[0.7228169203286535, 1, 1], 
       Hue[0.7387324146378431, 1, 1], 
       Hue[0.7387324146378431, 1, 1], 
       Hue[0.25464790894703254`, 1, 1], 
       Hue[0.25464790894703254`, 1, 1], 
       Hue[0.2705634032562221, 1, 1], 
       Hue[0.2705634032562221, 1, 1], 
       Hue[0.28647889756541167`, 1, 1], 
       Hue[0.28647889756541167`, 1, 1], 
       Hue[0.3023943918746012, 1, 1], 
       Hue[0.3023943918746012, 1, 1], 
       Hue[0.3183098861837907, 1, 1], 
       Hue[0.3183098861837907, 1, 1], 
       Hue[0.33422538049298023`, 1, 1], 
       Hue[0.33422538049298023`, 1, 1], 
       Hue[0.35014087480216977`, 1, 1], 
       Hue[0.35014087480216977`, 1, 1], 
       Hue[0.36605636911135936`, 1, 1], 
       Hue[0.36605636911135936`, 1, 1], 
       Hue[0.3819718634205489, 1, 1], 
       Hue[0.3819718634205489, 1, 1], 
       Hue[0.39788735772973843`, 1, 1], 
       Hue[0.39788735772973843`, 1, 1], 
       Hue[0.41380285203892797`, 1, 1], 
       Hue[0.41380285203892797`, 1, 1], 
       Hue[0.9297183463481175, 1, 1], 
       Hue[0.9297183463481175, 1, 1], 
       Hue[0.9456338406573069, 1, 1], 
       Hue[0.9456338406573069, 1, 1], 
       Hue[0.9615493349664965, 1, 1], 
       Hue[0.9615493349664965, 1, 1], 
       Hue[0.9774648292756861, 1, 1]}], GraphicsComplexBox[CompressedData["
1:eJx1lHtIVEEUxq/rY7XAP6QQChO1lp4appVlzY0gS6JQhMywhWzTktSiKEoq
y6xFyqC0h/nK3lGUWShRZwkNzVem+FhK18dqK27mapvL6lrNPf6xs8yBy+XH
nfnON3M5X3TqPj+VIAiyf0/u/7dGkArqEpa0JH2fBtsBWtD0cVuWJSARJutp
QWNObMyc82qwrqIFn+Y1KHbFW8BymxY8mjrkGRsfBROop1F2ffN2CQAz6rVq
TSSslsA46ukiowb3mmbDGOr1bx9K3HpmCYyinn7Nb6VPSSGMTNOC3oj6U16L
WmEY97cZbzf7/54CA11+C568Co8NKs6EAdpOBS1KU1ZC0Rboo/LB0B/zYNZ0
tQ90UzkbDK+qKbtXch466f6bMFI86KFN6oEWun4lGGsrda7dcqil32/AgHHD
YWuqEiopX4WO+9qvxKwQmCLS94fQfmTZ3PUdVUTaXwz9H96sM+kXEEl/NRhK
L45vTtEQqX8BGPSBXfMzI4mOyshAb662HcvIIJL/UOjy3b/YFp1OpPMlQd2O
lIy88Ekinf8ulKzVxk2XehPpfpqgYcPG9sfvjOQX1XOCtuW9TuH+FiLdbz50
nB6JWrvGQKT7D4G2rZuSCy+piPR/GqFZFuy3uyibmLFf1dt0D2Wunkyg3otf
qpbEl+eIBfVyc+TtT+N8iRX1yvQ7LTl/hsgk6lV0ngyMUPcRG+pVXCvJW1od
IwqoV67Iyjvb2yMKdH0DPHtcbv3x86joRPXvQEFNWtt1Q40oo/sTIeN5arZf
fIjojP2OR69w/bwwWXRBPbXqiFz73kd0wf5XQj0H8v1fi66op9bffGT0ShPd
UO+CIrPi8MEQUY56J/KDZIGX/UV31DuwJ2z8iyZII9jXzLxwGeeHyzhPXMb5
4vIE44dlM+OH5XHGD8tjjB+WRxk/LOP8cnmY6ccyzjeXcd65jPPPZcwDLmM+
cBnzgsuYH1zGPOHxTJ5wGfOFy5g3XMb84bKOvmRcxnziMuYVlzG/uIx5xmXM
Ny5j3nEZ84/LmIdcNjPnYXmC8cOyhfHDspXxw/Ik44dlG+OHYVGw9+PIUh5z
GfOZy5jXXHa2P48DuzB+HNj+vA7syvhh2Y3xw7Kc8cOyu72fv78WG9U=
     "], {
      {GrayLevel[0.5], EdgeForm[None], 
       GraphicsGroupBox[{PolygonBox[{{90, 20, 21}, {21, 22, 91}}], 
         PolygonBox[{{56, 3, 4, 57}, {54, 2, 3, 55}, {52, 1, 2, 53}, {60, 5, 
          6, 61}, {62, 6, 7, 63}, {68, 9, 10, 69}, {70, 10, 11, 71}, {64, 7, 
          8, 65}, {58, 4, 5, 59}, {72, 11, 12, 73}, {74, 12, 13, 75}, {66, 8, 
          9, 67}, {80, 15, 16, 81}, {82, 16, 17, 83}, {84, 17, 18, 85}, {146, 
          49, 50, 147}, {86, 18, 19, 87}, {94, 23, 24, 95}, {88, 19, 20, 
          89}, {78, 14, 15, 79}, {92, 22, 23, 93}, {96, 24, 25, 97}, {98, 25, 
          26, 99}, {100, 26, 27, 101}, {110, 31, 32, 111}, {104, 28, 29, 
          105}, {106, 29, 30, 107}, {108, 30, 31, 109}, {112, 32, 33, 113}, {
          120, 36, 37, 121}, {114, 33, 34, 115}, {116, 34, 35, 117}, {118, 35,
           36, 119}, {122, 37, 38, 123}, {76, 13, 14, 77}, {124, 38, 39, 
          125}, {140, 46, 47, 141}, {130, 41, 42, 131}, {132, 42, 43, 133}, {
          102, 27, 28, 103}, {128, 40, 41, 129}, {134, 43, 44, 135}, {136, 44,
           45, 137}, {142, 47, 48, 143}, {144, 48, 49, 145}, {138, 45, 46, 
          139}, {126, 39, 40, 127}, {148, 50, 51, 149}}]}]}, {{}, {}, 
       {Hue[0.8633802276324186, 
         NCache[
          Rational[1, 2], 0.5], 1], Thickness[0.04], LineBox[{1, 2}], 
        {Hue[0.8952112162507977, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{2, 3}]}, 
        {Hue[0.9270422048691769, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{3, 4}]}, 
        {Hue[0.9588731934875558, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{4, 5}]}, 
        {Hue[0.9907041821059349, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{5, 6}]}, 
        {Hue[0.522535170724314, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{6, 7}]}, 
        {Hue[0.5543661593426931, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{7, 8}]}, 
        {Hue[0.5861971479610723, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{8, 9}]}, 
        {Hue[0.6180281365794511, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{9, 10}]}, 
        {Hue[0.6498591251978303, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{10, 11}]}, 
        {Hue[0.6816901138162094, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{11, 12}]}, 
        {Hue[0.7135211024345884, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{12, 13}]}, 
        {Hue[0.7453520910529675, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{13, 14}]}, 
        {Hue[0.2771830796713466, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{14, 15}]}, 
        {Hue[0.30901406828972566`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{15, 16}]}, 
        {Hue[0.3408450569081047, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{16, 17}]}, 
        {Hue[0.37267604552648376`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{17, 18}]}, 
        {Hue[0.4045070341448629, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{18, 19}]}, 
        {Hue[0.43633802276324196`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{19, 20}]}, 
        {Hue[0.468169011381621, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{20, 21}]}, 
        {Hue[0., 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{21, 22}]}, 
        {Hue[0.031830988618379116`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{22, 23}]}, 
        {Hue[0.0636619772367582, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{23, 24}]}, 
        {Hue[0.09549296585513725, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{24, 25}]}, 
        {Hue[0.12732395447351633`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{25, 26}]}, 
        {Hue[0.15915494309189543`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{26, 27}]}, 
        {Hue[0.19098593171027448`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{27, 28}]}, 
        {Hue[0.22281692032865355`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{28, 29}]}, 
        {Hue[0.7546479089470326, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{29, 30}]}, 
        {Hue[0.7864788975654117, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{30, 31}]}, 
        {Hue[0.8183098861837907, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{31, 32}]}, 
        {Hue[0.8501408748021698, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{32, 33}]}, 
        {Hue[0.8819718634205489, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{33, 34}]}, 
        {Hue[0.913802852038928, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{34, 35}]}, 
        {Hue[0.945633840657307, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{35, 36}]}, 
        {Hue[0.9774648292756861, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{36, 37}]}, 
        {Hue[0.5092958178940652, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{37, 38}]}, 
        {Hue[0.5411268065124442, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{38, 39}]}, 
        {Hue[0.5729577951308233, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{39, 40}]}, 
        {Hue[0.6047887837492024, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{40, 41}]}, 
        {Hue[0.6366197723675815, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{41, 42}]}, 
        {Hue[0.6684507609859605, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{42, 43}]}, 
        {Hue[0.7002817496043395, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{43, 44}]}, 
        {Hue[0.7321127382227186, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{44, 45}]}, 
        {Hue[0.26394372684109774`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{45, 46}]}, 
        {Hue[0.2957747154594768, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{46, 47}]}, 
        {Hue[0.32760570407785594`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{47, 48}]}, 
        {Hue[0.3594366926962349, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{48, 49}]}, 
        {Hue[0.3912676813146139, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{49, 50}]}, 
        {Hue[0.4230986699329931, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{50, 51}]}}}},
     VertexColors->{
       Hue[0.8633802276324186, 
        Rational[1, 2], 1], 
       Hue[0.8952112162507977, 
        Rational[1, 2], 1], 
       Hue[0.9270422048691769, 
        Rational[1, 2], 1], 
       Hue[0.9588731934875558, 
        Rational[1, 2], 1], 
       Hue[0.9907041821059349, 
        Rational[1, 2], 1], 
       Hue[0.522535170724314, 
        Rational[1, 2], 1], 
       Hue[0.5543661593426931, 
        Rational[1, 2], 1], 
       Hue[0.5861971479610723, 
        Rational[1, 2], 1], 
       Hue[0.6180281365794511, 
        Rational[1, 2], 1], 
       Hue[0.6498591251978303, 
        Rational[1, 2], 1], 
       Hue[0.6816901138162094, 
        Rational[1, 2], 1], 
       Hue[0.7135211024345884, 
        Rational[1, 2], 1], 
       Hue[0.7453520910529675, 
        Rational[1, 2], 1], 
       Hue[0.2771830796713466, 
        Rational[1, 2], 1], 
       Hue[0.30901406828972566`, 
        Rational[1, 2], 1], 
       Hue[0.3408450569081047, 
        Rational[1, 2], 1], 
       Hue[0.37267604552648376`, 
        Rational[1, 2], 1], 
       Hue[0.4045070341448629, 
        Rational[1, 2], 1], 
       Hue[0.43633802276324196`, 
        Rational[1, 2], 1], 
       Hue[0.468169011381621, 
        Rational[1, 2], 1], 
       Hue[0., 
        Rational[1, 2], 1], 
       Hue[0.031830988618379116`, 
        Rational[1, 2], 1], 
       Hue[0.0636619772367582, 
        Rational[1, 2], 1], 
       Hue[0.09549296585513725, 
        Rational[1, 2], 1], 
       Hue[0.12732395447351633`, 
        Rational[1, 2], 1], 
       Hue[0.15915494309189543`, 
        Rational[1, 2], 1], 
       Hue[0.19098593171027448`, 
        Rational[1, 2], 1], 
       Hue[0.22281692032865355`, 
        Rational[1, 2], 1], 
       Hue[0.7546479089470326, 
        Rational[1, 2], 1], 
       Hue[0.7864788975654117, 
        Rational[1, 2], 1], 
       Hue[0.8183098861837907, 
        Rational[1, 2], 1], 
       Hue[0.8501408748021698, 
        Rational[1, 2], 1], 
       Hue[0.8819718634205489, 
        Rational[1, 2], 1], 
       Hue[0.913802852038928, 
        Rational[1, 2], 1], 
       Hue[0.945633840657307, 
        Rational[1, 2], 1], 
       Hue[0.9774648292756861, 
        Rational[1, 2], 1], 
       Hue[0.5092958178940652, 
        Rational[1, 2], 1], 
       Hue[0.5411268065124442, 
        Rational[1, 2], 1], 
       Hue[0.5729577951308233, 
        Rational[1, 2], 1], 
       Hue[0.6047887837492024, 
        Rational[1, 2], 1], 
       Hue[0.6366197723675815, 
        Rational[1, 2], 1], 
       Hue[0.6684507609859605, 
        Rational[1, 2], 1], 
       Hue[0.7002817496043395, 
        Rational[1, 2], 1], 
       Hue[0.7321127382227186, 
        Rational[1, 2], 1], 
       Hue[0.26394372684109774`, 
        Rational[1, 2], 1], 
       Hue[0.2957747154594768, 
        Rational[1, 2], 1], 
       Hue[0.32760570407785594`, 
        Rational[1, 2], 1], 
       Hue[0.3594366926962349, 
        Rational[1, 2], 1], 
       Hue[0.3912676813146139, 
        Rational[1, 2], 1], 
       Hue[0.4230986699329931, 
        Rational[1, 2], 1], 
       Hue[0.4549296585513722, 
        Rational[1, 2], 1], 
       Hue[0.8633802276324186, 
        Rational[1, 2], 1], 
       Hue[0.8952112162507977, 
        Rational[1, 2], 1], 
       Hue[0.8952112162507977, 
        Rational[1, 2], 1], 
       Hue[0.9270422048691769, 
        Rational[1, 2], 1], 
       Hue[0.9270422048691769, 
        Rational[1, 2], 1], 
       Hue[0.9588731934875558, 
        Rational[1, 2], 1], 
       Hue[0.9588731934875558, 
        Rational[1, 2], 1], 
       Hue[0.9907041821059349, 
        Rational[1, 2], 1], 
       Hue[0.9907041821059349, 
        Rational[1, 2], 1], 
       Hue[0.522535170724314, 
        Rational[1, 2], 1], 
       Hue[0.522535170724314, 
        Rational[1, 2], 1], 
       Hue[0.5543661593426931, 
        Rational[1, 2], 1], 
       Hue[0.5543661593426931, 
        Rational[1, 2], 1], 
       Hue[0.5861971479610723, 
        Rational[1, 2], 1], 
       Hue[0.5861971479610723, 
        Rational[1, 2], 1], 
       Hue[0.6180281365794511, 
        Rational[1, 2], 1], 
       Hue[0.6180281365794511, 
        Rational[1, 2], 1], 
       Hue[0.6498591251978303, 
        Rational[1, 2], 1], 
       Hue[0.6498591251978303, 
        Rational[1, 2], 1], 
       Hue[0.6816901138162094, 
        Rational[1, 2], 1], 
       Hue[0.6816901138162094, 
        Rational[1, 2], 1], 
       Hue[0.7135211024345884, 
        Rational[1, 2], 1], 
       Hue[0.7135211024345884, 
        Rational[1, 2], 1], 
       Hue[0.7453520910529675, 
        Rational[1, 2], 1], 
       Hue[0.7453520910529675, 
        Rational[1, 2], 1], 
       Hue[0.2771830796713466, 
        Rational[1, 2], 1], 
       Hue[0.2771830796713466, 
        Rational[1, 2], 1], 
       Hue[0.30901406828972566`, 
        Rational[1, 2], 1], 
       Hue[0.30901406828972566`, 
        Rational[1, 2], 1], 
       Hue[0.3408450569081047, 
        Rational[1, 2], 1], 
       Hue[0.3408450569081047, 
        Rational[1, 2], 1], 
       Hue[0.37267604552648376`, 
        Rational[1, 2], 1], 
       Hue[0.37267604552648376`, 
        Rational[1, 2], 1], 
       Hue[0.4045070341448629, 
        Rational[1, 2], 1], 
       Hue[0.4045070341448629, 
        Rational[1, 2], 1], 
       Hue[0.43633802276324196`, 
        Rational[1, 2], 1], 
       Hue[0.43633802276324196`, 
        Rational[1, 2], 1], 
       Hue[0.468169011381621, 
        Rational[1, 2], 1], 
       Hue[0.468169011381621, 
        Rational[1, 2], 1], 
       Hue[0.031830988618379116`, 
        Rational[1, 2], 1], 
       Hue[0.031830988618379116`, 
        Rational[1, 2], 1], 
       Hue[0.0636619772367582, 
        Rational[1, 2], 1], 
       Hue[0.0636619772367582, 
        Rational[1, 2], 1], 
       Hue[0.09549296585513725, 
        Rational[1, 2], 1], 
       Hue[0.09549296585513725, 
        Rational[1, 2], 1], 
       Hue[0.12732395447351633`, 
        Rational[1, 2], 1], 
       Hue[0.12732395447351633`, 
        Rational[1, 2], 1], 
       Hue[0.15915494309189543`, 
        Rational[1, 2], 1], 
       Hue[0.15915494309189543`, 
        Rational[1, 2], 1], 
       Hue[0.19098593171027448`, 
        Rational[1, 2], 1], 
       Hue[0.19098593171027448`, 
        Rational[1, 2], 1], 
       Hue[0.22281692032865355`, 
        Rational[1, 2], 1], 
       Hue[0.22281692032865355`, 
        Rational[1, 2], 1], 
       Hue[0.7546479089470326, 
        Rational[1, 2], 1], 
       Hue[0.7546479089470326, 
        Rational[1, 2], 1], 
       Hue[0.7864788975654117, 
        Rational[1, 2], 1], 
       Hue[0.7864788975654117, 
        Rational[1, 2], 1], 
       Hue[0.8183098861837907, 
        Rational[1, 2], 1], 
       Hue[0.8183098861837907, 
        Rational[1, 2], 1], 
       Hue[0.8501408748021698, 
        Rational[1, 2], 1], 
       Hue[0.8501408748021698, 
        Rational[1, 2], 1], 
       Hue[0.8819718634205489, 
        Rational[1, 2], 1], 
       Hue[0.8819718634205489, 
        Rational[1, 2], 1], 
       Hue[0.913802852038928, 
        Rational[1, 2], 1], 
       Hue[0.913802852038928, 
        Rational[1, 2], 1], 
       Hue[0.945633840657307, 
        Rational[1, 2], 1], 
       Hue[0.945633840657307, 
        Rational[1, 2], 1], 
       Hue[0.9774648292756861, 
        Rational[1, 2], 1], 
       Hue[0.9774648292756861, 
        Rational[1, 2], 1], 
       Hue[0.5092958178940652, 
        Rational[1, 2], 1], 
       Hue[0.5092958178940652, 
        Rational[1, 2], 1], 
       Hue[0.5411268065124442, 
        Rational[1, 2], 1], 
       Hue[0.5411268065124442, 
        Rational[1, 2], 1], 
       Hue[0.5729577951308233, 
        Rational[1, 2], 1], 
       Hue[0.5729577951308233, 
        Rational[1, 2], 1], 
       Hue[0.6047887837492024, 
        Rational[1, 2], 1], 
       Hue[0.6047887837492024, 
        Rational[1, 2], 1], 
       Hue[0.6366197723675815, 
        Rational[1, 2], 1], 
       Hue[0.6366197723675815, 
        Rational[1, 2], 1], 
       Hue[0.6684507609859605, 
        Rational[1, 2], 1], 
       Hue[0.6684507609859605, 
        Rational[1, 2], 1], 
       Hue[0.7002817496043395, 
        Rational[1, 2], 1], 
       Hue[0.7002817496043395, 
        Rational[1, 2], 1], 
       Hue[0.7321127382227186, 
        Rational[1, 2], 1], 
       Hue[0.7321127382227186, 
        Rational[1, 2], 1], 
       Hue[0.26394372684109774`, 
        Rational[1, 2], 1], 
       Hue[0.26394372684109774`, 
        Rational[1, 2], 1], 
       Hue[0.2957747154594768, 
        Rational[1, 2], 1], 
       Hue[0.2957747154594768, 
        Rational[1, 2], 1], 
       Hue[0.32760570407785594`, 
        Rational[1, 2], 1], 
       Hue[0.32760570407785594`, 
        Rational[1, 2], 1], 
       Hue[0.3594366926962349, 
        Rational[1, 2], 1], 
       Hue[0.3594366926962349, 
        Rational[1, 2], 1], 
       Hue[0.3912676813146139, 
        Rational[1, 2], 1], 
       Hue[0.3912676813146139, 
        Rational[1, 2], 1], 
       Hue[0.4230986699329931, 
        Rational[1, 2], 1], 
       Hue[0.4230986699329931, 
        Rational[1, 2], 1], 
       Hue[0.4549296585513722, 
        Rational[1, 2], 1]}]}, {{}, {}, 
    {RGBColor[1, 0.7, 0.9], Thickness[0.03], LineBox[CompressedData["
1:eJwVmnk8VG8bxokZSylKiWzRopIsJdnuoxVplxQqS7uUSpSUVFqsZYkS6leS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      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Epilog->{{
     RGBColor[1, 0.2, 0.5], 
     Thickness[0.04], 
     LineBox[{{-2., 0.2780774759126713}, {-1.9, 
       0.3058275026065413}, {-1.7999999999999998`, 0.2854066843122354}, {-1.7,
        0.20284659219329157`}, {-1.5999999999999999`, 
       0.05456379526725478}, {-1.5, 0.14877224618449109`}, {-1.4, 
       0.38121645256137043`}, {-1.2999999999999998`, 
       0.6044603802351721}, {-1.2, 0.7748719824824933}, {-1.0999999999999999`,
        0.8538167306628126}, {-0.9999999999999999, 
       0.8198670175812729}, {-0.8999999999999999, 
       0.6832285630841473}, {-0.7999999999999998, 
       0.5130778836938318}, {-0.6999999999999998, 
       0.480924756527288}, {-0.5999999999999999, 
       0.6599518277814447}, {-0.4999999999999999, 
       0.8832701932227283}, {-0.39999999999999986`, 
       1.0372989529894387`}, {-0.2999999999999998, 
       1.0873627322572972`}, {-0.19999999999999984`, 
       1.0528398227088864`}, {-0.09999999999999984, 0.9946699312672349}, {
       0, 0.9793821813312402}, {0.10000000000000017`, 1.0164854335406204`}, {
       0.20000000000000018`, 1.048957193381096}, {0.30000000000000016`, 
       1.013752975092194}, {0.4000000000000002, 0.885548270925885}, {
       0.5000000000000002, 0.6898611545618348}, {0.6000000000000002, 
       0.5187476246781833}, {0.7000000000000002, 0.5178742609290009}, {
       0.8000000000000003, 0.6675136810282826}, {0.9000000000000002, 
       0.8178566034526504}, {1.0000000000000002`, 0.890874254226621}, {
       1.1000000000000003`, 0.8652955968642496}, {1.2000000000000002`, 
       0.7495475153366311}, {1.3000000000000003`, 0.5686093094317457}, {
       1.4000000000000004`, 0.3545628143045022}, {1.5000000000000002`, 
       0.13903626106505543`}, {1.6000000000000003`, 0.052104512500728714`}, {
       1.7000000000000002`, 0.20154424940389476`}, {1.8000000000000003`, 
       0.30102792788588206`}, {1.9000000000000004`, 0.3502346286250287}, {
       2.0000000000000004`, 0.3547859379970888}, {2.1, 
       0.32404217304040006`}, {2.2, 0.2690997342750755}, {2.3000000000000003`,
        0.20117303329695868`}, {2.4000000000000004`, 0.1304143109439371}, {
       2.5000000000000004`, 0.06530916093518283}, {2.6000000000000005`, 
       0.01663408619638268}, {2.7, 0.0352768311494306}, {2.8000000000000003`, 
       0.06017057668338336}, {2.9000000000000004`, 0.07228540608982231}, {
       3.0000000000000004`, 0.07329893823339338}}]}},
  PlotRange->All,
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.393844919744351*^9, 3.3938451409564323`*^9, {3.393845184741375*^9, 
   3.393845193732099*^9}, {3.3938452474560432`*^9, 3.393845304932951*^9}, 
   3.393845502179572*^9, 3.393845567094881*^9, {3.3938456064551764`*^9, 
   3.393845643938753*^9}, 3.393845684757847*^9, 3.3938468961496687`*^9, 
   3.393847017626503*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"spinorlist", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"spinorfunction", "[", "x", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "3"}], ",", "3", ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{"QListSpinorCombinedPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"spinorlist", ",", 
     RowBox[{"Sin", "[", 
      RowBox[{"4", " ", "x"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "3"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"QCurveStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"RGBColor", "[", 
       RowBox[{"1", ",", "0.7", ",", "0.9"}], "]"}], ",", 
      RowBox[{"Thickness", "[", "0.03", "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{
  3.3897201237793455`*^9, {3.393844844821946*^9, 3.393844918496057*^9}, 
   3.393845136771717*^9, {3.393845246415341*^9, 3.393845304320002*^9}, {
   3.393845617568818*^9, 3.393845650350236*^9}, {3.393846905995063*^9, 
   3.3938469203266*^9}}],

Cell[BoxData[
 GraphicsBox[{{GraphicsComplexBox[CompressedData["
1:eJyFlGlIVFEUx8dxGwcr0CK0klJGRGnTShHxPFAJtAi0HCs/WDRatlgmptUH
ExkjIXAJlyw0IsqwHBVSUq6iaYNbprhBOiVq6eCMqdOIMi33nfnglUsHHo8f
797/+d/7OP/olPN7VBKJRPr3Kf73bpGIBf3d9hkBikhiSaQFAwXVObdVhWSt
mxZ8DndXdRXakNUAWqA16fK0lUqyUkoLXhu0PikT24gZ9drk5k3Lbr3EhHoj
qlHNzrevyBLqTSqbo8r6/Mgi6n3vaomZ810mC6g3F30rfWJfGjH8pgWzIadb
U4syiR73T32RKtrTq8gPurwEdJc9T8RlA5mm7VQw3plRebTDlUxSeX+Y8oiJ
ehm4m0xQOQvow8jY3jwpGaX7i8FY0qFNC/EkA3T9AVhQDaWP/9QRLf1eBMaR
a/kzCTWkkfJDMAzGOnmlxEms92dQuh2bjIwE8fsLMIapg8erb4K4vwKMH3Nj
c8s1IOofAWPQKbnXtBuI/Z+APvZSzKBFAToqJ4VpV2VdgGkYRP+HQVda9PTs
mBnE810EXcFVebvvMIjnL4ep+IgX9R9sQbyfPpj1+1peVJsARqpnA/pseWPc
Zm8Q7/cxzNVkXQhZfA/i/R+CmbUoF0XSAxD/Ty9883f2VjedARP2G9L4BC/5
u4MZ9Vq7jJpdbY9gBfWqqm9EnzyeCKuop+0OqFu4Y4I11BsIlz+PX9aDxaqX
HJr1q7VHkKDeUP2nrQd76gUJXd8Dg807zs3Phwo2VL8M+oPmt+c0eAtSuj8J
tC1O767cbRJssV+LJvl+YEWmYId6NQ1u03G5LoId9s+XqStGk64L9qj3bEuv
bH9nquCAem96q9UuTQrBEfVq70VNeEY4CzLUq21r8MgTAq3zYi3rvHAZ54fL
OE9cxvnispnxw7KJ8cPyEuOH5UXGD8sLjB+WcX65rGf6sYzzzWWcdy7j/HMZ
84DLmA9cxrzgMuYHlzFPePy/suYNlzF/uIx5xGXMJy7r6EvKZcwvLmOecRnz
jcuYd1zG/OMy5iGXMR+5jHnJZRNzHpbNjB+WVxg/LK8yflheY/ywbGH8MCxI
1vvZyGJecxnzm8uY51y2XX+eDWzH+NnA68+7ge0ZPyw7MH5YdmT8sCxb7+cP
vKUDdA==
     "], {
      {GrayLevel[0.5], EdgeForm[None], 
       GraphicsGroupBox[
        PolygonBox[{{1, 52, 53, 2}, {2, 54, 55, 3}, {3, 56, 57, 4}, {4, 58, 
         59, 5}, {11, 72, 73, 12}, {5, 60, 61, 6}, {7, 64, 65, 8}, {6, 62, 63,
          7}, {9, 68, 69, 10}, {10, 70, 71, 11}, {49, 148, 149, 50}, {12, 74, 
         75, 13}, {14, 78, 79, 15}, {15, 80, 81, 16}, {16, 82, 83, 17}, {17, 
         84, 85, 18}, {18, 86, 87, 19}, {19, 88, 89, 20}, {20, 90, 91, 21}, {
         21, 92, 93, 22}, {22, 94, 95, 23}, {23, 96, 97, 24}, {8, 66, 67, 
         9}, {24, 98, 99, 25}, {25, 100, 101, 26}, {26, 102, 103, 27}, {31, 
         112, 113, 32}, {28, 106, 107, 29}, {29, 108, 109, 30}, {30, 110, 111,
          31}, {32, 114, 115, 33}, {36, 122, 123, 37}, {33, 116, 117, 34}, {
         34, 118, 119, 35}, {35, 120, 121, 36}, {37, 124, 125, 38}, {13, 76, 
         77, 14}, {38, 126, 127, 39}, {46, 142, 143, 47}, {41, 132, 133, 
         42}, {42, 134, 135, 43}, {27, 104, 105, 28}, {40, 130, 131, 41}, {43,
          136, 137, 44}, {44, 138, 139, 45}, {47, 144, 145, 48}, {48, 146, 
         147, 49}, {45, 140, 141, 46}, {39, 128, 129, 40}, {50, 150, 151, 
         51}}]]}, {{}, {}, {
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{1, 2}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{2, 3}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{3, 4}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{4, 5}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{5, 6}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{6, 7}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{7, 8}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{8, 9}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{9, 10}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{10, 11}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{11, 12}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{12, 13}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{13, 14}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{14, 15}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{15, 16}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{16, 17}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{17, 18}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{18, 19}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{19, 20}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{20, 21}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{21, 22}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{22, 23}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{23, 24}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{24, 25}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{25, 26}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{26, 27}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{27, 28}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{28, 29}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{29, 30}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{30, 31}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{31, 32}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{32, 33}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{33, 34}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{34, 35}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{35, 36}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{36, 37}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{37, 38}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{38, 39}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{39, 40}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{40, 41}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{41, 42}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{42, 43}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{43, 44}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{44, 45}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{45, 46}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{46, 47}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{47, 48}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{48, 49}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{49, 50}]}, 
        {Hue[0, 0, 
          NCache[
           Rational[1, 4], 0.25]], LineBox[{50, 51}]}}}},
     VertexColors->{
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]], 
       Hue[0, 0, 
        Rational[1, 4]]}], GraphicsComplexBox[CompressedData["
1:eJyFlFtIVFEUhsdxnJEuJJYPViSiCWWRZNmDDeuA5YMEheEttUhR85YpRZSg
KD6IiJmJlmmMlhYWmkagZW7NGLO8pOOFcPKuqJl3ZrQZnGqfNQ9u2bTgcPg4
e//r3/uwft+EMMcIiUQi/fsU/ns3ScQCdcN2z8p8D7IRSQvUY/3am7tjibGd
FnySBV+Jc9UQgzsteK9cCHdxkZP1R7SguLQ6UKduJmuo9yYxtMX+wRzRoV6b
b7VHy7Mysop6vYN1eRWq82QF9bR3TEr32FCyhHqjHlFnOp1syYKJFox158Sn
lC+ROdw/VqKdDh7wJzN0+UMY8Te0LgdnkSnaLgIGZlPLjuQeIONU/jioBzMz
bLybyTCV24AqebJXQZYL+U73F0Kvsz5v0OkQ0dD1bjBq6LBrL68kbfR7PkxX
9yUcHk4l9ZRz4FegsSAkMkhivr+FAPtz4z4+IH6vgPmApxMpxA7E/SqYDc+4
5fb8LIj6HjA+bKzV3AgBsX8JDMjS42u8XWGEykmhpkEou7vDD0T/J+Hrzz1u
X/Legni+azDknhZj8lWBeP5imPS7eFSzywTi/XTBjKNS59VTAYtUzwJmvRLl
i7frQLzfxzDdbzu+vysVxPs/AZPK2okFmyIQ/08njNjp01PiAHTYr9dtqGe2
VQlrqNekOGjrV/Ib1lHvRdS+d2k7P4AB9T5bXDZFu/SBEfV6ThcuVzg0wgbq
9eW8KulonBIkqNfvtDyhePlEkND1HdCb1BV0T5UtWFD9Iuh22HsselUmSOn+
KGir15dbOJUKltivqUr68f5VhSBDvdcxyguD83pBhv3TMmd+LOaoBSvUU2mz
m9fDbAQ56lVd1yZXXfomKFCvNumUu+e2dMEa9WqbwpOdnXPN82Iu87xwGeeH
yzhPXMb54vIa44dlHeOH5VXGD8srjB+Wlxg/LOP8cnmO6ccyzjeXcd65jPPP
ZcwDLmM+cBnzgsuYH1zGPOHx/8qcN1zG/OEy5hGXMZ+4PEJfUi5jfnEZ84zL
mG9cxrzjMuYflzEPuYz5yGXMSy7rmPOwvMb4YXmd8cOygfHDspHxw/IG44dh
QbLZz1YW85rLmN9cxjznsuXm82xhGeNnC28+7xa2YvywLGf8sKxg/LBsvdnP
H34jCEM=
     "], {
      {GrayLevel[0.5], EdgeForm[None], 
       GraphicsGroupBox[
        PolygonBox[{{1, 52, 53, 2}, {2, 54, 55, 3}, {3, 56, 57, 4}, {4, 58, 
         59, 5}, {11, 72, 73, 12}, {5, 60, 61, 6}, {7, 64, 65, 8}, {6, 62, 63,
          7}, {9, 68, 69, 10}, {10, 70, 71, 11}, {49, 148, 149, 50}, {12, 74, 
         75, 13}, {14, 78, 79, 15}, {15, 80, 81, 16}, {16, 82, 83, 17}, {17, 
         84, 85, 18}, {18, 86, 87, 19}, {19, 88, 89, 20}, {20, 90, 91, 21}, {
         21, 92, 93, 22}, {22, 94, 95, 23}, {23, 96, 97, 24}, {8, 66, 67, 
         9}, {24, 98, 99, 25}, {25, 100, 101, 26}, {26, 102, 103, 27}, {31, 
         112, 113, 32}, {28, 106, 107, 29}, {29, 108, 109, 30}, {30, 110, 111,
          31}, {32, 114, 115, 33}, {36, 122, 123, 37}, {33, 116, 117, 34}, {
         34, 118, 119, 35}, {35, 120, 121, 36}, {37, 124, 125, 38}, {13, 76, 
         77, 14}, {38, 126, 127, 39}, {46, 142, 143, 47}, {41, 132, 133, 
         42}, {42, 134, 135, 43}, {27, 104, 105, 28}, {40, 130, 131, 41}, {43,
          136, 137, 44}, {44, 138, 139, 45}, {47, 144, 145, 48}, {48, 146, 
         147, 49}, {45, 140, 141, 46}, {39, 128, 129, 40}, {50, 150, 151, 
         51}}]]}, {{}, {}, {
        {Hue[0.6816901138162093, 1, 1], LineBox[{1, 2}]}, 
        {Hue[0.697605608125399, 1, 1], LineBox[{2, 3}]}, 
        {Hue[0.7135211024345884, 1, 1], LineBox[{3, 4}]}, 
        {Hue[0.7294365967437779, 1, 1], LineBox[{4, 5}]}, 
        {Hue[0.7453520910529675, 1, 1], LineBox[{5, 6}]}, 
        {Hue[0.261267585362157, 1, 1], LineBox[{6, 7}]}, 
        {Hue[0.27718307967134653`, 1, 1], LineBox[{7, 8}]}, 
        {Hue[0.29309857398053607`, 1, 1], LineBox[{8, 9}]}, 
        {Hue[0.3090140682897256, 1, 1], LineBox[{9, 10}]}, 
        {Hue[0.3249295625989152, 1, 1], LineBox[{10, 11}]}, 
        {Hue[0.3408450569081047, 1, 1], LineBox[{11, 12}]}, 
        {Hue[0.3567605512172942, 1, 1], LineBox[{12, 13}]}, 
        {Hue[0.37267604552648376`, 1, 1], LineBox[{13, 14}]}, 
        {Hue[0.3885915398356733, 1, 1], LineBox[{14, 15}]}, 
        {Hue[0.4045070341448629, 1, 1], LineBox[{15, 16}]}, 
        {Hue[0.9204225284540524, 1, 1], LineBox[{16, 17}]}, 
        {Hue[0.9363380227632419, 1, 1], LineBox[{17, 18}]}, 
        {Hue[0.9522535170724314, 1, 1], LineBox[{18, 19}]}, 
        {Hue[0.9681690113816209, 1, 1], LineBox[{19, 20}]}, 
        {Hue[0.9840845056908105, 1, 1], LineBox[{20, 21}]}, 
        {Hue[0., 1, 1], LineBox[{21, 22}]}, 
        {Hue[0.015915494309189558`, 1, 1], LineBox[{22, 23}]}, 
        {Hue[0.0318309886183791, 1, 1], LineBox[{23, 24}]}, 
        {Hue[0.047746482927568626`, 1, 1], LineBox[{24, 25}]}, 
        {Hue[0.06366197723675816, 1, 1], LineBox[{25, 26}]}, 
        {Hue[0.07957747154594771, 1, 1], LineBox[{26, 27}]}, 
        {Hue[0.5954929658551372, 1, 1], LineBox[{27, 28}]}, 
        {Hue[0.6114084601643268, 1, 1], LineBox[{28, 29}]}, 
        {Hue[0.6273239544735163, 1, 1], LineBox[{29, 30}]}, 
        {Hue[0.6432394487827058, 1, 1], LineBox[{30, 31}]}, 
        {Hue[0.6591549430918953, 1, 1], LineBox[{31, 32}]}, 
        {Hue[0.675070437401085, 1, 1], LineBox[{32, 33}]}, 
        {Hue[0.6909859317102744, 1, 1], LineBox[{33, 34}]}, 
        {Hue[0.7069014260194639, 1, 1], LineBox[{34, 35}]}, 
        {Hue[0.7228169203286535, 1, 1], LineBox[{35, 36}]}, 
        {Hue[0.7387324146378431, 1, 1], LineBox[{36, 37}]}, 
        {Hue[0.25464790894703254`, 1, 1], LineBox[{37, 38}]}, 
        {Hue[0.2705634032562221, 1, 1], LineBox[{38, 39}]}, 
        {Hue[0.28647889756541167`, 1, 1], LineBox[{39, 40}]}, 
        {Hue[0.3023943918746012, 1, 1], LineBox[{40, 41}]}, 
        {Hue[0.3183098861837907, 1, 1], LineBox[{41, 42}]}, 
        {Hue[0.33422538049298023`, 1, 1], LineBox[{42, 43}]}, 
        {Hue[0.35014087480216977`, 1, 1], LineBox[{43, 44}]}, 
        {Hue[0.36605636911135936`, 1, 1], LineBox[{44, 45}]}, 
        {Hue[0.3819718634205489, 1, 1], LineBox[{45, 46}]}, 
        {Hue[0.39788735772973843`, 1, 1], LineBox[{46, 47}]}, 
        {Hue[0.41380285203892797`, 1, 1], LineBox[{47, 48}]}, 
        {Hue[0.9297183463481175, 1, 1], LineBox[{48, 49}]}, 
        {Hue[0.9456338406573069, 1, 1], LineBox[{49, 50}]}, 
        {Hue[0.9615493349664965, 1, 1], LineBox[{50, 51}]}}}},
     VertexColors->{
       Hue[0.6816901138162093, 1, 1], 
       Hue[0.697605608125399, 1, 1], 
       Hue[0.7135211024345884, 1, 1], 
       Hue[0.7294365967437779, 1, 1], 
       Hue[0.7453520910529675, 1, 1], 
       Hue[0.261267585362157, 1, 1], 
       Hue[0.27718307967134653`, 1, 1], 
       Hue[0.29309857398053607`, 1, 1], 
       Hue[0.3090140682897256, 1, 1], 
       Hue[0.3249295625989152, 1, 1], 
       Hue[0.3408450569081047, 1, 1], 
       Hue[0.3567605512172942, 1, 1], 
       Hue[0.37267604552648376`, 1, 1], 
       Hue[0.3885915398356733, 1, 1], 
       Hue[0.4045070341448629, 1, 1], 
       Hue[0.9204225284540524, 1, 1], 
       Hue[0.9363380227632419, 1, 1], 
       Hue[0.9522535170724314, 1, 1], 
       Hue[0.9681690113816209, 1, 1], 
       Hue[0.9840845056908105, 1, 1], 
       Hue[0., 1, 1], 
       Hue[0.015915494309189558`, 1, 1], 
       Hue[0.0318309886183791, 1, 1], 
       Hue[0.047746482927568626`, 1, 1], 
       Hue[0.06366197723675816, 1, 1], 
       Hue[0.07957747154594771, 1, 1], 
       Hue[0.5954929658551372, 1, 1], 
       Hue[0.6114084601643268, 1, 1], 
       Hue[0.6273239544735163, 1, 1], 
       Hue[0.6432394487827058, 1, 1], 
       Hue[0.6591549430918953, 1, 1], 
       Hue[0.675070437401085, 1, 1], 
       Hue[0.6909859317102744, 1, 1], 
       Hue[0.7069014260194639, 1, 1], 
       Hue[0.7228169203286535, 1, 1], 
       Hue[0.7387324146378431, 1, 1], 
       Hue[0.25464790894703254`, 1, 1], 
       Hue[0.2705634032562221, 1, 1], 
       Hue[0.28647889756541167`, 1, 1], 
       Hue[0.3023943918746012, 1, 1], 
       Hue[0.3183098861837907, 1, 1], 
       Hue[0.33422538049298023`, 1, 1], 
       Hue[0.35014087480216977`, 1, 1], 
       Hue[0.36605636911135936`, 1, 1], 
       Hue[0.3819718634205489, 1, 1], 
       Hue[0.39788735772973843`, 1, 1], 
       Hue[0.41380285203892797`, 1, 1], 
       Hue[0.9297183463481175, 1, 1], 
       Hue[0.9456338406573069, 1, 1], 
       Hue[0.9615493349664965, 1, 1], 
       Hue[0.9774648292756861, 1, 1], 
       Hue[0.6816901138162093, 1, 1], 
       Hue[0.697605608125399, 1, 1], 
       Hue[0.697605608125399, 1, 1], 
       Hue[0.7135211024345884, 1, 1], 
       Hue[0.7135211024345884, 1, 1], 
       Hue[0.7294365967437779, 1, 1], 
       Hue[0.7294365967437779, 1, 1], 
       Hue[0.7453520910529675, 1, 1], 
       Hue[0.7453520910529675, 1, 1], 
       Hue[0.261267585362157, 1, 1], 
       Hue[0.261267585362157, 1, 1], 
       Hue[0.27718307967134653`, 1, 1], 
       Hue[0.27718307967134653`, 1, 1], 
       Hue[0.29309857398053607`, 1, 1], 
       Hue[0.29309857398053607`, 1, 1], 
       Hue[0.3090140682897256, 1, 1], 
       Hue[0.3090140682897256, 1, 1], 
       Hue[0.3249295625989152, 1, 1], 
       Hue[0.3249295625989152, 1, 1], 
       Hue[0.3408450569081047, 1, 1], 
       Hue[0.3408450569081047, 1, 1], 
       Hue[0.3567605512172942, 1, 1], 
       Hue[0.3567605512172942, 1, 1], 
       Hue[0.37267604552648376`, 1, 1], 
       Hue[0.37267604552648376`, 1, 1], 
       Hue[0.3885915398356733, 1, 1], 
       Hue[0.3885915398356733, 1, 1], 
       Hue[0.4045070341448629, 1, 1], 
       Hue[0.4045070341448629, 1, 1], 
       Hue[0.9204225284540524, 1, 1], 
       Hue[0.9204225284540524, 1, 1], 
       Hue[0.9363380227632419, 1, 1], 
       Hue[0.9363380227632419, 1, 1], 
       Hue[0.9522535170724314, 1, 1], 
       Hue[0.9522535170724314, 1, 1], 
       Hue[0.9681690113816209, 1, 1], 
       Hue[0.9681690113816209, 1, 1], 
       Hue[0.9840845056908105, 1, 1], 
       Hue[0.9840845056908105, 1, 1], 
       Hue[0., 1, 1], 
       Hue[0., 1, 1], 
       Hue[0.015915494309189558`, 1, 1], 
       Hue[0.015915494309189558`, 1, 1], 
       Hue[0.0318309886183791, 1, 1], 
       Hue[0.0318309886183791, 1, 1], 
       Hue[0.047746482927568626`, 1, 1], 
       Hue[0.047746482927568626`, 1, 1], 
       Hue[0.06366197723675816, 1, 1], 
       Hue[0.06366197723675816, 1, 1], 
       Hue[0.07957747154594771, 1, 1], 
       Hue[0.07957747154594771, 1, 1], 
       Hue[0.5954929658551372, 1, 1], 
       Hue[0.5954929658551372, 1, 1], 
       Hue[0.6114084601643268, 1, 1], 
       Hue[0.6114084601643268, 1, 1], 
       Hue[0.6273239544735163, 1, 1], 
       Hue[0.6273239544735163, 1, 1], 
       Hue[0.6432394487827058, 1, 1], 
       Hue[0.6432394487827058, 1, 1], 
       Hue[0.6591549430918953, 1, 1], 
       Hue[0.6591549430918953, 1, 1], 
       Hue[0.675070437401085, 1, 1], 
       Hue[0.675070437401085, 1, 1], 
       Hue[0.6909859317102744, 1, 1], 
       Hue[0.6909859317102744, 1, 1], 
       Hue[0.7069014260194639, 1, 1], 
       Hue[0.7069014260194639, 1, 1], 
       Hue[0.7228169203286535, 1, 1], 
       Hue[0.7228169203286535, 1, 1], 
       Hue[0.7387324146378431, 1, 1], 
       Hue[0.7387324146378431, 1, 1], 
       Hue[0.25464790894703254`, 1, 1], 
       Hue[0.25464790894703254`, 1, 1], 
       Hue[0.2705634032562221, 1, 1], 
       Hue[0.2705634032562221, 1, 1], 
       Hue[0.28647889756541167`, 1, 1], 
       Hue[0.28647889756541167`, 1, 1], 
       Hue[0.3023943918746012, 1, 1], 
       Hue[0.3023943918746012, 1, 1], 
       Hue[0.3183098861837907, 1, 1], 
       Hue[0.3183098861837907, 1, 1], 
       Hue[0.33422538049298023`, 1, 1], 
       Hue[0.33422538049298023`, 1, 1], 
       Hue[0.35014087480216977`, 1, 1], 
       Hue[0.35014087480216977`, 1, 1], 
       Hue[0.36605636911135936`, 1, 1], 
       Hue[0.36605636911135936`, 1, 1], 
       Hue[0.3819718634205489, 1, 1], 
       Hue[0.3819718634205489, 1, 1], 
       Hue[0.39788735772973843`, 1, 1], 
       Hue[0.39788735772973843`, 1, 1], 
       Hue[0.41380285203892797`, 1, 1], 
       Hue[0.41380285203892797`, 1, 1], 
       Hue[0.9297183463481175, 1, 1], 
       Hue[0.9297183463481175, 1, 1], 
       Hue[0.9456338406573069, 1, 1], 
       Hue[0.9456338406573069, 1, 1], 
       Hue[0.9615493349664965, 1, 1], 
       Hue[0.9615493349664965, 1, 1], 
       Hue[0.9774648292756861, 1, 1]}], GraphicsComplexBox[CompressedData["
1:eJx1lHtIVEEUxq/rY7XAP6QQChO1lp4appVlzY0gS6JQhMywhWzTktSiKEoq
y6xFyqC0h/nK3lGUWShRZwkNzVem+FhK18dqK27mapvL6lrNPf6xs8yBy+XH
nfnON3M5X3TqPj+VIAiyf0/u/7dGkArqEpa0JH2fBtsBWtD0cVuWJSARJutp
QWNObMyc82qwrqIFn+Y1KHbFW8BymxY8mjrkGRsfBROop1F2ffN2CQAz6rVq
TSSslsA46ukiowb3mmbDGOr1bx9K3HpmCYyinn7Nb6VPSSGMTNOC3oj6U16L
WmEY97cZbzf7/54CA11+C568Co8NKs6EAdpOBS1KU1ZC0Rboo/LB0B/zYNZ0
tQ90UzkbDK+qKbtXch466f6bMFI86KFN6oEWun4lGGsrda7dcqil32/AgHHD
YWuqEiopX4WO+9qvxKwQmCLS94fQfmTZ3PUdVUTaXwz9H96sM+kXEEl/NRhK
L45vTtEQqX8BGPSBXfMzI4mOyshAb662HcvIIJL/UOjy3b/YFp1OpPMlQd2O
lIy88Ekinf8ulKzVxk2XehPpfpqgYcPG9sfvjOQX1XOCtuW9TuH+FiLdbz50
nB6JWrvGQKT7D4G2rZuSCy+piPR/GqFZFuy3uyibmLFf1dt0D2Wunkyg3otf
qpbEl+eIBfVyc+TtT+N8iRX1yvQ7LTl/hsgk6lV0ngyMUPcRG+pVXCvJW1od
IwqoV67Iyjvb2yMKdH0DPHtcbv3x86joRPXvQEFNWtt1Q40oo/sTIeN5arZf
fIjojP2OR69w/bwwWXRBPbXqiFz73kd0wf5XQj0H8v1fi66op9bffGT0ShPd
UO+CIrPi8MEQUY56J/KDZIGX/UV31DuwJ2z8iyZII9jXzLxwGeeHyzhPXMb5
4vIE44dlM+OH5XHGD8tjjB+WRxk/LOP8cnmY6ccyzjeXcd65jPPPZcwDLmM+
cBnzgsuYH1zGPOHxTJ5wGfOFy5g3XMb84bKOvmRcxnziMuYVlzG/uIx5xmXM
Ny5j3nEZ84/LmIdcNjPnYXmC8cOyhfHDspXxw/Ik44dlG+OHYVGw9+PIUh5z
GfOZy5jXXHa2P48DuzB+HNj+vA7syvhh2Y3xw7Kc8cOyu72fv78WG9U=
     "], {
      {GrayLevel[0.5], EdgeForm[None], 
       GraphicsGroupBox[{PolygonBox[{{90, 20, 21}, {21, 22, 91}}], 
         PolygonBox[{{56, 3, 4, 57}, {54, 2, 3, 55}, {52, 1, 2, 53}, {60, 5, 
          6, 61}, {62, 6, 7, 63}, {68, 9, 10, 69}, {70, 10, 11, 71}, {64, 7, 
          8, 65}, {58, 4, 5, 59}, {72, 11, 12, 73}, {74, 12, 13, 75}, {66, 8, 
          9, 67}, {80, 15, 16, 81}, {82, 16, 17, 83}, {84, 17, 18, 85}, {146, 
          49, 50, 147}, {86, 18, 19, 87}, {94, 23, 24, 95}, {88, 19, 20, 
          89}, {78, 14, 15, 79}, {92, 22, 23, 93}, {96, 24, 25, 97}, {98, 25, 
          26, 99}, {100, 26, 27, 101}, {110, 31, 32, 111}, {104, 28, 29, 
          105}, {106, 29, 30, 107}, {108, 30, 31, 109}, {112, 32, 33, 113}, {
          120, 36, 37, 121}, {114, 33, 34, 115}, {116, 34, 35, 117}, {118, 35,
           36, 119}, {122, 37, 38, 123}, {76, 13, 14, 77}, {124, 38, 39, 
          125}, {140, 46, 47, 141}, {130, 41, 42, 131}, {132, 42, 43, 133}, {
          102, 27, 28, 103}, {128, 40, 41, 129}, {134, 43, 44, 135}, {136, 44,
           45, 137}, {142, 47, 48, 143}, {144, 48, 49, 145}, {138, 45, 46, 
          139}, {126, 39, 40, 127}, {148, 50, 51, 149}}]}]}, {{}, {}, {
        {Hue[0.8633802276324186, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{1, 2}]}, 
        {Hue[0.8952112162507977, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{2, 3}]}, 
        {Hue[0.9270422048691769, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{3, 4}]}, 
        {Hue[0.9588731934875558, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{4, 5}]}, 
        {Hue[0.9907041821059349, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{5, 6}]}, 
        {Hue[0.522535170724314, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{6, 7}]}, 
        {Hue[0.5543661593426931, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{7, 8}]}, 
        {Hue[0.5861971479610723, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{8, 9}]}, 
        {Hue[0.6180281365794511, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{9, 10}]}, 
        {Hue[0.6498591251978303, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{10, 11}]}, 
        {Hue[0.6816901138162094, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{11, 12}]}, 
        {Hue[0.7135211024345884, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{12, 13}]}, 
        {Hue[0.7453520910529675, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{13, 14}]}, 
        {Hue[0.2771830796713466, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{14, 15}]}, 
        {Hue[0.30901406828972566`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{15, 16}]}, 
        {Hue[0.3408450569081047, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{16, 17}]}, 
        {Hue[0.37267604552648376`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{17, 18}]}, 
        {Hue[0.4045070341448629, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{18, 19}]}, 
        {Hue[0.43633802276324196`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{19, 20}]}, 
        {Hue[0.468169011381621, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{20, 21}]}, 
        {Hue[0., 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{21, 22}]}, 
        {Hue[0.031830988618379116`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{22, 23}]}, 
        {Hue[0.0636619772367582, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{23, 24}]}, 
        {Hue[0.09549296585513725, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{24, 25}]}, 
        {Hue[0.12732395447351633`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{25, 26}]}, 
        {Hue[0.15915494309189543`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{26, 27}]}, 
        {Hue[0.19098593171027448`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{27, 28}]}, 
        {Hue[0.22281692032865355`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{28, 29}]}, 
        {Hue[0.7546479089470326, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{29, 30}]}, 
        {Hue[0.7864788975654117, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{30, 31}]}, 
        {Hue[0.8183098861837907, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{31, 32}]}, 
        {Hue[0.8501408748021698, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{32, 33}]}, 
        {Hue[0.8819718634205489, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{33, 34}]}, 
        {Hue[0.913802852038928, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{34, 35}]}, 
        {Hue[0.945633840657307, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{35, 36}]}, 
        {Hue[0.9774648292756861, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{36, 37}]}, 
        {Hue[0.5092958178940652, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{37, 38}]}, 
        {Hue[0.5411268065124442, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{38, 39}]}, 
        {Hue[0.5729577951308233, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{39, 40}]}, 
        {Hue[0.6047887837492024, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{40, 41}]}, 
        {Hue[0.6366197723675815, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{41, 42}]}, 
        {Hue[0.6684507609859605, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{42, 43}]}, 
        {Hue[0.7002817496043395, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{43, 44}]}, 
        {Hue[0.7321127382227186, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{44, 45}]}, 
        {Hue[0.26394372684109774`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{45, 46}]}, 
        {Hue[0.2957747154594768, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{46, 47}]}, 
        {Hue[0.32760570407785594`, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{47, 48}]}, 
        {Hue[0.3594366926962349, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{48, 49}]}, 
        {Hue[0.3912676813146139, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{49, 50}]}, 
        {Hue[0.4230986699329931, 
          NCache[
           Rational[1, 2], 0.5], 1], LineBox[{50, 51}]}}}},
     VertexColors->{
       Hue[0.8633802276324186, 
        Rational[1, 2], 1], 
       Hue[0.8952112162507977, 
        Rational[1, 2], 1], 
       Hue[0.9270422048691769, 
        Rational[1, 2], 1], 
       Hue[0.9588731934875558, 
        Rational[1, 2], 1], 
       Hue[0.9907041821059349, 
        Rational[1, 2], 1], 
       Hue[0.522535170724314, 
        Rational[1, 2], 1], 
       Hue[0.5543661593426931, 
        Rational[1, 2], 1], 
       Hue[0.5861971479610723, 
        Rational[1, 2], 1], 
       Hue[0.6180281365794511, 
        Rational[1, 2], 1], 
       Hue[0.6498591251978303, 
        Rational[1, 2], 1], 
       Hue[0.6816901138162094, 
        Rational[1, 2], 1], 
       Hue[0.7135211024345884, 
        Rational[1, 2], 1], 
       Hue[0.7453520910529675, 
        Rational[1, 2], 1], 
       Hue[0.2771830796713466, 
        Rational[1, 2], 1], 
       Hue[0.30901406828972566`, 
        Rational[1, 2], 1], 
       Hue[0.3408450569081047, 
        Rational[1, 2], 1], 
       Hue[0.37267604552648376`, 
        Rational[1, 2], 1], 
       Hue[0.4045070341448629, 
        Rational[1, 2], 1], 
       Hue[0.43633802276324196`, 
        Rational[1, 2], 1], 
       Hue[0.468169011381621, 
        Rational[1, 2], 1], 
       Hue[0., 
        Rational[1, 2], 1], 
       Hue[0.031830988618379116`, 
        Rational[1, 2], 1], 
       Hue[0.0636619772367582, 
        Rational[1, 2], 1], 
       Hue[0.09549296585513725, 
        Rational[1, 2], 1], 
       Hue[0.12732395447351633`, 
        Rational[1, 2], 1], 
       Hue[0.15915494309189543`, 
        Rational[1, 2], 1], 
       Hue[0.19098593171027448`, 
        Rational[1, 2], 1], 
       Hue[0.22281692032865355`, 
        Rational[1, 2], 1], 
       Hue[0.7546479089470326, 
        Rational[1, 2], 1], 
       Hue[0.7864788975654117, 
        Rational[1, 2], 1], 
       Hue[0.8183098861837907, 
        Rational[1, 2], 1], 
       Hue[0.8501408748021698, 
        Rational[1, 2], 1], 
       Hue[0.8819718634205489, 
        Rational[1, 2], 1], 
       Hue[0.913802852038928, 
        Rational[1, 2], 1], 
       Hue[0.945633840657307, 
        Rational[1, 2], 1], 
       Hue[0.9774648292756861, 
        Rational[1, 2], 1], 
       Hue[0.5092958178940652, 
        Rational[1, 2], 1], 
       Hue[0.5411268065124442, 
        Rational[1, 2], 1], 
       Hue[0.5729577951308233, 
        Rational[1, 2], 1], 
       Hue[0.6047887837492024, 
        Rational[1, 2], 1], 
       Hue[0.6366197723675815, 
        Rational[1, 2], 1], 
       Hue[0.6684507609859605, 
        Rational[1, 2], 1], 
       Hue[0.7002817496043395, 
        Rational[1, 2], 1], 
       Hue[0.7321127382227186, 
        Rational[1, 2], 1], 
       Hue[0.26394372684109774`, 
        Rational[1, 2], 1], 
       Hue[0.2957747154594768, 
        Rational[1, 2], 1], 
       Hue[0.32760570407785594`, 
        Rational[1, 2], 1], 
       Hue[0.3594366926962349, 
        Rational[1, 2], 1], 
       Hue[0.3912676813146139, 
        Rational[1, 2], 1], 
       Hue[0.4230986699329931, 
        Rational[1, 2], 1], 
       Hue[0.4549296585513722, 
        Rational[1, 2], 1], 
       Hue[0.8633802276324186, 
        Rational[1, 2], 1], 
       Hue[0.8952112162507977, 
        Rational[1, 2], 1], 
       Hue[0.8952112162507977, 
        Rational[1, 2], 1], 
       Hue[0.9270422048691769, 
        Rational[1, 2], 1], 
       Hue[0.9270422048691769, 
        Rational[1, 2], 1], 
       Hue[0.9588731934875558, 
        Rational[1, 2], 1], 
       Hue[0.9588731934875558, 
        Rational[1, 2], 1], 
       Hue[0.9907041821059349, 
        Rational[1, 2], 1], 
       Hue[0.9907041821059349, 
        Rational[1, 2], 1], 
       Hue[0.522535170724314, 
        Rational[1, 2], 1], 
       Hue[0.522535170724314, 
        Rational[1, 2], 1], 
       Hue[0.5543661593426931, 
        Rational[1, 2], 1], 
       Hue[0.5543661593426931, 
        Rational[1, 2], 1], 
       Hue[0.5861971479610723, 
        Rational[1, 2], 1], 
       Hue[0.5861971479610723, 
        Rational[1, 2], 1], 
       Hue[0.6180281365794511, 
        Rational[1, 2], 1], 
       Hue[0.6180281365794511, 
        Rational[1, 2], 1], 
       Hue[0.6498591251978303, 
        Rational[1, 2], 1], 
       Hue[0.6498591251978303, 
        Rational[1, 2], 1], 
       Hue[0.6816901138162094, 
        Rational[1, 2], 1], 
       Hue[0.6816901138162094, 
        Rational[1, 2], 1], 
       Hue[0.7135211024345884, 
        Rational[1, 2], 1], 
       Hue[0.7135211024345884, 
        Rational[1, 2], 1], 
       Hue[0.7453520910529675, 
        Rational[1, 2], 1], 
       Hue[0.7453520910529675, 
        Rational[1, 2], 1], 
       Hue[0.2771830796713466, 
        Rational[1, 2], 1], 
       Hue[0.2771830796713466, 
        Rational[1, 2], 1], 
       Hue[0.30901406828972566`, 
        Rational[1, 2], 1], 
       Hue[0.30901406828972566`, 
        Rational[1, 2], 1], 
       Hue[0.3408450569081047, 
        Rational[1, 2], 1], 
       Hue[0.3408450569081047, 
        Rational[1, 2], 1], 
       Hue[0.37267604552648376`, 
        Rational[1, 2], 1], 
       Hue[0.37267604552648376`, 
        Rational[1, 2], 1], 
       Hue[0.4045070341448629, 
        Rational[1, 2], 1], 
       Hue[0.4045070341448629, 
        Rational[1, 2], 1], 
       Hue[0.43633802276324196`, 
        Rational[1, 2], 1], 
       Hue[0.43633802276324196`, 
        Rational[1, 2], 1], 
       Hue[0.468169011381621, 
        Rational[1, 2], 1], 
       Hue[0.468169011381621, 
        Rational[1, 2], 1], 
       Hue[0.031830988618379116`, 
        Rational[1, 2], 1], 
       Hue[0.031830988618379116`, 
        Rational[1, 2], 1], 
       Hue[0.0636619772367582, 
        Rational[1, 2], 1], 
       Hue[0.0636619772367582, 
        Rational[1, 2], 1], 
       Hue[0.09549296585513725, 
        Rational[1, 2], 1], 
       Hue[0.09549296585513725, 
        Rational[1, 2], 1], 
       Hue[0.12732395447351633`, 
        Rational[1, 2], 1], 
       Hue[0.12732395447351633`, 
        Rational[1, 2], 1], 
       Hue[0.15915494309189543`, 
        Rational[1, 2], 1], 
       Hue[0.15915494309189543`, 
        Rational[1, 2], 1], 
       Hue[0.19098593171027448`, 
        Rational[1, 2], 1], 
       Hue[0.19098593171027448`, 
        Rational[1, 2], 1], 
       Hue[0.22281692032865355`, 
        Rational[1, 2], 1], 
       Hue[0.22281692032865355`, 
        Rational[1, 2], 1], 
       Hue[0.7546479089470326, 
        Rational[1, 2], 1], 
       Hue[0.7546479089470326, 
        Rational[1, 2], 1], 
       Hue[0.7864788975654117, 
        Rational[1, 2], 1], 
       Hue[0.7864788975654117, 
        Rational[1, 2], 1], 
       Hue[0.8183098861837907, 
        Rational[1, 2], 1], 
       Hue[0.8183098861837907, 
        Rational[1, 2], 1], 
       Hue[0.8501408748021698, 
        Rational[1, 2], 1], 
       Hue[0.8501408748021698, 
        Rational[1, 2], 1], 
       Hue[0.8819718634205489, 
        Rational[1, 2], 1], 
       Hue[0.8819718634205489, 
        Rational[1, 2], 1], 
       Hue[0.913802852038928, 
        Rational[1, 2], 1], 
       Hue[0.913802852038928, 
        Rational[1, 2], 1], 
       Hue[0.945633840657307, 
        Rational[1, 2], 1], 
       Hue[0.945633840657307, 
        Rational[1, 2], 1], 
       Hue[0.9774648292756861, 
        Rational[1, 2], 1], 
       Hue[0.9774648292756861, 
        Rational[1, 2], 1], 
       Hue[0.5092958178940652, 
        Rational[1, 2], 1], 
       Hue[0.5092958178940652, 
        Rational[1, 2], 1], 
       Hue[0.5411268065124442, 
        Rational[1, 2], 1], 
       Hue[0.5411268065124442, 
        Rational[1, 2], 1], 
       Hue[0.5729577951308233, 
        Rational[1, 2], 1], 
       Hue[0.5729577951308233, 
        Rational[1, 2], 1], 
       Hue[0.6047887837492024, 
        Rational[1, 2], 1], 
       Hue[0.6047887837492024, 
        Rational[1, 2], 1], 
       Hue[0.6366197723675815, 
        Rational[1, 2], 1], 
       Hue[0.6366197723675815, 
        Rational[1, 2], 1], 
       Hue[0.6684507609859605, 
        Rational[1, 2], 1], 
       Hue[0.6684507609859605, 
        Rational[1, 2], 1], 
       Hue[0.7002817496043395, 
        Rational[1, 2], 1], 
       Hue[0.7002817496043395, 
        Rational[1, 2], 1], 
       Hue[0.7321127382227186, 
        Rational[1, 2], 1], 
       Hue[0.7321127382227186, 
        Rational[1, 2], 1], 
       Hue[0.26394372684109774`, 
        Rational[1, 2], 1], 
       Hue[0.26394372684109774`, 
        Rational[1, 2], 1], 
       Hue[0.2957747154594768, 
        Rational[1, 2], 1], 
       Hue[0.2957747154594768, 
        Rational[1, 2], 1], 
       Hue[0.32760570407785594`, 
        Rational[1, 2], 1], 
       Hue[0.32760570407785594`, 
        Rational[1, 2], 1], 
       Hue[0.3594366926962349, 
        Rational[1, 2], 1], 
       Hue[0.3594366926962349, 
        Rational[1, 2], 1], 
       Hue[0.3912676813146139, 
        Rational[1, 2], 1], 
       Hue[0.3912676813146139, 
        Rational[1, 2], 1], 
       Hue[0.4230986699329931, 
        Rational[1, 2], 1], 
       Hue[0.4230986699329931, 
        Rational[1, 2], 1], 
       Hue[0.4549296585513722, 
        Rational[1, 2], 1]}]}, {{}, {}, 
    {RGBColor[1, 0.7, 0.9], Thickness[0.03], LineBox[CompressedData["
1:eJwVmnk8VG8bxokZSylKiWzRopIsJdnuoxVplxQqS7uUSpSUVFqsZYkS6leS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      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  PlotRange->All,
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.393845661637117*^9, 3.393845679453534*^9}, {
   3.3938468990009108`*^9, 3.393846922264476*^9}, 3.393847017973168*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowToolbars->"EditBar",
WindowSize->{915, 975},
WindowMargins->{{24, Automatic}, {Automatic, 30}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
ShowSelection->True,
Magnification->1.,
FrontEndVersion->"6.0 for Mac OS X PowerPC (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info3393854195-2522104"->{
  Cell[897386, 19519, 570, 9, 168, "Print",
   CellTags->"Info3393854195-2522104"]},
 "Info3393854198-2757010"->{
  Cell[901937, 19621, 296, 5, 60, "Print",
   CellTags->"Info3393854198-2757010"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info3393854195-2522104", 3344998, 88286},
 {"Info3393854198-2757010", 3345112, 88289}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 45, 0, 76, "Title"],
Cell[638, 25, 173, 7, 94, "Subsubtitle"],
Cell[CellGroupData[{
Cell[836, 36, 219, 5, 27, "Input"],
Cell[1058, 43, 496, 10, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1591, 58, 30, 0, 34, "Subsection"],
Cell[1624, 60, 801, 18, 71, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2462, 83, 50, 0, 67, "Section"],
Cell[2515, 85, 153, 3, 26, "Text"],
Cell[CellGroupData[{
Cell[2693, 92, 32, 0, 34, "Subsection"],
Cell[2728, 94, 144, 2, 26, "Text"],
Cell[CellGroupData[{
Cell[2897, 100, 389, 11, 46, "Input"],
Cell[3289, 113, 11152, 192, 248, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14478, 310, 1393, 30, 46, "Input"],
Cell[15874, 342, 1820, 36, 337, "Output"]
}, Open  ]],
Cell[17709, 381, 131, 2, 26, "Text"],
Cell[CellGroupData[{
Cell[17865, 387, 1259, 33, 76, "Input"],
Cell[19127, 422, 27996, 468, 229, "Output"]
}, Open  ]],
Cell[47138, 893, 230, 5, 26, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47405, 903, 55, 0, 34, "Subsection"],
Cell[47463, 905, 407, 7, 56, "Text"],
Cell[47873, 914, 68, 0, 26, "Text"],
Cell[47944, 916, 43, 0, 27, "Input"],
Cell[47990, 918, 159, 3, 26, "Text"],
Cell[48152, 923, 50, 0, 27, "Input"],
Cell[48205, 925, 496, 9, 56, "Text"],
Cell[48704, 936, 38, 0, 27, "Input"],
Cell[48745, 938, 283, 5, 41, "Text"],
Cell[CellGroupData[{
Cell[49053, 947, 33, 0, 27, "Input"],
Cell[49089, 949, 665, 13, 27, "Output"]
}, Open  ]],
Cell[49769, 965, 59, 0, 26, "Text"],
Cell[49831, 967, 40, 0, 27, "Input"],
Cell[49874, 969, 40, 0, 26, "Text"],
Cell[49917, 971, 37, 0, 27, "Input"],
Cell[49957, 973, 180, 3, 26, "Text"],
Cell[CellGroupData[{
Cell[50162, 980, 118, 1, 27, "Input"],
Cell[50283, 983, 660, 15, 27, "Output"]
}, Open  ]],
Cell[50958, 1001, 137, 3, 26, "Text"],
Cell[CellGroupData[{
Cell[51120, 1008, 120, 1, 27, "Input"],
Cell[51243, 1011, 724, 16, 27, "Output"]
}, Open  ]],
Cell[51982, 1030, 58, 0, 26, "Text"],
Cell[52043, 1032, 58, 0, 27, "Input"],
Cell[52104, 1034, 430, 7, 56, "Text"],
Cell[52537, 1043, 64, 0, 27, "Input"],
Cell[52604, 1045, 149, 3, 26, "Text"],
Cell[CellGroupData[{
Cell[52778, 1052, 232, 3, 27, "Input"],
Cell[53013, 1057, 5667, 93, 87, 2639, 42, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[58695, 1153, 133, 3, 26, "Text"],
Cell[58831, 1158, 1266, 41, 73, "Text"],
Cell[60100, 1201, 52, 0, 27, "Input"],
Cell[60155, 1203, 171, 6, 28, "Text"],
Cell[60329, 1211, 55, 0, 27, "Input"],
Cell[60387, 1213, 242, 10, 28, "Text"],
Cell[60632, 1225, 57, 0, 27, "Input"],
Cell[60692, 1227, 173, 3, 26, "Text"],
Cell[60868, 1232, 124, 3, 27, "Input"],
Cell[CellGroupData[{
Cell[61017, 1239, 38, 0, 27, "Input"],
Cell[61058, 1241, 1257, 35, 43, "Output"]
}, Open  ]],
Cell[62330, 1279, 117, 3, 26, "Text"],
Cell[62450, 1284, 55, 0, 27, "Input"],
Cell[62508, 1286, 100, 2, 26, "Text"],
Cell[62611, 1290, 71, 0, 27, "Input"],
Cell[62685, 1292, 41, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[62751, 1296, 214, 2, 27, "Input"],
Cell[62968, 1300, 11478, 225, 238, "Output"]
}, Open  ]],
Cell[74461, 1528, 63, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[74549, 1532, 180, 4, 27, "Input"],
Cell[74732, 1538, 14344, 267, 238, "Output"]
}, Open  ]],
Cell[89091, 1808, 103, 3, 26, "Text"],
Cell[89197, 1813, 2496, 65, 253, "Input"],
Cell[91696, 1880, 59, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[91780, 1884, 72, 0, 27, "Input"],
Cell[91855, 1886, 647, 11, 238, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[92551, 1903, 40, 0, 34, "Subsection"],
Cell[92594, 1905, 125, 3, 26, "Text"],
Cell[92722, 1910, 248, 9, 118, "Input"],
Cell[92973, 1921, 40, 0, 27, "Input"],
Cell[93016, 1923, 96, 1, 27, "Input"],
Cell[CellGroupData[{
Cell[93137, 1928, 165, 3, 27, "Input"],
Cell[93305, 1933, 185717, 3835, 238, 165576, 3503, "CachedBoxData", \
"BoxData", "Output"]
}, Open  ]],
Cell[279037, 5771, 398, 9, 26, "Text"],
Cell[CellGroupData[{
Cell[279460, 5784, 3273, 65, 133, "Input"],
Cell[282736, 5851, 193511, 4627, 238, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[476308, 10485, 47, 0, 67, "Section"],
Cell[476358, 10487, 143, 4, 26, "Text"],
Cell[476504, 10493, 113, 1, 27, "Input"],
Cell[476620, 10496, 351, 8, 41, "Text"],
Cell[CellGroupData[{
Cell[476996, 10508, 580, 11, 40, "Input"],
Cell[477579, 10521, 201867, 4432, 251, "Output"]
}, Open  ]],
Cell[679461, 14956, 104, 1, 27, "Input"],
Cell[679568, 14959, 60, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[679653, 14963, 170, 5, 40, "Input"],
Cell[679826, 14970, 217233, 4533, 143, "Output"]
}, Open  ]],
Cell[897074, 19506, 190, 5, 26, "Text"],
Cell[897267, 19513, 60, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[897352, 19517, 31, 0, 27, "Input"],
Cell[897386, 19519, 570, 9, 168, "Print",
 CellTags->"Info3393854195-2522104"]
}, Open  ]],
Cell[CellGroupData[{
Cell[897993, 19533, 39, 0, 27, "Input"],
Cell[898035, 19535, 3833, 79, 237, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[901905, 19619, 29, 0, 27, "Input"],
Cell[901937, 19621, 296, 5, 60, "Print",
 CellTags->"Info3393854198-2757010"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[902282, 19632, 62, 0, 67, "Section"],
Cell[902347, 19634, 70, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[902442, 19638, 355, 11, 46, "Input"],
Cell[902800, 19651, 120268, 2627, 248, "Output"]
}, Open  ]],
Cell[1023083, 22281, 265, 5, 41, "Text"],
Cell[CellGroupData[{
Cell[1023373, 22290, 1883, 49, 144, "Input"],
Cell[1025259, 22341, 2791, 52, 390, "Output"]
}, Open  ]],
Cell[1028065, 22396, 121, 3, 26, "Text"],
Cell[1028189, 22401, 524, 15, 33, "Input"],
Cell[CellGroupData[{
Cell[1028738, 22420, 133, 2, 27, "Input"],
Cell[1028874, 22424, 72163, 1761, 243, "Output"]
}, Open  ]],
Cell[1101052, 24188, 330, 6, 41, "Text"],
Cell[CellGroupData[{
Cell[1101407, 24198, 261, 7, 27, "Input"],
Cell[1101671, 24207, 71910, 1763, 248, "Output"]
}, Open  ]],
Cell[1173596, 25973, 67, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[1173688, 25977, 154, 4, 27, "Input"],
Cell[1173845, 25983, 72668, 1774, 243, "Output"]
}, Open  ]],
Cell[1246528, 27760, 163, 3, 26, "Text"],
Cell[CellGroupData[{
Cell[1246716, 27767, 441, 13, 27, "Input"],
Cell[1247160, 27782, 18667, 465, 247, "Output"]
}, Open  ]],
Cell[1265842, 28250, 122, 3, 26, "Text"],
Cell[CellGroupData[{
Cell[1265989, 28257, 439, 13, 27, "Input"],
Cell[1266431, 28272, 72055, 1768, 248, "Output"]
}, Open  ]],
Cell[1338501, 30043, 139, 3, 26, "Text"],
Cell[CellGroupData[{
Cell[1338665, 30050, 607, 18, 27, "Input"],
Cell[1339275, 30070, 88350, 2723, 239, "Output"]
}, Open  ]],
Cell[1427640, 32796, 158, 3, 26, "Text"],
Cell[CellGroupData[{
Cell[1427823, 32803, 755, 25, 43, "Input"],
Cell[1428581, 32830, 18053, 480, 239, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1446671, 33315, 357, 11, 27, "Input"],
Cell[1447031, 33328, 15609, 440, 230, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1462677, 33773, 485, 15, 27, "Input"],
Cell[1463165, 33790, 7552, 176, 230, "Output"]
}, Open  ]],
Cell[1470732, 33969, 263, 5, 41, "Text"],
Cell[CellGroupData[{
Cell[1471020, 33978, 154, 3, 27, "Input"],
Cell[1471177, 33983, 129509, 2830, 248, "Output"]
}, Open  ]],
Cell[1600701, 36816, 107, 3, 26, "Text"],
Cell[CellGroupData[{
Cell[1600833, 36823, 1332, 38, 53, "Input"],
Cell[1602168, 36863, 262231, 5624, 242, "Output"]
}, Open  ]],
Cell[1864414, 42490, 61, 0, 26, "Text"],
Cell[1864478, 42492, 99, 2, 26, "Text"],
Cell[CellGroupData[{
Cell[1864602, 42498, 66, 0, 27, "Input"],
Cell[1864671, 42500, 117133, 4178, 248, "Output"]
}, Open  ]],
Cell[1981819, 46681, 97, 2, 26, "Text"],
Cell[CellGroupData[{
Cell[1981941, 46687, 91, 2, 27, "Input"],
Cell[1982035, 46691, 116915, 4174, 257, "Output"]
}, Open  ]],
Cell[2098965, 50868, 70, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[2099060, 50872, 67, 0, 27, "Input"],
Cell[2099130, 50874, 117126, 4178, 240, "Output"]
}, Open  ]],
Cell[2216271, 55055, 374, 8, 44, "Text"],
Cell[2216648, 55065, 504, 9, 37, "Program"],
Cell[CellGroupData[{
Cell[2217177, 55078, 1419, 44, 62, "Input"],
Cell[2218599, 55124, 995121, 29896, 238, 983447, 29704, "CachedBoxData", \
"BoxData", "Output"]
}, Open  ]],
Cell[3213735, 85023, 126, 3, 26, "Text"],
Cell[CellGroupData[{
Cell[3213886, 85030, 1357, 37, 58, "Input"],
Cell[3215246, 85069, 65361, 1600, 238, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3280644, 86674, 1155, 32, 58, "Input"],
Cell[3281802, 86708, 62695, 1557, 238, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
