(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[   1327936,      23517]
NotebookOptionsPosition[   1321138,      23320]
NotebookOutlinePosition[   1323219,      23383]
CellTagsIndexPosition[   1322904,      23372]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "The package VQM`ComplexPlot",
 StyleBox["`", "MB"]
}], "Title"],

Cell["\<\
Bernd Thaller
Institute of Mathematics
University of Graz
Austria
04-10-2004\
\>", "Subsubtitle"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"$Version", ",", " ", 
   RowBox[{"Date", "[", "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.391848116375*^9, 3.39184812196875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"6.0 for Linux x86 (64-bit) (April 20, 2007)\"\>", ",", 
   RowBox[{"{", 
    RowBox[{
    "2007", ",", "7", ",", "3", ",", "19", ",", "25", ",", 
     "23.182331`8.117732085331292"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.3918482750625*^9, 3.391848295921875*^9}, 
   3.39247232330696*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Abstract", "Subsection"],

Cell[TextData[{
 "This package provides commands for visualizing complex-valued functions by \
generating two-dimensional ColorDensityGraphics, ContourGraphics and three \
dimensional SurfaceGraphics of complex-valued functions with a color code for \
complex numbers. This package is part of the VQM packages which can be \
obtained here:  ",
 ButtonBox["http://www.uni-graz.at/imawww/vqm/software.html",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.uni-graz.at/imawww/vqm/software.html"], None}],
 " (free download). The VQM packages are part of the Visual Quantum Mechanics \
project, see ",
 ButtonBox["http://www.uni-graz.at/imawww/vqm/",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.uni-graz.at/imawww/vqm/"], None}],
 ". In particular, these packages are distributed with the book ",
 StyleBox["Advanced Visual Quantum Mechanics",
  FontSlant->"Italic"],
 ", Springer-Verlag New York, 2004."
}], "Text"],

Cell["", "Text"],

Cell[BoxData[
 FormBox[
  StyleBox[
   FrameBox[
    StyleBox[GridBox[{
       {
        RowBox[{
         StyleBox[
          RowBox[{"Q", 
           StyleBox["ComplexDensityPlot",
            FontFamily->"Courier",
            GridBoxOptions->{
            GridBoxDividers->{
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {{False}}, "RowsIndexed" -> {}}}]}]], 
         StyleBox["[",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[
          RowBox[{
           RowBox[{"f", "[", 
            RowBox[{"x", ",", "y"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             StyleBox["xmin",
              FontSlant->"Italic"], ",", 
             StyleBox["xmax",
              FontSlant->"Italic"]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", 
             StyleBox["ymin",
              FontSlant->"Italic"], ",", 
             StyleBox["ymax",
              FontSlant->"Italic"]}], "}"}]}],
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["]",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}]}], 
        StyleBox[
         RowBox[{
          RowBox[{"generate", " ", 
           StyleBox["a",
            FontSlant->"Plain"], " ", "two", " ", "dimensional", " ", 
           "ColorDensityGraphics", " ", "of", " ", 
           StyleBox["a",
            FontSlant->"Italic"], " ", "complex"}], "-", 
          RowBox[{
          "valued", " ", "function", " ", "f", " ", "of", " ", "two", " ", 
           "variables", " ", "x", " ", "and", " ", 
           RowBox[{"y", ".", " ", "Similar"}], " ", "to", " ", 
           RowBox[{"DensityPlot", "."}]}]}],
         GridBoxOptions->{
         GridBoxDividers->{
          "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}},
            "RowsIndexed" -> {}}}]},
       {
        RowBox[{
         StyleBox[
          RowBox[{"Q", 
           StyleBox["ComplexContourPlot",
            FontFamily->"Courier",
            GridBoxOptions->{
            GridBoxDividers->{
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {{False}}, "RowsIndexed" -> {}}}]}]], 
         StyleBox["[",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[
          RowBox[{
           RowBox[{"f", "[", 
            RowBox[{"x", ",", "y"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             StyleBox["xmin",
              FontSlant->"Italic"], ",", 
             StyleBox["xmax",
              FontSlant->"Italic"]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", 
             StyleBox["ymin",
              FontSlant->"Italic"], ",", 
             StyleBox["ymax",
              FontSlant->"Italic"]}], "}"}]}],
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["]",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}]}], 
        RowBox[{"combines", " ", 
         StyleBox["a",
          FontSlant->"Plain"], " ", "ComplexDensityPlot", " ", "of", " ", 
         StyleBox["a",
          FontSlant->"Plain"], " ", "function", " ", "f", " ", "with", " ", 
         StyleBox["a",
          FontSlant->"Plain"], " ", "ContourPlot", " ", "of", " ", 
         RowBox[{
          RowBox[{"Abs", "[", "f", "]"}], "."}]}]},
       {
        RowBox[{
         StyleBox[
          RowBox[{"Q", 
           StyleBox["ComplexPlot3D",
            FontFamily->"Courier",
            GridBoxOptions->{
            GridBoxDividers->{
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {{False}}, "RowsIndexed" -> {}}}]}]], 
         StyleBox["[",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[
          RowBox[{
           RowBox[{"f", "[", 
            RowBox[{"x", ",", "y"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             StyleBox["xmin",
              FontSlant->"Italic"], ",", 
             StyleBox["xmax",
              FontSlant->"Italic"]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", 
             StyleBox["ymin",
              FontSlant->"Italic"], ",", 
             StyleBox["ymax",
              FontSlant->"Italic"]}], "}"}]}],
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["]",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}]}], 
        RowBox[{
         RowBox[{"generates", " ", 
          StyleBox["a",
           FontSlant->"Plain"], " ", "two", " ", "dimensional", " ", 
          "SurfaceGraphics", " ", "of", " ", 
          StyleBox["a",
           FontSlant->"Plain"], " ", "complex"}], "-", 
         RowBox[{"valued", " ", "function", " ", "f"}]}]}
      },
      GridBoxAlignment->{
       "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}],
     GridBoxOptions->{
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}}}]], "2ColumnBox"], TraditionalForm]], "Text",
 CellChangeTimes->{{3.3918385307278748`*^9, 3.3918385335091248`*^9}},
 CellTags->{"ComplexDensityPlot", "ComplexContourPlot", "ComplexPlot3D"}],

Cell["Visualizing complex functions.", "Caption"],

Cell["", "Caption"],

Cell["This loads the package. ", "MathCaption"],

Cell["RM: changing to Needs:", "Program",
 CellChangeTimes->{{3.39184807221875*^9, 3.3918480793125*^9}}],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VQM`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.391790228546821*^9, 3.391790232231049*^9}}],

Cell["\<\
The main package automatically loads the package VQM`ComplexPlot` and \
VQM`ColorMaps`.\
\>", "Text",
 CellChangeTimes->{{3.391848049203125*^9, 3.391848058140625*^9}}],

Cell["\<\
This gives a density plot of the identity function f[z]=z, i.e., the color \
map of the complex plane. \
\>", "MathCaption"],

Cell[CellGroupData[{

Cell["QComplexDensityPlot[x + I y, {x,-4,4},{y,-4,4}]", "Input",
 CellChangeTimes->{{3.3917848851163816`*^9, 3.391784905531275*^9}, {
   3.391785178649478*^9, 3.391785179735586*^9}, 3.391785596872305*^9}],

Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJxdmQds1lUUxZ8RBEEUUtkjn+xhA4ogCJoSRVRkK3s0OLCo4MKJUSIqDhSD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     "], {{-4, -4}, {4, 4}}, {1, 256},
     ColorFunction->Hue], 
    {GrayLevel[0], LineBox[{{-4, -4}, {-4, 4}}], 
     LineBox[NCache[{{Rational[-92, 25], -4}, {
        Rational[-92, 25], 4}}, {{-3.68, -4}, {-3.68, 4}}]], 
     LineBox[NCache[{{Rational[-84, 25], -4}, {
        Rational[-84, 25], 4}}, {{-3.36, -4}, {-3.36, 4}}]], 
     LineBox[NCache[{{Rational[-76, 25], -4}, {
        Rational[-76, 25], 4}}, {{-3.04, -4}, {-3.04, 4}}]], 
     LineBox[NCache[{{Rational[-68, 25], -4}, {
        Rational[-68, 25], 4}}, {{-2.72, -4}, {-2.72, 4}}]], 
     LineBox[NCache[{{Rational[-12, 5], -4}, {
        Rational[-12, 5], 4}}, {{-2.4, -4}, {-2.4, 4}}]], 
     LineBox[NCache[{{Rational[-52, 25], -4}, {
        Rational[-52, 25], 4}}, {{-2.08, -4}, {-2.08, 4}}]], 
     LineBox[NCache[{{Rational[-44, 25], -4}, {
        Rational[-44, 25], 4}}, {{-1.76, -4}, {-1.76, 4}}]], 
     LineBox[NCache[{{Rational[-36, 25], -4}, {
        Rational[-36, 25], 4}}, {{-1.44, -4}, {-1.44, 4}}]], 
     LineBox[NCache[{{Rational[-28, 25], -4}, {
        Rational[-28, 25], 4}}, {{-1.12, -4}, {-1.12, 4}}]], 
     LineBox[
      NCache[{{Rational[-4, 5], -4}, {
        Rational[-4, 5], 4}}, {{-0.8, -4}, {-0.8, 4}}]], 
     LineBox[NCache[{{Rational[-12, 25], -4}, {
        Rational[-12, 25], 4}}, {{-0.48, -4}, {-0.48, 4}}]], 
     LineBox[NCache[{{Rational[-4, 25], -4}, {
        Rational[-4, 25], 4}}, {{-0.16, -4}, {-0.16, 4}}]], 
     LineBox[NCache[{{Rational[4, 25], -4}, {Rational[4, 25], 4}}, {{
        0.16, -4}, {0.16, 4}}]], 
     LineBox[NCache[{{Rational[12, 25], -4}, {Rational[12, 25], 4}}, {{
        0.48, -4}, {0.48, 4}}]], 
     LineBox[NCache[{{Rational[4, 5], -4}, {Rational[4, 5], 4}}, {{0.8, -4}, {
        0.8, 4}}]], 
     LineBox[NCache[{{Rational[28, 25], -4}, {Rational[28, 25], 4}}, {{
        1.12, -4}, {1.12, 4}}]], 
     LineBox[NCache[{{Rational[36, 25], -4}, {Rational[36, 25], 4}}, {{
        1.44, -4}, {1.44, 4}}]], 
     LineBox[NCache[{{Rational[44, 25], -4}, {Rational[44, 25], 4}}, {{
        1.76, -4}, {1.76, 4}}]], 
     LineBox[NCache[{{Rational[52, 25], -4}, {Rational[52, 25], 4}}, {{
        2.08, -4}, {2.08, 4}}]], 
     LineBox[NCache[{{Rational[12, 5], -4}, {Rational[12, 5], 4}}, {{
        2.4, -4}, {2.4, 4}}]], 
     LineBox[NCache[{{Rational[68, 25], -4}, {Rational[68, 25], 4}}, {{
        2.72, -4}, {2.72, 4}}]], 
     LineBox[NCache[{{Rational[76, 25], -4}, {Rational[76, 25], 4}}, {{
        3.04, -4}, {3.04, 4}}]], 
     LineBox[NCache[{{Rational[84, 25], -4}, {Rational[84, 25], 4}}, {{
        3.36, -4}, {3.36, 4}}]], 
     LineBox[NCache[{{Rational[92, 25], -4}, {Rational[92, 25], 4}}, {{
        3.68, -4}, {3.68, 4}}]], LineBox[{{4, -4}, {4, 4}}], 
     LineBox[{{-4, -4}, {4, -4}}], 
     LineBox[NCache[{{-4, Rational[-92, 25]}, {
        4, Rational[-92, 25]}}, {{-4, -3.68}, {4, -3.68}}]], 
     LineBox[NCache[{{-4, Rational[-84, 25]}, {
        4, Rational[-84, 25]}}, {{-4, -3.36}, {4, -3.36}}]], 
     LineBox[NCache[{{-4, Rational[-76, 25]}, {
        4, Rational[-76, 25]}}, {{-4, -3.04}, {4, -3.04}}]], 
     LineBox[NCache[{{-4, Rational[-68, 25]}, {
        4, Rational[-68, 25]}}, {{-4, -2.72}, {4, -2.72}}]], 
     LineBox[NCache[{{-4, Rational[-12, 5]}, {
        4, Rational[-12, 5]}}, {{-4, -2.4}, {4, -2.4}}]], 
     LineBox[
      NCache[{{-4, Rational[-52, 25]}, {
        4, Rational[-52, 25]}}, {{-4, -2.08}, {4, -2.08}}]], 
     LineBox[NCache[{{-4, Rational[-44, 25]}, {
        4, Rational[-44, 25]}}, {{-4, -1.76}, {4, -1.76}}]], 
     LineBox[NCache[{{-4, Rational[-36, 25]}, {
        4, Rational[-36, 25]}}, {{-4, -1.44}, {4, -1.44}}]], 
     LineBox[NCache[{{-4, Rational[-28, 25]}, {
        4, Rational[-28, 25]}}, {{-4, -1.12}, {4, -1.12}}]], 
     LineBox[NCache[{{-4, Rational[-4, 5]}, {
        4, Rational[-4, 5]}}, {{-4, -0.8}, {4, -0.8}}]], 
     LineBox[NCache[{{-4, Rational[-12, 25]}, {
        4, Rational[-12, 25]}}, {{-4, -0.48}, {4, -0.48}}]], 
     LineBox[NCache[{{-4, Rational[-4, 25]}, {
        4, Rational[-4, 25]}}, {{-4, -0.16}, {4, -0.16}}]], 
     LineBox[NCache[{{-4, Rational[4, 25]}, {
        4, Rational[4, 25]}}, {{-4, 0.16}, {4, 0.16}}]], 
     LineBox[NCache[{{-4, Rational[12, 25]}, {
        4, Rational[12, 25]}}, {{-4, 0.48}, {4, 0.48}}]], 
     LineBox[NCache[{{-4, Rational[4, 5]}, {4, Rational[4, 5]}}, {{-4, 0.8}, {
        4, 0.8}}]], 
     LineBox[NCache[{{-4, Rational[28, 25]}, {
        4, Rational[28, 25]}}, {{-4, 1.12}, {4, 1.12}}]], 
     LineBox[NCache[{{-4, Rational[36, 25]}, {
        4, Rational[36, 25]}}, {{-4, 1.44}, {4, 1.44}}]], 
     LineBox[NCache[{{-4, Rational[44, 25]}, {
        4, Rational[44, 25]}}, {{-4, 1.76}, {4, 1.76}}]], 
     LineBox[NCache[{{-4, Rational[52, 25]}, {
        4, Rational[52, 25]}}, {{-4, 2.08}, {4, 2.08}}]], 
     LineBox[NCache[{{-4, Rational[12, 5]}, {
        4, Rational[12, 5]}}, {{-4, 2.4}, {4, 2.4}}]], 
     LineBox[NCache[{{-4, Rational[68, 25]}, {
        4, Rational[68, 25]}}, {{-4, 2.72}, {4, 2.72}}]], 
     LineBox[NCache[{{-4, Rational[76, 25]}, {
        4, Rational[76, 25]}}, {{-4, 3.04}, {4, 3.04}}]], 
     LineBox[NCache[{{-4, Rational[84, 25]}, {
        4, Rational[84, 25]}}, {{-4, 3.36}, {4, 3.36}}]], 
     LineBox[NCache[{{-4, Rational[92, 25]}, {
        4, Rational[92, 25]}}, {{-4, 3.68}, {4, 3.68}}]], 
     LineBox[{{-4, 4}, {4, 4}}]}},
   AlignmentPoint->Center,
   AspectRatio->1,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->Automatic,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->Automatic,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{
  3.391781836230255*^9, 3.391784650268704*^9, {3.391784810801762*^9, 
   3.3917848336274967`*^9}, {3.3917848861135283`*^9, 3.3917849064956083`*^9}, 
   3.391785059258726*^9, 3.3917851802396107`*^9, 3.39178939001897*^9, 
   3.391789528036248*^9, 3.391789934083398*^9, 3.3917900317005873`*^9, 
   3.391837562750106*^9, 3.3918385620247498`*^9, {3.391848277453125*^9, 
   3.39184829784375*^9}, 3.392472324026499*^9}]
}, Open  ]],

Cell["\<\
This graphic illustrates the default color map of the complex numbers, which \
is used in this package. This color map is defined in the HLS color system as \
follows. Hue = Arg[z]/2/Pi, Lightness = (2/Pi) ArcTan[r/R], Saturation = 1. \
This color map can be understood as a stereographic mapping from the complex \
plane to the surface of a sphere of radius R composed with a continuous \
mapping from the sphere onto the surface of the color manifold.
Note that zeros of a complex function appear black, real values are red, \
poles are white. At the zeros and at poles, the phase is not defined, hence \
an error message Arg::indet will appear\
\>", "Text"],

Cell[TextData[{
 "The plot can be regenerated using any option that can be given for the ",
 StyleBox["DensityPlot", "MR"],
 " function. This turns off the mesh and displays axes. "
}], "MathCaption",
 CellChangeTimes->{{3.391785658904962*^9, 3.3917856604517097`*^9}, {
  3.391785875919181*^9, 3.3917858932566233`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QComplexDensityPlot", "[", 
  RowBox[{
   RowBox[{"x", "+", 
    RowBox[{"I", " ", "y"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
   RowBox[{"Axes", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3917852306704197`*^9, 3.391785248916707*^9}, {
  3.391785437249947*^9, 3.391785440236103*^9}, {3.391785618228747*^9, 
  3.3917856263306713`*^9}}],

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJxdmQds1lUUxZ8RBEEUUtkjn+xhA4ogCJoSRVRkK3s0OLCo4MKJUSIqDhSD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   "], {{-4, -4}, {4, 4}}, {1, 256},
   ColorFunction->Hue],
  AlignmentPoint->Center,
  AspectRatio->1,
  Axes->True,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->True,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->Automatic,
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{{3.391785240740767*^9, 3.3917852499692698`*^9}, 
   3.39178544075274*^9, 3.3917856269686003`*^9, 3.391789392468197*^9, 
   3.3918385969466248`*^9, {3.39184827821875*^9, 3.391848298203125*^9}, 
   3.392472324333131*^9}]
}, Open  ]],

Cell["\<\
The following combines a QComplexDensityPlot of Sin[z] with a ContourPlot of \
Sin[x]Cos[y]. \
\>", "MathCaption",
 CellChangeTimes->{{3.39184832446875*^9, 3.391848328765625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"gr1", "=", 
   RowBox[{"QComplexDensityPlot", "[", 
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{"x", "+", 
       RowBox[{"\[ImaginaryI]", " ", "y"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "False"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"gr2", "=", 
   RowBox[{"ContourPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Sin", "[", "x", "]"}], " ", 
      RowBox[{"Cos", "[", "y", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], ",", 
     RowBox[{"ContourShading", "\[Rule]", "False"}], ",", 
     RowBox[{"Exclusions", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"Abs", "[", "y", "]"}], "\[Equal]", 
         FractionBox["\[Pi]", "2"]}], ",", 
        RowBox[{
         RowBox[{"x", "*", "y"}], "\[Equal]", "0"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{"Show", "[", 
  RowBox[{"gr1", ",", "gr2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.3918386150247498`*^9, 3.3918386212591248`*^9}, {
  3.3918386828216248`*^9, 3.3918386892122498`*^9}, {3.3918387225403748`*^9, 
  3.3918387307122498`*^9}, {3.3918387778216248`*^9, 3.3918388092122498`*^9}, {
  3.3918388817747498`*^9, 3.3918389264934998`*^9}, {3.391840113640625*^9, 
  3.391840151015625*^9}}],

Cell[BoxData[
 GraphicsBox[{RasterBox[CompressedData["
1:eJx12UtoXUUcx/F/Kb6ShVQbUKw24gNNFwo2S+XsfWKtiiCk9QnVFsHWt1wo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    "], {{-Pi, -Pi}, {Pi, Pi}}, {1, 256},
    ColorFunction->Hue], GraphicsComplexBox[CompressedData["
1:eJyMfXecVtXV7gwwDNiiiSUq9vKJsfcW1zGC2GPvxhIVFRUVe4mi2GMvsWKJ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    
    "], {{{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}, {{}, {}, {}, 
      {GrayLevel[0], Opacity[0.4], 
       TagBox[
        TooltipBox[
         LineBox[{6121, 8048, 8049, 8047, 8051, 8050, 8720, 8719, 7916, 8161, 
          8160, 7776, 8052, 6474, 8640, 7917, 7918, 6314, 7110, 6315, 8721, 
          8055, 6479, 8054, 6478, 8181, 8182, 8179, 6569, 8180, 8058, 8059, 
          7777, 7778, 6248, 8420, 6249, 7780, 7779, 8330, 8329, 7137, 7138, 
          6866, 8655, 6867, 6554, 7135, 7597, 8262, 6702, 8261, 6701, 7066, 
          6700, 8327, 8328, 8324, 8326, 8325, 8331}],
         "0.8`"],
        Annotation[#, 0.8, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{6171, 6217, 7737, 7736, 7910, 7909, 8716, 8715, 7908, 8155, 
          8154, 7893, 7892, 6550, 8144, 8255, 8254, 7057, 6343, 8729, 8138, 
          6539, 8137, 6538, 8142, 8143, 7890, 8711, 8712, 8009, 8010, 8006, 
          8008, 8007, 8481, 6305, 7889, 7888, 8398, 8397, 6684, 7054, 6212, 
          8631, 6834, 6686, 7593, 6685, 8511, 6780, 7906, 7907, 7108, 6757, 
          8408, 8409, 8405, 8407, 8406, 8410}],
         "0.8`"],
        Annotation[#, 0.8, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{8910, 8368, 8369, 8367, 8371, 8370, 6753, 7103, 7839, 7838, 
          6779, 8510, 6620, 7529, 6621, 6816, 8622, 6195, 7013, 6619, 8353, 
          8354, 7824, 7825, 6276, 8451, 7994, 7995, 7993, 7997, 7996, 8694, 
          8693, 7826, 8093, 8092, 6505, 8086, 6506, 8087, 8726, 6329, 7016, 
          8207, 8208, 8094, 6512, 7828, 7829, 8110, 8111, 7841, 8697, 8698, 
          7842, 7843, 7723, 7724, 8887, 8916}],
         "0.8`"],
        Annotation[#, 0.8, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{8914, 8855, 8856, 8105, 8850, 8106, 8104, 8108, 8107, 8702, 
          8701, 7853, 8122, 8121, 7840, 8109, 6515, 8643, 7944, 7945, 6333, 
          7121, 6334, 8728, 8125, 6526, 8124, 6525, 8237, 8238, 8235, 6651, 
          8236, 8128, 8129, 7854, 7855, 6285, 8464, 6286, 7857, 7856, 8384, 
          8383, 7187, 7188, 6931, 8658, 6932, 6637, 7184, 7600, 8282, 6715, 
          8281, 6714, 7075, 6713, 8375, 8376, 8372, 8374, 8675, 8373, 8848, 
          8922}],
         "0.8`"],
        Annotation[#, 0.8, "Tooltip"]& ]}, 
      {GrayLevel[0], Opacity[0.4], 
       TagBox[
        TooltipBox[
         LineBox[{6555, 6860, 6372, 6975, 6801, 7461, 7462, 7459, 6557, 7460, 
          6868, 8529, 6869, 6571, 7473, 6570, 6804, 6803, 7478, 6572, 7475, 
          7477, 7476, 6878, 6130, 7321, 7322, 7319, 7320, 8533, 8535, 8534, 
          6129, 7612, 6127, 8672, 8531, 6768, 6986, 6985, 6319, 7923, 7922, 
          8432, 8431, 7273, 7411, 6480, 8057, 8056, 7276, 7792, 6255, 6983, 
          6256, 7793, 7410, 6477, 7409, 6476, 8166, 8167, 8165, 8740, 8739, 
          6973, 6974, 6759, 8417, 8419, 8418, 6247, 6854, 6246, 7775, 7774, 
          8046, 8045, 6789}],
         "0.6`"],
        Annotation[#, 0.6, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{6695, 8506, 8507, 8020, 8021, 6440, 8528, 6439, 7386, 7387, 
          8252, 8253, 8251, 7704, 7705, 6211, 6833, 6683, 7205, 7217, 6965, 
          6436, 7583, 6679, 7208, 7700, 6162, 6207, 7580, 7378, 7379, 7263, 
          7584, 8559, 6208, 7585, 7634, 8817, 8818, 8519, 6784, 7123, 7122, 
          6337, 7951, 7950, 8470, 8469, 7295, 7294, 6537, 7439, 7657, 7656, 
          7056, 6306, 7891, 7441, 6541, 7440, 6540, 8521, 8522, 7962, 7963, 
          6344, 7126, 7127, 6765, 8482, 8484, 8483, 6307, 7063, 8288, 8289, 
          8287, 8291, 8290, 6799}],
         "0.6`"],
        Annotation[#, 0.6, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{8902, 8829, 8830, 8756, 6415, 7028, 6820, 7545, 7546, 7543, 
          6639, 7544, 6933, 8544, 6934, 6653, 7555, 6652, 6825, 6824, 7560, 
          6654, 7557, 7559, 7558, 6939, 6156, 7365, 7366, 7363, 7364, 8550, 
          8552, 8551, 6155, 7628, 6152, 8678, 8546, 6771, 7037, 7036, 6336, 
          7949, 7948, 8468, 8467, 7289, 7436, 6527, 8127, 8126, 7292, 7867, 
          6292, 7034, 6293, 7868, 7435, 6524, 7434, 6523, 8220, 8221, 8219, 
          8761, 8760, 7026, 7027, 6764, 8461, 8463, 8462, 6284, 7025, 6283, 
          7852, 7851, 8382, 8755, 8381, 8912}],
         "0.6`"],
        Annotation[#, 0.6, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{8908, 8277, 8278, 8274, 8276, 8275, 7020, 6278, 8453, 8454, 
          8452, 6762, 7119, 7118, 6330, 7941, 7940, 8518, 8517, 6507, 7425, 
          6508, 7426, 7827, 6277, 7015, 7654, 7655, 7424, 6504, 7284, 7285, 
          8441, 8442, 7932, 7933, 6324, 7114, 7115, 6783, 8514, 8816, 8815, 
          7619, 7522, 6190, 8558, 7521, 7239, 7348, 7347, 7517, 6189, 6141, 
          7685, 7170, 6608, 7520, 6398, 6913, 7175, 7167, 6618, 6815, 6194, 
          7690, 7689, 7176, 7528, 7527, 6406, 7019, 6407, 8882, 8871, 8873, 
          8872, 8923}],
         "0.6`"],
        Annotation[#, 0.6, "Tooltip"]& ]}, 
      {GrayLevel[0], Opacity[0.4], 
       TagBox[
        TooltipBox[
         LineBox[{6123, 6861, 6862, 6556, 7458, 8169, 8168, 6177, 6122, 6870, 
          6871, 6722, 7084, 6805, 7480, 6574, 7474, 6573, 7479, 6726, 7142, 
          7141, 6879, 6382, 6987, 6381, 7492, 7493, 8193, 8192, 6588, 8645, 
          8646, 8596, 7491, 7226, 6380, 7323, 6585, 7489, 7490, 8614, 8616, 
          8615, 6259, 7796, 6258, 8613, 7640, 7277, 6489, 7419, 6583, 8190, 
          6584, 8191, 6447, 8177, 8178, 8176, 8745, 8744, 6984, 6257, 7795, 
          7794, 8343, 8342, 6846, 8076, 6488, 7790, 7791, 7408, 6475, 8053, 
          7407, 7455, 7454, 8162, 7406, 7305, 8659, 7306, 7304, 6348, 7401, 
          7402, 7398, 7400, 7399, 7453}],
         "0.4`"],
        Annotation[#, 0.4, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{6170, 7735, 7734, 7733, 6777, 8508, 6776, 7674, 6787, 7672, 
          6786, 7673, 6694, 7132, 7133, 6788, 7710, 7711, 6169, 7134, 7053, 
          6963, 6964, 6720, 7081, 6435, 7579, 6678, 7206, 7261, 7262, 7698, 
          7045, 6677, 8667, 8668, 6954, 8666, 6427, 7046, 6831, 7581, 7582, 
          7207, 7699, 7376, 6428, 7258, 6429, 7377, 7666, 7667, 7668, 7048, 
          7047, 6299, 7650, 6955, 6956, 6754, 7104, 6430, 6957, 7883, 7882, 
          6536, 8136, 6467, 8471, 8472, 7952, 7953, 6338, 7055, 6339, 7955, 
          7954, 8474, 8473, 6852, 8145, 6551, 7894, 7895, 7298, 8011, 8012, 
          7384, 7267, 7268, 6213, 6167, 7637, 6172, 8555, 7636, 7220, 6696, 
          6970, 6969, 7064}],
         "0.4`"],
        Annotation[#, 0.4, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{8894, 6917, 6918, 6626, 7182, 7622, 8542, 6148, 7623, 6144, 
          6196, 7243, 7242, 7350, 7999, 7998, 7287, 7831, 7830, 6513, 8095, 
          6849, 8445, 8446, 7936, 7937, 6326, 7014, 6325, 7935, 7934, 8444, 
          8443, 6456, 8085, 6503, 7813, 7814, 6907, 6394, 7100, 6751, 6906, 
          6905, 7643, 6270, 7005, 7006, 7665, 7664, 7663, 7346, 6393, 7233, 
          6392, 7345, 7684, 7169, 7519, 7518, 6812, 7004, 6391, 8663, 6904, 
          8665, 8664, 6606, 7003, 7683, 7238, 7237, 7168, 6607, 7516, 6397, 
          7073, 6709, 6912, 6911, 7012, 6916, 6147, 7181, 7180, 6625, 6818, 
          8884, 8886, 8901}],
         "0.4`"],
        Annotation[#, 0.4, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{8898, 8831, 8832, 8676, 6924, 6638, 7542, 8223, 8222, 6198, 
          6150, 6935, 6936, 6738, 7092, 6826, 7562, 6656, 7556, 6655, 7561, 
          6742, 7196, 7195, 6940, 6426, 7038, 6425, 7571, 7572, 8248, 8247, 
          6669, 8653, 8654, 8603, 7570, 7255, 6424, 7367, 6666, 7568, 7569, 
          8628, 8630, 8629, 6296, 7871, 6295, 8627, 7649, 7293, 6531, 7438, 
          6664, 8244, 6665, 8245, 6464, 8233, 8234, 8232, 8767, 8766, 7035, 
          6294, 7870, 7869, 8392, 8391, 6851, 8131, 6530, 7865, 7866, 7433, 
          6522, 8123, 7432, 7647, 7646, 8460, 7625, 7540, 7541, 7539, 6634, 
          6923, 8674, 8828, 8827, 8918}],
         "0.4`"],
        Annotation[#, 0.4, "Tooltip"]& ]}, 
      {GrayLevel[0], Opacity[0.4], 
       TagBox[
        TooltipBox[
         LineBox[{6347, 8490, 8491, 8489, 8493, 8492, 6756, 8403, 8404, 7904, 
          7905, 6312, 7302, 6311, 7301, 7300, 8153, 8152, 6368, 7973, 6369, 
          7974, 8284, 8283, 7080, 6238, 8680, 8562, 6746, 8769, 6795, 6796, 
          7730, 7729, 8636, 6364, 7971, 6365, 7313, 7764, 7078, 6718, 7606, 
          6744, 7605, 8318, 8317, 6161, 6953, 7043, 6671, 6943, 6672, 6827, 
          6203, 7573, 8862, 8863, 8861, 8878, 8877, 7257, 7574, 7727, 6204, 
          7575, 8857, 8858, 8553, 6946, 6673, 6828, 7201, 8249, 7202, 7210, 
          7209, 6163, 7391, 7392, 7390, 6466, 7393, 7879, 7878, 6534, 8134, 
          6844, 8791, 8792, 8576, 8706, 6301, 7105, 6300, 8705, 8575, 8790, 
          8789, 6468, 8737, 6542, 8577, 8707, 7884, 8592, 6472, 8039, 8040, 
          7766, 6239, 8400, 6240, 8399, 7767, 8604, 6687, 8256, 7706, 7388, 
          6441, 8891, 7271, 7272, 7712}],
         "0.2`"],
        Annotation[#, 0.2, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{6558, 7315, 6373, 8833, 7224, 7225, 7675, 8170, 6559, 8644, 
          7740, 7741, 6221, 7085, 6222, 7743, 7742, 6723, 8292, 6352, 6855, 
          6448, 7147, 7146, 7145, 6354, 7307, 6772, 7068, 6706, 7602, 6727, 
          7601, 8295, 8294, 6995, 6180, 7144, 7143, 6887, 6589, 6886, 6885, 
          6134, 7331, 7713, 7332, 7227, 7330, 7329, 6133, 6883, 6884, 6587, 
          6882, 6586, 6994, 7095, 7094, 7615, 6179, 8611, 7614, 7983, 7982, 
          6379, 8583, 7280, 7805, 7804, 6492, 8078, 6838, 8771, 8772, 8565, 
          8681, 6265, 6993, 8797, 8798, 8607, 8800, 8799, 6446, 8743, 6568, 
          8594, 6567, 7979, 6377, 7978, 8075, 8074, 8734, 6220, 8073, 7967, 
          6350, 7966, 6349, 8043, 8563, 8044, 7403, 7404, 8564, 6245, 7405, 
          6244, 7773, 7772, 8323, 8322, 6748, 8497, 8498, 8494, 8496, 8495, 
          8504}],
         "0.2`"],
        Annotation[#, 0.2, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{8893, 7247, 7246, 7245, 6408, 7354, 7691, 8209, 6622, 8599, 
          7755, 8355, 6231, 8356, 6230, 7754, 8038, 8037, 6459, 8591, 7815, 
          8690, 8572, 6509, 8736, 6457, 8779, 8780, 8570, 8688, 6271, 7101, 
          6272, 8689, 8571, 8782, 8781, 6841, 8081, 6495, 7809, 8684, 8034, 
          6455, 8031, 8033, 8032, 6142, 7171, 7172, 7160, 8199, 7159, 7158, 
          6602, 6897, 8540, 6896, 7508, 6186, 7716, 7507, 7232, 7340, 7339, 
          7504, 6185, 6810, 6601, 7505, 6600, 7506, 6903, 6140, 8303, 8304, 
          8302, 6733, 8305, 6732, 7089, 7749, 7310, 6359, 7970, 6358, 8635, 
          7719, 7720, 6794, 6793, 8306, 6735, 7752, 7753, 6229, 7072, 8267, 
          8268, 8206, 6617, 8205, 6616, 7352, 6404, 8889, 6405, 7353, 8903}],
         "0.2`"],
        Annotation[#, 0.2, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{8905, 8843, 8844, 8757, 6416, 7250, 7251, 7252, 7693, 8224, 
          6640, 8650, 7760, 7761, 6236, 7093, 6237, 7763, 7762, 6739, 8308, 
          6361, 6858, 6465, 7200, 7199, 7198, 6363, 7312, 6775, 7077, 6717, 
          8316, 6743, 8313, 8315, 8314, 7042, 6202, 7697, 7696, 7197, 6670, 
          6951, 6950, 6160, 7374, 7726, 7375, 7256, 7373, 7372, 6159, 6947, 
          6948, 6668, 8246, 6667, 8606, 7629, 7633, 7632, 8396, 6201, 8395, 
          8589, 8588, 6423, 8639, 7876, 7877, 7875, 6533, 8133, 6843, 8787, 
          8788, 8574, 8704, 6298, 7041, 8809, 8810, 8610, 8812, 8811, 6463, 
          8765, 6650, 8601, 6649, 8005, 6418, 8004, 8390, 8389, 8784, 6235, 
          8388, 8218, 6636, 8867, 6635, 7357, 6414, 8837, 6413, 8754, 8842, 
          8841, 8920}],
         "0.2`"],
        Annotation[#, 0.2, "Tooltip"]& ]}, {}, 
      {GrayLevel[0], Opacity[0.4], 
       TagBox[
        TooltipBox[
         LineBox[{6318, 8427, 8428, 8426, 8430, 8429, 6749, 7610, 7611, 7275, 
          7789, 6254, 7788, 7417, 7418, 7318, 7977, 7976, 7679, 7968, 6351, 
          8633, 7744, 7745, 6224, 7087, 6225, 7747, 7746, 6725, 8293, 6353, 
          6856, 6451, 7154, 7153, 7152, 6355, 7308, 6773, 7069, 6707, 7604, 
          6729, 7603, 8297, 8296, 6998, 6182, 7151, 7150, 6895, 6596, 6894, 
          6893, 6136, 7337, 7714, 7338, 7229, 7336, 7335, 6135, 6891, 6892, 
          6594, 6890, 6593, 6997, 7097, 7096, 7617, 6181, 8612, 7616, 7985, 
          7984, 6383, 8584, 7281, 7807, 7806, 6493, 8079, 6839, 8773, 8774, 
          8566, 8682, 6266, 6996, 8801, 8802, 8608, 8804, 8803, 6449, 8746, 
          6576, 8595, 6575, 7981, 6378, 7980, 8346, 8345, 8770, 6223, 8344, 
          8172, 6562, 8171, 6561, 7317, 6375, 8888, 6374, 7316, 7676}],
         RowBox[{"-", "0.2`"}]],
        Annotation[#, -0.2, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{6698, 7389, 6443, 8838, 6442, 8874, 8876, 8875, 6688, 8257, 
          6689, 8258, 8286, 8285, 7082, 6241, 7769, 7768, 6747, 8321, 6797, 
          6798, 7732, 7731, 8637, 6366, 7972, 6367, 7314, 7765, 7079, 6719, 
          7608, 6745, 7607, 8320, 8319, 6164, 6958, 7044, 6674, 6949, 6675, 
          6829, 6205, 7576, 8865, 8866, 8864, 8880, 8879, 7259, 7577, 7728, 
          6206, 7578, 8859, 8860, 8554, 6952, 6676, 6830, 7203, 8250, 7204, 
          7216, 7215, 6166, 7395, 7396, 7394, 6469, 7397, 7881, 7880, 6535, 
          8135, 6845, 8795, 8796, 8579, 8709, 6304, 7107, 6303, 8708, 8578, 
          8794, 8793, 6471, 8738, 6549, 8580, 8710, 7887, 8593, 6473, 8041, 
          8042, 7770, 6242, 8151, 6243, 8150, 7771, 8582, 6370, 7975, 7709, 
          8158, 8159, 7303, 7456, 8581, 6313, 7457, 8821, 8822, 8525, 8527, 
          8526, 6767, 8502, 8503, 8499, 8501, 8500, 8505}],
         RowBox[{"-", "0.2`"}]],
        Annotation[#, -0.2, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{8892, 7530, 8002, 6409, 8003, 6410, 7355, 6628, 8210, 6629, 
          8211, 8385, 6232, 8783, 8731, 8732, 8585, 6417, 8733, 6641, 8600, 
          6642, 8762, 6460, 8807, 8808, 8609, 8806, 8805, 7039, 6297, 8703, 
          8573, 8786, 8785, 6842, 8132, 6532, 7872, 7874, 7873, 8638, 6419, 
          8586, 8587, 8393, 6199, 8394, 7630, 7631, 7627, 8605, 6660, 8241, 
          6661, 6942, 6941, 6157, 7368, 7369, 7254, 7371, 7725, 7370, 6158, 
          6944, 6945, 6663, 7191, 7694, 7695, 6200, 7040, 8310, 8311, 8309, 
          6741, 8312, 6716, 7076, 6774, 7311, 6362, 7192, 7193, 7194, 6462, 
          6857, 6360, 8307, 6737, 7758, 7759, 6234, 7091, 6233, 7757, 7756, 
          8649, 6633, 8217, 7692, 7249, 7248, 8890, 6412, 7356, 8904}],
         RowBox[{"-", "0.2`"}]],
        Annotation[#, -0.2, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{8906, 8839, 8840, 8750, 6400, 8001, 6399, 8000, 7523, 6609, 
          8200, 6610, 8201, 8266, 8265, 7070, 6226, 8679, 8561, 6734, 8768, 
          6791, 6792, 7718, 7717, 8634, 6356, 7969, 6357, 7309, 7748, 7088, 
          6730, 8301, 6731, 8298, 8300, 8299, 6137, 6898, 7501, 6597, 7500, 
          6598, 6809, 6183, 7499, 7333, 7334, 7230, 7502, 7715, 6184, 7503, 
          6888, 8539, 6889, 6599, 7155, 7156, 8198, 7157, 7166, 7165, 6139, 
          8028, 8029, 8027, 6452, 8030, 8683, 7808, 6494, 8080, 6840, 8777, 
          8778, 8568, 8686, 6269, 7099, 6268, 8685, 8567, 8776, 8775, 6454, 
          8735, 6502, 8569, 8687, 7812, 8590, 6458, 8035, 8036, 7750, 6227, 
          8352, 6228, 8351, 7751, 8598, 6615, 8204, 7688, 7351, 6403, 8834, 
          7244, 8753, 8836, 8835, 8919}],
         RowBox[{"-", "0.2`"}]],
        Annotation[#, -0.2, "Tooltip"]& ]}, 
      {GrayLevel[0], Opacity[0.4], 
       TagBox[
        TooltipBox[
         LineBox[{6126, 7677, 7678, 7470, 7472, 7471, 6565, 7130, 7131, 6981, 
          6980, 6178, 6125, 6876, 6877, 6724, 7086, 6808, 7488, 6582, 7482, 
          6581, 7487, 6728, 7149, 7148, 6881, 6386, 6992, 6385, 7497, 7498, 
          8197, 8196, 6595, 8647, 8648, 8597, 7496, 7228, 6384, 7328, 6592, 
          7494, 7495, 8618, 8620, 8619, 6264, 7803, 6263, 8617, 7641, 7279, 
          6491, 7420, 6590, 8194, 6591, 8195, 6450, 8184, 8185, 8183, 8748, 
          8747, 6989, 6262, 7802, 7801, 8348, 8347, 6847, 8077, 6490, 7797, 
          7798, 7413, 6482, 8066, 7412, 7639, 7638, 8421, 7609, 7464, 7465, 
          7463, 6560, 6864, 6863, 6976}],
         RowBox[{"-", "0.4`"}]],
        Annotation[#, -0.4, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{6174, 6218, 6837, 6697, 7221, 7222, 6173, 6971, 7058, 6966, 
          6967, 6721, 7083, 6437, 7586, 6681, 7212, 7264, 7265, 7701, 7049, 
          6680, 8670, 8671, 6959, 8669, 6431, 7050, 6832, 7588, 7589, 7213, 
          7702, 7380, 6432, 7260, 6433, 7381, 7669, 7670, 7671, 7052, 7051, 
          6302, 7651, 6960, 6961, 6755, 7106, 6434, 6962, 7886, 7885, 6543, 
          8139, 6470, 8477, 8478, 7958, 7959, 6341, 7060, 6342, 7961, 7960, 
          8480, 8479, 6853, 8149, 6553, 7902, 7903, 7299, 8018, 8019, 7385, 
          7269, 7270, 6216, 6168, 7446, 6176, 8556, 7445, 7223, 6371, 7450, 
          7451, 7447, 7449, 7448, 7452}],
         RowBox[{"-", "0.4`"}]],
        Annotation[#, -0.4, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{8895, 6919, 6920, 6627, 7531, 7533, 7532, 7624, 8455, 7644, 
          7645, 7427, 8114, 6516, 7428, 7859, 7858, 6528, 8130, 6850, 8386, 
          8387, 7862, 7863, 6289, 7030, 8763, 8764, 8225, 8227, 8226, 6461, 
          8240, 6658, 8239, 6657, 7437, 6529, 7291, 7648, 8623, 6290, 7864, 
          6291, 8625, 8626, 8624, 7564, 7563, 6659, 7362, 6420, 7253, 7565, 
          8602, 8652, 8651, 6662, 8242, 8243, 7567, 7566, 6421, 7033, 6422, 
          6938, 7189, 7190, 6740, 7553, 6647, 7548, 6648, 7554, 6823, 7090, 
          6736, 6930, 6929, 6149, 6197, 8215, 8216, 7534, 6631, 6922, 8883, 
          6921, 8897}],
         RowBox[{"-", "0.4`"}]],
        Annotation[#, -0.4, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{8899, 8885, 8851, 8749, 6817, 6623, 7177, 7178, 6145, 6914, 
          7007, 6908, 6909, 6708, 7071, 6395, 7509, 6604, 7162, 7234, 7235, 
          7680, 6999, 6603, 8661, 8662, 6899, 8660, 6387, 7000, 6811, 7511, 
          7512, 7163, 7681, 7341, 6388, 7231, 6389, 7342, 7660, 7661, 7662, 
          7002, 7001, 6267, 7642, 6900, 6901, 6750, 7098, 6390, 6902, 7811, 
          7810, 6496, 8082, 6453, 8437, 8438, 7928, 7929, 6322, 7009, 6323, 
          7931, 7930, 8440, 8439, 6848, 8091, 6511, 7822, 7823, 7286, 7991, 
          7992, 7349, 7240, 7241, 6193, 6143, 7621, 6146, 8541, 7620, 7179, 
          6624, 6915, 8752, 8826, 8825, 8917}],
         RowBox[{"-", "0.4`"}]],
        Annotation[#, -0.4, "Tooltip"]& ]}, 
      {GrayLevel[0], Opacity[0.4], 
       TagBox[
        TooltipBox[
         LineBox[{6564, 6865, 6376, 6982, 6802, 7468, 7469, 7466, 6566, 7467, 
          6874, 8530, 6875, 6579, 7481, 6578, 6807, 6806, 7486, 6580, 7483, 
          7485, 7484, 6880, 6132, 7326, 7327, 7324, 7325, 8536, 8538, 8537, 
          6131, 7613, 6128, 8673, 8532, 6769, 6991, 6990, 6320, 7925, 7924, 
          8434, 8433, 7274, 7416, 6487, 8070, 8069, 7278, 7799, 6260, 6988, 
          6261, 7800, 7415, 6484, 7414, 6483, 8174, 8175, 8173, 8742, 8741, 
          6978, 6979, 6760, 8422, 8424, 8423, 6251, 6977, 6250, 7782, 7781, 
          8333, 8332, 6790}],
         RowBox[{"-", "0.6`"}]],
        Annotation[#, -0.6, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{6699, 6972, 6445, 7065, 6444, 7594, 7595, 7219, 7707, 7708, 
          6214, 6835, 6690, 7211, 7218, 6968, 6438, 7590, 6682, 7214, 7703, 
          6165, 6209, 7587, 7382, 7383, 7266, 7591, 8560, 6210, 7592, 7635, 
          8819, 8820, 8520, 6785, 7125, 7124, 6340, 7957, 7956, 8476, 8475, 
          7297, 7296, 6544, 7442, 7659, 7658, 7061, 6309, 7899, 7444, 6548, 
          7443, 6547, 8523, 8524, 7964, 7965, 6346, 7128, 7129, 6766, 8486, 
          8488, 8487, 6310, 6859, 8023, 8024, 8022, 8026, 8025, 6800}],
         RowBox[{"-", "0.6`"}]],
        Annotation[#, -0.6, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{8896, 8823, 8824, 8751, 6402, 7017, 6401, 7524, 7525, 7174, 
          7686, 7687, 6191, 6813, 6611, 7161, 7173, 6910, 6396, 7513, 6605, 
          7164, 7682, 6138, 6187, 7510, 7343, 7344, 7236, 7514, 8557, 6188, 
          7515, 7618, 8813, 8814, 8513, 6782, 7113, 7112, 6321, 7927, 7926, 
          8436, 8435, 7283, 7282, 6497, 7421, 7653, 7652, 7010, 6274, 7819, 
          7423, 6501, 7422, 6500, 8515, 8516, 7938, 7939, 6328, 7116, 7117, 
          6761, 8448, 8450, 8449, 6275, 7018, 8270, 8271, 8269, 8273, 8854, 
          8272, 8907}],
         RowBox[{"-", "0.6`"}]],
        Annotation[#, -0.6, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{8900, 8869, 8870, 8868, 8881, 6411, 7024, 6819, 7537, 7538, 
          7535, 6632, 7536, 6927, 8543, 6928, 6645, 7547, 6644, 6822, 6821, 
          7552, 6646, 7549, 7551, 7550, 6937, 6154, 7360, 7361, 7358, 7359, 
          8547, 8549, 8548, 6153, 7626, 6151, 8677, 8545, 6770, 7032, 7031, 
          6335, 7947, 7946, 8466, 8465, 7288, 7431, 6521, 8118, 8117, 7290, 
          7860, 6287, 7029, 6288, 7861, 7430, 6518, 7429, 6517, 8213, 8214, 
          8212, 8759, 8758, 7022, 7023, 6763, 8456, 8458, 8457, 6280, 7021, 
          6279, 7845, 7844, 8378, 8377, 8911}],
         RowBox[{"-", "0.6`"}]],
        Annotation[#, -0.6, "Tooltip"]& ]}, 
      {GrayLevel[0], Opacity[0.4], 
       TagBox[
        TooltipBox[
         LineBox[{6124, 8061, 8062, 8060, 8064, 8063, 8723, 8722, 7919, 8164, 
          8163, 7783, 8065, 6481, 8641, 7920, 7921, 6316, 7111, 6317, 8724, 
          8068, 6486, 8067, 6485, 8188, 8189, 8186, 6577, 8187, 8071, 8072, 
          7784, 7785, 6252, 8425, 6253, 7787, 7786, 8340, 8339, 7139, 7140, 
          6872, 8656, 6873, 6563, 7136, 7598, 8264, 6705, 8263, 6704, 7067, 
          6703, 8337, 8338, 8334, 8336, 8335, 8341}],
         RowBox[{"-", "0.8`"}]],
        Annotation[#, -0.8, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{6175, 6219, 7739, 7738, 7915, 7914, 8718, 8717, 7913, 8157, 
          8156, 7901, 7900, 6552, 8148, 8260, 8259, 7062, 6345, 8730, 8141, 
          6546, 8140, 6545, 8146, 8147, 7898, 8713, 8714, 8016, 8017, 8013, 
          8015, 8014, 8485, 6308, 7897, 7896, 8402, 8401, 6691, 7059, 6215, 
          8632, 6836, 6693, 7596, 6692, 8512, 6781, 7911, 7912, 7109, 6758, 
          8414, 8415, 8411, 8413, 8412, 8416}],
         RowBox[{"-", "0.8`"}]],
        Annotation[#, -0.8, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{8909, 8363, 8364, 8362, 8366, 8365, 6710, 7074, 6711, 8279, 
          6712, 8280, 7599, 7183, 6630, 6926, 8657, 6925, 7186, 7185, 8379, 
          8380, 7849, 7850, 6282, 8459, 6281, 7848, 7847, 8120, 8119, 8229, 
          6643, 8228, 8231, 8230, 6519, 8115, 6520, 8116, 8727, 6332, 7120, 
          6331, 7943, 7942, 8642, 6514, 8101, 7834, 8112, 8113, 7846, 8699, 
          8700, 8099, 8100, 8096, 8098, 8097, 8913}],
         RowBox[{"-", "0.8`"}]],
        Annotation[#, -0.8, "Tooltip"]& ], 
       TagBox[
        TooltipBox[
         LineBox[{8915, 8853, 8852, 8845, 7722, 7721, 7837, 7836, 8696, 8695, 
          7835, 8103, 8102, 7821, 7820, 6510, 8090, 8203, 8202, 7011, 6327, 
          8725, 8084, 6499, 8083, 6498, 8088, 8089, 7818, 8691, 8692, 7989, 
          7990, 7986, 7988, 7987, 8447, 6273, 7817, 7816, 8350, 8349, 6612, 
          7008, 6192, 8621, 6814, 6614, 7526, 6613, 8509, 6778, 7832, 7833, 
          7102, 6752, 8360, 8361, 8357, 8359, 8846, 8358, 8849, 8847, 8921}],
         RowBox[{"-", "0.8`"}]],
        Annotation[#, -0.8, "Tooltip"]& ]}, {}, {}, {}}}]},
  AlignmentPoint->Center,
  AspectRatio->1,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->True,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->Automatic,
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{{3.3918389069934998`*^9, 3.3918389274309998`*^9}, {
   3.39184012775*^9, 3.391840154625*^9}, {3.39184828059375*^9, 
   3.391848300328125*^9}, 3.3924723273472843`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell["\<\
This combines a ComplexDensityPlot of f[z] with a ContourPlot of the absolute \
value Abs[f[z]]. The mesh and the shading of contours are turned off \
automatically. \
\>", "MathCaption"],

Cell[CellGroupData[{

Cell["\<\
QComplexContourPlot[Cos[x + I y],
{x,-Pi,Pi},{y,-1.5,1.5},Contours->10]\
\>", "Input",
 CellChangeTimes->{{3.391845328578125*^9, 3.3918453505625*^9}}],

Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJxt2emL11UUBvArpjlGYlqIZEYRZgTR4h/w+wNsMyLTCFwipFwyckyTJtrM
NrPCIrOMqKS9pF4EMVBvNK2IFpMKTVum3FJybEaz7+F3D/NJfDHc4+H4nDPP
3O+95z7nnJnzp8wbXEoZW3/C7mp+7m1+yqBSVjTLfdV+qlkeqPbaZnmo2uub
5ZFqb2iWx6rd3SyPV3sz/u+I/xmc3eAfIm+hnuH4Tyd+PDgXgD+JvC3qmYz/
OuJngnMr+IvIKz9hP1Ht+H+rqv1kafMV9vPN8ky1XyvtfydXL8LVOrhK/1bi
d4KzB/xe8hbq6cA/mvizwJkI/iTytqhnMv6pxM8CZy74neSVn7BfgKvEDK5e
hqv1cPU2XG2Aqw/gKv1bid8Jzh7we8lbqKcD/2jizwJnIviTyNuinsn4pxI/
C5y54HeSV37CfhOuEmcV+Gua5aNqv9osn1T7/WbZBFdbqr0F//fE7wJnL/i9
5C3U04F/FPHjwDkf/MvI26Key/FfT/xscOaB30le+ekifnmzfFzt2HefVvs5
8r5S2r9/2O+V9hmUXP1a7c/xbyP+F3D2gX+YvIV6huE/jfgzwZkA/qXkbVHP
FfinEX8TOPPBX0xe+Ql7I1xtrvbKZvm62s82y/Zqxz7dV+13m+UIXMV6rFm+
wP8D8b+Bsx/8w+Qt1DMM/0jix4JzHviXkLdFPVfiv4H4m8FZAP5i8spP2N9W
+8HS3gdhx72xs9qrm+VgtV+qa1+zvFPt38sAV5H7S/w/Ed8DzgHw/yFvoZ6T
8Y8gfgw454J/MXmTq6jnKvw3Ej8HnIXg30le+Qk792fcmblvHy3t3yfsp+va
XwbOufg/b1V7E1zF+hX+HcT/Cc5B8PvIW6hnKP5TiT8DnLPBv4i8yVXUMwX/
DOJvAed28JeQV37C3l3t+5vlr2o/3Cz/Vjvvz/hd11Q79ujr1X4DruLO/Ab/
LuL3gvM3+P3kLdQzBP8pxI8CZxz4F5I3uYp6rsU/m/h54NwB/lLyyk9XrTvs
6L/6qr28rnFHZR/3Y2l/j2F/WNrnfO7B5CrukG34e4g/AM5h8I+Qt1DPSfiH
ET8CnDHgTyBvchX1TMM/h/iF4CwG/y7yyk/Y/dXO/jS/x1jjHFxR7fi2VlY7
eFpb7dvg6uoysGfDv5/4Q+D0gX+UvIV6BuMfSvxwcEaCP568yVXUMxP/AuIX
gbME/GXklZ+wj1X7nrrG3zl5+6O0v82wPysDb4LoI/LbnA5X8ebYi7+X+H5w
joJ/jLyFfw/CP5j4IeB0gJ/f5nS4inrm4e8kfik4y8C/m7zy03Uch3nWpt2D
vRF7NfY19XfMfVFO4F+NvRG7B7tPnEEn9hsvjvjH12OdJ6rf38vfVx6O31fy
Kc/y79/Fv1er2vF39O/r39394D5x/xTqcb+5D92f7lv3czf1uP/9Lvxe/I78
vuSni9x+p36/ftd+754DyVWcD54bnieeM54/nkuFejzHPN889zwPPSeTq6jH
c9Xz1nPY89lzW37CznPe8997wfvCe8T7JbmKfed95D3l/eW95n1XqMf70XvT
+9R71vs3uYp6vK+9x73fvfftB+Qn7Owf7CvsN+xD7E/sW5Kr6Gfsc+x/7Ivs
l+yjCvXYd9mP2afZv9nXJVdRj32g/aF9o/2kfab8hJ17137VPtb+dka14//Y
DydXUaP9s321/bZ9uP15oR77eft8+/8d4PteSK5i9X3hu8P3iO8U3y/yE3a+
d3wH+T7y3eR7yndWcrW9/P9d5nvNd5zvO999hXp8J/p+9F3pe9N3aHIV9fhu
9T3rO9f3r+9i+Qk739G+r313+x73ne77PbmKO8P3vjqA+oC6gXpCoR71B3UJ
9Qp1DPWN5CrqUQ9RJ1E/UVdRb5GfsFOfUbdRz1HnUf9RFwquct+qI6kvqTup
R6lTFepR11LvUgdTH1M366YedTb1N3U59Tp1PPkJO3U/9UB1QvVDdUX1xhZ5
1SfVLdUz1TnVPwv1qJeqo6qvqruqx3ZTj/qtuq56rzqw+rD8hJ3nnTqz+rO6
tHq1OnZwlfq2urd6uDq5+rm6eqEedXj1eXV79Xx1/m7qcS7gvMA5gvMF5w7y
E3bOKZxfONdw3uEcxPlIcLUOrtLvnMX5i3MZ5zWFepzvOPdxHuScyPlRN/U4
b3IO5XzKuZXzLPkJO/tU52LOy5yjOV9z7hZc5TzOOZ3zO+d6zvucAxbqcW7o
PNE5o/NH55Ld1OMc0/mmc0/noc5J5ec/Pyv5Hw==
     "], {{-Pi, -1.5}, {Pi, 1.5}}, {
     1, 256},
     ColorFunction->Hue], GraphicsComplexBox[CompressedData["
1:eJx0nXd4llXy9xOSUBTLil3BBusKioq9cW4rYkHsvRfs3cUKunYUseyqq6Ko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     
     "], {{{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}, {{}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{4093, 6771, 4807, 6770, 4808, 6772, 4806, 5029, 5028, 4997,
            4092, 5298, 5297, 6505, 6506, 4449, 6504, 6108, 5446, 4276, 5444, 
           4275, 5445, 6106, 6107, 5441, 5442, 5438, 5440, 5439, 4006, 5436, 
           5437, 5433, 5435, 5434, 4005, 5429, 5430, 5426, 5428, 5427, 6105, 
           6104, 5425, 4270, 5423, 4269, 5424, 6103, 6102, 4443, 6501, 5749, 
           5212, 4268, 5422, 4442, 5748, 5747, 5210, 4267, 6500, 4440, 6100, 
           6101, 5421, 4266, 5419, 4265, 5420, 6098, 6099, 5416, 5417, 5413, 
           5415, 5414, 4002, 5411, 5412, 5408, 5410, 5409, 4001, 5404, 5405, 
           5401, 5403, 5402, 6097, 6096, 5400, 4260, 5398, 4259, 5399, 6095, 
           5124, 4434, 5731, 6076, 6075, 4996, 4091, 5296, 5295, 6004, 6003, 
           6049}],
          "2.1`"],
         Annotation[#, 2.1, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{4140, 5351, 5352, 5350, 6302, 4138, 5040, 4139, 6303, 5940,
            4578, 5939, 4577, 5601, 4364, 5279, 5941, 5942, 4579, 5943, 5604, 
           5605, 5280, 5944, 6238, 4085, 5945, 5606, 5607, 5282, 5948, 6239, 
           4086, 5949, 5610, 5611, 5283, 5954, 6240, 4087, 5955, 4580, 5612, 
           4370, 5284, 5956, 5957, 4581, 6557, 4582, 6558, 4371, 5270, 4372, 
           5613, 6185, 5614, 4373, 5272, 4374, 6560, 4584, 6559, 4583, 5615, 
           4375, 5285, 5958, 5959, 4585, 5960, 5618, 5619, 5286, 5961, 6241, 
           4088, 5962, 5620, 5621, 5288, 5965, 6242, 4089, 5966, 5624, 5625, 
           5289, 5971, 6243, 4090, 5972, 4586, 5626, 4381, 5290, 5973, 6832, 
           6871, 6870, 4587, 6563, 4588, 5974, 6304, 4141, 5041, 4142, 5354, 
           5353, 6036, 6035, 6074}],
          "2.1`"],
         Annotation[#, 2.1, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{4019, 5115, 4804, 5119, 4805, 5116, 4590, 4891, 6891, 4890,
            4018, 4888, 4008, 5128, 5127, 4450, 4875, 4874, 5764, 4448, 5763, 
           5762, 5216, 4274, 5443, 4447, 5758, 5761, 5760, 4273, 5432, 4272, 
           5756, 5757, 6503, 6502, 4446, 6864, 6865, 6824, 5754, 5214, 4271, 
           5431, 4444, 5750, 4048, 4818, 4445, 5751, 5753, 5752, 4885, 4015, 
           5472, 6198, 5473, 5213, 5471, 5470, 4014, 5467, 6197, 5468, 5211, 
           5466, 5465, 4013, 4883, 4004, 5126, 5125, 4441, 4873, 4872, 5746, 
           4439, 5745, 5744, 5208, 4264, 5418, 4438, 5740, 5743, 5742, 4263, 
           5407, 4262, 5738, 5739, 6499, 6498, 4437, 6862, 6863, 6823, 5736, 
           5206, 4261, 5406, 4435, 5732, 4047, 4817, 4436, 5733, 5735, 5734, 
           4880, 4009, 4878, 4879, 4589, 4877, 4876, 4940}],
          "1.89`"],
         Annotation[#, 1.89, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{4036, 4916, 6835, 4917, 4657, 4841, 4073, 4989, 4919, 6551,
            6552, 5915, 4570, 4929, 4928, 6177, 6176, 5602, 4365, 5264, 4366, 
           5603, 6180, 6555, 6556, 6179, 6781, 6178, 4367, 5281, 5947, 5952, 
           6181, 5953, 5950, 6182, 5608, 4368, 5268, 4369, 5609, 6183, 6184, 
           4930, 4931, 4572, 5202, 6170, 4040, 4077, 5921, 5576, 5577, 5269, 
           5924, 6233, 4078, 5925, 5582, 5583, 5271, 5926, 6234, 4079, 5927, 
           4923, 6553, 6554, 5931, 4574, 4933, 4932, 6187, 6186, 5616, 4376, 
           5274, 4377, 5617, 6190, 6561, 6562, 6189, 6782, 6188, 4378, 5287, 
           5964, 5969, 6191, 5970, 5967, 6192, 5622, 4379, 5278, 4380, 5623, 
           6193, 6194, 4934, 4935, 4576, 5205, 6175, 4045, 4083, 4993, 4926, 
           4927, 4658, 4848, 4084, 4995}],
          "1.89`"],
         Annotation[#, 1.89, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{4010, 5447, 5448, 5218, 5765, 6825, 5766, 6866, 4451, 6507,
            6508, 5768, 5767, 4277, 4936, 4278, 4881, 6109, 6110, 5449, 5450, 
           5207, 5452, 6195, 5451, 4011, 5457, 5455, 5737, 5456, 5741, 4003, 
           5458, 4012, 5460, 5461, 5209, 5463, 6196, 5462, 6114, 6113, 4882, 
           4281, 4937, 4282, 5778, 5779, 5777, 4455, 5469, 4283, 5225, 5780, 
           6783, 4051, 5781, 5474, 5475, 5226, 5782, 6826, 5783, 6867, 4458, 
           6509, 6510, 5785, 5784, 4284, 4938, 4285, 4886, 6115, 6116, 5476, 
           5477, 5215, 5479, 6199, 5478, 4016, 5484, 5482, 5755, 5483, 5759, 
           4007, 5485, 4017, 5487, 5488, 5217, 5490, 6200, 5489, 6120, 6119, 
           4887, 4288, 4939, 4289, 5795, 5796, 5794, 4462, 5492, 4290, 5233, 
           5797, 6784, 4054, 6207}],
          "1.68`"],
         Annotation[#, 1.68, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{4046, 5599, 5600, 5597, 4363, 5598, 6174, 5204, 5938, 5937,
            4847, 4994, 4362, 4925, 4575, 5936, 4082, 6237, 5935, 5277, 5596, 
           5595, 5934, 4081, 4043, 6236, 5968, 5276, 5963, 5275, 5591, 5933, 
           4080, 6235, 5932, 5273, 5588, 5587, 5930, 4573, 4846, 4845, 4992, 
           4357, 5928, 5929, 5203, 6171, 5581, 4356, 5578, 5580, 5579, 4041, 
           5574, 5575, 5572, 4355, 5573, 6169, 5201, 5923, 5922, 4844, 4991, 
           4354, 4921, 4571, 5920, 4076, 6232, 5919, 5267, 5571, 5570, 5918, 
           4075, 4038, 6231, 5951, 5266, 5946, 5265, 5566, 5917, 4074, 6230, 
           5916, 5263, 5563, 5562, 5914, 4569, 4843, 4842, 4990, 4349, 5911, 
           5912, 5200, 6166, 5558, 4348, 5555, 5557, 5556, 5913}],
          "1.68`"],
         Annotation[#, 1.68, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{4486, 6868, 5819, 6827, 5818, 5237, 4302, 6135, 6776, 6136,
            6520, 6519, 6137, 4943, 4463, 6053, 4753, 6052, 4752, 6747, 4889, 
           5793, 4053, 6206, 5792, 5231, 4287, 5491, 4461, 5791, 5790, 5229, 
           4286, 5486, 4460, 5789, 5788, 5227, 5481, 5480, 5786, 4052, 6118, 
           6117, 5130, 4459, 5787, 4298, 4895, 6132, 6516, 6517, 6131, 6775, 
           6130, 5809, 5236, 4297, 5502, 4475, 5808, 5807, 5235, 4296, 6127, 
           6774, 6128, 6515, 6514, 6129, 4941, 4456, 6051, 4751, 6050, 4750, 
           6746, 4884, 5776, 4050, 6203, 5775, 5223, 4280, 5464, 4454, 5774, 
           5773, 5221, 4279, 5459, 4453, 5772, 5771, 5219, 5454, 5453, 5769, 
           4049, 6112, 6111, 5129, 4452, 5770, 4292, 4892, 6123, 6511, 6512, 
           6122, 6773, 6121, 5798, 5234, 4291, 5493, 6124}],
          "1.47`"],
         Annotation[#, 1.47, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{4555, 5540, 4332, 5539, 4333, 5880, 5881, 5879, 4554, 4984,
            4532, 5883, 4557, 5185, 5186, 5187, 4918, 4037, 5559, 5560, 5252, 
           4350, 5561, 6167, 5564, 4351, 5254, 4352, 5565, 6168, 5567, 4353, 
           5256, 5569, 6226, 5568, 4039, 4920, 5893, 4560, 5892, 4561, 5894, 
           4837, 4838, 4559, 5889, 5891, 5890, 4338, 5545, 4339, 5546, 6163, 
           5548, 4340, 5547, 4341, 5896, 5897, 5895, 4562, 4987, 4545, 5899, 
           4564, 5193, 5194, 5195, 4922, 4042, 5584, 5585, 5258, 4358, 5586, 
           6172, 5589, 4359, 5260, 4360, 5590, 6173, 5592, 4361, 5262, 5594, 
           6229, 5593, 4044, 4924, 5909, 4567, 5908, 4568, 5910, 4839, 4840, 
           4566, 5905, 5907, 5906, 4346, 5553, 4347, 5554, 6165}],
          "1.47`"],
         Annotation[#, 1.47, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{4506, 6869, 5843, 6828, 5842, 5240, 4305, 6151, 6780, 6152,
            6528, 6527, 6153, 6154, 4954, 5138, 5137, 5136, 4755, 6055, 4464, 
           4944, 4481, 5815, 4482, 5816, 4301, 5232, 5510, 5509, 4023, 5507, 
           6205, 5508, 5230, 5506, 5505, 4022, 5503, 6204, 5504, 5228, 4299, 
           5811, 4477, 5810, 4476, 4824, 4823, 5814, 4479, 5812, 4478, 5813, 
           4901, 6150, 6149, 6525, 6526, 6148, 6779, 6147, 5831, 5239, 4304, 
           5512, 4496, 6566, 4592, 6564, 4591, 6565, 6744, 6743, 4205, 6143, 
           6778, 6144, 6524, 6523, 6145, 6146, 4949, 5134, 5133, 5132, 4754, 
           6054, 4457, 4942, 4470, 5804, 4471, 5805, 4295, 5224, 5501, 5500, 
           4021, 5498, 6202, 5499, 5222, 5497, 5496, 4020, 5494, 6201, 5495, 
           5220, 4293, 5800, 4466, 5799, 4465, 4820, 4819, 5803, 4468, 5801, 
           4467, 5802, 4898, 6141, 6140, 6521, 6522, 6139, 6777, 6138, 5820, 
           5238, 4303, 5511, 6142}],
          "1.26`"],
         Annotation[#, 1.26, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{4528, 5534, 4322, 5533, 4323, 5852, 5853, 5850, 4527, 5851,
            4979, 6760, 4768, 6068, 4769, 6069, 4531, 4983, 6162, 5184, 4556, 
           5882, 4334, 5251, 5884, 6224, 4069, 5885, 5541, 5542, 5253, 5886, 
           6225, 4070, 5887, 5543, 5544, 5255, 5888, 6549, 4558, 5190, 5191, 
           4910, 4337, 5864, 4540, 5179, 6157, 6158, 4066, 6546, 4539, 5861, 
           5863, 5862, 4326, 5535, 4327, 5536, 6047, 6745, 4748, 6401, 6402, 
           6886, 6403, 6405, 6404, 4208, 5866, 6849, 5867, 6893, 6892, 4541, 
           5865, 4981, 6761, 4771, 6071, 4772, 6072, 4544, 4986, 6164, 5192, 
           4563, 5898, 4342, 5257, 5900, 6227, 4071, 5901, 5549, 5550, 5259, 
           5902, 6228, 4072, 5903, 5551, 5552, 5261, 5904, 6550, 4565, 5198, 
           5199, 4915, 4345, 5878, 4553, 5183, 6159, 6160, 4068, 6548, 4552, 
           5875, 5877, 5876, 4330, 5537, 4331, 5538, 6161}],
          "1.26`"],
         Annotation[#, 1.26, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{4224, 5387, 4225, 5388, 6046, 4747, 4207, 5091, 4206, 4803,
            4432, 5385, 4222, 5384, 4223, 5386, 6255, 5316, 4635, 6022, 5154, 
           5153, 4505, 5841, 4485, 5840, 4504, 5150, 6008, 6875, 6877, 6876, 
           4622, 6583, 6584, 6010, 6009, 4484, 5817, 4483, 6518, 4897, 4952, 
           4953, 4826, 4825, 5032, 4300, 4896, 4951, 4950, 4056, 6134, 6133, 
           5135, 4480, 4903, 4902, 5149, 5148, 5147, 4497, 5832, 4830, 5834, 
           4499, 5833, 4498, 6017, 4630, 5310, 5311, 4665, 6806, 4152, 5045, 
           4151, 6805, 4787, 4834, 4761, 6842, 4760, 4959, 4182, 6811, 4693, 
           4852, 6625, 4671, 6337, 6338, 6339, 5047, 4157, 5046, 6336, 6335, 
           6334, 4670, 6624, 4851, 4692, 6810, 4181, 5056, 4180, 6809, 4790, 
           4390, 5380, 4216, 5379, 4217, 5381, 6250, 5309, 4628, 6016, 5146, 
           5145, 4495, 5830, 4474, 5829, 4494, 5142, 6005, 6872, 6874, 6873, 
           4621, 6581, 6582, 6007, 6006, 4473, 5806, 4472, 6513, 4894, 4947, 
           4948, 4822, 4821, 5030, 4294, 4893, 4946, 4945, 4055, 6126, 6125, 
           5131, 4469, 4900, 4899, 5141, 5140, 5139, 4487, 5821, 4827, 5823, 
           4489, 5822, 4488, 6011, 4623, 5303, 5304, 4661, 6804, 4148, 5044, 
           4147, 6803, 4786, 4833, 4757, 4756, 4955, 4178, 4691, 6045, 5317, 
           6411, 6412, 6413, 6410, 6155}],
          "1.05`"],
         Annotation[#, 1.05, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{4240, 5393, 4241, 5394, 6048, 4749, 4209, 4975, 4515, 4516,
            4433, 5730, 5729, 6422, 4245, 6819, 5338, 6288, 5339, 4784, 6077, 
           4645, 6605, 4646, 6025, 6543, 5856, 4530, 5854, 4529, 5855, 4655, 
           6029, 6031, 6030, 4533, 6089, 5176, 5177, 4906, 4032, 5188, 4907, 
           4335, 5025, 4336, 4908, 5189, 4033, 4909, 5860, 4537, 5859, 4538, 
           4835, 4065, 6545, 4535, 5857, 4536, 5858, 4325, 5847, 4522, 5173, 
           5981, 6579, 4613, 6833, 4612, 4685, 6807, 4172, 4980, 4520, 6830, 
           4521, 4420, 4699, 6812, 4187, 5061, 4188, 6813, 4700, 4320, 6641, 
           4679, 6349, 6350, 6351, 4976, 5092, 4977, 6354, 6353, 6352, 4680, 
           6642, 4856, 4701, 6814, 4189, 4978, 4517, 6829, 4518, 4421, 5712, 
           5711, 6425, 4252, 6820, 5340, 6294, 5341, 4785, 6081, 4649, 6608, 
           4650, 6026, 6544, 5870, 4543, 5868, 4542, 5869, 4656, 6032, 6034, 
           6033, 4546, 6092, 5180, 5181, 4911, 4034, 5196, 4912, 4343, 5027, 
           4344, 4913, 5197, 4035, 4914, 5874, 4550, 5873, 4551, 4836, 4067, 
           6547, 4548, 5871, 4549, 5872, 4329, 5849, 4526, 5175, 5982, 6580, 
           4616, 6834, 4615, 4690, 6808, 4175, 4982, 4524, 6831, 4525, 4423, 
           4703, 4191, 5062, 4192, 4704, 4321, 5395, 4244, 5171, 6156}],
          "1.05`"],
         Annotation[#, 1.05, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{4493, 5826, 4492, 5827, 4624, 5157, 5156, 5155, 4212, 5514,
            6785, 5515, 5513, 6056, 6749, 4759, 6748, 4758, 6587, 4637, 6258, 
           6259, 4102, 4998, 5000, 6654, 6655, 6653, 4694, 5058, 5057, 4184, 
           6371, 4397, 6462, 6274, 6889, 6275, 4424, 6857, 6858, 6856, 5719, 
           6463, 4398, 5371, 6373, 5372, 4405, 5671, 5332, 5333, 4428, 6283, 
           6282, 6486, 4406, 6343, 6344, 4162, 5048, 5049, 4673, 6629, 6631, 
           6630, 4122, 5008, 4602, 6571, 4603, 6572, 4764, 6756, 4765, 6757, 
           4415, 5701, 5703, 5702, 4247, 5093, 4246, 4870, 4416, 5704, 6852, 
           4248, 6423, 4249, 5396, 6300, 5346, 5716, 5715, 6070, 6085, 4176, 
           4862, 6091, 6090, 4770, 5347, 4136, 5024, 5103, 5104, 4985, 4534, 
           6087, 5178, 4904, 4324, 5846, 4519, 5172, 5247, 5248, 6221, 6220, 
           6853, 4250, 6424, 4251, 5709, 5710, 6490, 6489, 4419, 6488, 6884, 
           4698, 6665, 6376, 6375, 6881, 4648, 6607, 6292, 6293, 4131, 5013, 
           4130, 6660, 6661, 6659, 4696, 4972, 4971, 6752, 6753, 6435, 4316, 
           6433, 4315, 6434, 4429, 5724, 5723, 5334, 4409, 5685, 4511, 5524, 
           4311, 6428, 4310, 5720, 4425, 6265, 6264, 6263, 4395, 6453, 6532, 
           6531, 4965, 4966, 4669, 6621, 6623, 6622, 4099, 5002, 4098, 6252, 
           6251, 6585, 4629, 6878, 6321, 4150, 6320, 4664, 6617, 4389, 5635, 
           5637, 5636, 4215, 5158, 5631, 5632, 4386, 5144, 5143, 5375, 4210, 
           6407, 6406, 5300, 6245, 6442, 6443, 6306, 6305, 4143, 5042, 4144, 
           6308, 6307, 4659, 5299, 4095, 5031, 4094, 6244, 5825, 4491, 5824, 
           4490, 4829, 4828, 5828, 4493}],
          "0.84`"],
         Annotation[#, 0.84, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{4503, 5837, 4502, 5838, 4631, 5161, 5160, 5159, 4218, 5517,
            6786, 5518, 5516, 6062, 6751, 4763, 6750, 4762, 6588, 4638, 6266, 
           6267, 4106, 5003, 5005, 6657, 6658, 6656, 4695, 5060, 5059, 4185, 
           6372, 4401, 6474, 6278, 6890, 6279, 4426, 6860, 6861, 6859, 5721, 
           6475, 4402, 5373, 6374, 5374, 4410, 5686, 5335, 5336, 4430, 6286, 
           6285, 6487, 4411, 6345, 6346, 4164, 5050, 5051, 4676, 6634, 6636, 
           6635, 4125, 5014, 4607, 6575, 4608, 6576, 4766, 6758, 4767, 6759, 
           4417, 5705, 5707, 5706, 4254, 5094, 4253, 4871, 4418, 5708, 6854, 
           4255, 6426, 4256, 5397, 6301, 5348, 5718, 5717, 6073, 6086, 4177, 
           4863, 6094, 6093, 4773, 5349, 4137, 5026, 5105, 5106, 4988, 4547, 
           6088, 5182, 4905, 4328, 5848, 4523, 5174, 5249, 5250, 6223, 6222, 
           6855, 4257, 6427, 4258, 5713, 5714, 6493, 6492, 4422, 6491, 6885, 
           4702, 6666, 6378, 6377, 6883, 4652, 6610, 6298, 6299, 4135, 5019, 
           4134, 6663, 6664, 6662, 4697, 4974, 4973, 6754, 6755, 6441, 4319, 
           6439, 4318, 6440, 4431, 5726, 5725, 5337, 4414, 5700, 4512, 5528, 
           4313, 6429, 4312, 5722, 4427, 6273, 6272, 6271, 4396, 6461, 6536, 
           6535, 4969, 4970, 4672, 6626, 6628, 6627, 4101, 5007, 4100, 6257, 
           6256, 6586, 4636, 6879, 6330, 4154, 6329, 4668, 6620, 4394, 5642, 
           5644, 5643, 4221, 5162, 5638, 5639, 4391, 5152, 5151, 5376, 4211, 
           6409, 6408, 5302, 6247, 6444, 6445, 6310, 6309, 4145, 5043, 4146, 
           6312, 6311, 4660, 5301, 4097, 5033, 4096, 6246, 5836, 4501, 5835, 
           4500, 4832, 4831, 5839, 4503}],
          "0.84`"],
         Annotation[#, 0.84, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{4214, 5377, 4213, 5983, 5984, 5291, 5292, 4999, 4593, 5988,
            4617, 5985, 5987, 5986, 4866, 6465, 6466, 6464, 6468, 6467, 4227, 
           6414, 4226, 6850, 6208, 6209, 4059, 4026, 5674, 5675, 5673, 5672, 
           5163, 4234, 6472, 6473, 6469, 6471, 6470, 6632, 6041, 6042, 6598, 
           6597, 4641, 6023, 4601, 5009, 6284, 6599, 6600, 5366, 5365, 4166, 
           5052, 4167, 6348, 6347, 6640, 6639, 4853, 6645, 4681, 6358, 6359, 
           6360, 5054, 4170, 6357, 5369, 6611, 6612, 4653, 6027, 5342, 5021, 
           4611, 5020, 4682, 5117, 4683, 6647, 6646, 4809, 4860, 4171, 6762, 
           4788, 6363, 6362, 6361, 4684, 6648, 5343, 6815, 6816, 6417, 6418, 
           4242, 6416, 5978, 6573, 6574, 5977, 4605, 5012, 4604, 5998, 4619, 
           5995, 5997, 5996, 4030, 4063, 6217, 6216, 6432, 6431, 4235, 5164, 
           5165, 5166, 5684, 5683, 5727, 5647, 5648, 5390, 4228, 5389, 4229, 
           6451, 6452, 6448, 6450, 6449, 4024, 4057, 5243, 5242, 4595, 5975, 
           4594, 5001, 6249, 5308, 6015, 6014, 6061, 4958, 4149, 6319, 5355, 
           6038, 6037, 4849, 6616, 4663, 6316, 6317, 6318, 4957, 6059, 6060, 
           6013, 4627, 5306, 5307, 5035, 4625, 5034, 6248, 5305, 4626, 6012, 
           6058, 6057, 4956, 6315, 6314, 6313, 4662, 6615, 4306, 5378, 4214}],
          
          "0.63`"],
         Annotation[#, 0.63, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{4220, 5382, 4219, 5989, 5990, 5293, 5294, 5004, 4596, 5994,
            4618, 5991, 5993, 5992, 4867, 6477, 6478, 6476, 6480, 6479, 4231, 
           6415, 4230, 6851, 6212, 6213, 4061, 4028, 5689, 5690, 5688, 5687, 
           5167, 4237, 6484, 6485, 6481, 6483, 6482, 6637, 6043, 6044, 6602, 
           6601, 4643, 6024, 4606, 5015, 6287, 6603, 6604, 5368, 5367, 4168, 
           5053, 4169, 6356, 6355, 6644, 6643, 4857, 6649, 4686, 6365, 6366, 
           6367, 5055, 4173, 6364, 5370, 6613, 6614, 4654, 6028, 5344, 5023, 
           4614, 5022, 4687, 5118, 4688, 6651, 6650, 4810, 4861, 4174, 6763, 
           4789, 6370, 6369, 6368, 4689, 6652, 5345, 6817, 6818, 6420, 6421, 
           4243, 6419, 5980, 6577, 6578, 5979, 4610, 5018, 4609, 6002, 4620, 
           5999, 6001, 6000, 4031, 4064, 6219, 6218, 6438, 6437, 4238, 5168, 
           5169, 5170, 5699, 5698, 5728, 5651, 5652, 5392, 4232, 5391, 4233, 
           6459, 6460, 6456, 6458, 6457, 4025, 4058, 5246, 5245, 4598, 5976, 
           4597, 5006, 6254, 5315, 6021, 6020, 6067, 4962, 4153, 6328, 5356, 
           6040, 6039, 4850, 6619, 4667, 6325, 6326, 6327, 4961, 6065, 6066, 
           6019, 4634, 5313, 5314, 5037, 4632, 5036, 6253, 5312, 4633, 6018, 
           6064, 6063, 4960, 6324, 6323, 6322, 4666, 6618, 4307, 5383, 4220}],
          
          "0.63`"],
         Annotation[#, 0.63, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{5646, 6262, 6787, 6261, 4160, 5361, 5362, 5324, 5325, 4114,
            5682, 4115, 6794, 5681, 5326, 4400, 5661, 4236, 4868, 4382, 5627, 
           4383, 5628, 6078, 6847, 4129, 6079, 6080, 4855, 4854, 5120, 4774, 
           5097, 5099, 5098, 5010, 5011, 4706, 4705, 4186, 4743, 6840, 4744, 
           5088, 5087, 4203, 6398, 6397, 6880, 4647, 6606, 6289, 6290, 5038, 
           4128, 6291, 5680, 4408, 5679, 4407, 6538, 6539, 6537, 4513, 5530, 
           4314, 6430, 5529, 5678, 5677, 6277, 4112, 6793, 5676, 5323, 5658, 
           5657, 5844, 5522, 5523, 5521, 5656, 5655, 6276, 4110, 6791, 5654, 
           5322, 4399, 5653, 4813, 6887, 4814, 5241, 5519, 4308, 6821, 5357, 
           6331, 4155, 4963, 4507, 6529, 4508, 6530, 4193, 5063, 5064, 4710, 
           6836, 4709, 4179, 4712, 6837, 4713, 4800, 6845, 4799, 4194, 4864, 
           4811, 6667, 6668, 6669, 5122, 4711, 5065, 4964, 4103, 6260, 5634, 
           4388, 5633, 4387, 6494, 6495, 6332, 6333, 5358, 6446, 6447, 5645, 
           5318, 5319, 4104, 5660, 4105, 6788, 5659, 5646}],
          "0.42`"],
         Annotation[#, 0.42, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{5650, 6270, 6789, 6269, 4161, 5363, 5364, 5329, 5330, 4120,
            5697, 4121, 6798, 5696, 5331, 4404, 5670, 4239, 4869, 4384, 5629, 
           4385, 5630, 6082, 6848, 4133, 6083, 6084, 4859, 4858, 5121, 4775, 
           5100, 5102, 5101, 5016, 5017, 4708, 4707, 4190, 4745, 6841, 4746, 
           5090, 5089, 4204, 6400, 6399, 6882, 4651, 6609, 6295, 6296, 5039, 
           4132, 6297, 5695, 4413, 5694, 4412, 6541, 6542, 6540, 4514, 5532, 
           4317, 6436, 5531, 5693, 5692, 6281, 4118, 6797, 5691, 5328, 5667, 
           5666, 5845, 5526, 5527, 5525, 5665, 5664, 6280, 4116, 6795, 5663, 
           5327, 4403, 5662, 4815, 6888, 4816, 5244, 5520, 4309, 6822, 5359, 
           6340, 4158, 4967, 4509, 6533, 4510, 6534, 4197, 5072, 5073, 4721, 
           6838, 4720, 4183, 4723, 6839, 4724, 4802, 6846, 4801, 4198, 4865, 
           4812, 6685, 6686, 6687, 5123, 4722, 5074, 4968, 4107, 6268, 5641, 
           4393, 5640, 4392, 6496, 6497, 6341, 6342, 5360, 6454, 6455, 5649, 
           5320, 5321, 4108, 5669, 4109, 6790, 5668, 5650}],
          "0.42`"],
         Annotation[#, 0.42, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{4715, 6379, 6380, 6381, 5068, 4195, 5066, 5067, 4714, 6670,
            6672, 6671, 4156, 6674, 6675, 6673, 4717, 5071, 5070, 4196, 5069, 
           6384, 6383, 6382, 4716, 4777, 4113, 6590, 4639, 6589, 6592, 6591, 
           4599, 6567, 6568, 6210, 6211, 4060, 4027, 6708, 6709, 6707, 6711, 
           6710, 4733, 6713, 6714, 6712, 4734, 4124, 6800, 4781, 4642, 5109, 
           4791, 6843, 4792, 5108, 5107, 5095, 5110, 4793, 6765, 4794, 6764, 
           4675, 6633, 4674, 4163, 6716, 6717, 6715, 4736, 5083, 5082, 4201, 
           5081, 6393, 6392, 6391, 4735, 4780, 6799, 4123, 6704, 4732, 6703, 
           6706, 6705, 4731, 6736, 6737, 6733, 6735, 6734, 6768, 6677, 6678, 
           6676, 6680, 6679, 4718, 6683, 6684, 6681, 4719, 6682, 4111, 6792, 
           4776, 4715}],
          "0.21`"],
         Annotation[#, 0.21, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{4726, 6385, 6386, 6387, 5077, 4199, 5075, 5076, 4725, 6688,
            6690, 6689, 4159, 6692, 6693, 6691, 4728, 5080, 5079, 4200, 5078, 
           6390, 6389, 6388, 4727, 4779, 4119, 6594, 4640, 6593, 6596, 6595, 
           4600, 6569, 6570, 6214, 6215, 4062, 4029, 6723, 6724, 6722, 6726, 
           6725, 4739, 6728, 6729, 6727, 4740, 4127, 6802, 4783, 4644, 5113, 
           4795, 6844, 4796, 5112, 5111, 5096, 5114, 4797, 6767, 4798, 6766, 
           4678, 6638, 4677, 4165, 6731, 6732, 6730, 4742, 5086, 5085, 4202, 
           5084, 6396, 6395, 6394, 4741, 4782, 6801, 4126, 6719, 4738, 6718, 
           6721, 6720, 4737, 6741, 6742, 6738, 6740, 6739, 6769, 6695, 6696, 
           6694, 6698, 6697, 4729, 6701, 6702, 6699, 4730, 6700, 4117, 6796, 
           4778, 4726}],
          "0.21`"],
         Annotation[#, 0.21, "Tooltip"]& ]}, {}, {}}}]},
   AlignmentPoint->Center,
   AspectRatio->1,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->Automatic,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->All,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{
  3.3917818379565983`*^9, 3.3917846513587418`*^9, 3.391785934205943*^9, 
   3.391789396085835*^9, 3.391839064421875*^9, 3.391844394453125*^9, {
   3.391845332359375*^9, 3.39184535178125*^9}, {3.3918482821875*^9, 
   3.391848301625*^9}, 3.392472329399284*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell["This gives a surface plot of f[z] = Sin[z]. ", "MathCaption"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QComplexPlot3D", "[", 
  RowBox[{
   RowBox[{"Sin", "[", 
    RowBox[{"x", " ", "+", " ", 
     RowBox[{"I", " ", "y"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "2"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 Graphics3DBox[GraphicsComplex3DBox[CompressedData["
1:eJx1nXVUVc33xlEUsbtbUbELFaxzTQS7O7EVE7vxVbEVW+zuFgu9+Cp2t4AK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   "], {{
     {EdgeForm[None], GraphicsGroup3DBox[{Polygon3DBox[CompressedData["
1:eJxFmwn8T8X3xj/3fu6987GUaFMipLKmRCqEVEqRaN9IiyhpVSpZ2rQnija0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         "]], Polygon3DBox[CompressedData["
1:eJwtmwf8T9Ufxu/9nju+ViIj2aIk8keIFiqkQUqJIrRVNLVVKhWl0qJFEhJK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         "]], Polygon3DBox[CompressedData["
1:eJwt13m81dMax/F99j7nbBpUSlI3NLi4QihppDRTlAbNlEqDSoXShEQlDUgk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         "]], 
        Polygon3DBox[{{1598, 1805, 829, 665, 664, 1029}, {1302, 1446, 818, 
         1222, 1906, 1301}, {1884, 1315, 1314, 1883, 1005, 1006}, {1311, 1453,
          822, 1176, 1901, 1310}, {1510, 1793, 767, 589, 588, 931}, {1877, 
         1306, 1305, 1876, 996, 997}}]}]}, {}, {}, {}}, {
     Line3DBox[{498, 1, 464, 235, 1227, 16, 1241, 31, 1252, 46, 1538, 264, 61,
       430, 1556, 277, 508, 76, 1696, 431, 294, 91, 1299, 1300, 106, 1319, 
      121, 1328, 136, 1343, 151, 1358, 166, 1373, 181, 1388, 196, 1602, 327, 
      517, 211, 496, 383, 747, 212, 748, 213, 749, 214, 750, 215, 751, 216, 
      752, 217, 753, 218, 754, 755, 219, 756, 220, 757, 221, 758, 222, 759, 
      223, 760, 224, 1037, 329, 518, 225, 497, 384, 1415, 210, 1401, 195, 
      1386, 180, 1371, 165, 1356, 150, 1341, 135, 1785, 567, 120, 1783, 565, 
      1317, 105, 307, 447, 1297, 90, 491, 360, 1743, 514, 75, 275, 1271, 60, 
      1258, 45, 1251, 30, 1511, 239, 499, 15, 489, 333, 600, 14, 598, 13, 596,
       12, 594, 11, 592, 10, 590, 9, 1039, 332, 587, 8, 331, 585, 7, 583, 6, 
      581, 5, 579, 4, 577, 3, 575, 2, 1038, 330, 498}], {
      Line3DBox[{1227, 1509, 1792, 2055, 1226, 1908, 1416, 1228, 1909, 1417, 
       1229, 1910, 1418, 1230, 1911, 1419, 1231, 1912, 1420, 1232, 1858, 1913,
        1421, 1233, 2057, 1510, 1793, 2056, 1234, 1914, 1422, 1235, 1915, 
       1423, 1236, 1916, 1424, 1237, 1917, 1425, 1238, 1918, 1426, 1239, 1859,
        1919, 1427, 1511}], 
      Line3DBox[{1241, 1759, 1760, 1794, 2122, 1240, 1512, 1604, 1795, 2058, 
       1242, 1699, 1700, 2106, 1428, 1243, 1514, 1639, 2090, 1429, 1605, 1860,
        1920, 1640, 1430, 1244, 1921, 1431, 1245, 2060, 1515, 1713, 1432, 
       1606, 2078, 1516, 1715, 1796, 2061, 1246, 1517, 1607, 1797, 2062, 1247,
        1701, 1702, 2107, 1433, 1248, 1519, 1641, 2091, 1434, 1608, 1861, 
       1922, 1642, 1435, 1249, 1923, 1436, 1250, 1924, 1437, 1251}], 
      Line3DBox[{1252, 1520, 1521, 1798, 2064, 1712, 1513, 1609, 1799, 2059, 
       1253, 1525, 1643, 1800, 2066, 1611, 1526, 1645, 2092, 1438, 1612, 2079,
        1527, 1647, 1439, 1254, 2123, 1761, 1440, 1762, 2124, 1528, 1649, 
       1684, 1685, 1613, 2080, 1729, 1529, 1530, 1801, 2067, 1714, 1518, 1614,
        1802, 2063, 1255, 1534, 1651, 1803, 2069, 1616, 1535, 1653, 2093, 
       1441, 1617, 1862, 1925, 1655, 1442, 1256, 1926, 1443, 1257, 2120, 1754,
        1755, 1444, 1258}], 
      Line3DBox[{1271, 1508, 1756, 1507, 2054, 1903, 1270, 1758, 1757, 2121, 
       1269, 1554, 1656, 1553, 2073, 1268, 971, 1654, 1552, 1267, 2082, 1551, 
       1652, 1550, 1266, 2068, 1533, 1615, 1532, 1265, 2053, 1506, 1531, 1505,
        1779, 1704, 2113, 1735, 1703, 1778, 1504, 1650, 1503, 2052, 1902, 
       1264, 1753, 1752, 2119, 1263, 1545, 1648, 1544, 2071, 1262, 1863, 1979,
        1646, 1543, 1261, 2081, 1542, 1644, 1541, 1260, 2065, 1524, 1610, 
       1523, 1259, 2051, 1502, 1522, 1501, 1538}], 
      Line3DBox[{1297, 1692, 1706, 1693, 1573, 1725, 1766, 1724, 2112, 1296, 
       1571, 1623, 2084, 1871, 1295, 1582, 1670, 2097, 1882, 1294, 1881, 1989,
        1669, 1581, 1293, 1880, 1988, 1668, 1580, 1292, 1879, 1987, 1667, 
       1579, 1291, 2109, 1740, 1742, 1741, 1565, 1691, 1723, 1690, 2104, 1290,
        1688, 1705, 1689, 1564, 1722, 1764, 1721, 2111, 1289, 1562, 1622, 
       2083, 1867, 1288, 1577, 1666, 2096, 1875, 1287, 1874, 1986, 1665, 1576,
        1286, 1873, 1985, 1664, 1575, 1285, 1872, 1984, 1663, 1574, 1284, 
       2108, 1736, 1738, 1737, 1555, 1687, 1716, 1686, 1696}], 
      Line3DBox[{1300, 1747, 1927, 1445, 1787, 1786, 1928, 1446, 1302, 1586, 
       1678, 2100, 1447, 1628, 1588, 1679, 2101, 1448, 1629, 1890, 1929, 1680,
        1449, 1306, 1877, 1930, 1630, 1450, 1726, 1904, 2127, 1767, 1727, 
       1732, 1451, 1770, 2129, 1733, 1734, 1711, 1751, 2110, 1452, 1750, 1749,
        1931, 1453, 1311, 1591, 1681, 2102, 1454, 1631, 1593, 1682, 2103, 
       1455, 1632, 1895, 1932, 1683, 1456, 1315, 1884, 1933, 1633, 1457, 1728,
        1886, 1934, 1769, 1784, 1458, 1783}], 
      Line3DBox[{1317, 1584, 1627, 2088, 1885, 1316, 1583, 1626, 2087, 1883, 
       1314, 1594, 1677, 2099, 1894, 1313, 1893, 1995, 1676, 1592, 1312, 1892,
        1994, 1675, 1590, 1310, 1901, 1993, 1780, 1782, 1781, 1309, 1905, 
       2130, 1777, 1674, 1698, 1697, 2105, 1308, 1707, 1708, 1625, 2086, 1878,
        1307, 1578, 1624, 2085, 1876, 1305, 1589, 1673, 2098, 1889, 1304, 
       1888, 1992, 1672, 1587, 1303, 1887, 1991, 1671, 1585, 1301, 1906, 1990,
        1789, 1791, 1790, 1298, 1907, 2131, 1788, 1748, 1746, 1299}], 
      Line3DBox[{1319, 1804, 1996, 1318, 1935, 1459, 1320, 1595, 1936, 1460, 
       1634, 1596, 1744, 2117, 1461, 1635, 1897, 1937, 1462, 1321, 1891, 1938,
        1463, 1322, 2076, 1597, 1464, 1636, 2089, 1598, 1805, 2077, 1323, 
       1939, 1465, 1324, 1599, 1940, 1466, 1637, 1600, 1745, 2118, 1467, 1638,
        1898, 1941, 1468, 1325, 1896, 1942, 1469, 1326, 2128, 1768, 1470, 
       1785}], Line3DBox[{1328, 1806, 1997, 1327, 1807, 1998, 1329, 1943, 
       1471, 1330, 1709, 1944, 1472, 1331, 1945, 1473, 1332, 1946, 1474, 1333,
        1947, 1475, 1334, 1948, 1808, 1999, 1335, 1809, 2000, 1336, 1949, 
       1476, 1337, 1710, 1950, 1477, 1338, 1951, 1478, 1339, 1952, 1479, 1340,
        1953, 1480, 1341}], 
      Line3DBox[{1343, 1810, 2001, 1342, 1811, 2002, 1344, 1812, 2003, 1345, 
       1954, 1481, 1346, 1955, 1482, 1347, 1956, 1483, 1348, 1957, 1484, 1349,
        1958, 1813, 2004, 1350, 1814, 2005, 1351, 1815, 2006, 1352, 1959, 
       1485, 1353, 1960, 1486, 1354, 1961, 1487, 1355, 1962, 1488, 1356}], 
      Line3DBox[{1358, 1816, 2007, 1357, 1817, 2008, 1359, 1818, 2009, 1360, 
       1819, 2010, 1361, 1963, 1489, 1362, 1964, 1490, 1363, 1965, 1491, 1364,
        1966, 1820, 2011, 1365, 1821, 2012, 1366, 1822, 2013, 1367, 1823, 
       2014, 1368, 1967, 1492, 1369, 1968, 1493, 1370, 1969, 1494, 1371}], 
      Line3DBox[{1373, 1824, 2015, 1372, 1825, 2016, 1374, 1826, 2017, 1375, 
       1827, 2018, 1376, 1828, 2019, 1377, 1970, 1495, 1378, 1971, 1496, 1379,
        1972, 1829, 2020, 1380, 1830, 2021, 1381, 1831, 2022, 1382, 1832, 
       2023, 1383, 1833, 2024, 1384, 1973, 1497, 1385, 1974, 1498, 1386}], 
      Line3DBox[{1388, 1834, 2025, 1387, 1835, 2026, 1389, 1836, 2027, 1390, 
       1837, 2028, 1391, 1838, 2029, 1392, 1839, 2030, 1393, 1975, 1499, 1394,
        1976, 1840, 2031, 1395, 1841, 2032, 1396, 1842, 2033, 1397, 1843, 
       2034, 1398, 1844, 2035, 1399, 1845, 2036, 1400, 1977, 1500, 1401}], 
      Line3DBox[{1415, 1603, 2050, 1900, 1414, 2049, 1857, 1413, 2048, 1856, 
       1412, 2047, 1855, 1411, 2046, 1854, 1410, 2045, 1853, 1409, 2044, 1852,
        1978, 1408, 2043, 1851, 1407, 2042, 1850, 1406, 2041, 1849, 1405, 
       2040, 1848, 1404, 2039, 1847, 1403, 2038, 1846, 1402, 1899, 2037, 1601,
        1602}], 
      Line3DBox[{1556, 1694, 1717, 1536, 1618, 1537, 2114, 1272, 1539, 1619, 
       1540, 2070, 1273, 1557, 1657, 1980, 1864, 1274, 1558, 1658, 1981, 1865,
        1275, 1866, 2094, 1659, 1559, 1276, 2074, 1560, 1561, 1277, 2125, 
       1763, 1563, 1771, 1773, 1772, 1719, 1718, 1739, 2115, 1695, 1720, 1546,
        1620, 1547, 2116, 1278, 1548, 1621, 1549, 2072, 1279, 1566, 1660, 
       1982, 1868, 1280, 1567, 1661, 1983, 1869, 1281, 1870, 2095, 1662, 1568,
        1282, 2075, 1569, 1570, 1283, 2126, 1765, 1572, 1774, 1776, 1775, 
       1731, 1730, 1743}]}, {
      Line3DBox[{575, 762, 1908, 576, 934, 2058, 774, 603, 935, 2059, 785, 
       614, 949, 2065, 794, 624, 962, 2070, 802, 634, 1984, 991, 1067, 810, 
       642, 1990, 1222, 818, 1928, 650, 826, 1935, 658, 1998, 834, 673, 2002, 
       849, 688, 2008, 864, 703, 2016, 879, 718, 2026, 894, 733, 2038, 909, 
       748}], 
      Line3DBox[{577, 763, 1909, 578, 1115, 775, 2106, 604, 950, 1045, 2066, 
       786, 615, 963, 2081, 1052, 795, 625, 1980, 974, 1059, 803, 635, 1985, 
       992, 1068, 811, 643, 1991, 1009, 1079, 819, 2100, 651, 1021, 1088, 827,
        1936, 659, 835, 1943, 674, 2003, 850, 689, 2009, 865, 704, 2017, 880, 
       719, 2027, 895, 734, 2039, 910, 749}], 
      Line3DBox[{579, 764, 1910, 580, 936, 1040, 776, 2090, 605, 951, 1046, 
       787, 2092, 616, 1979, 964, 1053, 796, 626, 1981, 975, 1060, 804, 636, 
       1986, 993, 1069, 812, 644, 1992, 1010, 1080, 820, 2101, 652, 1022, 
       1089, 828, 2117, 660, 1121, 836, 1944, 675, 851, 1954, 690, 2010, 866, 
       705, 2018, 881, 720, 2028, 896, 735, 2040, 911, 750}], 
      Line3DBox[{581, 765, 1911, 582, 937, 1041, 938, 1920, 1095, 952, 1047, 
       2079, 953, 1097, 965, 2071, 1054, 966, 1100, 2094, 976, 1061, 977, 
       1102, 2096, 994, 1070, 995, 1104, 2098, 1011, 1081, 1012, 1929, 1107, 
       1023, 1090, 1024, 1937, 661, 837, 1945, 676, 852, 1955, 691, 867, 1963,
        706, 2019, 882, 721, 2029, 897, 736, 2041, 912, 751}], 
      Line3DBox[{583, 766, 1912, 584, 777, 1921, 606, 1195, 2123, 1196, 617, 
       1179, 2119, 1180, 627, 978, 2074, 979, 1062, 2083, 980, 981, 1071, 
       2085, 996, 997, 1930, 1082, 1013, 1014, 1938, 662, 838, 1946, 677, 853,
        1956, 692, 868, 1964, 707, 883, 1970, 722, 2030, 898, 737, 2042, 913, 
       752}], Line3DBox[{585, 927, 928, 1913, 586, 939, 2060, 940, 1136, 1198,
        1199, 1197, 2124, 954, 1098, 1182, 1183, 2052, 1181, 923, 1123, 1202, 
       2125, 1203, 1140, 1144, 1143, 1205, 1145, 2111, 1146, 1129, 1131, 1130,
        1072, 2086, 999, 1155, 1211, 1210, 2127, 1156, 1025, 2076, 1026, 663, 
       839, 1947, 678, 854, 1957, 693, 869, 1965, 708, 884, 1971, 723, 899, 
       1975, 738, 2043, 914, 753}], 
      Line3DBox[{587, 929, 2057, 931, 588, 941, 1042, 2078, 943, 1138, 1162, 
       1164, 1163, 1048, 1159, 2080, 1215, 1158, 955, 1117, 1165, 2113, 1118, 
       967, 1220, 1221, 1175, 1139, 1055, 1111, 1170, 2115, 1112, 982, 1142, 
       1204, 1141, 1147, 1109, 2104, 1119, 1110, 998, 1154, 1209, 1153, 1105, 
       1113, 2105, 1120, 1114, 1083, 1161, 1216, 2129, 1160, 1128, 1027, 1091,
        2089, 1029, 664, 840, 1948, 679, 855, 1958, 694, 870, 1966, 709, 885, 
       1972, 724, 900, 1976, 739, 915, 1978, 754}], 
      Line3DBox[{590, 768, 1914, 591, 944, 2062, 779, 608, 945, 2063, 789, 
       619, 956, 2068, 798, 629, 969, 2072, 806, 638, 1987, 1000, 1073, 814, 
       646, 1993, 1176, 822, 1931, 654, 830, 1939, 666, 2000, 842, 681, 2005, 
       857, 696, 2012, 872, 711, 2021, 887, 726, 2032, 902, 741, 2045, 917, 
       756}], Line3DBox[{592, 769, 1915, 593, 1116, 780, 2107, 609, 957, 1049,
        2069, 790, 620, 970, 2082, 1056, 799, 630, 1982, 983, 1063, 807, 639, 
       1988, 1001, 1074, 815, 647, 1994, 1015, 1084, 823, 2102, 655, 1030, 
       1092, 831, 1940, 667, 843, 1949, 682, 2006, 858, 697, 2013, 873, 712, 
       2022, 888, 727, 2033, 903, 742, 2046, 918, 757}], 
      Line3DBox[{594, 770, 1916, 595, 946, 1043, 781, 2091, 610, 958, 1050, 
       791, 2093, 621, 971, 1057, 800, 631, 1983, 984, 1064, 808, 640, 1989, 
       1002, 1075, 816, 648, 1995, 1016, 1085, 824, 2103, 656, 1031, 1093, 
       832, 2118, 668, 1122, 844, 1950, 683, 859, 1959, 698, 2014, 874, 713, 
       2023, 889, 728, 2034, 904, 743, 2047, 919, 758}], 
      Line3DBox[{596, 771, 1917, 597, 947, 1044, 948, 1922, 1096, 959, 1051, 
       960, 1925, 1099, 972, 2073, 1058, 973, 1101, 2095, 985, 1065, 986, 
       1103, 2097, 1003, 1076, 1004, 1106, 2099, 1017, 1086, 1018, 1932, 1108,
        1032, 1094, 1033, 1941, 669, 845, 1951, 684, 860, 1960, 699, 875, 
       1967, 714, 2024, 890, 729, 2035, 905, 744, 2048, 920, 759}], 
      Line3DBox[{598, 772, 1918, 599, 782, 1923, 611, 792, 1926, 622, 1187, 
       2121, 1188, 632, 987, 2075, 988, 1066, 2084, 989, 990, 1077, 2087, 
       1005, 1006, 1933, 1087, 1019, 1020, 1942, 670, 846, 1952, 685, 861, 
       1961, 700, 876, 1968, 715, 891, 1973, 730, 2036, 906, 745, 2049, 921, 
       760}], Line3DBox[{600, 932, 933, 1919, 601, 783, 1924, 612, 1184, 2120,
        1185, 1186, 1190, 1191, 2054, 1189, 925, 1124, 1206, 2126, 1207, 1148,
        1150, 1149, 1208, 1151, 2112, 1152, 1132, 1134, 1133, 1078, 2088, 
       1007, 1157, 1008, 1934, 1214, 1212, 2128, 1213, 671, 847, 1953, 686, 
       862, 1962, 701, 877, 1969, 716, 892, 1974, 731, 907, 1977, 746, 2050, 
       1035, 1036, 1037}], 
      Line3DBox[{747, 908, 1034, 2037, 732, 893, 2025, 717, 878, 2015, 702, 
       863, 2007, 687, 848, 2001, 672, 833, 1997, 657, 825, 1996, 649, 1927, 
       817, 1223, 1225, 1224, 2131, 641, 809, 1217, 1125, 1169, 2108, 1168, 
       633, 801, 1167, 1166, 2114, 961, 623, 793, 2051, 922, 613, 784, 2064, 
       1135, 1194, 1193, 602, 773, 2122, 1192, 574, 761, 2055, 926, 1038}], 
      Line3DBox[{755, 916, 2044, 740, 901, 2031, 725, 886, 2020, 710, 871, 
       2011, 695, 856, 2004, 680, 841, 1999, 665, 829, 2077, 1028, 653, 2110, 
       821, 1178, 1177, 1219, 1218, 2130, 645, 813, 1127, 1126, 1174, 2109, 
       1173, 637, 805, 1172, 1171, 2116, 968, 628, 797, 2053, 924, 618, 788, 
       2067, 1137, 1201, 1200, 607, 778, 2061, 942, 589, 767, 2056, 930, 
       1039}]}, {}, {}}},
   VertexColors->{
     Hue[0.2500000937882458, 0.8976682341275217, 1], 
     Hue[0.33973943761471476`, 0.8577482299032868, 1], 
     Hue[0.41313214483270844`, 0.7848023922281053, 1], 
     Hue[0.4726080150947322, 0.7382393547277557, 1], 
     Hue[0.527392040460122, 0.7382393790962964, 1], 
     Hue[0.5868679201810569, 0.7848024581769659, 1], 
     Hue[0.6602606449229487, 0.8577482993035859, 1], 
     Hue[0.75, 0.8976682341275677, 1], 
     Hue[0.8397393550770513, 0.8577482993035859, 1], 
     Hue[0.9131320798189431, 0.7848024581769659, 1], 
     Hue[0.972607959539878, 0.7382393790962964, 1], 
     Hue[0.027391984905267792`, 0.7382393547277557, 1], 
     Hue[0.08686785516729162, 0.7848023922281053, 1], 
     Hue[0.1602605623852853, 0.8577482299032868, 1], 
     Hue[0.24999990621175422`, 0.8976682341275217, 1], 
     Hue[0.2500001088892951, 1, 0.9109680563416015], 
     Hue[0.3507882718491287, 1, 0.9815143168859164], 
     Hue[0.42329155607312313`, 0.9009904215340365, 1], 
     Hue[0.47634675497749657`, 0.8319961325684297, 1], 
     Hue[0.5236532932379092, 0.8319961676472705, 1], 
     Hue[0.576708504110738, 0.9009905222194845, 1], 
     Hue[0.6492118153152917, 1, 0.9815141985661884], 
     Hue[0.75, 1, 0.9109680563415173], 
     Hue[0.8507881846847082, 1, 0.9815141985661884], 
     Hue[0.923291495889262, 0.9009905222194845, 1], 
     Hue[0.9763467067620908, 0.8319961676472705, 1], 
     Hue[0.023653245022503416`, 0.8319961325684297, 1], 
     Hue[0.07670844392687687, 0.9009904215340365, 1], 
     Hue[0.14921172815087133`, 1, 0.9815143168859164], 
     Hue[0.24999989111070492`, 1, 0.9109680563416015], 
     Hue[0.25000013831821866`, 1, 0.6909240800767332], 
     Hue[0.3694472910367387, 1, 0.8135312932979052], 
     Hue[0.43782529737566966`, 1, 0.9919138494999519], 
     Hue[0.48132711498949465`, 0.9133125438626266, 1], 
     Hue[0.518672923286598, 0.9133125905925403, 1], 
     Hue[0.5621747542186671, 1, 0.9919137066525462], 
     Hue[0.6305528001014845, 1, 0.8135310995467371], 
     Hue[0.75, 1, 0.6909240800765774], 
     Hue[0.8694471998985155, 1, 0.8135310995467371], 
     Hue[0.9378252457813329, 1, 0.9919137066525462], 
     Hue[0.981327076713402, 0.9133125905925403, 1], 
     Hue[0.01867288501050536, 0.9133125438626266, 1], 
     Hue[0.06217470262433037, 1, 0.9919138494999519], 
     Hue[0.13055270896326132`, 1, 0.8135312932979052], 
     Hue[0.24999986168178137`, 1, 0.6909240800767332], 
     Hue[0.2500002084320266, 1, 0.44535869073176193`], 
     Hue[0.4015663175394484, 1, 0.6565970896218353], 
     Hue[0.45754135090940884`, 1, 0.9063510649636833], 
     Hue[0.4875765514273587, 0.9744643298489539, 1], 
     Hue[0.5124234741694327, 0.9744643870068506, 1], 
     Hue[0.5424586863530021, 1, 0.906350879868848], 
     Hue[0.5984337687771306, 1, 0.6565967913817526], 
     Hue[0.75, 1, 0.4453586907314517], 
     Hue[0.9015662312228694, 1, 0.6565967913817526], 
     Hue[0.9575413136469979, 1, 0.906350879868848], 
     Hue[0.9875765258305672, 0.9744643870068506, 1], 
     Hue[0.01242344857264134, 0.9744643298489539, 1], 
     Hue[0.04245864909059121, 1, 0.9063510649636833], 
     Hue[0.09843368246055166, 1, 0.6565970896218353], 
     Hue[0.24999979156797342`, 1, 0.44535869073176193`], 
     Hue[0.25000050339706115`, 1, 0.18127570760859768`], 
     Hue[0.4543964409008973, 1, 0.545733376171165], 
     Hue[0.48206695934217325`, 1, 0.855109114126477], 
     Hue[0.4948473872104828, 1, 0.990643309811754], 
     Hue[0.5051526234415613, 1, 0.9906432459861523], 
     Hue[0.5179330570290583, 1, 0.855108899371677], 
     Hue[0.5456036086362017, 1, 0.5457329717611278], 
     Hue[0.75, 1, 0.18127570760772116`], 
     Hue[0.9543963913637983, 1, 0.5457329717611278], 
     Hue[0.9820669429709415, 1, 0.855108899371677], 
     Hue[0.9948473765584386, 1, 0.9906432459861523], 
     Hue[0.005152612789517181, 1, 0.990643309811754], 
     Hue[0.017933040657826776`, 1, 0.855109114126477], 
     Hue[0.04560355909910276, 1, 0.545733376171165], 
     Hue[0.24999949660293888`, 1, 0.18127570760859768`], 
     Hue[0.7499989983007534, 1, 0.09086852325550353], 
     Hue[0.5233962637169063, 1, 0.527482940050368], 
     Hue[0.5090407235696468, 1, 0.8474493677268427], 
     Hue[0.5025900864678465, 1, 0.9855433512818589], 
     Hue[0.4974099081748465, 1, 0.985543286434941], 
     Hue[0.4909592681246179, 1, 0.8474491482230085], 
     Hue[0.476603709807819, 1, 0.5274825143720123], 
     Hue[0.25, 1, 0.09086852325371898], 
     Hue[0.023396290192180983`, 1, 0.5274825143720123], 
     Hue[0.0090407318753821, 1, 0.8474491482230085], 
     Hue[0.0025900918251535714`, 1, 0.985543286434941], 
     Hue[0.9974099135321535, 1, 0.9855433512818589], 
     Hue[0.9909592764303532, 1, 0.8474493677268427], 
     Hue[0.9766037362830937, 1, 0.527482940050368], 
     Hue[0.7500010016992464, 1, 0.09086852325550353], 
     Hue[0.7499997432340411, 1, 0.35893201319980594`], 
     Hue[0.5833700149248673, 1, 0.6122098516904771], 
     Hue[0.5347450885780365, 1, 0.8848812758737565], 
     Hue[0.5100918295430201, 0.9892462158114617, 1], 
     Hue[0.4899081496353782, 0.9892462757271352, 1], 
     Hue[0.4652548804395363, 1, 0.8848810787843032], 
     Hue[0.41662990593350596`, 1, 0.6122095150847391], 
     Hue[0.25, 1, 0.35893201319939744`], 
     Hue[0.08337009406649411, 1, 0.6122095150847391], 
     Hue[0.03474511956046375, 1, 0.8848810787843032], 
     Hue[0.01009185036462181, 0.9892462757271352, 1], 
     Hue[0.9899081704569799, 0.9892462158114617, 1], 
     Hue[0.9652549114219635, 1, 0.8848812758737565], 
     Hue[0.9166299850751327, 1, 0.6122098516904771], 
     Hue[0.7500002567659589, 1, 0.35893201319980594`], 
     Hue[0.749999845431899, 1, 0.6116401864958095], 
     Hue[0.62171885844325, 1, 0.7586778720863814], 
     Hue[0.5561948563006989, 1, 0.9603466314240118], 
     Hue[0.5167250445862048, 0.9362825852510805, 1], 
     Hue[0.4832749210679517, 0.936282635719113, 1], 
     Hue[0.4438050961557698, 1, 0.9603464739645834], 
     Hue[0.37828105027384823`, 1, 0.75867764641795], 
     Hue[0.25, 1, 0.6116401864956161], 
     Hue[0.12171894972615176`, 1, 0.75867764641795], 
     Hue[0.056194903844230246`, 1, 0.9603464739645834], 
     Hue[0.016725078932048294`, 0.936282635719113, 1], 
     Hue[0.9832749554137951, 0.9362825852510805, 1], 
     Hue[0.9438051436993011, 1, 0.9603466314240118], 
     Hue[0.8782811415567499, 1, 0.7586778720863814], 
     Hue[0.750000154568101, 1, 0.6116401864958095], 
     Hue[0.7499998835449121, 1, 0.8407255835270903], 
     Hue[0.644063624134037, 1, 0.9256807504543575], 
     Hue[0.5724025280754638, 0.9382764793323612, 1], 
     Hue[0.5221369672160596, 0.8608851895506062, 1], 
     Hue[0.47786298757636203`, 0.8608852284989323, 1], 
     Hue[0.4275974140884691, 0.9382765934844106, 1], 
     Hue[0.3559362871144704, 1, 0.9256806102763931], 
     Hue[0.25, 1, 0.8407255835269873], 
     Hue[0.1440637128855296, 1, 0.9256806102763931], 
     Hue[0.07240258591153097, 0.9382765934844106, 1], 
     Hue[0.022137012423637983`, 0.8608852284989323, 1], 
     Hue[0.9778630327839404, 0.8608851895506062, 1], 
     Hue[0.9275974719245362, 0.9382764793323612, 1], 
     Hue[0.855936375865963, 1, 0.9256807504543575], 
     Hue[0.7500001164550878, 1, 0.8407255835270903], 
     Hue[0.7499999021428729, 0.9582158871039275, 1], 
     Hue[0.6571801595952851, 0.9098538507768033, 1], 
     Hue[0.5838987770043703, 0.8238613946880058, 1], 
     Hue[0.5262740450176672, 0.7703692561296771, 1], 
     Hue[0.47372590160996564`, 0.770369283866835, 1], 
     Hue[0.41610115928714386`, 0.8238614711753831, 1], 
     Hue[0.342819756413013, 0.9098539339992135, 1], 
     Hue[0.25, 0.9582158871039834, 1], 
     Hue[0.157180243586987, 0.9098539339992135, 1], 
     Hue[0.08389884071285615, 0.8238614711753831, 1], 
     Hue[0.02627409839003443, 0.770369283866835, 1], 
     Hue[0.9737259549823328, 0.7703692561296771, 1], 
     Hue[0.9161012229956297, 0.8238613946880058, 1], 
     Hue[0.8428198404047149, 0.9098538507768033, 1], 
     Hue[0.7500000978571271, 0.9582158871039275, 1], 
     Hue[0.7499999123977719, 0.7861255506107512, 1], 
     Hue[0.6650919615097978, 0.7590890804144375, 1], 
     Hue[0.5917596545653303, 0.7073663430493913, 1], 
     Hue[0.529284285198615, 0.6728078333983818, 1], 
     Hue[0.4707156555775179, 0.6728078517944489, 1], 
     Hue[0.40824027846852246`, 0.7073663911516022, 1], 
     Hue[0.3349079584812816, 0.759089128202127, 1], 
     Hue[0.25, 0.7861255506107816, 1], 
     Hue[0.16509204151871845`, 0.759089128202127, 1], 
     Hue[0.0917597215314776, 0.7073663911516022, 1], 
     Hue[0.029284344422482157`, 0.6728078517944489, 1], 
     Hue[0.9707157148013849, 0.6728078333983818, 1], 
     Hue[0.9082403454346696, 0.7073663430493913, 1], 
     Hue[0.8349080384902022, 0.7590890804144375, 1], 
     Hue[0.7500000876022281, 0.7861255506107512, 1], 
     Hue[0.7499999184352746, 0.6415258820095975, 1], 
     Hue[0.6699805796443494, 0.6266607080706135, 1], 
     Hue[0.5970258007115417, 0.5967218963383334, 1], 
     Hue[0.5313979808860927, 0.5755969955894624, 1], 
     Hue[0.4686019558314484, 0.5755970070769123, 1], 
     Hue[0.4029741305034649, 0.5967219251117559, 1], 
     Hue[0.3300193432054673, 0.6266607348162372, 1], 
     Hue[0.25, 0.6415258820096139, 1], 
     Hue[0.16998065679453278`, 0.6266607348162372, 1], 
     Hue[0.09702586949653506, 0.5967219251117559, 1], 
     Hue[0.03139804416855158, 0.5755970070769123, 1], 
     Hue[0.9686020191139073, 0.5755969955894624, 1], 
     Hue[0.9029741992884582, 0.5967218963383334, 1], 
     Hue[0.8300194203556505, 0.6266607080706135, 1], 
     Hue[0.7500000815647254, 0.6415258820095975, 1], 
     Hue[0.7499999221277043, 0.5216068946480601, 1], 
     Hue[0.6730546479049464, 0.513542027227512, 1], 
     Hue[0.6005135481876808, 0.4967073524114096, 1], 
     Hue[0.5328457567008793, 0.4843435555316633, 1], 
     Hue[0.46715417726231917`, 0.48434356236559983`, 1], 
     Hue[0.3994863819880289, 0.496707368975992, 1], 
     Hue[0.32694527689229613`, 0.5135420419117291, 1], 
     Hue[0.25, 0.5216068946480688, 1], 
     Hue[0.17305472310770384`, 0.5135420419117291, 1], 
     Hue[0.10051361801197116`, 0.496707368975992, 1], 
     Hue[0.032845822737680844`, 0.48434356236559983`, 1], 
     Hue[0.9671542432991207, 0.4843435555316633, 1], 
     Hue[0.8994864518123192, 0.4967073524114096, 1], 
     Hue[0.8269453520950536, 0.513542027227512, 1], 
     Hue[0.7500000778722957, 0.5216068946480601, 1], 
     Hue[0.7499999244387101, 0.4230511929917442, 1], 
     Hue[0.6750110381201033, 0.4187188511089208, 1], 
     Hue[0.6028084459804213, 0.4094507697679832, 1], 
     Hue[0.5338207821942215, 0.4024475859915555, 1], 
     Hue[0.46617914992628645`, 0.40244758990898655`, 1], 
     Hue[0.3971914835844797, 0.40945077903840144`, 1], 
     Hue[0.32498888797513464`, 0.41871885906012873`, 1], 
     Hue[0.25, 0.42305119299174887`, 1], 
     Hue[0.17501111202486536`, 0.41871885906012873`, 1], 
     Hue[0.10280851641552033`, 0.40945077903840144`, 1], 
     Hue[0.03382085007371364, 0.40244758990898655`, 1], 
     Hue[0.9661792178057784, 0.4024475859915555, 1], 
     Hue[0.8971915540195786, 0.4094507697679832, 1], 
     Hue[0.8249889618798967, 0.4187188511089208, 1], 
     Hue[0.7500000755612899, 0.4230511929917442, 1], 
     Hue[0.7499999259060901, 0.342547334899179, 1], 
     Hue[0.6762661416771895, 0.340236335743231, 1], 
     Hue[0.6043127006059826, 0.335209714774924, 1], 
     Hue[0.5344700217161933, 0.3313358438110232, 1], 
     Hue[0.4655299091829583, 0.33133584599634736`, 1], 
     Hue[0.3956872285902975, 0.3352097198596333, 1], 
     Hue[0.32373378527433494`, 0.3402363400071404, 1], 
     Hue[0.25, 0.34254733489918165`, 1], 
     Hue[0.17626621472566506`, 0.3402363400071404, 1], 
     Hue[0.10431277140970256`, 0.3352097198596333, 1], 
     Hue[0.034470090817041776`, 0.33133584599634736`, 1], 
     Hue[0.9655299782838066, 0.3313358438110232, 1], 
     Hue[0.8956872993940174, 0.335209714774924, 1], 
     Hue[0.8237338583228105, 0.340236335743231, 1], 
     Hue[0.7500000740939098, 0.342547334899179, 1], 
     Hue[0.3693935643112463, 1, 0.41345463379967573`], 
     Hue[0.630606599906276, 1, 0.41345430303996455`], 
     Hue[0.869393400093724, 1, 0.41345430303996455`], 
     Hue[0.13060643568875369`, 1, 0.41345463379967573`], 
     Hue[0.6048488928451969, 1, 0.3545712231180458], 
     Hue[0.39515094777888593`, 1, 0.35457082229394743`], 
     Hue[0.10484905222111411`, 1, 0.35457082229394743`], 
     Hue[0.8951511071548031, 1, 0.3545712231180458], 
     Hue[0.2993205837436941, 0.9748042962052221, 1], 
     Hue[0.2500001002081574, 0.9897033202624534, 1], 
     Hue[0.7006795118802989, 0.974804353425518, 1], 
     Hue[0.7993204881197011, 0.974804353425518, 1], 
     Hue[0.20067941625630598`, 0.9748042962052221, 1], 
     Hue[0.24999989979184267`, 0.9897033202624534, 1], 
     Hue[0.398547927208775, 1, 0.974969403880562], 
     Hue[0.4207443333546238, 1, 0.8493856829412153], 
     Hue[0.5000000210924921, 0.8645012458829913, 1], 
     Hue[0.5441012494875818, 0.9054457898366701, 1], 
     Hue[0.6913059156539529, 1, 0.8314182895334613], 
     Hue[0.8086940843460471, 1, 0.8314182895334613], 
     Hue[0.8985478571276471, 1, 0.9749692533243182], 
     Hue[0.9207442718644121, 1, 0.8493854646460117], 
     Hue[0.9999999789075079, 0.8645012458829913, 1], 
     Hue[0.044101201408463644`, 0.9054457078538989, 1], 
     Hue[0.32712109748241514`, 1, 0.6206346656477593], 
     Hue[0.3435129944967789, 1, 0.5141528755121632], 
     Hue[0.45257594041393095`, 1, 0.753989517630036], 
     Hue[0.467239672962469, 0.9865243591877568, 1], 
     Hue[0.5000000154846652, 0.9338362991801648, 1], 
     Hue[0.5327603635953108, 0.9865244662239423, 1], 
     Hue[0.6728790382342813, 1, 0.6206344830969733], 
     Hue[0.8271209617657187, 1, 0.6206344830969733], 
     Hue[0.8435128425906174, 1, 0.5141526301857633], 
     Hue[0.9525758992904492, 1, 0.753989232568844], 
     Hue[0.9672396364046892, 0.9865244662239423, 1], 
     Hue[0.9999999845153348, 0.9338362991801648, 1], 
     Hue[0.03276032703753106, 0.9865243591877568, 1], 
     Hue[0.4753070521066846, 1, 0.2822350850543047], 
     Hue[0.2500002916421318, 1, 0.315044911784338], 
     Hue[0.4928801602778216, 1, 0.71078433595997], 
     Hue[0.48131456290680835`, 1, 0.9577296768725931], 
     Hue[0.5000000087470915, 0.9803126309061414, 1], 
     Hue[0.5186854583488258, 1, 0.9577295495890765], 
     Hue[0.75, 1, 0.31504491178386085`], 
     Hue[0.9753070018389265, 1, 0.2822345615832353], 
     Hue[0.9928801537314578, 1, 0.710784015079171], 
     Hue[0.981314541651174, 1, 0.9577295495890765], 
     Hue[0.9999999912529085, 0.9803126309061414, 1], 
     Hue[0.018685437093191662`, 1, 0.9577296768725931], 
     Hue[0.24999970835786825`, 1, 0.315044911784338], 
     Hue[0.5481936679157748, 1, 0.29233774311918603`], 
     Hue[0.2500020008545519, 1, 0.04546307974326498], 
     Hue[0.49726411987297214`, 1, 0.9342277714628644], 
     Hue[0.5000000012749655, 0.999594080540698, 1], 
     Hue[0.5027358832673954, 1, 0.9342276348186177], 
     Hue[0.5071198462685422, 1, 0.710784015079171], 
     Hue[0.46529647068538726`, 1, 0.7328071115503465], 
     Hue[0.5246929981610735, 1, 0.2822345615832353], 
     Hue[0.75, 1, 0.045463079739679925`], 
     Hue[0.4518062383672948, 1, 0.292337240191172], 
     Hue[0.04819376163270522, 1, 0.292337240191172], 
     Hue[0.9972641167326046, 1, 0.9342276348186177], 
     Hue[0.9999999987250345, 0.999594080540698, 1], 
     Hue[0.002735880127027896, 1, 0.9342277714628644], 
     Hue[0.007119839722178417, 1, 0.71078433595997], 
     Hue[0.9652965016331081, 1, 0.7328074136816995], 
     Hue[0.024692947893315463`, 1, 0.2822350850543047], 
     Hue[0.9518063320842252, 1, 0.29233774311918603`], 
     Hue[0.7499995957574122, 1, 0.22616545088355838`], 
     Hue[0.5347034983668919, 1, 0.7328074136816995], 
     Hue[0.5135104047927589, 1, 0.9460683067327972], 
     Hue[0.49999999368938236`, 0.9899037205240018, 1], 
     Hue[0.48648957977073687`, 1, 0.946068174868818], 
     Hue[0.43023572462295767`, 1, 0.8131284278056493], 
     Hue[0.25, 1, 0.22616545088286638`], 
     Hue[0.33724154039861726`, 1, 0.5493509562726765], 
     Hue[0.03470352931461273, 1, 0.7328071115503465], 
     Hue[0.013510420229263157`, 1, 0.946068174868818], 
     Hue[6.310617647738355*^-9, 0.9899037205240018, 1], 
     Hue[0.9864895952072411, 1, 0.9460683067327972], 
     Hue[0.9302357809363824, 1, 0.8131286696826182], 
     Hue[0.7500004042425878, 1, 0.22616545088355838`], 
     Hue[0.8372416868379481, 1, 0.5493511784469822], 
     Hue[0.5283478321309282, 1, 0.9916758031872158], 
     Hue[0.4999999866492592, 0.9521322493157405, 1], 
     Hue[0.47165213600770867`, 1, 0.9916756885473467], 
     Hue[0.404979455774305, 1, 0.9310665386745756], 
     Hue[0.16275845960138277`, 1, 0.5493509562726765], 
     Hue[0.02834786399229138, 1, 0.9916756885473467], 
     Hue[1.3350740804839486`*^-8, 0.9521322493157405, 1], 
     Hue[0.9716521678690718, 1, 0.9916758031872158], 
     Hue[0.9049795239017802, 1, 0.9310667106866459], 
     Hue[0.5406430393811005, 0.9347514860913064, 1], 
     Hue[0.49999998063883055`, 0.8897895345835007, 1], 
     Hue[0.4593569159600878, 0.9347515765708243, 1], 
     Hue[0.3134231868831217, 1, 0.762466824707852], 
     Hue[0.1865768131168783, 1, 0.762466824707852], 
     Hue[0.04064308403991224, 0.9347515765708243, 1], 
     Hue[1.936116948979896*^-8, 0.8897895345835007, 1], 
     Hue[0.9593569606188995, 0.9347514860913064, 1], 
     Hue[0.712685956159395, 0.3799003374466545, 1], 
     Hue[0.749999925254347, 0.38074091713109914`, 1], 
     Hue[0.787314043840605, 0.3799003374466545, 1], 
     Hue[0.7870003299385341, 0.341934922897591, 1], 
     Hue[0.2963418641329607, 0.8866165350607285, 1], 
     Hue[0.7036582264091333, 0.8866165777018746, 1], 
     Hue[0.7963417735908666, 0.8866165777018746, 1], 
     Hue[0.20365813586703932`, 0.8866165350607285, 1], 
     Hue[0.4085409965310412, 1, 0.9097466547607074], 
     Hue[0.5213252844876427, 0.8747160103559186, 1], 
     Hue[0.75, 1, 0.8044193765000686], 
     Hue[0.9085409296776691, 1, 0.9097464715083158], 
     Hue[0.021325240897093783`, 0.8747159694522799, 1], 
     Hue[0.4354043777696508, 1, 0.7965093034129748], 
     Hue[0.48430121145167604`, 0.9468415575176885, 1], 
     Hue[0.5156988208150157, 0.946841609774987, 1], 
     Hue[0.75, 1, 0.5709861218532947], 
     Hue[0.9354043246169407, 1, 0.796509050022587], 
     Hue[0.9843011791849843, 0.946841609774987, 1], 
     Hue[0.015698788548323975`, 0.9468415575176885, 1], 
     Hue[0.4114774844398501, 1, 0.32946359713855083`], 
     Hue[0.47197513321680473`, 1, 0.7246512828186282], 
     Hue[0.4911123299983857, 0.995481238533825, 1], 
     Hue[0.508887688349821, 0.9954812996419609, 1], 
     Hue[0.9114773368087998, 1, 0.329463159463309], 
     Hue[0.971975107944872, 1, 0.7246509738665926], 
     Hue[0.9911123116501789, 0.9954812996419609, 1], 
     Hue[0.0088876700016143, 0.995481238533825, 1], 
     Hue[0.49870322442516446`, 1, 0.9842638034808162], 
     Hue[0.5012967782574271, 1, 0.984263738375731], 
     Hue[0.4858066412164744, 1, 0.7135854969383554], 
     Hue[0.9987032217425729, 1, 0.984263738375731], 
     Hue[0.001296775574835568, 1, 0.9842638034808162], 
     Hue[0.9858066542148538, 1, 0.7135858153747398], 
     Hue[0.24999799914544812`, 1, 0.04546307974326498], 
     Hue[0.5222800381940222, 1, 0.8607956865952399], 
     Hue[0.5064152353242231, 1, 0.9944492343258217], 
     Hue[0.4935847514186005, 1, 0.9944491712544553], 
     Hue[0.44658196701406133`, 1, 0.7668318422627476], 
     Hue[0.3593553357885318, 1, 0.4458615868263811], 
     Hue[0.022280058439900826`, 1, 0.8607954753109315], 
     Hue[0.006415248581399574, 1, 0.9944491712544553], 
     Hue[0.9935847646757769, 1, 0.9944492343258217], 
     Hue[0.9465820125838266, 1, 0.7668321174062702], 
     Hue[0.8593554972433128, 1, 0.4458618862987428], 
     Hue[0.5135466162120315, 0.9659593102040429, 1], 
     Hue[0.4864533558985031, 0.9659593658185002, 1], 
     Hue[0.4164130762941508, 1, 0.8688107053560574], 
     Hue[0.25, 1, 0.48780991697533876`], 
     Hue[0.013546644101496953`, 0.9659593658185002, 1], 
     Hue[0.9864533837879685, 0.9659593102040429, 1], 
     Hue[0.9164131398603238, 1, 0.8688109118270722], 
     Hue[0.5195932204648772, 0.900965206244728, 1], 
     Hue[0.4804067394098597, 0.9009652510500883, 1], 
     Hue[0.25, 1, 0.7295017497127089], 
     Hue[0.019593260590140396`, 0.9009652510500883, 1], 
     Hue[0.9804067795351228, 0.900965206244728, 1], 
     Hue[0.7129996700614658, 0.341934922897591, 1], 
     Hue[0.750000074745653, 0.38074091713109914`, 1], 
     Hue[0.5000000184431266, 0.90166364071614, 1], 
     Hue[0.5387931063738407, 0.9486143301713952, 1], 
     Hue[0.9999999815568734, 0.90166364071614, 1], 
     Hue[0.03879306357979208, 0.9486142354576361, 1], 
     Hue[0.47396881812195707`, 1, 0.9819322644451557], 
     Hue[0.5000000122391, 0.9602599555951894, 1], 
     Hue[0.5260312112335566, 1, 0.9819321462785604], 
     Hue[0.6564871574093825, 1, 0.5141526301857633], 
     Hue[0.9739687887664433, 1, 0.9819321462785604], 
     Hue[0.9999999877609, 0.9602599555951894, 1], 
     Hue[0.02603118187804297, 1, 0.9819322644451557], 
     Hue[0.4891414932223307, 1, 0.9416492908932971], 
     Hue[0.5000000050676108, 0.9935259758972945, 1], 
     Hue[0.510858519205363, 1, 0.9416491572607112], 
     Hue[0.9891414807946372, 1, 0.9416491572607112], 
     Hue[0.9999999949323891, 0.9935259758972945, 1], 
     Hue[0.010858506777669336`, 1, 0.9416492908932971], 
     Hue[0.5141933457851462, 1, 0.7135858153747398], 
     Hue[0.5054632037164755, 1, 0.935717771072303], 
     Hue[0.49999999745330703`, 0.9983773480480542, 1], 
     Hue[0.49453679001630146`, 1, 0.935717635036894], 
     Hue[0.014193358783525676`, 1, 0.7135854969383554], 
     Hue[0.005463209983698542, 1, 0.935717635036894], 
     Hue[2.5466929496505316`*^-9, 0.9983773480480542, 1], 
     Hue[0.9945367962835245, 1, 0.935717771072303], 
     Hue[0.5211953107717759, 1, 0.9649287825310905], 
     Hue[0.49999999006480295`, 0.9743684620167354, 1], 
     Hue[0.478804665181183, 1, 0.9649286580135983], 
     Hue[0.14064466421146823`, 1, 0.4458615868263811], 
     Hue[0.02119533481881711, 1, 0.9649286580135983], 
     Hue[9.935197093015127*^-9, 0.9743684620167354, 1], 
     Hue[0.978804689228224, 1, 0.9649287825310905], 
     Hue[0.5348510018285146, 0.9745424737436461, 1], 
     Hue[0.49999998349581587`, 0.9237159413430911, 1], 
     Hue[0.4651489594268698, 0.9745425767644429, 1], 
     Hue[0.03485104057313024, 0.9745425767644429, 1], 
     Hue[1.6504184189961898`*^-8, 0.9237159413430911, 1], 
     Hue[0.9651489981714853, 0.9745424737436461, 1], 
     Hue[0.7051376975586803, 1, 0.5245066697329185], 
     Hue[0.6328361551185528, 1, 0.21199415734262045`], 
     Hue[0.3671635254400627, 1, 0.21199378942104452`], 
     Hue[0.13283647455993736`, 1, 0.21199378942104452`], 
     Hue[0.867163844881447, 1, 0.21199415734262045`], 
     Hue[0.393554534959203, 1, 0.18119702776312813`], 
     Hue[0.8935542226485955, 1, 0.18119659296071056`], 
     Hue[0.25000080212547376`, 1, 0.11353125132394601`], 
     Hue[0.7499994255985772, 1, 0.15874215647073928`], 
     Hue[0.19716431632128437`, 1, 0.4439220219700048], 
     Hue[0.2741074098386785, 0.939474836376182, 1], 
     Hue[0.22589259016132157`, 0.939474836376182, 1], 
     Hue[0.4558987985915364, 0.9054457078538989, 1], 
     Hue[0.46120693642020794`, 0.9486142354576361, 1], 
     Hue[0.9558987505124182, 0.9054457898366701, 1], 
     Hue[0.9612068936261592, 0.9486143301713952, 1], 
     Hue[0.6918573547978193, 1, 0.40349775298311336`], 
     Hue[0.8081426452021807, 1, 0.40349775298311336`], 
     Hue[0.5250132337254176, 1, 0.14374620874517197`], 
     Hue[0.4749866670302505, 1, 0.14374565511438386`], 
     Hue[0.41019854209331147`, 1, 0.16815409960436256`], 
     Hue[0.9749867662745823, 1, 0.14374620874517197`], 
     Hue[0.9101988321974802, 1, 0.16815456990252386`], 
     Hue[0.25, 1, 0.15874215646973194`], 
     Hue[0.7500005744014228, 1, 0.15874215647073928`], 
     Hue[0.30283568367871566`, 1, 0.4439220219700048], 
     Hue[0.25, 1, 0.42393472869082144`], 
     Hue[0.4999999758626199, 0.8087063160615329, 1], 
     Hue[2.4137380147458945`*^-8, 0.8087063160615329, 1], 
     Hue[0.731406136430431, 0.3609711052595632, 1], 
     Hue[0.768593863569569, 0.3609711052595632, 1], 
     Hue[0.5885226631912002, 1, 0.329463159463309], 
     Hue[0.08852251556014995, 1, 0.32946359713855083`], 
     Hue[0.5559690621109856, 1, 0.558949344766934], 
     Hue[0.055969121199313604`, 1, 0.5589489549816691], 
     Hue[0.09192976426538187, 1, 0.4898525407111228], 
     Hue[0.17698571517732065`, 1, 0.6563704042140331], 
     Hue[0.4440308788006864, 1, 0.5589489549816691], 
     Hue[0.4080702357346182, 1, 0.4898525407111228], 
     Hue[0.9440309378890144, 1, 0.558949344766934], 
     Hue[0.9080703405461088, 1, 0.48985291869382347`], 
     Hue[0.2500000967654646, 0.9427763251340469, 1], 
     Hue[0.38334091432085604`, 1, 0.7319705322980182], 
     Hue[0.6837649395287251, 1, 0.7273831514147634], 
     Hue[0.8833408234616947, 1, 0.7319702894514328], 
     Hue[0.8162350604712749, 1, 0.7273831514147634], 
     Hue[0.666235700534985, 1, 0.2844489294629958], 
     Hue[0.833764299465015, 1, 0.2844489294629958], 
     Hue[0.5898011678025197, 1, 0.16815456990252386`], 
     Hue[0.45116639090154803`, 1, 0.1489545237335258], 
     Hue[0.5117765866005628, 1, 0.5227996058779265], 
     Hue[0.02501333296974948, 1, 0.14374565511438386`], 
     Hue[0.6064457773514045, 1, 0.18119659296071056`], 
     Hue[0.5488337939492569, 1, 0.14895399013368468`], 
     Hue[0.9511662060507431, 1, 0.14895399013368468`], 
     Hue[0.49188574885409775`, 1, 0.40671610799562674`], 
     Hue[0.4456549178752799, 1, 0.43235877046421817`], 
     Hue[0.0898014579066886, 1, 0.16815409960436256`], 
     Hue[0.01177657312951551, 1, 0.5228000372270495], 
     Hue[0.9918857605154141, 1, 0.406716593459458], 
     Hue[0.945654990171177, 1, 0.4323592187946111], 
     Hue[0.3230321460182126, 1, 0.32341561101862193`], 
     Hue[0.1769678539817874, 1, 0.32341561101862193`], 
     Hue[0.3949436356623841, 1, 0.6807528389795113], 
     Hue[0.32301428482267935`, 1, 0.6563704042140331], 
     Hue[0.8949437241687311, 1, 0.6807531182474946], 
     Hue[0.22662352543868422`, 0.8948301014638991, 1], 
     Hue[0.7948623024413197, 1, 0.5245066697329185], 
     Hue[0.7500040004097338, 1, 0.02273529987316093], 
     Hue[0.10644546504079701`, 1, 0.18119702776312813`], 
     Hue[0.048833609098452004`, 1, 0.1489545237335258], 
     Hue[0.29181309408117717`, 1, 0.5644041430537191], 
     Hue[0.2081869059188229, 1, 0.5644041430537191], 
     Hue[0.7314823420719923, 0.34239197642003916`, 1], 
     Hue[0.7500000744016148, 0.36115318077810654`, 1], 
     Hue[0.2733764745613158, 0.8948301014638991, 1], 
     Hue[0.24999990323453547`, 0.9427763251340469, 1], 
     Hue[0.713010973495547, 1, 0.6429478258991215], 
     Hue[0.7869890265044529, 1, 0.6429478258991215], 
     Hue[0.75, 1, 0.6317193111679623], 
     Hue[0.75, 1, 0.38071557226749836`], 
     Hue[0.48822342687048453`, 1, 0.5228000372270495], 
     Hue[0.5081142394845859, 1, 0.406716593459458], 
     Hue[0.554345009828823, 1, 0.4323592187946111], 
     Hue[0.5319952242396915, 1, 0.4149231964618814], 
     Hue[0.7499959995902661, 1, 0.02273529987316093], 
     Hue[0.75, 1, 0.11353125132252313`], 
     Hue[0.9882234133994372, 1, 0.5227996058779265], 
     Hue[0.008114251145902328, 1, 0.40671610799562674`], 
     Hue[0.054345082124720175`, 1, 0.43235877046421817`], 
     Hue[0.03199526907013327, 1, 0.41492272333620167`], 
     Hue[0.24999919787452626`, 1, 0.11353125132394601`], 
     Hue[0.49999997809438423`, 0.8511528217316287, 1], 
     Hue[2.1905615763496*^-8, 0.8511528217316287, 1], 
     Hue[0.7499999255983852, 0.36115318077810654`, 1], 
     Hue[0.7685176579280077, 0.34239197642003916`, 1], 
     Hue[0.75, 1, 0.24850752133585316`], 
     Hue[0.6431888833680444, 1, 0.22908311828050432`], 
     Hue[0.1662354216784563, 1, 0.28444919556014364`], 
     Hue[0.6627583131620518, 1, 0.5493511784469822], 
     Hue[0.6406445027566872, 1, 0.4458618862987428], 
     Hue[0.06976427537704237, 1, 0.8131284278056493], 
     Hue[0.10505636433761587`, 1, 0.6807528389795113], 
     Hue[0.1392536583295308, 1, 0.6571551424524659], 
     Hue[0.5474241007095508, 1, 0.753989232568844], 
     Hue[0.5748803327333744, 1, 0.5924348195445136], 
     Hue[0.6113680182743058, 1, 0.5402783798350813], 
     Hue[0.1728789025175849, 1, 0.6206346656477593], 
     Hue[0.15648700550322112`, 1, 0.5141528755121632], 
     Hue[0.04742405958606907, 1, 0.753989517630036], 
     Hue[0.07488025890200019, 1, 0.592435174896105], 
     Hue[0.1113679053886619, 1, 0.5402787073033105], 
     Hue[0.3086941950558587, 1, 0.831418391771473], 
     Hue[0.31623518221301483`, 1, 0.7273832878876071], 
     Hue[0.35088245257600886`, 1, 0.7195458190428513], 
     Hue[0.5792557281355879, 1, 0.8493854646460117], 
     Hue[0.6166591765383053, 1, 0.7319702894514328], 
     Hue[0.6491176567652346, 1, 0.7195456186834668], 
     Hue[0.8508823432347653, 1, 0.7195456186834668], 
     Hue[0.5396610951537038, 1, 0.4197597051122635], 
     Hue[0.25, 1, 0.022735299865982845`], 
     Hue[0.4680047309298668, 1, 0.41492272333620167`], 
     Hue[0.03966104039088971, 1, 0.4197601711718874], 
     Hue[0.9680047757603085, 1, 0.4149231964618814], 
     Hue[0.25, 1, 0.2929539716420395], 
     Hue[0.36074634167046926`, 1, 0.6571551424524659], 
     Hue[0.8134233046339183, 1, 0.7624669486427815], 
     Hue[0.8230144155521333, 1, 0.6563705698269044], 
     Hue[0.75, 1, 0.5088266134886972], 
     Hue[0.25, 1, 0.5504194304287334], 
     Hue[0.5592034203118565, 1, 0.29967604790542357`], 
     Hue[0.556032828557694, 1, 0.22527546945406843`], 
     Hue[0.059203308824648374`, 1, 0.29967653673178607`], 
     Hue[0.05603268855292126, 1, 0.22527598087329825`], 
     Hue[0.5919296594538912, 1, 0.48985291869382347`], 
     Hue[0.11957534973522511`, 1, 0.5679462241812144], 
     Hue[0.6813765683116126, 1, 0.34324837448453516`], 
     Hue[0.8186234316883872, 1, 0.34324837448453516`], 
     Hue[0.7898506207951286, 1, 0.29019803959386287`], 
     Hue[0.053418032985938696`, 1, 0.7668318422627476], 
     Hue[0.07633819797070816, 1, 0.719940434464796], 
     Hue[0.7101493792048714, 1, 0.29019803959386287`], 
     Hue[0.750000191077068, 1, 0.48780991697561243`], 
     Hue[0.7918132550909569, 1, 0.5644042523253449], 
     Hue[0.7500001317596239, 1, 0.7295017497128491], 
     Hue[0.7850592220696266, 1, 0.6814604693916656], 
     Hue[0.5697642190636176, 1, 0.8131286696826182], 
     Hue[0.605056275831269, 1, 0.6807531182474946], 
     Hue[0.6195752354388246, 1, 0.5679465273625951], 
     Hue[0.5534179874161735, 1, 0.7668321174062702], 
     Hue[0.5763381330575598, 1, 0.7199407236801587], 
     Hue[0.33963973912698925`, 1, 0.967100441277187], 
     Hue[0.39640926460807213`, 0.8021388003330361, 1], 
     Hue[0.4076004868460693, 0.9277755688804037, 1], 
     Hue[0.45136521363835846`, 0.7506808069617363, 1], 
     Hue[0.45777492909757195`, 0.8500397743222954, 1], 
     Hue[0.500000027199788, 0.7321207049586804, 1], 
     Hue[0.500000023427651, 0.8232198908598263, 1], 
     Hue[0.5486348443262636, 0.750680848743305, 1], 
     Hue[0.5422251220227101, 0.8500398353748719, 1], 
     Hue[0.6035908042510345, 0.8021388726380532, 1], 
     Hue[0.5923995786719706, 0.9277756819505041, 1], 
     Hue[0.6707201321213303, 0.8661418959147078, 1], 
     Hue[0.6603603520786396, 1, 0.9671003294069984], 
     Hue[0.75, 0.8976682341275677, 1], 
     Hue[0.75, 1, 0.9109680563415173], 
     Hue[0.8396396479213605, 1, 0.9671003294069984], 
     Hue[0.8964091957489655, 0.802138872638053, 1], 
     Hue[0.9076004213280295, 0.9277756819505039, 1], 
     Hue[0.9513651556737365, 0.750680848743305, 1], 
     Hue[0.9577748779772899, 0.8500398353748717, 1], 
     Hue[0.999999972800212, 0.7321207049586804, 1], 
     Hue[0.999999976572349, 0.8232198908598263, 1], 
     Hue[0.04863478636164167, 0.7506808069617363, 1], 
     Hue[0.042225070902428115`, 0.8500397743222954, 1], 
     Hue[0.10359073539192795`, 0.8021388003330361, 1], 
     Hue[0.09239951315393077, 0.9277755688804037, 1], 
     Hue[0.17072004732463147`, 0.8661418312419205, 1], 
     Hue[0.16036026087301086`, 1, 0.9671004412771868], 
     Hue[0.35759260599763176`, 1, 0.7896659242534433], 
     Hue[0.4241329004660847, 1, 0.9533834148768616], 
     Hue[0.46646171847286605`, 0.9375333965169033, 1], 
     Hue[0.5000000184431266, 0.90166364071614, 1], 
     Hue[0.5758671577748964, 1, 0.9533832499102016], 
     Hue[0.8575925073896218, 1, 0.7896657369341894], 
     Hue[0.9241328422251037, 1, 0.9533832499102017], 
     Hue[0.9664616771487003, 0.9375334791069798, 1], 
     Hue[0.9999999815568735, 0.90166364071614, 1], 
     Hue[0.07586709953391535, 1, 0.9533834148768615], 
     Hue[0.14240739400236843`, 1, 0.7896659242534433], 
     Hue[0.3899938049147238, 1, 0.6192221524150591], 
     Hue[0.44745469735598625`, 1, 0.8557266516429867], 
     Hue[0.47755808859161236`, 1, 0.9957125149761256], 
     Hue[0.5000000122391, 0.9602599555951894, 1], 
     Hue[0.552545346455228, 1, 0.8557264317542452], 
     Hue[0.8899937056872755, 1, 0.6192218537595814], 
     Hue[0.947454653544772, 1, 0.8557264317542456], 
     Hue[0.9775580604800516, 1, 0.995712412593345], 
     Hue[0.9999999877609, 0.9602599555951894, 1], 
     Hue[0.05254530264401383, 1, 0.8557266516429866], 
     Hue[0.44747388225328033`, 1, 0.49394098541062037`], 
     Hue[0.477566780457034, 1, 0.7957792905683364], 
     Hue[0.49065657585446765`, 1, 0.9572006819138055], 
     Hue[0.5000000050676108, 0.9935259758972945, 1], 
     Hue[0.5224332394133419, 1, 0.7957790301318597], 
     Hue[0.9474738203141149, 1, 0.49394056176968104`], 
     Hue[0.9775667605866581, 1, 0.7957790301318601], 
     Hue[0.9906565640211941, 1, 0.9572005666101129], 
     Hue[0.9999999949323891, 0.9935259758972945, 1], 
     Hue[0.022433219542966103`, 1, 0.7957792905683362], 
     Hue[0.5271327502421959, 1, 0.47269251633466186`], 
     Hue[0.5113297410038371, 1, 0.7867078265069721], 
     Hue[0.5046995088680992, 1, 0.9515436835143951], 
     Hue[0.49999999745330703`, 0.9983773480480542, 1], 
     Hue[0.02713278402091447, 1, 0.4726920656810771], 
     Hue[0.011329751139071573`, 1, 0.7867075594092869], 
     Hue[0.004699514830170337, 1, 0.9515435662126929], 
     Hue[2.5466929446105963`*^-9, 0.9983773480480542, 1], 
     Hue[0.5941256953975143, 1, 0.5697194630343858], 
     Hue[0.5431827419427251, 1, 0.830758909949946], 
     Hue[0.5182585998983584, 1, 0.9794371960877574], 
     Hue[0.4999999900648029, 0.9743684620167354, 1], 
     Hue[0.09412578890489441, 1, 0.5697191208763888], 
     Hue[0.04318277882898228, 1, 0.8307586738755347], 
     Hue[0.018258622872926525`, 1, 0.9794370883865228], 
     Hue[9.935197073353254*^-9, 0.9743684620167354, 1], 
     Hue[0.6336912810407433, 1, 0.730743289987321], 
     Hue[0.5688957056181757, 1, 0.9176717048722578], 
     Hue[0.5301005494855182, 0.9625036250500534, 1], 
     Hue[0.4999999834958158, 0.9237159413430911, 1], 
     Hue[0.1336913814540735, 1, 0.7307430696117608], 
     Hue[0.06889576001775038, 1, 0.917671521260054], 
     Hue[0.030100586790383917`, 0.9625037146782089, 1], 
     Hue[1.650418415729992*^-8, 0.9237159413430911, 1], 
     Hue[0.6554665356952324, 1, 0.9085501054300835], 
     Hue[0.5875643206376295, 0.9687795639490526, 1], 
     Hue[0.539597243558924, 0.8809708284512838, 1], 
     Hue[0.49999997809438423`, 0.8511528217316287, 1], 
     Hue[0.460402708225213, 0.8809708965903451, 1], 
     Hue[0.4124356156928443, 0.9687796932989505, 1], 
     Hue[0.3445333706028358, 1, 0.9085499720489937], 
     Hue[0.24999999999999994`, 1, 0.8407255835269873], 
     Hue[0.15546662939716405`, 1, 0.9085499720489938], 
     Hue[0.08756438430715564, 0.9687796932989503, 1], 
     Hue[0.03959729177478698, 0.8809708965903449, 1], 
     Hue[2.1905615720144527`*^-8, 0.8511528217316287, 1], 
     Hue[0.9604027564410759, 0.8809708284512838, 1], 
     Hue[0.9124356793623704, 0.9687795639490528, 1], 
     Hue[0.8445334643047675, 1, 0.9085501054300834], 
     Hue[0.667850706953075, 0.9199402472820026, 1], 
     Hue[0.6003519495139213, 0.8440429042501723, 1], 
     Hue[0.5467290395892022, 0.7845647466953969, 1], 
     Hue[0.49999997393117407`, 0.7634129300548447, 1], 
     Hue[0.4532709044438436, 0.7845647944834147, 1], 
     Hue[0.39964798245650446`, 0.8440429887377303, 1], 
     Hue[0.3321492063263691, 0.9199403251615119, 1], 
     Hue[0.24999999999999994`, 0.9582158871039834, 1], 
     Hue[0.16785079367363084`, 0.9199403251615119, 1], 
     Hue[0.10035201754349547`, 0.8440429887377301, 1], 
     Hue[0.04672909555615635, 0.7845647944834147, 1], 
     Hue[2.6068825864230585`*^-8, 0.7634129300548447, 1], 
     Hue[0.9532709604107976, 0.7845647466953971, 1], 
     Hue[0.8996480504860787, 0.8440429042501723, 1], 
     Hue[0.8321492930469249, 0.9199402472820026, 1], 
     Hue[0.6751922301153346, 0.7648488308566934, 1], 
     Hue[0.6088691273210287, 0.7199280135669814, 1], 
     Hue[0.5518383722646427, 0.6821579190913394, 1], 
     Hue[0.4999999708795032, 0.6681786463088255, 1], 
     Hue[0.4481615664881147, 0.6821579503496871, 1], 
     Hue[0.3911308027128731, 0.7199280656099991, 1], 
     Hue[0.32480768830533313`, 0.7648488750820472, 1], 
     Hue[0.24999999999999994`, 0.7861255506107816, 1], 
     Hue[0.17519231169466679`, 0.7648488750820472, 1], 
     Hue[0.10886919728712685`, 0.7199280656099991, 1], 
     Hue[0.051838433511885156`, 0.6821579503496871, 1], 
     Hue[2.9120496793044184`*^-8, 0.6681786463088255, 1], 
     Hue[0.9481616277353571, 0.6821579190913394, 1], 
     Hue[0.8911308726789712, 0.7199280135669814, 1], 
     Hue[0.8248077698846654, 0.7648488308566934, 1], 
     Hue[0.6796837586507118, 0.6298721533379281, 1], 
     Hue[0.6144709569787768, 0.6041765351786978, 1], 
     Hue[0.5553823709917005, 0.5814022320114347, 1], 
     Hue[0.49999996872397484`, 0.5726980822162504, 1], 
     Hue[0.44461756424546717`, 0.581402251307318, 1], 
     Hue[0.38552897221696536`, 0.6041765658176637, 1], 
     Hue[0.3203161632604854, 0.6298721779033409, 1], 
     Hue[0.24999999999999997`, 0.6415258820096139, 1], 
     Hue[0.17968383673951455`, 0.6298721779033409, 1], 
     Hue[0.11447102778303453`, 0.6041765658176637, 1], 
     Hue[0.05538243575453277, 0.581402251307318, 1], 
     Hue[3.127602513081988*^-8, 0.5726980822162504, 1], 
     Hue[0.9446176290082993, 0.5814022320114347, 1], 
     Hue[0.885529043021223, 0.6041765351786978, 1], 
     Hue[0.820316241349288, 0.6298721533379281, 1], 
     Hue[0.6824915600119622, 0.5153006899468793, 1], 
     Hue[0.6181351873915035, 0.5009739060734448, 1], 
     Hue[0.5577880462817197, 0.487781689589734, 1], 
     Hue[0.4999999672409759, 0.4826151233514058, 1], 
     Hue[0.44221188664181865`, 0.4877817009664571, 1], 
     Hue[0.38186474144553545`, 0.5009739235066291, 1], 
     Hue[0.3175083642083498, 0.5153007033648955, 1], 
     Hue[0.24999999999999997`, 0.5216068946480688, 1], 
     Hue[0.18249163579165012`, 0.5153007033648955, 1], 
     Hue[0.11813525855446452`, 0.5009739235066291, 1], 
     Hue[0.05778811335818124, 0.4877817009664571, 1], 
     Hue[3.275902399638428*^-8, 0.4826151233514058, 1], 
     Hue[0.9422119537182801, 0.487781689589734, 1], 
     Hue[0.8818648126084964, 0.5009739060734448, 1], 
     Hue[0.8175084399880377, 0.5153006899468793, 1], 
     Hue[0.6842720718572985, 0.4196694807719954, 1], 
     Hue[0.6205263771656572, 0.41182865038802063`, 1], 
     Hue[0.5593979044798333, 0.40441190624682566`, 1], 
     Hue[0.49999996623905685`, 0.4014551404206679, 1], 
     Hue[0.4406020269295495, 0.40441191272515153`, 1], 
     Hue[0.3794735515186103, 0.4118286600636465, 1], 
     Hue[0.31572785387635555`, 0.41966948801240034`, 1], 
     Hue[0.24999999999999997`, 0.42305119299174887`, 1], 
     Hue[0.18427214612364443`, 0.41966948801240034`, 1], 
     Hue[0.12052644848138966`, 0.4118286600636465, 1], 
     Hue[0.05939797307045047, 0.40441191272515153`, 1], 
     Hue[3.376094303983223*^-8, 0.4014551404206679, 1], 
     Hue[0.9406020955201666, 0.40441190624682566`, 1], 
     Hue[0.8794736228343427, 0.41182865038802063`, 1], 
     Hue[0.8157279281427013, 0.4196694807719954, 1], 
     Hue[0.6854117756992932, 0.3407455284361114, 1], 
     Hue[0.6220852466455931, 0.33651019970977636`, 1], 
     Hue[0.5604651869099538, 0.33242904311546884`, 1], 
     Hue[0.4999999655704441, 0.3307815498203681, 1], 
     Hue[0.4395347435110298, 0.33242904671230744`, 1], 
     Hue[0.3779146819737433, 0.33651020498621365`, 1], 
     Hue[0.31458815102261306`, 0.34074553230984006`, 1], 
     Hue[0.24999999999999997`, 0.34254733489918165`, 1], 
     Hue[0.18541184897738683`, 0.34074553230984006`, 1], 
     Hue[0.12208531802625666`, 0.3365102049862134, 1], 
     Hue[0.060465256488970165`, 0.33242904671230744`, 1], 
     Hue[3.4429555826837066`*^-8, 0.3307815498203681, 1], 
     Hue[0.939534813090046, 0.33242904311546884`, 1], 
     Hue[0.8779147533544069, 0.33651019970977636`, 1], 
     Hue[0.3380240222044742, 1, 0.9887521540267868], 
     Hue[0.4043669218891544, 0.8965245505604189, 1], 
     Hue[0.45512294540017434`, 0.8136861040708432, 1], 
     Hue[0.500000025457213, 0.7787664269303489, 1], 
     Hue[0.5464753548371153, 0.7887607610240721, 1], 
     Hue[0.6012037047204281, 0.8335433941168218, 1], 
     Hue[0.8380239318992426, 1, 0.9887520493943152], 
     Hue[0.9043668552694547, 0.8965246522636106, 1], 
     Hue[0.9551228914052949, 0.8136861574787702, 1], 
     Hue[0.999999974542787, 0.7787664269303489, 1], 
     Hue[0.04647529913858694, 0.7887607124529714, 1], 
     Hue[0.10120363646173772`, 0.8335433128072467, 1], 
     Hue[0.35474417589946794`, 1, 0.8119675336269936], 
     Hue[0.41940911945411913`, 1, 0.9817300748009239], 
     Hue[0.4629198236428495, 0.9066897882747171, 1], 
     Hue[0.5000000210924921, 0.8645012458829913, 1], 
     Hue[0.5888322471710774, 0.9586222622187066, 1], 
     Hue[0.8547440781391076, 1, 0.8119673576230693], 
     Hue[0.9194090588624442, 1, 0.9817299235654499], 
     Hue[0.9629197782583259, 0.9066898627370459, 1], 
     Hue[0.9999999789075079, 0.8645012458829913, 1], 
     Hue[0.08883218299381912, 0.9586221370518653, 1], 
     Hue[0.15863014522776459`, 1, 0.9452698859363099], 
     Hue[0.38479798765239814`, 1, 0.6391132047469452], 
     Hue[0.440944588312125, 1, 0.8772517577728883], 
     Hue[0.47312598442356, 0.9822100407026348, 1], 
     Hue[0.5000000154846652, 0.9338362991801648, 1], 
     Hue[0.8847978874018885, 1, 0.6391129218620712], 
     Hue[0.940944540037381, 1, 0.8772515510916757], 
     Hue[0.9731259509545341, 0.9822101361891469, 1], 
     Hue[0.9999999845153348, 0.9338362991801648, 1], 
     Hue[0.07071251283733467, 1, 0.9263477317236376], 
     Hue[0.43866420987474364`, 1, 0.5051176003210966], 
     Hue[0.4695119160311762, 1, 0.8063770751147501], 
     Hue[0.4855641467553904, 1, 0.9679621620857106], 
     Hue[0.5000000087470915, 0.9803126309061414, 1], 
     Hue[0.9386641394987628, 1, 0.5051171900680169], 
     Hue[0.9695118893297132, 1, 0.8063768222769205], 
     Hue[0.9855641285309161, 1, 0.9679620505106994], 
     Hue[0.9999999912529085, 0.9803126309061414, 1], 
     Hue[0.5170760964022316, 1, 0.4682380003948725], 
     Hue[0.5028414576127169, 1, 0.7838446707264289], 
     Hue[0.49941141522682697`, 1, 0.9496788112227281], 
     Hue[0.5000000012749655, 0.999594080540698, 1], 
     Hue[0.017076117912580794`, 1, 0.4682375437996114], 
     Hue[0.0028414601626625554`, 1, 0.7838444014955745], 
     Hue[0.9994114144796865, 1, 0.9496786932565565], 
     Hue[0.9999999987250345, 0.999594080540698, 1], 
     Hue[0.587349761530654, 1, 0.552808688998687], 
     Hue[0.5356866247550054, 1, 0.8151593537179843], 
     Hue[0.5133196502739856, 1, 0.965176352394509], 
     Hue[0.49999999368938236`, 0.9899037205240018, 1], 
     Hue[0.08734985144915877, 1, 0.5528083303921812], 
     Hue[0.03568665572434211, 1, 0.8151591070315406], 
     Hue[0.01331966710305925, 1, 0.9651762398632462], 
     Hue[6.310617635249576*^-9, 0.9899037205240018, 1], 
     Hue[0.6299458934554871, 1, 0.7090089759793277], 
     Hue[0.5631435162576789, 1, 0.8927879028103227], 
     Hue[0.525915927822793, 0.9874440648026372, 1], 
     Hue[0.4999999866492592, 0.9521322493157405, 1], 
     Hue[0.12994599427566253`, 1, 0.709008742117008], 
     Hue[0.06314356717210444, 1, 0.8927877052552482], 
     Hue[0.025915960141923242`, 0.9874441618917147, 1], 
     Hue[1.335074077841822*^-8, 0.9521322493157405, 1], 
     Hue[0.6533830788064179, 1, 0.8863586343951239], 
     Hue[0.5835108234872447, 0.9987667074938831, 1], 
     Hue[0.5363229590927818, 0.9137736612277885, 1], 
     Hue[0.49999998063883055`, 0.8897895345835007, 1], 
     Hue[0.15338317346411406`, 1, 0.8863584920605481], 
     Hue[0.08351088542571947, 0.9987668497983608, 1], 
     Hue[0.03632300361653065, 0.9137737375032082, 1], 
     Hue[1.9361169451482985`*^-8, 0.8897895345835007, 1], 
     Hue[0.6666403865897113, 0.9406099578202807, 1], 
     Hue[0.5976164164315536, 0.8755591225051971, 1], 
     Hue[0.5443146792088811, 0.821883991710276, 1], 
     Hue[0.49999997586261985`, 0.8087063160615329, 1], 
     Hue[0.4574645900697479, 0.8460739215176745, 1], 
     Hue[0.408751124300132, 0.9381124747940193, 1], 
     Hue[0.34259131512464824`, 1, 0.9306277530446398], 
     Hue[0.24999999999999994`, 1, 0.8407255835269873], 
     Hue[0.16664047408810564`, 0.9406100412549283, 1], 
     Hue[0.09761648367265756, 0.8755592170583071, 1], 
     Hue[0.04431473259908066, 0.8218840467797683, 1], 
     Hue[2.4137380099690787`*^-8, 0.8087063160615329, 1], 
     Hue[0.9574646415293582, 0.846073861334256, 1], 
     Hue[0.9087511893999387, 0.9381123577699106, 1], 
     Hue[0.8425914078778317, 1, 0.9306278779672779], 
     Hue[0.6744624828322163, 0.7831696418735232, 1], 
     Hue[0.607059481680687, 0.7504084877071511, 1], 
     Hue[0.55013070869502, 0.7207371878779969, 1], 
     Hue[0.49999997227892856`, 0.7162531869861473, 1], 
     Hue[0.4511419488800986, 0.7464147334049587, 1], 
     Hue[0.3971777567979149, 0.8125859887988331, 1], 
     Hue[0.3310151067569451, 0.899534858136583, 1], 
     Hue[0.24999999999999994`, 0.9582158871039834, 1], 
     Hue[0.17446256495440707`, 0.7831696894031508, 1], 
     Hue[0.10705955130171092`, 0.7504085467301163, 1], 
     Hue[0.050130768204486725`, 0.7207372248035198, 1], 
     Hue[2.772107135018129*^-8, 0.7162531869861473, 1], 
     Hue[0.9511420070765403, 0.7464146923405737, 1], 
     Hue[0.8971778254704467, 0.8125859135801392, 1], 
     Hue[0.8310151927304383, 0.8995347854738331, 1], 
     Hue[0.6792320420598313, 0.6456122703979306, 1], 
     Hue[0.6132842792594506, 0.6320482830456571, 1], 
     Hue[0.5542081124289098, 0.6185910693023353, 1], 
     Hue[0.4999999697041568, 0.6200690446437567, 1], 
     Hue[0.44667360265616096`, 0.6438337585115084, 1], 
     Hue[0.38950143126389686`, 0.6899878862259026, 1], 
     Hue[0.3241212547731021, 0.7468465230572183, 1], 
     Hue[0.24999999999999994`, 0.7861255506107816, 1], 
     Hue[0.17923212051111853`, 0.6456122968637983, 1], 
     Hue[0.11328434991531913`, 0.632048318149907, 1], 
     Hue[0.05420817604078551, 0.6185910925640248, 1], 
     Hue[3.0295843155087565`*^-8, 0.6200690446437567, 1], 
     Hue[0.9466736653946375, 0.6438337322652186, 1], 
     Hue[0.8895015015097444, 0.6899878404665807, 1], 
     Hue[0.8241213358355342, 0.7468464819206149, 1], 
     Hue[0.6822069719126866, 0.5285458250195516, 1], 
     Hue[0.6173599612598857, 0.5254789637938837, 1], 
     Hue[0.5569955385129362, 0.5218063576980192, 1], 
     Hue[0.49999996791136614`, 0.5267110399203996, 1], 
     Hue[0.44360246946545606`, 0.5452414463324877, 1], 
     Hue[0.384461859470959, 0.5771022170729789, 1], 
     Hue[0.3198901437538838, 0.6144530364000738, 1], 
     Hue[0.24999999999999997`, 0.6415258820096139, 1], 
     Hue[0.18220704793076264`, 0.5285458395020741, 1], 
     Hue[0.11736003235951828`, 0.525478983919798, 1], 
     Hue[0.05699560483388075, 0.5218063716320707, 1], 
     Hue[3.208863377128861*^-8, 0.5267110399203996, 1], 
     Hue[0.9436025352118834, 0.5452414304291988, 1], 
     Hue[0.8844619303952104, 0.5771021903879916, 1], 
     Hue[0.8198902214985169, 0.6144530136046051, 1], 
     Hue[0.6840906831451696, 0.4306603331489174, 1], 
     Hue[0.620020760043597, 0.43278814928923093`, 1], 
     Hue[0.5588695727733928, 0.43436595941534906`, 1], 
     Hue[0.49999996669014646`, 0.4407813202822153, 1], 
     Hue[0.44153036922606426`, 0.4552187722049599, 1], 
     Hue[0.38116800117674593`, 0.47735582819347067`, 1], 
     Hue[0.31723950020721015`, 0.5023524246635909, 1], 
     Hue[0.24999999999999997`, 0.5216068946480688, 1], 
     Hue[0.18409075756740004`, 0.43066034097392203`, 1], 
     Hue[0.12002083133239003`, 0.4327881605205024, 1], 
     Hue[0.05886964087015091, 0.43436596744434275`, 1], 
     Hue[3.330985349282546*^-8, 0.4407813202822153, 1], 
     Hue[0.9415304369469146, 0.45521876296138175`, 1], 
     Hue[0.8811680723908614, 0.47735581311605135`, 1], 
     Hue[0.8172395757607908, 0.5023524122341871, 1], 
     Hue[0.6852952818263831, 0.34978051951129796`, 1], 
     Hue[0.6217557004773665, 0.35409803211898283`, 1], 
     Hue[0.5601157895403175, 0.35807962916863323`, 1], 
     Hue[0.4999999658706519, 0.36477304637509644`, 1], 
     Hue[0.44014923927742045`, 0.3760726234933578, 1], 
     Hue[0.3790192290880247, 0.39173782995469764`, 1], 
     Hue[0.3155562925718427, 0.408939889849274, 1], 
     Hue[0.24999999999999997`, 0.42305119299174887`, 1], 
     Hue[0.18529535520618304`, 0.3497805237015732, 1], 
     Hue[0.12175577184658612`, 0.3540980382672074, 1], 
     Hue[0.06011585879712999, 0.3580796336644767, 1], 
     Hue[3.412934802673571*^-8, 0.36477304637509644`, 1], 
     Hue[0.9401493082888762, 0.37607261828466965`, 1], 
     Hue[0.8790193004255078, 0.3917378216283296, 1], 
     Hue[0.3955908232093364, 1, 0.5999949377587729], 
     Hue[0.5613358605012373, 1, 0.5051171900680166], 
     Hue[0.8955907255568883, 1, 0.5999946229700204], 
     Hue[0.06133579012525655, 1, 0.5051176003210963], 
     Hue[0.33029879295336917`, 0.8860834640018151, 1], 
     Hue[0.6697012925392035, 0.8860835333660573, 1], 
     Hue[0.6619760681007574, 1, 0.9887520493943152], 
     Hue[0.75, 0.8976682341275677, 1], 
     Hue[0.8302987074607966, 0.8860835333660568, 1], 
     Hue[0.75, 1, 0.9109680563415176], 
     Hue[0.16970120704663094`, 0.8860834640018154, 1], 
     Hue[0.16197597779552592`, 1, 0.9887521540267868], 
     Hue[0.4111678170061809, 0.9586221370518648, 1], 
     Hue[0.4292874871626654, 1, 0.9263477317236378], 
     Hue[0.5000000210924921, 0.8645012458829913, 1], 
     Hue[0.5392502975474249, 0.8847279433080122, 1], 
     Hue[0.5370802217416741, 0.9066898627370459, 1], 
     Hue[0.6586302373558481, 1, 0.9452697663875885], 
     Hue[0.6452559218608926, 1, 0.8119673576230695], 
     Hue[0.75, 1, 0.9109680563415173], 
     Hue[0.8413697626441521, 1, 0.9452697663875889], 
     Hue[0.7500000000000001, 1, 0.6909240800765775], 
     Hue[0.9111677528289225, 0.9586222622187064, 1], 
     Hue[0.9292874317205365, 1, 0.9263475527852857], 
     Hue[0.9999999789075079, 0.8645012458829913, 1], 
     Hue[0.039250249719077285`, 0.8847278742701625, 1], 
     Hue[0.03708017635715059, 0.9066897882747171, 1], 
     Hue[0.45440618401385335`, 1, 0.8365722627239597], 
     Hue[0.47034808450184407`, 0.9654465366586213, 1], 
     Hue[0.5000000154846652, 0.9338362991801648, 1], 
     Hue[0.5296519522731946, 0.9654466271443045, 1], 
     Hue[0.526874049045466, 0.9822101361891471, 1], 
     Hue[0.6152021125981117, 1, 0.639112921862071], 
     Hue[0.7500000000000001, 1, 0.4453586907314517], 
     Hue[0.9544061452915324, 1, 0.8365720305042633], 
     Hue[0.9703480477268053, 0.9654466271443043, 1], 
     Hue[0.9999999845153348, 0.9338362991801643, 1], 
     Hue[0.029651915498155986`, 0.9654465366586216, 1], 
     Hue[0.02687401557644008, 0.9822100407026348, 1], 
     Hue[0.4567015142700598, 1, 0.4844484005472336], 
     Hue[0.4858646855697347, 1, 0.7884191750029264], 
     Hue[0.4822788770546942, 1, 0.9776363584475706], 
     Hue[0.5000000087470915, 0.9803126309061414, 1], 
     Hue[0.5177211452549642, 1, 0.9776362501452738], 
     Hue[0.5144358714690839, 1, 0.9679620505106991], 
     Hue[0.7500000000000002, 1, 0.31504491178386085`], 
     Hue[0.9567014619792611, 1, 0.48444796510160476`], 
     Hue[0.985864672948517, 1, 0.7884189091731706], 
     Hue[0.9822788547450358, 1, 0.9776362501452742], 
     Hue[0.9999999912529085, 0.9803126309061414, 1], 
     Hue[0.01772112294530586, 1, 0.9776363584475705], 
     Hue[0.014435853244609685`, 1, 0.9679621620857105], 
     Hue[0.4958860231113611, 1, 0.951100049623745], 
     Hue[0.5000000012749655, 0.999594080540698, 1], 
     Hue[0.504113982108579, 1, 0.9510999321642345], 
     Hue[0.5005885855203135, 1, 0.9496786932565564], 
     Hue[0.514135327051483, 1, 0.78841890917317], 
     Hue[0.4971585398373375, 1, 0.7838444014955741], 
     Hue[0.48030967210699516`, 1, 0.7929588835335641], 
     Hue[0.46431334427565796`, 1, 0.8151591070315403], 
     Hue[0.7500000000000014, 1, 0.045463079739679925`], 
     Hue[0.9958860178914208, 1, 0.9510999321642346], 
     Hue[0.9999999987250345, 0.999594080540698, 1], 
     Hue[0.004113976888638902, 1, 0.9511000496237448], 
     Hue[0.0005885847731731369, 1, 0.9496788112227279], 
     Hue[0.014135314430265304`, 1, 0.7884191750029261], 
     Hue[0.9971585423872831, 1, 0.7838446707264286], 
     Hue[0.9803096896011887, 1, 0.7929591460251675], 
     Hue[0.9643133752449946, 1, 0.815159353717984], 
     Hue[0.5196903103988112, 1, 0.7929591460251677], 
     Hue[0.5099173381752288, 1, 0.9581690098275223], 
     Hue[0.49999999368938236`, 0.9899037205240018, 1], 
     Hue[0.49008264926830325`, 1, 0.9581688948631952], 
     Hue[0.4866803328969408, 1, 0.965176239863246], 
     Hue[0.449723764661757, 1, 0.8490653718926402], 
     Hue[0.43685643282789555`, 1, 0.8927877052552478], 
     Hue[0.24999999999999972`, 1, 0.22616545088286638`], 
     Hue[0.39955676998097595`, 1, 0.5875978728709443], 
     Hue[0.01969032789300481, 1, 0.7929588835335646], 
     Hue[0.009917350731696722, 1, 0.9581688948631955], 
     Hue[6.3106176352495606`*^-9, 0.9899037205240018, 1], 
     Hue[0.9900826618247711, 1, 0.9581690098275221], 
     Hue[0.9866803497260144, 1, 0.9651763523945087], 
     Hue[0.9497238068467436, 1, 0.8490655960062459], 
     Hue[0.9368564837423211, 1, 0.8927879028103224], 
     Hue[0.8995568662245133, 1, 0.5875981985615215], 
     Hue[0.8700541065445127, 1, 0.7090089759793272], 
     Hue[0.5229493425749412, 1, 0.997974199032018], 
     Hue[0.4999999866492592, 0.9521322493157407, 1], 
     Hue[0.47705062869538756`, 1, 0.9979740973723368], 
     Hue[0.47408403985807673`, 0.9874441618917149, 1], 
     Hue[0.4258022613415371, 1, 0.9442131764171885], 
     Hue[0.4164891145742805, 0.9987668497983613, 1], 
     Hue[0.022949371304612363`, 1, 0.9979740973723368], 
     Hue[1.3350740778418208`*^-8, 0.9521322493157407, 1], 
     Hue[0.9770506574250587, 1, 0.9979741990320179], 
     Hue[0.974084072177207, 0.9874440648026375, 1], 
     Hue[0.9258023187022515, 1, 0.9442133460243032], 
     Hue[0.9164891765127552, 0.9987667074938833, 1], 
     Hue[0.5339489096088341, 0.9342426902709755, 1], 
     Hue[0.49999998063883055`, 0.889789534583501, 1], 
     Hue[0.4660510485919149, 0.9342427719646433, 1], 
     Hue[0.4636769963834693, 0.9137737375032084, 1], 
     Hue[0.362834908486703, 1, 0.7527071449301413], 
     Hue[0.3466168265358859, 1, 0.8863584920605476], 
     Hue[0.2499999999999999, 1, 0.6116401864956162], 
     Hue[0.13716509151329678`, 1, 0.7527071449301413], 
     Hue[0.24999999999999994`, 1, 0.8407255835269871], 
     Hue[0.0339489514080851, 0.9342427719646433, 1], 
     Hue[1.936116945148298*^-8, 0.889789534583501, 1], 
     Hue[0.9660510903911659, 0.9342426902709753, 1], 
     Hue[0.963677040907218, 0.9137736612277887, 1], 
     Hue[0.6844436333096056, 0.4089398831506794, 1], 
     Hue[0.8155563666903942, 0.4089398831506792, 1], 
     Hue[0.8147047181736169, 0.3497805195112982, 1], 
     Hue[0.8145882243007067, 0.34074552843611117`, 1], 
     Hue[0.32927995267536864`, 0.8661418312419205, 1], 
     Hue[0.8292798678786699, 0.8661418959147078, 1], 
     Hue[0.5000000210924921, 0.8645012458829913, 1], 
     Hue[0.5381842286304328, 0.8958371401991756, 1], 
     Hue[0.75, 1, 0.8044193765000686], 
     Hue[0.9999999789075079, 0.8645012458829913, 1], 
     Hue[0.038184181998303174`, 0.8958370684541577, 1], 
     Hue[0.4717187321126168, 0.9740231720118298, 1], 
     Hue[0.5000000154846652, 0.9338362991801648, 1], 
     Hue[0.5282813030365481, 0.974023265031184, 1], 
     Hue[0.7500000000000001, 1, 0.5709861218532947], 
     Hue[0.9717186969634518, 0.974023265031184, 1], 
     Hue[0.9999999845153348, 0.9338362991801648, 1], 
     Hue[0.028281267887383308`, 0.9740231720118298, 1], 
     Hue[0.48390901928318625`, 1, 0.9725548516056021], 
     Hue[0.5000000087470915, 0.9803126309061414, 1], 
     Hue[0.5160910010037338, 1, 0.9725547415935153], 
     Hue[0.7500000000000003, 1, 0.18127570760772116`], 
     Hue[0.983908998996266, 1, 0.9725547415935156], 
     Hue[0.9999999912529085, 0.9803126309061414, 1], 
     Hue[0.01609098071681383, 1, 0.9725548516056018], 
     Hue[0.4976467455109011, 1, 0.9501232155983003], 
     Hue[0.5000000012749655, 0.999594080540698, 1], 
     Hue[0.5023532574758756, 1, 0.9501230977907363], 
     Hue[0.4886702488609284, 1, 0.7867075594092865], 
     Hue[0.9976467425241244, 1, 0.9501230977907366], 
     Hue[0.9999999987250345, 0.999594080540698, 1], 
     Hue[0.002353254489098936, 1, 0.9501232155983], 
     Hue[0.9886702589961629, 1, 0.7867078265069718], 
     Hue[0.5278349158318039, 1, 0.8024943070164934], 
     Hue[0.511627873931617, 1, 0.9614175238484272], 
     Hue[0.49999999368938236`, 0.9899037205240018, 1], 
     Hue[0.4883721113604746, 1, 0.9614174100169968], 
     Hue[0.4568172211710177, 1, 0.8307586738755344], 
     Hue[0.40587421109510546`, 1, 0.5697191208763883], 
     Hue[0.02783494031001209, 1, 0.8024940514172795], 
     Hue[0.011627888639525448`, 1, 0.9614174100169969], 
     Hue[6.310617635249569*^-9, 0.9899037205240018, 1], 
     Hue[0.9883721260683829, 1, 0.9614175238484272], 
     Hue[0.9568172580572749, 1, 0.8307589099499456], 
     Hue[0.9058743046024857, 1, 0.5697194630343854], 
     Hue[0.5244496232627827, 0.9949488241717641, 1], 
     Hue[0.4999999866492592, 0.9521322493157405, 1], 
     Hue[0.4755503461869577, 0.9949489235935443, 1], 
     Hue[0.4311042399822496, 1, 0.9176715212600538], 
     Hue[0.24999999999999986`, 1, 0.48780991697533876`], 
     Hue[0.02444965381304226, 0.9949489235935438, 1], 
     Hue[1.3350740778418214`*^-8, 0.9521322493157405, 1], 
     Hue[0.9755503767372172, 0.9949488241717641, 1], 
     Hue[0.9311042943818242, 1, 0.9176717048722577], 
     Hue[0.5351551536553053, 0.9241597527126322, 1], 
     Hue[0.49999998063883055`, 0.8897895345835007, 1], 
     Hue[0.4648448031563365, 0.924159831703643, 1], 
     Hue[0.24999999999999994`, 1, 0.7295017497127089], 
     Hue[0.03515519684366346, 0.9241598317036428, 1], 
     Hue[1.9361169451482982`*^-8, 0.8897895345835007, 1], 
     Hue[0.9648448463446946, 0.9241597527126324, 1], 
     Hue[0.5335383228512998, 0.93753347910698, 1], 
     Hue[0.03353828152713403, 0.9375333965169033, 1], 
     Hue[0.5224419395199484, 1, 0.9957124125933449], 
     Hue[0.6100062943127245, 1, 0.6192218537595809], 
     Hue[0.02244191140838769, 1, 0.9957125149761255], 
     Hue[0.5093434359788058, 1, 0.9572005666101128], 
     Hue[0.009343424145532369, 1, 0.9572006819138054], 
     Hue[0.49530048516982966`, 1, 0.9515435662126925], 
     Hue[0.9953004911319008, 1, 0.951543683514395], 
     Hue[0.48174137712707343`, 1, 0.9794370883865224], 
     Hue[0.24999999999999983`, 1, 0.35893201319939744`], 
     Hue[0.9817414001016416, 1, 0.9794371960877573], 
     Hue[0.4698994132096161, 0.9625037146782092, 1], 
     Hue[0.9698994505144818, 0.9625036250500534, 1], 
     Hue[0.24999999999999925`, 1, 0.09086852325371916], 
     Hue[0.24999999999999972`, 1, 0.2261654508828662], 
     Hue[0.7500000000000003, 1, 0.18127570760772094`], 
     Hue[0.7500000000000014, 1, 0.045463079739680126`], 
     Hue[0.24999999999999983`, 1, 0.35893201319939766`], 
     Hue[0.24999999999999986`, 1, 0.48780991697533854`], 
     Hue[0.4607497502809228, 0.8847278742701623, 1], 
     Hue[0.9607497024525751, 0.8847279433080117, 1], 
     Hue[0.7500000000000001, 1, 0.44535869073145157`], 
     Hue[0.7500000000000002, 1, 0.3150449117838611], 
     Hue[0.24999999999999958`, 1, 0.15874215646973194`], 
     Hue[0.24999999999999986`, 1, 0.42393472869082144`], 
     Hue[0.49999997586261985`, 0.8087063160615331, 1], 
     Hue[2.4137380099690783`*^-8, 0.8087063160615331, 1], 
     Hue[0.5525261796858851, 1, 0.4939405617696804], 
     Hue[0.05252611774671976, 1, 0.49394098541062004`], 
     Hue[0.5641731817623072, 1, 0.5091948122394658], 
     Hue[0.06417325467683187, 1, 0.5091944067390404], 
     Hue[0.07237514378769941, 1, 0.522409948613042], 
     Hue[0.2499999999999999, 1, 0.6116401864956161], 
     Hue[0.435826745323168, 1, 0.5091944067390397], 
     Hue[0.4126501485508412, 1, 0.5528083303921807], 
     Hue[0.42762485621230045`, 1, 0.5224099486130418], 
     Hue[0.9358268182376925, 1, 0.5091948122394655], 
     Hue[0.9126502384693459, 1, 0.5528086889986865], 
     Hue[0.9276249359327131, 1, 0.5224103391658481], 
     Hue[0.37136680829983093`, 1, 0.7018262804438831], 
     Hue[0.6424074926103784, 1, 0.7896657369341891], 
     Hue[0.8713667073898769, 1, 0.7018260419553212], 
     Hue[0.7500000000000001, 1, 0.6909240800765774], 
     Hue[0.7500000000000003, 1, 0.18127570760772133`], 
     Hue[0.5136829733619916, 1, 0.4672025368194062], 
     Hue[0.24999999999999925`, 1, 0.09086852325371877], 
     Hue[0.7500000000000014, 1, 0.04546307973967971], 
     Hue[0.4829238820874193, 1, 0.4682375437996107], 
     Hue[0.5034300112265061, 1, 0.4654716123323832], 
     Hue[0.46306143560615165`, 1, 0.47911577279168155`], 
     Hue[0.4444887721797471, 1, 0.4974854040963961], 
     Hue[0.24999999999999925`, 1, 0.09086852325371898], 
     Hue[0.013682956078368898`, 1, 0.4672029948098061], 
     Hue[0.9829239035977684, 1, 0.46823800039487207`], 
     Hue[0.0034300068738188686`, 1, 0.46547207266846247`], 
     Hue[0.9630614808299347, 1, 0.4791162150521619], 
     Hue[0.9444888370679327, 1, 0.49748582343281317`], 
     Hue[0.24999999999999983`, 1, 0.35893201319939727`], 
     Hue[0.24999999999999972`, 1, 0.2261654508828666], 
     Hue[0.38315076920604363`, 1, 0.6458736438196309], 
     Hue[0.3663086185459264, 1, 0.7307430696117606], 
     Hue[0.8831508696918453, 1, 0.6458739215436589], 
     Hue[0.7500000000000001, 1, 0.4453586907314519], 
     Hue[0.7500000000000001, 1, 0.5709861218532946], 
     Hue[0.2499999999999999, 1, 0.611640186495616], 
     Hue[0.24999999999999986`, 1, 0.48780991697533893`], 
     Hue[0.7500000000000001, 1, 0.6909240800765771], 
     Hue[0.7500000000000001, 1, 0.5709861218532949], 
     Hue[0.7500000000000001, 1, 0.6317193111679623], 
     Hue[0.7500000000000002, 1, 0.38071557226749836`], 
     Hue[0.48631704392163116`, 1, 0.46720299480980654`], 
     Hue[0.49656999312618105`, 1, 0.4654720726684629], 
     Hue[0.5369385191700651, 1, 0.4791162150521623], 
     Hue[0.5555111629320673, 1, 0.4974858234328138], 
     Hue[0.7500000000000006, 1, 0.11353125132252313`], 
     Hue[0.9863170266380085, 1, 0.46720253681940693`], 
     Hue[0.9965699887734938, 1, 0.4654716123323838], 
     Hue[0.03693856439384816, 1, 0.47911577279168216`], 
     Hue[0.05551122782025289, 1, 0.49748540409639685`], 
     Hue[0.7500000000000002, 1, 0.24850752133585316`], 
     Hue[0.0502762353382429, 1, 0.8490653718926404], 
     Hue[0.11684923079395625`, 1, 0.6458736438196313], 
     Hue[0.12154910101497182`, 1, 0.6664981295442386], 
     Hue[0.5455938547084676, 1, 0.8365720305042629], 
     Hue[0.5304881106702868, 1, 0.8063768222769202], 
     Hue[0.5849867287763649, 1, 0.5474084150317007], 
     Hue[0.6044092744431118, 1, 0.5999946229700196], 
     Hue[0.591918852435249, 1, 0.5639683502136988], 
     Hue[0.13934032316739392`, 1, 0.7674480357527089], 
     Hue[0.115202012347602, 1, 0.6391132047469451], 
     Hue[0.11000619508527633`, 1, 0.6192221524150588], 
     Hue[0.04559381598614673, 1, 0.8365722627239592], 
     Hue[0.03048808396882392, 1, 0.80637707511475], 
     Hue[0.0849866402641966, 1, 0.547408779081314], 
     Hue[0.10440917679066367`, 1, 0.5999949377587724], 
     Hue[0.0919187600235347, 1, 0.5639686978663864], 
     Hue[0.3413698547722355, 1, 0.9452698859363102], 
     Hue[0.3606596768326062, 1, 0.7674480357527091], 
     Hue[0.3675259328644389, 1, 0.7234697718397486], 
     Hue[0.5707125682794635, 1, 0.9263475527852852], 
     Hue[0.5590554599626191, 1, 0.8772515510916754], 
     Hue[0.6286332926101232, 1, 0.701826041955321], 
     Hue[0.6393404225468459, 1, 0.7674478365327149], 
     Hue[0.6324741677055592, 1, 0.723469547034266], 
     Hue[0.8606595774531542, 1, 0.7674478365327154], 
     Hue[0.867525832294441, 1, 0.723469547034266], 
     Hue[0.5432985380207389, 1, 0.484447965101604], 
     Hue[0.5238042743256781, 1, 0.470984569668149], 
     Hue[0.24999999999999703`, 1, 0.022735299865982845`], 
     Hue[0.4728672159790855, 1, 0.47269206568107647`], 
     Hue[0.04329848572994025, 1, 0.48444840054723315`], 
     Hue[0.023804244557305027`, 1, 0.47098502258732916`], 
     Hue[0.9728672497578041, 1, 0.47269251633466147`], 
     Hue[0.2499999999999998, 1, 0.2929539716420395], 
     Hue[0.3700540057243374, 1, 0.7090087421170075], 
     Hue[0.378450898985028, 1, 0.6664981295442386], 
     Hue[0.8628350083238895, 1, 0.7527073524134397], 
     Hue[0.846616921193582, 1, 0.8863586343951236], 
     Hue[0.8663087189592564, 1, 0.7307432899873209], 
     Hue[0.7500000000000001, 1, 0.5088266134886972], 
     Hue[0.2499999999999999, 1, 0.5504194304287334], 
     Hue[0.5723750640672867, 1, 0.5224103391658484], 
     Hue[0.10044323001902392`, 1, 0.5875978728709446], 
     Hue[0.11178161908315848`, 1, 0.6257835934660642], 
     Hue[0.7500000000000002, 1, 0.3150449117838606], 
     Hue[0.7500000000000002, 1, 0.24850752133585338`], 
     Hue[0.5502761931532563, 1, 0.8490655960062459], 
     Hue[0.6168491303081547, 1, 0.6458739215436591], 
     Hue[0.6004431337754865, 1, 0.5875981985615216], 
     Hue[0.6117815194583309, 1, 0.6257838868195262], 
     Hue[0.34907846965409767`, 0.9977519025357049, 1], 
     Hue[0.25000010645616627`, 1, 0.9364831117821596], 
     Hue[0.42180485126367956`, 0.8867303864167959, 1], 
     Hue[0.47581433791266986`, 0.8207893571704838, 1], 
     Hue[0.5241857113547906, 0.8207893908239552, 1], 
     Hue[0.578195209690225, 0.8867304822684208, 1], 
     Hue[0.6509216169021785, 0.9977520134392264, 1], 
     Hue[0.75, 1, 0.9364831117820818], 
     Hue[0.8490783830978215, 0.9977520134392264, 1], 
     Hue[0.9218047903097749, 0.8867304822684208, 1], 
     Hue[0.9758142886452094, 0.8207893908239552, 1], 
     Hue[0.024185662087330195`, 0.8207893571704838, 1], 
     Hue[0.07819514873632044, 0.8867303864167959, 1], 
     Hue[0.15092153034590233`, 0.9977519025357049, 1], 
     Hue[0.3638020536922779, 1, 0.8554323902266388], 
     Hue[0.2500001287930428, 1, 0.7485142536633429], 
     Hue[0.4337256693640976, 0.9828170144853416, 1], 
     Hue[0.47996017739224445`, 0.8945907094795462, 1], 
     Hue[0.5662743848404297, 0.9828171463928199, 1], 
     Hue[0.6361980367652204, 1, 0.8554322181658409], 
     Hue[0.8638019632347795, 1, 0.8554322181658409], 
     Hue[0.9337256151595702, 0.9828171463928199, 1], 
     Hue[0.9799601363715713, 0.8945907533139459, 1], 
     Hue[0.06627433063590239, 0.9828170144853416, 1], 
     Hue[0.13619794630772208`, 1, 0.8554323902266388], 
     Hue[0.2499998712069572, 1, 0.7485142536633429], 
     Hue[0.25000017355147625`, 1, 0.5400776550282246], 
     Hue[0.4495259544176218, 1, 0.9350732372530457], 
     Hue[0.5504740889990961, 1, 0.9350730672915579], 
     Hue[0.9495259110009039, 1, 0.9350730672915579], 
     Hue[0.050474045582378266`, 1, 0.9350732372530457], 
     Hue[0.11255080934979578`, 1, 0.7123749692274018], 
     Hue[0.24999982644852375`, 1, 0.5400776550282246], 
     Hue[0.4251197410979998, 1, 0.5924351748961051], 
     Hue[0.469300985952094, 1, 0.8757223648874913], 
     Hue[0.4911123299983857, 0.995481238533825, 1], 
     Hue[0.5088876883498211, 0.9954812996419609, 1], 
     Hue[0.530699041616072, 1, 0.8757221624946953], 
     Hue[0.5748803327333745, 1, 0.5924348195445137], 
     Hue[0.9251196672666255, 1, 0.5924348195445137], 
     Hue[0.9693009583839279, 1, 0.8757221624946953], 
     Hue[0.9911123116501789, 0.9954812996419609, 1], 
     Hue[0.008887670001614306, 0.995481238533825, 1], 
     Hue[0.030699014047906016`, 1, 0.8757223648874913], 
     Hue[0.07488025890200024, 1, 0.5924351748961051], 
     Hue[0.24999970835786825`, 1, 0.31504491178433824`], 
     Hue[0.4794857272957116, 1, 0.5260248812646314], 
     Hue[0.49208424717983146`, 1, 0.8468471470834742], 
     Hue[0.4977327307614744, 1, 0.9851436835742047], 
     Hue[0.5022672739283145, 1, 0.9851436186467314], 
     Hue[0.5079157600960451, 1, 0.8468469272026012], 
     Hue[0.5205142959961395, 1, 0.5260244538303139], 
     Hue[0.9794857040038604, 1, 0.5260244538303139], 
     Hue[0.9920842399039548, 1, 0.8468469272026012], 
     Hue[0.9977327260716855, 1, 0.9851436186467314], 
     Hue[0.002267269238525603, 1, 0.9851436835742047], 
     Hue[0.007915752820168582, 1, 0.8468471470834742], 
     Hue[0.020514272704288405`, 1, 0.5260248812646314], 
     Hue[0.5402186888634224, 1, 0.5401101675851949], 
     Hue[0.5157316714967712, 1, 0.8527250734893461], 
     Hue[0.50451604089865, 1, 0.9890527073501463], 
     Hue[0.49548394976378396`, 1, 0.9890526432073232], 
     Hue[0.484268314113523, 1, 0.8527248572656538], 
     Hue[0.4597812669034274, 1, 0.5401097567590135], 
     Hue[0.25, 1, 0.15874215646973164`], 
     Hue[0.040218733096572624`, 1, 0.5401097567590135], 
     Hue[0.015731685886476984`, 1, 0.8527248572656538], 
     Hue[0.004516050236216084, 1, 0.9890526432073232], 
     Hue[0.99548395910135, 1, 0.9890527073501463], 
     Hue[0.9842683285032288, 1, 0.8527250734893461], 
     Hue[0.9597813111365776, 1, 0.5401101675851949], 
     Hue[0.7500005744014228, 1, 0.15874215647073897`], 
     Hue[0.5893132124498721, 1, 0.6281638450479686], 
     Hue[0.7499997640361086, 1, 0.3915651140711363], 
     Hue[0.749999845431899, 1, 0.6116401864958093], 
     Hue[0.5376991858762681, 1, 0.8924540747294464], 
     Hue[0.5561948563006989, 1, 0.9603466314240117], 
     Hue[0.5109787974937775, 0.9840588274834603, 1], 
     Hue[0.4890211798657685, 0.9840588864203368, 1], 
     Hue[0.4623007806985859, 1, 0.8924538819397073], 
     Hue[0.4438050961557698, 1, 0.9603464739645834], 
     Hue[0.41068670522340456`, 1, 0.6281635227929754], 
     Hue[0.25, 1, 0.39156511407076955`], 
     Hue[0.08931329477659546, 1, 0.6281635227929754], 
     Hue[0.03769921930141417, 1, 0.8924538819397073], 
     Hue[0.05619490384423022, 1, 0.9603464739645834], 
     Hue[0.01097882013423156, 0.9840588864203368, 1], 
     Hue[0.9890212025062225, 0.9840588274834603, 1], 
     Hue[0.9623008141237319, 1, 0.8924540747294464], 
     Hue[0.9438051436993011, 1, 0.9603466314240117], 
     Hue[0.9106867875501278, 1, 0.6281638450479686], 
     Hue[0.7500002359638913, 1, 0.3915651140711363], 
     Hue[0.6418859001437679, 1, 0.9046149974033766], 
     Hue[0.7499998802284695, 1, 0.8135691241063946], 
     Hue[0.5706538148002356, 0.9519144521081313, 1], 
     Hue[0.42934612836592406`, 0.9519145714973831, 1], 
     Hue[0.35811401054481096`, 1, 0.9046148482088403], 
     Hue[0.1418859894551891, 1, 0.9046148482088403], 
     Hue[0.07065387163407595, 0.9519145714973831, 1], 
     Hue[0.9293461851997644, 0.9519144521081313, 1], 
     Hue[0.858114099856232, 1, 0.9046149974033766], 
     Hue[0.6545058978259328, 0.9499806531414854, 1], 
     Hue[0.7499998985253509, 1, 0.994248776674266], 
     Hue[0.5814096779434559, 0.853040840868869, 1], 
     Hue[0.5253534372301715, 0.7939733432222076, 1], 
     Hue[0.4746465112026363, 0.7939733736301522, 1], 
     Hue[0.41859025951073864`, 0.8530409259603984, 1], 
     Hue[0.34549401702200994`, 0.9499807482803277, 1], 
     Hue[0.25, 1, 0.9942487766742008], 
     Hue[0.1545059829779901, 0.9499807482803277, 1], 
     Hue[0.08140974048926135, 0.8530409259603984, 1], 
     Hue[0.025353488797363752`, 0.7939733736301522, 1], 
     Hue[0.9746465627698285, 0.7939733432222076, 1], 
     Hue[0.918590322056544, 0.853040840868869, 1], 
     Hue[0.8454941021740672, 0.9499806531414854, 1], 
     Hue[0.7500001014746491, 1, 0.994248776674266], 
     Hue[0.6625684915515258, 0.8136238591234091, 1], 
     Hue[0.7499999091954411, 0.8473190086465598, 1], 
     Hue[0.5891676163861919, 0.7507213077247918, 1], 
     Hue[0.5282735124526319, 0.7097193068766425, 1], 
     Hue[0.4717264302792706, 0.709719328500624, 1], 
     Hue[0.4108323176511153, 0.750721365340842, 1], 
     Hue[0.33743142708137935`, 0.8136239181615323, 1], 
     Hue[0.25, 0.8473190086465983, 1], 
     Hue[0.16256857291862065`, 0.8136239181615323, 1], 
     Hue[0.0891676823488848, 0.750721365340842, 1], 
     Hue[0.02827356972072948, 0.709719328500624, 1], 
     Hue[0.9717264875473681, 0.7097193068766425, 1], 
     Hue[0.910832383613808, 0.7507213077247918, 1], 
     Hue[0.8374315084484741, 0.8136238591234091, 1], 
     Hue[0.7500000908045589, 0.8473190086465598, 1], 
     Hue[0.6678227593153135, 0.6904596212369831, 1], 
     Hue[0.7499999157963555, 0.7105450396870905, 1], 
     Hue[0.5946602484938073, 0.6509438564552312, 1], 
     Hue[0.5304381659440498, 0.6237575931798314, 1], 
     Hue[0.46956177261110826`, 0.6237576078160083, 1], 
     Hue[0.40533968350141897`, 0.650943893862985, 1], 
     Hue[0.33217716223611754`, 0.6904596570871604, 1], 
     Hue[0.25, 0.7105450396871131, 1], 
     Hue[0.16782283776388246`, 0.6904596570871604, 1], 
     Hue[0.09466031649858105, 0.650943893862985, 1], 
     Hue[0.030438227388891785`, 0.6237576078160083, 1], 
     Hue[0.9695618340559501, 0.6237575931798314, 1], 
     Hue[0.9053397515061927, 0.6509438564552312, 1], 
     Hue[0.8321772406846865, 0.6904596212369831, 1], 
     Hue[0.7500000842036444, 0.7105450396870905, 1], 
     Hue[0.6713005012668068, 0.5820025449879966, 1], 
     Hue[0.7499999200301095, 0.5938377475413219, 1], 
     Hue[0.5985060364515342, 0.5578061835621808, 1], 
     Hue[0.5320075584128765, 0.5404480988027494, 1], 
     Hue[0.4679923771423591, 0.5404481083051598, 1], 
     Hue[0.40149389430612636`, 0.5578062070455188, 1], 
     Hue[0.3286994224052453, 0.5820025663894526, 1], 
     Hue[0.25, 0.593837747541335, 1], 
     Hue[0.17130057759475473`, 0.5820025663894526, 1], 
     Hue[0.09850610569387369, 0.5578062070455188, 1], 
     Hue[0.03200762285764094, 0.5404481083051598, 1], 
     Hue[0.9679924415871235, 0.5404480988027494, 1], 
     Hue[0.9014939635484658, 0.5578061835621808, 1], 
     Hue[0.828699498733193, 0.5820025449879966, 1], 
     Hue[0.7500000799698905, 0.5938377475413219, 1], 
     Hue[0.6736286569004658, 0.4881873955458753, 1], 
     Hue[0.7499999228088132, 0.49509739228347627`, 1], 
     Hue[0.6011806772101609, 0.4736614300009543, 1], 
     Hue[0.5331273126420526, 0.46290661582513226`, 1], 
     Hue[0.466872620788006, 0.4629066217897564, 1], 
     Hue[0.3988192527819762, 0.4736614443610778, 1], 
     Hue[0.3263712682729345, 0.48818740815633554`, 1], 
     Hue[0.25, 0.4950973922834838, 1], 
     Hue[0.17362873172706553`, 0.48818740815633554`, 1], 
     Hue[0.10118074721802378`, 0.4736614443610778, 1], 
     Hue[0.03312737921199399, 0.4629066217897564, 1], 
     Hue[0.9668726873579475, 0.46290661582513226`, 1], 
     Hue[0.8988193227898391, 0.4736614300009543, 1], 
     Hue[0.8263713430995342, 0.4881873955458753, 1], 
     Hue[0.7500000771911867, 0.49509739228347627`, 1], 
     Hue[0.6751998309104648, 0.4080602390539134, 1], 
     Hue[0.6030330983986786, 0.3994684500535861, 1], 
     Hue[0.5339172243381585, 0.3929575119301343, 1], 
     Hue[0.46608270760063375`, 0.3929575155766878, 1], 
     Hue[0.3969668311095689, 0.39946845866176206`, 1], 
     Hue[0.32480009531240644`, 0.4080602464126535, 1], 
     Hue[0.25, 0.4120666148134864, 1], 
     Hue[0.17519990468759364`, 0.4080602464126535, 1], 
     Hue[0.10303316889043111`, 0.39946845866176206`, 1], 
     Hue[0.03391729239936628, 0.3929575155766878, 1], 
     Hue[0.9660827756618415, 0.3929575119301343, 1], 
     Hue[0.8969669016013214, 0.3994684500535861, 1], 
     Hue[0.8248001690895352, 0.4080602390539134, 1], 
     Hue[0.7500000753398179, 0.41206661481348195`, 1], 
     Hue[0.4140349381611039, 0.8991010056147459, 1], 
     Hue[0.46960983819001534`, 0.8255180758641216, 1], 
     Hue[0.5180659885149965, 0.8171064682027711, 1], 
     Hue[0.5707167384793495, 0.8751638910135751, 1], 
     Hue[0.6403374124725196, 0.9836188456544306, 1], 
     Hue[0.7367099798197867, 1, 0.9376969665160994], 
     Hue[0.9140348747563791, 0.8991011075773236, 1], 
     Hue[0.9696097881555634, 0.8255181178615973, 1], 
     Hue[0.018065939837863487`, 0.8171064429349433, 1], 
     Hue[0.0707166797385183, 0.8751638018903796, 1], 
     Hue[0.14033732967579818`, 0.9836187308000359, 1], 
     Hue[0.2367098737707971, 1, 0.9376969858821732], 
     Hue[0.4694931671201305, 0.9083184543552207, 1], 
     Hue[0.5099324367204694, 0.8863839031367435, 1], 
     Hue[0.5533675812850968, 0.9524842758068108, 1], 
     Hue[0.6150914560719736, 1, 0.8990573721392734], 
     Hue[0.7181001012939714, 1, 0.7567122704262896], 
     Hue[0.9694931242692595, 0.9083185203773163, 1], 
     Hue[0.009932396759341084, 0.886383881285568, 1], 
     Hue[0.05336753201394703, 0.9524841652689067, 1], 
     Hue[0.11509137740603294`, 1, 0.8990575468959456], 
     Hue[0.21809997603583642`, 1, 0.7567123350037619], 
     Hue[0.5036779508964078, 0.9418367728632915, 1], 
     Hue[0.5355967674610008, 1, 0.9902885361216265], 
     Hue[0.5836556492882978, 1, 0.8062143916473855], 
     Hue[0.0036779214215855974`, 0.941836759598516, 1], 
     Hue[0.035596730971418925`, 1, 0.9902886608151451], 
     Hue[0.08365558359894609, 1, 0.8062146304053732], 
     Hue[0.18768842475979117`, 1, 0.5715128606927431], 
     Hue[0.6217188584432503, 1, 0.7586778720863807], 
     Hue[0.556194856300699, 1, 0.9603466314240114], 
     Hue[0.5167250445862049, 0.936282585251081, 1], 
     Hue[0.4832749210679518, 0.9362826357191132, 1], 
     Hue[0.44380509615576985`, 1, 0.9603464739645835], 
     Hue[0.37828105027384845`, 1, 0.7586776464179501], 
     Hue[0.2500000000000003, 1, 0.6116401864956158], 
     Hue[0.12171894972615187`, 1, 0.7586776464179494], 
     Hue[0.056194903844230294`, 1, 0.960346473964583], 
     Hue[0.016725078932048335`, 0.9362826357191132, 1], 
     Hue[0.9832749554137952, 0.9362825852510805, 1], 
     Hue[0.9438051436993012, 1, 0.960346631424012], 
     Hue[0.8782811415567501, 1, 0.7586778720863817], 
     Hue[0.7500001545681013, 1, 0.6116401864958093], 
     Hue[0.5779318255912007, 0.9673805399358066, 1], 
     Hue[0.5270803433762148, 0.8769854278630611, 1], 
     Hue[0.4839279939439986, 0.8668812003547792, 1], 
     Hue[0.4362898951354928, 0.9375568905024116, 1], 
     Hue[0.3689509931615855, 1, 0.9235210711835073], 
     Hue[0.2649430998840033, 1, 0.8153007118932278], 
     Hue[0.07793188526058532, 0.9673806678938568, 1], 
     Hue[0.027080388187120545`, 0.8769854784208913, 1], 
     Hue[0.983928037326422, 0.8668811700677939, 1], 
     Hue[0.9362899494534294, 0.9375567802482849, 1], 
     Hue[0.8689510772766941, 1, 0.9235212239754456], 
     Hue[0.764943218977212, 1, 0.8153007395024744], 
     Hue[0.5384359010260087, 0.8034449960261663, 1], 
     Hue[0.4874035885165384, 0.7882619910188455, 1], 
     Hue[0.43372364740087477`, 0.8332176111750749, 1], 
     Hue[0.36598251430388856`, 0.9253079115350011, 1], 
     Hue[0.2752613580550339, 1, 0.9982860865811182], 
     Hue[0.03843595423322948, 0.8034450413320002, 1], 
     Hue[0.9874036391155289, 0.7882619757633409, 1], 
     Hue[0.9337237060562815, 0.8332175380052937, 1], 
     Hue[0.8659825930751538, 0.9253078104997323, 1], 
     Hue[0.7752614582507197, 1, 0.9982861185413894], 
     Hue[0.49297378174312234`, 0.7046257605896431, 1], 
     Hue[0.4347307064884742, 0.7311463721794365, 1], 
     Hue[0.36680767682150905`, 0.790042422539164, 1], 
     Hue[0.2838567639593948, 0.8420249875048333, 1], 
     Hue[0.9929738379976019, 0.704625755129985, 1], 
     Hue[0.9347307681783869, 0.7311463259974409, 1], 
     Hue[0.8668077520960598, 0.7900423573822477, 1], 
     Hue[0.7838568532208806, 0.8420249598042648, 1], 
     Hue[0.43827609663068967`, 0.6344563099211473, 1], 
     Hue[0.3700878800668292, 0.6708517165835168, 1], 
     Hue[0.29183231261730747`, 0.7050911124712833, 1], 
     Hue[0.9382761605992458, 0.6344562821587076, 1], 
     Hue[0.8700879531927802, 0.6708516756102527, 1], 
     Hue[0.7918323952269379, 0.7050910912716915, 1], 
     Hue[0.37504107348657056`, 0.5670056871273987, 1], 
     Hue[0.2996579005937295, 0.5889327780912892, 1], 
     Hue[0.8750411453671002, 0.567005661983095, 1], 
     Hue[0.7996579790398544, 0.5889327629988765, 1], 
     Hue[0.3075385089021772, 0.4910578996438002, 1], 
     Hue[0.8075385847053238, 0.4910578894084765, 1], 
     Hue[0.3693935643112461, 1, 0.4134546337996756], 
     Hue[0.3693935643112464, 1, 0.41345463379967623`], 
     Hue[0.630606599906276, 1, 0.413454303039965], 
     Hue[0.6306065999062762, 1, 0.4134543030399644], 
     Hue[0.8693934000937238, 1, 0.4134543030399644], 
     Hue[0.869393400093724, 1, 0.4134543030399651], 
     Hue[0.1306064356887536, 1, 0.41345463379967623`], 
     Hue[0.13060643568875394`, 1, 0.4134546337996756], 
     Hue[0.26329012622920295`, 1, 0.9376969858821732], 
     Hue[0.7632900201802133, 1, 0.9376969665160994], 
     Hue[0.24999989354383376`, 1, 0.9364831117821596], 
     Hue[0.38490862259396713`, 1, 0.8990575468959456], 
     Hue[0.41634441640105396`, 1, 0.8062146304053732], 
     Hue[0.49006760324065896`, 0.886383881285568, 1], 
     Hue[0.6604189686122697, 1, 0.814295457777205], 
     Hue[0.7818998987060285, 1, 0.7567122704262896], 
     Hue[0.8849085439280264, 1, 0.8990573721392734], 
     Hue[0.9163443507117022, 1, 0.8062143916473855], 
     Hue[0.9900675632795306, 0.8863839031367435, 1], 
     Hue[0.31231157524020886`, 1, 0.5715128606927431], 
     Hue[0.33058719423297694`, 1, 0.5938316944234967], 
     Hue[0.36939356431124626`, 1, 0.41345463379967595`], 
     Hue[0.4525759404139309, 1, 0.7539895176300357], 
     Hue[0.45257594041393095`, 1, 0.7539895176300363], 
     Hue[0.46440326902858114`, 1, 0.9902886608151451], 
     Hue[0.4963220785784144, 0.941836759598516, 1], 
     Hue[0.526874049045466, 0.9822101361891471, 1], 
     Hue[0.6528009735875373, 1, 0.6202165734218509], 
     Hue[0.812311422678958, 1, 0.5715127016666701], 
     Hue[0.8305870545876727, 1, 0.5938314979731947], 
     Hue[0.8693934000937239, 1, 0.41345430303996467`], 
     Hue[0.9525758992904491, 1, 0.7539892325688436], 
     Hue[0.9525758992904492, 1, 0.7539892325688442], 
     Hue[0.9644032325389992, 1, 0.9902885361216265], 
     Hue[0.9963220491035921, 0.9418367728632915, 1], 
     Hue[0.44396731144707846`, 1, 0.22527598087329787`], 
     Hue[0.46604239208305004`, 1, 0.3521021451637399], 
     Hue[0.2500002916421318, 1, 0.31504491178433824`], 
     Hue[0.4860349610679317, 1, 0.6711372236459555], 
     Hue[0.4889016132666868, 1, 0.750964844798267], 
     Hue[0.48131456290680835`, 1, 0.9577296768725931], 
     Hue[0.48131456290680835`, 1, 0.9577296768725932], 
     Hue[0.5000000087470915, 0.9803126309061414, 1], 
     Hue[0.5186854583488258, 1, 0.9577295495890766], 
     Hue[0.518685458348826, 1, 0.9577295495890764], 
     Hue[0.9439671714423057, 1, 0.225275469454068], 
     Hue[0.966042336515674, 1, 0.35210164949164324`], 
     Hue[0.9860349478557544, 1, 0.6711368775551916], 
     Hue[0.9889016032742267, 1, 0.7509645518165151], 
     Hue[0.981314541651174, 1, 0.9577295495890764], 
     Hue[0.9813145416511742, 1, 0.9577295495890766], 
     Hue[0.9999999912529085, 0.9803126309061414, 1], 
     Hue[0.018685437093191662`, 1, 0.9577296768725932], 
     Hue[0.0186854370931917, 1, 0.9577296768725931], 
     Hue[0.5793962928662815, 1, 0.3183632784498749], 
     Hue[0.2500011443463183, 1, 0.07952561172055742], 
     Hue[0.4945117203073639, 1, 0.917011135240037], 
     Hue[0.49944210968608715`, 0.999755803654458, 1], 
     Hue[0.5054882855060603, 1, 0.9170109794665529], 
     Hue[0.5110983967257734, 1, 0.7509645518165151], 
     Hue[0.5139650521442456, 1, 0.6711368775551916], 
     Hue[0.4689039812769754, 1, 0.6369052483553845], 
     Hue[0.533957663484326, 1, 0.35210164949164324`], 
     Hue[0.4206035688085683, 1, 0.31836282276176414`], 
     Hue[0.07939643119143175, 1, 0.31836282276176414`], 
     Hue[0.9945117144939397, 1, 0.9170109794665529], 
     Hue[0.9994421052136047, 0.9997558196371141, 1], 
     Hue[0.005488279692636111, 1, 0.917011135240037], 
     Hue[0.011098386733313235`, 1, 0.750964844798267], 
     Hue[0.013965038932068309`, 1, 0.6711372236459555], 
     Hue[0.968904011474213, 1, 0.6369056109710413], 
     Hue[0.03395760791695004, 1, 0.3521021451637399], 
     Hue[0.9206037071337185, 1, 0.3183632784498749], 
     Hue[0.5310959885257869, 1, 0.6369056109710413], 
     Hue[0.5124105389902618, 1, 0.9013742088298945], 
     Hue[0.5022298048713822, 0.9989923722063399, 1], 
     Hue[0.4875894486956854, 1, 0.9013740352564007], 
     Hue[0.42024984417115224`, 1, 0.66792767686295], 
     Hue[0.03109601872302467, 1, 0.6369052483553845], 
     Hue[0.012410551304314638`, 1, 0.9013740352564007], 
     Hue[0.0022298138647409865`, 0.9989924038945321, 1], 
     Hue[0.9875894610097382, 1, 0.9013742088298945], 
     Hue[0.9202499152552757, 1, 0.6679279900513911], 
     Hue[0.779194775598029, 1, 0.39723739435286926`], 
     Hue[0.5336723447183254, 1, 0.9154041477279923], 
     Hue[0.5561948563006988, 1, 0.960346631424012], 
     Hue[0.508178510832775, 0.9776307930515296, 1], 
     Hue[0.5167250445862048, 0.9362825852510805, 1], 
     Hue[0.46632762420754237`, 1, 0.9154039732516945], 
     Hue[0.03367237579245771, 1, 0.9154039732516945], 
     Hue[0.056194903844230155`, 1, 0.9603464739645835], 
     Hue[0.008178533020401859, 0.9776308370045292, 1], 
     Hue[0.016725078932048235`, 0.9362826357191132, 1], 
     Hue[0.9663276552816746, 1, 0.9154041477279923], 
     Hue[0.5637100505465706, 0.9375567802482849, 1], 
     Hue[0.516071962673578, 0.8668811700677939, 1], 
     Hue[0.3466168265358858, 1, 0.8863584920605472], 
     Hue[0.23505690011599673`, 1, 0.8153007118932281], 
     Hue[0.06371010486450722, 0.9375568905024116, 1], 
     Hue[0.016072006056001474`, 0.8668812003547792, 1], 
     Hue[0.7405835594278528, 0.4119987338445046, 1], 
     Hue[0.7499999246601821, 0.41206661481348195`, 1], 
     Hue[0.7594164405721472, 0.4119987338445046, 1], 
     Hue[0.40328748566200556`, 1, 0.941900204950218], 
     Hue[0.5200398636284287, 0.8945907533139459, 1], 
     Hue[0.75, 1, 0.7485142536632096], 
     Hue[0.903287416976872, 1, 0.9419000384389093], 
     Hue[0.02003982260775556, 0.8945907094795462, 1], 
     Hue[0.42417250745796076`, 1, 0.835355407241786], 
     Hue[0.45257594041393095`, 1, 0.7539895176300361], 
     Hue[0.48509304150355137`, 0.9543308878618857, 1], 
     Hue[0.5149069891552404, 0.9543309414160821, 1], 
     Hue[0.75, 1, 0.5400776550279889], 
     Hue[0.9241724477403259, 1, 0.835355180061966], 
     Hue[0.9525758992904491, 1, 0.753989232568844], 
     Hue[0.9850930108447596, 0.9543309414160821, 1], 
     Hue[0.01490695849644868, 0.9543308878618857, 1], 
     Hue[0.45751414446173555`, 1, 0.289221032461632], 
     Hue[0.4875682123625229, 1, 0.712711875674043], 
     Hue[0.9575140606854319, 1, 0.289220523340722], 
     Hue[0.9875682009633034, 1, 0.7127115564770089], 
     Hue[0.4753806256641188, 1, 0.721216817838307], 
     Hue[0.9753806479708481, 1, 0.7212171297049894], 
     Hue[0.4422609284778296, 1, 0.7773661746324501], 
     Hue[0.3528231333413554, 1, 0.4710338299560907], 
     Hue[0.9422609770940351, 1, 0.7773664418727635], 
     Hue[0.852823291615839, 1, 0.4710341078292001], 
     Hue[0.5167250445862048, 0.9362825852510808, 1], 
     Hue[0.4832749210679517, 0.9362826357191132, 1], 
     Hue[0.41641307629415086`, 1, 0.8688107053560573], 
     Hue[0.016725078932048283`, 0.9362826357191132, 1], 
     Hue[0.9832749554137951, 0.9362825852510808, 1], 
     Hue[0.9164131398603239, 1, 0.868810911827072], 
     Hue[0.5215315562135623, 0.8712998040445201, 1], 
     Hue[0.47846839978445416`, 0.8712998444588667, 1], 
     Hue[0.25, 1, 0.8135691241062836], 
     Hue[0.021531600215545857`, 0.8712998444588667, 1], 
     Hue[0.9784684437864377, 0.8712998040445201, 1], 
     Hue[0.5000000198071289, 0.8836539798614904, 1], 
     Hue[0.5415377482748456, 0.9276144816935146, 1], 
     Hue[0.9999999801928711, 0.8836539798614904, 1], 
     Hue[0.04153770272281562, 0.9276143933393555, 1], 
     Hue[0.46885884788413135`, 0.9950478892767711, 1], 
     Hue[0.48131456290680835`, 1, 0.9577296768725932], 
     Hue[0.5000000146989265, 0.9410079812859167, 1], 
     Hue[0.5000000087470915, 0.9803126309061414, 1], 
     Hue[0.5311411869625826, 0.995047999239471, 1], 
     Hue[0.5186854583488258, 1, 0.9577295495890765], 
     Hue[0.6694129454123274, 1, 0.5938314979731947], 
     Hue[0.6306065999062761, 1, 0.41345430303996467`], 
     Hue[0.9688588130374174, 0.995047999239471, 1], 
     Hue[0.981314541651174, 1, 0.9577295495890765], 
     Hue[0.9999999853010734, 0.9410079812859167, 1], 
     Hue[0.9999999912529085, 0.9803126309061414, 1], 
     Hue[0.031141152115868664`, 0.9950478892767711, 1], 
     Hue[0.01868543709319168, 1, 0.9577296768725932], 
     Hue[0.49521736611788775`, 1, 0.935252447345957], 
     Hue[0.500000002229238, 0.9987574146509108, 1], 
     Hue[0.5047826393696134, 1, 0.9352523111206366], 
     Hue[0.9952173606303866, 1, 0.9352523111206366], 
     Hue[0.9999999977707619, 0.9987574146509108, 1], 
     Hue[0.0047826338821123264`, 1, 0.935252447345957], 
     Hue[0.5246193520291518, 1, 0.7212171297049894], 
     Hue[0.5095196614022719, 1, 0.9398005741077785], 
     Hue[0.49999999555881947`, 0.995039352338325, 1], 
     Hue[0.49048032769452427`, 1, 0.9398004397298552], 
     Hue[0.024619374335881235`, 1, 0.721216817838307], 
     Hue[0.00951967230547573, 1, 0.9398004397298552], 
     Hue[4.44118051894535*^-9, 0.995039352338325, 1], 
     Hue[0.990480338597728, 1, 0.9398005741077785], 
     Hue[0.5230388811439705, 1, 0.9709059413784973], 
     Hue[0.49999998918893734`, 0.9694199547280606, 1], 
     Hue[0.47696109277370596`, 1, 0.970905819122397], 
     Hue[0.14717686665864466`, 1, 0.4710338299560907], 
     Hue[0.023038907226294026`, 1, 0.970905819122397], 
     Hue[1.0811062632212875`*^-8, 0.9694199547280606, 1], 
     Hue[0.9769611188560295, 1, 0.9709059413784973], 
     Hue[0.5348510018285146, 0.9745424737436461, 1], 
     Hue[0.49999998349581587`, 0.9237159413430911, 1], 
     Hue[0.4651489594268698, 0.9745425767644431, 1], 
     Hue[0.034851040573130224`, 0.9745425767644431, 1], 
     Hue[1.6504184189961888`*^-8, 0.9237159413430911, 1], 
     Hue[0.9651489981714853, 0.9745424737436461, 1], 
     Hue[0.6876885773210419, 1, 0.5715127016666701], 
     Hue[0.7284165742889792, 1, 0.5437400936253409], 
     Hue[0.6328361551185531, 1, 0.2119941573426199], 
     Hue[0.6328361551185525, 1, 0.21199415734262061`], 
     Hue[0.3671635254400625, 1, 0.21199378942104383`], 
     Hue[0.3671635254400632, 1, 0.21199378942104466`], 
     Hue[0.13283647455993758`, 1, 0.21199378942104383`], 
     Hue[0.13283647455993683`, 1, 0.21199378942104466`], 
     Hue[0.8671638448814468, 1, 0.2119941573426199], 
     Hue[0.8671638448814475, 1, 0.21199415734262061`], 
     Hue[0.36660640165294034`, 1, 0.10669616053169118`], 
     Hue[0.8666057672436771, 1, 0.1066957823465744], 
     Hue[0.7499994255985772, 1, 0.15874215647073897`], 
     Hue[0.2208054532341009, 1, 0.3972373045114577], 
     Hue[0.16859750975450669`, 1, 0.43893262728080296`], 
     Hue[0.446632467986053, 0.9524841652689067, 1], 
     Hue[0.4584622972771844, 0.9276143933393555, 1], 
     Hue[0.9466324187149032, 0.9524842758068108, 1], 
     Hue[0.9584622517251544, 0.9276144816935146, 1], 
     Hue[0.7499999999999997, 1, 0.3150449117838611], 
     Hue[0.7500000000000002, 1, 0.3150449117838611], 
     Hue[0.3671635254400628, 1, 0.21199378942104427`], 
     Hue[0.8671638448814472, 1, 0.21199415734262025`], 
     Hue[0.27919454676589917`, 1, 0.3972373045114577], 
     Hue[0.3314024902454934, 1, 0.43893262728080296`], 
     Hue[0.5125963608844711, 0.7882619757633409, 1], 
     Hue[0.012596411483461568`, 0.7882619910188455, 1], 
     Hue[0.17698571517732065`, 1, 0.6563704042140329], 
     Hue[0.3874491906502043, 1, 0.7123749692274018], 
     Hue[0.6878626760417027, 1, 0.7798683105888325], 
     Hue[0.8874491004053406, 1, 0.7123747130157034], 
     Hue[0.8121373239582973, 1, 0.7798683105888325], 
     Hue[0.6328361551185528, 1, 0.21199415734262025`], 
     Hue[0.4194846530444847, 1, 0.16240352202622477`], 
     Hue[0.6333942327563229, 1, 0.1066957823465744], 
     Hue[0.5805156190902941, 1, 0.16240303430705494`], 
     Hue[0.9194843809097059, 1, 0.16240303430705494`], 
     Hue[0.44565491787528005`, 1, 0.43235877046421856`], 
     Hue[0.44565491787527983`, 1, 0.4323587704642174], 
     Hue[0.13283647455993722`, 1, 0.21199378942104427`], 
     Hue[0.9456549901711773, 1, 0.43235921879461137`], 
     Hue[0.945654990171177, 1, 0.4323592187946105], 
     Hue[0.37828105027384834`, 1, 0.7586776464179499], 
     Hue[0.32301428482267946`, 1, 0.6563704042140329], 
     Hue[0.8782811415567499, 1, 0.7586778720863813], 
     Hue[0.7715834257110208, 1, 0.5437400936253409], 
     Hue[0.13339359834705966`, 1, 0.10669616053169118`], 
     Hue[0.08051534695551536, 1, 0.16240352202622477`], 
     Hue[0.32301428482267924`, 1, 0.6563704042140326], 
     Hue[0.24999999999999975`, 1, 0.6116401864956158], 
     Hue[0.1769857151773208, 1, 0.6563704042140326], 
     Hue[0.75, 1, 0.3150449117838611], 
     Hue[0.5543450098288227, 1, 0.43235921879461137`], 
     Hue[0.554345009828823, 1, 0.4323592187946105], 
     Hue[0.5543450098288227, 1, 0.432359218794611], 
     Hue[0.75, 1, 0.07952561171851509], 
     Hue[0.05434508212472, 1, 0.43235877046421856`], 
     Hue[0.05434508212472018, 1, 0.4323587704642174], 
     Hue[0.05434508212472008, 1, 0.4323587704642181], 
     Hue[0.24999885565368168`, 1, 0.07952561172055742], 
     Hue[0.4999999787009451, 0.8612057345017265, 1], 
     Hue[2.1299054939150472`*^-8, 0.8612057345017265, 1], 
     Hue[0.720805224401971, 1, 0.39723739435286926`], 
     Hue[0.7499998454318987, 1, 0.6116401864958093], 
     Hue[0.6471767083841609, 1, 0.4710341078292001], 
     Hue[0.1217189497261516, 1, 0.7586776464179501], 
     Hue[0.12171894972615173`, 1, 0.7586776464179499], 
     Hue[0.17698571517732042`, 1, 0.6563704042140331], 
     Hue[0.5474241007095508, 1, 0.7539892325688442], 
     Hue[0.5474241007095509, 1, 0.7539892325688436], 
     Hue[0.15280084744146344`, 1, 0.6202167975227743], 
     Hue[0.1694128057670231, 1, 0.5938316944234967], 
     Hue[0.13060643568875377`, 1, 0.41345463379967595`], 
     Hue[0.04742405958606907, 1, 0.7539895176300363], 
     Hue[0.04742405958606916, 1, 0.7539895176300357], 
     Hue[0.28190002396416364`, 1, 0.7567123350037619], 
     Hue[0.3121374398347549, 1, 0.7798684286999464], 
     Hue[0.5686897104687778, 1, 0.8629441191596496], 
     Hue[0.6125508995946594, 1, 0.7123747130157034], 
     Hue[0.5238042743256781, 1, 0.47098456966814883`], 
     Hue[0.44565491787527994`, 1, 0.4323587704642181], 
     Hue[0.023804244557305034`, 1, 0.47098502258732916`], 
     Hue[0.9456549901711772, 1, 0.432359218794611], 
     Hue[0.3230142848226796, 1, 0.6563704042140331], 
     Hue[0.8466169211935819, 1, 0.8863586343951233], 
     Hue[0.8230144155521333, 1, 0.6563705698269042], 
     Hue[0.25, 1, 0.6116401864956158], 
     Hue[0.5424859393145681, 1, 0.289220523340722], 
     Hue[0.5560328285576943, 1, 0.225275469454068], 
     Hue[0.556032828557694, 1, 0.22527546945406904`], 
     Hue[0.042485855538264464`, 1, 0.289221032461632], 
     Hue[0.05603268855292159, 1, 0.22527598087329787`], 
     Hue[0.0560326885529213, 1, 0.2252759808732989], 
     Hue[0.12893621927484314`, 1, 0.5077090606253867], 
     Hue[0.6813765683116129, 1, 0.3432483744845354], 
     Hue[0.8186234316883871, 1, 0.3432483744845354], 
     Hue[0.057739071522170414`, 1, 0.7773661746324501], 
     Hue[0.07975015582884781, 1, 0.66792767686295], 
     Hue[0.06417924394937631, 1, 0.7428657881387476], 
     Hue[0.750000154568101, 1, 0.6116401864958093], 
     Hue[0.8230144155521331, 1, 0.6563705698269039], 
     Hue[0.7500001197715305, 1, 0.8135691241063946], 
     Hue[0.6217188584432498, 1, 0.7586778720863817], 
     Hue[0.62171885844325, 1, 0.7586778720863813], 
     Hue[0.6289360851829868, 1, 0.507709367023629], 
     Hue[0.5577390229059649, 1, 0.7773664418727635], 
     Hue[0.5797500847447243, 1, 0.6679279900513911], 
     Hue[0.5641791893217631, 1, 0.7428660726915264], 
     Hue[0.3380240222044742, 1, 0.9887521540267868], 
     Hue[0.8380239318992426, 1, 0.9887520493943152], 
     Hue[0.3395811347887469, 1, 0.8142956119573606], 
     Hue[0.419409119454119, 1, 0.9817300748009239], 
     Hue[0.8395810313877302, 1, 0.814295457777205], 
     Hue[0.9194090588624441, 1, 0.9817299235654497], 
     Hue[0.3471991525585366, 1, 0.6202167975227743], 
     Hue[0.43131034415421354`, 1, 0.8629443331905962], 
     Hue[0.47312598442355996`, 0.9822100407026348, 1], 
     Hue[0.8471990264124627, 1, 0.6202165734218509], 
     Hue[0.9313102895312222, 1, 0.8629441191596496], 
     Hue[0.973125950954534, 0.9822101361891471, 1], 
     Hue[0.6533830788064181, 1, 0.8863586343951233], 
     Hue[0.15338317346411426`, 1, 0.8863584920605472], 
     Hue[0.6765771115710142, 0.9722336223431016, 1], 
     Hue[0.5976164164315538, 0.8755591225051977, 1], 
     Hue[0.17657720290131074`, 0.9722337038928355, 1], 
     Hue[0.09761648367265775, 0.875559217058308, 1], 
     Hue[0.6941249382034624, 0.8330937476536389, 1], 
     Hue[0.6148752245682149, 0.7737773058169222, 1], 
     Hue[0.55013070869502, 0.7207371878779971, 1], 
     Hue[0.19412502491377145`, 0.833093790841583, 1], 
     Hue[0.11487529586774511`, 0.7737773702017996, 1], 
     Hue[0.050130768204486864`, 0.7207372248035202, 1], 
     Hue[0.7081676047730625, 0.7050910912716917, 1], 
     Hue[0.6299120468072201, 0.6708516756102529, 1], 
     Hue[0.5617238394007544, 0.6344562821587079, 1], 
     Hue[0.499999969704157, 0.6200690446437569, 1], 
     Hue[0.20816768738269298`, 0.7050911124712833, 1], 
     Hue[0.1299121199331712, 0.670851716583517, 1], 
     Hue[0.061723903369310586`, 0.6344563099211475, 1], 
     Hue[3.0295843334955065`*^-8, 0.6200690446437569, 1], 
     Hue[0.7200822708084498, 0.5920276983523605, 1], 
     Hue[0.6431581578979992, 0.5732624344802308, 1], 
     Hue[0.5729812689873061, 0.549682025626431, 1], 
     Hue[0.5079765985179374, 0.5381993813143433, 1], 
     Hue[0.4436024694654563, 0.5452414463324882, 1], 
     Hue[0.22008235021364483`, 0.5920277078707246, 1], 
     Hue[0.14315823161163588`, 0.5732624591663045, 1], 
     Hue[0.07298133595527598, 0.54968204514047, 1], 
     Hue[0.007976662358043821, 0.5381993837358812, 1], 
     Hue[0.9436025352118836, 0.5452414304291993, 1], 
     Hue[0.7307156709866943, 0.49462808032672934`, 1], 
     Hue[0.6550614875129388, 0.484815598960767, 1], 
     Hue[0.5838198311634758, 0.47023071003455086`, 1], 
     Hue[0.5165339559836841, 0.4617780537467133, 1], 
     Hue[0.45016227491337163`, 0.4647421355172694, 1], 
     Hue[0.38116800117674626`, 0.4773558281934709, 1], 
     Hue[0.23071574801578623`, 0.49462808406010894`, 1], 
     Hue[0.15506156120277442`, 0.4848156131932022, 1], 
     Hue[0.08381990006281527, 0.4702307230185161, 1], 
     Hue[0.016534022199152437`, 0.46177805678336536`, 1], 
     Hue[0.9501623420623686, 0.4647421268435843, 1], 
     Hue[0.8811680723908617, 0.4773558131160518, 1], 
     Hue[0.6660005391149528, 0.40710458720745435`, 1], 
     Hue[0.5942466599787664, 0.3984126523244387, 1], 
     Hue[0.5254192566984819, 0.3925563086757129, 1], 
     Hue[0.45756370712744404`, 0.39346641089690104`, 1], 
     Hue[0.38812970680322956`, 0.4005604532215967, 1], 
     Hue[0.31555629257184303`, 0.4089398898492742, 1], 
     Hue[0.24058363474103017`, 0.41199873492917916`, 1], 
     Hue[0.16600061252222773`, 0.4071045951210599, 1], 
     Hue[0.09424673007294361, 0.3984126605925391, 1], 
     Hue[0.0254193246115725, 0.3925563114430253, 1], 
     Hue[0.9575637753768018, 0.39346640640805597`, 1], 
     Hue[0.8881297777075966, 0.4005604443753463, 1], 
     Hue[0.6619760681007574, 1, 0.9887520493943153], 
     Hue[0.1619759777955258, 1, 0.9887521540267868], 
     Hue[0.5305068757307405, 0.9083185203773163, 1], 
     Hue[0.030506832879869574`, 0.9083184543552207, 1], 
     Hue[0.026874015576440057`, 0.9822100407026348, 1], 
     Hue[0.5000000087470915, 0.9803126309061414, 1], 
     Hue[0.4958860231113611, 1, 0.9511000496237451], 
     Hue[0.5005578947863953, 0.9997558196371141, 1], 
     Hue[0.5041139821085792, 1, 0.9510999321642346], 
     Hue[0.4803096721069952, 1, 0.7929588835335644], 
     Hue[0.9958860178914208, 1, 0.9510999321642346], 
     Hue[0.000557890313912921, 0.999755803654458, 1], 
     Hue[0.0041139768886389256`, 1, 0.9511000496237451], 
     Hue[0.9803096896011888, 1, 0.7929591460251677], 
     Hue[0.5196903103988112, 1, 0.7929591460251677], 
     Hue[0.5069209397040451, 1, 0.9688088387566698], 
     Hue[0.49777018613525903`, 0.9989924038945321, 1], 
     Hue[0.49307905034487376`, 1, 0.9688087406308326], 
     Hue[0.45795212144416014`, 1, 0.8671927341759701], 
     Hue[0.44380509615576974`, 1, 0.960346473964583], 
     Hue[0.3995567699809762, 1, 0.5875978728709447], 
     Hue[0.019690327893004796`, 1, 0.7929588835335644], 
     Hue[0.006920949655126259, 1, 0.9688087406308326], 
     Hue[0.9977701951286178, 0.9989923722063399, 1], 
     Hue[0.9930790602959548, 1, 0.9688088387566698], 
     Hue[0.9579521576822112, 1, 0.8671929456080204], 
     Hue[0.943805143699301, 1, 0.9603466314240114], 
     Hue[0.8995568662245136, 1, 0.5875981985615218], 
     Hue[0.8782811415567497, 1, 0.7586778720863807], 
     Hue[0.5138447304578406, 0.9923766604203905, 1], 
     Hue[0.49182146697959817`, 0.9776308370045292, 1], 
     Hue[0.4861552463021755, 0.9923767346209673, 1], 
     Hue[0.4832749210679517, 0.9362826357191132, 1], 
     Hue[0.4220681147394147, 0.9673806678938568, 1], 
     Hue[0.013844753697824553`, 0.9923767346209673, 1], 
     Hue[0.991821489167225, 0.9776307930515296, 1], 
     Hue[0.9861552695421593, 0.9923766604203905, 1], 
     Hue[0.9832749554137951, 0.936282585251081, 1], 
     Hue[0.9220681744087993, 0.9673805399358066, 1], 
     Hue[0.4729196118128795, 0.8769854784208913, 1], 
     Hue[0.9729196566237852, 0.8769854278630611, 1], 
     Hue[0.6844436333096053, 0.40893988315067986`, 1], 
     Hue[0.8155563666903947, 0.40893988315067986`, 1], 
     Hue[0.0420478785558399, 1, 0.8671927341759701], 
     Hue[0.5748803327333745, 1, 0.5924348195445134], 
     Hue[0.07488025890200031, 1, 0.5924351748961048], 
     Hue[0.3782810502738482, 1, 0.7586776464179494], 
     Hue[0.10044323001902383`, 1, 0.5875978728709447], 
     Hue[0.5420478423177888, 1, 0.8671929456080204], 
     Hue[0.6004431337754863, 1, 0.5875981985615218], 
     Hue[0.40594364305475694`, 0.9121884986686843, 1], 
     Hue[0.4568559541431987, 0.8380831989017281, 1], 
     Hue[0.5000000239631062, 0.812365844467775, 1], 
     Hue[0.5431440979797904, 0.8380832573604831, 1], 
     Hue[0.5940564230413927, 0.9121886059608015, 1], 
     Hue[0.6619760681007574, 1, 0.9887520493943152], 
     Hue[0.9059435769586074, 0.9121886059608015, 1], 
     Hue[0.9568559020202096, 0.8380832573604831, 1], 
     Hue[0.999999976036894, 0.812365844467775, 1], 
     Hue[0.043144045856801407`, 0.8380831989017283, 1], 
     Hue[0.0940563569452432, 0.9121884986686843, 1], 
     Hue[0.16197597779552592`, 1, 0.9887521540267868], 
     Hue[0.5359379961915407, 0.9172684434173861, 1], 
     Hue[0.5805909411375558, 1, 0.9817299235654497], 
     Hue[0.03593795210700374, 0.9172683662358834, 1], 
     Hue[0.08059088054588097, 1, 0.9817300748009239], 
     Hue[0.14790287726216322`, 1, 0.8343073773004992], 
     Hue[0.02687401557644007, 0.9822100407026348, 1], 
     Hue[0.06214049872077442, 1, 0.8888204701421021], 
     Hue[0.6336912810407433, 1, 0.7307432899873209], 
     Hue[0.5688957056181756, 1, 0.9176717048722577], 
     Hue[0.4698994132096161, 0.9625037146782092, 1], 
     Hue[0.4311042399822496, 1, 0.9176715212600537], 
     Hue[0.06889576001775033, 1, 0.9176715212600538], 
     Hue[0.9698994505144818, 0.9625036250500536, 1], 
     Hue[0.9311042943818242, 1, 0.9176717048722574], 
     Hue[0.8663087189592564, 1, 0.7307432899873207], 
     Hue[0.5855853194114606, 0.9838718492420448, 1], 
     Hue[0.5385437421223285, 0.8921615650971741, 1], 
     Hue[0.4614562108411389, 0.8921616359382663, 1], 
     Hue[0.41441461774378263`, 0.9838719849969246, 1], 
     Hue[0.08558538225621733, 0.9838719849969244, 1], 
     Hue[0.038543789158861, 0.8921616359382663, 1], 
     Hue[0.9614562578776714, 0.8921615650971744, 1], 
     Hue[0.9144146805885393, 0.9838718492420451, 1], 
     Hue[0.5451526168543188, 0.809564737961832, 1], 
     Hue[0.4999999748605151, 0.7863540627867158, 1], 
     Hue[0.454847328855493, 0.8095647905478205, 1], 
     Hue[0.40238351632734237`, 0.8755592170583077, 1], 
     Hue[0.3346519419897644, 0.9615317217199577, 1], 
     Hue[0.24999999999999994`, 1, 0.9942487766742008], 
     Hue[0.04515267114450691, 0.8095647905478205, 1], 
     Hue[2.513948484305861*^-8, 0.7863540627867158, 1], 
     Hue[0.9548473831456811, 0.809564737961832, 1], 
     Hue[0.9023835835684463, 0.8755591225051975, 1], 
     Hue[0.8346520302964082, 0.9615316323736689, 1], 
     Hue[0.49999997190647205`, 0.7042844214714741, 1], 
     Hue[0.4498692317955133, 0.7207372248035202, 1], 
     Hue[0.3939187188123724, 0.7658215362816421, 1], 
     Hue[0.3271393138118871, 0.820752705973113, 1], 
     Hue[0.24999999999999994`, 0.8473190086465983, 1], 
     Hue[2.809352785777287*^-8, 0.7042844214714741, 1], 
     Hue[0.94986929130498, 0.7207371878779971, 1], 
     Hue[0.8939187882318499, 0.7658214734953135, 1], 
     Hue[0.8271393971014346, 0.8207526511350203, 1], 
     Hue[0.4462222690158641, 0.6311741767032586, 1], 
     Hue[0.3880349944652815, 0.6606712996967943, 1], 
     Hue[0.32229464455617357`, 0.6947716755277611, 1], 
     Hue[0.24999999999999997`, 0.7105450396871131, 1], 
     Hue[0.9462223322023544, 0.6311741519842802, 1], 
     Hue[0.8880350649377284, 0.6606712595682973, 1], 
     Hue[0.822294724213851, 0.694771642487165, 1], 
     Hue[0.3839693843112108, 0.5638756051613345, 1], 
     Hue[0.31910903833932414`, 0.5845695369327193, 1], 
     Hue[0.24999999999999997`, 0.593837747541335, 1], 
     Hue[0.8839694552865398, 0.5638755802762478, 1], 
     Hue[0.8191091154471425, 0.5845695173183674, 1], 
     Hue[0.3169854482017391, 0.4896969498610688, 1], 
     Hue[0.24999999999999997`, 0.4950973922834838, 1], 
     Hue[0.8169855235408763, 0.48969693834952244`, 1], 
     Hue[0.24999999999999997`, 0.4120666148134864, 1], 
     Hue[0.5000000087470915, 0.9803126309061414, 1], 
     Hue[0.4958860231113611, 1, 0.951100049623745], 
     Hue[0.500000002229238, 0.9987574146509108, 1], 
     Hue[0.9958860178914208, 1, 0.9510999321642346], 
     Hue[0.9999999977707619, 0.9987574146509108, 1], 
     Hue[0.5196903103988112, 1, 0.7929591460251676], 
     Hue[0.5081906226508032, 1, 0.9554371382503939], 
     Hue[0.49999999555881947`, 0.995039352338325, 1], 
     Hue[0.019690327893004803`, 1, 0.7929588835335643], 
     Hue[0.008190633029599508, 1, 0.9554370223266626], 
     Hue[4.441180510156202*^-9, 0.995039352338325, 1], 
     Hue[0.5467821253327839, 1, 0.8395890576360914], 
     Hue[0.5198522583517282, 1, 0.9851552130778995], 
     Hue[0.49999998918893734`, 0.9694199547280606, 1], 
     Hue[0.04678216494704508, 1, 0.8395888273958589], 
     Hue[0.01985228329152492, 1, 0.985155107268411], 
     Hue[1.0811062610817655`*^-8, 0.9694199547280606, 1], 
     Hue[0.6533830788064179, 1, 0.8863586343951234], 
     Hue[0.6653479697035918, 0.9615316323736687, 1], 
     Hue[0.5976164164315536, 0.8755591225051975, 1], 
     Hue[0.1653480580102355, 0.9615317217199577, 1], 
     Hue[0.09761648367265753, 0.8755592170583075, 1], 
     Hue[0.6728606028985653, 0.8207526511350203, 1], 
     Hue[0.60608121176815, 0.7658214734953133, 1], 
     Hue[0.55013070869502, 0.7207371878779971, 1], 
     Hue[0.17286068618811282`, 0.820752705973113, 1], 
     Hue[0.10608128118762755`, 0.7658215362816418, 1], 
     Hue[0.050130768204486684`, 0.7207372248035202, 1], 
     Hue[0.6777052757861489, 0.694771642487165, 1], 
     Hue[0.6119649350622716, 0.6606712595682973, 1], 
     Hue[0.5537776677976455, 0.6311741519842802, 1], 
     Hue[0.4999999697041568, 0.6200690446437569, 1], 
     Hue[0.17770535544382632`, 0.6947716755277611, 1], 
     Hue[0.11196500553471841`, 0.6606712996967943, 1], 
     Hue[0.05377773098413589, 0.6311741767032584, 1], 
     Hue[3.0295843155087565`*^-8, 0.6200690446437569, 1], 
     Hue[0.6808908845528574, 0.5845695173183674, 1], 
     Hue[0.6160305447134601, 0.5638755802762476, 1], 
     Hue[0.5563974647881165, 0.5452414304291993, 1], 
     Hue[0.4999999681002388, 0.5380479415991326, 1], 
     Hue[0.44360246946545606`, 0.5452414463324882, 1], 
     Hue[0.18089096166067578`, 0.5845695369327193, 1], 
     Hue[0.1160306156887891, 0.5638756051613343, 1], 
     Hue[0.05639753053454387, 0.5452414463324882, 1], 
     Hue[3.189976113090976*^-8, 0.5380479415991326, 1], 
     Hue[0.9436025352118834, 0.5452414304291993, 1], 
     Hue[0.6830144764591235, 0.48969693834952244`, 1], 
     Hue[0.6188319276091385, 0.4773558131160518, 1], 
     Hue[0.5582537799352596, 0.4659046088126122, 1], 
     Hue[0.4999999669519214, 0.4613973450172879, 1], 
     Hue[0.4417461525473824, 0.4659046187236633, 1], 
     Hue[0.38116800117674593`, 0.4773558281934711, 1], 
     Hue[0.18301455179826084`, 0.4896969498610688, 1], 
     Hue[0.11883199882325397`, 0.4773558281934711, 1], 
     Hue[0.05825384745261748, 0.4659046187236633, 1], 
     Hue[3.304807858922426*^-8, 0.4613973450172879, 1], 
     Hue[0.9417462200647403, 0.4659046088126122, 1], 
     Hue[0.8811680723908614, 0.4773558131160518, 1], 
     Hue[0.6844436333096056, 0.40893988315067986`, 1], 
     Hue[0.6207596129469122, 0.4016755324024688, 1], 
     Hue[0.5595566830320202, 0.39478537861474927`, 1], 
     Hue[0.4999999661398119, 0.39203353094340243`, 1], 
     Hue[0.44044324822953373`, 0.3947853846409801, 1], 
     Hue[0.3792403157258987, 0.40167554137931716`, 1], 
     Hue[0.3155562925718427, 0.4089398898492742, 1], 
     Hue[0.1844437074281572, 0.4089398898492742, 1], 
     Hue[0.1207596842741012, 0.40167554137931716`, 1], 
     Hue[0.059556751770466175`, 0.3947853846409801, 1], 
     Hue[3.386018803165456*^-8, 0.39203353094340243`, 1], 
     Hue[0.9404433169679796, 0.39478537861474927`, 1], 
     Hue[0.8792403870530877, 0.4016755324024688, 1], 
     Hue[0.8155563666903943, 0.40893988315067986`, 1], 
     Hue[0.41501335973580344`, 1, 0.5474087790813144], 
     Hue[0.584986728776365, 1, 0.5474084150317008], 
     Hue[0.9150132712236352, 1, 0.5474084150317013], 
     Hue[0.08498664026419665, 1, 0.547408779081314], 
     Hue[0.3380240222044742, 1, 0.9887521540267868], 
     Hue[0.8380239318992426, 1, 0.9887520493943153], 
     Hue[0.75, 1, 0.9364831117820818], 
     Hue[0.41940911945411913`, 1, 0.981730074800924], 
     Hue[0.4378595012792256, 1, 0.8888204701421022], 
     Hue[0.6479029741225026, 1, 0.8343072120388881], 
     Hue[0.8520970258774975, 1, 0.8343072120388882], 
     Hue[0.9194090588624442, 1, 0.98172992356545], 
     Hue[0.9378594510002716, 1, 0.8888202702880116], 
     Hue[0.3755095965350994, 1, 0.680501361028226], 
     Hue[0.4617725282225999, 1, 0.8200437723047773], 
     Hue[0.47312598442356, 0.9822100407026346, 1], 
     Hue[0.8755094955219498, 1, 0.6805011082785645], 
     Hue[0.9617724952142501, 1, 0.8200435289837914], 
     Hue[0.9731259509545341, 0.9822101361891469, 1], 
     Hue[0.49007863880235514`, 1, 0.7859933060751055], 
     Hue[0.5160910010037338, 1, 0.9725547415935153], 
     Hue[0.990078629920011, 1, 0.7859930384464683], 
     Hue[0.016090980716813842`, 1, 0.9725548516056018], 
     Hue[0.509921370079989, 1, 0.7859930384464681], 
     Hue[0.009921361197644923, 1, 0.7859933060751052], 
     Hue[0.3466168265358859, 1, 0.8863584920605473], 
     Hue[0.153383173464114, 1, 0.8863584920605476], 
     Hue[0.75, 1, 0.7485142536632096], 
     Hue[0.526874049045466, 0.9822101361891471, 1], 
     Hue[0.7500000000000001, 1, 0.5400776550279889], 
     Hue[0.4839090192831862, 1, 0.9725548516056021], 
     Hue[0.983908998996266, 1, 0.9725547415935156], 
     Hue[0.4803096721069952, 1, 0.7929588835335639], 
     Hue[0.9803096896011887, 1, 0.7929591460251673], 
     Hue[0.45321783505295493`, 1, 0.8395888273958587], 
     Hue[0.399556769980976, 1, 0.5875978728709441], 
     Hue[0.953217874667216, 1, 0.839589057636091], 
     Hue[0.8995568662245135, 1, 0.5875981985615212], 
     Hue[0.24999999999999994`, 1, 0.8135691241062836], 
     Hue[0.5000000198071289, 0.8836539798614904, 1], 
     Hue[0.9999999801928711, 0.8836539798614904, 1], 
     Hue[0.5000000146989265, 0.9410079812859167, 1], 
     Hue[0.9999999853010735, 0.9410079812859167, 1], 
     Hue[0.5041139821085792, 1, 0.9510999321642345], 
     Hue[0.004113976888638939, 1, 0.9511000496237448], 
     Hue[0.4918093669704005, 1, 0.9554370223266622], 
     Hue[0.9918093773491967, 1, 0.9554371382503938], 
     Hue[0.4801477167084751, 1, 0.9851551072684108], 
     Hue[0.9801477416482717, 1, 0.9851552130778994], 
     Hue[0.5301005494855182, 0.9625036250500534, 1], 
     Hue[0.4999999834958158, 0.9237159413430911, 1], 
     Hue[0.030100586790383903`, 0.9625037146782092, 1], 
     Hue[1.6504184157299914`*^-8, 0.9237159413430911, 1], 
     Hue[0.24999999999999958`, 1, 0.15874215646973164`], 
     Hue[0.24999999999999983`, 1, 0.39156511407076955`], 
     Hue[0.4640620478929963, 0.9172683662358831, 1], 
     Hue[0.9640620038084594, 0.9172684434173859, 1], 
     Hue[0.546418107232664, 1, 0.48741775311083735`], 
     Hue[0.04641816287058725, 1, 0.487417321402136], 
     Hue[0.13369138145407344`, 1, 0.7307430696117607], 
     Hue[0.4535818371294127, 1, 0.48741732140213534`], 
     Hue[0.9535818927673358, 1, 0.4874177531108369], 
     Hue[0.7500000000000002, 1, 0.3150449117838611], 
     Hue[0.47619575544269505`, 1, 0.47098502258732966`], 
     Hue[0.7500000000000009, 1, 0.07952561171851509], 
     Hue[0.9761957256743218, 1, 0.4709845696681497], 
     Hue[0.4999999787009451, 0.8612057345017265, 1], 
     Hue[2.129905489699939*^-8, 0.8612057345017265, 1], 
     Hue[0.5382275047857499, 1, 0.820043528983791], 
     Hue[0.12449040346490071`, 1, 0.6805013610282257], 
     Hue[0.03822747177740016, 1, 0.8200437723047772], 
     Hue[0.3520971227378369, 1, 0.8343073773004993], 
     Hue[0.5621405489997284, 1, 0.8888202702880111], 
     Hue[0.6244905044780502, 1, 0.680501108278564], 
     Hue[0.5238042743256781, 1, 0.470984569668149], 
     Hue[0.023804244557305034`, 1, 0.47098502258732916`], 
     Hue[0.36630861854592645`, 1, 0.7307430696117603], 
     Hue[0.846616921193582, 1, 0.8863586343951234], 
     Hue[0.2499999999999999, 1, 0.6116401864956158], 
     Hue[0.10044323001902387`, 1, 0.5875978728709446], 
     Hue[0.6004431337754864, 1, 0.5875981985615215]},
   VertexNormals->CompressedData["
1:eJxsnHc8lf///2W1rIwkGopIQwMZdV4NI1FRiiTKaBdlJSllK6OSkJERSlKU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    "]],
  Axes->True,
  BoxRatios->{1, 1, 0.4},
  Lighting->"Neutral",
  Method->{"RotationControl" -> "Globe"},
  PlotRange->
   NCache[{{-Pi, Pi}, {-1, 2}, {0., 
     3.7556084880340728`}}, {{-3.141592653589793, 3.141592653589793}, {-1, 
     2}, {0., 3.7556084880340728`}}],
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{
  3.391781838262706*^9, 3.391784651765112*^9, 3.391785941821699*^9, 
   3.391789397533483*^9, 3.39184537184375*^9, {3.391848283109375*^9, 
   3.391848303546875*^9}, 3.3924723306915092`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell["\<\
There are list-plot versions of the commands introduced above. \
\>", "MathCaption"],

Cell[BoxData[
 FormBox[
  StyleBox[
   FrameBox[
    StyleBox[GridBox[{
       {
        RowBox[{
         StyleBox[
          RowBox[{"Q", 
           StyleBox["ListComplexDensityPlot",
            FontFamily->"Courier"]}]], 
         StyleBox["[",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["array",
          FontSlant->"Italic"], 
         StyleBox["]",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}]}], 
        RowBox[{
         StyleBox["generate",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["a",
          FontSlant->"Plain",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["two",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["dimensional",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["ColorDensityGraphics",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["of",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["a",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["  ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["two",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["dimensional",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["array",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["of",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["complex",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[
          RowBox[{"numbers", ".", " ", "Similar"}],
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["to",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         RowBox[{
          StyleBox[
           RowBox[{"List", 
            StyleBox["DensityPlot",
             GridBoxOptions->{
             GridBoxDividers->{
              "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
               "Rows" -> {{False}}, "RowsIndexed" -> {}}}]}]], 
          StyleBox[".",
           GridBoxOptions->{
           GridBoxDividers->{
            "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
             "Rows" -> {{False}}, "RowsIndexed" -> {}}}]}]}]},
       {
        RowBox[{
         StyleBox[
          RowBox[{"Q", 
           StyleBox["ListComplexContourPlot",
            FontFamily->"Courier"]}]], 
         StyleBox["[",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["array",
          FontSlant->"Italic"], 
         StyleBox["]",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}]}], 
        RowBox[{"combines", " ", 
         StyleBox["a",
          FontSlant->"Plain"], " ", "ComplexDensityPlot", " ", "of", " ", 
         StyleBox["an",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["array",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], " ", "with", " ", 
         StyleBox["a",
          FontSlant->"Plain"], " ", "ContourPlot", " ", "of", " ", 
         RowBox[{
          RowBox[{
           StyleBox["Abs",
            FontFamily->"Courier"], "[", 
           StyleBox["array",
            FontSlant->"Italic",
            GridBoxOptions->{
            GridBoxDividers->{
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {{False}}, "RowsIndexed" -> {}}}], "]"}], "."}]}]},
       {
        RowBox[{
         StyleBox[
          RowBox[{"Q", 
           StyleBox["ListComplexPlot3D",
            FontFamily->"Courier",
            GridBoxOptions->{
            GridBoxDividers->{
             "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
              "Rows" -> {{False}}, "RowsIndexed" -> {}}}]}]], 
         StyleBox["[",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["array",
          FontSlant->"Italic"], 
         StyleBox["]",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}]}], 
        RowBox[{"generates", " ", 
         StyleBox["a",
          FontSlant->"Plain"], " ", "two", " ", "dimensional", " ", 
         "SurfaceGraphics", " ", 
         StyleBox["of",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["a",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["two",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["dimensional",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["array",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["of",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["complex",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[
          RowBox[{"numbers", "."}],
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}]}]}
      },
      GridBoxAlignment->{
       "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}],
     GridBoxOptions->{
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}}}]], "2ColumnBox"], TraditionalForm]], "Text",
 CellChangeTimes->{{3.391785970097829*^9, 3.391785980031558*^9}},
 SingleLetterItalics->False,
 CellTags->"ListComplexPlot"],

Cell[TextData[{
 "The array has to be of the form {{",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "11"], TraditionalForm]]],
 ",",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "12"], TraditionalForm]]],
 ",...,",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", 
    RowBox[{"1", "n"}]], TraditionalForm]]],
 "},...,{",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "m1"], TraditionalForm]]],
 ",",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "m2"], TraditionalForm]]],
 ",...,",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "mn"], TraditionalForm]]],
 "}}, where the ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["z", "ij"], TraditionalForm]]],
 " are complex numbers."
}], "Text"],

Cell["This generates a two-dimensional table of complex values. ", \
"MathCaption"],

Cell[BoxData[
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"BesselJ", "[", 
       RowBox[{"0", ",", 
        RowBox[{"x", " ", "+", " ", 
         RowBox[{"I", " ", "y"}]}]}], "]"}], " ", "+", " ", 
      RowBox[{"I", " ", 
       RowBox[{"BesselY", "[", 
        RowBox[{"0", ",", 
         RowBox[{"x", " ", "+", " ", 
          RowBox[{"I", " ", "y"}]}]}], "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "1.5"}], ",", "1.5", ",", ".125"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "3."}], ",", "1.", ",", ".1"}], "}"}]}], "]"}]}], 
  ";"}]], "Input"],

Cell["\<\
Display the table with ListComplexDensityPlot. We use options for fine-tuning \
the visualization. \
\>", "MathCaption"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QListComplexDensityPlot", "[", 
  RowBox[{"A", ",", 
   RowBox[{"Mesh", "\[Rule]", "False"}], ",", 
   RowBox[{"DataRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1.5`"}], ",", "1.5`"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", 
    FractionBox["3", "4"]}]}], "]"}]], "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJx1mnv4n2Mdxx/GhFQ66fBHqdQ2o1IiWW0OmXQii5TaZDqTklTMb2oqpElO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   "], {{-3, -1.5}, {1, 1.5}}, {1, 256},
   ColorFunction->Hue],
  AlignmentPoint->Center,
  AspectRatio->NCache[
    Rational[3, 4], 0.75],
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->True,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->Automatic,
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{
  3.391781838569378*^9, 3.391784652126748*^9, 3.391786009543201*^9, 
   3.391789402353837*^9, 3.391845404015625*^9, {3.39184828621875*^9, 
   3.39184831334375*^9}, 3.392472332076209*^9}]
}, Open  ]],

Cell[TextData[{
 "The graphic above shows  the Hankel function ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["J", "0"], TraditionalForm]]],
 " + i ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Y", "0"], TraditionalForm]]],
 ". We see the approximate positions of a zero in the lower half plane, the \
pole at the origin, and the branch cut along the negative real axis."
}], "Text"],

Cell["\<\
The commands ColorDensityPlot and ListColorDensityPlot generate a Graphics \
object.\
\>", "MathCaption",
 CellChangeTimes->{{3.3918454363125*^9, 3.391845448015625*^9}}],

Cell["\<\
RM: The previous approach of converting different graphics objects is not \
possible anymore since Graphics is returned now from operatings like \
ListDensityPlot etc. .
However, the same result as Show[SurfaceGraphics[gr], AspectRatio -> \
Automatic, Axes -> True] can be obtained with QComplexPlot3D:\
\>", "Program",
 CellChangeTimes->{{3.391787269791473*^9, 3.391787339462096*^9}, {
  3.39184546365625*^9, 3.39184555059375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"gr1", "=", " ", 
  RowBox[{"QComplexDensityPlot", "[", 
   RowBox[{
    RowBox[{"3", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "+", 
        RowBox[{"I", " ", "y"}]}], ")"}], "^", "2"}], " ", 
     RowBox[{"Exp", "[", 
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"x", "^", "2"}], "+", 
         RowBox[{"y", "^", "2"}]}], ")"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJxt2WmIllUUB/AnIrJoaCFbpMgpCLIIbcIW/fAGmhUWLVYQVGPFUCFTUrR8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     "], {{-2, -2}, {2, 2}}, {1, 256},
     ColorFunction->Hue], 
    {GrayLevel[0], LineBox[{{-2, -2}, {-2, 2}}], 
     LineBox[NCache[{{Rational[-46, 25], -2}, {
        Rational[-46, 25], 2}}, {{-1.84, -2}, {-1.84, 2}}]], 
     LineBox[NCache[{{Rational[-42, 25], -2}, {
        Rational[-42, 25], 2}}, {{-1.68, -2}, {-1.68, 2}}]], 
     LineBox[NCache[{{Rational[-38, 25], -2}, {
        Rational[-38, 25], 2}}, {{-1.52, -2}, {-1.52, 2}}]], 
     LineBox[NCache[{{Rational[-34, 25], -2}, {
        Rational[-34, 25], 2}}, {{-1.36, -2}, {-1.36, 2}}]], 
     LineBox[NCache[{{Rational[-6, 5], -2}, {
        Rational[-6, 5], 2}}, {{-1.2, -2}, {-1.2, 2}}]], 
     LineBox[NCache[{{Rational[-26, 25], -2}, {
        Rational[-26, 25], 2}}, {{-1.04, -2}, {-1.04, 2}}]], 
     LineBox[NCache[{{Rational[-22, 25], -2}, {
        Rational[-22, 25], 2}}, {{-0.88, -2}, {-0.88, 2}}]], 
     LineBox[NCache[{{Rational[-18, 25], -2}, {
        Rational[-18, 25], 2}}, {{-0.72, -2}, {-0.72, 2}}]], 
     LineBox[NCache[{{Rational[-14, 25], -2}, {
        Rational[-14, 25], 2}}, {{-0.56, -2}, {-0.56, 2}}]], 
     LineBox[NCache[{{Rational[-2, 5], -2}, {
        Rational[-2, 5], 2}}, {{-0.4, -2}, {-0.4, 2}}]], 
     LineBox[NCache[{{Rational[-6, 25], -2}, {
        Rational[-6, 25], 2}}, {{-0.24, -2}, {-0.24, 2}}]], 
     LineBox[NCache[{{Rational[-2, 25], -2}, {
        Rational[-2, 25], 2}}, {{-0.08, -2}, {-0.08, 2}}]], 
     LineBox[NCache[{{Rational[2, 25], -2}, {Rational[2, 25], 2}}, {{
        0.08, -2}, {0.08, 2}}]], 
     LineBox[NCache[{{Rational[6, 25], -2}, {Rational[6, 25], 2}}, {{
        0.24, -2}, {0.24, 2}}]], 
     LineBox[NCache[{{Rational[2, 5], -2}, {Rational[2, 5], 2}}, {{0.4, -2}, {
        0.4, 2}}]], 
     LineBox[NCache[{{Rational[14, 25], -2}, {Rational[14, 25], 2}}, {{
        0.56, -2}, {0.56, 2}}]], 
     LineBox[NCache[{{Rational[18, 25], -2}, {Rational[18, 25], 2}}, {{
        0.72, -2}, {0.72, 2}}]], 
     LineBox[NCache[{{Rational[22, 25], -2}, {Rational[22, 25], 2}}, {{
        0.88, -2}, {0.88, 2}}]], 
     LineBox[NCache[{{Rational[26, 25], -2}, {Rational[26, 25], 2}}, {{
        1.04, -2}, {1.04, 2}}]], 
     LineBox[NCache[{{Rational[6, 5], -2}, {Rational[6, 5], 2}}, {{1.2, -2}, {
        1.2, 2}}]], 
     LineBox[NCache[{{Rational[34, 25], -2}, {Rational[34, 25], 2}}, {{
        1.36, -2}, {1.36, 2}}]], 
     LineBox[NCache[{{Rational[38, 25], -2}, {Rational[38, 25], 2}}, {{
        1.52, -2}, {1.52, 2}}]], 
     LineBox[NCache[{{Rational[42, 25], -2}, {Rational[42, 25], 2}}, {{
        1.68, -2}, {1.68, 2}}]], 
     LineBox[NCache[{{Rational[46, 25], -2}, {Rational[46, 25], 2}}, {{
        1.84, -2}, {1.84, 2}}]], LineBox[{{2, -2}, {2, 2}}], 
     LineBox[{{-2, -2}, {2, -2}}], 
     LineBox[NCache[{{-2, Rational[-46, 25]}, {
        2, Rational[-46, 25]}}, {{-2, -1.84}, {2, -1.84}}]], 
     LineBox[NCache[{{-2, Rational[-42, 25]}, {
        2, Rational[-42, 25]}}, {{-2, -1.68}, {2, -1.68}}]], 
     LineBox[NCache[{{-2, Rational[-38, 25]}, {
        2, Rational[-38, 25]}}, {{-2, -1.52}, {2, -1.52}}]], 
     LineBox[NCache[{{-2, Rational[-34, 25]}, {
        2, Rational[-34, 25]}}, {{-2, -1.36}, {2, -1.36}}]], 
     LineBox[NCache[{{-2, Rational[-6, 5]}, {
        2, Rational[-6, 5]}}, {{-2, -1.2}, {2, -1.2}}]], 
     LineBox[NCache[{{-2, Rational[-26, 25]}, {
        2, Rational[-26, 25]}}, {{-2, -1.04}, {2, -1.04}}]], 
     LineBox[NCache[{{-2, Rational[-22, 25]}, {
        2, Rational[-22, 25]}}, {{-2, -0.88}, {2, -0.88}}]], 
     LineBox[
      NCache[{{-2, Rational[-18, 25]}, {
        2, Rational[-18, 25]}}, {{-2, -0.72}, {2, -0.72}}]], 
     LineBox[NCache[{{-2, Rational[-14, 25]}, {
        2, Rational[-14, 25]}}, {{-2, -0.56}, {2, -0.56}}]], 
     LineBox[NCache[{{-2, Rational[-2, 5]}, {
        2, Rational[-2, 5]}}, {{-2, -0.4}, {2, -0.4}}]], 
     LineBox[NCache[{{-2, Rational[-6, 25]}, {
        2, Rational[-6, 25]}}, {{-2, -0.24}, {2, -0.24}}]], 
     LineBox[NCache[{{-2, Rational[-2, 25]}, {
        2, Rational[-2, 25]}}, {{-2, -0.08}, {2, -0.08}}]], 
     LineBox[NCache[{{-2, Rational[2, 25]}, {
        2, Rational[2, 25]}}, {{-2, 0.08}, {2, 0.08}}]], 
     LineBox[NCache[{{-2, Rational[6, 25]}, {
        2, Rational[6, 25]}}, {{-2, 0.24}, {2, 0.24}}]], 
     LineBox[NCache[{{-2, Rational[2, 5]}, {2, Rational[2, 5]}}, {{-2, 0.4}, {
        2, 0.4}}]], 
     LineBox[NCache[{{-2, Rational[14, 25]}, {
        2, Rational[14, 25]}}, {{-2, 0.56}, {2, 0.56}}]], 
     LineBox[NCache[{{-2, Rational[18, 25]}, {
        2, Rational[18, 25]}}, {{-2, 0.72}, {2, 0.72}}]], 
     LineBox[NCache[{{-2, Rational[22, 25]}, {
        2, Rational[22, 25]}}, {{-2, 0.88}, {2, 0.88}}]], 
     LineBox[NCache[{{-2, Rational[26, 25]}, {
        2, Rational[26, 25]}}, {{-2, 1.04}, {2, 1.04}}]], 
     LineBox[NCache[{{-2, Rational[6, 5]}, {2, Rational[6, 5]}}, {{-2, 1.2}, {
        2, 1.2}}]], 
     LineBox[NCache[{{-2, Rational[34, 25]}, {
        2, Rational[34, 25]}}, {{-2, 1.36}, {2, 1.36}}]], 
     LineBox[NCache[{{-2, Rational[38, 25]}, {
        2, Rational[38, 25]}}, {{-2, 1.52}, {2, 1.52}}]], 
     LineBox[NCache[{{-2, Rational[42, 25]}, {
        2, Rational[42, 25]}}, {{-2, 1.68}, {2, 1.68}}]], 
     LineBox[NCache[{{-2, Rational[46, 25]}, {
        2, Rational[46, 25]}}, {{-2, 1.84}, {2, 1.84}}]], 
     LineBox[{{-2, 2}, {2, 2}}]}},
   AlignmentPoint->Center,
   AspectRatio->1,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->Automatic,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->Automatic,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{
  3.391781838691593*^9, 3.3917846522978687`*^9, 3.391784755394143*^9, 
   3.391786059645857*^9, 3.391786535433852*^9, 3.391787242322015*^9, {
   3.391789405329451*^9, 3.391789416316358*^9}, {3.391848287140625*^9, 
   3.39184831365625*^9}, 3.392472332372587*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QComplexPlot3D", "[", 
  RowBox[{
   RowBox[{"3", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", "+", 
       RowBox[{"I", " ", "y"}]}], ")"}], "^", "2"}], " ", 
    RowBox[{"Exp", "[", 
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "+", 
        RowBox[{"y", "^", "2"}]}], ")"}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.39178711743268*^9, 3.391787119266129*^9}, {
   3.391787163622381*^9, 3.391787164635602*^9}, 3.391787345469273*^9}],

Cell[BoxData[
 Graphics3DBox[GraphicsComplex3DBox[CompressedData["
1:eJx9nXm80GP2x2MoZJcpeyqVWTCUZZRD2SpbwtgNiULDz1hGdlJqMEm2iKxF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   "], {{
     {EdgeForm[None], GraphicsGroup3DBox[{Polygon3DBox[CompressedData["
1:eJxFnHccV9Mbx+/37vtNSihEGlRkJBmlYSRklJEkkcoeESU7kU3IXkkhlD0i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         "]], Polygon3DBox[CompressedData["
1:eJw1nHngT8X3xu++fJRUiqJCaNOiRWhPKJJC2hTZIkUSiYQWpVBJqbRKm/ZV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         "]], Polygon3DBox[CompressedData["
1:eJwt1wm8zlUex/Gn7r2e+0hokrKTprSRSZs9hSgRRVGqK4qyZMku1xoiFRUR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         "]], 
        Polygon3DBox[{{2483, 1786, 1785, 2482, 1680, 
         1681}}]}]}, {}, {}, {}}, {
     Line3DBox[{702, 1, 604, 261, 1690, 16, 1704, 31, 1717, 46, 1728, 61, 
      1743, 76, 1757, 91, 1773, 1774, 106, 1792, 121, 1796, 136, 1802, 151, 
      1808, 166, 1823, 181, 1838, 196, 2090, 399, 748, 211, 700, 454, 1028, 
      212, 1029, 213, 1030, 214, 1031, 215, 1032, 216, 1033, 217, 1034, 1035, 
      218, 1036, 219, 1037, 220, 1038, 221, 1039, 222, 1040, 223, 1041, 224, 
      1360, 401, 749, 225, 701, 455, 1865, 210, 1851, 195, 1836, 180, 1821, 
      165, 1806, 150, 1800, 135, 1794, 120, 1790, 1789, 105, 1770, 90, 1755, 
      75, 1741, 60, 1726, 45, 1716, 30, 1978, 269, 703, 15, 665, 405, 898, 14,
       896, 13, 894, 12, 892, 11, 890, 10, 888, 9, 886, 8, 883, 882, 7, 880, 
      6, 879, 5, 878, 4, 876, 3, 874, 2, 1361, 402, 702}], {
      Line3DBox[{1690, 1974, 1042, 1689, 2484, 1866, 1691, 1975, 1976, 2597, 
       1867, 1692, 2433, 2485, 2092, 1868, 1693, 2435, 2486, 2093, 1869, 1694,
        2487, 1870, 1695, 2488, 2384, 2539, 1696, 2489, 1871, 1697, 2490, 
       1872, 1698, 2491, 1873, 1699, 2492, 1874, 1700, 2493, 1875, 1701, 2494,
        1876, 1702, 2598, 1977, 1877, 1978}], 
      Line3DBox[{1704, 2385, 2540, 1703, 1979, 1981, 1055, 1980, 1938, 1982, 
       2599, 1878, 1705, 2434, 2495, 1879, 1706, 2436, 2496, 1880, 1707, 2497,
        1881, 1708, 2498, 2386, 2541, 1709, 2387, 2542, 1710, 2499, 1882, 
       1711, 2500, 1883, 1712, 2501, 1884, 1713, 2502, 1885, 1714, 2503, 1886,
        1715, 2504, 1887, 1716}], 
      Line3DBox[{1717, 1983, 2388, 2600, 1984, 1939, 2389, 2591, 1985, 1940, 
       1069, 1718, 2505, 1888, 1719, 2601, 1986, 1987, 1889, 1720, 2602, 1989,
        1990, 1890, 2335, 1633, 1992, 2094, 2280, 2281, 2659, 2279, 2336, 
       1995, 2096, 2283, 2604, 2468, 2282, 1998, 1999, 2390, 2605, 1721, 2357,
        2358, 1074, 1722, 2506, 1891, 1723, 2507, 1892, 1724, 2508, 1893, 
       1725, 2509, 1894, 1726}], 
      Line3DBox[{1728, 2001, 2002, 2624, 1727, 2003, 2004, 2606, 1729, 2391, 
       2543, 1730, 1241, 2005, 1731, 2592, 1941, 1988, 1942, 2222, 2221, 1732,
        2458, 2593, 2317, 1943, 1991, 1944, 2224, 2223, 1733, 2459, 2603, 
       2318, 1993, 2095, 1994, 1438, 1734, 2170, 1996, 2097, 1997, 2640, 2453,
        1735, 2152, 1945, 2000, 1946, 2678, 2350, 1736, 2360, 2300, 2359, 
       2301, 2668, 1737, 2479, 2544, 2361, 1738, 2510, 1895, 1739, 2511, 1896,
        1740, 2512, 1897, 1741}], 
      Line3DBox[{1743, 2014, 2015, 2625, 1742, 2016, 2017, 2608, 1744, 2018, 
       2545, 2437, 1745, 2426, 2607, 2006, 1947, 2187, 2188, 2153, 1175, 2007,
        1948, 2171, 2154, 1746, 2449, 2594, 2172, 1949, 2008, 1950, 2155, 
       1747, 2654, 2266, 2009, 2098, 2010, 2186, 2609, 1748, 2267, 2011, 2099,
        2012, 1463, 1749, 2156, 1951, 2013, 1952, 2660, 2284, 1750, 2311, 
       1953, 2310, 2546, 2427, 2351, 1751, 2363, 2472, 2679, 2362, 2302, 1752,
        2392, 2547, 1753, 2513, 1898, 1754, 2514, 1899, 1755}], 
      Line3DBox[{1757, 2393, 2548, 1756, 2394, 2549, 1758, 2023, 2550, 2438, 
       1759, 2225, 2226, 2645, 2019, 2158, 2157, 1760, 2159, 2160, 2635, 2020,
        2162, 2161, 1761, 1427, 2163, 2021, 1954, 1762, 2610, 2022, 2100, 
       2190, 2189, 2661, 1763, 2285, 2286, 2227, 2320, 2319, 2611, 1764, 1955,
        2212, 2457, 2644, 2217, 1765, 2218, 2219, 2213, 2551, 2288, 2287, 
       1766, 2313, 2314, 2670, 2312, 1956, 1767, 2439, 2552, 2026, 1768, 1102,
        1769, 2515, 1900, 1770}], 
      Line3DBox[{1774, 2516, 1901, 1772, 2366, 2517, 1902, 2367, 2027, 2297, 
       2475, 2666, 1903, 2321, 2173, 2636, 2450, 2137, 2142, 1904, 2337, 2268,
        2656, 2465, 2107, 1905, 2106, 2466, 2657, 2338, 2269, 2108, 2196, 
       2291, 1906, 2028, 2461, 2647, 2270, 2230, 2109, 2201, 2292, 1106, 2325,
        2234, 2271, 2235, 2110, 2202, 2293, 2664, 1907, 2029, 2237, 2272, 
       2238, 2111, 2470, 2626, 2294, 1908, 2228, 2025, 2112, 2467, 2627, 1909,
        2273, 2178, 2179, 2518, 2138, 2143, 1910, 2340, 2339, 2675, 2476, 
       2298, 1911, 1786, 2483, 2519, 2377, 1912, 1788, 2521, 1914, 1790}], 
      Line3DBox[{1789, 1913, 2520, 1787, 2376, 2556, 2482, 1785, 2030, 2295, 
       2471, 2665, 2296, 1784, 2205, 2206, 2136, 2637, 2177, 2176, 1783, 2203,
        2204, 2555, 2105, 2024, 1782, 2229, 2646, 2460, 2104, 2240, 2239, 
       1781, 2463, 2649, 2236, 2103, 2200, 2199, 1780, 2663, 2197, 2198, 2102,
        2231, 1514, 1779, 2323, 2324, 2322, 2356, 2672, 2477, 1778, 2174, 
       2175, 2135, 2454, 2632, 2195, 1777, 2193, 2194, 2101, 2655, 2192, 2191,
        1776, 2290, 2662, 2469, 2289, 2369, 2368, 1775, 2480, 2554, 2365, 
       1771, 2553, 2395, 1773}], 
      Line3DBox[{1792, 2396, 2557, 1791, 2370, 2522, 1915, 2371, 2031, 2341, 
       2676, 2342, 2364, 1916, 2343, 2274, 2275, 2523, 2139, 2144, 1917, 2326,
        2241, 2242, 2524, 2032, 1918, 2232, 2462, 2648, 2233, 2034, 2243, 
       1919, 2033, 2612, 2244, 2245, 2113, 2246, 2397, 2650, 2327, 2247, 2248,
        2114, 2250, 1112, 2036, 2330, 2331, 2329, 2478, 2673, 1920, 2038, 
       2180, 2181, 2140, 2658, 2276, 1921, 2277, 2252, 2253, 2525, 2039, 2251,
        1922, 2115, 2346, 2347, 2526, 2345, 2373, 1923, 2372, 2481, 2527, 
       1924, 1793, 2528, 1925, 1794}], 
      Line3DBox[{1796, 2398, 2558, 1795, 2399, 2559, 1797, 2040, 2529, 1926, 
       2041, 2428, 2530, 2303, 2332, 2333, 2042, 2254, 2429, 2531, 2215, 2304,
        2305, 2214, 2643, 2315, 1957, 2220, 1927, 2043, 2614, 2328, 2035, 
       2249, 2255, 2256, 2674, 2044, 2257, 2037, 2116, 2400, 2613, 2344, 1958,
        2047, 1408, 2145, 2046, 2164, 1959, 2182, 2633, 2146, 2147, 2048, 
       2165, 2430, 2651, 2260, 2258, 2259, 2117, 2440, 2532, 1928, 1798, 2533,
        1929, 1799, 2534, 1930, 1800}], 
      Line3DBox[{1802, 2401, 2560, 1801, 2402, 2561, 1803, 1123, 1804, 2473, 
       2535, 1931, 2316, 2671, 1960, 2308, 2352, 2353, 2216, 2464, 2652, 1961,
        2050, 2148, 2149, 2118, 1558, 2049, 2119, 2208, 2209, 2641, 2052, 
       2278, 2045, 2121, 2210, 2615, 2455, 2141, 2166, 1962, 2058, 2448, 2639,
        2184, 2150, 2057, 2167, 2185, 1963, 2061, 1414, 2151, 2060, 2261, 
       2431, 2536, 2124, 1932, 2123, 2628, 2063, 1933, 1805, 2617, 2065, 1934,
        2126, 2629, 2066, 1935, 1806}], 
      Line3DBox[{1808, 2403, 2562, 1807, 2404, 2563, 1809, 2405, 2564, 1810, 
       1129, 1811, 2669, 2306, 2309, 2307, 2354, 1812, 2474, 2595, 1964, 2051,
        1965, 2207, 1813, 2451, 2616, 2053, 2120, 2054, 2638, 2452, 1814, 
       2183, 2055, 2122, 2056, 2263, 2653, 2456, 1815, 2168, 2264, 1966, 2059,
        1967, 2634, 2334, 2169, 1816, 2262, 2265, 1968, 2062, 1969, 2642, 
       2211, 1817, 1324, 2125, 2064, 1818, 2537, 1936, 1819, 2620, 2076, 2077,
        1820, 2621, 2078, 2079, 1821}], 
      Line3DBox[{1823, 2406, 2565, 1822, 2407, 2566, 1824, 2408, 2567, 1825, 
       2409, 2568, 1826, 1138, 1827, 2618, 2067, 2127, 2068, 1828, 2677, 2348,
        2069, 2355, 2070, 2299, 2667, 1829, 2349, 2071, 2128, 2072, 1587, 
       1830, 2073, 2129, 2074, 2619, 1831, 2075, 2130, 2569, 2441, 1832, 2410,
        2570, 1833, 1206, 1970, 1834, 2596, 1971, 1972, 1835, 2623, 2081, 
       2082, 1836}], 
      Line3DBox[{1838, 2411, 2571, 1837, 2412, 2572, 1839, 2413, 2573, 1840, 
       2414, 2574, 1841, 2415, 2575, 1842, 1149, 1843, 2680, 2374, 2375, 2380,
        2379, 2682, 1844, 2382, 2383, 2381, 2378, 2681, 1845, 2416, 2576, 
       1846, 2084, 2577, 2442, 1847, 2444, 2578, 2086, 1848, 2432, 2622, 2080,
        1973, 1849, 1346, 2131, 2083, 1850, 2538, 1937, 1851}], 
      Line3DBox[{1865, 2091, 1358, 1864, 2590, 2425, 1863, 2088, 2134, 2631, 
       2446, 1862, 2087, 2133, 2630, 2445, 1861, 2443, 2589, 2132, 2085, 1860,
        2588, 2424, 1859, 2587, 2423, 1858, 2586, 2585, 2422, 1857, 2584, 
       2421, 1856, 2583, 2420, 1855, 2582, 2419, 1854, 2581, 2418, 1853, 2580,
        2417, 1852, 2447, 2579, 2089, 2090}]}, {
      Line3DBox[{874, 1043, 2484, 875, 1224, 1225, 1055, 901, 1168, 1228, 
       2591, 1068, 916, 1240, 2606, 1080, 928, 1249, 2608, 1089, 938, 2549, 
       1097, 948, 2554, 1670, 1671, 1105, 2517, 957, 1672, 1673, 1110, 2522, 
       964, 2559, 1115, 972, 2561, 1122, 982, 2563, 1127, 991, 2566, 1135, 
       1004, 2572, 1145, 1016, 2580, 1156, 1029}], 
      Line3DBox[{876, 1213, 1044, 2597, 877, 1167, 1056, 2599, 902, 1169, 
       1069, 917, 2543, 1081, 929, 2545, 1250, 1251, 1090, 939, 2550, 1261, 
       1262, 1098, 949, 2662, 1569, 1275, 1653, 1618, 1619, 2666, 958, 1576, 
       1290, 1654, 1643, 2676, 1644, 1669, 1663, 1305, 1306, 1116, 2529, 973, 
       1123, 983, 2564, 1128, 992, 2567, 1136, 1005, 2573, 1146, 1017, 2581, 
       1157, 1030}], 
      Line3DBox[{878, 1214, 1215, 2485, 1362, 1216, 1217, 2495, 903, 1070, 
       2505, 918, 1241, 1242, 1244, 2607, 1173, 1252, 1174, 1615, 1506, 1254, 
       1507, 2645, 1508, 1179, 1263, 1180, 1636, 1540, 1367, 1466, 2655, 1541,
        1265, 1276, 1266, 1444, 2636, 1398, 1447, 1291, 1377, 1292, 2523, 
       1552, 1400, 1429, 1188, 1307, 1189, 2530, 1602, 1600, 1601, 2535, 984, 
       1129, 993, 2568, 1137, 1006, 2574, 1147, 1018, 2582, 1158, 1031}], 
      Line3DBox[{879, 1218, 1219, 2486, 1363, 1220, 1221, 2496, 904, 1229, 
       2601, 1230, 1231, 1170, 2592, 1243, 1171, 1501, 1246, 1419, 1175, 1253,
        1176, 1442, 1420, 1256, 1425, 2635, 1443, 1181, 1264, 1182, 1426, 
       1396, 2632, 1467, 1277, 1371, 1278, 1544, 2656, 1373, 1478, 1279, 1293,
        1280, 2524, 1521, 1294, 1430, 1190, 1308, 1191, 2531, 1530, 1492, 
       1611, 1197, 1610, 2671, 1198, 1605, 1603, 2669, 1604, 994, 1138, 1007, 
       2575, 1148, 1019, 2583, 1159, 1032}], 
      Line3DBox[{880, 1045, 2487, 881, 1057, 2497, 905, 1232, 2602, 1233, 
       1234, 1499, 1500, 2593, 1245, 1418, 1417, 1439, 1421, 1422, 2594, 1255,
        1424, 1423, 1257, 1427, 1428, 1267, 1183, 1620, 2672, 1658, 1659, 
       1372, 1546, 1545, 2657, 1641, 1547, 1548, 1516, 1518, 1517, 2648, 1296,
        1192, 1491, 1609, 2643, 1608, 1496, 1497, 1498, 1493, 2652, 1534, 
       1533, 1629, 1613, 1614, 2595, 1612, 1203, 1386, 1330, 2618, 1331, 1008,
        1149, 1020, 2584, 1160, 1033}], 
      Line3DBox[{882, 1046, 2488, 884, 1058, 2498, 906, 1235, 1631, 1633, 
       1632, 1634, 1504, 1505, 2603, 1247, 1503, 1502, 1635, 1538, 2654, 1539,
        1395, 1441, 1440, 1366, 1259, 2610, 1638, 1640, 1639, 1369, 1514, 
       1515, 1281, 1513, 1512, 2647, 1549, 1524, 1525, 1295, 1523, 2612, 1522,
        1378, 1553, 1554, 1309, 1624, 2614, 1623, 1527, 1317, 1382, 1558, 
       1557, 1559, 1453, 1454, 2616, 1402, 1561, 1560, 1387, 1651, 2677, 1652,
        1650, 1332, 1678, 1676, 2680, 1677, 1021, 2585, 1161, 1034}], 
      Line3DBox[{886, 1048, 2489, 887, 2542, 1060, 908, 1237, 1564, 2604, 
       1565, 1072, 920, 1458, 1459, 2640, 1394, 1405, 1083, 931, 1462, 1463, 
       1260, 1092, 941, 1616, 2611, 1617, 1268, 1543, 1100, 951, 2649, 1519, 
       1520, 1283, 1473, 1107, 2664, 960, 1474, 1475, 1298, 1528, 1112, 966, 
       1646, 1647, 1645, 2613, 1118, 975, 1449, 1450, 1401, 2615, 1483, 1125, 
       986, 1484, 1485, 2653, 1333, 1489, 1131, 996, 1586, 1587, 1585, 1140, 
       1010, 1685, 2681, 1151, 1023, 2587, 1163, 1036}], 
      Line3DBox[{888, 1049, 2490, 889, 1061, 2499, 909, 1238, 2605, 1073, 921,
        1655, 1172, 2678, 1589, 1590, 1591, 932, 1566, 1177, 2660, 1490, 1592,
        1593, 942, 2644, 1495, 1184, 1494, 1101, 952, 2646, 1510, 1269, 1509, 
       1571, 1572, 2626, 1573, 1476, 1284, 1299, 1660, 1662, 1661, 2673, 967, 
       1193, 1311, 1408, 1409, 976, 1434, 1199, 1457, 2639, 1412, 1413, 1486, 
       1436, 1204, 2634, 1630, 1536, 1537, 997, 1334, 2619, 1141, 1011, 2576, 
       1152, 1024, 2588, 1164, 1037}], 
      Line3DBox[{890, 1050, 2491, 891, 1062, 2500, 910, 1664, 1074, 922, 1588,
        2668, 1084, 933, 1656, 2546, 1178, 1596, 1598, 1599, 943, 1568, 2551, 
       1185, 1270, 1406, 1407, 953, 1477, 2555, 1272, 1374, 1550, 1551, 2627, 
       961, 1479, 1287, 1379, 1555, 2658, 1556, 968, 1431, 1194, 1312, 1410, 
       2633, 1451, 1411, 977, 1435, 1452, 1200, 1320, 1414, 1415, 1581, 1488, 
       1205, 2642, 1335, 1132, 998, 2569, 1337, 1142, 1012, 2577, 1348, 1153, 
       1025, 2589, 1349, 1165, 1038}], 
      Line3DBox[{892, 1051, 2492, 893, 1063, 2501, 911, 1075, 2506, 923, 2544,
        1665, 1666, 1667, 1668, 2679, 1594, 1597, 1595, 1606, 1607, 2670, 
       1186, 1271, 1187, 1511, 1397, 1445, 2637, 1285, 1375, 1286, 2518, 1446,
        1399, 1448, 1300, 1380, 1301, 1625, 2525, 1529, 1304, 1432, 1626, 
       1195, 1313, 1196, 2651, 1532, 1433, 1316, 1487, 1628, 1201, 1321, 1202,
        2536, 1535, 1384, 1324, 1336, 1325, 999, 2570, 1143, 1013, 2578, 1350,
        1351, 1391, 2630, 1352, 1353, 1039}], 
      Line3DBox[{894, 1052, 2493, 895, 1064, 2502, 912, 1076, 2507, 924, 1085,
        2510, 934, 2547, 1093, 944, 2552, 1273, 1370, 1274, 1574, 2665, 1575, 
       1288, 1376, 1289, 1642, 2675, 1578, 1579, 1302, 1657, 1303, 2526, 1649,
        1648, 1314, 1381, 1315, 2532, 978, 1322, 1383, 2628, 1323, 987, 1133, 
       2537, 1000, 1206, 1207, 1343, 2622, 1210, 1211, 1392, 2631, 1355, 1356,
        1040}], 
      Line3DBox[{896, 1053, 2494, 897, 1065, 2503, 913, 1077, 2508, 925, 1086,
        2511, 935, 1094, 2513, 945, 1102, 954, 2556, 1680, 1681, 2519, 1682, 
       1683, 1684, 1675, 1674, 2527, 969, 1119, 2533, 979, 1326, 2617, 1327, 
       988, 1338, 2620, 1339, 1001, 1208, 2596, 1342, 1209, 1390, 1346, 1354, 
       1347, 1026, 2590, 1166, 1041}], 
      Line3DBox[{898, 1222, 2598, 1223, 899, 1066, 2504, 914, 1078, 2509, 926,
        1087, 2512, 936, 1095, 2514, 946, 1103, 2515, 955, 1108, 2520, 2521, 
       962, 1113, 2528, 970, 1120, 2534, 980, 1328, 1385, 2629, 1329, 989, 
       1340, 2621, 1388, 1341, 1002, 1344, 2623, 1389, 1345, 1014, 1154, 2538,
        1027, 1358, 1359, 1360}], 
      Line3DBox[{1028, 1155, 1357, 2579, 1015, 1144, 2571, 1003, 1134, 2565, 
       990, 1126, 2562, 981, 1121, 2560, 971, 1114, 2558, 963, 1109, 2557, 
       956, 2516, 1104, 2553, 947, 1096, 2548, 937, 1088, 1365, 2625, 1248, 
       927, 1079, 1364, 2624, 1239, 915, 1067, 2600, 1227, 1226, 900, 1054, 
       2540, 873, 1042, 1212, 1361}], 
      Line3DBox[{1035, 1162, 2586, 1022, 1150, 1686, 1688, 2682, 1687, 1009, 
       1139, 1679, 1582, 1584, 2667, 1583, 995, 1130, 1416, 1403, 2638, 1456, 
       1455, 985, 1124, 2641, 1482, 1319, 1318, 974, 1117, 1627, 2674, 1531, 
       1310, 1481, 1580, 1480, 965, 1111, 2650, 1622, 1526, 1297, 1472, 1577, 
       1471, 959, 1106, 1621, 1470, 1282, 1469, 1570, 2663, 1468, 950, 1099, 
       1637, 1542, 1368, 1465, 1567, 2661, 1464, 940, 1091, 1258, 1461, 2609, 
       1460, 930, 1082, 1404, 1393, 1438, 1437, 919, 1071, 2659, 1563, 1562, 
       1236, 907, 1059, 2541, 885, 1047, 2539, 883}]}, {}, {}}},
   VertexColors->{
     Hue[0.25, 1, 0.010250781825840233`], 
     Hue[0.2744372519721974, 1, 0.025691182033305827`], 
     Hue[0.3025684567112535, 1, 0.0548738494070334], 
     Hue[0.3347506594614321, 1, 0.10034345343321234`], 
     Hue[0.3711189415908434, 1, 0.158064087898609], 
     Hue[0.4114144672170953, 1, 0.21626113359535334`], 
     Hue[0.4548327646991335, 1, 0.259514779571446], 
     Hue[0.5, 1, 0.2754627587673769], 
     Hue[0.5451672353008665, 1, 0.259514779571446], 
     Hue[0.5885855327829047, 1, 0.21626113359535334`], 
     Hue[0.6288810584091566, 1, 0.158064087898609], 
     Hue[0.6652493405385679, 1, 0.10034345343321234`], 
     Hue[0.6974315432887466, 1, 0.0548738494070334], 
     Hue[0.7255627480278026, 1, 0.025691182033305827`], 
     Hue[0.75, 1, 0.010250781825840233`], 
     Hue[0.2255627480278026, 1, 0.025691182033305827`], 
     Hue[0.25, 1, 0.06284742673417303], 
     Hue[0.2788579383763045, 1, 0.13034532742229255`], 
     Hue[0.31283295818900125`, 1, 0.22993537382990722`], 
     Hue[0.3524163823495668, 1, 0.34735625785897917`], 
     Hue[0.3975836176504333, 1, 0.4557511399711657], 
     Hue[0.4474315432887466, 1, 0.5299182239160014], 
     Hue[0.5, 1, 0.5559165170038479], 
     Hue[0.5525684567112534, 1, 0.5299182239160014], 
     Hue[0.6024163823495667, 1, 0.4557511399711657], 
     Hue[0.6475836176504333, 1, 0.34735625785897917`], 
     Hue[0.6871670418109987, 1, 0.22993537382990722`], 
     Hue[0.7211420616236954, 1, 0.13034532742229255`], 
     Hue[0.75, 1, 0.06284742673417303], 
     Hue[0.7744372519721974, 1, 0.025691182033305827`], 
     Hue[0.1974315432887466, 1, 0.0548738494070334], 
     Hue[0.2211420616236955, 1, 0.13034532742229255`], 
     Hue[0.25, 1, 0.259514779571446], 
     Hue[0.2852232874772773, 1, 0.4324701956166577], 
     Hue[0.32797913037736937`, 1, 0.6094302216823927], 
     Hue[0.3788810584091566, 1, 0.7477873838049454], 
     Hue[0.43716704181099886`, 1, 0.8293866404569907], 
     Hue[0.5, 1, 0.8555624652090862], 
     Hue[0.5628329581890011, 1, 0.8293866404569907], 
     Hue[0.6211189415908434, 1, 0.7477873838049454], 
     Hue[0.6720208696226306, 1, 0.6094302216823927], 
     Hue[0.7147767125227227, 1, 0.4324701956166577], 
     Hue[0.75, 1, 0.259514779571446], 
     Hue[0.7788579383763045, 1, 0.13034532742229255`], 
     Hue[0.8025684567112534, 1, 0.0548738494070334], 
     Hue[0.1652493405385679, 1, 0.10034345343321234`], 
     Hue[0.1871670418109988, 1, 0.22993537382990722`], 
     Hue[0.21477671252272273`, 1, 0.4324701956166577], 
     Hue[0.25, 1, 0.6643997140177816], 
     Hue[0.2951672353008665, 1, 0.8555624652090862], 
     Hue[0.35241638234956674`, 1, 0.9721031786674348], 
     Hue[0.42202086962263075`, 0.9754677528259159, 1], 
     Hue[0.5, 0.9621099555082353, 1], 
     Hue[0.5779791303773693, 0.9754677528259159, 1], 
     Hue[0.6475836176504333, 1, 0.9721031786674348], 
     Hue[0.7048327646991335, 1, 0.8555624652090862], 
     Hue[0.75, 1, 0.6643997140177816], 
     Hue[0.7852232874772773, 1, 0.4324701956166577], 
     Hue[0.8128329581890013, 1, 0.22993537382990722`], 
     Hue[0.8347506594614321, 1, 0.10034345343321234`], 
     Hue[0.12888105840915662`, 1, 0.158064087898609], 
     Hue[0.14758361765043326`, 1, 0.34735625785897917`], 
     Hue[0.1720208696226307, 1, 0.6094302216823927], 
     Hue[0.20483276469913345`, 1, 0.8555624652090862], 
     Hue[0.25, 0.9910427443143643, 1], 
     Hue[0.3128329581890012, 0.9384641008477606, 1], 
     Hue[0.3975836176504333, 0.9495404101654372, 1], 
     Hue[0.5, 0.9646113732149162, 1], 
     Hue[0.6024163823495667, 0.9495404101654372, 1], 
     Hue[0.6871670418109987, 0.9384641008477606, 1], 
     Hue[0.75, 0.9910427443143643, 1], 
     Hue[0.7951672353008665, 1, 0.8555624652090862], 
     Hue[0.8279791303773694, 1, 0.6094302216823927], 
     Hue[0.8524163823495667, 1, 0.34735625785897917`], 
     Hue[0.8711189415908434, 1, 0.158064087898609], 
     Hue[0.08858553278290475, 1, 0.21626113359535334`], 
     Hue[0.10241638234956672`, 1, 0.4557511399711657], 
     Hue[0.1211189415908434, 1, 0.7477873838049454], 
     Hue[0.14758361765043326`, 1, 0.9721031786674348], 
     Hue[0.18716704181099886`, 0.9384641008477606, 1], 
     Hue[0.25, 0.9876079794312136, 1], 
     Hue[0.3524163823495668, 1, 0.8699990721194699], 
     Hue[0.5, 1, 0.7833071147995215], 
     Hue[0.6475836176504333, 1, 0.8699990721194699], 
     Hue[0.75, 0.9876079794312136, 1], 
     Hue[0.8128329581890011, 0.9384641008477606, 1], 
     Hue[0.8524163823495667, 1, 0.9721031786674348], 
     Hue[0.8788810584091566, 1, 0.7477873838049454], 
     Hue[0.8975836176504333, 1, 0.4557511399711657], 
     Hue[0.9114144672170953, 1, 0.21626113359535334`], 
     Hue[0.04516723530086655, 1, 0.259514779571446], 
     Hue[0.052568456711253424`, 1, 0.5299182239160014], 
     Hue[0.06283295818900118, 1, 0.8293866404569907], 
     Hue[0.07797913037736932, 0.9754677528259159, 1], 
     Hue[0.10241638234956672`, 0.9495404101654372, 1], 
     Hue[0.14758361765043326`, 1, 0.8699990721194699], 
     Hue[0.25, 1, 0.50195739492963], 
     Hue[0.5, 1, 0.2826350494133387], 
     Hue[0.75, 1, 0.50195739492963], 
     Hue[0.8524163823495667, 1, 0.8699990721194699], 
     Hue[0.8975836176504333, 0.9495404101654372, 1], 
     Hue[0.9220208696226306, 0.9754677528259159, 1], 
     Hue[0.9371670418109989, 1, 0.8293866404569907], 
     Hue[0.9474315432887466, 1, 0.5299182239160014], 
     Hue[0.9548327646991335, 1, 0.259514779571446], 
     Hue[0., 1, 0.2754627587673769], 
     Hue[0., 1, 0.5559165170038479], 
     Hue[0., 1, 0.8555624652090862], 
     Hue[0., 0.9621099555082353, 1], 
     Hue[0., 0.9646113732149162, 1], 
     Hue[0., 1, 0.7833071147995215], 
     Hue[0., 1, 0.2826350494133387], 
     Hue[0., 1, 0.], 
     Hue[0., 1, 0.2826350494133387], 
     Hue[0., 1, 0.7833071147995215], 
     Hue[0., 0.9646113732149162, 1], 
     Hue[0., 0.9621099555082353, 1], 
     Hue[0., 1, 0.8555624652090862], 
     Hue[0., 1, 0.5559165170038479], 
     Hue[0., 1, 0.2754627587673769], 
     Hue[0.9548327646991335, 1, 0.259514779571446], 
     Hue[0.9474315432887466, 1, 0.5299182239160014], 
     Hue[0.9371670418109989, 1, 0.8293866404569907], 
     Hue[0.9220208696226306, 0.9754677528259159, 1], 
     Hue[0.8975836176504333, 0.9495404101654372, 1], 
     Hue[0.8524163823495667, 1, 0.8699990721194699], 
     Hue[0.75, 1, 0.50195739492963], 
     Hue[0.5, 1, 0.2826350494133387], 
     Hue[0.25, 1, 0.50195739492963], 
     Hue[0.14758361765043326`, 1, 0.8699990721194699], 
     Hue[0.10241638234956672`, 0.9495404101654372, 1], 
     Hue[0.07797913037736932, 0.9754677528259159, 1], 
     Hue[0.06283295818900118, 1, 0.8293866404569907], 
     Hue[0.052568456711253424`, 1, 0.5299182239160014], 
     Hue[0.04516723530086655, 1, 0.259514779571446], 
     Hue[0.9114144672170953, 1, 0.21626113359535334`], 
     Hue[0.8975836176504333, 1, 0.4557511399711657], 
     Hue[0.8788810584091566, 1, 0.7477873838049454], 
     Hue[0.8524163823495667, 1, 0.9721031786674348], 
     Hue[0.8128329581890011, 0.9384641008477606, 1], 
     Hue[0.75, 0.9876079794312136, 1], 
     Hue[0.6475836176504333, 1, 0.8699990721194699], 
     Hue[0.5, 1, 0.7833071147995215], 
     Hue[0.3524163823495668, 1, 0.8699990721194699], 
     Hue[0.25, 0.9876079794312136, 1], 
     Hue[0.18716704181099886`, 0.9384641008477606, 1], 
     Hue[0.14758361765043326`, 1, 0.9721031786674348], 
     Hue[0.1211189415908434, 1, 0.7477873838049454], 
     Hue[0.10241638234956672`, 1, 0.4557511399711657], 
     Hue[0.08858553278290475, 1, 0.21626113359535334`], 
     Hue[0.8711189415908434, 1, 0.158064087898609], 
     Hue[0.8524163823495667, 1, 0.34735625785897917`], 
     Hue[0.8279791303773694, 1, 0.6094302216823927], 
     Hue[0.7951672353008665, 1, 0.8555624652090862], 
     Hue[0.75, 0.9910427443143643, 1], 
     Hue[0.6871670418109987, 0.9384641008477606, 1], 
     Hue[0.6024163823495667, 0.9495404101654372, 1], 
     Hue[0.5, 0.9646113732149162, 1], 
     Hue[0.3975836176504333, 0.9495404101654372, 1], 
     Hue[0.3128329581890012, 0.9384641008477606, 1], 
     Hue[0.25, 0.9910427443143643, 1], 
     Hue[0.20483276469913345`, 1, 0.8555624652090862], 
     Hue[0.1720208696226307, 1, 0.6094302216823927], 
     Hue[0.14758361765043326`, 1, 0.34735625785897917`], 
     Hue[0.12888105840915662`, 1, 0.158064087898609], 
     Hue[0.8347506594614321, 1, 0.10034345343321234`], 
     Hue[0.8128329581890013, 1, 0.22993537382990722`], 
     Hue[0.7852232874772773, 1, 0.4324701956166577], 
     Hue[0.75, 1, 0.6643997140177816], 
     Hue[0.7048327646991335, 1, 0.8555624652090862], 
     Hue[0.6475836176504333, 1, 0.9721031786674348], 
     Hue[0.5779791303773693, 0.9754677528259159, 1], 
     Hue[0.5, 0.9621099555082353, 1], 
     Hue[0.42202086962263075`, 0.9754677528259159, 1], 
     Hue[0.35241638234956674`, 1, 0.9721031786674348], 
     Hue[0.2951672353008665, 1, 0.8555624652090862], 
     Hue[0.25, 1, 0.6643997140177816], 
     Hue[0.21477671252272273`, 1, 0.4324701956166577], 
     Hue[0.1871670418109988, 1, 0.22993537382990722`], 
     Hue[0.1652493405385679, 1, 0.10034345343321234`], 
     Hue[0.8025684567112534, 1, 0.0548738494070334], 
     Hue[0.7788579383763045, 1, 0.13034532742229255`], 
     Hue[0.75, 1, 0.259514779571446], 
     Hue[0.7147767125227227, 1, 0.4324701956166577], 
     Hue[0.6720208696226306, 1, 0.6094302216823927], 
     Hue[0.6211189415908434, 1, 0.7477873838049454], 
     Hue[0.5628329581890011, 1, 0.8293866404569907], 
     Hue[0.5, 1, 0.8555624652090862], 
     Hue[0.43716704181099886`, 1, 0.8293866404569907], 
     Hue[0.3788810584091566, 1, 0.7477873838049454], 
     Hue[0.32797913037736937`, 1, 0.6094302216823927], 
     Hue[0.2852232874772773, 1, 0.4324701956166577], 
     Hue[0.25, 1, 0.259514779571446], 
     Hue[0.2211420616236955, 1, 0.13034532742229255`], 
     Hue[0.1974315432887466, 1, 0.0548738494070334], 
     Hue[0.7744372519721974, 1, 0.025691182033305827`], 
     Hue[0.75, 1, 0.06284742673417303], 
     Hue[0.7211420616236954, 1, 0.13034532742229255`], 
     Hue[0.6871670418109987, 1, 0.22993537382990722`], 
     Hue[0.6475836176504333, 1, 0.34735625785897917`], 
     Hue[0.6024163823495667, 1, 0.4557511399711657], 
     Hue[0.5525684567112534, 1, 0.5299182239160014], 
     Hue[0.5, 1, 0.5559165170038479], 
     Hue[0.4474315432887466, 1, 0.5299182239160014], 
     Hue[0.3975836176504333, 1, 0.4557511399711657], 
     Hue[0.3524163823495668, 1, 0.34735625785897917`], 
     Hue[0.31283295818900125`, 1, 0.22993537382990722`], 
     Hue[0.2788579383763045, 1, 0.13034532742229255`], 
     Hue[0.25, 1, 0.06284742673417303], 
     Hue[0.2255627480278026, 1, 0.025691182033305827`], 
     Hue[0.75, 1, 0.010250781825840233`], 
     Hue[0.7255627480278026, 1, 0.025691182033305827`], 
     Hue[0.6974315432887466, 1, 0.0548738494070334], 
     Hue[0.6652493405385679, 1, 0.10034345343321234`], 
     Hue[0.6288810584091566, 1, 0.158064087898609], 
     Hue[0.5885855327829047, 1, 0.21626113359535334`], 
     Hue[0.5451672353008665, 1, 0.259514779571446], 
     Hue[0.5, 1, 0.2754627587673769], 
     Hue[0.4548327646991335, 1, 0.259514779571446], 
     Hue[0.4114144672170953, 1, 0.21626113359535334`], 
     Hue[0.3711189415908434, 1, 0.158064087898609], 
     Hue[0.3347506594614321, 1, 0.10034345343321234`], 
     Hue[0.3025684567112535, 1, 0.0548738494070334], 
     Hue[0.2744372519721974, 1, 0.025691182033305827`], 
     Hue[0.25, 1, 0.010250781825840233`], 
     Hue[0.2817255174305536, 1, 0.2518341386438724], 
     Hue[0.21827448256944643`, 1, 0.2518341386438724], 
     Hue[0.25, 1, 0.44401483267251446`], 
     Hue[0.30256845671125343`, 0.9995841931611611, 1], 
     Hue[0.3711189415908434, 0.9468648437394482, 1], 
     Hue[0.6288810584091566, 0.9468648437394482, 1], 
     Hue[0.19743154328874662`, 0.9995841931611611, 1], 
     Hue[0.25, 0.9374531292059121, 1], 
     Hue[0.32797913037736937`, 0.9750032624272984, 1], 
     Hue[0.6720208696226306, 0.9750032624272984, 1], 
     Hue[0.75, 0.9374531292059121, 1], 
     Hue[0.12888105840915662`, 0.9468648437394482, 1], 
     Hue[0.1720208696226307, 0.9750032624272984, 1], 
     Hue[0.25, 1, 0.8300512134854623], 
     Hue[0.75, 1, 0.8300512134854623], 
     Hue[0.8279791303773694, 0.9750032624272984, 1], 
     Hue[0.8711189415908434, 0.9468648437394482, 1], 
     Hue[0.8711189415908434, 0.9468648437394482, 1], 
     Hue[0.8279791303773694, 0.9750032624272984, 1], 
     Hue[0.75, 1, 0.8300512134854623], 
     Hue[0.25, 1, 0.8300512134854623], 
     Hue[0.1720208696226307, 0.9750032624272984, 1], 
     Hue[0.12888105840915662`, 0.9468648437394482, 1], 
     Hue[0.75, 0.9374531292059121, 1], 
     Hue[0.6720208696226306, 0.9750032624272984, 1], 
     Hue[0.32797913037736937`, 0.9750032624272984, 1], 
     Hue[0.25, 0.9374531292059121, 1], 
     Hue[0.19743154328874662`, 0.9995841931611611, 1], 
     Hue[0.6288810584091566, 0.9468648437394482, 1], 
     Hue[0.3711189415908434, 0.9468648437394482, 1], 
     Hue[0.30256845671125343`, 0.9995841931611611, 1], 
     Hue[0.25, 1, 0.44401483267251446`], 
     Hue[0.21827448256944643`, 1, 0.2518341386438724], 
     Hue[0.2817255174305536, 1, 0.2518341386438724], 
     Hue[0.25, 1, 0.026603814266997323`], 
     Hue[0.23821613112965861`, 1, 0.016559748499019766`], 
     Hue[0.3072491470487002, 1, 0.11823248768589789`], 
     Hue[0.2951672353008666, 1, 0.1766082855256349], 
     Hue[0.3427735790777424, 1, 0.19707752740143622`], 
     Hue[0.319604487273064, 1, 0.3990208676210365], 
     Hue[0.38312493874765663`, 1, 0.2837346031267881], 
     Hue[0.3642002512199081, 1, 0.5428463981053876], 
     Hue[0.75, 1, 0.026603814266997323`], 
     Hue[0.7617838688703413, 1, 0.016559748499019766`], 
     Hue[0.25, 1, 0.13463109648292687`], 
     Hue[0.26514617218836817`, 1, 0.18806020443323077`], 
     Hue[0.2348538278116319, 1, 0.18806020443323077`], 
     Hue[0.2667377083565741, 1, 0.34247536668372913`], 
     Hue[0.19275085295129982`, 1, 0.11823248768589789`], 
     Hue[0.20483276469913345`, 1, 0.1766082855256349], 
     Hue[0.23326229164342588`, 1, 0.34247536668372913`], 
     Hue[0.33858553278290476`, 1, 0.8160627331892396], 
     Hue[0.32219231551064725`, 1, 0.9232207938026671], 
     Hue[0.3975836176504333, 1, 0.9173877292996452], 
     Hue[0.3857997487800919, 0.9952536276783057, 1], 
     Hue[0.46477671252272273`, 1, 0.9618524283716082], 
     Hue[0.4548327646991335, 0.9374531292059121, 1], 
     Hue[0.5352232874772773, 1, 0.9618524283716082], 
     Hue[0.5451672353008665, 0.9374531292059121, 1], 
     Hue[0.6024163823495667, 1, 0.9173877292996452], 
     Hue[0.6142002512199081, 0.9952536276783057, 1], 
     Hue[0.15722642092225764`, 1, 0.19707752740143622`], 
     Hue[0.18039551272693602`, 1, 0.3990208676210365], 
     Hue[0.25, 1, 0.8683780111594249], 
     Hue[0.2744372519721974, 1, 0.945793515759544], 
     Hue[0.2255627480278026, 1, 0.945793515759544], 
     Hue[0.33475065946143207`, 0.9652268345753339, 1], 
     Hue[0.2788579383763045, 0.9537153039593911, 1], 
     Hue[0.4114144672170953, 0.939325894696299, 1], 
     Hue[0.35241638234956674`, 0.9395566807681459, 1], 
     Hue[0.43716704181099886`, 1, 0.9581889877865224], 
     Hue[0.5628329581890011, 1, 0.9581889877865224], 
     Hue[0.6475836176504333, 0.9395566807681459, 1], 
     Hue[0.11687506125234345`, 1, 0.2837346031267881], 
     Hue[0.13579974878009188`, 1, 0.5428463981053876], 
     Hue[0.16141446721709526`, 1, 0.8160627331892396], 
     Hue[0.17780768448935277`, 1, 0.9232207938026671], 
     Hue[0.22114206162369554`, 0.9537153039593911, 1], 
     Hue[0.16524934053856793`, 0.9652268345753339, 1], 
     Hue[0.2852232874772773, 0.9468218740912067, 1], 
     Hue[0.21477671252272273`, 0.9468218740912067, 1], 
     Hue[0.2951672353008665, 1, 0.9462464383989784], 
     Hue[0.5, 1, 0.9462464383989786], 
     Hue[0.3975836176504333, 1, 0.589541564271189], 
     Hue[0.6211189415908434, 1, 0.9887012092965546], 
     Hue[0.10241638234956672`, 1, 0.9173877292996452], 
     Hue[0.11420025121990815`, 0.9952536276783057, 1], 
     Hue[0.1475836176504333, 0.9395566807681459, 1], 
     Hue[0.045167235300866554`, 0.9374531292059121, 1], 
     Hue[0.20483276469913345`, 1, 0.9462464383989784], 
     Hue[0.6024163823495667, 1, 0.589541564271189], 
     Hue[0.25, 1, 0.1489876690273923], 
     Hue[0.6871670418109987, 1, 0.6978182879475802], 
     Hue[0.75, 1, 0.1489876690273923], 
     Hue[0.8975836176504333, 1, 0.589541564271189], 
     Hue[0.8524163823495667, 0.9395566807681459, 1], 
     Hue[0.9371670418109989, 1, 0.9581889877865224], 
     Hue[0.8975836176504333, 1, 0.9173877292996452], 
     Hue[0.03522328747727728, 1, 0.9618524283716082], 
     Hue[0.03958342416056555, 0.9652268345753339, 1], 
     Hue[0.06283295818900117, 1, 0.9581889877865224], 
     Hue[0.10241638234956672`, 1, 0.589541564271189], 
     Hue[0.9371670418109989, 1, 0.9581889877865224], 
     Hue[0.14758361765043326`, 1, 0.3433821539771851], 
     Hue[0.8975836176504333, 1, 0.589541564271189], 
     Hue[0.5, 1, 0.07628723786135215], 
     Hue[0.75, 1, 0.1489876690273923], 
     Hue[0.8524163823495667, 1, 0.3433821539771851], 
     Hue[0.25, 1, 0.1489876690273923], 
     Hue[0.10241638234956672`, 1, 0.589541564271189], 
     Hue[0.9548327646991335, 0.9374531292059121, 1], 
     Hue[0.06283295818900117, 1, 0.9581889877865224], 
     Hue[0.9647767125227227, 1, 0.9618524283716082], 
     Hue[0.9647767125227227, 1, 0.9618524283716082], 
     Hue[0.9548327646991335, 0.9374531292059121, 1], 
     Hue[0.9474315432887466, 0.9601686543427779, 1], 
     Hue[0.8788810584091566, 1, 0.9887012092965546], 
     Hue[0.8524163823495667, 1, 0.3433821539771851], 
     Hue[0.8128329581890013, 1, 0.6978182879475802], 
     Hue[0.5, 1, 0.07628723786135215], 
     Hue[0.6024163823495667, 1, 0.589541564271189], 
     Hue[0.14758361765043326`, 1, 0.3433821539771851], 
     Hue[0.3975836176504333, 1, 0.589541564271189], 
     Hue[0.07797913037736932, 1, 0.8075976944535492], 
     Hue[0.045167235300866554`, 0.9374531292059121, 1], 
     Hue[0.03522328747727728, 1, 0.9618524283716082], 
     Hue[0.08858553278290474, 0.939325894696299, 1], 
     Hue[0.8975836176504333, 1, 0.9173877292996452], 
     Hue[0.8857997487800918, 0.9952536276783057, 1], 
     Hue[0.8524163823495667, 0.9395566807681459, 1], 
     Hue[0.6871670418109987, 1, 0.6978182879475802], 
     Hue[0.5, 1, 0.5474321843395877], 
     Hue[0.43716704181099886`, 1, 0.9581889877865224], 
     Hue[0.20483276469913345`, 1, 0.9462464383989784], 
     Hue[0.2951672353008665, 1, 0.9462464383989784], 
     Hue[0.1475836176504333, 0.9395566807681459, 1], 
     Hue[0.21477671252272273`, 0.9468218740912067, 1], 
     Hue[0.10241638234956672`, 1, 0.9173877292996452], 
     Hue[0.16524934053856793`, 0.9652268345753339, 1], 
     Hue[0.5628329581890011, 1, 0.9581889877865224], 
     Hue[0.6475836176504333, 0.9395566807681459, 1], 
     Hue[0.5, 1, 0.9462464383989786], 
     Hue[0.5451672353008665, 0.9374531292059121, 1], 
     Hue[0.4548327646991335, 0.9374531292059121, 1], 
     Hue[0.2852232874772773, 0.9468218740912067, 1], 
     Hue[0.35241638234956674`, 0.9395566807681459, 1], 
     Hue[0.22114206162369554`, 0.9537153039593911, 1], 
     Hue[0.2788579383763045, 0.9537153039593911, 1], 
     Hue[0.16141446721709526`, 1, 0.8160627331892396], 
     Hue[0.25, 1, 0.8683780111594249], 
     Hue[0.13579974878009188`, 1, 0.5428463981053876], 
     Hue[0.11687506125234345`, 1, 0.2837346031267881], 
     Hue[0.6024163823495667, 1, 0.9173877292996452], 
     Hue[0.5352232874772773, 1, 0.9618524283716082], 
     Hue[0.4114144672170953, 0.939325894696299, 1], 
     Hue[0.46477671252272273`, 1, 0.9618524283716082], 
     Hue[0.33475065946143207`, 0.9652268345753339, 1], 
     Hue[0.3975836176504333, 1, 0.9173877292996452], 
     Hue[0.2744372519721974, 1, 0.945793515759544], 
     Hue[0.33858553278290476`, 1, 0.8160627331892396], 
     Hue[0.18039551272693602`, 1, 0.3990208676210365], 
     Hue[0.15722642092225764`, 1, 0.19707752740143622`], 
     Hue[0.23326229164342588`, 1, 0.34247536668372913`], 
     Hue[0.2667377083565741, 1, 0.34247536668372913`], 
     Hue[0.19275085295129982`, 1, 0.11823248768589789`], 
     Hue[0.25, 1, 0.13463109648292687`], 
     Hue[0.3642002512199081, 1, 0.5428463981053876], 
     Hue[0.38312493874765663`, 1, 0.2837346031267881], 
     Hue[0.319604487273064, 1, 0.3990208676210365], 
     Hue[0.3427735790777424, 1, 0.19707752740143622`], 
     Hue[0.26514617218836817`, 1, 0.18806020443323077`], 
     Hue[0.3072491470487002, 1, 0.11823248768589789`], 
     Hue[0.75, 1, 0.026603814266997323`], 
     Hue[0.7617838688703413, 1, 0.016559748499019766`], 
     Hue[0.25, 1, 0.026603814266997323`], 
     Hue[0.26178386887034144`, 1, 0.016559748499019766`], 
     Hue[0.26178386887034144`, 1, 0.016559748499019766`], 
     Hue[0.33190868242483745`, 1, 0.28794588754575856`], 
     Hue[0.3743340836219977, 1, 0.40447025116466095`], 
     Hue[0.7382161311296586, 1, 0.016559748499019766`], 
     Hue[0.46041657583943446`, 0.9652268345753339, 1], 
     Hue[0.5395834241605655, 0.9652268345753339, 1], 
     Hue[0.16809131757516257`, 1, 0.28794588754575856`], 
     Hue[0.4474315432887466, 0.9601686543427779, 1], 
     Hue[0.5525684567112534, 0.9601686543427779, 1], 
     Hue[0.12566591637800234`, 1, 0.40447025116466095`], 
     Hue[0.42202086962263075`, 1, 0.8075976944535492], 
     Hue[0.08858553278290474, 0.939325894696299, 1], 
     Hue[0.5, 1, 0.5474321843395877], 
     Hue[0.35241638234956674`, 1, 0.3433821539771851], 
     Hue[0.6475836176504333, 1, 0.3433821539771851], 
     Hue[0.8128329581890013, 1, 0.6978182879475802], 
     Hue[0.8788810584091566, 1, 0.9887012092965546], 
     Hue[0.8857997487800918, 0.9952536276783057, 1], 
     Hue[0.05256845671125343, 0.9601686543427779, 1], 
     Hue[0.07797913037736932, 1, 0.8075976944535492], 
     Hue[0., 1, 0.9462464383989786], 
     Hue[0., 1, 0.5474321843395877], 
     Hue[0., 1, 0.07628723786135215], 
     Hue[0., 1, 0.07628723786135215], 
     Hue[0., 1, 0.5474321843395877], 
     Hue[0.9474315432887466, 0.9601686543427779, 1], 
     Hue[0., 1, 0.9462464383989786], 
     Hue[0.9604165758394344, 0.9652268345753339, 1], 
     Hue[0.9604165758394344, 0.9652268345753339, 1], 
     Hue[0.6475836176504333, 1, 0.3433821539771851], 
     Hue[0.35241638234956674`, 1, 0.3433821539771851], 
     Hue[0.05256845671125343, 0.9601686543427779, 1], 
     Hue[0.03958342416056555, 0.9652268345753339, 1], 
     Hue[0.42202086962263075`, 1, 0.8075976944535492], 
     Hue[0.11420025121990815`, 0.9952536276783057, 1], 
     Hue[0.6211189415908434, 1, 0.9887012092965546], 
     Hue[0.5525684567112534, 0.9601686543427779, 1], 
     Hue[0.4474315432887466, 0.9601686543427779, 1], 
     Hue[0.17780768448935277`, 1, 0.9232207938026671], 
     Hue[0.2255627480278026, 1, 0.945793515759544], 
     Hue[0.12566591637800234`, 1, 0.40447025116466095`], 
     Hue[0.6142002512199081, 0.9952536276783057, 1], 
     Hue[0.5395834241605655, 0.9652268345753339, 1], 
     Hue[0.46041657583943446`, 0.9652268345753339, 1], 
     Hue[0.3857997487800919, 0.9952536276783057, 1], 
     Hue[0.32219231551064725`, 1, 0.9232207938026671], 
     Hue[0.16809131757516257`, 1, 0.28794588754575856`], 
     Hue[0.20483276469913345`, 1, 0.1766082855256349], 
     Hue[0.2348538278116319, 1, 0.18806020443323077`], 
     Hue[0.3743340836219977, 1, 0.40447025116466095`], 
     Hue[0.33190868242483745`, 1, 0.28794588754575856`], 
     Hue[0.2951672353008666, 1, 0.1766082855256349], 
     Hue[0.7382161311296586, 1, 0.016559748499019766`], 
     Hue[0.23821613112965861`, 1, 0.016559748499019766`], 
     Hue[0.5, 0.9373229676629176, 1], 
     Hue[0.5885855327829047, 0.939325894696299, 1], 
     Hue[0.37888105840915665`, 1, 0.9887012092965546], 
     Hue[0.1211189415908434, 1, 0.9887012092965546], 
     Hue[0.9114144672170953, 0.939325894696299, 1], 
     Hue[0., 0.9373229676629176, 1], 
     Hue[0., 0.9373229676629176, 1], 
     Hue[0.9114144672170953, 0.939325894696299, 1], 
     Hue[0.1211189415908434, 1, 0.9887012092965546], 
     Hue[0.37888105840915665`, 1, 0.9887012092965546], 
     Hue[0.5885855327829047, 0.939325894696299, 1], 
     Hue[0.5, 0.9373229676629176, 1], 
     Hue[0.38312493874765663`, 0.9373561786712512, 1], 
     Hue[0.47556274802780263`, 0.9434477745778731, 1], 
     Hue[0.5721923155106472, 0.9401709557392546, 1], 
     Hue[0.25, 0.9481326653928155, 1], 
     Hue[0.11687506125234344`, 0.9373561786712512, 1], 
     Hue[0.8642002512199081, 0.9623301516976686, 1], 
     Hue[0.8975836176504333, 0.9577287167042121, 1], 
     Hue[0.024437251972197403`, 0.9434477745778731, 1], 
     Hue[0.9788106953650536, 0.944067733452375, 1], 
     Hue[0.9278076844893528, 0.9401709557392546, 1], 
     Hue[0.25, 1, 0.9399065690503376], 
     Hue[0.18039551272693602`, 0.9434477745778731, 1], 
     Hue[0.6357997487800919, 0.9623301516976686, 1], 
     Hue[0.319604487273064, 0.9434477745778731, 1], 
     Hue[0.25, 0.9524622939621676, 1], 
     Hue[0.6024163823495667, 0.9577287167042121, 1], 
     Hue[0.5211893046349464, 0.944067733452375, 1], 
     Hue[0.3427735790777424, 0.9410393708738207, 1], 
     Hue[0.6024163823495667, 0.9577287167042121, 1], 
     Hue[0.25, 0.9524622939621676, 1], 
     Hue[0.2817255174305536, 0.9376138930825475, 1], 
     Hue[0.21827448256944643`, 0.9376138930825475, 1], 
     Hue[0.319604487273064, 0.9434477745778731, 1], 
     Hue[0.3642002512199081, 0.9623301516976686, 1], 
     Hue[0.2895834241605656, 0.9842346549996557, 1], 
     Hue[0.6357997487800919, 0.9623301516976686, 1], 
     Hue[0.15722642092225766`, 0.9410393708738207, 1], 
     Hue[0.18039551272693602`, 0.9434477745778731, 1], 
     Hue[0.21041657583943446`, 0.9842346549996557, 1], 
     Hue[0.13579974878009188`, 0.9623301516976686, 1], 
     Hue[0.25, 1, 0.9399065690503376], 
     Hue[0.8975836176504333, 0.9577287167042121, 1], 
     Hue[0.8642002512199081, 0.9623301516976686, 1], 
     Hue[0.13579974878009188`, 0.9623301516976686, 1], 
     Hue[0.21041657583943446`, 0.9842346549996557, 1], 
     Hue[0.11687506125234344`, 0.9373561786712512, 1], 
     Hue[0.15722642092225766`, 0.9410393708738207, 1], 
     Hue[0.2895834241605656, 0.9842346549996557, 1], 
     Hue[0.3642002512199081, 0.9623301516976686, 1], 
     Hue[0.25, 0.9481326653928155, 1], 
     Hue[0.21827448256944643`, 0.9376138930825475, 1], 
     Hue[0.2817255174305536, 0.9376138930825475, 1], 
     Hue[0.38312493874765663`, 0.9373561786712512, 1], 
     Hue[0.3427735790777424, 0.9410393708738207, 1], 
     Hue[0.4788106953650536, 0.944067733452375, 1], 
     Hue[0.5211893046349464, 0.944067733452375, 1], 
     Hue[0.5244372519721974, 0.9434477745778731, 1], 
     Hue[0.33190868242483745`, 0.9373979486160458, 1], 
     Hue[0.3975836176504333, 1, 0.9118712878963361], 
     Hue[0.2667377083565741, 0.9392790135535269, 1], 
     Hue[0.3055998877857853, 0.9591317817070004, 1], 
     Hue[0.23326229164342588`, 0.9392790135535269, 1], 
     Hue[0.1944001122142148, 0.9591317817070004, 1], 
     Hue[0.1256659163780024, 0.9439536107233217, 1], 
     Hue[0.021189304634946417`, 0.944067733452375, 1], 
     Hue[0.10241638234956672`, 1, 0.9118712878963361], 
     Hue[0.9278076844893528, 0.9401709557392546, 1], 
     Hue[0.9755627480278026, 0.9434477745778731, 1], 
     Hue[0.10241638234956672`, 1, 0.9118712878963361], 
     Hue[0.9788106953650536, 0.944067733452375, 1], 
     Hue[0.9755627480278026, 0.9434477745778731, 1], 
     Hue[0.024437251972197403`, 0.9434477745778731, 1], 
     Hue[0.021189304634946417`, 0.944067733452375, 1], 
     Hue[0.3975836176504333, 1, 0.9118712878963361], 
     Hue[0.16809131757516257`, 0.9373979486160458, 1], 
     Hue[0.1944001122142148, 0.9591317817070004, 1], 
     Hue[0.23326229164342588`, 0.9392790135535269, 1], 
     Hue[0.5721923155106472, 0.9401709557392546, 1], 
     Hue[0.5244372519721974, 0.9434477745778731, 1], 
     Hue[0.47556274802780263`, 0.9434477745778731, 1], 
     Hue[0.4788106953650536, 0.944067733452375, 1], 
     Hue[0.3055998877857853, 0.9591317817070004, 1], 
     Hue[0.2667377083565741, 0.9392790135535269, 1], 
     Hue[0.3743340836219976, 0.9439536107233217, 1], 
     Hue[0.25, 1, 0.016706656506647946`], 
     Hue[0.75, 1, 0.016706656506647946`], 
     Hue[0.5628329581890011, 0.9478928591141085, 1], 
     Hue[0.30724914704870016`, 0.9577287167042123, 1], 
     Hue[0.2951672353008665, 0.9436444778056237, 1], 
     Hue[0.3743340836219976, 0.9439536107233217, 1], 
     Hue[0.47114206162369554`, 0.9986824611220741, 1], 
     Hue[0.584750659461432, 0.9842346549996557, 1], 
     Hue[0.22353532394041015`, 0.993133009451634, 1], 
     Hue[0.23616915043333805`, 0.9693352335282319, 1], 
     Hue[0.16809131757516257`, 0.9373979486160458, 1], 
     Hue[0.4548327646991335, 1, 0.6814982121798656], 
     Hue[0.06283295818900118, 0.9478928591141085, 1], 
     Hue[0.07219231551064725, 0.9401709557392546, 1], 
     Hue[0.08475065946143208, 0.9842346549996557, 1], 
     Hue[0.06283295818900118, 1, 0.4269883775501169], 
     Hue[0.9371670418109989, 1, 0.4269883775501169], 
     Hue[0.3975836176504333, 1, 0.1839003302286393], 
     Hue[0.6024163823495667, 1, 0.1839003302286393], 
     Hue[0.25, 1, 0.03856920893418916], 
     Hue[0.75, 1, 0.03856920893418916], 
     Hue[0.8975836176504333, 1, 0.1839003302286393], 
     Hue[0.10241638234956672`, 1, 0.1839003302286393], 
     Hue[0.045167235300866554`, 1, 0.6814982121798656], 
     Hue[0.9152493405385679, 0.9842346549996557, 1], 
     Hue[0.9220208696226306, 0.9552676872652293, 1], 
     Hue[0.9371670418109989, 0.9478928591141085, 1], 
     Hue[0.9711420616236955, 0.9986824611220741, 1], 
     Hue[0.25, 1, 0.03856920893418916], 
     Hue[0.028857938376304477`, 0.9986824611220741, 1], 
     Hue[0.026464676059589878`, 0.9634555887381164, 1], 
     Hue[0.8831249387476565, 0.9373561786712512, 1], 
     Hue[0.8743340836219976, 0.9439536107233217, 1], 
     Hue[0.5628329581890011, 1, 0.4269883775501169], 
     Hue[0.43716704181099886`, 1, 0.4269883775501169], 
     Hue[0.1256659163780024, 0.9439536107233217, 1], 
     Hue[0.6168750612523434, 0.9373561786712512, 1], 
     Hue[0.5288579383763045, 0.9986824611220741, 1], 
     Hue[0.5264646760595899, 0.9634555887381164, 1], 
     Hue[0.41524934053856793`, 0.9842346549996557, 1], 
     Hue[0.42780768448935275`, 0.9401709557392546, 1], 
     Hue[0.33190868242483745`, 0.9373979486160458, 1], 
     Hue[0.19275085295129987`, 0.9577287167042123, 1], 
     Hue[0.27646467605958985`, 0.993133009451634, 1], 
     Hue[0.43716704181099886`, 0.9478928591141085, 1], 
     Hue[0.75, 1, 0.016706656506647946`], 
     Hue[0.25, 1, 0.016706656506647946`], 
     Hue[0.7147767125227227, 0.9468218740912067, 1], 
     Hue[0.7048327646991335, 1, 0.9462464383989784], 
     Hue[0.7852232874772773, 0.9468218740912067, 1], 
     Hue[0.7951672353008665, 1, 0.9462464383989784], 
     Hue[0.7852232874772773, 0.9468218740912067, 1], 
     Hue[0.7147767125227227, 0.9468218740912067, 1], 
     Hue[0.6614144672170952, 1, 0.9638087462707158], 
     Hue[0.7951672353008665, 1, 0.9462464383989784], 
     Hue[0.75, 1, 0.9399065690503376], 
     Hue[0.7895834241605655, 0.9842346549996557, 1], 
     Hue[0.8385855327829047, 1, 0.9638087462707158], 
     Hue[0.8385855327829047, 1, 0.9638087462707158], 
     Hue[0.7048327646991335, 1, 0.9462464383989784], 
     Hue[0.7104165758394344, 0.9842346549996557, 1], 
     Hue[0.6614144672170952, 1, 0.9638087462707158], 
     Hue[0.24421318513327792`, 1, 0.01309520327939431], 
     Hue[0.32797913037736937`, 1, 0.9890878541283405], 
     Hue[0.31813763182162447`, 0.9801089026952563, 1], 
     Hue[0.36101725845499993`, 0.9772987078864304, 1], 
     Hue[0.27646467605958985`, 0.993133009451634, 1], 
     Hue[0.263830849566662, 0.9693352335282319, 1], 
     Hue[0.3975836176504333, 0.9577287167042121, 1], 
     Hue[0.3908120885663705, 0.9420780670756617, 1], 
     Hue[0.42780768448935275`, 0.9401709557392546, 1], 
     Hue[0.43716704181099886`, 0.9478928591141085, 1], 
     Hue[0.6168750612523434, 0.9373561786712512, 1], 
     Hue[0.6256659163780024, 0.9439536107233217, 1], 
     Hue[0.19275085295129987`, 0.9577287167042123, 1], 
     Hue[0.2048327646991335, 0.9436444778056237, 1], 
     Hue[0.1720208696226307, 1, 0.9890878541283405], 
     Hue[0.13898274154500012`, 0.9772987078864304, 1], 
     Hue[0.14758361765043326`, 0.9543579190574074, 1], 
     Hue[0.5779791303773693, 1, 0.8075976944535492], 
     Hue[0.9220208696226306, 1, 0.8075976944535492], 
     Hue[0.8711189415908434, 1, 0.7430882533377972], 
     Hue[0.8831249387476565, 0.9373561786712512, 1], 
     Hue[0.10241638234956672`, 1, 0.1839003302286393], 
     Hue[0.25, 1, 0.31351609576080736`], 
     Hue[0.9220208696226306, 1, 0.8075976944535492], 
     Hue[0.8711189415908434, 1, 0.7430882533377972], 
     Hue[0.75, 1, 0.03856920893418916], 
     Hue[0.35241638234956674`, 1, 0.09481181872628416], 
     Hue[0.6475836176504333, 1, 0.09481181872628416], 
     Hue[0.75, 1, 0.31351609576080736`], 
     Hue[0.8128329581890013, 1, 0.2344053642736221], 
     Hue[0.9371670418109989, 1, 0.4269883775501169], 
     Hue[0.8279791303773694, 1, 0.5251286577979309], 
     Hue[0.9152493405385679, 0.9842346549996557, 1], 
     Hue[0.8279791303773694, 1, 0.5251286577979309], 
     Hue[0.75, 1, 0.31351609576080736`], 
     Hue[0.8975836176504333, 1, 0.1839003302286393], 
     Hue[0.6024163823495667, 1, 0.1839003302286393], 
     Hue[0.3975836176504333, 1, 0.1839003302286393], 
     Hue[0.6475836176504333, 1, 0.09481181872628416], 
     Hue[0.35241638234956674`, 1, 0.09481181872628416], 
     Hue[0.5779791303773693, 1, 0.8075976944535492], 
     Hue[0.25, 1, 0.31351609576080736`], 
     Hue[0.06283295818900118, 1, 0.4269883775501169], 
     Hue[0.06283295818900118, 0.9478928591141085, 1], 
     Hue[0.07219231551064725, 0.9401709557392546, 1], 
     Hue[0.10241638234956675`, 0.9577287167042121, 1], 
     Hue[0.819604487273064, 0.9434477745778731, 1], 
     Hue[0.5451672353008665, 1, 0.6814982121798656], 
     Hue[0.4548327646991335, 1, 0.6814982121798656], 
     Hue[0.13898274154500012`, 0.9772987078864304, 1], 
     Hue[0.14758361765043326`, 0.9543579190574074, 1], 
     Hue[0.1720208696226307, 1, 0.9890878541283405], 
     Hue[0.680395512726936, 0.9434477745778731, 1], 
     Hue[0.22353532394041015`, 0.993133009451634, 1], 
     Hue[0.30724914704870016`, 0.9577287167042123, 1], 
     Hue[0.4328069051277106, 0.9379711301281435, 1], 
     Hue[0.3975836176504333, 0.9577287167042121, 1], 
     Hue[0.3908120885663705, 0.9420780670756617, 1], 
     Hue[0.36101725845499993`, 0.9772987078864304, 1], 
     Hue[0.32797913037736937`, 1, 0.9890878541283405], 
     Hue[0.31813763182162447`, 0.9801089026952563, 1], 
     Hue[0.7442131851332779, 1, 0.01309520327939431], 
     Hue[0.41524934053856793`, 0.9842346549996557, 1], 
     Hue[0.5288579383763045, 0.9986824611220741, 1], 
     Hue[0.10241638234956675`, 0.9577287167042121, 1], 
     Hue[0.06719309487228946, 0.9379711301281435, 1], 
     Hue[0.43716704181099886`, 1, 0.4269883775501169], 
     Hue[0.5628329581890011, 1, 0.4269883775501169], 
     Hue[0.3128329581890012, 1, 0.2344053642736221], 
     Hue[0.6720208696226306, 1, 0.5251286577979309], 
     Hue[0.6211189415908434, 1, 0.46551805088059317`], 
     Hue[0.6871670418109987, 1, 0.2344053642736221], 
     Hue[0.028857938376304477`, 0.9986824611220741, 1], 
     Hue[0.045167235300866554`, 1, 0.6814982121798656], 
     Hue[0.9548327646991335, 1, 0.6814982121798656], 
     Hue[0., 1, 0.16656667913142892`], 
     Hue[0.14758361765043326`, 1, 0.09481181872628416], 
     Hue[0.8524163823495667, 1, 0.09481181872628416], 
     Hue[0., 1, 0.019387679107861495`], 
     Hue[0.8524163823495667, 1, 0.09481181872628416], 
     Hue[0.14758361765043326`, 1, 0.09481181872628416], 
     Hue[0., 1, 0.4136678600498656], 
     Hue[0.9711420616236955, 0.9986824611220741, 1], 
     Hue[0.9735353239404101, 0.9634555887381164, 1], 
     Hue[0.9371670418109989, 0.9478928591141085, 1], 
     Hue[0.6871670418109987, 1, 0.2344053642736221], 
     Hue[0.6720208696226306, 1, 0.5251286577979309], 
     Hue[0.6211189415908434, 1, 0.46551805088059317`], 
     Hue[0.3128329581890012, 1, 0.2344053642736221], 
     Hue[0.08475065946143208, 0.9842346549996557, 1], 
     Hue[0.07797913037736932, 0.9552676872652293, 1], 
     Hue[0.584750659461432, 0.9842346549996557, 1], 
     Hue[0.5779791303773693, 0.9552676872652293, 1], 
     Hue[0.47114206162369554`, 0.9986824611220741, 1], 
     Hue[0.47353532394041015`, 0.9634555887381164, 1], 
     Hue[0.5628329581890011, 0.9478928591141085, 1], 
     Hue[0.7442131851332779, 1, 0.01309520327939431], 
     Hue[0.24421318513327792`, 1, 0.01309520327939431], 
     Hue[0.25578681486672206`, 1, 0.01309520327939431], 
     Hue[0.7557868148667221, 1, 0.01309520327939431], 
     Hue[0.5, 1, 0.9670251863079213], 
     Hue[0.4812974407587234, 0.9931330094516342, 1], 
     Hue[0.4801314756944592, 0.9628747337515005, 1], 
     Hue[0.5696044872730639, 1, 0.9457935157595436], 
     Hue[0.5555998877857852, 1, 0.9982067090042416], 
     Hue[0.5589980848675284, 0.9693352335282319, 1], 
     Hue[0.47353532394041015`, 0.9634555887381164, 1], 
     Hue[0.5779791303773693, 0.9552676872652293, 1], 
     Hue[0.680395512726936, 0.9434477745778731, 1], 
     Hue[0.5451672353008665, 1, 0.6814982121798656], 
     Hue[0.5, 1, 0.6730937854163345], 
     Hue[0.819604487273064, 0.9434477745778731, 1], 
     Hue[0.06960448727306395, 1, 0.9457935157595436], 
     Hue[0.055599887785785215`, 1, 0.9982067090042416], 
     Hue[0.058998084867528534`, 0.9693352335282319, 1], 
     Hue[0.07797913037736932, 0.9552676872652293, 1], 
     Hue[0., 1, 0.4136678600498656], 
     Hue[0.5, 1, 0.16656667913142892`], 
     Hue[0., 1, 0.019387679107861495`], 
     Hue[0., 1, 0.16656667913142892`], 
     Hue[0.9548327646991335, 1, 0.6814982121798656], 
     Hue[0., 1, 0.6730937854163345], 
     Hue[0.9303955127269361, 1, 0.9457935157595436], 
     Hue[0.9444001122142148, 1, 0.9982067090042416], 
     Hue[0.9410019151324714, 0.9693352335282319, 1], 
     Hue[0., 1, 0.9670251863079213], 
     Hue[0.9812974407587234, 0.9931330094516342, 1], 
     Hue[0.9801314756944591, 0.9628747337515005, 1], 
     Hue[0.9735353239404101, 0.9634555887381164, 1], 
     Hue[0.5, 1, 0.019387679107861495`], 
     Hue[0., 1, 0.9670251863079213], 
     Hue[0.01870255924127667, 0.9931330094516342, 1], 
     Hue[0.019868524305540845`, 0.9628747337515005, 1], 
     Hue[0.5, 1, 0.4136678600498656], 
     Hue[0.6256659163780024, 0.9439536107233217, 1], 
     Hue[0.42202086962263075`, 0.9552676872652293, 1], 
     Hue[0.2048327646991335, 0.9436444778056237, 1], 
     Hue[0.263830849566662, 0.9693352335282319, 1], 
     Hue[0.5, 1, 0.9670251863079213], 
     Hue[0.5187025592412766, 0.9931330094516342, 1], 
     Hue[0.5198685243055408, 0.9628747337515005, 1], 
     Hue[0.43039551272693605`, 1, 0.9457935157595436], 
     Hue[0.4444001122142148, 1, 0.9982067090042416], 
     Hue[0.4410019151324715, 0.9693352335282319, 1], 
     Hue[0.7557868148667221, 1, 0.01309520327939431], 
     Hue[0.25578681486672206`, 1, 0.01309520327939431], 
     Hue[0.6974315432887466, 0.9995841931611611, 1], 
     Hue[0.665249340538568, 0.9652268345753339, 1], 
     Hue[0.6572264209222576, 0.9410393708738207, 1], 
     Hue[0.7104165758394344, 0.9842346549996557, 1], 
     Hue[0.8025684567112534, 0.9995841931611611, 1], 
     Hue[0.7788579383763045, 0.9537153039593911, 1], 
     Hue[0.7817255174305535, 0.9376138930825475, 1], 
     Hue[0.8025684567112534, 0.9995841931611611, 1], 
     Hue[0.834750659461432, 0.9652268345753339, 1], 
     Hue[0.7895834241605655, 0.9842346549996557, 1], 
     Hue[0.6974315432887466, 0.9995841931611611, 1], 
     Hue[0.7211420616236954, 0.9537153039593911, 1], 
     Hue[0.7211420616236954, 0.9537153039593911, 1], 
     Hue[0.7182744825694465, 0.9376138930825475, 1], 
     Hue[0.834750659461432, 0.9652268345753339, 1], 
     Hue[0.8427735790777423, 0.9410393708738207, 1], 
     Hue[0.75, 1, 0.9399065690503376], 
     Hue[0.7788579383763045, 0.9537153039593911, 1], 
     Hue[0.7817255174305535, 0.9376138930825475, 1], 
     Hue[0.665249340538568, 0.9652268345753339, 1], 
     Hue[0.6572264209222576, 0.9410393708738207, 1], 
     Hue[0.35241638234956674`, 0.9543579190574074, 1], 
     Hue[0.4328069051277106, 0.9379711301281435, 1], 
     Hue[0.18186236817837556`, 0.9801089026952563, 1], 
     Hue[0.6288810584091566, 1, 0.7430882533377972], 
     Hue[0.8743340836219976, 0.9439536107233217, 1], 
     Hue[0.01870255924127667, 0.9931330094516342, 1], 
     Hue[0.019868524305540845`, 0.9628747337515005, 1], 
     Hue[0.1871670418109988, 1, 0.6978182879475802], 
     Hue[0.1720208696226307, 1, 0.5251286577979309], 
     Hue[0.1211189415908434, 1, 0.46551805088059317`], 
     Hue[0.1871670418109988, 1, 0.2344053642736221], 
     Hue[0.5, 1, 0.019387679107861495`], 
     Hue[0.8788810584091566, 1, 0.46551805088059317`], 
     Hue[0.9220208696226306, 0.9552676872652293, 1], 
     Hue[0.8788810584091566, 1, 0.46551805088059317`], 
     Hue[0.8128329581890013, 1, 0.2344053642736221], 
     Hue[0.5, 1, 0.16656667913142892`], 
     Hue[0.6288810584091566, 1, 0.7430882533377972], 
     Hue[0.1871670418109988, 1, 0.2344053642736221], 
     Hue[0.1871670418109988, 1, 0.6978182879475802], 
     Hue[0.1720208696226307, 1, 0.5251286577979309], 
     Hue[0.1211189415908434, 1, 0.46551805088059317`], 
     Hue[0.06719309487228946, 0.9379711301281435, 1], 
     Hue[0.10918791143362953`, 0.9420780670756617, 1], 
     Hue[0.8427735790777423, 0.9410393708738207, 1], 
     Hue[0.8319086824248374, 0.9373979486160458, 1], 
     Hue[0.5, 1, 0.6730937854163345], 
     Hue[0.18186236817837556`, 0.9801089026952563, 1], 
     Hue[0.6680913175751626, 0.9373979486160458, 1], 
     Hue[0.23616915043333805`, 0.9693352335282319, 1], 
     Hue[0.2951672353008665, 0.9436444778056237, 1], 
     Hue[0.35241638234956674`, 0.9543579190574074, 1], 
     Hue[0.43039551272693605`, 1, 0.9457935157595436], 
     Hue[0.4444001122142148, 1, 0.9982067090042416], 
     Hue[0.4410019151324715, 0.9693352335282319, 1], 
     Hue[0.5187025592412766, 0.9931330094516342, 1], 
     Hue[0.5198685243055408, 0.9628747337515005, 1], 
     Hue[0.42202086962263075`, 0.9552676872652293, 1], 
     Hue[0.5264646760595899, 0.9634555887381164, 1], 
     Hue[0.10918791143362953`, 0.9420780670756617, 1], 
     Hue[0.5, 1, 0.4136678600498656], 
     Hue[0.3128329581890012, 1, 0.6978182879475802], 
     Hue[0.32797913037736937`, 1, 0.5251286577979309], 
     Hue[0.37888105840915665`, 1, 0.46551805088059317`], 
     Hue[0.026464676059589878`, 0.9634555887381164, 1], 
     Hue[0., 1, 0.6730937854163345], 
     Hue[0.9812974407587234, 0.9931330094516342, 1], 
     Hue[0.9801314756944591, 0.9628747337515005, 1], 
     Hue[0.9303955127269361, 1, 0.9457935157595436], 
     Hue[0.9444001122142148, 1, 0.9982067090042416], 
     Hue[0.9410019151324714, 0.9693352335282319, 1], 
     Hue[0.3128329581890012, 1, 0.6978182879475802], 
     Hue[0.32797913037736937`, 1, 0.5251286577979309], 
     Hue[0.37888105840915665`, 1, 0.46551805088059317`], 
     Hue[0.06960448727306395, 1, 0.9457935157595436], 
     Hue[0.055599887785785215`, 1, 0.9982067090042416], 
     Hue[0.5696044872730639, 1, 0.9457935157595436], 
     Hue[0.5555998877857852, 1, 0.9982067090042416], 
     Hue[0.4812974407587234, 0.9931330094516342, 1], 
     Hue[0.4801314756944592, 0.9628747337515005, 1], 
     Hue[0.03727687115420518, 0.9963251832747706, 1], 
     Hue[0.9627231288457948, 0.9963251832747706, 1], 
     Hue[0.638982741545, 0.9772987078864304, 1], 
     Hue[0.75, 0.9524622939621676, 1], 
     Hue[0.8072491470487001, 0.9577287167042123, 1], 
     Hue[0.7182744825694465, 0.9376138930825475, 1], 
     Hue[0.6927508529512998, 0.9577287167042123, 1], 
     Hue[0.03727687115420518, 0.9963251832747706, 1], 
     Hue[0.5372768711542051, 0.9963251832747706, 1], 
     Hue[0.12888105840915662`, 1, 0.7430882533377972], 
     Hue[0.14758361765043326`, 1, 0.6377724622654433], 
     Hue[0.12888105840915662`, 1, 0.7430882533377972], 
     Hue[0.14758361765043326`, 1, 0.6377724622654433], 
     Hue[0.9089469981442512, 1, 0.9795361808895034], 
     Hue[0.6614144672170952, 1, 0.8160627331892396], 
     Hue[0.6778076844893528, 1, 0.9232207938026671], 
     Hue[0.6720208696226306, 1, 0.9890878541283405], 
     Hue[0.75, 1, 0.8683780111594249], 
     Hue[0.7744372519721974, 1, 0.945793515759544], 
     Hue[0.7764646760595899, 0.993133009451634, 1], 
     Hue[0.9264415560267377, 1, 0.9902518962021951], 
     Hue[0.028857938376304477`, 1, 0.7061028211821733], 
     Hue[0.031725517430553574`, 1, 0.8490831611185704], 
     Hue[0.0498479256383133, 1, 0.902500428691192], 
     Hue[0.9711420616236955, 1, 0.7061028211821733], 
     Hue[0.9682744825694465, 1, 0.8490831611185704], 
     Hue[0.9832622916434259, 1, 0.9144444623948018], 
     Hue[0.028857938376304477`, 1, 0.7061028211821733], 
     Hue[0.031725517430553574`, 1, 0.8490831611185704], 
     Hue[0.0498479256383133, 1, 0.902500428691192], 
     Hue[0.5288579383763045, 1, 0.7061028211821733], 
     Hue[0.5317255174305535, 1, 0.8490831611185704], 
     Hue[0.01673770835657411, 1, 0.9144444623948018], 
     Hue[0.5167377083565741, 1, 0.9144444623948018], 
     Hue[0.9711420616236955, 1, 0.7061028211821733], 
     Hue[0., 1, 0.7130625254935091], 
     Hue[0.01514617218836814, 1, 0.7856225204534784], 
     Hue[0.47114206162369554`, 1, 0.7061028211821733], 
     Hue[0.5, 1, 0.7130625254935091], 
     Hue[0.5151461721883681, 1, 0.7856225204534784], 
     Hue[0.4682744825694465, 1, 0.8490831611185704], 
     Hue[0.4848538278116319, 1, 0.7856225204534784], 
     Hue[0.24671857102974074`, 1, 0.056711011316985006`], 
     Hue[0.2951672353008665, 1, 0.04606615594060429], 
     Hue[0.27118930463494645`, 1, 0.11029402963759997`], 
     Hue[0.32219231551064725`, 1, 0.08146025748362995], 
     Hue[0.2994539779605111, 1, 0.1893520217293668], 
     Hue[0.35241638234956674`, 1, 0.12824994744402232`], 
     Hue[0.3857997487800919, 1, 0.18065007839009373`], 
     Hue[0.42202086962263063`, 1, 0.22905940720664397`], 
     Hue[0.4096655293982669, 1, 0.4782581719900405], 
     Hue[0.46041657583943446`, 1, 0.26318198682048294`], 
     Hue[0.5, 1, 0.2754627587673769], 
     Hue[0.4539047501675729, 1, 0.5359600926436996], 
     Hue[0.5, 1, 0.5559165170038479], 
     Hue[0.5395834241605655, 1, 0.26318198682048294`], 
     Hue[0.546095249832427, 1, 0.5359600926436996], 
     Hue[0.5779791303773693, 1, 0.22905940720664397`], 
     Hue[0.590334470601733, 1, 0.4782581719900407], 
     Hue[0.6142002512199081, 1, 0.18065007839009392`], 
     Hue[0.6312743207258711, 1, 0.3906081730741103], 
     Hue[0.6475836176504333, 1, 0.12824994744402232`], 
     Hue[0.6680913175751626, 1, 0.28794588754575856`], 
     Hue[0.6778076844893528, 1, 0.08146025748362995], 
     Hue[0.7005460220394888, 1, 0.1893520217293668], 
     Hue[0.7048327646991335, 1, 0.04606615594060437], 
     Hue[0.7288106953650535, 1, 0.11029402963760015`], 
     Hue[0.7288106953650535, 1, 0.023106710661888102`], 
     Hue[0.7532814289702592, 1, 0.056711011316985], 
     Hue[0.2179204116518707, 1, 0.11811199197716013`], 
     Hue[0.24223788318168682`, 1, 0.22215453029480295`], 
     Hue[0.27118930463494645`, 1, 0.364531555523672], 
     Hue[0.30559988778578523`, 1, 0.5235099717373456], 
     Hue[0.34611403995525003`, 1, 0.6674325666620223], 
     Hue[0.39283307656006256`, 1, 0.7736448004560172], 
     Hue[0.44485419162971274`, 1, 0.8355812302315485], 
     Hue[0.5, 1, 0.8555624652090862], 
     Hue[0.5551458083702872, 1, 0.8355812302315485], 
     Hue[0.6071669234399374, 1, 0.7736448004560172], 
     Hue[0.65388596004475, 1, 0.6674325666620228], 
     Hue[0.6944001122142147, 1, 0.5235099717373459], 
     Hue[0.7288106953650535, 1, 0.3645315555236722], 
     Hue[0.7577621168183132, 1, 0.22215453029480295`], 
     Hue[0.7820795883481293, 1, 0.11811199197716021`], 
     Hue[0.18414997684586665`, 1, 0.20949023353797624`], 
     Hue[0.20724415709990793`, 1, 0.3764313957969854], 
     Hue[0.23575683215852775`, 1, 0.5786864460705753], 
     Hue[0.2711893046349464, 1, 0.768492183433701], 
     Hue[0.5, 0.9621099555082353, 1], 
     Hue[0.5685504848795899, 0.9721283569650698, 1], 
     Hue[0.6312743207258711, 1, 0.9902518962021951], 
     Hue[0.6848604888046383, 1, 0.908132612169903], 
     Hue[0.7288106953650535, 1, 0.768492183433701], 
     Hue[0.7642431678414723, 1, 0.5786864460705754], 
     Hue[0.792755842900092, 1, 0.37643139579698565`], 
     Hue[0.8158500231541332, 1, 0.20949023353797636`], 
     Hue[0.14497457865215743`, 1, 0.3185643168823474], 
     Hue[0.1652493405385679, 1, 0.5412224385042927], 
     Hue[0.1913277183822423, 1, 0.7714991857438945], 
     Hue[0.49999999999999994`, 0.9646113732149162, 1], 
     Hue[0.590334470601733, 0.9524499541827796, 1], 
     Hue[0.6680913175751626, 0.9373979486160458, 1], 
     Hue[0.7288106953650535, 0.960795102035483, 1], 
     Hue[0.8086722816177576, 1, 0.7714991857438945], 
     Hue[0.834750659461432, 1, 0.5412224385042931], 
     Hue[0.8550254213478425, 1, 0.3185643168823475], 
     Hue[0.10046358546138143`, 1, 0.4207694576101336], 
     Hue[0.11585810021987972`, 1, 0.6765415498067626], 
     Hue[0.13648428511445174`, 1, 0.9021229058398061], 
     Hue[0.49999999999999994`, 1, 0.7833071147995215], 
     Hue[0.6312743207258711, 1, 0.8520526214178655], 
     Hue[0.7288106953650535, 1, 0.9817663385708161], 
     Hue[0.792755842900092, 0.9415400309622228, 1], 
     Hue[0.8635157148855482, 1, 0.9021229058398064], 
     Hue[0.8841418997801203, 1, 0.6765415498067628], 
     Hue[0.8995364145386185, 1, 0.4207694576101336], 
     Hue[0.05151445431777945, 1, 0.4916785186396133], 
     Hue[0.059912765930903326`, 1, 0.7598820178277403], 
     Hue[0.07152778644229152, 1, 0.9692586366960844], 
     Hue[0.4999999999999999, 1, 0.2826350494133387], 
     Hue[0.7288106953650535, 1, 0.45608459192117035`], 
     Hue[0.834750659461432, 1, 0.7895601470047114], 
     Hue[0.8841418997801203, 0.990687257887215, 1], 
     Hue[0.9400872340690967, 1, 0.7598820178277408], 
     Hue[0.9484855456822205, 1, 0.49167851863961337`], 
     Hue[0., 1, 0.5167434516750956], 
     Hue[0., 1, 0.7873279898270396], 
     Hue[0., 1, 0.9887957852582994], 
     Hue[0., 1, 1.0593375115320382`*^-31], 
     Hue[0., 1, 0.2219912014328173], 
     Hue[0., 1, 0.9750178268982549], 
     Hue[0., 1, 0.5167434516750958], 
     Hue[0.9484855456822205, 1, 0.4916785186396133], 
     Hue[0.9400872340690967, 1, 0.7598820178277403], 
     Hue[0.5000000000000001, 1, 0.2826350494133387], 
     Hue[0.2711893046349465, 1, 0.45608459192117035`], 
     Hue[0.16524934053856793`, 1, 0.7895601470047114], 
     Hue[0.11585810021987974`, 0.990687257887215, 1], 
     Hue[0.05991276593090334, 1, 0.7598820178277408], 
     Hue[0.051514454317779464`, 1, 0.49167851863961337`], 
     Hue[0.8995364145386185, 1, 0.4207694576101336], 
     Hue[0.8841418997801203, 1, 0.6765415498067626], 
     Hue[0.8635157148855482, 1, 0.9021229058398061], 
     Hue[0.5, 1, 0.7833071147995215], 
     Hue[0.36872567927412886`, 1, 0.8520526214178655], 
     Hue[0.27118930463494645`, 1, 0.9817663385708161], 
     Hue[0.207244157099908, 0.9415400309622228, 1], 
     Hue[0.13648428511445176`, 1, 0.9021229058398064], 
     Hue[0.1158581002198797, 1, 0.6765415498067628], 
     Hue[0.10046358546138144`, 1, 0.4207694576101336], 
     Hue[0.8550254213478425, 1, 0.3185643168823474], 
     Hue[0.8347506594614321, 1, 0.5412224385042927], 
     Hue[0.8086722816177577, 1, 0.7714991857438945], 
     Hue[0.7744372519721974, 1, 0.945793515759544], 
     Hue[0.5, 0.9646113732149162, 1], 
     Hue[0.409665529398267, 0.9524499541827796, 1], 
     Hue[0.19132771838224236`, 1, 0.7714991857438945], 
     Hue[0.16524934053856793`, 1, 0.5412224385042931], 
     Hue[0.1449745786521575, 1, 0.3185643168823475], 
     Hue[0.8158500231541334, 1, 0.20949023353797624`], 
     Hue[0.792755842900092, 1, 0.3764313957969854], 
     Hue[0.7642431678414723, 1, 0.5786864460705753], 
     Hue[0.7288106953650536, 1, 0.768492183433701], 
     Hue[0.6848604888046385, 1, 0.908132612169903], 
     Hue[0.5, 0.9621099555082353, 1], 
     Hue[0.4314495151204101, 0.9721283569650698, 1], 
     Hue[0.36872567927412886`, 1, 0.9902518962021951], 
     Hue[0.3151395111953616, 1, 0.908132612169903], 
     Hue[0.27118930463494645`, 1, 0.768492183433701], 
     Hue[0.23575683215852777`, 1, 0.5786864460705754], 
     Hue[0.20724415709990796`, 1, 0.37643139579698565`], 
     Hue[0.1841499768458667, 1, 0.20949023353797636`], 
     Hue[0.7820795883481293, 1, 0.11811199197716013`], 
     Hue[0.7577621168183132, 1, 0.22215453029480295`], 
     Hue[0.7288106953650535, 1, 0.364531555523672], 
     Hue[0.6944001122142147, 1, 0.5235099717373456], 
     Hue[0.65388596004475, 1, 0.6674325666620223], 
     Hue[0.6071669234399375, 1, 0.7736448004560172], 
     Hue[0.5, 1, 0.8555624652090862], 
     Hue[0.44485419162971285`, 1, 0.8355812302315485], 
     Hue[0.3928330765600626, 1, 0.7736448004560172], 
     Hue[0.3461140399552501, 1, 0.6674325666620228], 
     Hue[0.3055998877857853, 1, 0.5235099717373459], 
     Hue[0.21792041165187073`, 1, 0.11811199197716021`], 
     Hue[0.7532814289702593, 1, 0.056711011316985006`], 
     Hue[0.7288106953650535, 1, 0.11029402963759997`], 
     Hue[0.7005460220394889, 1, 0.1893520217293668], 
     Hue[0.6680913175751626, 1, 0.28794588754575856`], 
     Hue[0.6312743207258712, 1, 0.3906081730741099], 
     Hue[0.590334470601733, 1, 0.4782581719900405], 
     Hue[0.5460952498324271, 1, 0.5359600926436996], 
     Hue[0.5, 1, 0.5559165170038479], 
     Hue[0.453904750167573, 1, 0.5359600926436996], 
     Hue[0.409665529398267, 1, 0.4782581719900407], 
     Hue[0.36872567927412886`, 1, 0.3906081730741103], 
     Hue[0.27118930463494645`, 1, 0.11029402963760015`], 
     Hue[0.24671857102974076`, 1, 0.056711011316985], 
     Hue[0.7288106953650535, 1, 0.023106710661888102`], 
     Hue[0.7048327646991335, 1, 0.04606615594060429], 
     Hue[0.6778076844893528, 1, 0.08146025748362995], 
     Hue[0.6475836176504333, 1, 0.12824994744402232`], 
     Hue[0.6142002512199081, 1, 0.18065007839009373`], 
     Hue[0.5779791303773694, 1, 0.22905940720664397`], 
     Hue[0.5395834241605655, 1, 0.26318198682048294`], 
     Hue[0.5, 1, 0.2754627587673769], 
     Hue[0.4604165758394345, 1, 0.26318198682048294`], 
     Hue[0.42202086962263075`, 1, 0.22905940720664397`], 
     Hue[0.3857997487800919, 1, 0.18065007839009392`], 
     Hue[0.3524163823495668, 1, 0.12824994744402232`], 
     Hue[0.32219231551064725`, 1, 0.08146025748362995], 
     Hue[0.2951672353008666, 1, 0.04606615594060437], 
     Hue[0.25, 1, 0.05115059315569174], 
     Hue[0.27760967071172393`, 1, 0.09011081518287675], 
     Hue[0.30855102071460133`, 1, 0.14101926497483533`], 
     Hue[0.41925302733033265`, 1, 0.2816478465512778], 
     Hue[0.4597044743737481, 1, 0.2916722218263773], 
     Hue[0.5, 1, 0.5559165170038476], 
     Hue[0.5451672353008665, 1, 0.49749341643337275`], 
     Hue[0.5869013692067151, 1, 0.40721394447784703`], 
     Hue[0.6243340836219975, 1, 0.3003356584542848], 
     Hue[0.6572264209222576, 1, 0.19707752740143622`], 
     Hue[0.6857770511432346, 1, 0.11419907314824718`], 
     Hue[0.7104165758394344, 1, 0.05823534170334159], 
     Hue[0.2217799563332524, 1, 0.10872255376531674`], 
     Hue[0.25, 1, 0.18953720868824053`], 
     Hue[0.28253340880793865`, 1, 0.2916722218263772], 
     Hue[0.4059582607547386, 1, 0.5526361544139266], 
     Hue[0.4529380853721398, 1, 0.5749355695797326], 
     Hue[0.5, 1, 0.8555624652090861], 
     Hue[0.5538265920020378, 1, 0.8017602024085777], 
     Hue[0.6024163823495666, 1, 0.7026226876180086], 
     Hue[0.644608845508408, 1, 0.5616770860522609], 
     Hue[0.680395512726936, 1, 0.3990208676210365], 
     Hue[0.7104165758394344, 1, 0.24759844906076894`], 
     Hue[0.7355413210972233, 1, 0.13354765477449101`], 
     Hue[0.7566304967999001, 1, 0.06271472916707271], 
     Hue[0.1886614434426459, 1, 0.19669430644060704`], 
     Hue[0.2166166335694749, 1, 0.33525169374592517`], 
     Hue[0.25, 1, 0.49749341643337275`], 
     Hue[0.28958342416056554`, 1, 0.6505625738026848], 
     Hue[0.5, 0.9621099555082353, 1], 
     Hue[0.566534069134463, 0.9874591471542393, 1], 
     Hue[0.6243340836219975, 1, 0.9485243182293623], 
     Hue[0.6720208696226306, 1, 0.8285581431338885], 
     Hue[0.7104165758394343, 1, 0.650562573802685], 
     Hue[0.7411603318266967, 1, 0.4432876364268518], 
     Hue[0.7659022512561763, 1, 0.2575764528561701], 
     Hue[0.7860170760716513, 1, 0.12799022293274148`], 
     Hue[0.15017144588801656`, 1, 0.30474398357363], 
     Hue[0.17644155602673775`, 1, 0.5013906492548587], 
     Hue[0.209153448000598, 1, 0.7052327888453764], 
     Hue[0.49999999999999994`, 0.9646113732149162, 1], 
     Hue[0.5869013692067151, 0.9442148524158462, 1], 
     Hue[0.7104165758394344, 0.99578847388561, 1], 
     Hue[0.7797545835714177, 1, 0.6566103723463834], 
     Hue[0.8025684567112534, 1, 0.41831453684957143`], 
     Hue[0.8204465749545544, 1, 0.22258075869792937`], 
     Hue[0.10629801781058598`, 1, 0.4092799986945949], 
     Hue[0.12888105840915662`, 1, 0.6471113207014118], 
     Hue[0.15830910343469437`, 1, 0.8611934490864764], 
     Hue[0.49999999999999994`, 1, 0.7833071147995218], 
     Hue[0.6243340836219975, 1, 0.8898622825880533], 
     Hue[0.8279791303773693, 1, 0.8285581431338885], 
     Hue[0.8464112479792295, 1, 0.5791037831026578], 
     Hue[0.860306746496228, 1, 0.33227639689185573`], 
     Hue[0.05782061840272252, 1, 0.48513393067554117`], 
     Hue[0.07440276529861721, 1, 0.7443244592779594], 
     Hue[0.09692882457379003, 1, 0.9505584765140818], 
     Hue[0.4999999999999999, 1, 0.28263504941333906`], 
     Hue[0.7104165758394343, 1, 0.5078329708550886], 
     Hue[0.8025684567112533, 1, 0.8406335767184038], 
     Hue[0.8975836176504333, 1, 0.702622687618009], 
     Hue[0.9054415243804451, 1, 0.431755107269675], 
     Hue[0.006495218488374532, 1, 0.5163468002111271], 
     Hue[0.01514617218836814, 1, 0.7856225204534784], 
     Hue[0.25, 1, 2.1186750230640755`*^-31], 
     Hue[0.9548327646991333, 1, 0.22614504530180762`], 
     Hue[0.9548327646991334, 1, 0.4974934164333731], 
     Hue[0.9548327646991335, 1, 0.4974934164333731], 
     Hue[0.9548327646991335, 1, 0.7719284610182497], 
     Hue[0.5000000000000001, 1, 0.28263504941333845`], 
     Hue[0.25, 1, 0.40691670833383853`], 
     Hue[0.006495218488374494, 1, 0.5163468002111271], 
     Hue[0.9054415243804452, 1, 0.4317551072696749], 
     Hue[0.8975836176504333, 1, 0.7026226876180087], 
     Hue[0.8867975821453534, 1, 0.9339579730860554], 
     Hue[0.5, 1, 0.7833071147995212], 
     Hue[0.36101725845499993`, 1, 0.8105018428602703], 
     Hue[0.07440276529861718, 1, 0.7443244592779599], 
     Hue[0.05782061840272249, 1, 0.48513393067554117`], 
     Hue[0.8603067464962281, 1, 0.33227639689185573`], 
     Hue[0.8464112479792296, 1, 0.5791037831026576], 
     Hue[0.8279791303773694, 1, 0.8285581431338885], 
     Hue[0.5, 0.9646113732149162, 1], 
     Hue[0.40595826075473873`, 0.9640296610648051, 1], 
     Hue[0.8204465749545545, 1, 0.22258075869792937`], 
     Hue[0.8025684567112534, 1, 0.4183145368495712], 
     Hue[0.7797545835714177, 1, 0.6566103723463834], 
     Hue[0.75, 1, 0.8683780111594249], 
     Hue[0.5, 0.9621099555082351, 1], 
     Hue[0.4293091350809869, 0.9595105158849948, 1], 
     Hue[0.30050153844901295`, 1, 0.9714737097815537], 
     Hue[0.209153448000598, 1, 0.7052327888453767], 
     Hue[0.7860170760716513, 1, 0.1279902229327415], 
     Hue[0.7659022512561764, 1, 0.25757645285616987`], 
     Hue[0.7411603318266968, 1, 0.44328763642685204`], 
     Hue[0.7104165758394345, 1, 0.6505625738026851], 
     Hue[0.6720208696226306, 1, 0.8285581431338885], 
     Hue[0.5, 1, 0.8555624652090863], 
     Hue[0.44346938420531556`, 1, 0.8675828880745051], 
     Hue[0.38763966982684406`, 1, 0.8392812569245481], 
     Hue[0.33567867399299267`, 1, 0.767632388132533], 
     Hue[0.28958342416056554`, 1, 0.6505625738026852], 
     Hue[0.7566304967999001, 1, 0.06271472916707271], 
     Hue[0.7355413210972233, 1, 0.13354765477449101`], 
     Hue[0.7104165758394345, 1, 0.24759844906076917`], 
     Hue[0.6803955127269361, 1, 0.39902086762103656`], 
     Hue[0.6446088455084081, 1, 0.5616770860522609], 
     Hue[0.6024163823495667, 1, 0.702622687618009], 
     Hue[0.5, 1, 0.555916517003848], 
     Hue[0.4529380853721399, 1, 0.5749355695797327], 
     Hue[0.40595826075473873`, 1, 0.5526361544139271], 
     Hue[0.36101725845499993`, 1, 0.4912921928139277], 
     Hue[0.2217799563332524, 1, 0.10872255376531681`], 
     Hue[0.7316563018086943, 1, 0.02608665553580529], 
     Hue[0.7104165758394345, 1, 0.05823534170334159], 
     Hue[0.6857770511432346, 1, 0.11419907314824715`], 
     Hue[0.6572264209222577, 1, 0.19707752740143622`], 
     Hue[0.6243340836219976, 1, 0.3003356584542852], 
     Hue[0.5869013692067152, 1, 0.4072139444778471], 
     Hue[0.5451672353008665, 1, 0.4974934164333731], 
     Hue[0.5, 1, 0.275462758767377], 
     Hue[0.4597044743737482, 1, 0.29167222182637753`], 
     Hue[0.4192530273303327, 1, 0.2816478465512781], 
     Hue[0.37991789476229865`, 1, 0.24759844906076905`], 
     Hue[0.27760967071172393`, 1, 0.09011081518287693], 
     Hue[0.28958342416056554`, 1, 0.24759844906076917`], 
     Hue[0.23409774874382364`, 1, 0.25757645285616987`], 
     Hue[0.25883966817330323`, 1, 0.44328763642685204`], 
     Hue[0.3005015384490129, 1, 0.9714737097815532], 
     Hue[0.2895834241605655, 0.9957884738856095, 1], 
     Hue[0.638982741545, 0.9772987078864304, 1], 
     Hue[0.19743154328874662`, 0.9995841931611615, 1], 
     Hue[0.1974315432887465, 0.9995841931611611, 1], 
     Hue[0.25, 0.941896740988931, 1], 
     Hue[0.23409774874382358`, 0.9374874293475608, 1], 
     Hue[0.680395512726936, 0.9434477745778731, 1], 
     Hue[0.75, 0.9418967409889307, 1], 
     Hue[0.12888105840915665`, 0.9468648437394482, 1], 
     Hue[0.12888105840915653`, 0.946864843739448, 1], 
     Hue[0.17644155602673775`, 0.9557263982408528, 1], 
     Hue[0.15358875202077038`, 0.9689018474920372, 1], 
     Hue[0.19743154328874643`, 1, 0.840633576718404], 
     Hue[0.75, 1, 0.9399065690503373], 
     Hue[0.8235584439732623, 0.955726398240853, 1], 
     Hue[0.8711189415908434, 0.946864843739448, 1], 
     Hue[0.8711189415908434, 0.9468648437394482, 1], 
     Hue[0.8711189415908435, 0.946864843739448, 1], 
     Hue[0.8711189415908434, 0.9468648437394482, 1], 
     Hue[0.8464112479792296, 0.9689018474920372, 1], 
     Hue[0.8235584439732623, 0.9557263982408528, 1], 
     Hue[0.8025684567112535, 1, 0.840633576718404], 
     Hue[0.19743154328874668`, 1, 0.8406335767184038], 
     Hue[0.15358875202077057`, 0.968901847492037, 1], 
     Hue[0.12888105840915662`, 0.9468648437394482, 1], 
     Hue[0.12888105840915665`, 0.946864843739448, 1], 
     Hue[0.7659022512561764, 0.9374874293475608, 1], 
     Hue[0.75, 0.941896740988931, 1], 
     Hue[0.28958342416056565`, 0.9842346549996552, 1], 
     Hue[0.23409774874382375`, 0.9374874293475612, 1], 
     Hue[0.1974315432887466, 0.9995841931611611, 1], 
     Hue[0.19743154328874665`, 0.9995841931611611, 1], 
     Hue[0.6389827415450001, 0.9772987078864304, 1], 
     Hue[0.3427735790777424, 0.9410393708738207, 1], 
     Hue[0.2895834241605656, 0.99578847388561, 1], 
     Hue[0.25, 1, 0.4974934164333731], 
     Hue[0.2588396681733033, 1, 0.4432876364268518], 
     Hue[0.21661663356947483`, 1, 0.33525169374592556`], 
     Hue[0.2340977487438237, 1, 0.2575764528561701], 
     Hue[0.28253340880793865`, 1, 0.2916722218263774], 
     Hue[0.2895834241605656, 1, 0.24759844906076894`], 
     Hue[0.2683436981913056, 1, 0.02608665553580529], 
     Hue[0.3142229488567654, 1, 0.11419907314824718`], 
     Hue[0.3427735790777424, 1, 0.1970775274014359], 
     Hue[0.3427735790777423, 1, 0.19707752740143622`], 
     Hue[0.31960448727306395`, 1, 0.3990208676210363], 
     Hue[0.31960448727306395`, 1, 0.39902086762103656`], 
     Hue[0.37991789476229865`, 1, 0.24759844906076872`], 
     Hue[0.3756659163780024, 1, 0.30033565845428506`], 
     Hue[0.3610172584549999, 1, 0.4912921928139274], 
     Hue[0.35539115449159187`, 1, 0.5616770860522609], 
     Hue[0.7316563018086943, 1, 0.02608665553580529], 
     Hue[0.75, 1, 0.05115059315569176], 
     Hue[0.26445867890277674`, 1, 0.13354765477449101`], 
     Hue[0.2574012214103869, 1, 0.15996316964712623`], 
     Hue[0.21398292392834872`, 1, 0.1279902229327415], 
     Hue[0.20169165068097353`, 1, 0.1604411589531619], 
     Hue[0.2255627480278026, 1, 0.2954374049478432], 
     Hue[0.3356786739929926, 1, 0.7676323881325325], 
     Hue[0.3279791303773693, 1, 0.8285581431338885], 
     Hue[0.31513951119536154`, 1, 0.908132612169903], 
     Hue[0.387639669826844, 1, 0.8392812569245475], 
     Hue[0.37566591637800234`, 1, 0.9485243182293628], 
     Hue[0.36872567927412875`, 1, 0.9902518962021951], 
     Hue[0.44346938420531556`, 1, 0.867582888074505], 
     Hue[0.5, 1, 0.8555624652090863], 
     Hue[0.5565306157946844, 1, 0.8675828880745051], 
     Hue[0.6123603301731559, 1, 0.8392812569245481], 
     Hue[0.17955342504544544`, 1, 0.22258075869792937`], 
     Hue[0.19743154328874654`, 1, 0.4183145368495712], 
     Hue[0.25, 1, 0.8683780111594248], 
     Hue[0.24999999999999994`, 1, 0.8683780111594249], 
     Hue[0.2951672353008665, 1, 0.9887957852582996], 
     Hue[0.22556274802780257`, 1, 0.945793515759544], 
     Hue[0.35241638234956674`, 0.9543579190574074, 1], 
     Hue[0.2711893046349464, 0.960795102035483, 1], 
     Hue[0.42202086962263063`, 0.9385111864485911, 1], 
     Hue[0.13969325350377193`, 1, 0.33227639689185573`], 
     Hue[0.15358875202077044`, 1, 0.5791037831026576], 
     Hue[0.17202086962263066`, 1, 0.8285581431338885], 
     Hue[0.1652493405385679, 1, 0.8454187978547397], 
     Hue[0.1974315432887466, 0.9995841931611611, 1], 
     Hue[0.2422378831816868, 0.9389205773421891, 1], 
     Hue[0.1652493405385679, 0.9652268345753336, 1], 
     Hue[0.3055998877857852, 0.9591317817070004, 1], 
     Hue[0.20724415709990793`, 0.9415400309622226, 1], 
     Hue[0.2711893046349464, 1, 0.9817663385708162], 
     Hue[0.49999999999999994`, 1, 0.9462464383989786], 
     Hue[0.3610172584549999, 1, 0.8105018428602709], 
     Hue[0.6071669234399373, 1, 0.9799637610689599], 
     Hue[0.11320241785464656`, 1, 0.9339579730860554], 
     Hue[0.10513691342250685`, 1, 0.9426963482290667], 
     Hue[0.1288810584091566, 0.9468648437394482, 1], 
     Hue[0.1652493405385679, 0.9620534850028248, 1], 
     Hue[0.045167235300866616`, 0.9374531292059121, 1], 
     Hue[0.04516723530086648, 0.9374531292059121, 1], 
     Hue[0.22556274802780255`, 1, 0.8919629103420218], 
     Hue[0.6680913175751625, 1, 0.6666809554343671], 
     Hue[0.8711189415908434, 1, 0.7430882533377969], 
     Hue[0.834750659461432, 0.9620534850028251, 1], 
     Hue[0.8711189415908434, 0.9468648437394482, 1], 
     Hue[0.9255972347013829, 1, 0.989815174772145], 
     Hue[0.8867975821453533, 1, 0.9339579730860553], 
     Hue[0.9030711754262101, 1, 0.9505584765140819], 
     Hue[0.045167235300866526`, 1, 0.9813589445081733], 
     Hue[0.04516723530086655, 0.9374531292059121, 1], 
     Hue[0.07440276529861725, 1, 0.9898151747721451], 
     Hue[0.04516723530086649, 1, 0.9805677408009048], 
     Hue[0.9548327646991335, 1, 0.9805677408009048], 
     Hue[0.9255972347013828, 1, 0.9898151747721451], 
     Hue[0.1652493405385678, 1, 0.286550838669108], 
     Hue[0.49999999999999967`, 1, 0.07628723786135215], 
     Hue[0.834750659461432, 1, 0.28655083866910747`], 
     Hue[0.04516723530086664, 1, 0.6814982121798654], 
     Hue[0.9548327646991334, 0.9374531292059118, 1], 
     Hue[0.9548327646991335, 0.9374531292059121, 1], 
     Hue[0.04516723530086666, 1, 0.9805677408009047], 
     Hue[0.9548327646991335, 1, 0.9813589445081733], 
     Hue[0.9727828197011791, 1, 0.986148275441985], 
     Hue[0.9727828197011791, 1, 0.986148275441985], 
     Hue[0.9548327646991335, 0.9374531292059121, 1], 
     Hue[0.9548327646991334, 0.9374531292059121, 1], 
     Hue[0.9400872340690967, 1, 0.9847088302201124], 
     Hue[0.8841418997801203, 0.9906872578872146, 1], 
     Hue[0.8347506594614322, 1, 0.286550838669108], 
     Hue[0.8347506594614321, 1, 0.7895601470047118], 
     Hue[0.5000000000000003, 1, 0.07628723786135215], 
     Hue[0.16524934053856802`, 1, 0.28655083866910747`], 
     Hue[0.08858553278290478, 1, 0.7057401556658356], 
     Hue[0.04516723530086652, 0.9374531292059121, 1], 
     Hue[0.0451672353008666, 0.9374531292059118, 1], 
     Hue[0.027217180298820892`, 1, 0.986148275441985], 
     Hue[0.04516723530086658, 1, 0.9813589445081733], 
     Hue[0.08858553278290476, 0.9393258946962992, 1], 
     Hue[0.90307117542621, 1, 0.9505584765140818], 
     Hue[0.8948630865774931, 1, 0.9426963482290667], 
     Hue[0.8711189415908434, 0.9468648437394482, 1], 
     Hue[0.8347506594614321, 0.9620534850028248, 1], 
     Hue[0.6680913175751626, 1, 0.6666809554343676], 
     Hue[0.5, 1, 0.5474321843395877], 
     Hue[0.22556274802780266`, 1, 0.8919629103420215], 
     Hue[0.16524934053856793`, 0.9620534850028251, 1], 
     Hue[0.12888105840915665`, 0.9468648437394482, 1], 
     Hue[0.09692882457378997, 1, 0.9505584765140819], 
     Hue[0.11320241785464664`, 1, 0.9339579730860553], 
     Hue[0.16524934053856793`, 0.9652268345753339, 1], 
     Hue[0.6243340836219977, 1, 0.889862282588053], 
     Hue[0.5, 1, 0.7833071147995218], 
     Hue[0.5, 1, 0.9462464383989786], 
     Hue[0.24223788318168685`, 0.9389205773421891, 1], 
     Hue[0.19743154328874662`, 0.9995841931611611, 1], 
     Hue[0.15830910343469434`, 1, 0.8611934490864767], 
     Hue[0.17202086962263072`, 1, 0.8285581431338885], 
     Hue[0.25, 1, 0.8683780111594251], 
     Hue[0.25000000000000006`, 1, 0.8683780111594249], 
     Hue[0.1288810584091566, 1, 0.6471113207014123], 
     Hue[0.1535887520207705, 1, 0.5791037831026579], 
     Hue[0.10629801781058598`, 1, 0.40927999869459486`], 
     Hue[0.13969325350377199`, 1, 0.33227639689185573`], 
     Hue[0.6243340836219977, 1, 0.9485243182293628], 
     Hue[0.6123603301731559, 1, 0.8392812569245475], 
     Hue[0.5565306157946844, 1, 0.867582888074505], 
     Hue[0.42202086962263075`, 0.9385111864485911, 1], 
     Hue[0.37566591637800245`, 1, 0.9485243182293623], 
     Hue[0.2951672353008666, 1, 0.9887957852582997], 
     Hue[0.25000000000000006`, 1, 0.8683780111594251], 
     Hue[0.32797913037736937`, 1, 0.8285581431338885], 
     Hue[0.17644155602673772`, 1, 0.5013906492548592], 
     Hue[0.19743154328874662`, 1, 0.41831453684957143`], 
     Hue[0.15017144588801654`, 1, 0.3047439835736302], 
     Hue[0.17955342504544552`, 1, 0.22258075869792937`], 
     Hue[0.2255627480278026, 1, 0.29543740494784343`], 
     Hue[0.27118930463494645`, 1, 0.3645315555236722], 
     Hue[0.1886614434426459, 1, 0.19669430644060715`], 
     Hue[0.21398292392834875`, 1, 0.12799022293274148`], 
     Hue[0.25, 1, 0.18953720868824078`], 
     Hue[0.26445867890277674`, 1, 0.13354765477449101`], 
     Hue[0.355391154491592, 1, 0.5616770860522609], 
     Hue[0.37566591637800245`, 1, 0.3003356584542848], 
     Hue[0.319604487273064, 1, 0.39902086762103645`], 
     Hue[0.319604487273064, 1, 0.39902086762103645`], 
     Hue[0.3427735790777424, 1, 0.19707752740143622`], 
     Hue[0.3427735790777424, 1, 0.19707752740143622`], 
     Hue[0.2574012214103869, 1, 0.1599631696471266], 
     Hue[0.30855102071460133`, 1, 0.14101926497483555`], 
     Hue[0.31422294885676544`, 1, 0.11419907314824718`], 
     Hue[0.75, 1, 0.05115059315569174], 
     Hue[0.25, 1, 0.05115059315569176], 
     Hue[0.2683436981913056, 1, 0.02608665553580529], 
     Hue[0.27118930463494645`, 1, 0.023106710661888102`], 
     Hue[0.27118930463494645`, 1, 0.023106710661888102`], 
     Hue[0.33190868242483745`, 1, 0.28794588754575856`], 
     Hue[0.3687256792741288, 1, 0.3906081730741099], 
     Hue[0.1652493405385679, 1, 0.26318198682048316`], 
     Hue[0.12335265851142997`, 1, 0.37221878190908464`], 
     Hue[0.36872567927412875`, 1, 0.8520526214178656], 
     Hue[0.08858553278290476, 0.939325894696299, 1], 
     Hue[0.49999999999999994`, 1, 0.5474321843395877], 
     Hue[0.27118930463494634`, 1, 0.4560845919211708], 
     Hue[0.8948630865774931, 1, 0.9426963482290668], 
     Hue[0.059912765930903326`, 1, 0.9847088302201124], 
     Hue[0.08858553278290471, 1, 0.7057401556658363], 
     Hue[0., 1, 0.9750178268982551], 
     Hue[0.9400872340690967, 1, 0.984708830220112], 
     Hue[0.9548327646991335, 0.9374531292059118, 1], 
     Hue[0.9637788791574612, 1, 0.9840658339858182], 
     Hue[0.9548327646991335, 0.9374531292059121, 1], 
     Hue[0.7288106953650537, 1, 0.4560845919211708], 
     Hue[0.05991276593090335, 1, 0.984708830220112], 
     Hue[0.04516723530086656, 0.9374531292059118, 1], 
     Hue[0.10513691342250688`, 1, 0.9426963482290668], 
     Hue[0.6071669234399375, 1, 0.97996376106896], 
     Hue[0.16524934053856793`, 1, 0.8454187978547398], 
     Hue[0.22556274802780266`, 1, 0.945793515759544], 
     Hue[0.12335265851143001`, 1, 0.37221878190908486`], 
     Hue[0.6312743207258713, 1, 0.9902518962021951], 
     Hue[0.56855048487959, 0.97212835696507, 1], 
     Hue[0.1652493405385679, 1, 0.26318198682048316`], 
     Hue[0.20169165068097353`, 1, 0.160441158953162], 
     Hue[0.24223788318168682`, 1, 0.22215453029480295`], 
     Hue[0.33190868242483745`, 1, 0.28794588754575856`], 
     Hue[0.29945397796051115`, 1, 0.1893520217293668], 
     Hue[0.5, 0.9373229676629176, 1], 
     Hue[0.5779791303773693, 0.9385111864485911, 1], 
     Hue[0.39283307656006256`, 1, 0.97996376106896], 
     Hue[0.11585810021987969`, 0.9906872578872146, 1], 
     Hue[0.9114144672170952, 0.9393258946962992, 1], 
     Hue[0., 0.9373229676629176, 1], 
     Hue[0., 0.9373229676629173, 1], 
     Hue[0.9114144672170952, 0.939325894696299, 1], 
     Hue[0.3928330765600627, 1, 0.9799637610689599], 
     Hue[0.5779791303773694, 0.9385111864485911, 1], 
     Hue[0.5, 0.9373229676629176, 1], 
     Hue[0.5, 0.9373229676629176, 1], 
     Hue[0.5807469726696672, 0.9373416172005133, 1], 
     Hue[0.8464112479792294, 0.968901847492037, 1], 
     Hue[0.8711189415908435, 0.9834151083283169, 1], 
     Hue[0.25, 1, 0.9399065690503373], 
     Hue[0.25000000000000006`, 1, 0.9399065690503376], 
     Hue[0.17644155602673772`, 0.955726398240853, 1], 
     Hue[0.19743154328874668`, 0.9453160964915912, 1], 
     Hue[0.319604487273064, 0.9434477745778731, 1], 
     Hue[0.319604487273064, 0.9434477745778731, 1], 
     Hue[0.25, 0.9418967409889307, 1], 
     Hue[0.2644586789027768, 0.9527714919473071, 1], 
     Hue[0.5, 0.9373229676629176, 1], 
     Hue[0.34277357907774225`, 0.9410393708738205, 1], 
     Hue[0.3427735790777423, 0.941039370873821, 1], 
     Hue[0.26445867890277663`, 0.9527714919473074, 1], 
     Hue[0.2166166335694749, 0.9388987363170442, 1], 
     Hue[0.31960448727306395`, 0.9434477745778731, 1], 
     Hue[0.3196044872730639, 0.9434477745778731, 1], 
     Hue[0.28958342416056543`, 0.9842346549996557, 1], 
     Hue[0.28958342416056554`, 0.9842346549996555, 1], 
     Hue[0.1974315432887465, 0.945316096491591, 1], 
     Hue[0.12888105840915665`, 0.9834151083283165, 1], 
     Hue[0.25, 1, 0.9399065690503379], 
     Hue[0.24999999999999986`, 1, 0.9399065690503376], 
     Hue[0.9114144672170952, 0.9393258946962992, 1], 
     Hue[0.8711189415908434, 0.9834151083283165, 1], 
     Hue[0.12888105840915653`, 0.9834151083283169, 1], 
     Hue[0.0885855327829048, 0.939325894696299, 1], 
     Hue[0.1652493405385679, 0.9652268345753336, 1], 
     Hue[0.2895834241605656, 0.9842346549996557, 1], 
     Hue[0.21661663356947483`, 0.9388987363170447, 1], 
     Hue[0.3427735790777424, 0.9410393708738205, 1], 
     Hue[0.5, 0.9621099555082351, 1], 
     Hue[0.5, 0.9373229676629176, 1], 
     Hue[0.3319086824248374, 0.9373979486160458, 1], 
     Hue[0.37566591637800223`, 1, 0.889862282588053], 
     Hue[0.387639669826844, 1, 0.9538226558440548], 
     Hue[0.22556274802780257`, 0.9375120809262778, 1], 
     Hue[0.18716704181099877`, 0.9500938132207386, 1], 
     Hue[7.067900301841192*^-17, 0.9373229676629176, 1], 
     Hue[0.9114144672170953, 0.9393258946962992, 1], 
     Hue[1., 0.9373229676629173, 1], 
     Hue[0.9999999999999999, 0.9373229676629176, 1], 
     Hue[3.5339501509205964`*^-17, 0.9373229676629173, 1], 
     Hue[0.37566591637800245`, 1, 0.8898622825880533], 
     Hue[0.38763966982684406`, 1, 0.9538226558440541], 
     Hue[0.18716704181099886`, 0.9500938132207386, 1], 
     Hue[0.22556274802780266`, 0.9375120809262778, 1], 
     Hue[0.5869013692067152, 0.9442148524158462, 1], 
     Hue[0.5807469726696673, 0.9373416172005136, 1], 
     Hue[0.5, 0.9646113732149162, 1], 
     Hue[0.5, 0.9373229676629176, 1], 
     Hue[0.3055998877857853, 0.9591317817070006, 1], 
     Hue[0.5706908649190131, 0.9595105158849948, 1], 
     Hue[0.575391302139786, 0.9426414876292502, 1], 
     Hue[0.49999999999999994`, 0.9646113732149162, 1], 
     Hue[0.49999999999999994`, 1, 0.9462464383989789], 
     Hue[0.5940417392452613, 0.9640296610648051, 1], 
     Hue[0.6024163823495666, 0.9977027292549623, 1], 
     Hue[0.49999999999999994`, 1, 0.7833071147995212], 
     Hue[0.49999999999999994`, 1, 0.547432184339588], 
     Hue[0.08858553278290468, 0.939325894696299, 1], 
     Hue[0.10241638234956665`, 0.9977027292549623, 1], 
     Hue[0.4999999999999999, 1, 0.28263504941333845`], 
     Hue[0.49999999999999967`, 1, 0.07628723786135232], 
     Hue[0.49999999999999967`, 1, 0.07628723786135197], 
     Hue[0.75, 1, 2.1186750230640755`*^-31], 
     Hue[0.5000000000000003, 1, 0.07628723786135197], 
     Hue[0.8711189415908435, 1, 0.2588061942389718], 
     Hue[0.045167235300866776`, 1, 0.22614504530180762`], 
     Hue[0.12888105840915653`, 1, 0.2588061942389718], 
     Hue[0.04516723530086649, 1, 0.6814982121798654], 
     Hue[0.8975836176504332, 0.9977027292549623, 1], 
     Hue[0.9848538278116318, 1, 0.9756472872719419], 
     Hue[0.015146172188368051`, 1, 0.9756472872719415], 
     Hue[0.5000000000000001, 1, 0.28263504941333906`], 
     Hue[0.5, 1, 0.5474321843395874], 
     Hue[0.5, 1, 0.9462464383989789], 
     Hue[0.3975836176504334, 0.9977027292549623, 1], 
     Hue[0.41309863079328496`, 0.9442148524158462, 1], 
     Hue[0.4192530273303327, 0.9373416172005133, 1], 
     Hue[0.33190868242483745`, 0.9373979486160458, 1], 
     Hue[0.16524934053856796`, 0.9652268345753341, 1], 
     Hue[0.27760967071172393`, 0.9706125521219018, 1], 
     Hue[0.42460869786021405`, 0.9426414876292502, 1], 
     Hue[0.6944001122142147, 0.9591317817070006, 1], 
     Hue[0.7744372519721975, 1, 0.8919629103420218], 
     Hue[0.792755842900092, 0.9415400309622226, 1], 
     Hue[0.6944001122142148, 0.9591317817070004, 1], 
     Hue[0.7744372519721974, 1, 0.8919629103420215], 
     Hue[0.75, 1, 0.9399065690503376], 
     Hue[0.7288106953650536, 1, 0.9817663385708162], 
     Hue[0.7104165758394345, 0.9842346549996557, 1], 
     Hue[0.7104165758394345, 0.9842346549996555, 1], 
     Hue[0.3610172584549999, 0.9772987078864304, 1], 
     Hue[0.36101725845499977`, 0.9772987078864304, 1], 
     Hue[0.2776096707117239, 0.9706125521219018, 1], 
     Hue[0.4130986307932848, 0.9442148524158462, 1], 
     Hue[0.41925302733033265`, 0.9373416172005136, 1], 
     Hue[0.42930913508098684`, 0.9595105158849953, 1], 
     Hue[0.42460869786021394`, 0.9426414876292504, 1], 
     Hue[0.16524934053856796`, 0.9652268345753339, 1], 
     Hue[0.16524934053856788`, 0.9652268345753339, 1], 
     Hue[0.14758361765043326`, 0.9543579190574074, 1], 
     Hue[0.9114144672170952, 1, 0.7057401556658356], 
     Hue[0.8711189415908434, 1, 0.7430882533377969], 
     Hue[0.9114144672170952, 0.939325894696299, 1], 
     Hue[0.04516723530086629, 1, 0.226145045301808], 
     Hue[0.12888105840915673`, 1, 0.2588061942389725], 
     Hue[0.25, 1, 0.4069167083338393], 
     Hue[0.19743154328874635`, 1, 0.3210775388146859], 
     Hue[0.9114144672170953, 1, 0.7057401556658363], 
     Hue[0.8711189415908434, 1, 0.7430882533377973], 
     Hue[0.8711189415908436, 1, 0.7430882533377972], 
     Hue[0.75, 1, 0.40691670833383853`], 
     Hue[0.8025684567112532, 1, 0.3210775388146858], 
     Hue[0.8975836176504334, 0.9977027292549623, 1], 
     Hue[0.75, 1, 0.4069167083338393], 
     Hue[0.8025684567112537, 1, 0.3210775388146859], 
     Hue[0.9548327646991337, 1, 0.226145045301808], 
     Hue[0.8711189415908432, 1, 0.2588061942389725], 
     Hue[0.5000000000000003, 1, 0.07628723786135232], 
     Hue[0.6312743207258713, 1, 0.8520526214178656], 
     Hue[0.1974315432887468, 1, 0.3210775388146858], 
     Hue[0.08858553278290475, 0.9393258946962992, 1], 
     Hue[0.8025684567112534, 0.945316096491591, 1], 
     Hue[0.5, 1, 0.547432184339588], 
     Hue[0.1475836176504333, 0.9543579190574072, 1], 
     Hue[0.6803955127269361, 0.9434477745778731, 1], 
     Hue[0.6803955127269361, 0.9434477745778731, 1], 
     Hue[0.2255627480278026, 1, 0.9457935157595441], 
     Hue[0.36101725845499993`, 0.9772987078864304, 1], 
     Hue[0.36101725845499993`, 0.9772987078864304, 1], 
     Hue[0.4059582607547386, 0.9640296610648051, 1], 
     Hue[0.3975836176504332, 0.9977027292549623, 1], 
     Hue[0.0885855327829048, 0.9393258946962992, 1], 
     Hue[0.06719309487228943, 0.9379711301281435, 1], 
     Hue[0.49999999999999994`, 1, 0.5474321843395874], 
     Hue[0.680395512726936, 1, 0.6142461132116835], 
     Hue[0.015146172188368187`, 1, 0.9756472872719419], 
     Hue[0.045167235300866394`, 1, 0.6814982121798658], 
     Hue[0.04516723530086667, 1, 0.6814982121798658], 
     Hue[0.9548327646991336, 1, 0.6814982121798658], 
     Hue[0.9548327646991334, 1, 0.6814982121798658], 
     Hue[0., 1, 0.22199120143281778`], 
     Hue[0.9548327646991334, 1, 0.9805677408009047], 
     Hue[0.984853827811632, 1, 0.9756472872719415], 
     Hue[0.9114144672170953, 0.939325894696299, 1], 
     Hue[0.7104165758394346, 1, 0.5078329708550885], 
     Hue[0.6803955127269361, 1, 0.6142461132116845], 
     Hue[0.07440276529861715, 1, 0.989815174772145], 
     Hue[0.10241638234956682`, 0.9977027292549623, 1], 
     Hue[0.5940417392452614, 0.9640296610648051, 1], 
     Hue[0.6024163823495667, 0.9977027292549623, 1], 
     Hue[0.5903344706017332, 0.9524499541827796, 1], 
     Hue[0.5706908649190132, 0.9595105158849953, 1], 
     Hue[0.5753913021397861, 0.9426414876292504, 1], 
     Hue[0.5, 1, 0.9670251863079213], 
     Hue[0.5, 1, 0.9670251863079216], 
     Hue[0.5611307825097194, 1, 0.9508963294554247], 
     Hue[0.5628329581890011, 1, 0.9739824094285461], 
     Hue[0.680395512726936, 0.9434477745778731, 1], 
     Hue[0.49999999999999994`, 1, 0.6730937854163345], 
     Hue[0.8025684567112533, 0.9453160964915912, 1], 
     Hue[0.06283295818900118, 1, 0.9739824094285457], 
     Hue[0.4999999999999998, 1, 0.16656667913142892`], 
     Hue[0.9548327646991334, 1, 0.6814982121798654], 
     Hue[0.9548327646991335, 1, 0.6814982121798654], 
     Hue[0., 1, 0.6730937854163344], 
     Hue[0.9284722135577085, 1, 0.9692586366960844], 
     Hue[0.9371670418109989, 1, 0.9739824094285457], 
     Hue[0.9909079053243516, 1, 0.9885032945793583], 
     Hue[0.5000000000000007, 1, 0.019387679107861495`], 
     Hue[0., 1, 0.9887957852582996], 
     Hue[0.009092094675648464, 1, 0.9885032945793584], 
     Hue[0.5000000000000001, 1, 0.4136678600498656], 
     Hue[0.27118930463494645`, 0.960795102035483, 1], 
     Hue[0.5, 1, 0.9670251863079213], 
     Hue[0.5, 0.9621099555082353, 1], 
     Hue[0.5, 1, 0.9670251863079216], 
     Hue[0.43886921749028057`, 1, 0.9508963294554247], 
     Hue[0.433465930865537, 0.9874591471542393, 1], 
     Hue[0.43716704181099886`, 1, 0.9739824094285461], 
     Hue[0.699498461550987, 1, 0.9714737097815537], 
     Hue[0.6475836176504333, 0.9543579190574072, 1], 
     Hue[0.6572264209222576, 0.9410393708738207, 1], 
     Hue[0.6572264209222576, 0.9410393708738205, 1], 
     Hue[0.7104165758394343, 0.9842346549996552, 1], 
     Hue[0.7104165758394344, 0.9842346549996557, 1], 
     Hue[0.8025684567112533, 0.9995841931611611, 1], 
     Hue[0.8025684567112534, 0.9995841931611611, 1], 
     Hue[0.7577621168183132, 0.9389205773421891, 1], 
     Hue[0.8025684567112534, 0.9995841931611611, 1], 
     Hue[0.7659022512561763, 0.9374874293475612, 1], 
     Hue[0.7833833664305252, 0.9388987363170447, 1], 
     Hue[0.8025684567112534, 0.9995841931611611, 1], 
     Hue[0.8025684567112534, 0.9995841931611615, 1], 
     Hue[0.8347506594614321, 0.9652268345753336, 1], 
     Hue[0.7104165758394345, 0.9957884738856095, 1], 
     Hue[0.6994984615509872, 1, 0.9714737097815532], 
     Hue[0.7288106953650536, 0.960795102035483, 1], 
     Hue[0.834750659461432, 0.9652268345753339, 1], 
     Hue[0.8347506594614321, 0.9652268345753336, 1], 
     Hue[0.75, 1, 0.9399065690503379], 
     Hue[0.7500000000000001, 1, 0.9399065690503376], 
     Hue[0.7577621168183132, 0.9389205773421891, 1], 
     Hue[0.7833833664305251, 0.9388987363170442, 1], 
     Hue[0.6475836176504333, 0.9543579190574074, 1], 
     Hue[0.6572264209222578, 0.9410393708738205, 1], 
     Hue[0.6572264209222577, 0.941039370873821, 1], 
     Hue[0.18186236817837553`, 0.9801089026952563, 1], 
     Hue[0.638982741545, 1, 0.8105018428602703], 
     Hue[0.6572264209222576, 1, 0.7173338253570195], 
     Hue[0.027217180298820944`, 1, 0.986148275441985], 
     Hue[0.009092094675648405, 1, 0.9885032945793583], 
     Hue[0.16524934053856788`, 1, 0.7895601470047118], 
     Hue[0.4999999999999993, 1, 0.019387679107861495`], 
     Hue[0.5000000000000002, 1, 0.16656667913142892`], 
     Hue[0.6389827415450001, 1, 0.8105018428602709], 
     Hue[0.6572264209222578, 1, 0.7173338253570192], 
     Hue[0.06719309487228947, 0.9379711301281435, 1], 
     Hue[0.10918791143362953`, 0.9420780670756614, 1], 
     Hue[0.5, 1, 0.6730937854163345], 
     Hue[0.1818623681783756, 0.9801089026952563, 1], 
     Hue[0.6680913175751626, 0.9373979486160458, 1], 
     Hue[0.3524163823495668, 0.9543579190574072, 1], 
     Hue[0.4388692174902805, 1, 0.9508963294554247], 
     Hue[0.4334659308655369, 0.9874591471542393, 1], 
     Hue[0.4371670418109988, 1, 0.9739824094285457], 
     Hue[0.43144951512040997`, 0.97212835696507, 1], 
     Hue[0.40966552939826684`, 0.9524499541827796, 1], 
     Hue[0.10918791143362948`, 0.9420780670756617, 1], 
     Hue[0.4999999999999999, 1, 0.4136678600498656], 
     Hue[0.33190868242483734`, 1, 0.6666809554343676], 
     Hue[0.2895834241605654, 1, 0.5078329708550885], 
     Hue[0.31960448727306395`, 1, 0.6142461132116845], 
     Hue[0., 1, 0.673093785416335], 
     Hue[0.9909079053243516, 1, 0.9885032945793584], 
     Hue[0.9548327646991335, 1, 0.9813589445081733], 
     Hue[0.9371670418109989, 1, 0.9739824094285457], 
     Hue[0.3319086824248375, 1, 0.6666809554343671], 
     Hue[0.28958342416056576`, 1, 0.5078329708550886], 
     Hue[0.319604487273064, 1, 0.6142461132116835], 
     Hue[0.07152778644229153, 1, 0.9692586366960844], 
     Hue[0.06283295818900116, 1, 0.9739824094285457], 
     Hue[0.5611307825097195, 1, 0.9508963294554247], 
     Hue[0.5665340691344631, 0.9874591471542393, 1], 
     Hue[0.5628329581890013, 1, 0.9739824094285457], 
     Hue[0.03622112084253881, 1, 0.9840658339858182], 
     Hue[0.9637788791574612, 1, 0.9840658339858182], 
     Hue[0.638982741545, 0.9772987078864304, 1], 
     Hue[0.7355413210972233, 0.9527714919473071, 1], 
     Hue[0.03622112084253881, 1, 0.9840658339858182], 
     Hue[0.12888105840915667`, 1, 0.7430882533377973], 
     Hue[0.12888105840915642`, 1, 0.7430882533377972], 
     Hue[0.1288810584091566, 1, 0.7430882533377969], 
     Hue[0.1288810584091567, 1, 0.7430882533377969], 
     Hue[0.12888105840915662`, 1, 0.7430882533377969], 
     Hue[0.9198845937360501, 1, 0.9638031378351839], 
     Hue[0.6643213260070073, 1, 0.767632388132533], 
     Hue[0.75, 1, 0.8683780111594249], 
     Hue[0.75, 1, 0.8683780111594251], 
     Hue[0.7744372519721974, 1, 0.945793515759544], 
     Hue[0.7744372519721974, 1, 0.9457935157595441], 
     Hue[0.9284722135577085, 1, 0.9692586366960844], 
     Hue[0.045167235300866554`, 1, 0.7719284610182497], 
     Hue[0.030224066838919476`, 1, 0.7804973967784451], 
     Hue[0.9848538278116319, 1, 0.7856225204534784], 
     Hue[0.9697759331610806, 1, 0.7804973967784451], 
     Hue[0.0451672353008666, 1, 0.7719284610182497], 
     Hue[0.03022406683891948, 1, 0.7804973967784455], 
     Hue[0.5538265920020378, 1, 0.8017602024085779], 
     Hue[0.5470619146278601, 1, 0.5749355695797326], 
     Hue[0.5551458083702873, 1, 0.8355812302315485], 
     Hue[0.5, 1, 0.9670251863079211], 
     Hue[0.9548327646991334, 1, 0.7719284610182497], 
     Hue[0.9848538278116319, 1, 0.7856225204534788], 
     Hue[0., 1, 0.7873279898270399], 
     Hue[0.015146172188368095`, 1, 0.7856225204534788], 
     Hue[0.015146172188368194`, 1, 0.7856225204534788], 
     Hue[0.4461734079979623, 1, 0.8017602024085777], 
     Hue[0.5, 1, 0.7130625254935091], 
     Hue[0.5, 1, 0.8555624652090861], 
     Hue[0.5, 1, 0.7130625254935093], 
     Hue[0.2532814289702593, 1, 0.056711011316985006`], 
     Hue[0.2288106953650536, 1, 0.023106710661888102`], 
     Hue[0.2820795883481293, 1, 0.11811199197716013`], 
     Hue[0.31585002315413335`, 1, 0.20949023353797624`], 
     Hue[0.3550254213478426, 1, 0.3185643168823474], 
     Hue[0.3995364145386186, 1, 0.4207694576101336], 
     Hue[0.4484855456822206, 1, 0.4916785186396133], 
     Hue[0.5, 1, 0.5167434516750956], 
     Hue[0.5515144543177795, 1, 0.4916785186396133], 
     Hue[0.6004635854613813, 1, 0.4207694576101336], 
     Hue[0.6449745786521575, 1, 0.3185643168823474], 
     Hue[0.6841499768458666, 1, 0.20949023353797624`], 
     Hue[0.7179204116518707, 1, 0.11811199197716013`], 
     Hue[0.7467185710297407, 1, 0.056711011316985006`], 
     Hue[0.2288106953650536, 1, 0.11029402963759997`], 
     Hue[0.20483276469913345`, 1, 0.04606615594060429], 
     Hue[0.2927558429000921, 1, 0.3764313957969854], 
     Hue[0.3347506594614321, 1, 0.5412224385042927], 
     Hue[0.3841418997801203, 1, 0.6765415498067626], 
     Hue[0.4400872340690967, 1, 0.7598820178277403], 
     Hue[0.5, 1, 0.7873279898270396], 
     Hue[0.5599127659309033, 1, 0.7598820178277403], 
     Hue[0.6158581002198797, 1, 0.6765415498067626], 
     Hue[0.6652493405385679, 1, 0.5412224385042927], 
     Hue[0.707244157099908, 1, 0.3764313957969854], 
     Hue[0.7422378831816867, 1, 0.22215453029480295`], 
     Hue[0.7711893046349464, 1, 0.11029402963759997`], 
     Hue[0.7951672353008665, 1, 0.04606615594060429], 
     Hue[0.17780768448935277`, 1, 0.08146025748362995], 
     Hue[0.2642431678414723, 1, 0.5786864460705753], 
     Hue[0.3086722816177577, 1, 0.7714991857438945], 
     Hue[0.3635157148855483, 1, 0.9021229058398061], 
     Hue[0.6364842851144517, 1, 0.9021229058398061], 
     Hue[0.6913277183822423, 1, 0.7714991857438945], 
     Hue[0.7357568321585277, 1, 0.5786864460705753], 
     Hue[0.7711893046349464, 1, 0.364531555523672], 
     Hue[0.7994539779605111, 1, 0.1893520217293668], 
     Hue[0.8221923155106472, 1, 0.08146025748362995], 
     Hue[0.16809131757516257`, 1, 0.28794588754575856`], 
     Hue[0.1475836176504333, 1, 0.12824994744402232`], 
     Hue[0.19440011221421483`, 1, 0.5235099717373456], 
     Hue[0.22881069536505363`, 1, 0.768492183433701], 
     Hue[0.2744372519721974, 1, 0.945793515759544], 
     Hue[0.3347506594614321, 0.9652268345753336, 1], 
     Hue[0.4114144672170953, 0.939325894696299, 1], 
     Hue[0.5, 0.9373229676629176, 1], 
     Hue[0.5885855327829047, 0.939325894696299, 1], 
     Hue[0.6652493405385679, 0.9652268345753336, 1], 
     Hue[0.7255627480278026, 1, 0.945793515759544], 
     Hue[0.7711893046349464, 1, 0.768492183433701], 
     Hue[0.8055998877857852, 1, 0.5235099717373456], 
     Hue[0.8319086824248374, 1, 0.28794588754575856`], 
     Hue[0.8524163823495667, 1, 0.12824994744402232`], 
     Hue[0.13127432072587122`, 1, 0.3906081730741099], 
     Hue[0.11420025121990815`, 1, 0.18065007839009373`], 
     Hue[0.15388596004475, 1, 0.6674325666620223], 
     Hue[0.1848604888046385, 1, 0.908132612169903], 
     Hue[0.2927558429000921, 0.9415400309622226, 1], 
     Hue[0.3841418997801203, 0.9906872578872146, 1], 
     Hue[0.5, 1, 0.9750178268982551], 
     Hue[0.6158581002198797, 0.9906872578872146, 1], 
     Hue[0.707244157099908, 0.9415400309622226, 1], 
     Hue[0.7711893046349464, 0.960795102035483, 1], 
     Hue[0.8151395111953614, 1, 0.908132612169903], 
     Hue[0.84611403995525, 1, 0.6674325666620223], 
     Hue[0.8687256792741288, 1, 0.3906081730741099], 
     Hue[0.8857997487800918, 1, 0.18065007839009373`], 
     Hue[0.09033447060173311, 1, 0.4782581719900405], 
     Hue[0.07797913037736935, 1, 0.22905940720664397`], 
     Hue[0.10716692343993744`, 1, 0.7736448004560172], 
     Hue[0.13127432072587128`, 1, 0.9902518962021951], 
     Hue[0.16809131757516263`, 0.9373979486160458, 1], 
     Hue[0.2288106953650537, 1, 0.9817663385708162], 
     Hue[0.3347506594614321, 1, 0.7895601470047118], 
     Hue[0.5, 1, 0.673093785416335], 
     Hue[0.6652493405385679, 1, 0.7895601470047118], 
     Hue[0.7711893046349463, 1, 0.9817663385708162], 
     Hue[0.8319086824248374, 0.9373979486160458, 1], 
     Hue[0.8687256792741287, 1, 0.9902518962021951], 
     Hue[0.8928330765600625, 1, 0.7736448004560172], 
     Hue[0.909665529398267, 1, 0.4782581719900405], 
     Hue[0.9220208696226306, 1, 0.22905940720664397`], 
     Hue[0.046095249832427104`, 1, 0.5359600926436996], 
     Hue[3.092206382055521*^-17, 1, 0.5559165170038479], 
     Hue[0.039583424160565574`, 1, 0.26318198682048294`], 
     Hue[2.650462613190447*^-17, 1, 0.2754627587673769], 
     Hue[0.055145808370287284`, 1, 0.8355812302315485], 
     Hue[0.06855048487959002, 0.97212835696507, 1], 
     Hue[0.09033447060173318, 0.9524499541827796, 1], 
     Hue[0.13127432072587128`, 1, 0.8520526214178656], 
     Hue[0.22881069536505372`, 1, 0.4560845919211708], 
     Hue[0.5, 1, 0.22199120143281778`], 
     Hue[0.7711893046349463, 1, 0.4560845919211708], 
     Hue[0.8687256792741287, 1, 0.8520526214178656], 
     Hue[0.9096655293982668, 0.9524499541827796, 1], 
     Hue[0.93144951512041, 0.97212835696507, 1], 
     Hue[0.9448541916297127, 1, 0.8355812302315485], 
     Hue[1., 1, 0.8555624652090862], 
     Hue[0.9539047501675729, 1, 0.5359600926436996], 
     Hue[1., 1, 0.5559165170038479], 
     Hue[0.9604165758394344, 1, 0.26318198682048294`], 
     Hue[1., 1, 0.2754627587673769], 
     Hue[0.9539047501675729, 1, 0.5359600926436996], 
     Hue[0.9604165758394345, 1, 0.26318198682048294`], 
     Hue[0.04609524983242704, 1, 0.5359600926436996], 
     Hue[0.03958342416056552, 1, 0.26318198682048294`], 
     Hue[0.909665529398267, 1, 0.4782581719900407], 
     Hue[0.9220208696226307, 1, 0.22905940720664397`], 
     Hue[0.8928330765600626, 1, 0.7736448004560172], 
     Hue[0.10716692343993738`, 1, 0.7736448004560172], 
     Hue[0.09033447060173308, 1, 0.4782581719900407], 
     Hue[0.0779791303773693, 1, 0.22905940720664397`], 
     Hue[0.8687256792741288, 1, 0.3906081730741103], 
     Hue[0.8857997487800919, 1, 0.18065007839009392`], 
     Hue[0.84611403995525, 1, 0.6674325666620228], 
     Hue[0.8151395111953615, 1, 0.908132612169903], 
     Hue[0.15388596004474997`, 1, 0.6674325666620228], 
     Hue[0.11420025121990811`, 1, 0.18065007839009392`], 
     Hue[0.8319086824248374, 1, 0.28794588754575856`], 
     Hue[0.8524163823495667, 1, 0.12824994744402232`], 
     Hue[0.8055998877857852, 1, 0.5235099717373459], 
     Hue[0.7711893046349464, 1, 0.768492183433701], 
     Hue[0.7255627480278026, 1, 0.945793515759544], 
     Hue[0.665249340538568, 0.9652268345753339, 1], 
     Hue[0.5885855327829047, 0.9393258946962992, 1], 
     Hue[0.5, 0.9373229676629173, 1], 
     Hue[0.4114144672170953, 0.9393258946962992, 1], 
     Hue[0.33475065946143207`, 0.9652268345753339, 1], 
     Hue[0.2744372519721974, 1, 0.945793515759544], 
     Hue[0.22881069536505358`, 1, 0.768492183433701], 
     Hue[0.1944001122142148, 1, 0.5235099717373459], 
     Hue[0.16809131757516255`, 1, 0.28794588754575856`], 
     Hue[0.14758361765043326`, 1, 0.12824994744402232`], 
     Hue[0.7994539779605111, 1, 0.1893520217293668], 
     Hue[0.8221923155106472, 1, 0.08146025748362995], 
     Hue[0.7711893046349464, 1, 0.3645315555236722], 
     Hue[0.7357568321585277, 1, 0.5786864460705754], 
     Hue[0.6913277183822423, 1, 0.7714991857438945], 
     Hue[0.6364842851144517, 1, 0.9021229058398064], 
     Hue[0.5715277864422914, 1, 0.9692586366960844], 
     Hue[0.5, 1, 0.9887957852582996], 
     Hue[0.42847221355770854`, 1, 0.9692586366960844], 
     Hue[0.3635157148855483, 1, 0.9021229058398064], 
     Hue[0.3086722816177577, 1, 0.7714991857438945], 
     Hue[0.2642431678414723, 1, 0.5786864460705754], 
     Hue[0.22881069536505358`, 1, 0.3645315555236722], 
     Hue[0.2005460220394889, 1, 0.1893520217293668], 
     Hue[0.17780768448935277`, 1, 0.08146025748362995], 
     Hue[0.7711893046349464, 1, 0.11029402963760015`], 
     Hue[0.7951672353008665, 1, 0.04606615594060437], 
     Hue[0.7422378831816868, 1, 0.22215453029480295`], 
     Hue[0.707244157099908, 1, 0.37643139579698565`], 
     Hue[0.665249340538568, 1, 0.5412224385042931], 
     Hue[0.6158581002198797, 1, 0.6765415498067628], 
     Hue[0.5599127659309033, 1, 0.7598820178277408], 
     Hue[0.5, 1, 0.7873279898270399], 
     Hue[0.4400872340690967, 1, 0.7598820178277408], 
     Hue[0.3841418997801203, 1, 0.6765415498067628], 
     Hue[0.33475065946143207`, 1, 0.5412224385042931], 
     Hue[0.29275584290009204`, 1, 0.37643139579698565`], 
     Hue[0.2577621168183132, 1, 0.22215453029480295`], 
     Hue[0.22881069536505358`, 1, 0.11029402963760015`], 
     Hue[0.20483276469913345`, 1, 0.04606615594060437], 
     Hue[0.7467185710297407, 1, 0.056711011316985], 
     Hue[0.7179204116518707, 1, 0.11811199197716021`], 
     Hue[0.6841499768458666, 1, 0.20949023353797636`], 
     Hue[0.6449745786521575, 1, 0.3185643168823475], 
     Hue[0.6004635854613813, 1, 0.4207694576101336], 
     Hue[0.5515144543177795, 1, 0.49167851863961337`], 
     Hue[0.5, 1, 0.5167434516750958], 
     Hue[0.44848554568222054`, 1, 0.49167851863961337`], 
     Hue[0.3995364145386186, 1, 0.4207694576101336], 
     Hue[0.3550254213478426, 1, 0.3185643168823475], 
     Hue[0.31585002315413335`, 1, 0.20949023353797636`], 
     Hue[0.2820795883481293, 1, 0.11811199197716021`], 
     Hue[0.2532814289702593, 1, 0.056711011316985], 
     Hue[0.22881069536505358`, 1, 0.023106710661888102`], 
     Hue[0.27822004366674763`, 1, 0.10872255376531674`], 
     Hue[0.3113385565573541, 1, 0.19669430644060704`], 
     Hue[0.3498285541119835, 1, 0.30474398357363], 
     Hue[0.3937019821894141, 1, 0.4092799986945949], 
     Hue[0.4421793815972775, 1, 0.48513393067554117`], 
     Hue[0.5451672353008665, 1, 0.4974934164333731], 
     Hue[0.5945584756195548, 1, 0.4317551072696749], 
     Hue[0.6396932535037719, 1, 0.33227639689185573`], 
     Hue[0.6795534250454454, 1, 0.22258075869792937`], 
     Hue[0.7139829239283486, 1, 0.1279902229327415], 
     Hue[0.7433695032000998, 1, 0.06271472916707271], 
     Hue[0.7683436981913055, 1, 0.02608665553580529], 
     Hue[0.28338336643052514`, 1, 0.33525169374592517`], 
     Hue[0.3235584439732623, 1, 0.5013906492548587], 
     Hue[0.3711189415908434, 1, 0.6471113207014118], 
     Hue[0.4255972347013828, 1, 0.7443244592779594], 
     Hue[0.6024163823495667, 1, 0.7026226876180085], 
     Hue[0.6535887520207704, 1, 0.5791037831026576], 
     Hue[0.6974315432887466, 1, 0.4183145368495712], 
     Hue[0.7340977487438236, 1, 0.25757645285616987`], 
     Hue[0.7644586789027767, 1, 0.13354765477449101`], 
     Hue[0.7895834241605655, 1, 0.05823534170334159], 
     Hue[0.290846551999402, 1, 0.7052327888453764], 
     Hue[0.34169089656530566`, 1, 0.8611934490864764], 
     Hue[0.40307117542621, 1, 0.9505584765140818], 
     Hue[0.7202454164285823, 1, 0.6566103723463834], 
     Hue[0.7588396681733032, 1, 0.44328763642685204`], 
     Hue[0.7895834241605655, 1, 0.24759844906076917`], 
     Hue[0.8142229488567654, 1, 0.11419907314824715`], 
     Hue[0.7895834241605655, 1, 0.6505625738026851], 
     Hue[0.8196044872730639, 1, 0.39902086762103656`], 
     Hue[0.8427735790777423, 1, 0.19707752740143622`], 
     Hue[0.8553911544915919, 1, 0.5616770860522609], 
     Hue[0.8756659163780023, 1, 0.3003356584542852], 
     Hue[0.9130986307932848, 1, 0.4072139444778471], 
     Hue[3.0922063820555205`*^-17, 1, 0.5559165170038476], 
     Hue[3.710647658466625*^-17, 1, 0.8555624652090861], 
     Hue[4.6383095730832813`*^-17, 0.9621099555082353, 1], 
     Hue[6.184412764111043*^-17, 0.9646113732149162, 1], 
     Hue[9.276619146166561*^-17, 1, 0.7833071147995218], 
     Hue[1.855323829233312*^-16, 1, 0.28263504941333906`], 
     Hue[0.9999999999999998, 1, 0.28263504941333845`], 
     Hue[0.9999999999999999, 1, 0.7833071147995212], 
     Hue[0.9999999999999999, 0.9646113732149162, 1], 
     Hue[1., 0.9621099555082351, 1], 
     Hue[1., 1, 0.8555624652090863], 
     Hue[1., 1, 0.555916517003848], 
     Hue[0.9548327646991335, 1, 0.4974934164333731], 
     Hue[1., 1, 0.275462758767377], 
     Hue[0.9461734079979622, 1, 0.8017602024085777], 
     Hue[0.933465930865537, 0.9874591471542393, 1], 
     Hue[0.9130986307932849, 0.9442148524158462, 1], 
     Hue[0.8756659163780024, 1, 0.8898622825880533], 
     Hue[0.7895834241605657, 1, 0.5078329708550886], 
     Hue[0.1389827415450001, 1, 0.8105018428602703], 
     Hue[0.09404173924526131, 0.9640296610648051, 1], 
     Hue[0.07069086491901314, 0.9595105158849948, 1], 
     Hue[0.05653061579468445, 1, 0.8675828880745051], 
     Hue[0.04706191462786015, 1, 0.5749355695797327], 
     Hue[0.04029552562625183, 1, 0.29167222182637753`], 
     Hue[0.8756659163780024, 1, 0.9485243182293623], 
     Hue[0.6974315432887466, 1, 0.8406335767184038], 
     Hue[0.11236033017315598`, 1, 0.8392812569245481], 
     Hue[0.09404173924526134, 1, 0.5526361544139271], 
     Hue[0.08074697266966731, 1, 0.2816478465512781], 
     Hue[0.7895834241605656, 0.99578847388561, 1], 
     Hue[0.1994984615509871, 1, 0.9714737097815537], 
     Hue[0.16432132600700738`, 1, 0.767632388132533], 
     Hue[0.1389827415450001, 1, 0.4912921928139277], 
     Hue[0.12008210523770135`, 1, 0.24759844906076905`], 
     Hue[0.21041657583943446`, 1, 0.6505625738026852], 
     Hue[0.2223903292882761, 1, 0.09011081518287693], 
     Hue[0.2659022512561764, 1, 0.25757645285616987`], 
     Hue[0.2104165758394345, 1, 0.24759844906076917`], 
     Hue[0.24116033182669677`, 1, 0.44328763642685204`], 
     Hue[0.30256845671125343`, 0.9995841931611615, 1], 
     Hue[0.30256845671125354`, 0.9995841931611611, 1], 
     Hue[0.3711189415908434, 0.9468648437394482, 1], 
     Hue[0.37111894159084347`, 0.946864843739448, 1], 
     Hue[0.6288810584091565, 0.946864843739448, 1], 
     Hue[0.6288810584091566, 0.9468648437394482, 1], 
     Hue[0.21041657583943454`, 0.9957884738856095, 1], 
     Hue[0.26590225125617645`, 0.9374874293475608, 1], 
     Hue[0.3235584439732623, 0.9557263982408528, 1], 
     Hue[0.3464112479792297, 0.9689018474920372, 1], 
     Hue[0.6535887520207704, 0.9689018474920372, 1], 
     Hue[0.6764415560267377, 0.9557263982408528, 1], 
     Hue[0.7340977487438236, 0.9374874293475608, 1], 
     Hue[0.3025684567112536, 1, 0.840633576718404], 
     Hue[0.6974315432887463, 1, 0.840633576718404], 
     Hue[0.8610172584549999, 0.9772987078864304, 1], 
     Hue[0.75, 1, 0.9399065690503373], 
     Hue[0.3025684567112534, 1, 0.8406335767184038], 
     Hue[0.21041657583943438`, 0.9842346549996552, 1], 
     Hue[0.75, 0.9418967409889307, 1], 
     Hue[0.6764415560267377, 0.955726398240853, 1], 
     Hue[0.34641124797922945`, 0.968901847492037, 1], 
     Hue[0.2659022512561763, 0.9374874293475612, 1], 
     Hue[0.6288810584091566, 0.946864843739448, 1], 
     Hue[0.6288810584091566, 0.9468648437394482, 1], 
     Hue[0.3711189415908434, 0.9468648437394482, 1], 
     Hue[0.37111894159084335`, 0.946864843739448, 1], 
     Hue[0.30256845671125343`, 0.9995841931611611, 1], 
     Hue[0.3025684567112534, 0.9995841931611611, 1], 
     Hue[0.24116033182669674`, 1, 0.4432876364268518], 
     Hue[0.21746659119206135`, 1, 0.2916722218263774], 
     Hue[0.21041657583943446`, 1, 0.24759844906076894`], 
     Hue[0.26590225125617634`, 1, 0.2575764528561701], 
     Hue[0.23165630180869443`, 1, 0.02608665553580529], 
     Hue[0.28601707607165133`, 1, 0.1279902229327415], 
     Hue[0.2983083493190265, 1, 0.1604411589531619], 
     Hue[0.75, 1, 0.05115059315569174], 
     Hue[0.7711893046349464, 1, 0.023106710661888102`], 
     Hue[0.2355413210972233, 1, 0.13354765477449101`], 
     Hue[0.25776211681831324`, 1, 0.22215453029480295`], 
     Hue[0.24259877858961312`, 1, 0.15996316964712623`], 
     Hue[0.2744372519721974, 1, 0.2954374049478432], 
     Hue[0.18577705114323464`, 1, 0.11419907314824718`], 
     Hue[0.2005460220394889, 1, 0.1893520217293668], 
     Hue[0.2288106953650536, 1, 0.364531555523672], 
     Hue[0.32797913037736937`, 1, 0.8285581431338885], 
     Hue[0.3347506594614321, 1, 0.8454187978547397], 
     Hue[0.3025684567112535, 0.9995841931611611, 1], 
     Hue[0.3867975821453534, 1, 0.9339579730860554], 
     Hue[0.3948630865774932, 1, 0.9426963482290667], 
     Hue[0.3711189415908434, 0.9468648437394482, 1], 
     Hue[0.4548327646991335, 1, 0.9813589445081733], 
     Hue[0.4548327646991334, 0.9374531292059121, 1], 
     Hue[0.4548327646991336, 0.9374531292059121, 1], 
     Hue[0.5272171802988208, 1, 0.986148275441985], 
     Hue[0.5451672353008664, 0.9374531292059121, 1], 
     Hue[0.5451672353008665, 0.9374531292059121, 1], 
     Hue[0.59692882457379, 1, 0.9505584765140818], 
     Hue[0.6051369134225069, 1, 0.9426963482290667], 
     Hue[0.6288810584091566, 0.9468648437394482, 1], 
     Hue[0.15722642092225766`, 1, 0.1970775274014359], 
     Hue[0.1572264209222577, 1, 0.19707752740143622`], 
     Hue[0.18039551272693607`, 1, 0.3990208676210363], 
     Hue[0.1803955127269361, 1, 0.39902086762103656`], 
     Hue[0.25000000000000006`, 1, 0.8683780111594249], 
     Hue[0.2048327646991335, 1, 0.9887957852582996], 
     Hue[0.25776211681831324`, 0.9389205773421891, 1], 
     Hue[0.3347506594614321, 0.9620534850028248, 1], 
     Hue[0.4255972347013828, 1, 0.9898151747721451], 
     Hue[0.4548327646991336, 1, 0.9805677408009048], 
     Hue[0.5451672353008664, 1, 0.9805677408009048], 
     Hue[0.5744027652986172, 1, 0.9898151747721451], 
     Hue[0.6652493405385679, 0.9620534850028248, 1], 
     Hue[0.1200821052377014, 1, 0.24759844906076872`], 
     Hue[0.12433408362199767`, 1, 0.30033565845428506`], 
     Hue[0.13898274154500012`, 1, 0.4912921928139274], 
     Hue[0.14460884550840813`, 1, 0.5616770860522609], 
     Hue[0.1643213260070074, 1, 0.7676323881325325], 
     Hue[0.14758361765043332`, 0.9543579190574074, 1], 
     Hue[0.19440011221421485`, 0.9591317817070004, 1], 
     Hue[0.2744372519721975, 1, 0.8919629103420218], 
     Hue[0.37111894159084335`, 1, 0.7430882533377973], 
     Hue[0.11236033017315604`, 1, 0.8392812569245475], 
     Hue[0.8756659163780023, 1, 0.889862282588053], 
     Hue[0.9999999999999999, 1, 0.7833071147995218], 
     Hue[0.887639669826844, 1, 0.8392812569245475], 
     Hue[3.710647658466627*^-17, 1, 0.8555624652090863], 
     Hue[1.8553238292333128`*^-16, 1, 0.2826350494133387], 
     Hue[0.9999999999999998, 1, 0.2826350494133387], 
     Hue[0.9434693842053155, 1, 0.867582888074505], 
     Hue[0.9434693842053156, 1, 0.8675828880745051], 
     Hue[0.8928330765600627, 1, 0.9799637610689599], 
     Hue[0.7711893046349465, 1, 0.45608459192117035`], 
     Hue[0.8319086824248375, 1, 0.6666809554343671], 
     Hue[0.6288810584091565, 1, 0.7430882533377969], 
     Hue[0.2288106953650535, 1, 0.45608459192117035`], 
     Hue[0.4548327646991334, 1, 0.6814982121798654], 
     Hue[0.13127432072587114`, 1, 0.8520526214178655], 
     Hue[0.0779791303773693, 0.9385111864485911, 1], 
     Hue[0.8876396698268441, 1, 0.8392812569245481], 
     Hue[0.8687256792741288, 1, 0.9902518962021951], 
     Hue[0.8319086824248374, 0.9373979486160458, 1], 
     Hue[0.665249340538568, 1, 0.7895601470047114], 
     Hue[0.5, 1, 0.6730937854163344], 
     Hue[0.45483276469913336`, 1, 0.9805677408009047], 
     Hue[0.22881069536505358`, 1, 0.9817663385708161], 
     Hue[0.27443725197219737`, 1, 0.8919629103420215], 
     Hue[0.16809131757516255`, 0.9373979486160458, 1], 
     Hue[0.5744027652986171, 1, 0.989815174772145], 
     Hue[0.665249340538568, 0.9620534850028251, 1], 
     Hue[0.6288810584091566, 0.9468648437394482, 1], 
     Hue[0.5, 1, 0.9750178268982549], 
     Hue[0.5451672353008665, 0.9374531292059118, 1], 
     Hue[0.5451672353008665, 0.9374531292059121, 1], 
     Hue[0.4548327646991335, 0.9374531292059121, 1], 
     Hue[0.4548327646991334, 0.9374531292059118, 1], 
     Hue[0.29275584290009204`, 0.9415400309622228, 1], 
     Hue[0.33475065946143207`, 0.9620534850028251, 1], 
     Hue[0.3711189415908434, 0.9468648437394482, 1], 
     Hue[0.22881069536505358`, 0.960795102035483, 1], 
     Hue[0.2577621168183132, 0.9389205773421891, 1], 
     Hue[0.30256845671125343`, 0.9995841931611611, 1], 
     Hue[0.1720208696226306, 1, 0.8285581431338883], 
     Hue[0.24999999999999997`, 1, 0.8683780111594249], 
     Hue[0.14460884550840802`, 1, 0.5616770860522605], 
     Hue[0.12433408362199759`, 1, 0.3003356584542848], 
     Hue[0.6132024178546467, 1, 0.9339579730860553], 
     Hue[0.59692882457379, 1, 0.9505584765140819], 
     Hue[0.5451672353008665, 1, 0.9813589445081733], 
     Hue[0.5272171802988208, 1, 0.986148275441985], 
     Hue[0.47278281970117914`, 1, 0.986148275441985], 
     Hue[0.4548327646991334, 1, 0.9813589445081733], 
     Hue[0.40307117542621, 1, 0.9505584765140819], 
     Hue[0.38679758214535337`, 1, 0.9339579730860553], 
     Hue[0.3416908965653057, 1, 0.8611934490864767], 
     Hue[0.18039551272693602`, 1, 0.39902086762103645`], 
     Hue[0.18039551272693602`, 1, 0.39902086762103645`], 
     Hue[0.1572264209222576, 1, 0.19707752740143622`], 
     Hue[0.1572264209222576, 1, 0.19707752740143622`], 
     Hue[0.2744372519721974, 1, 0.29543740494784343`], 
     Hue[0.1914489792853987, 1, 0.14101926497483555`], 
     Hue[0.18577705114323462`, 1, 0.11419907314824718`], 
     Hue[0.23554132109722328`, 1, 0.13354765477449101`], 
     Hue[0.3711189415908434, 1, 0.6471113207014123], 
     Hue[0.3937019821894141, 1, 0.40927999869459486`], 
     Hue[0.30256845671125343`, 1, 0.41831453684957143`], 
     Hue[0.3204465749545545, 1, 0.22258075869792937`], 
     Hue[0.2860170760716513, 1, 0.12799022293274148`], 
     Hue[0.7683436981913057, 1, 0.02608665553580529], 
     Hue[0.7711893046349464, 1, 0.023106710661888102`], 
     Hue[0.2316563018086944, 1, 0.02608665553580529], 
     Hue[0.3347506594614321, 1, 0.26318198682048316`], 
     Hue[0.37664734148857004`, 1, 0.37221878190908464`], 
     Hue[0.46377887915746124`, 1, 0.9840658339858182], 
     Hue[0.4548327646991335, 0.9374531292059121, 1], 
     Hue[0.5362211208425387, 1, 0.9840658339858182], 
     Hue[0.5451672353008665, 0.9374531292059121, 1], 
     Hue[0.4400872340690967, 1, 0.9847088302201124], 
     Hue[0.5599127659309033, 1, 0.9847088302201124], 
     Hue[0.4114144672170953, 1, 0.7057401556658363], 
     Hue[0.0779791303773694, 0.9385111864485911, 1], 
     Hue[0.33475065946143223`, 1, 0.286550838669108], 
     Hue[0.6652493405385678, 1, 0.286550838669108], 
     Hue[0.8319086824248373, 1, 0.6666809554343676], 
     Hue[0.8928330765600625, 1, 0.97996376106896], 
     Hue[9.276619146166564*^-17, 1, 0.7833071147995215], 
     Hue[7.421295316933252*^-17, 1, 0.9462464383989786], 
     Hue[1.2368825528222087`*^-16, 1, 0.5474321843395877], 
     Hue[3.7106476584666266`*^-16, 1, 0.07628723786135215], 
     Hue[0.9999999999999997, 1, 0.07628723786135215], 
     Hue[0.9999999999999999, 1, 0.5474321843395877], 
     Hue[0.9999999999999999, 1, 0.9462464383989786], 
     Hue[0.665249340538568, 1, 0.28655083866910747`], 
     Hue[0.334750659461432, 1, 0.28655083866910747`], 
     Hue[0.06855048487958994, 0.9721283569650698, 1], 
     Hue[0.41141446721709524`, 1, 0.7057401556658356], 
     Hue[0.13127432072587117`, 1, 0.9902518962021951], 
     Hue[0.6158581002198797, 0.990687257887215, 1], 
     Hue[0.5599127659309033, 1, 0.984708830220112], 
     Hue[0.5451672353008665, 0.9374531292059118, 1], 
     Hue[0.4400872340690967, 1, 0.984708830220112], 
     Hue[0.4548327646991335, 0.9374531292059118, 1], 
     Hue[0.18486048880463843`, 1, 0.908132612169903], 
     Hue[0.20483276469913342`, 1, 0.9887957852582997], 
     Hue[0.25, 1, 0.8683780111594251], 
     Hue[0.13127432072587117`, 1, 0.3906081730741103], 
     Hue[0.6051369134225069, 1, 0.9426963482290668], 
     Hue[0.46377887915746124`, 1, 0.9840658339858182], 
     Hue[0.3948630865774932, 1, 0.9426963482290668], 
     Hue[0.33475065946143207`, 1, 0.8454187978547398], 
     Hue[0.2425987785896131, 1, 0.1599631696471266], 
     Hue[0.37664734148857, 1, 0.37221878190908486`], 
     Hue[0.3347506594614321, 1, 0.26318198682048316`], 
     Hue[0.2983083493190265, 1, 0.160441158953162], 
     Hue[0.10716692343993749`, 1, 0.97996376106896], 
     Hue[0.9220208696226306, 0.9385111864485911, 1], 
     Hue[5.3009252263808946`*^-17, 0.9373229676629176, 1], 
     Hue[1., 0.9373229676629176, 1], 
     Hue[0.9220208696226307, 0.9385111864485911, 1], 
     Hue[0.10716692343993733`, 1, 0.9799637610689599], 
     Hue[0.3841418997801203, 0.990687257887215, 1], 
     Hue[5.300925226380895*^-17, 0.9373229676629176, 1], 
     Hue[1., 0.9373229676629176, 1], 
     Hue[0.9192530273303327, 0.9373416172005133, 1], 
     Hue[0.24999999999999994`, 1, 0.9399065690503376], 
     Hue[0.18039551272693602`, 0.9434477745778731, 1], 
     Hue[0.180395512726936, 0.9434477745778731, 1], 
     Hue[0.6535887520207706, 0.968901847492037, 1], 
     Hue[0.6288810584091565, 0.9834151083283169, 1], 
     Hue[0.3025684567112534, 0.9453160964915912, 1], 
     Hue[0.23554132109722326`, 0.9527714919473071, 1], 
     Hue[0.5885855327829048, 0.9393258946962992, 1], 
     Hue[0.23554132109722334`, 0.9527714919473074, 1], 
     Hue[0.28338336643052514`, 0.9388987363170442, 1], 
     Hue[0.3711189415908434, 0.9834151083283165, 1], 
     Hue[0.6288810584091566, 0.9834151083283165, 1], 
     Hue[0.15722642092225775`, 0.9410393708738205, 1], 
     Hue[0.1572264209222577, 0.941039370873821, 1], 
     Hue[0.18039551272693607`, 0.9434477745778731, 1], 
     Hue[0.18039551272693613`, 0.9434477745778731, 1], 
     Hue[0.2104165758394346, 0.9842346549996557, 1], 
     Hue[0.2104165758394345, 0.9842346549996555, 1], 
     Hue[0.25000000000000017`, 1, 0.9399065690503376], 
     Hue[0.21041657583943446`, 0.9842346549996557, 1], 
     Hue[0.15722642092225766`, 0.9410393708738205, 1], 
     Hue[0.37111894159084347`, 0.9834151083283169, 1], 
     Hue[0.28338336643052514`, 0.9388987363170447, 1], 
     Hue[0.41141446721709524`, 0.939325894696299, 1], 
     Hue[0.3347506594614321, 0.9652268345753336, 1], 
     Hue[0.5, 0.9373229676629176, 1], 
     Hue[0.2744372519721974, 0.9375120809262778, 1], 
     Hue[0.31283295818900125`, 0.9500938132207386, 1], 
     Hue[4.638309573083284*^-17, 0.9621099555082351, 1], 
     Hue[0.12433408362199776`, 1, 0.889862282588053], 
     Hue[0.11236033017315605`, 1, 0.9538226558440548], 
     Hue[0.9130986307932848, 0.9442148524158462, 1], 
     Hue[0.9192530273303327, 0.9373416172005136, 1], 
     Hue[0.9999999999999999, 0.9646113732149162, 1], 
     Hue[1., 0.9373229676629176, 1], 
     Hue[0.12433408362199756`, 1, 0.8898622825880533], 
     Hue[0.11236033017315597`, 1, 0.9538226558440541], 
     Hue[0.19440011221421474`, 0.9591317817070006, 1], 
     Hue[0.5, 0.9373229676629173, 1], 
     Hue[0.31283295818900114`, 0.9500938132207386, 1], 
     Hue[0.27443725197219737`, 0.9375120809262778, 1], 
     Hue[0.4848538278116319, 1, 0.9756472872719419], 
     Hue[0.22239032928827612`, 0.9706125521219018, 1], 
     Hue[0.22881069536505363`, 0.960795102035483, 1], 
     Hue[0.45483276469913364`, 1, 0.6814982121798658], 
     Hue[0.45483276469913336`, 1, 0.6814982121798658], 
     Hue[0.07069086491901319, 0.9595105158849953, 1], 
     Hue[0.07539130213978609, 0.9426414876292504, 1], 
     Hue[0.08690136920671525, 0.9442148524158462, 1], 
     Hue[0.08074697266966739, 0.9373416172005136, 1], 
     Hue[0.09404173924526141, 0.9640296610648051, 1], 
     Hue[1.2368825528222092`*^-16, 1, 0.5474321843395874], 
     Hue[0.4548327646991337, 1, 0.226145045301808], 
     Hue[0.3711189415908433, 1, 0.2588061942389725], 
     Hue[0.5451672353008663, 1, 0.226145045301808], 
     Hue[0.6288810584091566, 1, 0.2588061942389725], 
     Hue[3.71064765846663*^-16, 1, 0.07628723786135197], 
     Hue[0.9999999999999997, 1, 0.07628723786135232], 
     Hue[0.9059582607547386, 0.9640296610648051, 1], 
     Hue[0.8975836176504332, 0.9977027292549623, 1], 
     Hue[0.9293091350809868, 0.9595105158849953, 1], 
     Hue[0.9246086978602139, 0.9426414876292504, 1], 
     Hue[0.5885855327829048, 0.939325894696299, 1], 
     Hue[0.5451672353008666, 1, 0.9805677408009047], 
     Hue[0.5151461721883681, 1, 0.9756472872719415], 
     Hue[0.4255972347013829, 1, 0.989815174772145], 
     Hue[0.2744372519721974, 1, 0.9457935157595441], 
     Hue[0.7255627480278025, 1, 0.8919629103420218], 
     Hue[0.8055998877857852, 0.9591317817070004, 1], 
     Hue[0.7711893046349464, 1, 0.9817663385708161], 
     Hue[0.8055998877857853, 0.9591317817070006, 1], 
     Hue[0.707244157099908, 0.9415400309622228, 1], 
     Hue[0.75, 1, 0.9399065690503379], 
     Hue[0.7895834241605654, 0.9842346549996557, 1], 
     Hue[0.7895834241605655, 0.9842346549996555, 1], 
     Hue[0.7255627480278026, 1, 0.8919629103420215], 
     Hue[0.33475065946143207`, 0.9652268345753339, 1], 
     Hue[0.31813763182162447`, 0.9801089026952563, 1], 
     Hue[0.41141446721709524`, 0.9393258946962992, 1], 
     Hue[0.39081208856637056`, 0.9420780670756617, 1], 
     Hue[0.13898274154500015`, 0.9772987078864304, 1], 
     Hue[0.1389827415450002, 0.9772987078864304, 1], 
     Hue[0.5885855327829047, 1, 0.7057401556658363], 
     Hue[0.9999999999999999, 1, 0.7833071147995215], 
     Hue[0.8610172584549998, 1, 0.8105018428602709], 
     Hue[3.710647658466622*^-16, 1, 0.07628723786135232], 
     Hue[0.3025684567112537, 1, 0.3210775388146859], 
     Hue[0.8687256792741289, 1, 0.8520526214178655], 
     Hue[0.8427735790777424, 1, 0.7173338253570195], 
     Hue[0.75, 1, 2.1186750230640755`*^-31], 
     Hue[0.9999999999999997, 1, 0.07628723786135197], 
     Hue[0.6974315432887463, 1, 0.3210775388146859], 
     Hue[0.9999999999999998, 1, 0.28263504941333906`], 
     Hue[0.9999999999999999, 1, 0.5474321843395874], 
     Hue[0.7895834241605654, 1, 0.5078329708550885], 
     Hue[0.8196044872730639, 1, 0.6142461132116845], 
     Hue[0.9059582607547387, 0.9640296610648051, 1], 
     Hue[0.8975836176504334, 0.9977027292549623, 1], 
     Hue[0.819604487273064, 1, 0.6142461132116835], 
     Hue[0.75, 1, 0.40691670833383853`], 
     Hue[0.6974315432887468, 1, 0.3210775388146858], 
     Hue[0.6288810584091565, 1, 0.2588061942389718], 
     Hue[0.4548327646991333, 1, 0.22614504530180762`], 
     Hue[0.37111894159084347`, 1, 0.2588061942389718], 
     Hue[0.5885855327829048, 1, 0.7057401556658356], 
     Hue[0.3025684567112532, 1, 0.3210775388146858], 
     Hue[0.07539130213978598, 0.9426414876292502, 1], 
     Hue[0.08690136920671511, 0.9442148524158462, 1], 
     Hue[0.08074697266966732, 0.9373416172005133, 1], 
     Hue[0.819604487273064, 0.9434477745778731, 1], 
     Hue[0.5451672353008665, 1, 0.6814982121798654], 
     Hue[0.5451672353008665, 1, 0.6814982121798654], 
     Hue[0.4548327646991335, 1, 0.6814982121798654], 
     Hue[0.13898274154500012`, 0.9772987078864304, 1], 
     Hue[0.13898274154500007`, 0.9772987078864304, 1], 
     Hue[0.14758361765043326`, 0.9543579190574072, 1], 
     Hue[0.22239032928827612`, 0.9706125521219018, 1], 
     Hue[0.33475065946143207`, 0.9652268345753341, 1], 
     Hue[0.4328069051277106, 0.9379711301281435, 1], 
     Hue[0.3908120885663705, 0.9420780670756614, 1], 
     Hue[0.31813763182162447`, 0.9801089026952563, 1], 
     Hue[0.3975836176504334, 0.9977027292549623, 1], 
     Hue[0.5151461721883681, 1, 0.9756472872719419], 
     Hue[6.184412764111043*^-17, 0.9646113732149162, 1], 
     Hue[1.2368825528222082`*^-16, 1, 0.547432184339588], 
     Hue[2.4737651056444174`*^-16, 1, 0.16656667913142892`], 
     Hue[0.9999999999999992, 1, 0.019387679107861495`], 
     Hue[0.9999999999999999, 1, 0.4136678600498656], 
     Hue[0.9999999999999999, 0.9646113732149162, 1], 
     Hue[0.9293091350809869, 0.9595105158849948, 1], 
     Hue[0.924608697860214, 0.9426414876292502, 1], 
     Hue[0.10241638234956665`, 0.9977027292549623, 1], 
     Hue[0.09033447060173304, 0.9524499541827796, 1], 
     Hue[0.48485382781163194`, 1, 0.9756472872719415], 
     Hue[0.5, 1, 0.9887957852582994], 
     Hue[0.47278281970117914`, 1, 0.986148275441985], 
     Hue[0.49090790532435163`, 1, 0.9885032945793583], 
     Hue[0.5715277864422914, 1, 0.9692586366960844], 
     Hue[0.5451672353008665, 1, 0.9813589445081733], 
     Hue[0.6974315432887465, 0.945316096491591, 1], 
     Hue[0.5451672353008663, 1, 0.6814982121798658], 
     Hue[0.5451672353008666, 1, 0.6814982121798658], 
     Hue[0.8196044872730639, 0.9434477745778731, 1], 
     Hue[0.8196044872730639, 0.9434477745778731, 1], 
     Hue[0.06113078250971951, 1, 0.9508963294554247], 
     Hue[0.06653406913446314, 0.9874591471542393, 1], 
     Hue[1.48425906338665*^-16, 1, 0.4136678600498656], 
     Hue[7.421295316933251*^-16, 1, 0.019387679107861495`], 
     Hue[0.9999999999999998, 1, 0.16656667913142892`], 
     Hue[0.9999999999999999, 1, 0.6730937854163345], 
     Hue[0.9388692174902805, 1, 0.9508963294554247], 
     Hue[0.9334659308655369, 0.9874591471542393, 1], 
     Hue[4.122941842740695*^-17, 1, 0.9670251863079213], 
     Hue[1., 1, 0.9670251863079213], 
     Hue[0.5090920946756484, 1, 0.9885032945793584], 
     Hue[0.6974315432887465, 0.9995841931611611, 1], 
     Hue[0.6974315432887466, 0.9995841931611615, 1], 
     Hue[0.8005015384490128, 1, 0.9714737097815532], 
     Hue[0.8524163823495667, 0.9543579190574072, 1], 
     Hue[0.7895834241605656, 0.9842346549996552, 1], 
     Hue[0.7895834241605655, 0.9842346549996557, 1], 
     Hue[0.6974315432887466, 0.9995841931611611, 1], 
     Hue[0.6974315432887466, 0.9995841931611611, 1], 
     Hue[0.7422378831816868, 0.9389205773421891, 1], 
     Hue[0.6974315432887466, 0.9995841931611611, 1], 
     Hue[0.7422378831816867, 0.9389205773421891, 1], 
     Hue[0.7166166335694748, 0.9388987363170442, 1], 
     Hue[0.8524163823495667, 0.9543579190574074, 1], 
     Hue[0.8427735790777422, 0.9410393708738205, 1], 
     Hue[0.8427735790777423, 0.941039370873821, 1], 
     Hue[0.75, 1, 0.9399065690503376], 
     Hue[0.7711893046349464, 0.960795102035483, 1], 
     Hue[0.3524163823495668, 0.9543579190574074, 1], 
     Hue[0.4328069051277106, 0.9379711301281435, 1], 
     Hue[0.6288810584091566, 1, 0.7430882533377973], 
     Hue[0.6288810584091564, 1, 0.7430882533377972], 
     Hue[4.638309573083282*^-17, 0.9621099555082353, 1], 
     Hue[0.16809131757516269`, 1, 0.6666809554343676], 
     Hue[0.21041657583943466`, 1, 0.5078329708550885], 
     Hue[0.1803955127269361, 1, 0.6142461132116845], 
     Hue[0.5, 1, 1.0593375115320382`*^-31], 
     Hue[0.909665529398267, 0.9524499541827796, 1], 
     Hue[0.5, 1, 0.2219912014328173], 
     Hue[0.6288810584091566, 1, 0.7430882533377969], 
     Hue[0.16809131757516252`, 1, 0.6666809554343671], 
     Hue[0.21041657583943432`, 1, 0.5078329708550886], 
     Hue[0.18039551272693602`, 1, 0.6142461132116835], 
     Hue[0.8427735790777424, 0.9410393708738207, 1], 
     Hue[0.8427735790777423, 0.9410393708738205, 1], 
     Hue[0.35241638234956674`, 0.9543579190574072, 1], 
     Hue[0.42847221355770854`, 1, 0.9692586366960844], 
     Hue[0.5090920946756483, 1, 0.9885032945793583], 
     Hue[6.184412764111043*^-17, 0.9646113732149162, 1], 
     Hue[1.0601850452761789`*^-16, 1, 0.6730937854163345], 
     Hue[1., 0.9621099555082353, 1], 
     Hue[1., 0.9621099555082353, 1], 
     Hue[0.9388692174902805, 1, 0.9508963294554247], 
     Hue[0.9371670418109989, 1, 0.9739824094285461], 
     Hue[0.9314495151204101, 0.9721283569650698, 1], 
     Hue[0.33475065946143207`, 1, 0.7895601470047114], 
     Hue[0.061130782509719435`, 1, 0.9508963294554247], 
     Hue[0.06653406913446305, 0.9874591471542393, 1], 
     Hue[0.06283295818900116, 1, 0.9739824094285461], 
     Hue[0.5628329581890011, 1, 0.9739824094285457], 
     Hue[0.4909079053243516, 1, 0.9885032945793584], 
     Hue[0.6652493405385679, 0.9652268345753339, 1], 
     Hue[0.7644586789027766, 0.9527714919473074, 1], 
     Hue[0.7340977487438237, 0.9374874293475612, 1], 
     Hue[0.7166166335694748, 0.9388987363170447, 1], 
     Hue[0.665249340538568, 0.9652268345753341, 1], 
     Hue[0.5362211208425387, 1, 0.9840658339858182], 
     Hue[0.15722642092225783`, 1, 0.7173338253570192], 
     Hue[0.6583091034346944, 1, 0.8611934490864764], 
     Hue[0.6652493405385679, 1, 0.8454187978547397], 
     Hue[0.6974315432887466, 0.9995841931611611, 1], 
     Hue[0.665249340538568, 0.9652268345753339, 1], 
     Hue[0.75, 1, 0.8683780111594248], 
     Hue[0.7951672353008665, 1, 0.9887957852582996], 
     Hue[0.7776096707117239, 0.9706125521219018, 1], 
     Hue[0.9353687000058865, 1, 0.9945559943836081], 
     Hue[0.047061914627860205`, 1, 0.5749355695797326], 
     Hue[3.092206382055522*^-17, 1, 0.555916517003848], 
     Hue[3.710647658466626*^-17, 1, 0.8555624652090862], 
     Hue[0.05653061579468451, 1, 0.867582888074505], 
     Hue[0.05951735012661692, 1, 0.9253894074951194], 
     Hue[0.9529380853721399, 1, 0.5749355695797327], 
     Hue[0.9448541916297127, 1, 0.8355812302315485], 
     Hue[0.055145808370287215`, 1, 0.8355812302315485], 
     Hue[0.059517350126616825`, 1, 0.9253894074951192], 
     Hue[0.5451672353008665, 1, 0.7719284610182497], 
     Hue[0.5302240668389195, 1, 0.7804973967784455], 
     Hue[0.9529380853721398, 1, 0.5749355695797326], 
     Hue[1., 1, 0.7130625254935091], 
     Hue[0.4548327646991334, 1, 0.7719284610182497], 
     Hue[0.5151461721883681, 1, 0.7856225204534788], 
     Hue[0.5151461721883681, 1, 0.7856225204534788], 
     Hue[0.4697759331610805, 1, 0.7804973967784455], 
     Hue[0.48485382781163194`, 1, 0.7856225204534788], 
     Hue[0.48485382781163183`, 1, 0.7856225204534788], 
     Hue[0.4935047815116255, 1, 0.5163468002111271], 
     Hue[0.2223903292882761, 1, 0.09011081518287675], 
     Hue[0.4848538278116319, 1, 0.7856225204534784], 
     Hue[0.5451672353008665, 1, 0.7719284610182497], 
     Hue[0.19144897928539872`, 1, 0.14101926497483533`], 
     Hue[0.21746659119206135`, 1, 0.2916722218263772], 
     Hue[0.6132024178546466, 1, 0.9339579730860554], 
     Hue[0.21041657583943446`, 1, 0.6505625738026848], 
     Hue[0.8279791303773693, 1, 0.8285581431338885], 
     Hue[0.08074697266966736, 1, 0.2816478465512778], 
     Hue[0.0940417392452614, 1, 0.5526361544139266], 
     Hue[0.04029552562625189, 1, 0.2916722218263773], 
     Hue[0.9548327646991335, 1, 0.49749341643337275`], 
     Hue[0.5451672353008667, 1, 0.22614504530180762`], 
     Hue[0.9130986307932849, 1, 0.4072139444778466], 
     Hue[0.8975836176504334, 1, 0.7026226876180086], 
     Hue[0.37111894159084347`, 1, 0.7430882533377966], 
     Hue[0.8756659163780024, 1, 0.3003356584542848], 
     Hue[0.855391154491592, 1, 0.5616770860522609], 
     Hue[0.8427735790777424, 1, 0.19707752740143622`], 
     Hue[0.819604487273064, 1, 0.3990208676210365], 
     Hue[0.7895834241605656, 1, 0.650562573802685], 
     Hue[0.8142229488567654, 1, 0.11419907314824718`], 
     Hue[0.7895834241605655, 1, 0.24759844906076894`], 
     Hue[0.7588396681733033, 1, 0.4432876364268518], 
     Hue[0.7202454164285823, 1, 0.6566103723463834], 
     Hue[0.290846551999402, 1, 0.7052327888453767], 
     Hue[0.7895834241605655, 1, 0.05823534170334159], 
     Hue[0.7644586789027767, 1, 0.13354765477449101`], 
     Hue[0.7340977487438236, 1, 0.2575764528561701], 
     Hue[0.6974315432887466, 1, 0.41831453684957143`], 
     Hue[0.6535887520207705, 1, 0.5791037831026579], 
     Hue[0.4255972347013829, 1, 0.7443244592779599], 
     Hue[0.7433695032000999, 1, 0.06271472916707271], 
     Hue[0.7139829239283487, 1, 0.12799022293274148`], 
     Hue[0.6795534250454456, 1, 0.22258075869792937`], 
     Hue[0.6396932535037719, 1, 0.33227639689185573`], 
     Hue[0.5945584756195548, 1, 0.431755107269675], 
     Hue[0.5451672353008665, 1, 0.4974934164333731], 
     Hue[0.4935047815116255, 1, 0.5163468002111271], 
     Hue[0.44217938159727754`, 1, 0.48513393067554117`], 
     Hue[0.27822004366674763`, 1, 0.10872255376531681`], 
     Hue[0.19949846155098716`, 1, 0.9714737097815532], 
     Hue[0.75, 0.941896740988931, 1], 
     Hue[0.8610172584549999, 0.9772987078864304, 1], 
     Hue[0.819604487273064, 0.9434477745778731, 1], 
     Hue[0.1572264209222576, 0.9410393708738207, 1], 
     Hue[0.2104165758394344, 0.99578847388561, 1], 
     Hue[0.28338336643052514`, 1, 0.33525169374592556`], 
     Hue[0.3204465749545546, 1, 0.22258075869792937`], 
     Hue[0.3025684567112535, 1, 0.4183145368495712], 
     Hue[0.36030674649622807`, 1, 0.33227639689185573`], 
     Hue[0.34641124797922956`, 1, 0.5791037831026576], 
     Hue[0.17202086962263072`, 1, 0.8285581431338885], 
     Hue[0.12433408362199769`, 1, 0.9485243182293628], 
     Hue[0.8756659163780023, 1, 0.9485243182293628], 
     Hue[0.1243340836219976, 1, 0.9485243182293623], 
     Hue[0.32797913037736937`, 1, 0.8285581431338885], 
     Hue[0.34641124797922956`, 1, 0.5791037831026578], 
     Hue[0.36030674649622807`, 1, 0.33227639689185573`], 
     Hue[0.3235584439732623, 1, 0.5013906492548592], 
     Hue[0.3498285541119835, 1, 0.30474398357363025`], 
     Hue[0.3113385565573541, 1, 0.19669430644060715`], 
     Hue[0.75, 1, 0.05115059315569176], 
     Hue[0.3235584439732623, 0.955726398240853, 1], 
     Hue[0.30256845671125354`, 0.945316096491591, 1], 
     Hue[5.300925226380894*^-17, 0.9373229676629176, 1], 
     Hue[0.5885855327829047, 0.9393258946962992, 1], 
     Hue[0.5, 0.9373229676629173, 1], 
     Hue[0.5885855327829046, 0.939325894696299, 1], 
     Hue[0.10241638234956682`, 0.9977027292549623, 1], 
     Hue[0.3975836176504332, 0.9977027292549623, 1], 
     Hue[0.4114144672170953, 0.9393258946962992, 1], 
     Hue[0.7499999999999998, 1, 0.9399065690503376], 
     Hue[0.3347506594614321, 0.9652268345753339, 1], 
     Hue[0.41141446721709535`, 0.939325894696299, 1], 
     Hue[0.8427735790777422, 1, 0.7173338253570192], 
     Hue[1.8553238292333138`*^-16, 1, 0.28263504941333845`], 
     Hue[0.8610172584549999, 1, 0.8105018428602703], 
     Hue[0.75, 1, 0.4069167083338393], 
     Hue[0.6974315432887466, 0.9453160964915912, 1], 
     Hue[7.421295316933248*^-17, 1, 0.9462464383989789], 
     Hue[9.276619146166569*^-17, 1, 0.7833071147995212], 
     Hue[0.9999999999999999, 1, 0.9462464383989789], 
     Hue[0.5628329581890011, 1, 0.9739824094285457], 
     Hue[0.06283295818900123, 1, 0.9739824094285457], 
     Hue[0.9999999999999999, 1, 0.547432184339588], 
     Hue[0.9371670418109987, 1, 0.9739824094285457], 
     Hue[0.7895834241605655, 0.9957884738856095, 1], 
     Hue[0.8005015384490128, 1, 0.9714737097815537], 
     Hue[0.6652493405385679, 0.9652268345753336, 1], 
     Hue[4.122941842740696*^-17, 1, 0.9670251863079216], 
     Hue[1., 1, 0.9670251863079216], 
     Hue[0.13898274154500018`, 1, 0.8105018428602709], 
     Hue[0.15722642092225755`, 1, 0.7173338253570195], 
     Hue[0.75, 1, 0.8683780111594249], 
     Hue[0.053826592002037814`, 1, 0.8017602024085779], 
     Hue[0.05382659200203775, 1, 0.8017602024085777], 
     Hue[0.9461734079979622, 1, 0.8017602024085779], 
     Hue[1., 1, 0.8555624652090861], 
     Hue[0.2744372519721974, 1, 0.0998275088212461], 
     Hue[0.33475065946143207`, 1, 0.26318198682048294`], 
     Hue[0.3711189415908434, 1, 0.3591571540610669], 
     Hue[0.41141446721709524`, 1, 0.4421982483209846], 
     Hue[0.4548327646991334, 1, 0.4974934164333731], 
     Hue[0.5451672353008665, 1, 0.4974934164333731], 
     Hue[0.5885855327829047, 1, 0.4421982483209847], 
     Hue[0.6288810584091566, 1, 0.3591571540610669], 
     Hue[0.6652493405385679, 1, 0.26318198682048316`], 
     Hue[0.6974315432887466, 1, 0.17213699986477377`], 
     Hue[0.7255627480278026, 1, 0.0998275088212462], 
     Hue[0.3128329581890012, 1, 0.4602008230073654], 
     Hue[0.35241638234956674`, 1, 0.5971524027356863], 
     Hue[0.3975836176504333, 1, 0.7026226876180085], 
     Hue[0.44743154328874657`, 1, 0.7663421673038655], 
     Hue[0.6024163823495667, 1, 0.7026226876180087], 
     Hue[0.6475836176504333, 1, 0.5971524027356863], 
     Hue[0.6871670418109987, 1, 0.4602008230073656], 
     Hue[0.7211420616236954, 1, 0.31513501614585243`], 
     Hue[0.75, 1, 0.1895372086882407], 
     Hue[0.7744372519721974, 1, 0.0998275088212461], 
     Hue[0.28522328747727727`, 1, 0.6813181902017551], 
     Hue[0.7147767125227227, 1, 0.6813181902017551], 
     Hue[0.75, 1, 0.4974934164333731], 
     Hue[0.7788579383763045, 1, 0.3151350161458526], 
     Hue[0.8025684567112534, 1, 0.17213699986477377`], 
     Hue[0.7852232874772772, 1, 0.6813181902017551], 
     Hue[0.8128329581890011, 1, 0.4602008230073656], 
     Hue[0.834750659461432, 1, 0.26318198682048316`], 
     Hue[0.8524163823495667, 1, 0.5971524027356865], 
     Hue[0.8711189415908434, 1, 0.35915715406106685`], 
     Hue[0.9114144672170952, 1, 0.4421982483209846], 
     Hue[3.029100129360512*^-17, 1, 0.5167434516750956], 
     Hue[3.5339501509205964`*^-17, 1, 0.7873279898270396], 
     Hue[1., 0.9373229676629173, 1], 
     Hue[1., 1, 0.7873279898270399], 
     Hue[0.9548327646991335, 1, 0.4974934164333731], 
     Hue[1., 1, 0.5167434516750958], 
     Hue[0.9474315432887466, 1, 0.7663421673038655], 
     Hue[0.9220208696226307, 0.9385111864485911, 1], 
     Hue[0.8975836176504334, 0.9977027292549623, 1], 
     Hue[0.0779791303773693, 0.9385111864485911, 1], 
     Hue[0.06283295818900116, 1, 0.9739824094285461], 
     Hue[0.0525684567112534, 1, 0.7663421673038657], 
     Hue[0.04516723530086652, 1, 0.4974934164333729], 
     Hue[0.8788810584091566, 1, 0.9243063990656487], 
     Hue[0.8524163823495667, 0.9543579190574074, 1], 
     Hue[0.8128329581890013, 0.9500938132207386, 1], 
     Hue[0.12111894159084338`, 1, 0.924306399065649], 
     Hue[0.1024163823495667, 1, 0.7026226876180091], 
     Hue[0.08858553278290474, 1, 0.44219824832098475`], 
     Hue[0.7951672353008665, 1, 0.9887957852582996], 
     Hue[0.20483276469913345`, 1, 0.9887957852582996], 
     Hue[0.21477671252272273`, 1, 0.6813181902017555], 
     Hue[0.2255627480278026, 1, 0.09982750882124629], 
     Hue[0.5, 1, 0.5167434516750956], 
     Hue[0.2255627480278026, 1, 0.0998275088212461], 
     Hue[0.5, 1, 0.7873279898270396], 
     Hue[0.5525684567112534, 1, 0.7663421673038655], 
     Hue[0.21477671252272273`, 1, 0.6813181902017551], 
     Hue[0.75, 1, 0.8683780111594249], 
     Hue[0.1720208696226307, 1, 0.8285581431338883], 
     Hue[0.75, 0.9418967409889307, 1], 
     Hue[0.8279791303773693, 1, 0.8285581431338885], 
     Hue[0.08858553278290478, 1, 0.4421982483209846], 
     Hue[0.10241638234956676`, 1, 0.7026226876180085], 
     Hue[0.12111894159084342`, 1, 0.9243063990656487], 
     Hue[0.812832958189001, 0.9500938132207386, 1], 
     Hue[0.8788810584091565, 1, 0.9243063990656487], 
     Hue[0.04516723530086658, 1, 0.4974934164333731], 
     Hue[0.052568456711253465`, 1, 0.7663421673038655], 
     Hue[0.8975836176504332, 0.9977027292549623, 1], 
     Hue[0.9474315432887466, 1, 0.766342167303866], 
     Hue[0.9548327646991335, 1, 0.4974934164333731], 
     Hue[0.9114144672170953, 1, 0.4421982483209847], 
     Hue[0.8975836176504333, 1, 0.7026226876180087], 
     Hue[0.8711189415908434, 1, 0.3591571540610669], 
     Hue[0.8524163823495667, 1, 0.5971524027356863], 
     Hue[0.8347506594614321, 1, 0.26318198682048316`], 
     Hue[0.8128329581890013, 1, 0.4602008230073656], 
     Hue[0.7852232874772773, 1, 0.6813181902017551], 
     Hue[0.8025684567112534, 1, 0.17213699986477377`], 
     Hue[0.7788579383763045, 1, 0.31513501614585243`], 
     Hue[0.75, 1, 0.4974934164333731], 
     Hue[0.7147767125227227, 1, 0.6813181902017551], 
     Hue[0.32797913037736937`, 1, 0.8285581431338884], 
     Hue[0.2852232874772773, 1, 0.6813181902017555], 
     Hue[0.7744372519721974, 1, 0.0998275088212462], 
     Hue[0.75, 1, 0.1895372086882407], 
     Hue[0.7211420616236955, 1, 0.3151350161458526], 
     Hue[0.6871670418109989, 1, 0.4602008230073656], 
     Hue[0.6475836176504333, 1, 0.5971524027356865], 
     Hue[0.3975836176504333, 1, 0.7026226876180091], 
     Hue[0.3524163823495668, 1, 0.5971524027356865], 
     Hue[0.31283295818900125`, 1, 0.46020082300736603`], 
     Hue[0.75, 1, 0.05115059315569179], 
     Hue[0.7255627480278026, 1, 0.0998275088212461], 
     Hue[0.6974315432887466, 1, 0.17213699986477377`], 
     Hue[0.665249340538568, 1, 0.26318198682048316`], 
     Hue[0.6288810584091566, 1, 0.35915715406106685`], 
     Hue[0.5885855327829048, 1, 0.4421982483209846], 
     Hue[0.5451672353008665, 1, 0.4974934164333731], 
     Hue[0.5, 1, 0.5167434516750958], 
     Hue[0.4548327646991335, 1, 0.4974934164333729], 
     Hue[0.4114144672170953, 1, 0.44219824832098475`], 
     Hue[0.3711189415908434, 1, 0.3591571540610672], 
     Hue[0.2744372519721974, 1, 0.09982750882124629], 
     Hue[0.22114206162369554`, 1, 0.3151350161458524], 
     Hue[0.2951672353008665, 1, 0.9887957852582993], 
     Hue[0.35241638234956674`, 0.9543579190574074, 1], 
     Hue[0.31283295818900114`, 0.9500938132207386, 1], 
     Hue[0.6475836176504334, 0.9543579190574074, 1], 
     Hue[0.22114206162369554`, 1, 0.3151350161458526], 
     Hue[0.30256845671125343`, 1, 0.17213699986477377`], 
     Hue[0.75, 1, 0.05115059315569179], 
     Hue[0.2788579383763045, 1, 0.3151350161458524], 
     Hue[0.1974315432887466, 1, 0.17213699986477377`], 
     Hue[0.32797913037736937`, 1, 0.8285581431338883], 
     Hue[0.3788810584091566, 1, 0.9243063990656487], 
     Hue[0.42202086962263063`, 0.9385111864485911, 1], 
     Hue[0.5628329581890011, 1, 0.9739824094285459], 
     Hue[0.6211189415908434, 1, 0.9243063990656487], 
     Hue[0.18716704181099886`, 1, 0.4602008230073654], 
     Hue[0.20483276469913345`, 1, 0.9887957852582993], 
     Hue[0.1475836176504333, 1, 0.5971524027356863], 
     Hue[0.49999999999999994`, 1, 0.9750178268982551], 
     Hue[0.35241638234956674`, 1, 0.7654626168765832], 
     Hue[0.6475836176504332, 1, 0.7654626168765828], 
     Hue[0.7500000000000002, 1, 0.4069167083338389], 
     Hue[0.3524163823495668, 1, 0.7654626168765826], 
     Hue[0.6475836176504334, 1, 0.7654626168765826], 
     Hue[0.3975836176504334, 0.9977027292549621, 1], 
     Hue[0.5779791303773694, 0.9385111864485911, 1], 
     Hue[0.14758361765043326`, 1, 0.5971524027356865], 
     Hue[0.6211189415908434, 1, 0.9243063990656487], 
     Hue[0.37888105840915665`, 1, 0.924306399065649], 
     Hue[0.1871670418109988, 1, 0.46020082300736603`], 
     Hue[0.1652493405385679, 1, 0.26318198682048316`], 
     Hue[0.2788579383763045, 1, 0.3151350161458526], 
     Hue[0.1974315432887466, 1, 0.17213699986477368`], 
     Hue[0.16524934053856793`, 1, 0.26318198682048294`], 
     Hue[0.12888105840915662`, 1, 0.3591571540610669], 
     Hue[0.9999999999999999, 1, 0.6730937854163344], 
     Hue[0.9999999999999999, 1, 0.9750178268982549], 
     Hue[0.17202086962263066`, 1, 0.8285581431338884], 
     Hue[0.1288810584091566, 1, 0.3591571540610672], 
     Hue[0.3347506594614321, 1, 0.26318198682048316`], 
     Hue[0.3025684567112535, 1, 0.17213699986477368`], 
     Hue[0.10241638234956678`, 0.9977027292549621, 1], 
     Hue[0.1871670418109988, 0.9500938132207388, 1], 
     Hue[0.3524163823495668, 0.9543579190574072, 1], 
     Hue[0.18716704181099886`, 0.9500938132207386, 1], 
     Hue[5.300925226380894*^-17, 0.9373229676629176, 1], 
     Hue[0.9220208696226306, 0.9385111864485911, 1], 
     Hue[0.5, 0.9373229676629173, 1], 
     Hue[0.31283295818900125`, 0.9500938132207388, 1], 
     Hue[0.5779791303773693, 0.9385111864485911, 1], 
     Hue[0.5, 1, 0.9750178268982549], 
     Hue[0.2951672353008666, 1, 0.9887957852582996], 
     Hue[0.7500000000000001, 1, 0.9399065690503378], 
     Hue[0.7499999999999999, 1, 0.9399065690503378], 
     Hue[0.14758361765043332`, 0.9543579190574074, 1], 
     Hue[0.8524163823495665, 1, 0.7654626168765826], 
     Hue[2.1203700905523564`*^-16, 1, 0.22199120143281778`], 
     Hue[0.8524163823495668, 1, 0.7654626168765828], 
     Hue[0.7499999999999998, 1, 0.4069167083338389], 
     Hue[0.5000000000000002, 1, 0.2219912014328173], 
     Hue[0.14758361765043326`, 0.9543579190574072, 1], 
     Hue[0.6871670418109989, 0.9500938132207386, 1], 
     Hue[0.42202086962263075`, 0.9385111864485911, 1], 
     Hue[0.3975836176504332, 0.9977027292549621, 1], 
     Hue[0.07797913037736938, 0.9385111864485911, 1], 
     Hue[7.067900301841192*^-17, 1, 0.9750178268982551], 
     Hue[1.0601850452761784`*^-16, 1, 0.673093785416335], 
     Hue[0.1024163823495667, 0.9977027292549621, 1], 
     Hue[0.5, 1, 0.9887957852582994], 
     Hue[0.6871670418109987, 0.9500938132207386, 1], 
     Hue[0.49999999999999994`, 1, 0.673093785416335], 
     Hue[0.06283295818900123, 1, 0.9739824094285457], 
     Hue[0.4999999999999998, 1, 0.22199120143281778`], 
     Hue[0.9999999999999998, 1, 0.2219912014328173], 
     Hue[0.9371670418109987, 1, 0.9739824094285457], 
     Hue[4.240740181104715*^-17, 1, 0.9887957852582994], 
     Hue[0.5, 1, 0.9887957852582996], 
     Hue[0.7048327646991334, 1, 0.9887957852582996], 
     Hue[0.7048327646991335, 1, 0.9887957852582996], 
     Hue[0.8524163823495666, 0.9543579190574074, 1], 
     Hue[0.75, 0.9418967409889307, 1], 
     Hue[0.14758361765043332`, 1, 0.7654626168765832], 
     Hue[0.14758361765043324`, 1, 0.7654626168765826], 
     Hue[0.5, 1, 0.6730937854163344], 
     Hue[1., 1, 0.9887957852582996], 
     Hue[0.9371670418109989, 1, 0.9739824094285459], 
     Hue[0.5628329581890013, 1, 0.9739824094285457], 
     Hue[0.6475836176504333, 0.9543579190574074, 1], 
     Hue[0.7951672353008665, 1, 0.9887957852582996], 
     Hue[0.5525684567112534, 1, 0.766342167303866], 
     Hue[0.4474315432887466, 1, 0.7663421673038657], 
     Hue[0.5, 1, 0.7873279898270399]},
   VertexNormals->CompressedData["
1:eJx0vHc81tH7P65JKe3S1A5NDUnjSksaSFuRSItSaWgoqYSmSlGRVUkDSSpy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    "]],
  Axes->True,
  BoxRatios->{1, 1, 0.4},
  Lighting->"Neutral",
  Method->{"RotationControl" -> "Globe"},
  PlotRange->{{-2, 2}, {-2, 2}, {0., 1.103638323514282}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.3917871203624783`*^9, 3.391787165431149*^9, 
  3.391787346681408*^9, 3.3917894203957376`*^9, 3.39184557828125*^9, 
  3.39184831446875*^9, 3.392472333734297*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\
eJycvXdspHea5/dWYs455xyKZDEXQwWSxSoWc86ZTXbO3QqtVge11FJL0z2S
RmFGPRppZlbeAQwDhu2Bdw3s7e7ZZ2Oxf63/MPaA3cXZxi0Gsze76wOMs8/3
+vMLLJISqYHdwLeKoeoNv+f7+T7PW8Umx7ZuHexd3rp1fmerZPjG1rWD8zs3
SwJXb/Alm8UwLAeoqsQQH5uGcXgj/50XN/qT/58f/6O8c/z5l19++fd5eXn/
c2dnp9C/bmhoMG6eeMj/zb8/O3fu3D/94z/Kr/x7/h0+5J/kne3/+Od//uc/
eeWVV/7N3/zN3xi31Lf+WX3r/+Lff7+8vPyXf/zHf3zyWfb/xD/x0d/+9V//
9b/Nz88/udt//Vd/9Vd/EQwGxWdi+/+clJT0rSP7j/z700uXLv2Ld99991/c
uXPnzz777LPDh3znvBO+54QXv/u4U8/6+OPs6vz+4te//rV5WB2bvI36lz//
+c9N/e/40iypp/9H9UwzUk4+SzpltfTe/oO4s+ntc0SHzzMST19G/bT/U9xZ
xYP1kZ54bvz3LLLewL8/vl/1JUNv6cztnVqRxWOGkAfkUAd+fAEi+zpQD/5d
5AvRasuRB+u1Fns3rKes5J560G8jG4g/ZW88+Xue+5vIc1P0zsWpHv8nFuWc
+uDfRh582hZjv/PdY5s69Rk7arP/e2S1kiMfWU2rYedMrMeewubsZ2/l30R2
f7QVh9zKiS3oipzcxLbaxN+dPBD5GBubcNhMm2G3HtuYPrNTN7alNvZfqwf8
9je/+c2fffHFF+Ihf/bjH//4N3//939vlIvvyTIlRXYpztURxY4chzs6vnyn
nbje0a+PviVIlp+VHtvsGZWK7DTKyk6jYsSeT6uZ9RQsvmfPRZGVSzm2F5sR
HSv2Yju2l8ONRZ1yhBtn7yA/soPU44dnM2LkFtiTIc4lOlrsT+/KpqD6/7qr
3MgO0iIficWKPbG/GHl+MeJL0Q7TbkTbuDncMx/JPUefsud1tef/Rn1LZpve
u5EdOcnTuEmIfFfuOo69RGTlJlY/no/kZ1HcxkSLQ+Px6qiiD4/stANbUwem
HGwXDv6TR48e/bu0tDRxcJlnrEq8OPl4sf+4yP7j5P7t4lbsMcb6nYOI/j0H
8ReRcz25twSxtwSr6TASbNzE62c72KVDHgC3Dm5ixU2M3qVD7e6sXa6qXf5P
kR2ln9hlothlop2tyJsEHbTs/FCOyF7lAcQc+tywyoM4ubfTyNRH8D+IO/vJ
k5aeS+IIpOSaJkWx2SS7GWUk6mOJwhtaDm7ixffi1NMdegViIzIO+5M8Br3e
/zKyw9OOL/Hk4STrMicbwvPJ4nCSbewyWew3yRAfJurjSjTEASWIL8XrFeXQ
8KA4Kj46ptiz6rOsDvFPI8eccXQ4IjlTOQihFCl1aCnioFLE8aSIPSZbzWh1
k6Q3Lg5RLaC4tcnlOxxyxDMSxE28PtBo6nykuN9zoH8SObzMk+uWxoFJyXVL
i3g3VUiaJTWavaY62EmKPGL9EA5bHro8Abm9KD5K5CDU0SVIxUipozwrfPSA
9t9F1vLoEIXXM8SBZRhi8TJQekTqQNOiOLw0cRRpdm5SrexP3qSwmxjtC3HY
2knRwqYxcs3Fgcaw5jFytTlUeRv/ve1Aj1X/beRgT0vFo3YgQjFLLm0WxyqU
KXnMlEXO1GXPEBL1ThfHl65PJkacFicjjyol4gT5mTw1mxnLedm5TZLnIu6R
+LI4oVhtn99zKr+OHOxpD0o+9jUbzcBm5Miq5Ej3ZHNiUtIp2cKf2eI8siIm
yRSSJsm0cZMhDz8DpQvJz9LZcSyfx2JEfZJ8nKqmJj4QZyKKGccixHFAagaN
E+cfJ6ynzvb4QZ82Cy2os/2vIoXLiZy3gzPJFf0gV5xFrjiLXJkRORzxkRSG
0ZysqFIWRx6RKFamPrVYJeU3cezp+kjE+cVJxOJEeeOorEOelKidOjl5gjwz
XgRDXCQYDs/htALNq/P6LyNnczQqyIkxn5OTkgXLF6eZL04zX5xmvqhJnjyf
XA5eSXssR5gvW5xAtljjLH0+caKQcbKQ4jDiKRySx4x74zk/cZsqT0rcx4sC
xovsiJfZwVlFXGmPFEN78b+IfOFbY17WsUiwGgURQxYKSUMWyj5UiAo4Oylx
hgWiYgXyhApQvpBhlbfia3m6MrkSo1xxtjl643GUPE46O04sQ7xYgXgJrvhu
AlXWsnOTbojbNHnW4h7ZuCGIEo5O/fdZdE6d8X9+zJjffdDx2cNiFInlKNLH
ZGPk1RJlLhJlLhKLUCQWoYjNxfDdGBbpULFy8WJZIIdeiPxjypPnnnfYtPmQ
E8k9JhEFCcIoCayTzUwkC8RWEiX/iUamlZsMuTIZfJQuVydR2CRRYpCIPRIU
6IqWmFPOd1Ytyq8izsg77m/DKGYVhEqk20uky0v0cpTI5C0R61Ai1kF8Hs13
Y3gGkqdeLGpeJEEt5BQL9YbjhHPkccWLj+IFLwmYRpxMHkeulCQskxSxTBIL
kCQtk2RkiW9k6mkvUS6AXATxvXTNUqIM999nC70C99UD/te//du//fONjY0/
f/nypbiXr/5URtak4NgGDEsp96V8ZjFKhVFKBSilsimV6aGkTEgsUKlYoFJh
lFKBR6lYm1KxDiXCBMV6XI3DQEIK/UJUJO4NYfZC8imRryVyEEkR5ZvJYu2S
cZONWxkv4t4QX8sRX8qW38iSC8W9/Eam/FqGXtUMQ69aUmRC+b5InDmxYP9q
enpavl7Ev7/8oz/6o/9xcnKS0z60U8ExngxLudxUBQsmVC49VS4sVa4Zs3PF
7FASC1YuFqxcLFi5WLBysWBlhgj3UtZFqERI2VUEYzELVYLEfbFwQLE4K8Fm
MkuZzPIJpUiJ2EqRQSX2nILfUuS6pYgelSJdJ9YsBdelSNcp66awlik03mTZ
eJNlVCdDX5KamU6lbPrEkv0uNTX13/3DP/yD+Owff/e73/1TcnIyR2xGXoj4
7gayjy+jtVKslqUSVfGlKpaySvivSl7lV7KcEYmgqoxcvlSypFJiWSvFslaK
Za0QFqyQ61eByrXKDjtFAiudQE25N0TmlIo1LRVnXcLCprDgKRx+akRFPCpV
ujaV+otdp8qukCqcmiobYipOPXxpQJ5Uqsi5VNELU0QnSBHplhJpg9/H74m1
jfpPFovlP/BPfCZeuBMP/X/4d+TDoqOAY13s1WxPy1otPFojgr9GrGeNcGaN
yLhqHeBRRrVUtFSV7HRVYgmrxBJWiSCrMkQzq2SxKnXyJrC2wooVOr2F7ZOE
oZOFoVNEPqTK2EhjndNYTSWcmyaTM02lprg3xNcKxE2+LqpYxDSsmyYaSZpw
bppeSbnBbJTFZ5ln5f/Ud5z5D7/97W9PODMv4szi4y6013JjqxUrY61j3ZQs
QkadnCPqxPrVCQvWiQisjVyH1bJ4tXLxasTi1YjFqxGLVyPdVh0ZxkUrq4qk
fyUrVimZE5ZO4fMUFjVVSaxTOQeTjnfTMatSKSrhKelErFqwdAygVHjYedNx
qVjHDO4zSNR0GQrpYkXTxYqmyyxIZzHTWUzjcJSXh3WS7H81MzNzIgynpqaO
TcIlR9Yj76PqeUa9Olc79zahBlazQWZlg2gslgZWs4G1bJCdt0GYsUFe4jSw
jvWRoblejlv1qI4FrZOTRZ1Y0TpdrkS5/IlGDesoJdexRi9KCmsulGpUC+9U
CRdViVMmHzKkfTNZ5UyWNpP8tXJbipsy9CSQgTEO7zNY2kwkX4zONAptYlXl
Y/P5VChPKxfl8PXso1Hs5OvZRuSl6lNfWu07sfL/29/93d/9+dbWluzbm5ub
sm9nRsp02mVk/nE3RzeKvUc1sqlGXZJG4W+nyFunzFsn5UCGk3I4Rat3imo4
hbWd8uWERn1R1iit3Sis3SAK0SAjoUEPtg2yGvUiQ+tFDepE0NXpgEmFDaE0
qRrp3BppvmqWSkoWgwplSQqyqEsWdcnC7pkiSpSls3B+FuU5lLqoyxKhkiXm
1Szh/iwRJVkySrIoSZYuyRlJcexSNfK6qa7BJ5GVPHo5WpxQrNM0YlB0k1JU
k1hqR9PhAGVrFpItrZnUtTSLgcDSzPo2s7zNcrxsFuvbLIaBZkO8StIknxrD
fayUU3rdyffiqYxaYicLLNQoB5tG2aAbWWWhBtlsGmSu1utcrZfrXGcIs9ah
WiFp81qxQDVsPBtqsimAUhWqjEwE2ay/2FC2jPZsCFGvIWWzHNksvlCOFMuf
I5Y/hyh3cFuA8vm+kLxWUq/Yn/764e97V+4QGlGdfvXxRxEAynT/lM+PY91j
tWJapP1bpP1beIiQS1Nhc4nauERtXLI2LmrTSm1aDRHrLhFELvlai4vSCLWo
Z8YaLaIszYdLlEBFE5VkTZp5UjKfp1DDVCmnyByntLoTNepoy6BUDgrRgOqp
xaFExGULdnJEjXIkJOLccqhNjqyNuJUvfJu5MKJULuuSK5pvroAlV47vudQm
l+zKk9cseXJczKXp5ur65OjanEZF0tlU/DDCQvmJkSOe1Y3TihULHNMqChPd
SgG0HG2HV222NlGBNvqFxdpGGdooQjtFaKcI7ZRAqE2+PNQmGGnjIKONNvho
lVIXFa3IpS8qXGIgcfGwRL6UpJWMUlAqSqOG6aJ86bJKGVQpQ1OXaTQJHkSV
sqhQthKf5YigyxV5psqdB0J5EJMnIywvMj/lUZ08+raQiqR8MX3mi4Lkw00s
t6WoRKsYFYmKIFWPsxhJPLsOP4hA8K1XPY7aMTeJbaI2CSx8PIpDse2iNu3i
Fcvoduoi1EFtkL1DBxj31g5KI9RJeTrF4MOtaNadlKaTwnTK8nSI8nTIK+QO
StMBIu3G4Vs78dQxgbIJJYpKJlFJcc3STlnaKUsbZWmjIm0SCeGXDEqVqSWO
JctokUg0y3I0oyYhQ9TFKUviRIdY5YuC5RN8Dm7rzALqpVSjH1BAzVSKFVCz
AuqlVGEWiooVEnVR3JahUqkClrNAFUye1WlFUu9an3wDTCfVs0iRKo5gAd9k
Vj2ZVU5CiSgBxXfy7bhO8ap8bCclQtEoSqiLAiF7ly4Q97Zu8svaLQrTLQpj
6aY43RSnWxamWxSmSwxRXfIlnC4q03mYs1SmU47wnZxQIl9PQslaKSgVpaF0
lEF9RdNolw24HbVJZSsQZSa5ZLa4UAvlOFSzoW1YQMXs3DpRI+sq1CCWu54E
KKRS4pgKqVQREtUpomJF1MrKbZW4qRQ3FRxtMbFTRIGKdJHUM4vZcBEqPDPR
4lTP+fabgbpO70aqU3WcnhRRkuQuUbEkljyxm0qheBSHYrsFSmL1jWg3VUIO
t7yIcKv3VjiIHoqkZBWy9FApZPRQqR7q1CNGrB75NoibMrkpk1vnW7epL7S6
jQSq1E2VuqmQUgoPS0VpfJyOMlAmyqLSWUanYKZTVKZDZ1QulcujakqtEpZW
vUYFVK6QGoqKtEgAmllfoSbkZM2FmPyK5YQhnlJM0VTUFcsRvISClTBElMii
lYiildCpYritiLiumHoVSZUgOV3LSw45II+pSrwdIeaoEmKf6d1qM6ndsjBu
cVrJrFRyD7VBCSi+R3wvrkc8PraX0qDoXvG1qF4Rgw4+t/fqwvQJfPo4AKu1
j7r0URclOwnrMPoEP32UMZpPo43eyEnE8XG8VI++8u2hML1i5u3FzSl8KxWl
oXSUgTJ5SJbRI4PMLYrSLeKrCzfnaSbzSU6hAql27ep2VqldMiBisxjeiqmU
UgsrK6KxVA6QpVSqVA+KpeClSlMKX3azjFKVwZUSF6Rl1CiO2yr98EpUgcrZ
ZBkqlYUqVpdBtkgVTnsBJ6yK9tbxUh3vRcdSj36TSb0yUDorl9aj68nKpgj1
UUuUhBL7Rc3i+8XlZFw/tUQxWtEoCjk8EjSPvrqyWD1SVqtHZKFH/syAhzp6
kYdSeiii53CK88gXpvupYT949esL8X558djP2qTwtVQenobS+TgDZaIslI0f
clCuqHkuVXVQxR7kpoJuzVOXZKlLT2pFVLk4og6WuEPg0S4q1CYr1GqWS7kQ
M0q5LKqhXwipoKBKYsqvoKhx3Nah2ogrK2CvXKqKzVWiClQu9lD2rZqd9m7q
iCrawwh8p715XqqDVO4zm/pl9SplUrMMlN6nvpfGiqb2C0w9ElPWPdELoige
xXlF6WK9orwxfB7to6RaDmT36b5isfp4jNXqg08fVfWZdiHDT02FfPpaJZvg
9FFWH0X1UVQfRfUBpo+iym1RVh9F9VFUH0X1UVQfRfVRVB9F9VJUL0X1Uk8P
lRTqR31UtE+2LxEfhRr4IlVlkXxuClzCpyUEb6lUF+pk5TtFEcXAVEG9KyG5
Ug45lTJzK/VwoyitEuNnlSGuxquocpW+pK4Sc2eVvISupNCVBKwocgUFrpBX
AuXyFYxyfZUmSnNa3wupyr4ZAfG0B5188TCXMuagbMqYJcqY6RE/05BBqdK9
usIsaypKQcl+qEWJfkmtX/zIRByfx6KYAaVoFIUcyI5sg5raQcqLLIPi7Thu
BbaDlFZ9P5r7GBRrDIrrrkEqHW8MUN0BqjtAdQfkw1K4T0VpPDQdZfBxJspC
2SgHt+SiPJRPxfOpdIGUh6oK9VPVvsNppUSQXSpuysA7mVs3y+xm2d2UwU1R
ulGXWS3ViTpQO2pDrZLZGkpcIwO6BpaTuVXXGjWEtFIjauDx9aiO7dWiGlTN
PoSqUMWZFwa6rPciwNaeSNp8SpcHdrlaOdQtG2VRr0whapPhP7waSxsQKKay
mCmsezJKHAJXFM/HcUMS1yFBfgxfi0ZRyBGglsgW0LUMcKUQoJYBUcqAOpYs
ojdAHQPUMUAdA5QxQBEDFDFAEQMUMQCeAYqotpPGfTrKQJkoC2UbQxRxiCIO
UcQhCjgoqBzAzIXUtJCaFkkpe5aopKeGHlFDj2ClH47KIboCVaIqVG30ygL1
4PpaCltLYWspaq3At1Ze1oha1lHXOjky1TEkqZ+pqKMB1zEi1aM6altHTWup
aS01raWmNVJ1qBbVsKsqdllx1iVEUJXztbP6aPXRNzJMo5DTK/Aq5VPNPJRL
NXOEqGI2ykKZVC9DkWSkU7E0IVY5FSWjpGGqPCygHRamiePTWBSDooWCFBo5
kC2oNmMNUuSgvBwMRn58KgiwQQodpNAhCh2iyCGKHKLIIYocosghihyiyCFI
DWrjpRshTJXJ51koG+WgXGOYIg9T5GFqPEx1A2hIjEGDcgwa0MX1U9tDD5fT
DGIprg95KbBSFarGDDWoFsjrZI+vB/UYbntRD3KjbrOBwh++d9MgerPYcDQf
tqFWs1HKxcctSBS+SW7KyWPqKHw9ha+j6HUUvJaC16jxSl93nKz2sCrt3e/t
tidfXSmh1MWUuZgTLvTz5YIB8fh81iKPCueK/DRyhsTLztlUNgtlUsKMYV19
ljwNpaKUEJVHiSgBxaM4FCs0QvlRNIpCDmRH1vBhS7aE9c862Rj+7MiBolA0
ikVxxiilD1P6MKUPy5kqTE9I5fM0lG7IbcF3mLKHKXuYso9Q9hHKPkLZRyh7
iJKH5OgbZH/FLFmxzodS+C9D5ahC94lK7ivxRRWRYKXiA+yvBm/Uojo8UY8a
8EIjcuIFJ15oJAAa8YATDzTiAdWMFXpOUt1JqjfJS98m+ZJGE0ZwYgKnvFBq
JNtjuW1GTciJGthHPfuqZZ817LvqzPTWBrgVMUB95CMxMJVR5FJUMqBUJKtb
OCS+V8Aq5KM8lEt1c4bF97KDIp2zqGBmSFU8g6qlozRWOwUlo8RRKh4WvIfF
T//G8WksikHRKAo5xig4so2poykwrVyZ2ZAdOVA0ijHGqfU4dR6nzuPUeRzE
x6n0OIiPU+txaj1Orcfl0WTynGyUg3JRHh7JRwWoEBWhYnxQbIxY9aKVkQTl
qEJqmPIO67EoQIEDlDdgiJAeotR1WKEeCzSgRmzgRE2UvlnKh7zIg/r5et+x
UkfxtW6zRapLqxMxnzdT9QRu21ArcqEWnt6MnOyikV3Vs8tadl19WO2oswJc
V1y17dPf+Tm6VmqUj9I/11aJESr86uNy7F4mRJCXYoASVMy6FKFC0C5A+Rgg
D+VS/ByULZY0S1KbOarTgPs0ipyKUqhQEkpECSgexY3Ljj8u/BbD51ETHDOy
I9uEXroa02JM4I4J3DGBOyZIgUncMYk7JnHHFO6YwhmTOGMSZ0zijEmcMYkz
JnHGJAkwKY8ni/sclMs28lA+KkCFuKcIlUiNafpHscYo1ghjizC2CGOJESwx
ouerELUIYYmgSOcg7boBBzVSACeuaULNuKUFuXCLC6e4cIkLl7hwiUtPDoeN
oFVMga0MCKnculG3lAujuDCKi4xoRS5c4sIlLhzSgkOacUgTZXTikEYc0qDe
/D21GQwpZ4SPvnXyf0HI69uGI1+lMw2QCVXYoHJISVoDK5RjgzIsUIpKsEAx
KmJdClEB/OejPGqfi3JYz+wxUcuscfUTy2QG9U1HaSiF2iSjRJSA4iflayuT
wpaxfB4zRWggB7JP6eFgWk2C1N2KbMY0iTGNL6bxxQy+mKE7zJAYM/hiRjSG
GSMJS8xgiRksMYMlZgiLGSyhNpXLfR7KZ3MFqBAVoWJj6vDtuDKcUo4qcEkl
qjLGZQ8Yo2Y1OKXWUK6vZ4kbUCNySo1QoxC1ClGzILULUsths01qCA2iAe32
OD72Slu0a4u0EyQdUr18LNTDY9xWPujm4e3Yox1rtGGNNqzRRoC4sEYL1mim
nk1Ywyne5DmjRWhb+NW3TnmTzHHiTTJtm2Mv/p82UxwbIxn4a7FQLfapQdXY
pxr7VA0fXhRUhIxVLIV1ylAp1ilBxSxmESrEPgUon3jIQ7lYJgdlY40shbWR
iS0yUBq1TEXJKGkGS3GfgOJRHJ/HohgUjaJm1HNts9hpVttpFivNEjGz2GkW
O81hpTkiZg47zWOneSJmHjfNETFz+GkOP83hpzn8NIef5mg+c3JbeTw/HxWg
QlSE14oNtc8y7svxWgWqlJrCTFNYaRIjTWKkSWJlAiNNyMc3YjYnakLNxFMz
RmtBLszVitowWDvqwGAdmKtDd7AOatuBuTrJHmGoLv0aRZfhtXLjoaF10qg6
8VYXvlJy83k36kIdPL0dtbL5FnbVzC6dkdmlSb8qJOp9mrEGz86bgsgU4jwy
Cn2tAYPUC2GSOk6iFtWQMTXkS7WeN6owRyWqwBzlGKMMlaISzFGMili0QlSA
OfJRHsbIRTmYIBtl6cJnUPR0lIpSKFoSSkQJKB7FoVgUM6cOj8tqxzwnMs8F
KLLM6+F0Ab8s4JcFomcBvyzil0Va0iLRs2iK/zmZglJRGkpHGTwuE2WhbJSL
DPlq3gJemccr83hlXrehebwyh1fm8MkcPpnFJ7P4ZAafzOCTGXwyTeBM45Np
fKIispn7FnzkQq2GaKVtxFUKhRyjoGMUd5Rih9GI9kTQ7JYaRgHpFzcldOuL
IDcB4TZ8Vm68bKaHbHLjHTeecZNH3XimG89045kuPNOpPaNam5PDaOBw6jgs
+QbZae1p4Gy7HP1MbdORXZZNowmrOLFK47BSA1apxyZ1QpxXLTapQdV6HKnC
JpVYpBJ7lKMyVIpFSlizYlSECrFIARbJR3koF3vkYIPsOZ011CUdpaEU6paM
klAiSkDxKE7V04heJGeQY9G02JAVWZa0b5bwzRIZs4xvlvHNMr5ZwTcr+GaF
jFnBN8t4ZhnPLOOZZTyzjGeW8cwyY8wyGbMst1XIdopQsbGkPbOIZxbxzCKe
WcAzC3hmAc/M45l5PDOPX+bwyxx+mQPkWQqjMtCFn1pRG15qx0Mdov91GpOM
CF3EUTdy61nbjYV6qFcPFuohenqxj7BNH/bpM9S00IuFeiltn5Qf+ZCHr/Wj
XtTDc92oi+11sP12HV0t7L6Jw2jkcBo4rLoz5xptHPXK8sk3R3Mic82xnOHz
FkzTgmGaURPzm+EMCQYb8UxDWKkez9Thl1ohdcJGNX6pxi9V+KQClaMy/FKK
T0pQMWtYhArxSgHKxyN5KJdt56Bs7YsMPJFOrVJRCkqijoncJ6B4VUMjlq9F
oyjkWDYt9hU8tGJarSumzbIiH+Ogb0ahaGMN/6zRo9boUWtkzhr+WSNz1vDP
Kv5ZxT+r+GcV/6zin1UyZ5X+tCq3U4TXio0V7Z0V+tMK3lnBO8t4ZxnvLOGd
JbyzhHeW8M4SvlnEN4v4ZgGwFyjQAoWa1wPLHAWcxTazmGaGos4YIjimKVyP
zqdemUl9ZFKB2U8e9WOmfswkDOTBTB7M5NF9zIuhvBjKi5k8mMiDiTwMSf2Y
qJ/m1Y+J+jBRr9GljdnGPlvZdwvH0cTxNGKkeo6v9qzw8R+/avrOe7dH/72j
+chGKabRjo3aOMZWcsdF5rTgn2Yh/NOEf5yoEf804p8GVI9/6vFPnZxb2EzN
tPiByGqsU4UqsE45KsM6paiE5SxGRdimEBVgm3yUh0VyUc6yjiTu0ylfGkqh
pMkoadWqL6uNOD6NRTFruGnNtDiQfc202tZMm3UdN61rN23gpg2ctEESbeKm
Tdy0iZs2SaJN3LSJkzZw0gZO2sBJGzhpgyTaIIk2cNM6SbR+2CxL+bQMA5aj
SlSFqjFcDapFdagBOVETZmvBaC7UitowWLsOs05M1oW5ujGXG/Vgrl4pFVj9
GMxDWHkwlpdm5yWhfCSUD1MJM/kxlh9j+XWjG8BYfozlx1R+DOUjP3wYyoeh
vBjKe/jyPDNNH4bqJZV6MJSbsbqb+ncSJR0Yql3/9GhMJGJ0Dm1GZpumyEfi
7bku/QpZB2bpwCztHE+reI3ENWpwDdiCT5rxSJMQPnHikUbUAC8NZEw9qtOj
Sy2nXoNBqjFHJapA5RikDJVikBJUzPIVoULMUYDyMUceylnVpsENGSgNpeKA
ZOUCI5H7eBS3gWtQzIZpiUZRG6bVsWnabMi6adotW9o1W+TPNq7ZxjXb9K9t
+tcO+bODa3bIn21cs41jtnDMFo7ZwjFb5M8Wjtli5tkif7Z09mximU0ss4ll
NrHMBpbZwDIbWGYdy6xjmQ0ss0HurGOZdeyyhl1WKccqZVmlPCvYZUXnwDKl
W6KEi5RyEass6DyZR3OUfBbNYAOhaawxhSalbQax0JAxZuVmVP9HyCHiYQj3
DOKcQeJokIoPkBwD+s0AH1HkJYo8zEL9XJT14ZxenNODc9w4pxvndNLLOr6n
l/mUh9YizjkWOAmm0UPguPGRGw91C+mZuJPA6SBs2jFRGwZqRa4JntYyKRKg
GQ814R+nEB5qxD8NqF7PNHX4p5a1qcE3VagSVeCdclSGd0pRCWtajIrwTyEq
wDf5KBevZGvvZOKX9E11tEVYirImogQUh2K3TEsMit42rVHbps2B7Dum3Yas
O6bDsis3E23sYqdd7LSHnfaw0x522iOA9rDTHgG0h512sdMudtrFTrsE0C52
2iWAdtTue3HSDk7aoZNt46RtnLSNk7Zx0hZO2sJJWzhpCydtETxbOGkTF21S
ng3KtIGL1inZOqVb0x1rlZKuUNoVSrysS76Ec5awwCJaQPPYYg7NYpUZNC3d
FMRZQZwVJJyCenwKEkxBQimIrYYJpGFsFdAvMw9hhEHGpAEs5cdSPizlwVL9
jEd9WKoXS/XgDTeW6lZv48af4iavctPKkYdOvlZ4bCi6YRp9mKsPc/VirF6M
1SNESLnVy+hGN+bq4tg7UQcJ1U46teGsVlzlQi04qxlXNQnhLCeuahTSU089
rqrHUbWsXQ2qQpU4qgKV46gyVMpal6BiHFWECnFUPsrbJLk2tctUWhhp2yTX
DjZDiSgBxe+YlrhdbLZrWqN3TVvUHjbbM+12ZDtnOqzIck7bbB+L7dPnDuhz
B/S5AxLrAJsdkFgH2Gwfi+1jsXNYTPzU6zksJn6eTz2/hPtSrCg+ruC+ClWj
GmxYi+pQA3KiJuRCbagdT3bgwy7Uje/cqAf1Gpu6oW1Q63WiRPnOj+8G0CB1
HMJ3Q/gtILWIZxbQPB6akz4LG7NWbqaNbG6nzFH9umeYXhimB45gtxFDZUaI
BAuSXgGsNoTVBrHaAFbzYzUfVvNiNQ9DVB9W68VqPbjFrXveaV7zKGMtnkyu
yDsNXozlEcJc/RxB/4josn1hMUb1kly96lVXowdzuTFXF0feibk6MFY7xmrD
VK2YyoVaMFULpmpGTYtiel8SLxY26nGoAT/V46VaVM0aVqFKVIGfylEZfipF
Jax3MSrCTwUoDz/lbisc+HIGaZROeVNRCkpCCSjuHBY7Z1pj901bDIreN+1R
B6bdcWA67Mh23oyynpeHEmOcx2IXsNgFLHYBi13AYhdIsQtY7AIpdgGLncde
57HXeVLsPBZTzy3GgqWoDBnynacD7LWPvfax1z722sde+9hrH3vt0wz3ibB9
7LVPfIkXe/aw1y4126V+u9RxB2vtUNNtHV1beh7aoPYb+EBoHTutoVW8sYKW
8ckSWsQ/i9Ji49htHLuNE3HjRNyEfgF1HK+NE23j+vXzUXwWJtZGiLQQPguS
RsO4JIDPBvHZAD7z4zMfPvPiMw/Dej8e6z07zrTF5iOp1XKUX9FcB5Jffizm
x2I+IWzmJb+84q1BwzMq/kNZPwfXj8X6sFiffvWwB5u5OYlubNaFzTqxWAdq
x2ZtWKyV3HKRWy2oGY81468m5NSTVCPeasBXdXiqFlWjKlSJiSpQOQtdhkpZ
+BJURE4VonwMlrerh81Oco1cSd8n11AKSqLwiSj+wLTEHmC48xgORV/AcBdM
hwPZL5pRtotmtBVZLsnjiTUu0TYv0zYv0zYvY7jLGO4yeXYZw10izy5huIsY
7iJmu6ivAC+SZxcx20V65kXMdkF+vYb7WlSHGpATNaEW1IraUSeG7UZuDNqD
+XoN8RKAuIo7R2H3KPBu5I2cQcw3hIZREAOGAC2E8Uak1tEaplnFPCsYaUUa
bgoDTmG+KbJuiuJPY75pPfxP6avJSUw3QcCNM56N0UfDmG4E04UwXZChfhjT
BTDdEKYbZK0HMJ2PYPOSUsJ0fWebTv/c7szJXLMfmm4Iww1itkHMNiCE4fw0
TP+oOGnfmPhJDC+G82I4D4bzcMD9+l2MPgzXy4n0YDY3ZutGXRiuE8O1Y7Y2
zNaK0VxCmK0FozWjJszWtKHNh8EaMFcdqkHVGKwKVaIKTFaOycpQKSomvQr3
VC26ybp93U8JnAyUhlJQMrVPRPF4I/YivfSiaY25hO8u4btL+O6yGWW/bEbb
ruC7K2aM5Yr23VV8dxXfXcV3V+mjVwm5a/juKiF3Fd9dxXNXCLkr+lWrK4Tc
FULuCp67TA+9TA+9LL9Xi0frUAOfO1ETakGtqB118r1u5MarvagPH/bjQQ/y
4UM/GjD2jcM3sgL4MIhCBOEIChOEYTw4igdH8eAY/htHk3hwCgnfzeLDWTw4
SwjO4r85qXnj8IdjZvHeDPPcFHPcJI11Au+N470xvDeK98J4L4R9gnhvGO8F
WPMhLgkGCTs/0eXj+tDDhWS/aqqneU//B4yps+a3xqMWG4cV/aYRYH4cVj++
YAxjxwB2HBLCkoO02UGuaIyBcTHC+HGkH0f6cKOP+PMK6QtMD47sx429qAdH
unFkN47swpGduLEDN7ajNtzYihtduLFFCDc26/HMiQMbcWA9qkM1OLAaVeHC
SlTBMZSjUmxYoq1YSNzlY8FcFT9GFhbMQOkolXhLRolYJB7FXsaalxnzrmDN
K1jzKta8ijWvYc1rZoztuhljvW7GWq7LbSUw4iahZJSK0lEmykI5xnWsqR5X
gGWLUAkqQxWoElVjX/H9Ou4bkBM18fUW1IraUSdf60Y9qBdb92NVD/JiVR82
HUCDOloDus+HsOoIsRlGo8Y5K/7ZM0px0i7awVnbOGwbp23hvi3pzAWcukBS
LuDQBRy6iEMX9cslCyTkPGk1h2tmacczuHMad07izgncOY47x3DnKO4M484R
rpRChhuXdnJIbTjUxWE241D9Rk9cxHy6/Y5HTHfaG381R5bkenWwD3mwnw8r
DmDJIdMI6tdBQtgyiC2HsWWAthwYZy9DE8YdnoItB7HlAJYcwJJ+IYLShy19
6jVGw4st+7FlH+fdiy17sKUbS3ZjyS7UiS07sGQ7lmzFki4hLNmyo57fjBWd
2LAR1aNarFiDqrFiFarEiuWoTJXJKKZsRagAK+Zhw5zLOj1Js3SUilKwSBKK
R7FXsec17HmNq5DrjIdCN+jYN+jYN0jOm9jzJva8pe15C3veolvfolvfJjVv
Y83bpOYt7Kkek2/cJDVvkpo3Sc2bpOZNrHmT1LxBp76BNW/Ixzm5b0ItqBW1
85hO7rtRD+pD/djdg2V9WNWPBrDroE7fYewaMi7pS4cLeOUCvjmPf4QO8NI+
Ep35HP7aw2t7eG4XD+5Ify7j02VSdRmfLpOmK3h1xdAvSGaaSzTwBabGeSbG
ORr3LI17BotOY9EpLDqJRcex6DgWHcOiYcJzxOjCoh0cmrLoIBZVU+yxV+G+
+/+fdfMejXj4tJ9JrjiybCs+68JzbvzXixv7saUXi5KsQZI1RLKO6J9PDGPb
EWwborkHidIgnh1GAXwbwLcBPDuEZweF8O0gvh3As/5F9XwfvvXiWw++7ce3
vXi2B7nxbTe+7cK3nXi2A8+249k21IpnXXi1Rf/ihyZ86kQN+LQO1aIa/FqN
qi7oTsWxl+HZEupZRH0LUD5ezb2q/XsN/6I04i8FJaEEfBSLYm6YlugbpjXq
JlfRN7mKvoV/b+Hf2/j3Np3/Dv69o/17F//exb938e9d/HsX/97Fv3e1d+/g
3TtE6x2i9Q7ReodovY13bxOtt+n4t816JB7bxH0LakXtqAN1ox7Uhzzw4EU+
fD2Alwfx8hAK4GcVqVcxzRV8qyaNCXw9aVyy4q6LXARMY+cZrDyLlefRIlrG
0ivYWdh3DSuvYeU1YncNK68batZa0y8rrjCILjOALuHhRQaABTw8h4dnueKZ
wcPTeHgKD09xZT1Bao4TsaM0/zARG2LwDOr/VzrE4DmgBk/1iyq/5cseZd5Q
xJ7OI6OmYiBh1nZMxaXDIOPcUA+mI2+Hydth8jZI3obI2xHyNswoMKpfxhnF
sGGMOjIlDBKaNp7zWMwaxKjDc0oBzBrArEOYdQijDuo3pQZYAT9m9WJUD0bt
R32sTi9m7cGsbszajVG7MGon6sCs7Zi1DZO2qutYowVzNiEnYdqA6lAtBq1R
lyJGJUatwKTlqJQCFmPUQgqbj3Kva9NizoybmBaloGQCMgHFoehbmPY2pr2N
ae9g2jtck9/FtHcx7V1M+wrX5a8wqr4qt5XMfSpKN15jHngNw74mv57H1wpQ
ESrm8aWoHFWialSL6lEjakLiOa3ct6MO1IXcqBd5gMCL/Jh+AA1h4gAGHsbA
4nkjmHgUjWHiCT2HTGHiaTSDiWcw8CyBPI8W0TJzxAouXkMbOFm4dhMHbxri
fhepJreJczcJ3w3t3FWGgxWGg2WGgyWcu4hzF3DuPCab41p91hhiX3726wWY
Po7FzTF1cWwdGiwXx9zE8TcCXd2ZrwVp5waO/HpybpX/hUD9otlfYqQmnYgu
zNWGydjZICk8hKkDpPAwKRwkhUMk2QgpHCaFR0nhMQaIcf3O/jiGHiN5R0ne
MGYewcwjGDmEkUMYOSiEmYcx8jCpGxBiUYb0NfwgRvZjZB/yYmYPZu7HzH0s
ZC9G7sHI3agLM3di5g7M3I6J2/Sg6sK8zRi3CTWielSnJ4QaTFyFKjFyOSYu
RcUUuRAT52OAPJSjOryRQQKmoVRSNRklkJ5xKPquaYm6i6lfwdSvYGpke9V0
WF81o6yvce3/GqZ+HVO/rk39Oqa+h6nvYep78mu53OejQlTM90tQGapAVZi+
hvs61ICcqEVvq537DtSF3KgX9fN4L/KjQQAZwuQBFNRpH8bgY2gck0+iKYw+
rc0+h8HnSOp5tIjBl9AKJl9DGxh9E21j8m1MLoy9QzzvGOoCYQdz7xDJ2xh7
W78+ukEcrzNSrGHsVYy9jLGXMPYixl7E2Av4cM4YwNxejqGfY+mVxjbki1Tt
HGsrxm7m2J2cQ/2ZcexWDh6MzBL1Ry8EsLXeatxSg2vAwsNWvI24CWf7W7TD
iOohnB3A2cNEdZCoDhHVI0R1mKgOE9WjRPUYUT1OVE/oF0QncfUErh7H0WM4
ehRHh3FzGDePCOHoEG4O4eagEI4eZmWG9XsyQ7h5EA3gaB+O9uJoD47ux819
qBdH97C6bhzdjaO7cHQnbu5AbZe0u3FvM3JeUSMFRq5DtRi5GlVh5grMXEaB
S1ARZi7AxHkYOOeONjYJmY5SUTLJm4jiUMyrGBs5XjOtyGZ/HWO/jrHvmVGW
exj7nhlrvIGx39DGvo+x72Ps+/LzHONNkvo+SX2fpL6Pqe9j6vsk9X2S+g2S
+g2S+g1M/Qamvm82I5d+bgf3XciNelE/j/EiPxpEAUAZxuxB3RHCGH0Mk0+g
KYw+jWZJ8zk9tixg9AVMvoRWSPM1tI7ZN9E2Zt9l3fakLktjn9Mvvp3D4HuM
0Huk9h7m3mVk3tE/mrGJuTeYNdYx9xrmXsXcq8yzK8zLSyT2In6cZ86YY86Y
Mfr0i2FdHGMHx9rGMbfQXZo4hwbO5ezE1uaWPy9zxt9DOBqTa47iuwLTlPL0
ckzEx71VmAoQ+msxGXvzMt34nEAACAMahKF2DQHQBIn3EPE+QryHifdR4n2M
eB8n3ieI90nifYp5ZVq/YjYFBJNAMAEE40AwBgBjADAKAGHMHxYXGSNr4ocq
Qvg/RJoH9btGw/g/gP8H8f8A/vfjfR/e9yIP/u/H/334vxf/91AYN97vRp2k
eIeaI43Wa8r/+N2JGlA9vq9DNfi+ClXg/TL8UILvi1ABgZiH53Ne1ZMLXkpH
qYRrCkpEcSiGkI66Bwf3TKv9DTh4Aw7egIP7cHDfjMbnsSgeJRoP5LZS9X2W
8RAOHsLBQzh4CAcP4eABHDwg3B/AwAMYeMC08oBp5QHTygMYeGi2oQ4ktuHm
vhf18z0v8qNBFGB/wyikmRmFiXE0CRdTcDGD5uBiHi3oKWgJJlbQGlqHjU20
DRs7aA829uHigDU8gInDH38/T+AfMMkcEPQHsLDP7L3PJeQ5Y10H/yLbmDe3
YGETFja4dtwwxtlHGB6ChP4QLPg5BvVe/CwhP83MPcXMPUHIjzO5jBLyYSaX
0PeEfPcJDk79ex9lkQZQdcQBwd+eh1HUr+szuorYVAkmgo0e2OiFjT7Y6IcN
D2x4OQIfbPhhY4Ar2UGXNimzfJCxJ0SDGIHmMA1ilAYxRoMYp0GM0yAmaBCT
Yc0FY8+Mev/FmIGLGZiYhokpmJiEiQmYGCdJxtY44NF18YMMYZgIw8QIPIzA
Q2hb7xomAjAxREEG0QBM+GHCBxNemOiHiT546IWHHuSGiS6aQOc1fZ1ZRp8A
hBYgaEKNqAEY6lAtQFQDQyUqB4hSjFIMEIUoHxhyASBbTSlGOkGfhlJQEqaL
RzEo6j5w3AeON02b7U3geAAcyPIQOB4Cx0PgeAQcj9ThiP/18Rg2HjP4PGbw
eczg85jB5zGT/GP6w2P6w2OGnscMPY/pD4/h4jFDz2Om+McMPW+ZnUgcUi/3
/XzNi/xoEAVQkN2FND+jsDIOJ5NoGlZm6R9zaAFWFmFlCa3oPrIOK5toG152
0B59ZB9WDtAFWLkIJxfhRLBxEUYu0i8u0isuwMcF+LjAEHQePs7Dx74egnbh
Ywc+duBjmz6xRZ/YoE+sMwCtMgCt6B8sWKRPzNMn5kj8GfrENGxMMgCN0yfG
GIDC9IkR9WNy8RGf6+aQqnj5vv8hcOJv/pScNf4Xi1v11x7wdXMGxsGYrYR2
WzYc5cIRLHXCUpf6zY2GG5Z6YKkXlvpgqR+WPLDk5Uh9sORn2BqApSFYCsDS
cJt6XogeM0KPCdNjRkmGMXrMOCsxQY+ZpMdM0WOm6TEzE6YxS4+Z069/z8PR
HBzNwtEMHE3D0RQcTbLaEyTSOBCNAdEYEI0C0ChNJSy0q/cLQEEACqAhIBoE
ogEg8gORD4i8AORB/UDUB0Q9TFHd1/VqAkwbcqFmwGlCjYBTj2qBpxp4KgGn
HJXiqGLgKQSefJQLNNn39cT1JiChFLpEEopHsSjqASA9NC32h6bV9si0WR+Z
dssjQHoMSI8B6S1AestM0u5PM55wCfGE6+InkPQ2JD2BpCeQ9ASSntBhnnD5
8IQO84QO84Qp6wlT1tt0mLfpMG9D0dtmN+pBYnte7v1oEAVQkMePIPG9MfY/
gaYgaxqyZtE8ZC1C1TJagaxVqFrX0+AWdO2gPejaRwcQdgGyLqHLkHVFX44I
kq7Qca4wfV2GpsvQdJmp6xLXy5eg6SJT1wX9Ks++sUzXWURzbHea7U9C1BjE
jkDUsL6O9nM8Xqjuh/AeaOrmWDs45jaO3cU5NEFUI6kgJ65v/6CXKLJ6IfL0
X5es/lee+qn3b/35p8IIlCVHzedPMYf66xFGYzKjSQqmScM86aQxcLUCVxtw
tQNXRw5gAVcXcHVruHqAq5f07gOu/kqMCVxeGpqfgx8ArkHgGmKACwDXMHAF
NVxh4BqlSY3RpMZpUhPAPEmTmmKRpmlSM4A1S5OapUnN0aTmGd4W9Kv3C0A1
D1RzQDULVDNANU0BpoBqEqgmgGocoMYBakyIzjSqX/UMA1QIBYFqGKgCQDUE
VIMANYD8QOUDKg9Q9TOi9apXxY1uOlKXvs5uB6ZW1IJBmpETqOoBqhZVA1UV
UFUAVBkqwWxFQFUATHkAlPNAA0b0pz1ilENJjwEMxaIoZH8MYI8B7C0AewvA
ngDYEwB7AmBvmwkahhTjHXmfyX228ZQR7ikj3FNGuKeMcO8wwr1Dm3rKCPeU
NvWU8e0pbeopbeopbeop49u7XMK8y/j2Lm3qXbktH/cDaIjvB9EIUnC9gzHf
xqBvE/1PMO1bmPct4HqMmR9h6keMUw8x+QPAeoDx39SXJ28C1n0AeQNY3gCc
e+ZVYLuuXx+4DmgCsGu0rGtAdg3IrjLOXTUuoAOg20M7PG8L0NQ4d8FYYpvz
wDbD9qdoX+PsL6yv5wMAPsDx+ADeA2S9HKObIOjkmNs5dhegNdO2nEBWz3nV
nDnOqV+Levrv2NaUyb9H8N0/mHb0S3sLjroVhq+OZdaPwyjxjDaoPoExR8Pn
BL4m4GtOxVgA6ALAVgBsB74O4OsEvi7g6wa+Hg1fH/D1A58H+LzA56Or+Tmh
AeAbZEIcAr4A8A1z9RRsxfjq/0cYoxzLGPCN09Um6GqTdLWpgAaPhZwdAy66
2jxdbYGutsh0uKR/EG8J8BYBbwHw5inIHODNAt4M4E0D3dQuCTO5J37rwgTM
jdPExuFtTL8TFoa5EZgLwVwQ3obhbQgNwtwAzPlhzntDT4Xw1AtzPTSxbv1S
QAestSEX32tGTnhrwEt1sFYDa1WoAt7K8F8JrBWhAljLg7Mc2Mp6rCdFGlQq
jSMZJaBYFI3sT0yL7W3Yexv23oG9d2DvHdh7asZpFpLgI1XzkmW8x+XTe7D3
Huy9B3vvwd57jIjv0djeY0R8RmN7RmN7j8b2jMb2jPHwGY3tGY3tGY3tGePh
M7mtAe6H0DAK6a+N87wJNMX+Ztj/HFqAxSU4XEFrsLgOh5toGxZ30TlYVJw8
grmHsPMAlh7A2pvmDX0pdgsOb7K+gr2bjI034O8G4+IN4wqPu4TOo320x3O3
YVA1uEs0uIvGAuPjLAxOsa8JfYkVYv/DHMcgDPo5Lg8M9pENPRxrF8fcAYOt
NLoWzsPJ+TRwXnJUPP7bIyPsqXeHT/9l7Y0nLrNO/YODR7/1OfcIwL9k5LHj
DPpeOV+pQJXROAZVx+Ae4KwDznrAbADMRsB0qr/nYTQDZgtgugCzFTDbALOD
ztgJmF2A2Q2Y7nzcCph9xeo5HsD0AqYPMP2AOcDZDgLmEGAGGDeH6YhBwAwB
5ghgjurfezgOmJOAOUVHnKYjztARZxk15+iI83TEBTriAh1xkY64REdc1u8J
rgDkMkAuUalFgFwAyHk64RxQztIFZ+iC0xA5BZFTEDkJkZPQOKFfhR6DyDBE
jkBjCBqDaBgiAxA5RBccUK/AGl6I9EBkH0T20v3c0NitX6Boh8ZWaGxBTRDZ
CI31OK4WGqsgsQKVQWMpDi2GxEKUD4m5kJf9tiaTrpaKklECioO6aOR4CplP
TatV6F3TZnkXMt8zY6BDPC8BYpJQqvG+JvN9Rs4PGDnfZ+R8n5HzfUbO9xk5
P4DMD+iIH3Dh9gEd8QM64geMmx/QET+gI/6AjvgDsw95kB+J7QW4D/F91Q0/
wL0f4OL3cfMzqHyGw9/D6e9B5bu4/ykUPKUTvgMZ7zAKvk23ehtqnkCPGlev
Quw1aL0BpbfQHX0xeIcueYfuKMi8zQh6m5H+tnGDx1xDV9BFdB5q93nuLoRu
sR3VGa8wel6iM17U/1f4QPw3FkbPPcjcMYY4ngEI9ZIY/RxjD8faDaEddMg2
jt/FeTRBaAMdso4OWX1mZ1R0nvnr/htOAHrqX/A8+uXg37q8k39rTL0ujr8L
LHgEFcFyMSrhKaXqWIxyHlUBy5VwXIWq4bgGjms1xw1w3AjHTjhu0hy3wLEL
jlvhuA2O2+G4E467aLLdcOzm8rFHc9yvOfbCsY/LRj+T7QBrMgjHQ0y2ATgO
wnEIjkeYbMNwPArHY/q3n07A8RQcT8PxDM11luY6R3Odp7kukJqLNNcl6rRM
c12hua5yubim31FaheEVGF6G4SUYXoThBRieh985+J2F3xn4nYbdabrplJB+
vX0CfsdgdxSF4XcEfkPwG7ypmipYDoCvH3y94OsB3z7RaEHX/bpusjymDXRd
qBl8neDbALp1WLQadCvBthyVgm4xdi4E3XyUC67ZT/WAS4NMQ8ngmYDiUDRy
INt7psX6zLRanoHx+2aURSEbB1IJKAmlauyyjedg/ByMn4Pxc5rrcwbb5wy2
zxlsn9NcXzDYvqC5vmCofUFzfUFzfUFzfcFQ+4Lm+oKrxhc01xdye0F9P8b9
BM+fQjPsaw4tsN8ltALWayC9gbZAehedA+sDdAFdAu0rehi4AdY30W2wvqvR
fg2cX6XhvkqzFRi/SqN9BZRfodG+Asp3QfkuKN+l0d4B5ds02Vs02Zu6yV6j
yV7V/93oEk32AhifZ8DdF/9HlgF3F4x3GHC3aLIbDLjrzJZrDLgrDLhLYLwI
xvNgPAvG0+JXaZ6Bse2oyX7n707oJnv0v9Ayjy4Z/xfTkmOYljyUT6ULxM/e
oSJALUYl7LAUlWlQKwC1ElXx7GpArUG1wFoHrPXA2gCsTmBtAtZmPQ27GB9b
gbUNWNuBtRNQuwC1G1DdgNoDqL2A2geoHg2qD1D9gDoAqENMwQFAHQbUIFNw
iCl4BFDDgDrKJehYB41WgzoFqNNcgs4A6hzNdp5mu0CzXaTZLtFsl2m2K4TR
Ks12lWa7xuXnunrlzFgH0DUAXQXQFQBdpskuAekikC4A6QKQzgPpHIDOAugM
DXYaQKf1D9BMAOg4gI4B6CgNdkRfYg5DZwANQegAhPoh1Auh/RDaB5096jUM
oxM626GzFTpbUBOENkJoHXTWQGcVjqyAzDJUDJ1FuLYAKvNQznuaVEbNNAhM
QYkoDsUgB83O9gGkfgCpP2AUVkTGQEwcSkDJUJSGMo0fyu/lcV+AilApKjc+
pNl+yBj8Ic32I5rtRzTbD2m2H9JsP6TZfsgI/BHN9iOa7Uc0248YgT+S2xrR
9+M8ZgrNsL05tMD+ltAK+1+D2g20BbW76Bw6D70X0WXovYquQ+9NPSTcgd5X
NLn3oPYNiH2DJnwPWgWp90jHe8Zr5uvQ+jq0vs5Y/BqXpa9B66tckr5C071L
071D072lm+4NY1E332n2Oc6+wxAbIi0CEDtI8/VzbB7G4z6O083xdkFsO+Nx
K823CVoboVX9NYRp9fuZTpuIrfpq9LQ/cqJhbYxMvce66LJpzTBMa6Z8ydW0
ZBsK3twjgC0C4CLxU4qoBIBLkfhjFuXi96toiKvYWjUA16BaAK4D4HoAbgDg
Rg1wMwC3ALBLd9s28b+cAbgDgLvott0A7AbgHqbmXgDuA+B+Lme9RcBbop4z
yLQ8xCIEAHiYaTlIlw0B8AgAh5mWRwF4DIDHAXgCgCfVe/HGDADPchk7D8AL
ALxIl12iyy7TZVfosqt02TUidZ0uu0GX3dTvcG8C7wbwrgPvGvCuAu8q8K4A
7jLgLgHuIuAuAO484M4B7izQzugfJpoC3AnAHb+luisPH4HbENwG4TYAt0Nw
OwC3Prj1wG0/zPaql0eMLpjtgNk2mHWhZrhthNt6uK2F2WqYrcSvZagEZovw
cQG85sFnDsr6QA/NsJmCEp/DL4pBDmR7Dr/P4Vd1vSjLD+H3h/D7Q/j9EH4/
hN+P4Pcjze9HdNmPGZY/pst+zLD8MV32R2YtakTNqBW1o07kRr2oH/nQAAqg
EFLs/ohB8kew+zHsfgy7H8HuR7D7Iez+EBZ+CBMv6GYvYPcF7L6g4z2HpR/Q
BX8AWz+Asw/gTZ3nq/qy+A14fhOWHzBcP4DhB+KyF37fpOO+CcP3Yfi+8Qq6
jW7y+GtwfQmeD9jGHhxvw/GGcfhTpTcZmq/D7zUuZ68YoxzDCBwPczxDcOzn
2Lxw3Mdx9sBxN0N0B8fu4hyaORf1C60XuJydg98Z9atuT+24GuJT/16Ohrgu
0nHTjiD+yrSlGqYtDaUbEaCtWShbgW0FaOsxoC10ZAtQWwTUEmhUjio450qr
ck01+6lhD7VAXYfqAbsBsBsB2wnYTYDdDNguoG7VULcDdQdQdwJ1N1C7gboH
qHuBug+o+7kU9gC1D6j9GuohunKA0XmYjhwE6hBQj7BqYaAeBeoxRudxRudJ
oJ7spjvq37o9C9TzQL0A1ItAvQTUK3TkVTryGh15nY68QfpuriA68pb+fy3b
AL0NzFvAvAnMG3TidYBeA+hVCF0B6GWAXgLoRYBeAOh5gJ7Tl7gzdOGp2/py
HJLH0Cg0h6E5BM3D0ByA5kFo9kOzF5o9kNwHyT2P9AwNyW2Q7ELN0OyE5gZo
roPkGkiuguRyVIqjiyG5EIfnQ3Au1GY/11TTVVNQIopHMSgK2ZDlQ/kYO/dR
lo+g+iOo/thMRCkQl4YyNYX5xid05E+YnT+hI3/K7PwpHflTLoE/NZ3GZ3Tk
z+jIn9GRP2Vu/pSO/Ckd+TPm5s/oyJ/RkT8zh43PIv8Ra5LvT6M5tMA2l9AK
+1pj3xtoi2PZQefQeXQJ2q+ga9B+A92C8rvoFeO57sRqsnhA134E4Y+h+zFd
+jFkC6ofcWn8yHgT3TMfQvZDyH4I2Q/ozG8al6H7AtvYh+4dOvXWIdS3GaFv
cSV8w5gE7jGGgREOI8jhBIB7gEPzAXc/h9kL3N0ccgeH7uIU1I+HrzBCLwH1
AlDPaahjz7pubVOf1ERa8Gm/hz4+QrTVtCWLX+xgTzFOoG0DbZv404a2LHEB
bINuW44mHLqt0G2FbitkWyHbUoJK0SHdlaiK/Vdrwms5gDr2WA/dDdDdCN1O
6G6C7mbobhF007bbILxdE94J3d3Q7YbuHubuXujug+5+5m4PdHuh2w/dA5ru
AHQPQ3cQukPMMSPQPQrdYyzjOO16AronoXuqE7Khe0bTPQfdC9C9CN1L0L0C
3avQvUa7Xqddb9CuN5m1t2jX27TrHS6Id/UPHOxC9g5kb0P2FmRvQvYGVK9D
9RpUr0L1ClQvQ/USLXoRshduqcIB4hRATwL0BECPAfQoQI8AdAighwF6CKAH
ANoH0F6A7gfm3rf08gBzO9toRS0A3QTQjQBdD8y1wFwFzBXAXIZKMHYRJs+n
/eYCbfaHGmzabSpKQvEfm0YsikL2j1WpLR8D9o/MKKCKAa44lIhSAC4dZQFk
LhKPLTY+Z9T+nFb9OaP257TqH3NR/GNG7Z+YLu7bURdyo17kQT40gAJIbGNU
309zP8s2FtASWmEfa2iDfW6x/x10Dp1Hl9BVju86ugn0twH9LnoV0F9Hb+hL
goeA/hjQnwD5OwD+NnC/DdwC7Ldp20+A+wlwPzHeMN8C7reMOzz+Bs+7CuCX
APyAFq7+p/zreuR+BbLvgMdtLo5vMnLfYOS+xsh9FbIvM3JfguwLjNznadn7
4pfmQvYu4/a2/qVia5C9AtlLkL1gVEC3/Astp/3JgdMwdinWKyNZkHKUCg7T
lgCziShJcWtPFrgDuviLamBuB3N7hvxapmScLn7IuS1Xs37IeeER61bBehmC
c0vFIeuW77LegBrh3QnvTfDeDO8t8O6C99Z4xXqHZr2Lbu6G9R5Y74X1Prp5
P6x7YN0L6z5YH+Aae5Br7CH1Z2yMION5CNbDsD7KaD4G6+OwPgHrk4zmU7A+
DeszsD4L63PqL1cYi7C+BOsrsL4K62uwvg7rm3TxLcbybbr4Dl18hy6+y3X1
Of2frc7B+B6M78L4Dt17G8634HwTzjfgfB3O1+B8Fc5X9ItcHN7iXR0zMD6D
puF8Es4n4HwMzsNwPgLnQTgPwPkgnPvh3AfnHhjv069Hd8N3B2qDcRdqhnMn
nDfAeS2MV8N4JYyXo1I4L8L3BXCeB9s58JylmrCR+gm8o3gUi6I+0Q21Bd4/
hfdP4f0zeP/MjEeJ8JeC0mEyC+XBs+L9J4zmX9DEv2A0/wLev2A0f8lo/pLR
/CVN/CVN/CVN/AvG8pc08Zc08Zc08Zc08Zd6LH/JJbX6eJ7HLaEVtruGNtjX
FvvdRnvoAF1CV9F1jusWWXAHvQL/r6F78H/f+JFx+OvR3oL9d2D/Kdy/ZzyX
v5sexN4ldp8ab6GH6E0ecg+9Ava3eMo1kL9Mf1dvRbxJH7+vXwt7navrV405
omWK3Y6z+1GQD3EowyA/REP3g7yXht4H8t0cbge4qx8y2ObqehPU17HDqlHN
1XYFV9ulZ11ha6yPfqN58tEAbjNtceAZbwi8BbqJYhv2I8RlJ7fTyY8hLgA3
7eBtB287eNtz5XPzDP1rDmwgbgNvG3jbwNtKK7eCuLUczMHbAt6WahCvQbUa
83qbQtwJ4k0g3gziLSDuAvFWEG8D8XZaegeYd2nMe2jpvSDeB+L9IO4BcS+I
+xjY/VyFD4L4EIgHNOIhEB/hCnwUxMdAfJxBfYLsnATxKRZ3mkF9hqvvWRCf
66W1asSXQHwZxFdBfI1zXAfxTRDfAvFtEN+hle+S4Xu08nO08n39I08H4L1P
8c+B9x5474L3Dnhvg/cWaG+C9sZN7TGev8ol9gp8L6kfGjXmYXsOtmdgexq2
J2F7HLZHYTsM2yHYHobtIdgegG0/bHvp3f36xWo3THeidrhuRS2w3QTbjbBd
B9c1cF0F1xWoDLaLYbsQtvNhOxeWsz7VjNOTk1ACilX92bB/ziX45zD+uWmH
oSj4ikHxsJaEUmEvA2XDY55mssT4KYP6T2H8pwzqXzKof8mg/iWD+s8Y1H/G
pfeX9PMvGdK/pJ9/ST//kn7+Jf38S93PvzQn0LT+fJHtrKA1tME+NtnfNtpD
B+giuoKuczy30B2O71X0Osf7Bsy/iR4an6rlb4DfH4H2x+rn0NEHtPcPuEJ/
n9ldfP4+rD+D9Wew/oy2/p7xKs+5De83aPlX4V397PojY5cWv8nmV/V1wDyR
Ms2uJ+B9jMMY4XCCtPchDm0A3r0cZh9x1A3r6n8VnQPbXTjf5rg24Xwdzlfh
fBnOF9Uf7zqN9RbFekmE8MQTLTwGHmO14N4eL7mF/CRBvuReKlnzr9l3wL4D
9h2w74B9B+w7YN+Rq7EfNe10dnuBetpx9G0ae2sFOkQf7C21oF+n0W/gvpGD
dHLITeDfAv4u8G8F/zbwbwf/DtDvBP3uY+j30eH7Qd8D+l6meR/o+0F/EPSH
QD/AOg2DfqhcPScM+mNcp4+D/gToT4L+FFP8DOjPsu5zoD/vBnvQX9ToL4P+
Kuivgf466G+C/hbob4P+DujvUeNzZPo+nf2Azn6eke6C/l9950H+AOT3Qf4c
yO/R0XfBfueGshxP2eRyfAPq16F+lW6+8poeKiB+HuJnIX4G4qcgfgLixyA+
DPEjEB+E+ADED0L8AMT76OIeaO97pocgaO+A9jbkgvhmiG+E+Hpor4X2amiv
hPYyVALxRRBfAPF5EJ79udpGGhN0Mh06QXVpS/RPTIsD2X4C+T+B/C8g/wvI
fwn5LyH/JeT/lEv0L80clA/VRUg8t8L4ikn+Kzr7V0zyXzPJf80k/zWT/NdM
8l/T2b+ms39NZ/+azv41nf1r+bww9+NoCs3yXPG1Ze7X0Drb3mQ/22iP/R5w
fxFdQdf5/Ba6yzG9iu5xnPfRA5LgkZ463jF+rP7MjFFvPgf/F+D/gk7/AvSf
g/5zjf5z0P+B8Yg4eJMYeA3874L/LfBX/7v2beM8LX+Pdr/FttWbKPeZ5t/g
Ov11rtNfA/tXmObv0uJvM83fYpq/AfbXuUa/qv7UIMfdxmTvYrJv4lwaOKc6
zq2ac6wA/VLOuRj01V8rPY39ZsX+sb8m5Th+KX/4sbrWtx9GQrQhY8EuRCzY
42QkxIuRh2BQsaCiwSpH/nnTkaIwl6mQdkoq5MhkMB1c2DuIBQex4CjUiUIs
2IkFe6mKBhvRYKskGqoQE4FVR4OlHjXoeHBynk0ccPO3oqGdaOggGjqZDLqI
h279Jlsv0dBPNHiIBi/R4CMa/ETDANEwxPAfIBqGudAPcqE/UqaeM8qF/jjR
MMFF/hTRME00zBANswz9cwz980TDAtGwSDQsEQ3L6reGG2tEwzrRsDFOLEwR
C7PgzQX+Hhf45/DBPhPBARPBeSaCC1zcX9Q/L3aRWLhALJwnFg7w0P71yO/Y
2iUSdoiEbSJhi0Fgg1hYJxbWiIQV/f7YIpEwTyTMEgnTRMIkkTBOJIwSCWEi
IUQkDBMJQ0TCAJHgJxK8xEG/fl3dTRx0EgdtxEEraiESnERCA5FQRxzUEAeV
xEE5KiUSiomEQiIhjzjIAZ1MhY+R/IWKhbiXpiXmpWmN+qlptSHLT4mGnxIN
X5qxKAElg2oaygTbHFAuQMXGz+XzK41fMPT/goHgF2YDajZ+ydD/S4b+XzL0
/5IL/F8yEPyCgeAX5iASzwlxP4om0QyaR0v6e+tsd5Ptb6Nd9rePLqArfH4d
3eLju+hVjuceus/xPeR4Hxs/VWnghHR1ii+YFT5kTviYa4KPSIePSIePuAb4
kOv+D3U6/JCh4IXxgJS4R0q8SkKoF1nfM65wgXCBlBGvCWwxIKyzi2X9ouAs
u51i9+MkxCiHEiIhhhkOBkkILxcD6o9eXjU6uRBoJx1cpEMTp9JAOtSZOyTD
FsmwYZSRhMWkQ8FZQ8HxYDjzd5TYIt+1Ukbxs9hWEQ3RuqWfjAgREGpwsEcG
B4dQsvjrtymG/jmdw7khioSIIiGiSIgoEiKKhIgiIaK+lRCOIp0SIiFIBzvp
YK9QCWETCUE6WEkHa923EqKJ+2YOvoWUcJESraREGynRTkp0khJdpEQ3CeEm
IXr0ANFPSni5dvCREH4SYoCEGCIhAiTEMGsZJCFCxxJijISY4Pp7UifEDAkx
y+AwR0LMkxALpPgiCbFE3ZY9oKoTYj0IwmFQJiG2SYgdEmKXhDiHD/ZJiAOQ
v8DgcJHB4eK+aVzWP7d2mWS4RDJcvG4cDqjGwS2eg7fOEQ97xMMu8bBNNGxx
jbBJPKwTD2v6vzosEw+LxMM80TBDNEwRDRNEwxjRMEo0jBANQaIhQDQMEg0D
RIOPWPDoF+l7iIUuYqGdWGhFLURDE9HQSDTUEwu1xEIVsVCByoiGEqKhCGby
iYQc5v3Ml4cvA1gSvzQt8V+a1pifYa2fmTY7sv6MhPiKhPiKhPiKhPiahPja
TIfcLCjORQVQXyL+M7wh/vDQH3DJ8AcMDt+YjagFtRn/GZcM33DJ8A2XDN8w
OHzD5cI3DA7f6MHhGwaHbxgcvmFw+Ibm+QdcLvyB/N4m291Gu+xnH11Al9E1
dBPdRa+iexzPfeNrPSSo/5H2jLT4AL0gMT7UlzY/4rLiU6LiU+NT8xMGiU+I
iU+IiR+Jd++JiI+NJ8TGQx5/n+e9RlSol3E+4LrhGdcN7xn7DBPbRMU6UbGi
ryPmSKUpriMmGCRGOZYRomKY4xrk+LzEhPq/rdeJiKtExGWO7yIRcd5o5Jzq
iIlqYqKCmCgjJoqJiQLOX/7Z+YTIkNByLByORYI42+jjkeBQuWAXkaD/sKoM
g6NAMB0Jgv5Eg8PWYSBnBSl9FSFT4VgiRGedTIMo0iCKNIgiDaJIg6hi/Rzm
BcdhIpAGdtLAVo1qkE4EawOJ0IicFuXgFo7dRSK0kghtHHI7idChE6GbRHAz
N/SQCr06ETwiEZgb/MwNAyTCYDZ0kAjDLFmQRAiRCCMkQphEGNN/V3mSRJiC
zGknaUAizDEzzHMpsUAiLJEIyz0kAWVaIRHWdCJskAhbJMI2ibBDIuySCOdI
hH0S4YBEOE8iXCQRLjEvXGZeuMJl5dUr+j9CrfP1m3yfJLhAEpwnCQ5IgX2G
hD2SYJck2CEJtkiBTYaE9QdqnysMCUskwQJJMEcKTJMCk6TAOCkwRgqESYEQ
KTBMCgyRAoOkgJ8E8JIA/frV/W4SoIMEaEMuUqCZFHCSAg0kQC0JUE0CVKJy
UqCUFCgCjfyfkgYoU12xW1J+ZlqSvjKt8Sj2a8yE7D837VYEatEoDuwSUQp4
pqNskM0D30JUAvIVSGyr1vhDhoU/5DriV1xH/IrriF9xHfErriN+xXXErxgW
fsWw8IfysSPcj6FJNIPm0RJa1dva5n6X7e+jC+gyuoZuojvoNeMblQDtNPFf
QugvdBL8nIb/NUR/Bd1fQbs6zc9IhR8zQPyYRPicRPicRPicRPiMoeEzPTR8
YjwmFd7keeo/ef6Qy4nnXE78wLjEAHHAtndIhQ1SYZVUUL9r5rExTSpMMjyM
kQphUmGYVBjg8Dzy+3cMN7NNF5cW7Ry+i3mn2bxEGlwgDQ5Igz2jktMsIxGK
SYQCEiFXmkr97/fv/Kao5tOzwZTv+HMO1uMBYecRMiVsUeJlxWgxIMREooKI
cAipmBApYRUhIf5GVfJRREQJERNR6Qp7ERPRIiYYGqKJiWhiIpqYiCYmoomJ
6MOY+H8puw8wq8o0bdSLWJGiKHKRsyTJWQUByTnnDAUFFDnnIFEMCAZQBBVR
yYo55xzbtvN0mJ7p3NM90zP/+c+c/6xz770+bOyGmTNe1+uu2mHtbxf13ut5
V+0gMJRvEKhARDmhoVxgomyKieYKEWVaJkyURkSpNoGJ9hzs4FF09Pg7oaKz
JXdBRVdUdENFD1TcgIkbhYebkg/djG7GRB/hoa/w0A8T/f0cB2BiYC1EYGJw
PTtZTAwLTIzExKiWdsSYGNsWEZgYLzhMNFZMEhomY2IKJqb6d5zWGxHhc8Vm
YWI2JuZgYh4mijAxHxMLMLEQE4swsRgTJQsSHeSSpXRYQocSOiymwyI7moWE
KCbEfEIU+XWbKyfMIcRsQsyUEWaEP+5PpcNkOWEiIcYTYgwdRtFhOB2G0WEI
HQbRYQAd+tHhFjr0ocPNZOh5KIwWZOhKhk6qAx3a0aENHVqToQUZriNDUzI0
Vg3IUE/L1D4eRzWP/zXn5D9MiUfi0rkq61G/TI/GZcupMifjctovgwjZKk9n
VlJVdG913VxL1dX1DVTj6HR6PS2iMwLDGSPFGSPFWYHhrJHirJHirJHiTNxb
pa43wOlgNUyNUmPVBNuYrKapmWF782y7WC1WS9WK6MlEhi468gn76ycI8Tgh
kgxym2Xebsl3qUPUuIcY94UDG0dp8aAM8WD0gDqi7o0fMGI8IDccjW6jR/Ln
xHvDU+gPGy3uNlocjJbZ3mJaLLDtOe5jBi2mGDUmhoMRo61hBC2G0WIwLfrL
MH3Sl62XGdZSYjUlVlJiOSWWavQSSiyiRDEl5ssM86IGpKgLxlqkqJH801xt
uLg+MSIRJO9qL91MXZJ6JdkvGjRIf6Te1a5T7qrExOlXq6V+BFegFJcq+3fe
lE6nkqxvjylZwYNvsxPcKROX5075/LQ5zqOOAexb7lT7L9xhToZoksGdDO6U
bxjuiznlmFOOOeVEk7LcKduCPcwpI5qUZk6ptqpdsKeDn2sn7nTmTpfU52Fw
pxt3ugd3bhRRbuJOzxBReldK3LkluDPA0DKQO4O4M7iOBuXO0AYaNhzxHHUd
c7gzpjVzuDNegp3AnUncmcydKYaVqdyZ1os53JkR3JnNnTncmcedIu7M584C
7iycmuwlUoe4li2Oo+XJ4a9oBXCWA2cpcJYApwQ4i2GzUBwpBs584BTBZp44
Msdv82zgzBJHZtwa4IHNZHFkAnDGAWc0bEbCZjhshsJmMGwGwqY/bPrBpi9s
eoOm1z3hkA9ouoGmM2g6qvawaQub1rBpCZrmoGkGmiaqIWzqnYBO0oVRtUfi
qHKyPy+VdzIulXsSOo/5jVLlTkHnFHROxZm6Okd356kCjV9V1YBCLVDUVQ2B
0kSlttMyOgedc6aU86aU82LJeVPKeVPKeVPK+fR1+jkd5DpD1Qg1Wo1Tk9RU
NcO2ZoftLXC6KDobppAbTQBn7ffPEuesDj+j20/r+tNBnCfI8AQlHifOKXqc
IsljRDlJmOR4y3FZ5Th5jpPnuIzykHzyUHRXfEw+eTDa67q7vnkXkntNK/dE
q+mznD4ltlss78x1HzPpM9X9TZJTkmf17zat7KLOTupsD58YvMWkssmaN0Q9
rLuryaWTyaU9ONuYXFqZXJp7bE1NLo3IU588dciTnlLIU1VEK7jmIc/WV+Jz
9Ve0JopkfO+TTz5JfXXV61xNnzIhEv2NPml40uOQW5mHUvokB1FV2YwopJ7M
ND/lshJ+0jQEgspXUKmDqfyx+SDQ5dRTOkVPoDoFUCaAMgGUCZ9M+GTCJ1Po
yQRQJoAy4ZMBn4xGAS4AlW+a4FMOPuXgU7alamWF16s2UVy6nV/09sn1o44g
6uSRd9HWXSHUDULdIdQDQjdA6CYI9RR+egWA+gCor3+QW8xI/aslAA0SfgYD
aAiAhgJoGIBGAGhkk+Q2Y1oIPQAaL51MANBEAE02H00B0FQATbsJPgCaAaCZ
AaA5AJoLoKKRARxzz2KBp0TgWeIXc1kxcAC0AkArw9MbV8JnOXiWSTpL4FMC
n8XgWSjpFMNnAXyKwDMPPHMkndnwmRWeDTENPFPAM0nSmQCfsfAZDZ4R4BkG
niHgGQSeAeDpD55bwNMHOjeHv4beCJzuqgt0OqkO4GkLnuvB0wo6LaBznWoC
nkbgqZc0YlQTPNVOAuixANApAJ2KS2c/7jdKlXsCQE8A6EkAPQmg03FFDV+g
qmr+mqo2LOrBpKFqGl0wF11Ib+v66KK56KK56CmJ5ymJ5ylz0VPpy/o6f4Aa
rIarUWqs201Qk9U0NUvNjS4k5vSSFC7o2wvSwwW9fEFfX9Dj5/X6eX1/Tvo4
l970HZZ20DIPq/ss+QiLHlQPceh4OPryKIceYdAjDHpE8nlY8nk4utvld7je
fg7tTjfe0Wir228wO63h0AoOLWHaQg7Ncx+zODTN/U2KDwR/9vFnD392R4Pi
W4M/26x9C3828WcDf9bxZw1/VvFnBX+W8WcJfxbzZyF/FiQHUhlUXeirwqC0
P3lXMaLVt/i56ot6/6sX/F7tMGy5a4Se0mW/OQpzOe+kpSmdgqZ0Shk3ShmT
VuCvzlwVmowUNBlVUq+nyAgvoEhDUzOBJitAk1UnIFM/gSYzpJyMJuFupJzy
oCkfoCnXKvRqs8SXjsGYzkJOFw+zm0u786UHX27gy43Bl15Czs1CTu8wXN3i
B95PyBkg5AwUcgbzZQhfhvqHGcaX4XwZyZdRwZexfBlnapjAl4nt9HBHvcyX
qd30NV9m8GUmX2bxZfYtYY0sWSDYFPvFWSTYLBZoSpy3ZA4/ijjClxV8Wbks
jlaHFy+tYstKtixnyzKhZilbStiymC2LhJpitixgSxFb5nFlrlAzOzwTYwZX
pqkpXJko1Ixny1i2jGLLCK4M5cpgrgzkygCu9ONKX0GmN1N6hT+29GBKV6Z0
ZkoH1Y4rbZjSmiktmdKcKU1VoyTMRHW4UqjhqhtFqiTHOaK8J/jyBF+ejEtn
PMmX03w5zZczcRZLclVFjVxZU1dTNTV5bVWfD43Y0VS1iJ5Ob6tNdMlEdSnu
HD0j3Dwj3DyTPr+P8/qpQWqo645QY9R4NUlNVTOip9NHEKK+ei4habmzV6m1
aoParLarnS7frfZaQuLLeb1/ni/n+HKWEWd4cYYdpxnyJFuSQz6nWHOKM49F
x9UD8cnoPpcd4s2drndbyEHJM7EfjDbazlrWrGTNUtYsYk0Ra2azZrr7m8ya
CfLO2HDcZ5j1DArTVh9r7GWtN5q0unOmi2zW0aTVjjPXe0wtOXMdZ5pwpiFn
6nnMtcMwWV3Gq8KZSsiteK0Z61vOXPPlyWX+/1z87TfcKX+tkFPmG2jKXj6Q
U/VbkSZFTfm/5+abqSojVbjJSLhJaZO2JjOEmrQ5NVNBKbWOMnFm44BFlP5k
pChFVjmBpazAUkZgKd0+9fbOUfoN9AfIHoNkj8Gyx1BBcZgf5vC6+qi+fmpo
vx1cGNdcn6VehRmln2oxN7xJ+XyxYoG5plj7L9T+i7V/ifZf4jpLtf9y7b9i
oVYv0fraf01o/zXafpVIsVLrr9D6y7T9UpGiROsv1vqLtH2xSLFA68/X+vNE
irnhtYiz/L7N0PrTtP5kbT9R248TKcZo/ZFaf7i2H6LtB2n7Adq+v7a/Rdv3
0fI3PxgihpbvruW7aPmOqr22b6vtr9fyrbR8c9U0+WtJVF/L11GF2r66fqjy
ZBxVejKJGLlntL/KOOOf+WxctvQ57X9O+5/X/hfifFVZr1XTc4Wqjh6srxpr
52ZavEVo83bRs2ab58w2z8U9ouTdz2522lcNcNlgNVyNUmPdZkL0TJhf+okV
z9jPPqMXkm2tdJ01ar3arLapW9Vul+9zv0nfP60Pn9L3F/X9Rf16Qd+fj09Y
+6PqJANOMeCJKHmcT5p3npAxnpAxHpcxTkX3cOAu10telfGwGedEtD39u38s
WseAVba5jAGLbX8+A+YwYAYDpjBgQnxX6P3bw5Mc90W3yBq99X9P/X+D/u+m
/ztbfwf939Zjac2yFvFqu8OVUWO+NYiXpj4BMEo91aOmWaean0Nl/V8Jh3nX
yhgt/y5j/N1rmsv+d5dd8S7/f58stPrf9XrZv/Z5drrPS6eaPBwgztDqGVo9
I/XH3oz0879TnX65e5M3JWmSThFZUkS2FJEtRWRLEVlSRJYUkaXbs6SILKNK
ZrOQKiSIDKNKhlGlfGul+8u1JYDuLyNOlBYnSnUK99PF2NLNw+ruh9XDsm5g
xk3uuSdPeokVN+v63qnP2ghPCekHjwEFKTz8N19EuF4ftrU77qAnOxs/uurP
HvpUVJgtKswxgs01iswLZixgRjEzFjJjMTNKJvPCSLKUGcuZscI2VzJjNTPW
LI+jteFVVut4sYYVq8WElbxYwYtlrFgqJizhxWJeLGLFQjFhAS/m82IeK+aG
52nMFBOm82IqLyazYgIrxokJo3kxkhfDWDGEFQNZMYAV/VjRlxO9k79DRDdx
ogcnunKik+rAinacaMOJVqJBiySPR404UZ8TdVSh/ql+mhlnmHEmmHEuLpV9
jhnn/b6o0heYcYEZF+MKejJfb1ZW1fVqoZ6toxro38aqGQ9aRs8bR55Pb6tT
9IJx5MX01z2d9vZ9PzVQDVUjoucTJgZJCs9rjedF8ee0y/PxIrU0bGaN0/Wu
vkltVTt9v1vtC5ff4a4PqsOWcp9lHbW8Y+qE5T5q2acs/wl8PImOM+EY8FmR
4YzIcCZ6KD4dHXXZva6TvIT0MWPJSWPJo+ElmSei9UaV1ba5PH4gKrH9BeiY
675momOK+52IjrHWMDKsZ2B8GzL2RTdj4yZs3GDN3bDR2fo7YKMtNlp7TC2w
0QwbjbFRP33bJVEtVNaIi+2Ei5AxN8o3neUZTXJSl//15VffHkiu+prqsv/t
Zd/2J2Gj/N+zUV5rBjRSrwDJ1K2Z6XwQxpGy6XyQzga5aTQSGI7FmeJApjiQ
JQ5kiQNZ4kBWDUAUJs2dfRmNugEOaGRDI7uRAkd2Cg5oZF0XYgQ4MlNwQCMD
GuVFhvLgKAeOsh2sFBylwVGqS8CjGzy6w+MGj/TGsgEOM8nN8OgNjz5+qn1R
0S8c8xgAj0HmkcHmkaHmkWHmkRHmkZF15A3zyGiZY2xjjdk0uf7EloBpDRfA
TG0PmE5wAczMFDA3wgUwcwEzDzBFAZhiwCz0m7IIMCUT4ACYZYBZPgsacwUP
wKxeBJMlUFkRR+tXx9GG8FzRdXBZA5bVgshKuKyAy3KwLBVElsBlMVwWgWWh
+WMBXObDpSjZCUazwTJTEJnut3wKXCaBZTxYxgoio+AyAi7D4DIYLAPB0h8s
t0ClD1RuDgdQb4BKN6h0UR3B0h4qbYWP1mHmaAaVxlBpAJW6qpZuq3E2jqqe
i6OCcwGYC4C5AJiLcZmyqvRTgHkaMJcAcymupIur6ObqqhYN6qoGOr2Jzr9O
tQTJ9dFL6W11jl42j7wcAsnLAsnLAsnLCSrDZJGX4omuPkVNV7PUPFWsSly2
XK0Om9rkdKvaoXarfeq2YNdBd3vYEu6zlKPqmKWdsMyTlntKPWn5Z2BzDjTn
IXMhHJ89Hz2qTjj/AeDcF7LKnaC5TU7ZA5qdtpG8b8PD0RrbXAGaJba/EDSp
YyKzzChT3e9E+WSsNSTA3AWYOwBzADD7AbM36mHNXeWoTtbfXqZqE28hxKao
ufmqabwuagTRemH2KoRMdcBW9XMogEw+dCuYS7L9jDKvNZe0+BY3V331d9n/
9rJvbzLrGikFNcGacnG5jG+sSVf57JA6SseZ4siDcaY4klIm62+UyU4pUzOR
JrtWokEOaXIokyOe5JAmhzQ5jRJlssWTbNJkkya7eXL9LPEkkzSZpMlISUOZ
cuJJOdKUpUyZzrS5LE130vS4QpqeqQ99tdSbMxJp+qY+oS4lTYgpA0kzuMAu
3YQzjDTDgzSjSDPaP9WYBpRppEODNJNaiAWkmdqGMqSZTpqZpJnVXWcHaeb1
1u2kmU+a4vBxN4tHUUacXUKaZaRZPp0cpFlFmtULaEKadUspY/TZsCaONoU3
UNpImfWUWUuY1eLLKsqsoMxywiwVX5ZQpoQyiwizkDDF4sv85C0aormEmU2Y
meLLNMpMocxEv/7jCTOGMKPEl+GUGUqZQYQZQJh+hOlLl97hiMZNdOlBl66q
E2E6EKZtMu5HLQjTTIs1pksDutRVtehS4zxpLpAmOSoa5T4Vl8p6ijRPx6XL
XiLNJdI8Q5pn4zxtXElV0dY1VC0tXle7N1RNtP51JGml2kSvpLfVJXo1fXpT
9FoYbUaKMK+KMK/Go11nvJqkpqmZao6arxappWql660N29jidIfapfapA+H8
g+7vsLrP/R+1jmPW9LA6aX2PW+tp6z6rziPnInIu4uap8Gejp+SZp6KHnXcs
/f256LDr3oWlA8jZi5xbUbUNOZvSDfdItNK2l8bHUfNQlDosMgs509zvROQk
4889Yfy5K+qLm17WeSNuuuOmC2464qadx3E9blp6TNfhpgluktdfrY5qe8w1
42WoKYmq+DkUGAMr4jfXzybbzygjnRGuNgc1TySoc5WLsq91FCOJJuUy/jqc
JM8weDgdTTJyQ5lnMs0zmeFVLyk9sgrUFYJkEyQ7CJJDkByC5BAkJ7zkJZcg
uQTJJUguPXLklByC5BAkhx459MhpEfINQbLokUWPTDklgyDl6VGuYyJIWYKU
6UqRbsn1S/UoFZe6sXRc6qYycSmClEoJ0lv1yUwE6Sev9A+CDMpPBBmaEqQa
PWrIKYW6q7YuI8hY/xLjCTKhie5rltxmSqtEkOkEmZESpItOJcgcgsztSQ+C
zCfIAoIsDIKUEGSp34hlE3X/FHoQZNVsKsyjQzE9FpNiGTEIsmltHG0O72S/
mR4b6bGeHmvJsVo+WUWPFfRYTo9l8skSepTQYzE9FsonxfLJ/CSFR3PIMYsc
M8gxVT6ZTI8J9BhHjjF+y0fKJ8PpMYQeg8jRnxy3UKNPGHR6UuMGanSjRmfV
MTlYEF1PjpbkuE7nNKFGQ1WPHLWpUfNiHFV7Ko4qq4rJsc9SWc8QRJV9liDP
EuQ5gjxPkBfiAl1aVdXQsbVVPd3bULc3Uc11davotbit6hS9nqAxNu4TvRH3
V4PUsOj1eKQaqyaoKWq6q89WRb5eqJaoFWqNWu82m1Nvd21Ztzrdqw6E7w+6
/LDb3eduj6pjlvCw5Zy0rMfVacs8Z8kXLf0pD+FpiFwyHD0jrzwT8sozBqJL
4XltFw1EFwxE56I7QLLf7XeBZDtINoMkedvVRwHyCEAejopAMgsk00CSPOn9
CCDvi5KPpzoEkIMAuRMgtwPkNoDsA8gegOwCyE6AbAfI1ih5DtWGqC4sa0Ok
psdeDaBVIFLJzyMPqrkQyfIzyjAwJgf4rxZYAiK1r3LR5be1uYxIahPJc6pu
TYeN8knQSFdGzhVyXKFHVnhlzGU9sumRHfTI+Rs5csmRG14VU4EeFehRoWGi
Ry49csmRK3vk0iM36JHTKghCj2x6ZNEjU/bIoEd5epQjR9kuiR5lLutxwxV6
9Cobl7qZICk9+qY+qDkr0WOADDIwTDtDZJChpp3hpp0RMsgoeoxO6VFXl5lH
J9BjIj0mBz2m0mM6PWa0I0dHctBjDj3m3kAOesynxwJ6LKTH4vDJZEvpsWyc
rqfHSnqsmiFzzCFCETkW0qGEEsvJsYoY6+Joa3jZy1bTzWZybCTHenKspcZq
aqySOVaSYzk1llFjicxRQo7F5FgocxSH16rPI8cccsyixnRqTJU5JpFjAjnG
UmM0NUbIHMPIMZgcA6nRnxh9wyTTixg3EqP76bAn8XNpR4zrVUtiXEeMJsRo
qOpRozYxColR7RI9nqHHs0GP5+JS5Z+nx/NxmVIv0OOFOFsr5mnJAu1ZVdXU
qrW1bD3VSAs31crNL4uR/LXzxugtA85bBpy3DDhvxUPUcDVajYveFD3ejKeq
mWquWqAWu2yZWqXWqU3R23bVb6e3t8fpbeHrgy477Pr3qaM0ecjdP2wZJ9Xj
lnTa8s5Z5kV1ybKf8RCeFUOeM/E8F52Pnw+HVJ4Lz5R9xrRzybTzVHTIbe6k
yH63302R7ba1mSKJHqfo8Vi0iCJFFJlt+plOkUSPB+lxlB73h08cOESPg9EN
BOlGkM7W3oEgbT2O1gRpQZBmBGkUJrm6pKxFkBoeezWCVCZIvp9HHkFyCJLl
Z1SeIGWu/Vy3667NR4W/ySCpy8qlDqeWSz8H9rIeaTmCHpmp58Cig6lZV+CR
DY/sgEdOCo7qCR658MiFR27AowI8KoQXzFRokOBRAR4V4FEBHhUu4wGO3JYq
4JEDjxxwZIsdWfDIBEeG2FEeHuXgURYcZbon1y0Nj9I3lY5L9ywTl4ZH6RQe
fQwxfQHST/zon53gMSjEj6Hix7CCBI+RKTwMMKMNMGMNMOPEjwkNNRw8pgQ8
psFjxvXggMcseMyBx9xuGhUe8+GxAB7F8FgEj5IQPZaNBgc8VvqtWDUVHDNB
YHBZN9+wYnDZuAQcK+Joy2pgrI+jbfDYnjyDMtoGji3g2ASODeBYC4014sYq
cKwEx3JwLIPGUnGjBByLwbEovAh+vrgxDxyzwTETHNOgMcV+cRI4xoNjLDhG
+W0fIW4MBcdgcAwARz9g9D0d4kfSFVFXYHQCRntgtFGtgNEcGE2B0UjVh0Yd
aBRCoxo0Kj8Hj+cDHi/A40V4vAiPl+LyOjBb5enIyjqzmg6tqero2PrRG2Ew
aR1fr6Pbh+6O0sde34l7R+/G/dRAXw9VI9QYNUFNdt3paravi9RCtUStUGvc
ZoPaonao1Pb2R+/pwuTrw07vc72jbn/M/T6sTpLkcZKctq5z6qI1XrLe56z7
efi9IH+8KH+8KH+8JH+8FD0ZkG3t8mN0uZ8ih2WUOylym9vvNvTssK3NFFlv
u6vS3fc4PU5F893fbIpMT6/nRDSOYCMIMsSaEj3ujXpaZ4/47qirYaaTYaa9
3NTG42glQzU3zCR/Rtwe1fc468Qbo0KC1PDYU2/BVTleTo8l+n4xPYqjTD+j
9N8t41mlomsOMc2uACR9Sd7V2Eg9qwMY2Mi4Imxk5n4TNkqnwIjWpsnIDn96
SZGRE8jIRUbuFWRUQEaFQEaerJFXP7lNHjLykJFnUslDRh4yKsgaFZBRARkV
kJF7fZhwkJGDjGxZIwsZmcjIwEV5WaMcMsoio8wNyXXL3ISNnti4GRu9sdHX
j+aWFBkyxwCZY2DOt8kYjowRJpaRJpbRJpYxMsdY+9bxyJhoYpksAk5FxrTm
yW1mImMWMuYgY25nbYmM+chYgIxiZCxCxuJAxrLknfyjlXaaqydr92nafpb8
YFLZsAAXJpVNS7FgUtm6BhEb4mjH5jjaGZ4TvwMX23CxBRebcLEBFetQsQYV
q2SMlbhYgYtlqFhqOinBxeLwrLBiVBShYq6MMRsXM3AxDRWTUTFRxhiHizG4
GImK4agYKl8MwsUAXNxyNvntT70jMCG6qc6U6ECJtqo1JVpQohklGqsGpKhL
ikJSVCNF5ReIkRypjDJfIsbLcekyrxDjFWK8SozXiPE6MV4nxmUlasWNdWwz
1VL3tlHJYY6kq3vp8D7R+yaV9+PBapjvR6mxaqKaomaouWqBWuw6y9QqtU5t
UtuiD0wpH+iwD0J399GFH9DifZ35Hi3eo8W7uvcdnfy2rn5bh7+l29+kxZu0
eIMQr9Hh5fhlmeMVmeOV6On41eiCSpR92cTyIjFeiI64/mFy3EWO28ixhxw7
ZI8t5Fhvu6vjM9GydPM9QYzHoznkmJHexiOmshPEOB4Ntqb+8QOpjwxPq9HD
ertSoxM12lOjDTVaUSP9gStyR0O5o57HWZsahdSo7rFXpUZBvDKq6OdRgRrZ
8SLdXRx0mF0mimeUi645tVypxt9cVPEqfpRPPSGMHFxM2fGNGyrLoHI5a2QH
PHLCy/JSeOQGPCrAowI8KhQmcOSl4Kib4FEx4FERHBVljYrwqJjCQ9bIg0ce
PPLAkdfabS/jAY5cWSMHHtnwyJI1MuGRAY/y4CjXAyCX8ehZKi7Tq3RcBh5l
+iR4lOoHkP4AGSBzDJI5BsscQ8LAMtzAMtLAMkrmGC1zjIXHOHhMMLBMgscU
eEyDx/SAxyx4zIbH3A7ggEcRPBbAoxgeC/0rL4ZHCTyWwGN5wGP1BA1vUFlr
f7J+NgTgsbHYMAKPLcvAYVDZthYWG8GxJY5u3ZHc7tY9zgPHNnBskTM2gWMD
NNZBYw00VssYK8GxAhzLoLFUxlgiYywOT/laAI0iaMyRMWaBYzo4pkJjEjQm
yBjjwDEaHCOhMcxv/xD5YmCAI/VWZ8C4ERbdVRdgdFBtoXE9MFoC4zpgNFEN
oFEXGoXQqA6Nyi/51XrZUJwc5yxV/tW4VJnX4PE6PF6HxxtxxejN5BlcdeNC
PVpHvzZQjfVuMz3cSqVu2lFfd9XfN6rU97dEH5pVPjSrfGhW+dCs8qFZ5QOz
ygfxNDVLFamFzl+qVqg10UfSxkf66SNp4yN75o9l/Y+TR1mAjo/Q8ZE2/VDL
foCOD7Ty++h4T4u/i4530fEOCt7Gxtu4eAMVr8avGVtej55Xz8RvRBeTzbV1
0SOucowiRyhyD0XuctMDFNlDkZ0U2UKRDRRZTZFlskfyybWnw5v5PW5aeYwe
j9LjYXocj/rJHr3D8Y/ultslvifqaHppZ3q53vTSUm5KDujvjRoQpK5HWZsg
NePN9NgYVSFIpXi1sLBS1lgWZcQl4akYC0pH8VxyzMqI4umZ6f752w+yTT2o
/2JuSb/Fn/RyJSAZhpVU8sj8qx6lU3S4aXbFb+BwHjrCGxfnBjwqXIFHntSR
F/CoCI+KKTwMKhXD00jz4ZEPj3ypoyI8KsKjotRRMeCRB4+8tmHAgUcuPHKk
jmxwZIEjU+rIgEd5eJS7ESA3Jdct26tUXLZ3Cg/p45ayAQ81UPoYJH0MkT6G
hvQxQvoYKX2Mlj7GpPCwux1vYJmYwqM+PIyP0/zjzAx4zIbH3LbggEcRPBbA
oxgeC+Gx2D9yCTyWwGMpPFYEPNbAY51BZb1dy4Y54CgCx0IglIBjueHEoLJj
HTgMKru2xtHu8I6ce8Cxy893Jzi2g2OrxLEZHBuhsQ4aa6CxWtpYCY4V4FgO
jqXSxpLwhLGF0Jiv5kFjjrQxExzTwTEFHJOgMV7aGAuO0eAYAY5hyd9iowHh
LyU30+ImWvRQXYjRUbWjxvXEaEmM64jRRDWgRl1qFFKjOjUqU6Piq/R4LdGj
3Ov0eIMeb4aYUSR2vBNX15e1VF192kC/NlHXBSba6eVOqpu+vkmlzuun7Qep
oWqkGqMmqMlqhprjeguclkSfCOefaJhPBPZPNNEnQvynGuvTeJ+6XSW78k+5
8Sk3PuHGJ9z4WPN+pJE/5MaH3PiAG+9r/vdA8B4v3mXFW6x4PX7T0PKWoeVt
8ePt8HzYN8MTT1+LHoLIEYjcw5u73PYARPbYzk6IbLHNDRBZbfvLIVLyzQtt
zhhWnoTH4/B4DB4n4fEIPE5ENwPkxgBIZ4B0AEhbgLQGSPJ7eSBqJII0iPfA
Y5cYtwMeW6NqHntldFYESK6fRxZOkyGlBBzFZaO4qLz4AY4Z2n1qzrUjSJNr
C5L+BNTS4Q0D0nxcQUdWCB3Z6TcLJUe0Ms4JoSPHxJIbXnBXIdiRx468YEdF
dlQMduSzI58d+Vfa0TSxI58d+ezID3ZUZEfFNuqyHdyoIHTksiOHHdnsyOJG
JjcyhI7y7Ch32Y6bU3YIH335wY7S/UE7wM9skPAxODOxY1hu0h8j2TEq2DHW
5DLOHneC8DGxjoRvcpnaUL8ZImcm0TCa01ovsqOIHfPZUcyOhexYxI4Sdixh
x1J2LE/ZMSy5zVpTy3rBY8NM4cEOZvN8biwSKJYwYQU32LFzPSdMLLu3MePW
ONoXnnO+hxu7TCs7ubGdG1sFjs3c2MiMdcxYo1YzY6WwsYIby7mxNDxxbJGw
UcyN+dyYy4zZzJghbEzjxhS/5xOZMZ4ZY85eflvqaAg2BiKj39PhWAcueuCi
Ky464aK9aoOLVrhojosmuGio6iKjEBnVkVEZGRVfR0f67xeBi2Kh4504R1XU
gpW1Yg1tWUt71lUNtWoTbds8MNFOG3dW3bV0z9Dq/aPPTCyfmVg+M7F8amL5
1MTyaTxVzVTz1EKXLVEr1droc/vdz7XQ59L859rqC4nji3Bs4/P06TGnJ9RJ
13/c7U+rc+7zovu+ZC3PqRet7VVrfCtd76Dizfgd0eNd0eO98ES1d6Lzzn8i
EPIQXo4i5B63OyiDHEDIXtvZGT8fbbXNDTLIGttfgZAS97Ugzcc5dJxBx2l0
PIGOU9Eg67pFBrnZGhM6HkDHEXTch457Uy+yTh/lbWKCaYSP+mis43HWMp3V
wEcVj72Sia0CPrL9PMrjI+n7JdhYhI0F2Jir1Wdp8+kVomsdMw1y1LrKRVWu
yB6p81NoZH0bjRQZpVNiRLvTZqS8SGWNCuFlK3nBjIrMqBjMyGdGPjMqMaMS
Myoxo1J4enklZlRiRiVmVDKoVGJGJWbkyxr5zMhnRsXw2rg8ZlQwqOQyI0fW
yGZGFjMyeZHBi/I9k+uVY0a5PqXjsn250a9M2oxSA7kxiBtDmDE0OzFjRMgc
ow0sYwwsYzXN+OqJGZMMLFOYMc3AMsPAMsvAMqdFcv0iZsxnRjEzFjJjETMW
M2MJM5YyYxkzVjBjJTPWhA8+38CMTczYzIwtC3hhUNm+lBcrDSVruLCBFwaV
Pdt5sSuO9ief+xjt48UeXuwypOzkxXZebJUzNrNio4yxnhVr1GpWrDKcrODF
8uPJbUtYsUjGKOZFES/msmKWX+wZMsZUXkzmxYSQMUbDYoSpZCgwBgGjX/Ik
76gXLG4ARTfN0RkUHVRbWLQCRXNQNAFFQ1DUBUUhKKqrypcPX5QkeaP0O3HZ
Uu9C4z1ovA+ND6DxATQ+jGtrynoatKFqmvrkxCj1OrlP4/aqs0buoXpq6r6h
yYdo+uFqtBqvJjt/upqt5qvFzlsWfak5vpQ1vrS//VLW+I598Hc01Hdkje+k
t3Of81Onx33/qK9PqdNue842LrrPS+o5a3jRml5Rb1rfu9b6rsfwnpnlfZnj
A5njw/Dks/ejC85/0uXJE/7fgsab0b3wOAiP2+GxFx63wmOrbW6ExxrbXwGP
5Gf0VDQn3XbnoXE2GmMtw2WPQSC7RfboZY03gCN5X8IHo/ZyUpuQmZrJHU3A
0RAc9cBR2+OsaSSrCo4Cjz0PHDngyPDzSIaUlWWieJkhpcSQUmy0KNLmc7T4
DO09Nf+acDS+Nhzpz+wKb6yUOj8rwJFtq9kBjhxbTiWN3KBGhaBGKmmkD18E
NfKpkU+NStSoRI2C+ooaBdQoCGoUUKOAGgVSRgE1CqhRIGVUokYlalRqZxtB
jYpSRh41KkgZudTIIUa2lJFFjUxqZPQix81Bjj7Sxi2JGmUGlEnUGJxSQ5Ia
ZlIZnnOFGtLGGGljXJVEjYkmlcnUmFr322rMDWrMp8YCaiykxiL/koupsYQa
S6mxjBorqLGSGquosTaosXGyTjelbKXGtmLd77dlxzJirCLCWmJsjKO91Ni3
gxjUOBBe3nKAGPuIsYcYu0wnO4mxnRhbibGZFhuli/W0WKtW02KVdLFSulge
XgVbQouF0sUCYswjxhxizKLF9LMeXxBjPDHG0GIkLYbRYpBo0f/ZMKnQ4iZS
dNcdXVQHWrSlRStaNKdFE1o0JEXdy1KYuvLfFjPesf95N6jxPjXejzNIkUOK
irqvii6soRtrq3q6s5EuTV23pdM2OreD6qKLb1C9dPQtoduHOh2pxqgJaoqa
qeaqYlWiVkRf2a1+V8z4ro75rpjxXbvfr8WMr9PbuMf3R1WUPhj5XZ35XV36
FTG+Q4zvEONLHf2F7v6CGJ/r/M9o8BkZPibFB6R4N/5I3Pg4Sqawj0wqH1Lj
g+i06yRqvBs9IHrcS4+76XG76WYfPW6lxzZ6bKTHWpPLCnokajwTzU733MVo
oslljLUMFzsGkeMW6+tFtR7kSD5+7qGonYjUOv31/dS4R0MfMqHcJWbcERV6
nNXIUZkc+R57Ljmy4i1hOllvOllNjBXEWEqMRfp7gd6eq69n6enpenpK5WvK
0ejaclRL/7/CX+W4Qo2coEbuVdTIq5a6q1QknRpXlh0qk6AyCSqToDIJCkhQ
IDsUkKBSh79KUFF2yCNBBdkhlwQ5FMimQJbskEmCjMsS9JUh+tGgPw0GyhCD
rHswDYaaO4bJECNkiJFh7hhDgrFBggnmjknmjsm1Egmm1zdvNJLXm5IgHLNY
QIKFJFhEgsUkKCHBUhIsI8FyEqwkwSoSrL5Cgk0k2EKCbSTYQYKdfgNu1TW7
zBt71lFgk47fSoGdun93HN0e3nP4DgocoMB+CuylwG6zxq0U2EGBbRTYQoBN
MsN6CqylwGoKrJIZVoYXri0lwGICLCTAfJlhHgVmnw1/KvC4J8sMEygwlgKj
KDCMAoMpMCAJ01Fv3d9T9SBAVwJ0JEBbArTSBc3Dsyc8tELNX13zV9b8+e+B
4H0QvB8g+BAEH4HgIxB8DIJPQPApCD4Dwedx/RANrtN4rTRhW9VRQ3ZVN2rQ
m1W/0LjDNfMoNc73k9Q0NVsVqYVqqctWRd+zq/yeX/7vyd3f1xDfN8p/P337
u53e5/wH1cMqdd6TTs+pi257yTaeUy+6z1fc/xvqXev5UH1kzR97DJ+IEJ+K
EJ+F54R9Gj3nvIsuO+M6j4U48YA4ca/b3g2E24GwDwi3AmEbEDbZ9logJG+z
8EI0333Ojp+NpqXb6CkQXADBORCcBcFpEDwBglNRFxh0jC7/FetY1BxoTWDQ
EAb1PLZaMKghIlWBQaV4rwbbbdbYadbYFtp2g1ljrVljlVljmVmjRLsWa9Ui
bTpHi86skrTPpGSnftXPJrtSg/Ql1dNnlPvGgFT/5yT9z6DUZrLjfMmgkmRQ
IBkUSAaVJYPKkkFlyaCKZFBFMqjSJLx6dW5cYOdfoO0rhZe852v7ito+T9tX
sPPP1fY52j5by2dp+czeyfXK942Sth9gfBhYOi49WAgYYpVDQThcCBhhQaNy
QttX1PJGh/FGh4lVk7afYnSYVsfO3+gws6EdZxMtEw43FItsi7T9Ym1fou2X
avtl2n65tl+p7Vdp+9Xafq22XxfafrPe2DrdznuOljc23Krtd/t332Nk2Lte
y2+Oo9u2afFbtfwe7X5bHN0V3jD0Di1/QMvv1/J7tfzuI26v5Xdo+W1afot2
32SHv0Gt1fJrtPyq5F2yomVafomWX6Tdi+3054ed/iw7/elafop2n6jdx2n3
Udp9uBFhiJYfaKffL/yVs5d2v0G7d9PunS4/IXuanf9bdv76va5+L9Tv1fV7
Zb2e/4G+/1DffxT6/mN9/4m+/1Tffxrn6/cqer2GPq+jn+qHnft1Tlvrt3aq
k97rpm7Si731ZH81JPTuaKfj1RQ1Q81RC1y+2Ony6AfxGrUx+qHf9R+Kzj/0
+/8jcfpHYef/Q73yA+PCD8zxP0yfd9bpRd9fUs/Zxou29Yr7fV29Yw0fqk+t
6VNr/oxZnwsBX4S/3H5hdPg8et75T7n8rP4/pf+Tl+98GN2n/+/W/3fo/336
f5f+38aSTbadfBDFK9Fi/T/ffc4WBqbp/Ynp9nla31/U9+f1/Vl9fybqzqfO
er/95bY/bt//oCY8GtVHWW0PrabWrxrfaVq43bSw37Sw17SwK0wLW00Lm7T8
ei2/Wsuv0PJLdeciLb9Ay8/V8rNChp+SfIRY8jePdG+HF7n+/re//e2bDzyQ
fnPqN48cOfLbX//616HvrxoLko/0rvcNCZcrN8SBCu64gjiQ587zxIGKFpBf
XYXPMCtARWVUVEZFlXoKFVVSVDSK4qoJFXGV8DrXqmJDVbGhaislNlQxQFRp
F33zNjeVuJFvcKgoLuSxowI3csWFHHZksyOrDz/6htjQXw3gxyCxYXDpuNRQ
j2uYLQ0XG0bSaZTYMDrEhnF2nxMKEjsmGyCmsmN67cSOWQaIOQaIeQaIBWGA
WNyeG+xYwo5l7FjOjhXsWMWO1exYw4517Fg/Ul8nLw6ItrFjBztuZcduduwR
GfayY98GbhgcDmznhsHhzr3cOBBHB8OLQ+46zA9uHODGfm7s9U+3+0Hb4cYO
bmzzu7qFGZuYscE+ax031oQnZa4QE5Zxo4Qbi5L31ormMWO2mDCDG1O5MYkb
47kxmhkjmDGUGYNEhP4vBzteTbiYGUftcdEaF81VE2Q01EJ1kVELGdWRURkZ
+cjI/Rgdn/hlSw4xli31GTo+R8cX6PgSHV+i4zvo+Cp9eRPt2VyrtlbtVWft
210b91R9tPQANTS0+linE9U0NUvNUwvVErUSEeuiH8eb1Y7oJ3aZP9FDP0nf
7pDT+51/TD2iTqnU+RecXlLPue2LtvGKet39ve2+P1CfWssX1veFNX+Jve+E
Q6lfRW+pV3z/vPOfdvlZjDyOkYSOj9HxUXTINu5AyH6E7ELRdtvdhJDkDY5f
R8er6HgZHS/69X4BHc+JDAkfg8SHvtbXU3zojo9O+GgXIkOhyNOYHw34USc+
4vv79PBhM8PdkuCddvYH7K/3h5lhl5lhu5lhi5lho5lhrZlhlT37Mqm+RAsv
1L5F4ajhTHv3qVp2Yu1rzhBXfGbaf/ov/d1/AUjN9P8bfANILrFyKyaApPDI
C3hUtIL8gEclqygIr3lN4VHlCjyqwqNqwKNqUwWPquEVaNXAUc3MUQ0eVc0c
Vc0cVQSQKsJHlU6Xn7U+Kc4HSEXBIw8gFeCRC48cwSMbIFm3hACSAmRgCpBS
cZkhAshQP/thtjDCT3WkADJaABkTAsj4igkgk8wdUwAyrWYCyExzx2yAzDV3
FDX9KyAl7YSOTpoTIMsBsgIgqwCyGiBrALIOIOsBsuEKQLYDZOdsc8Z8eCwG
B0D2+026bSMczBt37ICHeeOuffC4PY4OJZ/GFx2Cx8H7XAaP2+FxGzz2wWOP
OWOX39ad8NgOj63g2ASODQLHOoFjTXhi5gqBY2nAoxgeRfCYA46Z4JgGjkkC
xwR4jIXHSHgMg8dgeAx4JfnTl0x0k3zd48046gKO9uC4HhwtwNFUNYRHXXjU
gkd1zVUZHvnwyIVH1mcQ+Twg8gVEvoxzwZEPjiqasmaYJRpq0qaqhYa9XrXX
wJ1VD83cS/XV3AM1+dDQ9ONhMFlNV3OcN18tUst8v1ptiP4h3hr9VPb4qR3w
zzTTz9K3u9f3R112XJ1UT6rzzktd9pyvX1SvuP3rtvW2et/9fqK+tIavrO8r
6/4uCL8Oh1e/Nnt8Hb3qvBdc9jRMzrnuEzB5BCbHwkxyCCZ3wmQ/THbb5naY
JC8ZejtabhZZLI/MN4vMdt/T4pcg8kI0Ot1uz0YD4dYXJD1lkW7W2jHMSS0B
mDyv4mH79oc07oP29EfMG/eaNw7r+4Oi/p3mjQOhnXebN3YCZBtANgFkPUDW
aOMVAFmqhRdp3wVhnz9Ly07TspOMBuPqXnv++B9KUhiGlsuKVHD3Fdx9HkUq
WkJFiuRbRiWKVKJIAUUqU6RyeD1rVUuqSpGqFKlmUqlGkWoUqUaRahSpFhSp
TpHqFKkuflSnSDWKVDPCVKVI1c4kCa9hLeh+WZT+cR5FKlAklyC5Ikh2UCRj
QEoRNZgkKUWGiSLDSTJCFBkliowWRcZmJ901IU8EMcZMNsZMraa7jDEzaokg
xpg59RNF5vtnKw5HL0ra6kz/pMu76lKKrKTIaoqsochaiqynyAaKbKTI5qDI
DrH/VorspsheiuynyAGK3C6G3EGRO3cSxPhy935yGF8Oh3c4v4cghwhy8Kjr
EOR2gtxGkH0E2WNs2UWQnQTZTpCt9NhMjw2ix7qz4WfkMS4hx0KxYz495tJj
Fj2m02MKPSaSYxw5RodXo1tGv2Qqj3qKHTeQoys1OhCjDTFaEqMZMRoRo56q
RY3quqoKNfKpkUuNrC/o8WXQ4yt6fEWP79Lja3okRwzq0qIhKZrp0Jaqjeqg
Y7uoG3RwL918ixqks4ep1G0m6vipaqaap4pViVqh1pJiU/TzeLvaHf3CLvgX
IX78Qvz4ufjxc/HjZ/Hj6qy66PvU5S86fcX3r9vGW+p99/Wx+sJ9f52uH8Tf
s+7vhz+W/CD6UL3t+1fVCy675DrnSfIERR6lSKLH5/T4jB6f0ONjenxE4w+D
Hu/R451okfsrIsgs9z1VHJkgjoy2nmFpQZ6L+sTPRDeJI8mhy/PR9aJI8/gJ
8eOx8BYcJ+ziHzK2PGBsORJVJEiOx5tJkGRsOUCOvcaWXcaW7caWLcaWjdp3
rQCwSusu17IlQY4iLTqbGNO16WRtOl6NqZ++7GqAlL82IIVXuXryHI3kuesp
PPLgUTHgkQ+PSgGPAnhUDnhUuYyHVVWzqmpWUx0e1eFR3exSHR414FEDHjXC
y1hrwKMGPGrAo7r4UR0e1TopeFSFR9XwArQCM0wlMSS/5+UZ5+Y4px88+ocI
MggcQ/z2DhVBUnCMAMdIj2mUCDJGBBkrgowPEWRifoDDDDMdHDPNMLNTcJhh
5jXUdB73wnD8Y0kb0aMDNLqIHT2gAY414FgLjvXg2ACOjeDYBI4t4NievHt2
tAsce8Cxb5HmXwaB1dAAx13gOKhj7wbHodugAY57746j+8J7EN8DjUPQOOi3
8k5o3A6N26CxDxp7zCy7oLETGtuhsfUyGB7banFjBTSWQmMxNIqBUQSMOcCY
KW5MezEcy3C/I18VPV43u1Cj/1thdpE1bqRGV2J0pEVbUrQixXWqMS3q06K2
qkGMKsTIJ0auDsv6Djm+ikuXSfJFps7LJUZ+OH5RkxJ1VSNKXEeJVqqtLu2o
uuraG9XNurifGqyrR6ixodOnO52titQitVStosP66B/jLWpn9EuZ45fp6x50
eq96wPkn1GOud1qd9/UllRx/+Eed+4+6+Bc6+ue6/Oe6/mck+BkZ/iH+oTX+
MKz7x7LHj8jxo+gd572mXqDIJdc7T5AnCXLS7ZKnuXwnOkyfO23rNoLskkOS
1wl9FK2WQ5a5r0X0KJJBZskgU61hggwy2nqGyiAD0no8H90gg3RJ3+5i1Nq6
m9GjIT2S9/p6VLOeMLQcM7Q8oMHv929+r6HlUDLmxLdTYz819lBjJzW2UWMT
Ndbr2TV6dUVQYxE1FujLuWqG8WCK/pygxqqRDa+pR7n/mR7J6+uTDrosRz45
KgU5CshRuUYiRxVyVK2VRI70YEKO6lZXw2pqkKMGOWqQo+Z1ihw1WybXq2lw
qUmOmiJHTXLUEDmqk6M6Oap1VUGOKuSobHgp6Om+xY58w0tFsSPvltA8N8QZ
gwECj3LD4DG8VFw6hccoNRo1YySPcZLH+JA8JplfpphfpsFjhvllVgoP88tc
eBSZXxY0hkczTdgyuf7y9tJGZw3aHRw3gQMe6+CxAR4b4bEJHlvgsXXMX/HY
PUviKJI44HEAHnfA4y54HITH3fA4tBcUB8BxJzgOxdH94cVl95tZ7gXHIXAc
PAEQcNwOjgPg2AeOveaVXadLXzZj6wV3n7wfZrSGGyu5sVzYKGHHQnbMfz6Y
YUya8go3uTHuNT8adgw3owxmx4Dk1R3RzdLGTezoxo5OzGjLjFa8uI4XjVV9
ZtRmRg1VhRv53Mj9ih+q/NdxmTLfC378gB/JAYyq+rGQF/VY0Vg116OtVTtW
dFLd9O1Nqrc+7q+nh6iR+nt86PeZPJirFqgStVytURujf4q3qV3RP8f7ol+l
r3vY6RHfP6QecdnjrnfW6VPqOfWS81PXe8vX77rsI/W5+sp9/UD92Dp+bI0/
CWv/B378JPpIvaNec9mL6hJPzrPkSY6c5MhxjhwNB0nu4sh+aWSX7W5Nn/cJ
Pz7ix4f8eJ8f7/LjHX68FY2XQkYxZIgU0l8KufmbQwbPRu0kkJYMaRqfixow
sLbHUiN92SPmlRPmlWMC5lGB4P7QtXeXi+I7zSsHzCt7zSu7zCs77PO36NqN
unVtsGOZ/XqJzizWmfPUTN051VAwSY1To5okGP3tk8fj9ItL0uelPsHhMiLh
eOnfAZL65Uw+LCbJ7lfiUWA5lQMeVeBRNeBRDR7Vw8tYawQ8alpSTXgUwqMQ
HoXwKIRHYXgJayE8CuFRKHLUhEdNeNQQOWrAo3p31SMAAo/KZpYCeFQys+TD
o6LokSd65A68PNd0pYf4MYIeI0vFpdJ6uGSs+DFO/JiQlbTJZHPLFHPLtMpB
j5p20fSYh/n5KT3MLYvMLSXh6MfydtqyU6LHWnqso8cGemykxyZ6bKbHVnps
o8eOCclt9tBjHz1uo8ft9LhzFT3Wk2OLuEGPe0SAe+lx311xdORwHB0NrzM7
So777dLuJcdhctz9qNuR4w5yHHgiUQOEu85JIOfdJTm2SBwbwzM1V5NjxbMJ
GFwqMqHMeVn4AMc0cEwCx3iBYzQ4RhhRhoBjYPLyjqi3EeUmgaM7ODpDox0s
WqvmsGgCiwaqDjBqwqKqqiRsVPgaHl/Hpcp/Hx4/CHgkf/ioBI1qmrEWLOqB
orFqrkFbg6K96qy6w6Knxu2jBmjkYWq05p6g0oO5hi9SC9UStVKtg8RmtSP6
tZHlNyF4/Ca+Tz3gvBPqMZefVhfUM+oF572qUtd91+mHzvtMfWV731c/cX//
YC0/DQdHfiZA/Sz6Qn3kvHfV6y5/UT3juhcg8iRETkLkOHgSPL7n5/01PL6K
kg/C+CLaAJHVgsgyIWcRRIoEkZmCyBSAjBNERggigwWRW6yt5zd4PB+1seYW
AGls/fUAWBg/mXpSrstOGlce0drH/QocC+PKfcaVw+A4CI7bwbEfHHvAcauO
3aZTN+vQ9eG9bVYIG0uAsVBXFqnZOnOazpysxjdNrjPCcDAk+Tr9bjzpX7lE
jrKpP8a8tn379j8WFBSk9LgSj/T10p9WHSU73Up/w0UVXFQNXFTDRfXa3+ai
ZuCi0KJqWUQtXNTCRS1c1Apc1MJFLVzUwkUtVBTKGTVxUVPOqIGLGuGVZ9Xk
jKq4qCxnFOCi4BZk4KLiAJPUQGQMTq6XOfTyGwl1jMuMQsboUsKGc8b64Y4X
OibotUkhdEw1sUwXOmb6x5hN87m1NJiJZb65svgyGeFQx4q2JpWO9ujdcHEj
Lm7Wo8jYhIzNyNiKjG3I2I6MnYGMvcjY75fgwELtvjQh4yAyDiHjnh2oQMb9
yDiCjKMmlQfCBzs/iIujuLjflHIvLg7j4u5TycOi3m1nSHRWnsHFrcLGDlxs
xcXmy2/ia/BZbjgpeVHg4MV8XszlxSxeTBcyJvNigpAxhhcjDSdDeTGIFf0/
DIc7hIwevOjMivaMuJ4RLfjQVDVkRF1GFKpqwkWBYJ+nsn/AjB/GZcr+KJiR
/NWjQP9VU7U4UZ8PTVQLfXk9H9qrLqoHI3rp175qkN4drsbo5Un6enro8QVO
F6tlajUXNqit0W8NK79LX36H00PqiHrI+Y+qJ1znnHpaPef7l9UbKnX9D51+
qr7jsu+rn9juz93nz63lF2FQ+kcD1y+Y8YvoY+e/q15XLzHkGX5cYMdpt3uM
HcfZcZQdybD5/Sh55t3XAsdXzPiSGV8w47NoofAxjxsz3P8k4WMsu4ZzY6Dw
0dfako81T7nxYnQ9N67jRiNhqQ43anCjMjfygxtZ8cPmh/C5XPERg8q9BpVD
BpU7DSoHeLGPF7u06g4tuiV4sVZLrtKSS7XkIibMV3O05nStOUVNCO/bOdLp
0OTrb33U5LWGkqvOK4kdybPZC7hR+bIb1RM3qnGjenCjBjdqhA+UTLlRaJG1
ghu1LaR2C8WNOq1VeOVqbW7U5kZtbtRiRi0Ro5AbhSJGzeBGdW5UEzGqcqMK
Nypzo5KIkc+NioPYEdzIEjMyhxtYRobk0UbC8NV4SWOinpsUksZUSWO6pDGz
CjIkjbmFCRkLzCkLG5pPmsTREiPaslZh991BwugaR+tvwEUvXPTVp8jYgoxt
yNiOjB3IuBUZu6ckt7kNGbcHMu5Cxt3rELAZBci4HxlHkPEAMh70+3bsSBw9
dCywgYujuLj/ZCAQd3c/iR1e3M6L/bzYy4tdFxMmwniz7nnLxMUKXCxFxWJU
FKOiSLSYjYoZosUUXEwULcbiYpR5ZBguBosW/T8OxznMIjeIFV1w0QET12Oi
BSKaIqKhqouIQnGimiqQ5fMwka3K/VjM+ElcrlRyZLMCJgq0X3VVGxMN8NBU
S7ZQbfDQQXXBww3qZu3aT9sOViO18Dg1WUvPDC1ejIIlaoVaqzZFv4+3q13R
H9KX3+X0XvWgelidctkZ17uonlEv+v419ZbL3g+3+dLp95z3Y/Uz1/ml+/xl
mGH+CXn/hIxfRl+qj9V7CHlDvYSQZ9UFfJx2u8fwcQIfR/GRvPnRjwIZ30fG
96L18XejVWhago1ikWMOqqaLHBOxMVrkGCZyDBA5eltb8vqR18wnCRvNUNfQ
+mtjo3p8PirwmCpgIzuwkXToQ2aTB3BxPy4O4+IgLu7AxX7duUdn7gxcbBIt
1uvE1ZhYphMX68QFaq69+EwdOTUcbxzrdKTuHKoGtrjiiR//UyySZ7IXVE6w
qGI5Vf8GixoBi5qwKKwfQkSjBIvalljH8upYQl1LqQuLugGLuu0VLOrAog4s
asOiloBRCxaFsCgMrzKrAYvqoKhqHqkCi8qwqCRg5MMib0hynRxQZI2I4oyR
UVxudBSXGRPFpcaWCh+OoPunVdA2pJ5lHplTzRxiHplvHimmxCLzyOLGWq2Z
vXTLK5ToQokehOhJhz726P0JQYntlNhBiZ2U2DXeHBKUOJBSolh3LxEqVgoV
lLiHEvdR4shuQtxGBEoco8RDlDgRXj12/NEEB4u93whyDyAOnbYJQNxxLgQI
iO265C6ftYTk0wOiDXRYI0ysIsQyQpQQYqEwMZ8QcwgxU5iYSohJwsQ4QowW
JoYTYogwMeDTcDSDEDcKE10J0ZEObajQUjWjQiMq1FO1qFD9x3FUWVUUIrLJ
UO4f4tKlfxpQGx/nkaEyGWqoOmRoQIWmurClakuFjqorFW7Unb1VfyIMVaN0
7Hg1VffOCh29yOkytUqtj/5oEPmjQeRf0pfd7vSQul89pE6qJ1x+Tj3t+s87
fUW9od512Ufhdl87/ZH6mfP/Sf0qhJRfW++vDE+/ir6vvoz/OfpEvec6b6qX
1bPUuEiMM7R4jBYnbOOoOkyM5Jl8P4522vYWQ8o6UqwkRYmQMZ9Ms0kxVciY
IGSMspYhpOhPiuSDjd+OOllnG1K0SEvxgoZ7LqoVXzKIXBQqzuvXM1Fm+BnX
ih81hJwwhBwzhBwlxL2EOKQt79SSB7TjvjrCRWi/LVpvg7Zbo1aQoUT7Fat5
WnBWyPmTnI7TjqO041CnA33fr+W1pUj+UhKeu/Htixqm/p88u7NFXNM6Cv+G
gtrWUydQUDdQUM991nPf9cILT+t1VCioi4I6MkMdFNTGQO0bbSNQUBMFNVBQ
HQXVzBpVZIYCFFSSGSqiIG9Ycr1sDGSOkh1QUHZsFJceh4PxZo+JZeJSk/TZ
5IwkU6ReBWLcmGPcmGfcmG/cKK6biFDSKIgQjlCsaW/H3FnbdSeCXLilt1bs
R4NBNCDCTiLsIsJuIuwNItw+VwsT4S4i3E2Ew0S4d5M23y4XEOFBIjxEhON2
OieI8PBD30jwkAnjQRocfQIgNLjnTPIpwqlj8XdchI0RYx8R9jwjqhBhu8yw
NTy3cx0NVtNghbywhAiLaLBAXphLg1nywjQiTJYXxhNhjLwwgghD5YWBn4fD
FES4UV7oJid0pEFbCrSiwHUEaKzqU6A2BWqoKsb5iir7Z1RIYnq5UslxyTwS
VCZBDQrUUQ0p0IwCrVQ7CnQiQDd1k27sowZSYJguHqMm6tJpao6uXRC6eHn0
p3iN2qi2Rn9On7ff6Z3qHvWAOqFOqTOuc1E967YvOX1Nve38D9Rn4bY/jP5V
F/9Zh/85/o3LfxsE+q11/4YKv4l+oL5DiU/U++pNSryinqPERXWGEKfc/gQh
jhLiMCESFX4a7ZAlNpFhrftZLkcsplARHWbJEVPkiHHWMVKOGCxH9JMjeoVD
Jx1kiNZkuC6twktRXTLU9DiqkCHPY8qiXbn4TBgzHjNmPEKE40R4gAj3E+Ew
EQ4S4Q6duD904U55Yavu26j71qqVOnCpjl+oinTi7LBTnqwbx0vxo9TQNlE8
yPn9XKf3fyFDrWvLkDydPHmle5WqSXaoVkMDW14N2aFm7csfatQkrgeq+u6m
vuXUd9f1Awz1wVAfDPXBUA8MdcFQBwx1wFDbMFG7VzjOCYYa8kF1MFQFQxX5
oAAMlYbCIcCQC4YsKGTIB+XAUGY8GCZchqGsWC2hT81M2mBmXpg85IQFpoqF
porF9bUUGZY11V7hQMSadlquk2mim0lC/NsK+O23UGGg1hxKBTLsJsMeMuyb
/FcZ7iTDQTIcWqG912pzMhwhwwO7kw9/cOePUuAEBR56IuSA465qaLjb0HAX
Ae54mgQE2CcX7CbATgJseynkAwKsJcBKeWApARYToJgA8wgwWx6YToAp8sAE
AoyVB0YSYJg8MNjE0D959nZ0EwG6ywKdCNBO57fW+c11fRMd30DV0fU1dX0V
VfEXFEg6v3TpX1Lgn+KskMQr6/waur6Orm+omun6Vjq+neqs67vrvF7qFh0/
SI3QtWPVJF05Q83VoQt1a2pbK52uU5uifzM9/Fv6vANO71b3qWPqUfWEOq8u
ue4L6hX1pnrPeR+rL6O/6Mq/hAMLf9Hdf4l/H+7j99b3ewr8Pvpp/DsK/C76
Sn1KhvfVW1R4RT2nnnK7M0Q4RYMT6igRDodtJm8s8LNoo8lijZywjAYL5YR5
csIMEkyWE8Zax3A5YRAJ+qav/1HU1XTTzjTRigRN49fDEyVfMj08b3p41vTw
tJa6EFrtdPJeWPFJApzIlw8IcIQA94rnhwhwZxBgr/3vLi22TYtt0tHr1Cqt
tkyHL1Lz2yTXmyGWTxHLJ6hRaigJBmnFfq7Tp3XCTvb/TIHkxanJG1BVs7Tq
lwUoTAsQF5oeaokMtS21TnjPiroiQz1o1b8uNGGTuKEVNrSaBuHFow06KyjU
h0I9Q0M9KNSVFOpAoU54qVgtSaEQCjUMDdUlhapAqCwpFAAhf3hynQqSQg4U
soBQXlIoC4XSE9Wk0nGpyWXjUlPtj6dlBBQMErMNEnMNEkVVw3M0fL1cQl8J
hNXhMMP6jkDoCoQbgMD2Hf51bx0AgyE6dQQMgLAXCPuBcGBGcpu7FujskjC0
MOCh/br/zjh6xG/Uo+LBSfv+xx5NIADDQ2dEBEPCESDcB4R7gHA3EO4Cwu1A
2A+EPS+4WyBsD0/d3iQOrAPCKiAsNyCUAGGhOFAEhDniwAwgTBUHJgJhnDgw
CgjDgTDEgDAgeepD1BMIPcSBzkBoD4PWEGiumkCgAQTqqJogqPJLKCR/ZShV
/p+h8M9x+VK/irPDEcQqmqymqguBRhC4TrWGQHvVBQI3AOBm1Q8AQ9RICIzX
oFPUTA1cpBaFBl4d/bth4d/jLSr1/b7oP8SC/4gP+/6oOq4eU2fURfWs272k
Xlfv+P5D9bnrf61+rFLb+FX0vwDwH/G/hPv4F2v9ozjzRyj8Mfph/Aco/AEK
v48+UG+pVyHxvHpKnQXFKUCcAMRRdTgckkhQ+EW0AQyrxISlYkIxGOaICdOB
NNEaxoBhmJgwQEzok77+J4aFDw0L7wvY72iFN6N61l4YYMgHQ078TPKxHvGF
MlF8NjOKn0zeZiJ+BAjH7Xcf0G33A+FwA/EgvFZ7HxB2g2A7CDZr8PVabLVa
ruFL2iXXmWvfO1OrTVXj1Sj742FgGOTy/mEf3dPte7SMrmVD4RU2pDsmESE5
clrd2mrQoKb1FdKgljXWpkEd66xLg7rh05rr06CBCNNQfGlozY2uD7NRs7hR
EKGh5TUkQkMiNCBCfRGhHhHqiQh1gwh1iFBLRCgkQk0iVCNCVRGhMhEKRlBh
ZIgKIkI2ETJpUG6CqJAWoVRcekqZRITpyY87mpWrdeA2r5IBooqoUF1LGSRK
DBJLGyTHeVI/j92DtePwy70dpYPPPcu17hotvNFuf1scHdtlGNhnEND1jx5O
Oj285/5jTh8xCJzQ8Q+dc3Udf8QgcJ+OP2wQOKjj7zAIHNDx+3T8bh2/M/lU
jGiLbt9g979Gx6+w+1+i4xfZ/c/X8XPt/mfq+Gl2/5N0/HgdP8buf4SOH/q1
oSB5wkLUS8f3sPvvYrffXrdfr8tb6PKmqqFOr6vTa6oqyS6/VM6v49IZv47L
lPm1rv+Nrv9t6Prf6/o/6Po/6Po/6vo/6vp/0fV/iruqG1UfnT5Alw/V4aPV
BB04Vc3WpfNVSejQtTp0o0p9vTv6v+Lb1EF1n/MeVI+oJ9Q5dUm9oF5127ec
vqc+Ud9x/R+on0b/W3f+7/S2/hRO/2wtf6bTn3T9n6KfqR9S4LvqM/UBBd5W
r1LgBfU0Ac46PeX0OAGOpLfxm+h2kuwWDbaGWLDSkFCi+xeIBbNpM03nT7CG
UWLBULEgecPdL6LuBoQOokprnX+d9TbS+XV1fo10179if/qiYeD58DfKiwaB
czniQHhj7JO66oSOOqabjuike0PH36l7btOte3T5TrVFB2/QyWvUivBa7AVa
aF7XKJ6ljaao8b4epbWG6fxB4Tp93K4nMXrYVtek8zO++Rtl8nnwlwn4Vvv/
jQxN0/9Pf1hpXEMsKLTkWhCobdl1IFBXJKgHgXoQqB8+SbkhBBp5GI0g0NgS
GnsYjdtdfoLC9XEjy21k2Q0J0JAADeSB+gSo11v1CQoQoJYhodCQUEMeqKb7
q8gDlXV/pVHJdfJ0f448kEWADN1fdhIFJlNgqlwwTS6YoY9nhmFhrlwwD2jz
ZYHiatqrJgEMDEsNDMsNDCsNDKvDoYQNBoZNBoYt3aX1m7Rpb7mgX/KTg8m+
UXF02zidPElHT09ucvd8Xb44ju4Fxv2r4+joBvt+v1EP3frNKzcfOxpHp8wH
T4SP/3kcFidh8QgsTsDiGCweEBGOwOJeWByCxV2wuN3MsB8We2GxSzzY8WaI
CqLBOlisEg2WwWKxaLAAFvNgMQsW02ExRTSYAIuxosFIWAz7fhwNSp6kEN0M
ixtg0VUs6ACLNpBoCYhmgGik6v0KGEkUiPJhkfubuEzmb+NyZX8XZ5T6HTB+
H8D4IzD+BRj/Aow/AePPwPhz3EF1831Pp31hMRAUwyExBhATNfl0zT1HFWvu
JWplaOrN0f+d5GGnd6hD6ojLjquT6rS6qJ5VL6s33PYdpx+pL1z3e+on0X9q
5P/U3P+Z/KsNi//irv7NUv6NF/9m7PlXXvxr9CN+fFd9zo4PmfGOeo0ZKS8u
OT3r+8fUcV8nXvwuOiA57JIYtoTEsCL+ZbRYYihixixOTXH34yWGkcwYLDEk
H9z+HWPDF8aGT6OWzGgaf2BseM/k+rax4U0NljLj5TCJP2tkeDpLUsiTFKSD
J8NHDD8ihx9nxQPBisOa7C79fUCv7+XDrWqbXe0mBqyVClZ0Ta5XrNGKhO9Z
aoqvx5vQR7lsWOfk8v6u38ftetnODZq1i8btkPxRIusqJtT877ionD6v5mUu
av09F/Vx0SBw0QgXjd1bY/faxKNpYgVNPJKmVtW042U2usSNrbwRLhrioiEu
GuCifnjpaF1hoQ4uauGiEBc1cFFNWKiCi8qjk+tUREUFVOQIC5m4KI+KslNS
XAgN04WGGULDrDBGzNXnRRU1VAEuquKiBi6EhqX1cNEQF8aJNeH4woa2mtE4
sdU4sd04sdM4sesWYWIgK4ZqXl4c4MXtvLhzWnKbQ0XCxSLpYJmGXx0OHhg9
TggXj9wBBnn0lN+4J4DxZHg3iSfNE4/D4qR54hFYnIDFMVgcNU/cB4vDsLgb
FnfC4gAs9sNiDyxuDW+Tv0Wq2ACLNVLFClgsAUWxOaIIFrOlihmwmCpVTITF
OKliFCyG/zCOBksW/ZJnJ0Q3wqKbRNERFG0h0RIQzVSj3wAjSRBRVaf5vwXG
7+KyWX+Iy5f7AzD+EOeAIj8cKizUifWg0Fg1B8P1qqOvuzu/l9N+vh8MixGw
GAeLybp3pkafp8kXavBlavXl5p4T74r+n3i/ukvdqx5QD+v/x9VZ9bR6Qb2q
3lLvq0/VV673Q/Wz6P8IAP9HMPh/oZB+ZmD8H+7y3y3l3zn3l+hX0Pi5+rHL
v06D8efoI2i8o14HxIvqkq/POv8xdTyMJHeD4zbbvRUcW3iUvAL9n6NF4JjH
qJnCxmRojBU2Rggbyaewfz+60ZjRGRptoNHcWhvzrR40CuN3o6rQyOde9l+f
MGWceMY48VSlKD5vgD+t7R4Pzys6AYtj4UkK92ivg1rrds2+T3vtUttBsUmg
WBc+JWOJFlsokxdps1lOp/h+PDhGh8sHQ6O/2/QVNnq5fQ9odLbdDkJG2+bX
RCM8Typ5AnfeP/70pz99a/r06elPUHSa+gTF1CWp52X+okGDBqmvP3/jjTc+
GDZs2FvHjh17feXKld/75JNPyl1ly8n7ASfPDiusmXhThzd1/QDq8aY+MRvw
piFvGoVneDXhTRMLbmrhTXnT1A+lmQfTzANrGlRs2v3yE6Pax439MBoZUBoy
p0Ewpz5z6hpQ6hhQajGnJnOq86aqeFLFcFIwNsQU3uTyJls8yWBOualiyjTu
TBdTZoops8KgMi9HLxpUFohbCw0qiw0qJYXMEVNWNLCjb6x3m9nph7+Bbu7A
nC7M6cGcnszpq98HJObcNpIBY+WTiTyYavqYFUeX34FyjpyxHh12YMd3mmWQ
8yhyHruCnNPIORMGmydxc0o+OYmbhw0zD+HmQdwcwc29uDmEm4O4uQM3t+Fm
H252J+/UEG2TSzbhZp1csgo3y1CzSC6Zj5u5cslM3EyTSybhZjxuRuNmBG6G
4KZ/8kTE6CbcdMdNJ3mkLWpa4eW638VR4+RvhFGhHFLV1/m/i0tX+ENcLvuP
cUb5f4kzS/8JOX9Gzr8Gcv4NOX9Bzr8j59/jNr7u5LweLu/ttL/vhzp/FG7G
6/2puJmFmyLULGbFck6sZURqWzsYsUfdru5W96uH1EmXP6kuqGfVS+oN9a76
WH3pOt9X/+C395fqt+pPUXz5t+x/ucv/sJz/MHv9O3L+Ev1C/Rg738POF+pj
tLzrJm+ol3x9yXlnXP6Y6z0UZqKDLtuPnltlmM3oWRPmnGJzzlzsTHfXk+SV
MdgbZinJZ/b+MOphaR3NN62x0yz+PGqInTrYqYGdyh5CBXQme8f0EyfMMs+Z
ZS5VkVN03Vnd9qQ9+2NNvnnB+1HZ/z6NdbfGuoMW+zXXbtJsJ8nm8GyjlRpr
qZ35Is1VpGb6eorzxt+YXD7cdYeYFQaIK301Zk/b6WabnW27g8DQtkVyd5n/
HTnl3hs1atS3PiN6xIgR4flZGSlaUl+9c/Lkya8//vjj1Ne/+uUvf/mDNm3a
RFczJ/notWrp82rBto6RqC5z6tUL3vhJNGyceNM4vFVGM940400z3jT7/yg7
C/Aozq4Nz1rcgeASNISEhBDc3d3daXEp7lqsuLsXdytWihVaoIK1pRQpheJQ
XJKc/555303SfvT7r4/relib3Z2dvM99njPKTwhnsYSzSML1sal5+Kl5WCx5
SiddKSYn3VAOcJO9skYOuMkCbjLX4mvphtKDm7TEmzSgJnVjNU0QqAkANb6g
xpt44wlqnG0YZG2JOe2JOR1cGjc++JCuqCtdUTciWw9+Ti+6oj6ZwA0xpz9d
0UC6oiG6KxoRC24Kgxu6ovF0RRMq0JPQDE8htkytS7yxcJN0Umxjfjdaod7E
k37wYjDcgDcr4c3qFLxZD282wpvN8GaL5s1mWLMB1qyDNWtgzUpYswzWLIE1
C2HNPFgzB9bMhDXTYc1nsGaSOtuVMZZYMxLWDCXWDIQ1n8CansSarrCmM7Gm
PaxpA2ta0AM1hTUNr9IXwZpasKaq2jpqlIE1JWBNYSJNAVgTBV/yqi2PRlZu
M6A0KPiROPwfw5un4uX5TLwdz8QPjgTp1ZEZ4EhWlBOWRHAbA1sK81pJpqnA
bTUe1+b5hrzeDOO3hjUdYU0XWNMT1vTTrBmp88gUbmeieWgJWoXWMSK3oF3o
C/QlOo6+Qd+jy+gq+h3dRY/RC36GGzhv+M7XzM8rotkr4y7QucXrv6Gfgcp5
dBbAnAIqR9FBHu/itc1Mp8609dJYwOOZTDOF18cBnuF8xwDA08t6/b7Rge9t
Td5pCnQakHfU5VavG2WYr6JApwDQyQd0csHGbEAno5zDVmfIN6fJN1/rlSdW
c0QztJ9maA/N0E7stg2bbaakr89ruK8QsRRXLcRRc9EMXPUZ4JiAo8bq3ROG
UL37Y6k+WKo76sz9djzXUq96bMh0dQFPTd5TFTdWADql+KxixKXCMYZ71Ukk
aSqvChIf5E7av3HnSXBw8ONHjx6Zj54+efLkr8DAQPdh9C/5Z77VjD0fvIB0
hP5A87lMGTVjIG22bJox5JqcLIRcmjHhMCYcxoTDmLwsjbwwJi+/IIKlEaEP
RAvn14XzS8PBbJ5y7oyTV3JqyITRQ2UDMlmATGYgkxHIpCPPhAKZNE3UNMFA
JhDA+AMYH/KMF5DxADKOdoCmPbmmI3+4TjrXdCHXdKWX6k4v1ZOc1oteqg+9
1CdZgAy91EB6qSG6lxpBLzW6EEYuBmRKAZnymJsOekoNIFNH72LB67NaAoF2
6j0LuhJGGHBLAM0yQLMiBWjWApp1cwAKoNm0XIFmqwbNVnqoTUBmPZD5HMis
BjIrD/IZQGYxkFkIZOYBmdlAZiaQmQZkPiPMTDqjww2QGQ5gBhNm+gOZ3oSZ
7kDmYwDTkTDTFsi0JMw0AzKNr9FPAZnaQKYagaaS2u5ilAQyRQgvsQ/132EC
wYYeKSvK8BjQPBZb8BNxBDwVD99n4uX1XHycL8TP9hLQvJJQvXY1GwDJhfLx
uABgKQJgSqGK3K/BdHV5vhGvt8DwbYFMJyDTDcj0BjL9NWBG69t/hpo1DMeN
aDvagw6io+hrdA5dQFfQDXQHPUTPDLV28Q23bzTI3jA/rwHNa+MesLkFPK6h
nwHIBcByDp3ifce4Pcjzu5hmM9Ou1c3YPDSD5yfz+limGwZsBpByFGgeGu2B
TStSThNSTj1Sjrq83k0aqWs0UldppK4wxn+ikbpkZAE26YFNKubfX77VqeaE
pyFH/RVsDtJE7cNvu6nn26njW2hsNuods1bpjRmL8NRcPDWzhCFT8dNEoss4
fSq8IZUMGYCf+tAjdOe2M4/b6fNLNGWahhCnLv6ryfuq4MdyfE5JkzR67W0s
8Saa74vke8NBTa6c/46b0JS48Ui02Wxv+Wc+iuefOWkC/xyKRndu3bp1fMWK
Fa/599WkSZPMZuuDCSdCr+qxyEO+y8LSyAp9wlgi2UFvDpM8zFUu5i6Pbi/z
Qp4IyBMBeSL4JRH8onwspXyaPBH80gh+cV5+eV6WQDj8zVPRTaCckgPyhNFJ
ZaOTygJ5MtFJZYA86Yg2oU3VZ6Qi2gRBngCo4wd1fKCOZ1siTnvI08Emtk5E
nM464nQh4nQj4vSgo+pJR9Ubkvalo/qEjqp/NjEG0VEN0QfYj4zG0XRUY4tC
npKQp5xKMuZu5Q0AQBMNHb0teGEXINET6HyioTOC7gjorJkETIDO+hTQ2cIg
3qahsx3gbAE4mwDOeoCzFuCsBjgrAM4ygLMY4CwAOPMAzmyAMxPgTAM4U87p
hANwRgKboSSagQCnL4mmJ8DpCmw6k2jaAZxWJJrmAKfJDToqgFMH4FQHOJX/
1NABOEV1osn/lHSDcqJsKCMKfSq2kKfiDHgGdJ6Lt9dL8XW9En/bawkGIqF6
TW0YIMnN40jgEgtkigKb0qgS92vyXD1ea8K0LZmuHcD5COB0BwZ9NWhGcDtO
35+RItmsZBS6k83OfySbb9GP6Cf0jy7KGkR2Ezm0Nm81dN4yP2+MJ4DkPvoD
iFxHvwCSC4DnO3QaHePxAV7fxbSbNayW8ngemsb0E3l9DNMNAz79STo9+b6P
rOkeGS3kgdEY8NS1Ht82ypNySgCeOOYvCvDkkV9opX4yMslFrHqeZPM9yeas
ttvXPoYcp436Ko0Cz36K+14K+04K+jYNnHVYaTW9z3Jto3lYaBawmQpIJumV
ESOrGjKU7mAAFurDbXced66mXmsJgJoyXUPsVpf31OC9lYk5ZU3o6JUdhYBa
bLSCTr4IrMn35yJYQAfzdYsQ1hz/vakyw82jhw8f/i3cqCDj+uPGjRvH27dv
fz9t2rR3MmXKdPaLL75Q77P8HpkCMJlpobKS6bLx67MTbXJk13DJpeCSV+81
n485jAQukSyRSOASCVwi9VKJBC75WDL5+HURwCWCX5sX5IZXcQMmm+QALmHA
JVtdAANcMgGXDMAlHXAJba4+J4RIEwRY/AGLL2DxJtJ4ABdHRxMuRJuPVCY1
unpT7v2AC9GmF9GmD/1TX35PP/qnAfRPg+ifhuQhIuj+aXRs0nn9J1XC0NVI
NLXFmFEfsACX2S3EmNuGtqmjmtyEy1Lgshy4rAQuq4HLWhMu0xRcNi4kzQCX
bWvE2AFcdunzfW0HLFsAy0bAsh6wrAUsqwHLCsCyFLAsBiwLAMs8wDIbsMwA
LFPVmcCNcYBlNFAZTooZBFj6kWJ6A5bugOVjUkwHwNKGFNMCsDQFLA0BSx3A
UgOwVFbHoRqlNFjiAEn0XxSSZ2LkQtm4nxGF/gVcnokz8Ll4+L0Ub+/XwOWN
BNjfAZd3wOW99f7s3M8DPKKASEFgUgyolEGVuV+L5xrwWlOmac30HQDLxxi+
p4bJEG5HoU/RVP2cmWaWpUgz21Kkma/QKfQduoR+/c+WSSy2vOV3NUpiyzvY
8tZ4Civuo9uwwmTLFXQRXnyPvuH+UZ4/wOs79XvW8J6lPJ6LpvLaBKYZhYYw
fT++qgfhRq3VfWI0hy8NCTfq8jl3jbLwpRh8iYUv+eBLLviSFb6kp9NLBV/8
YaMK3WcIM6fpmE7SMR1LZ8iXmRRfvsBRu7WbtuCiDThoDa3OCniwpKx6fhas
mKabgfHwZBTNwFCcMwD14X43fVBHW/jSEs40JeQ0xGl1eF91nFeRzyqj1xYX
LaTZEmNIfjMe8N2586jGJStsyazPNeb5gQiS5u/rbxo0aPC39Tf16tVz90x/
PX369MioUaPU2pwPfJQFG7XfVmrJxXfnzqUYl1efQCySwBUFWaJYJlHMcxTL
JQqyROmD76MgSyTLJ5Lflw+yRPB78/K7w6slXTs9B4klDLBkAyxZAEtGeqX0
9ElpW+jkQmIJBiyBQMUfqPgAFa8OJJdOJJfOwOVjNc9GN/Jod3qmngG4j+TS
h+TyCcmlPz3TAHqmwfRMQ3MrmNAmjSssxqclxJhYRozJFWlRqpIY6LNn1AMs
jUkszTE7YFnQQX38EsCyDLCsGERiASxrxgIVwLIesGycDVQAy1bAsh2w7AQs
uzVYdgGVbUBlC1DZCFTWA5W1QGUVUFkBVJYClcVAZQFQmQtUZgOV6eoqQ8YE
oDIWoIwkqQwFKgMASl+SSk+g0pWk0gmotAMorX6nXQIqjYBKXaBSE6hUeaAX
MW1fMaASB0SiAUrEc8CCsqGMKPS52FO9ACwvxdPvNWB5I34e7yTA8R6wxEta
7docACMccOQHIHGApDhQKQdUqnC/Ns814rXmTNOG93TiPV31+wYAj2FojC1R
JqHpGiwpE8vmFInlcIrEch79gq7/Z4vEQDWpUtSiyju97fud8RePH0CIO+gG
lLiCLkGJ77k9zXNHeX0/0ymqvDdWc38JmsPzn/H6eDSSaQfxnr6QpTtk6Ux6
UbsrPDXq67apIumpFC1TEcgSA1ny0sZlhyyZgGAo8xwEWbxp8dTQPEda+TbY
kFO0R8dpCL7KqlMLLtobpYb5VpyzEfevxTErcctSqLCgStJhMpOBx/haQAW3
DEUDUG/UTe/s2ZbXWwKdpsClAXCpjdGq8jEV9DqcEkUNKYJB4zBqDFCJNNd2
RKg1rdmyqy3MmbL8e7eU+m9QsTJKu3btrO1Qbdu2NbdDufOL2TXdS5cu3cUi
RYqYOjJu3LgPtkpR1v8qFWRlqYSpFKO2W4dIBAsnUp8sKD9zHA0Oo/kF0Syo
aBATrRETzS/MD2Ly82ujQEwkvzwfiIlgSYTXSFrJlaMe3wBisjaCniAmI4hJ
rxGTBrykIrcEgZcA8OIHXrw7kl9AjOMjEzF8SledX3qQX3rRHPUOwoupKPbk
l/7pFVbof0bovmhsDP0Q1ptQnNxSmtxSgbxQBWvXpDkh9M5uBGKakVta0xRp
xCzrARL6ggYQs2Y4eAEx6yeCDRCzGcRsBTHbQcxOELMbxOzV12jce4DnwMs2
8LIFvGwEL+vAy1rwsgq8rAAvS8HLIvCyALzMBS8zaYSmXtT5BbyMJq8MAy+D
QEs/8kpv8NKdvPIReOkAXtr8QX4BL43BSz3wUotmqOojtXQhaXHoUgi6REOU
iBcQBmVDGVHaFxDmpbiCXoun/xvx8XkHYd5LoCMBwiRahMlsxKtWGIJE4+ZC
UKUEdCmPqnK/Ds815rWWTNeO6TtruvRlOA3iM0ZAlvFoCpqlCbOM1/4ZWw78
I7a41/TeStEPvdIrYd6ZW5hMyNTnbjJk3gOZd8ZDXrmDbgKMXwHGZfQDj0/z
2lGm2W9NG29sRKt5vBjN5rUpTDMWDed9A3lPb76uK+oIbFpZ73mmW6LHtEQP
aYnu0xL9iVluG7lJV1kBTXr5jdjyq+EnP+vYcp7Y8j2x5Szt0DfpiS9Y6Rjl
+kgeI2lj925alu0AZhN+WYdXVuGTZZBioT4wfbomyXiMMgqjDEX9UW+9H0hH
Xm9LE9ASCjWBNvXxVy0+o4ped1MKPxaDMoXwaGxB5dm85r4pNCJhOa39V9xr
gtPpMw1aa17+HTZpP/BStH6T+Vw2wll2fmlO2JULhoXn0vAIlmi+PAZgxMQZ
UoAfXoAZK8CPL6C3n8UAjGhmPD/AiOJHRAKMfPygCL0wctdxdz+pJAxiZIUY
mSFGBrqcdK3VNKkJJCEQIwha+EMLX2jh1dkQF8Swd4EaXXUw6ekFMQgmfQL0
Vp7+2IxQMpRuZ3hOqjvdzhi9cfrTOBJJURJJKRJJORJJZRJJDRJJHXDRkETS
FAszUBZrZCwHGStBxuqB2B1krBsjxgaQsQlkbAEZ20DGDpCxC2TsARlfaGTs
Bxd7wMVOcLENXGwGFxvBxTpwsRZcrAIXy8HFUnCxCFwsABezwcX0y3o+wcUY
ksgIcDEEVAwgifQFFz1BRReSSCdw0e4OyQRUNL0vRgNwUVu3OJXUcWpGcVhR
CMXAiHwvYcYrMcJQJpT2pThSvxZX8Fvx8n8HM+LF3zMBZiRKCP5OhyGzaGZE
wIUYzFmYFFISVlRA1blfl+ea8ForpuugedGTkdQPDbGJjIYVE9BUNIfPXKx9
nzKR7EuRSM7oROJeafvn39scKhnEwLAmLN7z3e/17rzvjUc89ye6ifGvYvzL
3H7P86eBw1eSoGGRACwSjFU8twjN4vXJaAzvG8r0/XlfL9QFaLQHGC2ROtHt
c6MK3CrLvBQFGAXknhHBvOUAGJkARhrSUyDAUKeV+MlpyEVfQ34MMeQ7+ptv
M5NK6CdOEAOOEgcOxyhg7MErOwDFZkCxHn+sxhvLMf2iumrszwAKUxome2QI
Humvt6R2IcR3BBxtAUkLoNEYYNTj/TV0b1SGzy0BLIrgyYKFlE/NNRS5VRwx
3MeKmjvLZzBPDGaeJCzdv/c7qf4/WqifnpWPCYMYOSBGLn5ynhxqc1Q+ckZU
pPtrw6QAyIgFGbHMXiyLIRZkxOoUVYDFEUMwi+an5IedUSSuSI2McBZNbn5y
Ls3LsKakquakKpCRQSMjFFykJmAEg4xAkOEHMrw/Imh8bBNHV5DRzY1IExNY
+hNCRn9CxgD6mMEZqND0MSPoY0aZyNArSCYUJGEUIWGQPqaWxaKVqO7VsSvt
79wGJIwmJIyWNDDtsbRa/WasBhlr+fx1IGMDyNgEMraAjG0gYwfI2AUy9oCM
fSBj/w4xDukrK+0HF3vAxU5wsQ1cbAYXG8HFOnCxBlysAhfLwcUScLHoEt8P
LmaqU3Iak8DFOJLFKHAxDFQMIln0Axe9QUU3ksXHJIsO4KLNQzGag4pGj9X7
atC8VFY7oxglQEUhUBGD8mGv3K9BBsr0WmxpX4OMt+IR/E68AuLFxzcBZCTS
yChkpEdZNQbygYQCoKEINi0FLiqCixrcr8dzTXmtDdN11DGiN8NpABoOMsbq
JmYGmoeWamRs+H8ixm96lesD9JfGhcvCRakkXMRrXMSDi/fGXZ7/Hf2GLvP4
e9BwShLBhTW+je1oA49X8vxCNJP3TUJjmHYI7+mHeoCNj0BGO5DRHDWw3vuS
5uUZ3/uUxvCxkR9k5AEZ2UBGeuYxFcjwAxmqwv5CrrhMrrhArviBon2WSvsN
tfxrPHNMH1prnX4df+zEG1tAxQasvgZUrNComAcWZlA+p+CH8ZTQkc3cXksv
PXmuC691BBlt8E1z/NMIXNSprt5bjs8sxWcXAxeFzBJeSK3INLfV5tRbT8xd
6DMzXxmzqKPuzPN3mCf+CUnz78gI+XdkxFj/q7OYhPGTs0OgnJAoDwEjby6G
DpEqSq8JKhCTtBYjjrmLgxZx0CJO06Igcx9LwCgALaKhRX5+VRRLJlIftRsO
JHPzy3PpPd6yQYss0CJjG/U4LaRIAylSQYogSBFAuPCFFl5dNCCGKFP0AXB9
/TBTILAIEWNgGmpyerJFZrJFGNE+F+2I3lA8MZZsQV7/rATZogzZoiLZoirZ
ohbZoh51vjHGBRZL29E2aFis7YPBgcUGYLEJWGwBFtuAxQ5gsQtY7AEW+4DF
fmBxEFgc1rA4BCi+ABR7AMUOQLEVUGwGFBsAxTpAsQZQrAIUywHFElqQ+YBi
Ni3I9Ks6Y5ApxgCKEUBiCJliAKDoS6boeZdujEzRCUi0e0Jb8lRNX49cURNV
UUfPGiUBQ2FMFcNtPpT7DbB4CyzeiC3dW3GkeSceIfHAIkF8fRPpSYCFPVFS
YfwMKBvGzK2BEQsUigKHMoCiEmatyf0GPNeM19tqUHRnEJn9yGBAMRKZ/chn
Zj+CFvJ4uYbFP7PFiX9ki5spVqG+VO9x4GqaERMYZbhrAuNtCmA8Rnd57hb6
jfuXAcJ3wOEUbz6igbENrUcreH4BmsE0k9Boph/M+/qi7nxDJ6DRBqkzy701
qmloFAcaBYFGPuYrJ9DIDDRC5Y4RBDRUgb1GtviVbPEz2eISTciPGPI7zHkG
x5ymETihNwAfKqWgsQtYbMMWG7HE5xoWS4DBPCAxg858MlYY3wpgtFKv9Wtp
JHXzHZmuNbZpioUa6MalEp9XhlxfAvsVARgFsWR+c0eOaLXTqmWxXOrgO/OQ
XPPwXPOMYOZJf1KlVWc2Nk9WauiTFlpc+C+tSAHr/0zWc9n5nJx8Xm6CRTi/
OR/BIgpARevvjQVacfq6cIXARGEwUZj5LKQvHx0HJgqCiViWRwyYiGaZ5NeY
iOA3hoOJPIA0V1PDfXa+zJoS6SFEWgiRBkKEQIjAjwy9v0cF8exGruhhwzJ2
jQpPMgVw6xeAnYKpwamxVjpQQTsyinZkDO3IOL0GY1IMmaIQmaI4lixNHa+A
PatQ02tiVXrUhcTPxS3EWAYqVupLZn0OKtaDio2gYjOo2AoqtoOKnaBiN6jY
Cyq+ABUHQMVhUHFERV/jyHFwcZLXToGLb8AFmNgKJjaDiQ1g4nMwsQZMrAQT
y8DEQjAxF0zM1PvXTyRLjAMTo8DEMLLEILJEP7JEH9qO7uSIj57q5UZOakqW
aIBqP1OoKK9sZBQBDwVQJMoNJsLo9zO9AxXvxZkmHlQkineA0IpoVNgUKjKi
MJRHo6Igt8XAQ1kwUZnbWmCiIc8115j4mBHUC/UHCUOtNkRkIprG583ldjFa
xevrNS52p8gUp43kHdTMzbi3/7FS1MPkhFHOQkS8RkSCPplAgnGPx39w+xv2
v8wbvkNfazzsRVvR52g5mo9mMN1ENIr3DEK9eX9XPrsjmGil0VObfKGO1HnN
sn1J+XxmhIOJMDCRgbyTGpT5gwmVJ254GfJboCFXQmlFKKwXsMsPWOUcNvlG
H3N7FGscpnLur6QwsR0rbAIP63SuXgIa5pGnZzD+J9OCjydTj2ynXvuE53rw
2sct3Kjwlsb6fdWwVXmyeykQUay0qtbR5Px8BdzT+lnH4mYh32TKrk72ky6z
OuGoeb5i83IJ5nVXzGuwmNdisRb3f1IhOAUwrI8taD2hLl2Qk8/LzeeG8/kR
fE8kaMxPmIjRm6zjYq31J3p+UksRE2UaEYVBRCEQEUe+iqXnKMByidGIiAQR
ESAiL4jIQ6bKSZLIrrGZWS+bdJ10ahghAV0IEl0JEt1t4gIP9l4aD335M/WD
5v1JEwNIE4NoPYaGUoFpPUbTeoyl9RifR007OZoUEUeKKMZIKUWKKE+KYCjM
q0GKqEOKaEhVb85oakuV76Tesx48bAQPm8HDVvCwHTzsBA+7wcNe8PAFeDgA
Hg6Bhy93inFU4+EYaDgCGg6Chi9Aw27QsAM0bAUNm0DDBtDwOWhYAxpWgIYl
oGE+bcZsvS/8FNDwKelhDOlhBOlhKOlhIG1GX9DQU6+N6Ehr0QarNEMNUR1U
jecqaDwUBQexKBLlQdnfi5H5vdjTx4szNBE8CEkCPHiL+LpE/LF7ao2H7Chc
4yGO2+IgoRxoqMptbR430miA5NIN9QEBA22q5RiHJqMZaD5ahtagTRoP/0wR
7t3KzDWa9/6+RlPRoUISHRIsOqjOKtG4z/0/mO43dAmdQyc1HfagLWgtWobm
oWloAhrJeweiXrz/Yz63PbfqbDDvjBoEiAoQorgmRBSEyAUhsjBbaeURZnmg
o/ZtwsPvhIfruOsqBflnCvQlHHKeTuM7CviZQmoUH4cMX+LiAxTKPTUVITZr
h69mxC+BAPNYjjPQZKriuE7qtUE87kue7g4xOjNdWxzSvEnyCoxKuKoMn1sC
OhQupVYYRuqCbR5hZx6hb567IxPFPUOYOjNgaCZ1FnPzCkzm1ZjM67v5h+jP
/FDbEfTvYSLW+l9d5T0HHUwuSJGH74ng+yKhUn6+P0aHiTjCRCHmrXARQ4om
XZkpQIpCiCIQojC/JQ5CFKSTKkA4itHhKpLAFEFwygshckPRnCyHsDaaCpUk
Ha1FGqpTCHQIgg7+DEUfCOHZ0ybO3jblgk+cEMILQgC0gYSIwYSIYfQbI+k3
xpCFxtFvfEq/MVGvnJhakPBA0Z1ZEjeWpWhXwplkyoW1CQ80pMua4dg2YqyG
EJ93Ve/ZBCG2QohtEGIHhNgFIfZAiH0QYj+EOAghvtwkxlcQ4hiEOKmvnnQM
OhyBDgehwz7osBs6bIcOW6HDJuiw4Re+Azqsgg7LoMNC6DBX770+FTpMgg7j
CQ2jCQ3D6S0GP9HDo4TYukOCzi/FaIuao0aoLqoOHSqqnUmNYhChIIqKhxAo
O8qcIPYMiRBCxIPS4OUv4u0FIZwmIQRCiGTC/TlQXmwZrUlQgvvloUM1buvo
5/hrCaNZALZ8YlPrMEehT9FndpHZ3Jp9xgq0zqb2AzPfZ4aHox8ID+YW1Ufo
efL2DgsQTkwsRhPzPveSUZEIKhL1gYhCryHGVXQRndXPHUK70Wa0Bi1Fc9FU
9CkagQagXnzOR6itDhF1+a6qfH9ZcFEExWhcZAcXGcFFGnnC8H6kdzj9kxDx
ByHiJgX5Gja5gkV+wh4XowgTekfQ0xTNE9j5KzBxEEzsq6NQsbWZRgUYWAoe
5jHmZ6DJH6vnR3B/ECG6D+oKLjqCk9Yt1Wt1KbJVa+mNHRVUYY6lz8iv9wXL
lV+dxCMLds1kno08uzrTsHlxA/PaSiHp1GUfCRFJW0LMS837BBo6vP0rMUI/
8FKc9b86+1BOPj43RMoLMfLx1VF51EGFsTpXFI5VW3+LFlXrUkqU0XPgI8UA
RlGWUhGWUiF+XRxLKlafKyQaYEQCjHzuw1PGS1h79VJGFlB6FloosEgNLIKB
RQAdsG8PYkUvYgXAsPfVsaI/sWIAsWIgsWJIEOai6xiVljhB1zGermMCXcdk
3XVMiyVOFCZOlCBOlKHUVCROVMWstSjr9YkTNKarWjO+Ooqxrot6z5YBwAJg
7AAYuwDGHoCxD2DsBxgHAcZhgHEEYBwDGCcOEHo1ME4Ci2PA4ktgcRBY7AMW
u4HFdmCxFVhsAhbrgcUaYLHiBt8PLObTYczRe6FPARYTiBHjiBGj9EqIgc/F
1veF2Hq+FNvHwKE9aomaoPqoJrCoRIdRVu0MasQBifxEg3CUA6NnTiRSCB2H
AoannwaGQySAP34aCxgCMEQiAEOMhkNJjFoBYFTXj/mrCWNXPgIE/DlkABqG
xuhuYzrAmIuWmN0G2mBTazD3ahic5PZsijjxu95AqtdemttFk4DhsoBR2YJF
QgpYSBIsfke/ogv68XF0EO1Em9BqtBjNQZ+h8Wg46o96oM7I3XHU4jsr8d0l
mYc4bqP0/GQDGOnkhRECMFTafugy5J6fIXeoy7eo09fJFFcx5y+44hKO+FEf
5/8toDiJBY5igUMM/y/IE7ubKWBsYLyvhrpLGOfzGOMz0OTuGhaM+4GoJ174
mHzRvq16viEpvCYWqkgNLl1Zn0vLR3LHqBP8ZA1XZw7NYF4dCcOGYtzUmdRF
HIPSJp1R27zUtHnZaTcivP3/tecI/HdKFLL+V0fc5YIS4XxZBF8axQxEMyMF
dKYoxMwVAZ5FgVnx4molSkl9fE8JOrHiLJ9i/J4idByFyRNxChEKCy7JR5wI
p0DlZhHkYJFl6+hmXDlJxyJKw2JLhYJYdP49+UGMSU9irrOvzhX9XSCCXDGI
P91QOo8RIdRhZnscnccEOo9JdB5TdOcxvQB5ohB5glg5tzSWrAAeqjCCalJy
6mHVJowohsvaDtj3Y/Werf2x9TDwACL2gIh9IGI/iDgIIg6DiCMg4iiIOL4L
PICI0xoRp6ltJ7/jtR/AxHm6k4u89zKfQ6exHTxsAQ8bwcPn4GEVeFgGHhaB
h3l6n/Fp4GGyO0eUFttw8DAYPPR/Kfber8TW9bXYOoCEVqgp9xtwWws8VAEP
ZdUOB0Yh0BCN8iZa55wzr65jIsKRWsRFgfD0JVcQN31SIIKSIzk1IgpoJJTm
tiIWraEfM8KlHbb/GEFrGYRGWOstRaaAhplogV11HGvNjgPtRPs1Atx5wr1P
+Z2/r7NMiQhFiCqQId4iROIHCXEFndePj6H9aAfaiFahRWg2moLGomGoH+qO
Ougupj6fX51vM9eBFOPrC6C83M+hZymUZiiAyKOixCNvQ+7jrT8py3+wzG6y
zK5Rwq/ghp90Wf+eUn+G0f81o/8YdDgMHfaToHe3Tt7+sZqhvZhhPa8XhOit
nh/H4+HoE4Z8NyplZ92JNMEqdSisVfissiT14tAnrow7xacyz/8l2cyLEORW
Fycwr4VkXlTNvDK0eaXoYH05J/Mq0ubVpP/GiQDFCS9fFSmSdxtX7Yjr+PLl
y+9myJDBvXPWr5GRkXrHrQ/io3DSBxBF8sKOfMxNftgRE65OXWBOXIR+pCj9
SHFzx3h6p9LlVECy6hJLrgRLrnhtzQrV7hWgPkUzAKNYGBEsyHC4kQtuZO+o
V1p00ZYZKqlZfiGkikCWpR/j1AtsuD5xY4PZHUi6GMzHDqN7Gkk7MoZ2ZDzt
yETakcm0I5/RjkzT7cisOIpMUexZilRRniFVmapeA9uCjZVgY01LUkV7WgWN
jW39KFJDSQVgYy/Y+AJsHAAbh8DGl2DjK7BxfDOIABunwMa3x0jD32h0gIyT
jOejIONLkHEAZOwDGbtAxnaQsRlkrP8dTNF6rKT1WHoXjOlzgcxUvjAmgotx
4GLUC7EPBRkDX5GqXou9+xuxdQITbd6KrRn3G3K/NsioCjLKqz3BjcLYPCbR
OiTJlgulxAYVw8PEBtXEB4tjAQlNgQ3+sBY2imorV9LIYOhLcxDQHnVFfW3u
XSlEJvA5U9EctAit1G3IVrQHHUYn9ef9M1W411+q/a0cbmxY1HDgaHMfLO7/
jR9i8eMR+lMz4xd9+w06ir4Q93ZSFjBaiGahyWgMGoL6oi6onX5vHT7b5FRp
vq8w8xDFvOTmNhuP1UEXb3S6eEa6eEK6eIj/7uHLO1TVW7jiejQpg6z9s94/
8QcccBYHnMbvx1mAR2DHAc2ObXBhQ3fFkMV9DZn7iXp+MvfHomGoF6936aKe
b4FNGjQ3pEZDQ8oR1ktUoRrr/a/y8cfKgwtz6vWo5knJzQsimRdhNC/lmjqL
dX1oZStfCUwLPkCIPwjxCwEfIMQHhHiDEC8Q4glCPHwM3af8nQxGMlDMazkd
Y/bNXcnNZ17w778BpUjSlhXmIQqYRDOLscxqnG5VzEP5ShRRu5OVLmtImQru
eTDpESjFCR7F6MSKNFTTF2RxFmCRRNOlRbFYI1hEeSBJLk2SrCy6TOA5fXd3
IikuQWDavw+/l/HrqVFiG8CrA0khQ0ghw2lURtGojKVRGU+jMpFGZQqNylQa
lel6S+rsgqSPIqSPkoyssqSPSli4Og1KXapVY2wNStaDko0fkRJ6qPfsGkL6
GM3IBCUHQMkhUPIlKPkKlBxbS3MCSk6Bkm8OinEGlHynL5R0BoycBiMnwMhR
MHIYjBwAI3vByC4wsg2MbAIj68HIGjCyAows0TtnZhfb9GdimwJFPoUgY9Bw
KDIYivR7I/ae0OMjKNLundhaoMaoLhSpDkUq0JuUUqstza1dtkiUG4pk+wdJ
fAghlBpvWzJJGGzCX1b4q0os9CjmPl1HemHcSkMmbYk6ou6on25PxgKOSWgG
mme2J2g12shr29EX6CubWpdhzpY7e5gbQp7o58wj2T4EEqcFkjoWRBL/BpEH
6LYGwM/6Vm07hdiSctspVQPNRJPQKDTIWp8h+rg28zgXejw+uwLfU4LvLcj3
R6Ds3M+EVBR/pwPICwLIX7juMW58wDK7yzK7HUUQwQW/6SO0LtOh/whAzgGQ
bxj5J6mdXzHSD3bQEKE4buijITIAiAxUz0/i/hjUH4j06KGea0MIaUJfWIfa
WwknlaqOk/QBtpE4Li+hJxetURghJLM+xiOdeeH4MOuC8tpB/hJs9ioEkcDQ
D1AkUFPET1PE+9/Xb+j9wp8/e/bsyKBBg6z9yF3/Dz30c3mYhbyZjKR+KYZF
V1DPclEYWIKfUqq45kZqKauvNF2a4VeKX14CFBfTO14UhiEFYUgBGBLNko2E
IXlhSB6WVs6P1DRZYEgGlmI6YkiaXoZ7x2dfiO3Vj4TbXyeSQbR7Q/njDqdK
jKKRGUsj8yl/9Ek0Mp/RyEyjkZmhG5k5NDLzCjOmSpBEyoCQiiSRahSrOjQw
jWgqWlC8qEybOzMGu6v37B6M7UcRjifQvICQwyDkCAg5CkKOg5CvQcjp3SAD
hJw7Lsb3GiHfg48z4OMUA/wE+PgKfBwGHwfAxz6alt2gYxuVdNM9EtAD9fPM
WVJbR2wzCSJTQcdE0DHulThGvRbH0DfiGPBW7L1QF7DR4b3YWqEmqB7oqIEq
gY/SKjzYYsFGFMoDOsJQBrWaw+xh3GHERAh2kLT/QEhBEFJc+5t6KlhBGjNt
a9QZ9dSrOEbAivF2tT50lu5flqO1aDOv70aH0AmbWr1hfp77sLV7KdaF/neG
mP5WDBHjJaLyGfeR2nyiOKA2roJ3Sd64uk6SN66am0/c60T76yamo35vfVQN
leU7ivKN0Xx3HuYhqxVCEowQblUIeUsIeUW1fo7/ntLeP6Ki3qd5uEMkv0Ug
uK53RfoJflxgoX0HP76FH18zyo9qfuxlRG9jGK+HFSsHJ+8wPn2IIRPR8EGG
9IYvXXvqEEJlrc/7qzZWbjLXHprP5y+tTpaRm/CTHQNmiVRXYkzv3i3bX0Iy
0b+QlYLwrhVAQv+ODm/Q4QU6PEGHB+hweeu+6L+w4x3/TjZv3vzcwYMH/5Y8
rDFczHpCHboRzrdGMAdRWbV9M0uhvMlNnKmypdROZxU0E8vpHdHK1IUaEKMk
xCiuT+ZRmN6lYCuowbLIDzEiIUZeiJFbEyMMYmSGGOlZbmlJHKlpDIP7Jp8c
zWOAms42mN81lCZmBE3MaJqYcTQxE2hiJhM4p9LETKeJmZlb2XhuDMOnEImj
ON4sTZWvwJCqSuKoTeJoyBBrTuJoS+Lgb7i9m3rPnkEkjpFY/VMsPxVcgIyj
IOP4MhoUkHF6C40LyDh7CEyAjB81Ms5fYhiDizPg4jS4OAkujt5kSIOLg+Di
C1Cx64F7NY/x+VNm4xkhSJ3Ixz6HnmU6yJgCKj5FY96Ic/hbcQx6J44+78Te
7b3YO4GK1vFia4oaJIitZqK5IlFsZZUN7XH8GfODinCUHWVMRoZniv4lGDun
sylk0DYLFVTitJXL69u6vN4UtU25yoP3jrKr3mWa7l0Wm70LWo+2oX1MdwSd
Qt/b1OoO8/PcqzvM+68N+Vdk2C1k5MDKZv8iFjokCR2P0V29/uOqtr/a8srf
Sv6+5dXcnOJeQ2qu/xiq+5eu+n3NUF0x17PAXDHX/SUakXxnTh090nA/EHnq
IZhVXuO5F5TxZ1npZfIQQehd7lI3/9CHSfxWjT6mtiEXwcYP2P0sw/0U2DjW
VaODyrcNPKwfCjpGGLJ4hLLSNG4/HWnIIF7rqXuaNgTxRlikBoW2bD0jaT+m
aPPQUPP8XebpjQuq66iZF29Nl9u9TsTP4kYQ3AhkXgPghj+Rww9u+MINn//k
hvpop7i8DHF6KhnGBw9C05entS5szb/rV65c+TNjxoyaI2mSOFIiBUfyMif5
aJXzZ9PpIrMUY8GVMs/syA8pT9dSUZ9foAILsII+7rcs/CjNQiyp+VEUfhRm
gcaRxwq04+NYsPngR7jmRw74kRV+ZIQd6WBHKAxORZYLZKH79ncvwPxEeaLH
MGZtJJ3LGDqX8XQuE+lcptC5TKNzmUHnMovOZY7uXBbQuSwqCjtKMabKE2ur
EDdqYeAGxNxmRIA2lKtOYuzQ/Ng7kLgxAs+Px/ufER3gx3H4cRJ+nPqcbgV+
nIUf38GPH+DHhTNiXDqvGQI7vmdgn73OdLDjJOw4Bju+vKdmn8Zp52OGOOzY
ADvWwI4VaocL+7yX4phJ1JhKzJgEO8a9Feeod+Ic/F4cn6Ae8WL/CLWFG80T
xdYQ1YYdVfmTlUMllDcd0TAjAuVAmWBHaPKWFXO1qR/dbQg+T4+y4e88KL/2
NX9NqaDv17f9Y90H0w9Go1O0LPPRUrQGbUK70EGmPY7OoAs2td7D/Lz76tZp
gcOZcm2piQ2LGnYTGiSBZGQ8F7XK4w66qW1/Ud+ekOQtsO6NKuYq01m6Wxmt
u5XeKbqVxqgWqijmkSvmbgiJRl6+Oox5SGcljQSdNOKdhrz3UyPzFXZ8QVfw
Vz4SB6P+HtHsjt5YcA1c/AIuLjHSf2R0n2NUn9arLw4xcveQMLYON2TdKJAx
Jrn6fjbWkJFgo+8g9VwHqmazzobUxh0V9JElhaqqwy8iy+AS87TG5nXVoq3r
PCd1JmlIQKnAWUhmvZqUou8PMvxAhi/I8AEZ3iDDC2R4+lvISEIRceNvzHB6
MHw8UqxK/Qc81GkQXb9euHDhTNWqVc1HZifzLCAgwEhJkH+8rYRaB2KSo7bE
ZDMklmVZSO/Obp4XtkwRKEKaqsjYq6z7lkpQpKLe07Usy6OMPrFPCXqWoiSQ
wiynOCgSw/KOgiL5oEi4Xu7ZoUgWKJIBgqSFIGlAcjB/C38SiA/dosdgNZ0x
jCUxkiQyliTyaQDDhublM5qX6TQvM2leZucggejmZWEsCaQIBClJAqH8r4Qi
a2qSQOqTQJrStLSmoSDR7qQ87emt3nNgOEN0HAlkChSYxZCFIl9DkW+gyBko
cm4PBIEi509AECjys75e02VS9QUI8gNj/twfTH/HTQ/bkcdiO/hUbHvRDpqV
zRBk3WtG/xuxLXujCDDntTinQ5ApEORTCDLmvTiHxoujP+qVIPaPUXvo0RLh
CFsd6EH+tlfgz1RKudVZAHLkQzlR5r9TxBuK+PP3To0yQpMwFG5X7yuM40uj
Sjb12L3iowPqxjSfoKF2teLD3OgyGy3k/Su4XacTyF70Jfqa93yHLqNrNmuD
i7UYrNShjj5zuvlhRY0khJgrJUyEvEZ/iVrhcUcjwNyJI+V22QOitrqYa03d
Kzymi9rXy70DRw89fQvdrFQXc69T83B865grIzffmpmvNxNHgJk4FEKw1nt9
HYc3YWCEIf+M4f6EpuGB3svxFg3FdfDxK0H7J4b2eYbzOYbxab1V5RANyR4w
sRV0fD5ePbdogiGzJiiMDBmhkcIwb0kBrcf7K+tT1BSuoY7FiCqvzuZnXlYl
i3lJeH0IflqiY5oc4IN5CyFKBmVU+DBfs/CRSuMjyMKHTicOazWpRgd/C8DB
n8GNDoe6jFXyDuX6hGLmOcaOdu/e3TyZ2FcDBgw4tmDBgv/GjKLJzMilQghM
iySI5GdGCzDDcbTKRXQ3U7qgOjVaJZhcRXcyVWqqTU6V9FUgyjWDIXrBlIAf
xehgChPPCtLdxcCPKPgRofmRExZngx+Z4Ed6Fmwo/EjVnwUEP/zgtddgQ2/l
Nq/nSgKZRAczlQ5mRjrKDx3MHDqYebqDWUQHs4QOZhkdzArK/6rKpFu4sR5u
bIIbW1rRuXSgs+hC8lCnqTMODiMxjCV5TGaMziRFLKAjWQ4z4Ma5rXABbpyH
G5fgxs9w44rmxtUbYvz0u/5DVYQbD8R28qHYjj0R+5G/xH7gmdj3PBPb9pdi
2wgs1r4T20q1+cQxD1jMQlPfiWvSe3GNi6d9SRDnwATal0RxdE0Ue0cg0Ro1
5W9TD9VAlFJnaWV2VyygiAQUuVAWlBZgmHuBaWgE0r6kobBkQjmc6j0FGCBF
MXtZbquiOg71fGue64x6oP5ouF7TYW5ymcs0i9EqtJHHO9EBdAx9i86bsQP9
blNrOQy1hsNlwsLxj7RRWaPCXDdqrtd4aDUoyu4pN9C6N7CY60bNncbN3ULd
+3qNE7Vx9hPUTU/fRMx1r+rzVXNinV7Gaowy8PXB3KqkkUDSiCdpvMdy7/XZ
2F9j0RdU+6f05w91tr7NSL4BJq6CiZ+x+QVG63caE8doSA6SMHaTKraAhs8n
qecXTDFkJho9TuGiCyO4DSO7IaO9mj6gwtzFIbaaOplEHqpw9qLWBZ3dG07S
Qq00mC0VQSOE4h1E0AjIkBwyzI/whhJeQUZSI2IGDQ/3Og0fExJemhQeSZRw
S7tek/0/SeDz75AolAQJRRK1030ETVMUKIthWRZkpgvnTjqxV1kWaQVIWIWf
Wk2vxqnGz69aD1DolaPl9UkySrF4ShAwigGJwkAilnAW/TEfrXvBPEAiB4s/
K5DICCDSETDSAIkQAkYAkPAZoqZzQGjbKIfYxno4dBtqzKBTmU2nMjebGPNz
Ku8uzk+2iCNbFIMRpckW+HdddbJFXYp8YwZeS7JFe+Lux2Ls05w4DCeOwIlj
k2DEDLqT+TACTpyDEz/AifNw4tJhGAEnrpwV47eLyWz4+U+i9D2x/QAjzj0S
2zePxX7yiTiOPRPHl8/F8cVzse96LfatMGLDe7GvVkefOxbGi2sOjJgOI6Zw
f3yCuEbCicGJ4sQAju7oI5jQDjVHDRCR24kRXGVRMeVHjyj4kBtlhRHpUEjy
3qJBsCItrMjioaaNhBcF+RMXRxVQdVRP86Mdt11Qb1gwCI1EE9B0NA8tQ5+j
rY7kYHESnUOX4MNv6LYt6XpH75OjBMMpweSFSQlm1Bx2xjtNCnMrymPt9Jti
boplgaPT+jlzK4q5GsPcK9Tc0cvcjcO9GXYw6qOnA6ZGQzHXsJo7qotR3OpJ
rBOHmxduN9Ly7QFIBYoEAkU8WT4e+71nZL/TZzU3IuSZ3ip6vy6tCSP5d0bx
NUbuL4zYi73Ua6eHAYrRgIIcsXuiIZs/U88vm27I/BmGTJpsyLBxyS1Kk+6G
1OyY7AjzKAzzbDN5zCur0AJl0fuop6MtCqUUpyZPpCJPBFOegzBfACb0J0/4
huKG1BYl3J2HZ4CRBAmXgoQ4iRROd6Swm5ywm4Cwi91p/MP47g205ly6n/P+
d07EJnHCKwUnIpm1aDq7WLqnQsx20Tx69rykPA1JZX5lNX0Ifw0YUR1GVG3I
8+5D0tJJWRBRCkSUgMbFWFCFQEQsCzwaRETqneZygYgwMkRmEJEBPKSFwKlB
RBA9iJ9GhGsk1Wg0g3Cci9zpxVDxF2NasFN/jbFI7yu6jBZkBS3I6lKgoQJo
qAYa6oCGRqChBWhox8ij1T3QU01/ZChoGEPbAR5OgYdvwcM58PDDOtAAHi6B
h58PKyJUF9uta9bbbDfviu0qZPgZMlyEDD+QHs4+Fcfpv8Rx8rk4j74U56GX
4tj3Ruw734tjM23FOlLCKrXdwzU/QTxmxYvHVG4nJIprNBqK8/ujXqgLIkm4
WiHaDxdl0oNm0qM80isxPPNDhDwIE3imhwzQwRs6+PJXDuaPmM5LTZcbQkSh
OAhRElVCtVBD1MKlpunO7SdoKBoLKSajWWghWok2MJp2oP3oKFT4Bv2IfkE3
dRvz1JZ0VIkFBG+TB0YenR3eoBdWflCuvoF+Qt9L8gFn5opNcy2Fe8eMGWii
mIeTiDEQ9dTTgUyDaGWwQAxzrXARlF8UgejDzAM0dW5IJDck4KEE7BXPGH6f
ByJEk3QYvK/KuItxbnkADv7EwrfAwXVG5y/g4KJeF3+atuLYpyAB6++app5b
M9uQpXNoMWYaMnayeq7TIIWEury/os4NsbXUeWTylFPXaMuidyBLS3ZJE8Eo
Z35C6PSDIVUg8xeA1/zwnI/CgXuHbC/dIXl8GAfWiglHSiCQLxz8dLuWOzY4
zRn0/XcIRCdBwM96rK5amZ8ZKkCiiSPZFNFXqCyl+6OKxdU5xWroE6Sa+7ia
e6JUawIFWiSdqqwsy7U0BChBF1GUXBVHLisAAfJrAoRDgJwQIBsBIRMESM+y
D2V5hkCAAHKb73AdFCwCOMU2EdpP4W88LVCMmanoJkDAfLqKhWG6ejPrKwtT
XErSRZQDAVVAQC0Q0AAENAcBbUEAGDhE2/plP4WCE6NBwEQ6AjBwdr46xWEU
DcNJMa6fw/KXxHZb2d9++77YbzwQ+9VHYv/5qdgvYvsfCAVnsf7pF+I8+Upc
X70W50Gahb00CdvRRgLAWm3/Rdh4DtafkSgek7g/Fg1Hg1BfREDwANsebRCN
hCej3ZNGwpNGwlOvffDij+UVjsJQBsSoN49F9fNxX5Qgi4SBgHAUTVgoDAJK
oyrcr4OaoNae6rN68fwANAKNR1PRXLQEHKxFW9AedBgUnETn0CVQ8JtuRB4y
up6jtwoFON9MC2ZgCDfv8mRiUjBQFv6T568h85jTc9yeQAf0a+ZuFcsl+Ygy
957f/fTrbSV5JWUlVFKsIx+MfCi7WNdgNA+5VFdbl0Q8kkj2TqDSJmC1eCrx
uzgQQMZ9XSnptBOP6HvvUaf+wL3Xcf8V7f7vcf9puoWjdAgHCAE756rnVy8w
ZDGaPEM9/pjg0JrR26BH8tbSWIJGJMbIU8G6OmPS4adpIVBq3J8K9wfTNgTh
/gDc74/7fcktPmmNpDLrpdoG8TTXTQboWuiXZH+rbTA7Bk+9bkF3DnaX5Xy9
eoEZ+h/jQGQSCYI0GcxXY5i5gqSWwqSXYvqac2X0OT/M0yBX121YbShQGwrU
hALVWLBV9L5t5cFAWUJAaTBQAgwUAQNx3UCB3hUlgj4hNxjIzoLMAgYyEgLS
gYHUhIAgFrC/XpPj4o/iGO8Q+0QPsU3xZpgQBmYF0yyEirEgA2mABmKJbhpW
RCuOmec6Ob+cIbeOsr1VbFf2UsIPi+36Sbx9Tuy3Lon9zjVx3Ff7DjpuPxLH
DUr6VXz9M2H/Ar7+/qW4zqDTr8Xj+BtxfUnA30+434W2ovU6uC/Fp/PRTPQZ
+hSNQkNQP0SJ96LEe9EAeFHNvGgAvBjOXjQA3lQ0b90AeEdwPwfKiNIof5vP
p4HhmWj6cvAXjEAF8HhRvFyW22qoHmqO2qEuOgYM5nY0gpwyA81HK9B6tAPt
x+9H0Tf4/Af0i44Gd/H6E/SKERRvt7pQa2m6zHsuaw1WMetJlf7jtUmfYOjb
6Dd0EZ1FR5HaAVNNs0SSd95273zpTv0EH/5gyasRzSUSIxZQ6A6tU/XrQyOF
oW7u5J5Is51IiUqgGY+PweTFMDmR/63eXv9MH+d1n4F3m8b0Bg6/ouvKd0T9
01MN+Yp6vn+eem7DEkNWotnzqfHTkxv3xn30mnHVArjXAWTXayszkvjT8vWp
4UxIuDJ4oDa4X2bL4EnrDbxJ/F6pEA2LZ5AyuFnjXXqjilPXeIcV+fE4LjUd
blfrBAy9QoC58Px3e6dOWs8YkWRqdQqLQOtLCmDqQpi6CDNZXF/UrZy+IHY1
88IKemtD3QaYGkPXxNDVW7l/xCgpj6HLkupLQ87iGLowhi6IoWN0S5WXVJ8L
Q4exvDNj6AzU9FAMHcKyDxyppvEcyw8dz0+c5BL7Z4B7OrV9FradmxpDU9sX
Z6bzz05d0Fsa1hDz1xUlLpamrtOp7yKb760ntv1NqemtifWdxDjajZreV01/
ehRd/wRqzXSi/TyG5DIgsE7sv24V+297gAAguAkIbgGCO5fEcfeaOB+o1eHO
e0/FefuZOG8AgKvk+p8p7hdei+t7IHDmjXiceicex8jyhyno+yjoOxLFczMm
/1wXappbr7loOiLOelPsvaln3kRa7z6oGyLrezPkvalr3mR9H6KtD1nfR2d9
X3jskwsRb31C1XOBZP1QcloWYJALGESigvzNi6MKqAZqyHMtUQfU3Ue9bxjP
j0NwU2ajxUBhNdqMdqND6ATj6Sy6pAPCH4DhAXqG4d8AgwSnNZJ0sHSIp3Wx
80jrOYsFuuhb/rQ9RrfQr+gC+oZpvkTkfdsW7Xdzq+RMnfdHWXlfPd9B1E4M
5nrC5J0YrDPFWge+QEbzbG/6GALBMIKhEqmkiRgvgZgajyHflYYDehy/Ygw/
I58/6axXUHvJpUkggGh/apYhRxaoybatMGQdWrosqRZ3pPw0G5Ds/rgm6sRN
pulylNfB00NSReJ6nB/EDARgKv9slvPdJ5TwJtt7pVHG96S6ewar6u4RkBzu
nT4673r9zff6i5XlfT9gea8Ulv/QtR2tNyafh8IIkILEosKgqZgO9mXyqetR
mvdr6BUm9Sjn9RqrPURrteL5tvrHNJcKGL8sxi9FmC9GmC8EWAvqFa6RGD+c
Kp6TRZaVKp4J46cjzKfG+MGj9FrRcfzgT23inETH8pmn2Kbzh5wdQPgLIcxT
zRdnxPjZML7axGGsjRFjA/39ZoL99vL0jFWpKXXFdrCJ2L5sJbavOorteFex
fd1HbKfVJUKNcxj/h2liOz9P7JeXif3K55ge41/fI/abh6n8J0n05zD9JXHe
vyauR8r4rsfPxHXvhbhuY/ibGP4qZv/prXicfyue370TzzPvxfPrBPH8CsMf
TBQvxrPXNgy8UVdvQqw3faz3LMYlKcCHFODD2PahzvmQAnx6IP52PqR8X1K+
Lynfl5TvS8r3I+X7FVKf45dH3Cci9CONBRMC0uH9rHg/N4piIMTh7ZKoEqrF
48aoNTIHSU9f9TEjuZ2ApjHNPLQMrcP/29AX6Ct0Gv3graa/ye2fDKjHmPsl
3n+H9xNd1hZuV9LgMjeBu6wztrqs9lFzQYcEK/CL7SH6HV1BP/Da1+gg2snj
jVa/r6Z17/84XD/uqsO+2n9arf1TeySotX90PuZFNPQBz4JBrH3N0yECaiIJ
OzEW/9N3vyeYvtPHab9iBD+jZj2hRj1geN4hWN4YayiCEBW7UItaUp/q6jpv
7tMXiQNyV09O9umLUMOokal0GxxI3QzAQX7ZDLexvOmavYkkXqbdqfOeqZTV
PajzHsymS9d5d4237O6ZtAExpav9/jen50oq8xmSSj9xrSgYKqFdXp7QXrmw
kYSsBoT1+ri7bktqfFs1TdVO+rc0lrK4uyTuLoq7C2l3R1PSI1h8uSnp2XF3
FhZZBhZlKJBMhbsDx+rSTvPkmuwQJ02lfYa32Gb74W5K+0JK+5L0YizLQkZX
x+IZn+cXY2MhMbaWoFWnbd9bmZJeW2yHG+PslmI71kFsJ7vg7N5i+1aVCOP7
T8n1U8V2aS69+DJx/Po5uX2rOH7fI44/DovjzkmcfQ5n4+5HuPvJHfF4po6l
8nj0Sjzu4erbOPomjr6KfsLV5+PF67sE8foGV9OaelOtvPejXbh1K9qghrcP
Od+HNtWX0u5LH+9LafeltPtR2v16IzK+X3vUApFm/cj4/mR8/zKoiLgPxvBn
IPunJ8RSyFLj8Aw4PAyHh6No/viFcW1pVIX7dVBT1BZ14fU+aIifmp1J3M5E
C5l2FdqIdqGD6AQ6q0nwG87/Az3A4X8xkF7h8Peepm89ksaSuXet9cj8nyTi
Ke7nlOn1pgWx0dXbXqD76Ab6GWPT0duPM/II+/btaB3PL9Omdu+pOEQ/No/j
bilqn4GUK/TUPgNqhV4qcZ+xVSiO1hkyMus9wRnIiZgxoSxG10H/HYZ9Raf5
nCD6hFH6gFF5R4/GK7TrF2nhzy425ORK9dzO9YZsREtWq8d9aPVbE0zr99cb
/wgLUY0Y6bW0IdJYTkxTkAzL1wfmxfs6N+N/NTCoqiYAvGCRFxDwpN57plb1
3iNYAyBAQcCp6r1a8CH/m9WzJ1k9i57UfLWgvsh9cT03ZZnDirQk1YrpH9BK
Gphn1WxqSAMMX5ffV1vv+F2V5qiS3sRfBkCWIMQXwfGF+qrnoqjleXF8Lmp5
GI7PTC1Pz7JKM5qarpexN473nExzONUljhleYp9DmJ8PpBdR05empZZngvlh
yr3rI6nlhPltxQjxZcTYV4laXpNa3lDsx1qI/UR7sZ/6WOzf9hL72f7We2zn
x4tx8TOx/YTjrywVx29rxXlzizj/2CPOO4fFefcE4f0cdfwybr8mHn/dEc8X
yvGez3D6Y1x+/7143cHlN9HVBPH+KVG8z+Nwhq73aVx9DB1GDGFf6pTvFl2L
V+JisqoffavfVES98qOm+1PT/fsiwrw/Yd6fMO9PmA8gtwYwrAPK6T8df7IA
/moBoDmYjj6UP3imQDp5LB+BCmDnoqgsqobqo+Y83x51Q5+gYXotwGe8Ngct
RWux/Va0Fx1BpzQSfub2Brb/Ez3C8s+w/GsGVLyX6WDPpPFk2tvLsruXWbs9
rY3yetOiON7jYbOQ/4Xucv86uoS+5bWvEMHHwQKyr+F1c1PeLO3tUfq2hw7y
hByjtnx4rV265Ibe01BHfGAgIT9LhN51uxRer4zX9bmL3lGoXjFWnzM2n5Ar
HzD+7uiV8Vdo4i/QvJ9ZZcjx9TrRbzZkzQZDpi9TjzuON6Sh3rxUtIM6+DiX
PntaRhrftMXIqnGq6AcyD/55+PvnTM7x9Bje9M5e6bXHQ5XPPVIpj7uClMed
yuPW29L8b/bOmmTv7CnsXUgf7V0iTBdz5q1KQetaq+5Y3hhcNQaDDbB2PX16
lhrE9Kosrsrd1OPSWLs4GaeI3hk7BmtHUsjDsXZOFmc2rJ0JW6djsabSmzx9
J/JbJ9vEY5pTnDMpGXN8xDafP9uiYKydhkKeQYxVWYnpOq5vIa7vIK7vLiXG
/gpiO0Sf/lV9qkMzYmA7sX/zEbbuKfbv+on9x2HK3peniP2XOeK4uoSee624
bm0R1597iOKHxPXgBLH8HJa+TBG/hq3/FM9Xytper7D0s3jxfoyd76M7ieJz
EwtfRVQlH1pPX+ztewodxbaH0D60A6tuVkPdfxn3Kej+M9BkNA6rUtADBqCe
6CMiJpE0kJEcWE8X8FwSSCoNLKjb8hzcpytNRZuVnj9qlmCRnBT1SFxeEOcW
RxVQDdSQ51qiTqgHGoBGoAmB6rMWMM0KtB7tQAdw+jF/9doFHl/l/i0cfh89
weHPcfgblOBt7cXunTSezFVB1iPz/0qmyS3LqwiPu5242/EMBz9Cd9BvCBw6
WFYOMOgEgQ6iuh382Rfg8hna2cP0rXm8dBsd1c1VduX1KrsCojYBmlU8JGkE
C7nXOieFeXAGrhKKk3Usl7ljtd41PpGh+45q9Irq85wh+XQMDtfuvjHfkF9w
93kq9rcb1XN7thmyGS1Yqx53/wwL6PXFxfmcGGJ/Tk2O9KSFUL4vVSGqljq9
veE+ANmHZthb7yhslm9PXb49KN8elG+Xae1Ay9bqPWn/N09nSvJ0bv1qNKAo
nC7FGj3yUCWCRXVyTZ2yak4aU6+bYegmrWGWNnRtDF2DZF6NZF5Jr0EvhaGL
aUMXpE7nx9ARMC4PGSgHSyMrhs6ImUM/JbxM1PWavOM5zSGumR7inOvNH5iE
vjiQZJ6KOp0OQ2cmmeuEvpWEvrOQ2PaWENuBctRp+u+jdanTTcVxuo04znQW
x3c9xPHjJ+K4oDKe/ZfJmHm2OK5j6N/X0E9vJnVj6AcY+tEJ8XiKoZ9fFs+X
18Xr9Z/i9faJeL9XJ1Dzfo2Jn2PeJ5j2AfoT3ULXEKb2Y5D6nUX0lP6UIn/6
yoC9aLsa3QGruU9JCpiDqNeBExD1OnAw6oPoMYM6iHs7cBBtZhDtdxDVKYjq
FBSpPiaY8RtKyc7IHzuMv2puTB2FqeMwaklUCdXicWPUGn2EeqGBaBSaFKQ+
ZzG3q5l2M9qDDmujf8ftTxj6OrqDqR+gp5j6JaZ+52sGbp+kcWTu7GU9Mv8v
ZXlbVU187PEaP+NjJz523MOrfyDabsf3iEbGeQBtQyRyB6yzz8XLKpErH5uH
LXcStRdvvRSr3AqL2jXPbLnT/r1S4wehDFqnnzKPy2TUCqNWqiG9Y2lCJ7xM
7/iaEfmc3vCp3vXuNj6+vpSUgo9/0D7+cpchO9DKzepxvzm043qv3hKM9Nj2
yedmTVeO5FmSkcx3BtHq++VL3jPHh+Tgrb3sRRz3TJ98DFAqZWMnxnMGqKcz
/LuLU33AxRmSXKyu7uspBfiwori4hGZHeVqCasxT7ZLu+W0kzRob0hwHN2lH
+tbnfqmNg2vyu6qxfCrq3rokXUsx3X0UgH1RODgv5Tg3STs7HMzC8siAe9Po
5egL67ym28Vjlktcc73EscCXIEbiXkZZXhkqxuqMYqzLphy8ncS9q6DY9hUj
aZcR25HKJO3alONG4vimlTjOdRLHD91xb19xXBpsvcfx6yRxXptFyl4krj9W
i+suDn6wWzweH8K9J8Tz+TnK8GWce1283/0p3vFPxSdR7WnvG49T36CXuJQA
6cfQ9GNo+t3GrbjYHxf7/4jO4FBcHICLAxmmgbt1PWWoBi5H89FMLDkF0UAG
DUP93Nu6M0swiTu4oSRZOBhrBBdCUepzUhGm0gPfLDTaOUJF8vJnjcbGhbFk
aW6roDqoKWqLPkZ90GA0Fk1Bc4LVZ63jdluwJG3Q/YbPOI+uoN+x8p/oIVb+
Cxu/Qu/9rFVkvkmjyFx362utSvM1t1Un1WgvumlPFpQHC8r1EJ+COwcZxvET
98Gck9ziIrO4SNtO0rYDtDloRWwT9byYXTMtiNFO1O61tVKsNovRHTULwdo+
rnaYs845aZ6eAa8IjaIUVElbSNqiDy4RKk4CY/QdY/I1VeQ5Hd5TveH7Nmn6
2hpDftpkyPc71XMH9tFR4+HZOnl31dOWYnwX7KzuZ6JbT0u9T10avJK0/Qsk
byD3prP3zq587IWfPE3/4i0P5tNFHcbAat19pv/HtdZEoUlejUqRomPxazE+
s5T2axXYVROO1CurZ6O+tKQ5bo5Vm+rzhtQnOdcxd/jDqlX5KRV0U1xCbxOI
w6oxJOdIrBoO5nJh1TAKbWZsmm6KXlM4jZ/G4vCc7RCPeRTchT7iWOIvtuVB
FNrUJOf0YmzIQnLWm6/3xIhtfxGSc2mSc0UKbU0a4oYU2hYU2g7iPN9VnJf6
iPOnQeK8ohou180Z2HShePy5SjzubxLPR7vF8+khbHqClHwOm17GotfFJ+Eu
Nn3KGHyL1NYav0SsSSXxp5L4v0BPsSSFN4BKEkAqDGAkBmDXQOwaeBKrHUGM
yKAdulJScIMYlUEU3OBp6FNx738ZTIAO5u8U3Bo10k6toIptcJxyakhu9TEZ
cWsYf93ctIX56JoKEB6LorKoGqqHmqP2qCuDuS8aisahaTw3P0R9zkZ9e5Db
47x2Bl3Apb+iW+geeoRbn+HW1yje3+x6/c2QrIKqJEuvPWORYda3mJXF48ni
8WDxuKCZi8XjvIi+4f6XCIK5CM1OQrNzIUNwOgV3vC60/9zObR7bX0bUtq18
utCaG/r81HReiPBpnefRXO0VjYolB2bRO2YLxSSe+PeWuPeKIvFc76/2YDlG
JRj/hkkv7VLPHTtIaEbLtqvHn+gNX6UpPnF6B+4MNYiKlYAn7XBgEbdBfcSb
0O6VE2FSz2woszKrB72wC5M6MalT78qa7QMe9fz3ypo6ya3qYgqplLUo1yX4
8NLardULGFJXn02pmV6x37qtOhFBM32wbH0ycR2sWhOrVsGqFfq5f0ABKUJF
LchCioZm+bBqOFbNiVWz0WFkpJqm1QvOfyY/kgTiMZ/YsIjKutRX7CvIxqtD
yMRpxdiYiUycXVl1b34yMdn4y5JiO1Ze7Cer0+DWF8fZZgSwduK80EWcl3uL
85eB4rw6Uln11nTxuLNAPO+tFM+HGxlPu8Tr+UHxenmC7Pud+Lz9SXzib4hv
wj3xTfyLcfgOJehewWwFgyQgAUtSOAJo4gIZj4H3ERk5kMY38DL++gF9i7+O
I5re4D2Mpa1qMIes0NsHskgIsThkECIDhtDnhpg2bYxq6UxcQtuUHBiSS709
bQZVUHORCSMZrgWxanH+quVRDdQA27VAHVB31A8NR5+i6WhhiLiz3G4mP8xT
J9FZXHoR/Yb+QPfQE5z6Ar3FrYkBZvcaYJY3VcLEUpJjfVkiPmQObzoHLzoH
T/KG5+84lSjsYmm4yBkuOgUPoOVBvnARhZ1EYccU9Rm2gZJ8QJt7pZV5PGxx
XUbNn59Rl1GP5DKaVm15smJw4f+MwcLANC8HE0+NeEsT9nKqIc/03ib3cect
Iu9V3HnxgI7CRwxZTymdyfPDVlCHdPtbUO81mZ6Bnxp3BlNC/fWepd58txfu
9MSdnrjTg7LugWlcGZVDnaG6bc3+v9nSWjFtbT4ulOLVwtiyVHq3rcpLbRrq
BnpHmJb86jY03a07cF8X/UZYsn4vbEmbWgNOVSZQlNfnJiqGJQtTOWMJuflp
UyPGEnixZA5+dRbsmEGHiODZhMq5/LoFNnEtdolzGS3rSj+xrQkS2/o0YmzO
QMjVYfeLSEIuYfdIcbEdL0vIrSr2b+sScpvQorYB1x+J8+ee4vp1gLiujbDe
43F7GgNmvng9XMHg2SDez3aK98uD4oMlfbCkL5b0fX9T/BLui3/iMwbeexSP
VAUNMJdTYKKJ7iCybxCuDGIMBjEGgxiDQbgyGFcGMw5DTiMiXQh5N9VOcZ+C
IWSRWTvf06AnSMho7creTPIxt22QdmWwdmVQwWRXpsqifJABjobxhwwPSZCY
kHgpEvyO4pko1VEDnm+FOqEeaAAagSakckdaf1nN482p1Gd9qW15juF+GV3X
tryPnqKX6F2QNXwCzbXHAUlHKvlb23T8zBaAPOFDZ+pN/Pe+gy2vY0kWgwep
1gMweXyBgJIHqdZFfnDOVMPPbu75aR40xm83WmtLuouluf6Y/ss6DATy6J2+
xVvtBGJtIwo3zJONiXXYvk60oncEMy+5kkhkew/73xDPXs5Rzz/Fine3GPL7
bkN+PaieO3XCkF3YcfFuvY1oibqN1SfASa/XLAWSnH21Fb2woidW9KAz9gAL
LqzoooA76Zad6ZI61Vz/bkQj4OH9+/ePLVmyxHxwbNGiRffv3r1rvmaenOL3
sLAw8/6t69evH2/Tpo115WVuzTNmfejQ9MCkymodOUp/b75aFAuX1ke01ogi
/+rLzbfQVbU92b+Ntm8z7NuIpVYf+9bGvtWxbyXsW04fLF4U+xaimhZgiUYB
uLzYNxf2DcO+mWepaVJj3UD6fu+FLJUlDnEu9xDHKh+xryUEbwwW29Z0YtuZ
xZrWdiCv2A4TgI8WoZqWpppWpprWpj9tTDVtRejtJK4r3bFuP/H4fZh43lHx
yuvRPPF+shzrrse2O7DtAfF9dZxBeE783v4s/tjXP+GBBCQ+Z7C+Q++ROqud
uZTMfV6DSHnB1JFgkl4wSS8YDwez7INpx0J+RSS9kHPurTqZJUTv9RFC0gv6
LFECR7+WoCHokzcS3P2dhHSOp6QmWuYNoZ4EV0IltXlJfCE5RVJnSZTQ9Go+
smDY3EFvJAqAxAU9l5JBr6USQKnNTDVF7UIS9f5LgTIToy5CfzNtKmXa79HP
6Dq6jR6gv9Ar9D7YWk8cbG76DTKdG2h2itaYMRdDgJY//YAfGPMlXPiCMR/C
hTcYMzeYeRF2PekBPAgVnpu4Jey6FuDfabqUmodyEfyNjqJ25KqtPWyuHTYP
2sip1qaYp7U3XOq1AL3tJ+d/CbrmNVEYeQmMtne0V68pCi+0Jx9RLu/uMeTm
IUN+Oa6eO3rKkM8PqftD1mjv9kk+6X4QZdSvVMp1sB7igXddeNdFwHVmQXjX
kd690+V/mva/VNQUB22aZ8e0HqnnPH86d+6cee9U/fr1z+zbt8+8f+7AgQOn
69at+8EzTPgl2bikrszmq8WxcVlt4zoAr5E+y1drDab2nQxpqzfsNsPCjbBw
fSxcCwtXY0FWHKx/dzEpyjKNw8ExNBCRdPrhODgnDs6GgzPp3d9DaBb8Fpt7
OrN8VjjFsdpT7OvIxpupANvTiH13JrF/obbx2o/kF/vxQmI/XZLCW1GcP9TE
vQ3F9VML3NtBPK51E4+bfcXz1lDxujfOeo/PX/MoF8tw7zrxfbOdortf/N4c
Q2fFn/Y1AAcH4OBAeYneoveM4HikirDp4GDTwZSeEEpPCEkwBAeHkI1T3XG7
1iUhJMEQMxPvRBu4v1KS1i4GjIQM/SFE96cS0OmZBLZ+IYGNX0tg7XcSWAVi
lCaLF/hDfHJfFK9M33jooRQR8FQKBFhHPmqDppKOgc+kZ9BfMhAN8Lsig32+
k4n+12R+0GNZG/JWdoSo/aZPYdof0RV0A91BD9Ff6DWKD7EMG2IaNthaq6NX
LCfdmr4lfEjAW9W/W6vbqLe+19UKc75YvOnbvYi/Xvxoz/WI+Ouao97vGEnN
7Ye66OPYaU7tVa21wMq35g7YWVSflnKnS3NrDj6xThNMCJQy/4i+5iXOzKss
E+7iJxJ/6ateLVKvvaApfbDXkD8PG3LjhHru7FlDduDdhV+oxw1nJJ+SJW1D
4m5FxkgpvYdRrHmoLOMwPHknbSe136EvKW4kn6klpTXD/je7qsOnXU+Cg4Mf
P3r0yHz09MmTJ38FBgbq1z5wTLb16WWtx6qPLRmSNE/SoIi6bUWT3U6fzqaD
vuhIKyzalFahERath0VrYtGqelt1uVHu3xknBfFoNMszH/klz3TCMh7NqluK
UJZvEEz0ofl3rbSJc41LHOu9xbHFX+w7gf7e9OI4kNWa1nE0nzhOxorjTDFx
/lhOXBer4c/6dEzN8Gc78bzZRTz/6C1ed/6PtPcAk6Lavrer48z05BlACYoE
UVFUQEUkK1kQSRJEcpScMyJBsogEyRIEBBEQEVARRQGVHAQkJ8k551n/t/qc
Ae+94++79/l8nm2naqa7611r71116pzuijrVT6GLplWKvj4VTc5RzJ2Firm9
XLG3V6HPdfSjfyj+7kHFUyQnoNEE3SRuA+0dwmQ4d1k0t61IondNIr0kX7a9
aEhJh1KUsO2m4tcgu++vKH7JdcXPR+az7ip+4i3Fjbyp2P7XzeZPqZ0zTg2d
MarmfKxSzkgSxnDlcYaYX8EZAKD95Pe/J19sb3kz9JDn0a5ynugs57kOcl5q
J6dIG/q7lnJeby6nSlMSlV1KvW5NOXXIWLVKyalRWE61fOpEtusf2qzRsQc1
Pf6cvkwwlzT+xtfZRrG9lzianKIzyPUyIrlJpKQL85PsyjZJdumr8PdPfCBf
JVBtxNO1xl0i8KlY0mwsaTaGSiN6PTJbZcajRFEmR85CthPNewMDSbc9gI3G
3Uea9ZFmfW+YuWo8Ba1scxAZlTrmPzxWMtEeT3JPwOa1JXIpWyLbWUDCKx33
Iijk7oLXLYq2azNsmiXFnlnp6PgaRwc22I51vaOZP5n7DSbfP1yUAbqjSz4g
P5gfIlGsn+rcR4b1Uhl7H/nXRbL+f0s1mOLxeG7xn/vInVvF3eYe//371NX3
/7XwHyjp3jO+XUJv2Unv6vGbNLaL5zW24yfqkEFrYmnVujh6sxsSRZ5lepnX
itO7FrInrfIhz2eRZ25+v1yUKdmtPDOSPtNNpV+ks4+cyQ8yyyv/PIrhhSH5
lsTJtzy9fCuyyPeTOfXq/+15+TcVQJpFFfyztIJ7KyniQA2kWU+Rx5op6kRb
pNlVodN9qdQM/DG3p1C9zabYXai4u8uJVaTO3xV/ZzvN6X6K3JMgeIm4SlwH
zlsEhapNo8n3UlNlXiWdBxmwTCSbxO8lNW68ptifLij661MKzTqqBU4LzXM6
a47TVzOdYZqGKCc70zXCMUP/2jsT1cj5BJGOoRP7GJGORKTDw6+ldwYh0oHy
B/oh0r6ItLc8WXsg0m5ynkeoBTqSgRBqKYRaAaFWbSGntl1gtEEdhFoFoZZD
qMUQ6ksINQ9C5nernFkfhrZqSuxhzYs7cb+020Bh/Qexj+r+WOINncd/bibf
CbgaDW8TTrL4qxGq28ZfI/gF4k8QhxDobsS5xZx4jiaXRn+FOGcrPOg7cqx5
n3vJV7CzvZqbXBpw53lwJ5EqijDzh3OpEeffxje6h5HcAczuuCd3ykp3uv1X
be1rc4TowgRwosNKoS67Qzd1c5p57crXjs7Tp55d6+jYRptLtztaQP37yQq7
L6OUvibMWUEGX3ZnpYEv/pwPQXr5056sNsWE0lDe/3FA9/8jcZ47e/bs/5k4
TfJOlWJ49jRzHW4h1StPdrTVfzN7eLo+EqyDBGsiwar8IpWQ4OtWgiWRYHFs
6xU7yiEvEsyDBJ9Cgo/zi2Wz1cdDZMfE6fgTXUFwDj/FfKqHryLlXxoj//dJ
8q/MKP/P5nCSf10eBba+oOCuwgrue00RByso8kh15PeOok42QXqtFTrbRdHn
+ij60iDF3jRHMeJSZtFILaAwW0ZG/In4Hfltw/H3UaUeB7WzxAXiMnHV9EFO
EaCjor10D/DoJ88Ax6Gbilp3XN87+bQce1pKD7/Eqa+vnHb60umJ/D7QbGcU
8puM9D4L/+33nE+R3hSkNxHpfYL0xiK9j4FrpLJZ+YWcwQoEB8oX1x/p9WX3
9wbOnkgP+RXogvSQX6n2SA/5VUV+b9tVthrVQ35vIb8KyO815Ee6qfE88nsC
+dHDV8kgT1WTcmbH7NXi2L/C99fEHddmlLSHL3Wc/Hkx8bpuUQKjPgMDHCXd
cv932/3fHTdzJd22YrR9eAJ9eDwijKcJjfuN3+YHxPg1QqSgjaYJjZ5gto8i
O0b2NNdcBsmOQbJjkOzod2dyown10IR63Oz48P05K8IHkNxBxo/aU6Iv2ILW
nWbaXe/CXt0vCjPRLGk4jSiN0W1QumVPeV4kM55HdGc2Ofprhz0tutnR9NX3
z3Jma4PB1n6QFf3Ug36E6EOIXoToyW5FGJuG4LL+swiNgsLTl1odmvI38GvV
qlX/pcWsXLmy2fhBTxv+Fyvcfw4Uy2RCYHZZrAbu1U7319yOVhMEWB8Bvo0A
a3RHhD0Rob2msgwCLIX4itM+vjLswVwLzyDAJxFgzklmu8yILz35L34WIM5F
hAu8CnwdlH95SP4f4uT/Kb0Cqx8JbxvY+LSC2/MpYk9BRRwqrsij5RR1vAp5
r7ZCZxohvFaKPt9JMRd7K+byQARoDkPEayYxnzLrG+JHct1vCG+rEu/tQXDH
iJOpl0Ik6QpxnZfo9G5dVey1S6TT8+bl5/WL85B+ouRcSaP8vVNW3zo1tcxp
hgy7aJHzPjIcrrnIbLYzAwnOCf/1vtzv4ExDglOQ4EQk+AkSHIsEP0aCI60E
hykYRIbxyPCh/vI8hgyfRIZ5keHL3eUUQ4alkWFFZFgNGdZBho1SZVgLGb6J
DEvzfBFkSOKqkVtOdRrwahmJJHmqheSt7k+9vOTX2MOp3N2/5MQc6qIQT7zi
spB42Ru+m9m9i/7csLN3JJEEk0iCiegvAf0l/I4Of0SHS9DhPGImMcVsGz3U
XPUURSKMfJeoR1RDgyTCAInQRyL0PoUGHyESLSUPPahO3bmb3eGBhWx1+iZh
J9txz6UI2gRlGkOFOgX9zTavXVpB/OboAvo7vdM89/suR/PXP7i2Phv0JlgB
+l7xyPeiR97nPfI87ZGTyxPeLP6/TIDBVO25R2x/7Nev3/mkpKS/ae+vQ4cO
/dKgQYPwQdr69euHlzWwMw2HP0DqdOPEmw9KUJ/q00U3oeNt0ejBuKfGSK4+
knsbydVAclX5Ed6wl9KWHYTsyHXFRiA7qoMXPnJSrx57wiruUSr4jKS7ZNJd
3DyPQgu9Cn7jU+C7CAV+jFHglyQF1mZUYJ1JexE7n1fE/gKorShprrSiTldS
6FwNRV+oj9LeVcylDoq90hOp9FfczeGkt0/C70vQXJT2NbECSa0lNlvYynDf
TXuneO0ccZGgy7tzUTHXT2hbGUdb2Ocbs5jP+xtfea3zKNp7XqucYmivklY4
dfWd0wbt9dTXVI+L0NJ89DXX+Tz8npHc9nVmgchMdDcN3U1BdxPR3Xh0Nxbd
fWx1N0IREWgvYbD8D38g72No76m+6K4PukN7xdFeGbT3Btp7C+29g/Ya24UX
mr6D9qqivfJorzjaK4D2nkV7OdkWx3orvTxvxRLmwGY0VVe6Wo4eIXJZ7tZH
/aSTccd0Kf6U7iScQ0vnXCkmnHGHzIbL7VMmksh5ScdIkUesBv8ktvLaOrb+
Cf19Q8xHg3SGcZ/aYvJDcuIANOhecdiOcC8zJv9FVjJzibgTjfmeNfOoezMQ
oQf6c4vQHLYILWCLUHeZFr6D7MUiotwSXY5GEbB1F6ZSFthCFO1dJt9dRHun
DpjnllOIfvrbgwOsITvrtfdlL/Uwzz5LPOUNv5zWhTBp5Tyru7Q2r/JARklq
VDG8BLxa2WOgLTrSySGh+kiodi8zVLhKX3saBAmVJaeXRD7FPnJUkO/3Avn9
ufEW38zKgs1kINUnzfcobpFXoaU+Bb8PKLAqSoE18Qr+nkHBjSZpRe7Oo8iD
L5CoClEdvqbQhdepDqsp5so7ir3aFNm0U9z17kinHxlnKE2Z6R8SNYdYdH+l
hGRtRTJbkNUGktl6YgtV5Q5it6Jvr9Nu6old9Ag7ijraRv2w5f6isq/rdxLv
WqeAVjul9bPzln50miChTqSv96kiRyCh8VqIVOY7C6x8vkA+nyOfWWpI+qqK
hEojoYJIKA/bPuaMtfL5SJGRHyoicZgCGQfLlw0J5e4vJx8SKoiESiChskio
EhKqgYTqIqEmdu6t5g2QUA0kVBEJleS1V5BQXiREX1QT66n5MJEgT00zYiuy
lrHrTOzGHHUcPeNOc0xTviRiitZFLdbhmF91I26vGfwQPtV62JyuSSRVJR0k
DphTN8m7CDtFdvLv5hRsojuGaQEx536hEh5uGDcIGbmX9HUkSF/RpK8Q6SuK
9BVB+gqSvgJPwJm7DIE9uBJL4kxv1n4JX7uSejy0vDl/ofpWPuCnfgROrQlI
hyLorh31eo3+7eoWJETKumDls3aPo3mpDuqXpxAf9CXieZ552veP15c8+s+q
Sf4n1Zi/kU4NceJmJJ+WDR21sac6m/OxG6OaBiSd2qjmLVRTxV76VYHEUw7F
lPzYUVHqvILjUA5f7Tkyc+5p9pfNoMzzUM8Cj5IWexW3zK/QDwEFf45Q8Ndo
BdcnKWJLJrPH9z2lqKN5FTpVENUUV/SVsoq5VlmxN2qjlkaKu9VK8be7KOHO
e/RTQ4zWByKSxcRy4kfil3DFF6/vFZuyXDEpSxRKWaRDkx0dIGXua+xoTwWz
tOOOxxxtN8skapNjPsLvtGG/OhW1xqmDcFohnB4IZxDCGY1wpmqxM5ea72sr
mgWI5gvarc8RzSxEMwPRTEM0U/SMMwnRjDd5wDNaUVEIJ/FDBTMNkz/7EHLO
B4gG4bzyvpxXEU45hPMmwqmJcOohnKZmxJjTsgnCqc3jyginDMIpinBeRDhP
y6mdA/FkJpLlqWVOhgdrexSLYDIglqyI5am6jvLTvxQDwors1bfdudhD03Qg
5hudjftZl+N/082EzUpxxygkubEdkWwhNobFYkSDYJKX89oiYq7tyyYRoxHQ
UDvCviviaY0YGiEcck40PVeInivqZYTjToBLFRVIZ94b486UjWgeMXPth59z
h6CWsf1WXXMCIfw8+0x0FMKPRedwD5TcFYrd125sRTh/knsOmsd/HHG0FAFN
3uCYwa4Pp8H7I/8sj3T/JA875qeGnVu5Cfy8izG1aW4JT1BzBNKEtNIAcdR6
31F1K5BKfPQKIxHJaI9e4ysURSAvT2SXTEUk9nrUnJ9bjccrablfcSsDCq0O
klKiFLExXhHbM5BSzAny0PE8ij77oqIvF1XMjVKKvfWG4u7UUPzd+vfXGE7U
UGIkSjD0Jetz7n9JLOH5xShjgWLdicXdzUvqL3fkAxI+TII8wJfa9xoCoQj4
045Y2M7H2koxudkeHVvnVKNAa4RAOiCQvghkBAIZj0A+0zfOwvA2UxHISGcR
4liAOL5AHJ+zX2chjpmIYxoZZSrimKj0ViCh0GjEMYqM8iEF2TCKgiFy8iOQ
QgPkvIZAyiOQygikFgKpj0CadjTiaEND1LIuAqnGc68jkBII5GUE8hwCySXn
bX62tzMQxqn9dXwKIYpkAMtCPI4wnqtv5rQtizDeanx/Ua/1fKQ9MdN1OHYu
9doinY1fogsJS3Ql8RtdT1qqW0nLdBdNhBlNtxh9fGG1MgWNjCVGoA933Dq6
iG+FNhqgjZpEZfgviz6KoI+81GaPh6dzNL0TICajjSxo43G0QW8iOzwj3Aeh
adnBjuGj9NQtwnmF21IIS3ak503qsBu70cYhtHHCPPczSeXz7ffPlzkvgfTz
wdSeMK2rIf4Podg1UXilqrlnWpdGoNMC/bZukFqIJKs1wmhOy9IUYdQn+dWy
wqiCMCohjIpjPCr7CeIY76jIJI9e/tSj/DM8ena28YVcCz3KtsSrLMt85lwG
fVyCGkFyK6ITVPfmti/P9SP6c3+4+dMVeDiVWumT1O+oE/vtLbo7NsDRUUrD
w5UdHaTV3P841NtZF3eSsf6g5d9qx0ZsdGprvfMu1HeD+kFQPxrqp0L9PC13
vrHEL4X4ryH+K4hfAPFfQPznED8L4mdC/DSInwrxk0ymixpHCzJavoc/os79
EOKhPj/UFx4kpyTUvw71VaC+NtQ3gPpmUN8mlfpGUF8T6t+A+lJQz+dskA/q
nyKy0bKA0ztJ8rxjztdG1vUqHtIzQnp24ukGZpr310iFle1VKc0b3T9MtTH0
gbZGD9HOmGHaF/uRjsaN0an48bqQOBnqZ0DobLstZVDyeIKyKWmIwgNKE+n6
Eyib4imb4qA9Dv+Mo3SKLQ71L0F4bqinQolKsmqBqMzu1Of0QHmg/mWP6Tzs
Zblq8rfO4wPbeZDJRTmur8xrtzcSlEo3Dzu6ftI8t/X4g8McTr6IVATSZDqt
awos52ld6lf578Q3o8RrRZnavlkq8U+rFbS/S9ZqBmL16ZZqfWCJp7t4kxqp
4niIn+jRq5M9KjLNowKfQfwcQ/sztBZPLvMpx/d+PfpjQBl/DirdbxFK2Bip
mO0hRe2OVehgeoWOZQlvH3P5GcXefEFx9woRxenEyyvhXjUlptRBCU1QR2ui
E/e7EF2RRHf8vyfRlxhsf6MK2nTMfMazix2dJkWd7OboOMj8VY7kkN/RIduZ
76Uz302FuZPO/A/nVW2zg8o2Oe2QyHtUTiNoOcYjkc+QiJn37UtnBfL4Fnks
RR5fI4+vkMcC5PEF8vgcg5uNPGYij2nIw5w7ioiYQHU9Tp4Mo+U8Ngp5IJH8
w5HHUOSBRCpQOVVFIm8jkYa9kAISadvF7Od2zZBIHSRShefLIpFiSOQlJPIM
yYNOvR5tWt303JqL2iLq+xWDLNIji6zI4kkSQV6iCOy9bgfCNea2Jdu0oats
X9hcUeKaZvJoi/FwYiBB55BE55DYDBm8Q9QgICbhdSRRAilQDMXSgMfkQAoP
2cY+UsoUgQSQQR7M/yV35n9k8DpBw8xvlXr09X7v7fr9HKMA2UFOd/D729Q/
N08Rlx4MjPhs14MDzk7ag/Mz/7MA0iqgwgJwmqtGdvOvtsRC29kj5J3t2N7W
8N8Sp28G+/XsCZm34L8q/L+J21eE/TJT0MB0jwrDf4HPDf95v/LpuW/9yr3S
r5y/BJR1bVCZ1kcqw5YoJe+kttkXo9gjCYo5adZQjb2aS3G3n4X7F4iCRDHa
6XLwX1VJKe9Q+zSF/3cJN1u0gf+2cE/7TUTo1fC/sfCyo/Wn4d5Wkef5Zc+R
nc60dnSK9vpEcdIFbd2RdOb1A2S1fc7j6KCAdjlltcOpaTzH6UqqGEiBNBod
TEUH89DBUquBlWhgBRr4Fg0sRQNfs18XoYEFaOALNDAXDcxGAzPRgJkfKRCc
JG/seDQwDg0AWm50kH+knCIj5JRCBxXRQTVSRR100AgdtCBVtLNTYHVsacpB
aqGmBXn5eWRCl92ALrs+XXZ9M9NvoEFAUSCfRGRuZBZMftadshfcS1NoVLNF
eHN7QVR77KAz3e38YGmtjaqr3dEtaCI661p8D91O6K27ie8pPII5uZ/VRTei
HXpoQtSx1xe8SZS3lwIVRBfPowu679gstrEA9ExRUs5IM491gYBZCaOc16wZ
jAxlT8lrwANtfM5D3Et2LP29ncRRGmz27N0r9sQo2lh4wGojx3+pBLsUbcb/
OxU0VFu02smmqy49zW0bCp5W7qo09rrN2kjgLQq2qkigMhKoSLFThmLn1VnI
YK5HrywI/2t68Tu/8q4K6Ok1QeVaF6FsmyL1yPYoZdod0sMHopX+r3glnklW
7KWHw9vH33tS8Sl5iHzgX4AoggTcg66VkcDb3NYh6iKBekigHuV/1fD7at4y
n+vXi2BNCri23R5Mn+ToIq3+efb7WVLxqZeRAXI/ZuepPIz3HXCeQQZFkUEl
/enUJSWYozxbnGHIYDwy+AwZLEIGK6wEViGBH5HACiTwLRJYqgbIoCrblEEG
ryCDPMjgMWeO0tlzmT7/VHliJyGBCUgAGeQeI+eFj5EAMihNOqiIDKrTJ7yD
DBojg3f7pB4tcTo2Rg30za0rkQlKGzXQETSkXW5oxmb5G0Yo2MijeL7lw0Q2
9l5uyM8P+SUgv5I9dNiEx63tIdBOJR31IhmO92bVishy2hyqqr0xtXWC8v5K
QjPdSWyle0l24vJkyv6khsTbRHWiEkExlAT5ie7VNZT/CRRR8Y+kTiKmzDGA
H5KejTIzvJYImqUdqvnMQrct3LOQtmMeyWMqZs3xRNpyZM8lR9+ZVO6kNcz8
/+A70/2S3nS8DYyPk+862nEw3fD2LnaChXb4euthgG2XS3gbX6/xCYbB56lM
TVMBqMtQwb86z6tiC835/le+D+jlX4LKRz2Th3rmia2RyomnZ9sXrayHY5Tl
RKwynktS+qsZlHg7c/g9CcpFPA3QzwH0C0QhQC5FvE5UBOiKeHkJRevF8PbV
b5vP88s1apUzgHzIPL4+31wbd6k9YNNFnS8N2M/h+XYE7XF6i6M0uYed/DpI
U7zPqU6t0wS4O9kmeBRgTwXseYBtPP17Z7XmE1MBeyRgvwfY7QC7Aa9XA+wy
1DmvAHYeZz5QzwXqOYrC3933emKpcx6iFcgG2E/TorwA2EUBuzTtwBuA/Rat
QN0P7rub095cq+J0owXo3By6aXrb0fS2LgfdxUnHBTD6Z+U0SV3Yxa15zDx5
vsZexTTxKD1oPwrKT7iTY4B3IVgqb420Afdb8Hp7O9VENzvUcrw3WUsjCujn
qKLaEP0aPUFZHYp7g36gKp1wTYt5LaIa8QZBZ5v8KlEYzME7EQwTzJE1pYfv
LMTjsfCNY78M569i8q/DeXUwrOcuW+Kuh2b5dldjnUjMdpczgvPveW6NNX72
q9i/4cWarYmtPeto3mHHCv0/QU+rx7Xwp9UCVHpg7k+qPV1tF2sB3TH3Lu/b
hEid0HqE/Q3RwDsYe000UA0NVKauqUBdX3a+VyUX+fTqUnNWqOjqoApi6i9s
jtSzf0Tp6T0hPXkwWo//FaMcp2P12MUEZbmeXhnvmaMCiXqUyEE8SeSB+3zE
K9wvQC2TBzPPnnosp9pd89P9wE+yCy84f5zC0BaA1ykar9KEX2L3X6zi6EJh
Xn+CUifRvH6Srvc4X/UvpyAyeB0Z1NF+pxUy6GG74k8o9z9DBouQgfH075y1
SOBX6tHV+hAZvEeZ047XGiCDasigjLMECXyFBBYigflIYB4SmG0lQJnzEDLI
NhkJIIMXkEHRsXLKIINK+HsNM1bFaYq/t6Lc74C/d0+VQWs5XRoiAxBsVxEZ
lEQGr1AC5UUKdMHNsvO+TOZniZe3qU+RTT1U5R5lhvyc0J7Hnbn4XUcl7bV1
73DbhOfa8PN0psToStrr9XJqHR2nxRFPaE1UPm2Jfll7Yovor7jXdD6hrK5T
yhgVlCEo8ZMx9mQ63aQ80J89dUEEZYyXshJPEM8jgoKI4FVEUAGjr44I6mH0
74JjJzs4aoTPLAI4y12Jwxsu8134+fnN6+4aXpcfwP8HQvjGHOoxM7/+G81p
lS8W/rR64r/B/7g621OXvbo46kFh39UOdOyIobayF+k1oqmtS0VTG/CrA35l
Cvo3vvSq/Fd+lV1mwH9tTYRKYPyFtkXppT9Dyn84Ws8fi9EzGH/uc3F64nK8
ct5K1mN6WJlluqNkZZL7TLIeV3rl5tknlUGP3h8PnUn3m3vNF0Z9HVPHGO7Y
Yv4Wxn99JObf0dFlEtmlstCfD/rtdcXnMFf31Osp5znoLw79VXSEau6Q04EK
py/0m+EaOyB3mzX+NVC/HOrnO+sg/1fIXw35qyB/JeSvgPxvIX8p5C+B/K+U
DfrTQX/IYw6de+JIAg9Bf7ZPIR/6X5wI+ePllB1rvlYivSnwNyUHtAb+jsDf
o6/5mj3bAz/9bRf62470t+3KsE1R4Cf/vZsHATyOAOhvm6W3P9ErCjT3KK6F
Rw8Rj0F87pbmilJ3ur8K9hxPQ+6/y2udWhkD6VneUd8XHA3OZF7/KiIjOSCH
/ojOowOx+Sl3XtKFhAK6kWjHGye/SDxHPAX55li1MiRIjxA5iKeJ/KBfCPRL
gn5F6py38P/64N8S/+8MjO+ZgREaTx74jMAztQLfX+N5gD2IC2NLXSbXfe6n
8+Hbp/436tM6Sxamnha5uZ0PuXsDc9u7h1kEqrst4zuOsm3ReEeN6WLr08W+
TQlfc65X1ah23vzar4pA//pKA2cZnP5VnL7ovpAKH49WwXMxevFCrPJdjtOz
1+L1zJ1EPaF0ykZkUbLZcYO4m0VZYT+rTJWfgzInj8y50WEpplPYcpfK/IJH
d496wi1PmPmpME+CuoLVXSZxXSoK80/CfLJtcJ0kIifcvwj3ZfhNa+mY04IC
qBvcf4Drm3O9f+L0O6zT/wLnK5zNML8B5tfB/K8wvxrmV8H8SphfAfPfwvwy
mF8C84thfqGiffMt87j+w1T12eH+abh/cYqcYuZYqPMmf68mrl8PrTUD/DaA
3wnwe5pZipw+nbnfEvDrA/5bgP864JcAfLrbVnS2Lels36WzbWF+J6eF+Y2i
3/UoXUuPHgH4XAD/XGszo20pO1F9XYrBpjxuy/PdWxvw36MwHPCSoxFZHX0a
a4BcFZVem6MzaV/sYzoZl1MXE3LpZpIdy5tMH5lsC5xMSVI24gniWXeqGaIo
4JcB/EqAXxPwG0Sbmdm74Pl97aXkn8DkTGIh0H9vF3lNBZ5qXheNz6cCv+m6
TUu502A4rSM2Fvmsabz0xgOjD6qLHXDcF6PvTaXfZzCGP+L+MMk2EzAJcG9C
cd+A4r4uxX2dr3yqtdSvat8FVflHg3vFzVEqtyukMoeiVfJ0jEpciVXRG3F6
5Xa8CtxNUH5Kl7zEs8QzxFNy8U8011Nl0hDzebQROz92BbSPe3XX2vndLx3d
JOVc60QxUw/Ey4E4ar2U1bx+wQkRmfjFcoN4YZ3lC55y6oN4O37JPlj7cBCf
BOJzzbcqoU2Q/KuzCbq3Qvdm6N4A3eug+1foXg3dq6D7R+heoULOd3oWwrM5
30D3YsX4zfkuJw5nf3gOdEP4MzOge5p5vhyEV8bZa1Le1x8F3RDeBsI7Q3iv
D8w2fbtDeFsIbwLhNKydaVg7loLwwmybH8qfhvIcUG5aIudd2oF3TZWQiF1n
guwcEPwMJL8A2cXsNNY1yXgNOzhqyXNdOnjUy46h7m8neR/9lFczMvi1JC7C
Hs+kEHg0mfaTeJrIRxSE5BJQXB6Kq7qTF0JwY6IN9t01FF5gJEzpOKqXGcQC
UPsO214LxZuheJ+lGIt2VxtNXUrQfe77S6ZaeSYNKtM67m4hfswAyyvGrUuo
uV2QpoftU9/Hrfvi1n3pTXvh1N3t9RdtscWWoNtsjldNvvCp4SK/GnwbUN2V
QdX6OUI1fjdfptreaFU5GKNKp2JVAYcufydeZcC2ZEqiXgXV16i+3dtiRGHC
VOJmUqcSVOM1sOgmCmigGVUBxx4dueHR7dNwfASb/sMesf0UlvvDMjvmanVY
LgbLuWHZLiB6EZu+6GQn3eUjqDbpSc86TXXa6QLPA+D5Y3ieDs+LrETra6uz
UeudncD8BzBvBebNwLwBmNcB86/AvBqYV6ksQBcC6GcBOhtApwPoGN9iBSIs
0A8DdHaAfmaWeVwMoMth2ZUpVWpRqNcH6OYA3RaguwB0b3P9idOfAv19etQ+
LQCaHrUbPWpnetSO9KPtXwLq54A6F1BTI7Qyx3CdVkEFWhnNZwDkrID8JNA+
385RQWAuZac3rNvZLOncHu336urRe/ZM6CB7XcOEF3yanTWgZRkjtPbhKG19
OFr7MsbqBKX35YwJuv2IPefkzgT2PFGAKEqUAvI3gLwGgNcnmmPV7YkegN7f
TjEwjhplOvElkH/rrooF5FsAfK/tVek9dcMdRXs3dV3G324avp/9L/m2Cz+n
dVFxxfD/I9Uy/4Nj+f34Vd7HowfQgb6PI/YZ66QWj+2BvO3nXrWc71Nz6u9m
y4NquiqoRmsjVX+Due6kLg1nfRrOd07GqvbZONW4Hq9q9xJUGcirKIkPUFVJ
5lhaX9WC6uYKqQvF9kD59QUCdKk+eNerG+d9uodD37MO7Y4HvP2xoxvkkGv0
UVdfN6v2XnkMuu1Ym0sUZpco2C5RnV52ynNbB9duzY/YC7qHQvcE6J5DQWIK
7n0QvNPZoQ3ObsjeBdl/aLKzDbI3Q/YGtXV+h+xfIXs1ZP8M2T9C9g+Q/Z3S
e5Yr2vuN/BGLLdkUJDnmmfsvQXdx7LocdFeB7lrQ3QC6m0N3W+ju8iEk2zb0
g37Q3Q27pvXs0wi6aT270Xp2fg26aT075IPw3LwvG4Sbzt1pHSV/G7+i2xi6
s0B1Tqh+BopfZP8V72StuisNFL9XKwjv1s2j94l+jR19YK/lHlPUq08L+jU/
V1Df54zU+hwh/Zk9RkdzxOrs4/G6mttOKfciNBcmXiPK2+l46mDdjYlWRCfo
7u3ON2tXUJiAhU93l4KB7OUY7Gog3OINUy07bkDXXKrvuVTfS6EmxMEnnHbM
yoH/PdVpHWwPX3RgL4PqUOIB2QO6E/jiINq2/mPx8Qmp53IT1Inqut3XAbVe
FlSrnyLU8rdINd8Upaa7zKnulmdj1fJ8nJrTSja5nqCGt91D3klqQDRKrayz
qyEP64WHEMSpO1X1ICx7DJY931r2fgC/eplvfIrAslPscfF704Cb7vcGFeV1
iqVrfOyrTxN2AvbLfMTLTjYiL/GqrtBNXqGbvOR0AvB+AD4KwD/lt11At7nC
fJwi2uPsw7X3wfZu2N6Fa/+hEfDdB77bwncD+K4G32WdNbD9M2z/qOzwnd7z
vULe5fIFzSAEJyPuneNLy/bnsA3f5eC7CnzXptFsMAG24bsdfHeF7z7wPXCY
5bsXfNNd9qW77EN32ZPushvdZeciFON0lx3pLjvQXbYzp2mctjHytg0qqq1f
ie2MCz4G10/CdV64fsVOZ1mFvVmXjNwMxjv28KhPb48GdPY4qes+T3zVp1mF
A1r8fIRWPRelLXlC2v9sjI7lj9O5l+N1rYhluyw8VyJqJD2Yr7Ed0Y3oSwy1
gzEnU5rMgusF7jIncP0LXG/GrfeA8XFPKtNhpHkmJdWuv7d2/XwapGb4Z7Bz
/iPY0Wr5DMWHnVFxIIlsYG+znvCQMdyfYEvtz/hJ5vnuj/Tv/G1QHX+KVPvf
otRuS0jt95oE1PVqnLrSKna5kaCOtIvtILitkszbBqijktWBpzoAdQ/FA3Qs
QIc0HcdeYC6p00HgvnTdr3tnrWPb4TDCse+Opm3sBth0vNcrAHYBIjtg2xUI
r1D+X3ae5LYgUU5XndrEu0QP4B4M3J/onDMLuJeEtz8Bue7tXucwrn0AsvdB
9m7I3gXZOyB7G2RvhuwNqk5tUha6C0H3s9Cd3fOTMnhWKgq6vYHllmwz4tLJ
A90v4d7FqU3KQXdV6K5NO9kQultAdzvo7grd70H3B+ZaIGdIX+7TQvanhexL
C9mbFrInLWQ3WsgutJCdaSE70s51yGq2bxcvT7tIRbYPKr69Txk6GGrcNc3y
QPVLOHWJbta5e+Lc0N2mF7v6Pcju59Ugth9iF0AcUwHnLkXGLBbU8kKR+rlo
lDa+Gq0/S8XoSFkIfz1B1ytZwt+G7sbQ3ZLoSPQk+hPD7evTqUfm0j5+5S7x
Ad1rI8zKfXt8D8h228S74Su7UsH+3RwhNAs+/xupaQ0ftmA/fr/ONtVHjNq/
9MCjB6PmIXj0COrrYeN5PMViPs+nAZQc/ZYFUoffdN8aSn2bGUbpvK33wbUf
0R9k3eG7g8F2DF48Ay9eoCh9J9MZH6bYOH8bZC8Qp7xhL6bGtT8H2A4CW0rG
mzVAl77meh7CntK56sSB6mPE89wvQVRG9w2IDrpOUXPVGQnSU0B3PuiatUhP
g6bB9iiGfBhsD4DtPrDdA7a7wHYH2G4D281guxFs14Htb3oOdLN7fgHbn8B2
pTyB7+kJLbo5KDzyYMwvgW5x0C0HulVB923QbQi6LUC3Peh2Gwe2oPuBuYbU
GTZAzmB6ww/oDfs3Bl16w970hj3pDbsVAnN6w870hh3tbITtKW87RCvYIVJx
HQJK19GvzJ28TuopjHwgW9jO21TFXbwUN2pBdOpLKd3fy+70amhbj0bYU0AT
q1BOV8SYy2LM5aO0/o2QdlSJ0YG3KKlrx+vSO5TUDWxJ3Q50uxF9icHER/b5
WRQbX8aaZSpWRpv1praD7X6wPQa2F01hpBSPzyK7kwLj06tOmLn8aeCZ1hhd
i+wTabxUPvx/M0ipm125/AOIGcIvMAIvHvWJo5FTjHhGAO8w4B2yLKBBNIUD
f4lU/3WmQBm0L0bDqJU/vGrSzEcQ+xHkfki4tx8TY8NDbhM1iZhuh9l+hwn/
ao/Z/YURn00JKOUygQmnHKOySO2QvzRDnO9gJrcaQfQbREGozgnRdlziNRLR
VfbkVedl7pclahEtoLk7vccgYiyvfQbVi2kcV4Xfc9bZq5OOWd9sA1SvgOr5
zkGI3gfReyB6F0TvgOhtEL0ZojdC9Do95/lNOTxrIfoXhTz8W/6VliTKgJyU
G3mgugBUF6ecLg/VVaH67c8gerqcd6G6PVR3g+r3oHqQmWvGGUmTOJwGcUgn
qKZBHECD+D4NYh8axJ40iN1pELs+C9WUGZ3MtTROxzgFOoYU0ylSSZ2Dytgl
oMe6+pSrm9lnBewcKRUhuSbtUOP3aPT7edRjoEcfDPZqeF+vRrROLTcy6cu3
gvq2SqR+fyuk3W9jwvUooRtRZjRL0N1WiUrpZMYGaCAUjyDG2sdzKZ8XQ/N3
cWZJhvUQvZMy4xA0n4Tm8/bgdUp4NcS/G/B35py0O3nd/0JzWmdxDM1mbE2f
yuabDyEtjcCKR4/yaNxkj0bPMJoavcivUZA88ocIjVgdqWGQ/OEfIX28P0Zj
T8RqwsV4TbltxgFNhdxpxExiNvS6l/HNd69FUoK+x5d/VYz+gOQj9mzLOUhO
uR5UCr6cgi+nHLEULze+nDIYkmnjb9eCZtrzm+4S7HZ2nhukkuvOo5D7HFGM
eJPH9Yn2vPaebjojyGKTuD8PmpfbhvEPnYfc445Zq3c9RK9w/oLkw5B8EJL3
Q/IeSN6lhtBcHZrLOltUGJqf86yH5N8geS3F8mpDVfxKc5uTfz8PNBeA5uLQ
XB6aq0JzHWhuBM3vQnN7aO4OzX2heTDlxchUmvvLGUFDOLQNhNMQDqgFzW9A
fEk5vWgIe+RFAU9B82Nm+06J8nWOUahLSIldI/VQt6Ae6e5Xju7e8IoN7jZF
7KXUVaG43vuO3h3gqMsgGsKhkDzcp5G9vRrd0ezfz9r4Uq9rXVUvStsaReto
81hdbBWnW+0SdIe6+O77SUoZmuyztaW+pJhYCscr4XgtsQmW3QWDjsLxWTi+
aI9Hm1X9/s7wr+bQs7sswH9AmdZFRZbhtM7JGIY7q+srD8qJEXz/MUM8mvCJ
V5Msv+MX+jVhaVCfwO9Y+B27IUoTd0ZrGk782fFYzbkQry9uGX4XwO3X1BPf
EO5lQO7lp6vg91f4/QN+D1NXnJJx8gvUFim3gv/iwnRg5pvPNy58j+xwhwb8
NtX77UIwnItISuU3HazmgtsC3JYhavJcc6Ib7H4Au2N025nB7SKe+9H2hXuo
M47rL+ek5fcU/B7nz/0Fv0fg9yD87offPfD7J/zugN/tKuzZouc9m+B3vR7y
/g6/v1p+V1l+qTPywHABGC4Ow+VhuCoM15kLvzDcEoY7wHAPGH4fhodMlPOR
uebCGT2Y+71huCMMN4ftd2gGq2IvZWG4KAzT9PXA7bvZicm7pJOnS5wiukYr
tluUkrtHKFMP3LinV7ncmZV7P7he+Q3YrdXPrLjUbrBHvYZRFn/o1agRPn3c
y+zfGV0pizsH9E2HYOpo6n3tYnSmM2Vb73g7JQZ93WL4+g5wf3Zn8wbe7YC7
D3BPAO5FwL1iD0GnrlJnlqJ1p5zS9rvUEjfcQZD/iWFaF5BaanPfL30Nq2aO
yT7lHvA6mppp4kdeTZvi0/Q5RiJTvwlq6ooITaFqmLYpSp/tida8IzFadCJO
35yP17d0bi6X7rZr4PQ3YiOxjed2weohKoYzVAzu9OzhlguvvXPPrsXpLsh9
EkGm+uwyYhoxhBq4LVEbXqlu7uSDV3tm+5YTgscsMPgsjBblthJRj+fa8Vof
GB1OTNQd53M6hqWW7e147iHq4RM6CqPuc+ucM/qe+/N5bgq8joDX3vDaBl4b
wmt1eC3n2QGr22F1q3LC60OeDeH3egLwGm89N+cPsEqdXQBei8NreXitCq/v
wGtjPLcVvHakLu5BXdxvGqxOkTPKniEcNwJeyXujusr5sDW1cUN4rcmuqci2
r8FrQWpj2rie5qyc0/UhPDtB/u74bfeQEnpEKEPPgLL08il7b4+eplJ4wV4/
Xw5Oq5I/68Lqu3hQ1xEe9WPffjjapzH47vh+Zv/O7RPQ170itKJnpNZ2DtmK
IoOOjY7X6ckJujArUddx2HtL7UVuvwHuFjDbDbiHAPc00F4F2htAeycVWnec
dbj0dSdgCj+33JwfSYvZtJzWTG6V5lmUsoZjo6Oh9lz2+IFgO5bSfqYpWGYt
CWjW9xGag8V+sSWkhfui9fXJGH17Pk4/XonXmluJWgeiYOqknpg2V/K7k9i4
c0nF64bMSPrbWOwdd6Zu7DW8dDT2Ktded//NXsc44Tkc7jUFW0qYu0XA9iki
XSq2SUROMH0RHEtz+xbRjOe6gutAcB0NrtN1z1moFOcH+57dIH5cZ7DXw+C6
0zkXfv577n8BupNBdwTo9gbdtqDbEHSrUxiX8/ypIp6dYLsdi91KibAp/D5f
8HewXSsn0y8Gp2f5OwVAt8QysAXdaqD7Dug2oaVrBbqdPgc90O0/EysF3Y/N
VQzOhI/lfDJIzpheoNsBdJtRANcB7SoUwNhs/yKUFS9QAD+D3doFl3pis72x
2V7YbK9IJfem6O3tV9Y+Hj0Bss/3dfSKHX32BsjWpAVuTCPT7kOPeo+ijRsD
tp/4NH6owXbOoIC+Ghih7/pHanW/KG36IFo7RsZo//hY/TUdy6GwvbI4Ubfd
FRNWQ9hGW/C688ceB91zCWalhDugm2IngAwvHxgI05WK7ZoUUyG88l96reU2
zz9xS4XQ0x5wGGlP9EzlK82e6NeXc80BrfnfRWgx2H67KaQfcdufqWrXXo7T
Bpx2+91EuVO9HCFOh+dZMl/rppnrBVTt4cLw0ix0pa7T3gDbizjt6bSdNqU9
UQd0yxIvgO5jhD2lcZve4hYqvOkUId7gfl2iLc/3BtlhIDsBZOeArDlUm+Js
5bWDuO0JnQbRg85Z7XDOm4aB2y94PJnnR/B6b+cY2B4B20N6C3TLgW5h0H0O
dLODrvue2MAm+SPXgy3oZlprsf0JbEG3BOiWB91q/O26oNt0kZzWoNv5C7AD
3QGzcVTQHW0uPHAmU+VOHA6678sZ2wWcW1HtNgDdGuBdAXRfBd2XqSiew3mf
MO/p87A8falw+8Yo6r0oJfTBcd/zKwv9V3ZwfQaXfbF/6oH87HoHZFuAbJeP
veo/zquRE3yaMN6nqaOMLS34MELLh4PsyCht/jhauyfG6PBnsTq5IF4XlyXo
xo+JxmG3EXuJoxbby+40x+7siu5ExnYxjdTl7ygPUigPboPsVoNt4TTwS/xn
WtM6l2doTaf3X3M0nDw82q7M9tlHPn3xqfk2y76N0EpIXb05pPW7o7Xtr1jt
uhinvdSvR1ISw4ReCpOZFCb0tnsVqPtD9bGAhgygt9DcZQA9DqD2LHL4ugf3
GtCe5tpQ9/rplGLE00CawWxz16Ef4Ee/7eQHylLEW0RTHnfh+QG8/jFwTgNK
d5UIM+BHtFJ3Ae8ynnoSH92Pp253zHxA33I7D0gnAelw5zSAnqAcOKYGQFod
SMsCaSFKg2cpDdztH/JtV1xwi4Ih/DUeSDP9ZgH9Wc7LQFoCSF8H0mqUBnWB
tNnXctoAaecFpHUgHUA5OxxIx1DOTpph3jtlFPc/kDO+J5C2B96mlLN464jK
QFoGSAvzvvxAmtts3zcz0KaXd0C8ggNCisEPk/oFlPF9n7IC55OUAHntwMbX
hnpU0a690GikR21HU8LSmgyZ6NNYSr4pE8xuXTghqO+mRGrN1ChtmRatvTNj
dPTLOJ1ZHq+rvyTo7kZg3EkccL2UOG/m4TZQGkjN/ZAxIVsO3LWzohVJA7eE
f6bzuft1698yfwaNqk9jZcdUzx3r11efGftcS6G6CevcsZtsAJB/UaSeAci/
zw5pYDQzRD741O4cSbGmQG8v7bLH8BaR6Cdyyw8JDeZiZXdGYFw8JTsRmwrj
w0CXmygEgBWJd4g2PO7Na8MAcTwgzuYLfUP8YmE8wOsndBFHPA50+5wL2uZc
sjBeAcZLwHhBw4C0F0C2AdoGAFkNIMvgsq8AZB6AdLfP6N+hhMjtiozZAowA
mWm9AeS5NcAIkK8C5OsAWZ3equ63wEht3HYJ/c9XuBxJfyD16giS/hjq1cl2
eMS0cXKmDuNxX5J+Z+rVlgBZHyDfYlscc2gJgCwAkM+a7ftl5d/JKM+gJPkG
45iDohT/QVDpB+KYAzzKAYh5SOwv2QGHZXHKKnaFmhZjPOoMjP0m4ZpTfZo8
w6/Zs8wu/eHLSP32VUjbl0TrwDe45bdxurg6Xjc3u4uVYWxH7CoOl4lbwHgv
PB+vkzr1m1lNJWQdM0ATZY+cFf3fSMybxkulHzAZr3FNPZrazXu/oVr+uTmw
tH1DSHt3oaIjsTp9Ll6XbyboGgaZyuGd+x/WVUvi33k0H54KxV3rWCdR0h6/
nROhppmKuhFBxamijpm22k5wkOLEAd1jwJcPyF4DxurcNiE681x/XhvFNp/y
Fdw1ob+3QO4kjrHNSV3CHU8A3j5ccZtzWb8514zWnKvo4TJQXgTKM0B5GihP
AuUxoDwClIfC2+Xw7VGm4J9KCu1QKHa7PImAmWmjhRKnLAiYryKECoBZfaWc
ejh0c8BsR0rvCpjvkdI/AMwRpPSxuOUUMyOWM5PmafpHcj6lgZ3cAzDbkdKb
AG5tqtE32b40YOKSg/IBo3XJwVnkGZpB3mEJCgwLKXooLjkkoIcHe5V1MC45
xEys6W5b8iNccpRHNT82M6c56dVzsleDP8UkP/NrxheGyZXfR2r9qpB2ronW
kXWxOrc+Tte3xSvFXezHLTDPE1eIG27mDvMY3rXGbuLsgQCffreFpstSsTT4
SmviNotjWqe+wjjaBQhGVfRoUiuPZtEeLhgeuD/x+MaVIe3fGq2Th2jLz8Tr
+tUE3aIfupOS9GBVgGSnW9oo3gLF06C4l8S90a50MJd3kEzUy56uq+WYVUrc
NfioJhWbimQG4knQKwiCr4NZHW5bE714bgivfcKHdz3SXTRx1X2PFHjdBrNL
eOQJ/HAfvrgNDH91roe3+dy5oQngORQse4FsG7ZrAJrV8NXSNFAFnaPh7R4P
7FeWyD1KF/2nYuJ3yJdElZkJLB+3WBYEy1epMiuA5Vv8/Xo/ymkBlu1J4t3A
8j2S+CCw/JAkPo4kPtVMjuHM/lTOZ2PlzBiKZ74Hqp2oNN8Fy3pgWR0sX+c9
xcHyJZok65VDH5NneCZ5P0yWb2SsIqkI4z4MKt1wvzIPwyuHe5THXoJT7GOP
yuGPVcd6wpfitJhoLOb96T59OMevSfODmvuNsZo1a/HJjdE6vCNWF/bH6e4R
t0d3l4djX15yV7lJsh6ZnHqc1a6OYW0yimIyQJY0f+K9m55X08As7p+pTOvs
lqHSHIYdV8Wr6W28mt/Hr6V84R8/jQx/ctqplHvuoYC/x9/542/e5gOeoXDc
h01utscaFlE4UsBoANHW605q6k11R3fRHDvqMPyRnUdB7DlQK0FUBbvG3Hbi
uX7ER7w+lXCX0P7ufq0o8BEo3QKpS9SGJ3C9/aTm7eD2q3PT4ncb/G6C3xXK
1fPgd171wbQq7yltDzfl9R/VkxGHlDW0Xw/F7lVc4p8KpNsBftvAb4vFj5T9
GoZQ4VfwWw1+pO0WuGN70nZ3HLovdeRg0vZI6shPSNufmknOnLnUj3Mmypk1
EgQHgGB3EGxLHdmYOhJXHFsJBEuBYCHcMZ95z3D68pGPyPvRQ/J9nCj/6JBC
H0cocVRAD32EK1IfPvmRkfMro3HFcR69MR5XnOBRI+yw7TRv6lHRMQuDmrHU
0PfTupA2bYvWvj0kuiNxuuGSd8Fm5uth8lInUzc7N3V9Fpc+d+3GSF0xc91p
6r3wX3/tv6TPTNlszkaFi8W/JeasmlTLqzntfFrcN6AfRkVo7XRz1Pzw2hid
2xWnSwcobY8n6CaufYfPmXLXpS+dpTDpAYm3+Nvn+LAHoNCOANDX7ihhqoxh
RGdobOxe0e2YtV6edx7g6CZ3dyB7eCXxAiBXDvzeJlpxvyfPDSFcB5xFfE38
bDE8SJwiztODnwfDC2B4CQyvguF1rXVu0c7fCW87nvtDQbMnmLYh6rNdVccs
LF/Ed0ovBI/r6dBRZY89pEwJB5SYvFcRGWhnMoNiLtNzO69QPb62QU7FdWAI
ivVJ1C1wxA6g2INE/T4oDiZRfwSK40nU00DxczvAdt5U7o/BEYeQqPuQqDui
qhagWJdtq4FiefpunHBUAbP9SPrsUdnkGZ1ZvjHp5B8Xp4hxUYodixOO8Snz
aK9y4Hx5xhoUi4FguYk4IQjW/dSrdz/zqcsXfr3/VcDUREGtoxH983Csjp+M
04UL8boVXtYr6f4F9ff36N98BfzuUR9esOMzFij1ysP/ib20ziKZf6J3+J8d
W8qj6fW8+rJ9QMv7BfXLaGNhe7+J0eGf6FR+jdPJzfE6tztBV/5K1O0LfNRb
Zt2F+x/7pl3pk9ytbfZAwDeANZt0PBoQe9sL7mp7TZviTrzuLkCUkOqD7kqi
7qqc7pL2xeUOIkhxGhHu4mTvEyP/5oOpVeGf930wBahuANVF4gR+tx/YtuN9
a/HApc49C+EdDQHMnqTj1kR9tnOfL+e9oOLBsyoQdUp5oo8rZ9xRIDykhOT9
Cqanjcm8Gwh3WgjxxZKbgZDUXAMQ65Oa3yU1dwTEHqTmfoA4hNQ8Cq+eQGqe
Dohz7VjYL2fK+WICjz8ExP6k5m683ga/bETFWAsQ3yB944djqRLH5DfvGZNT
nnGPyvvJw/KPT1JgYrRCEyKUMD6gDLQlWcd79eR4kxMLTfKo5BSv3pjqVa2Z
PjWZ61f7RQH1XhrU4BURGvtjpGasjjJztYXXOUr6x5R2i5x7xg6kWGawK50G
RmlNnW2pK/CP1JlxYhPLYX0N/Pq6Q1Ar+0fq9zHG+vYvjtXRH+J06rd4Xdye
oOt083dP8QkvEtfdRXqSTfF6lk982D1DZbv6ZXyjzyFuApXDAKId5NWDuEpe
Mz2ku2rkw7YQTF33Nby8nbvqZHmiNvEu0YMYbC3PFH1m263EofuWdw+CrkPQ
BeIElrefYm87NrfGuQtxKZa4uxB3A+KuQtxViDO9SnnfZYi7oJciz+iZ6JPY
3jFlTDii+KSD8qc7AHH7IM400E4hLLAk1FUkG9eAugZk43fJxp2grifZuD/U
DaUg/JhsPBHqZkDdPDtCdRG9yQKsb/5oqBtMNkbxszqwTXOoewfqqvIerG8C
DfP4l817xj0pz4Ts8k7E+ialV2ByvIJTIxUzJajkSVgfjXDOyYa4lyCt+DSv
ys3wqurnPtVf4FerJQF1+y5CA1ZFauSvUZq8PqS528xJtvXn47TjUrwOXonX
yWsJ9JuktXupFP4tnYUXnsJ1ZFLZD/Kpa4qnbBpIxfwzgWmd0zEEmjHm0yr6
NL8hntcpQqsHRmnbGPMpTyyO09mf6IY3JOrWLj7VET7dSeKEe+CTx4eSzNqp
f/BJf7UHtufxQSZh48MhsAvRxF5lX5IP8wItSDZ34UZ7sXF4McWc9r67fLi7
QnEj6b7XuTXfp7YDTj0+uNt63VniEjXiVV2DpgvECWI/Xrcdr1uN133jmAm7
3PcNgcgeeF5rKHQfV+G2rPeqigUu6cWI8yTdM8oWc1IPxR9TbOJR+ZIPQ99B
6NuPFe81RJTC+94gCdfYCn0k4ZYk4U54Xy+S8ACS8DAKgtEk4UkQOBNvnmeH
4n1Nh/zVDDkLx0PgCJ7vRxLuiqhas11DvmJNLJ0acAqd8eQi5j0Tn+HfeVze
KVnlm5pR/k+TFJweo6jpEYqf5lcG2t2sxJPTrOdBXinIewPyan0dUNNvg+rw
Y4T6rInUsA1RGrctpJm7orXkmDlntvFWvHbeSdChe4k6nZKkq5B319KXEl46
yZxj+8sezP7evbIoxVvufyOv4D+SZ0Z/z67s1+LGQf3UMVKb+4d0YLT5axe/
ouv9MVF3N0DYdntC0z2quQ7a1rpn5N2lQm2zPp+UPwUDHskH6Q15LaGuNtSV
h7pXKPeeovHIYIdJ+Xifx11WLA9RxBJVR+4qvOxGW+KNJ+ZI9pSJnG3EYet3
F4irNMY3dJU4T5yAuP3QtR2PW43f/Z26wZDYw3Yh9dimCvfLeK+riP+KXoi4
qNxR5/RYzGlliDuhmITj8ib9JSfLEag7JCffAUNCabJuJcir+QfUQV5Lsm4n
/K835A0g6w6HvDFk3cmQN5Os+4WpCpylZNslc+Qsnoz/fYyIBvFaL/wP35vd
jG3xvRmUfNNpfqeZOamcqXmJp+T5NId807PIPyODAjMTFDErSjGfBZVENs1M
5PzMrss7x6fiX/pVHuKqQVy9H4Jq9Uukuq2L0oAtIY3aGa0p+2P0xQmTm9be
S9CWFHOK7Fh4KZLkMHm3wysCuXO0Q6Q9Or1cERptZwgunwZH0f+MXfhkoPf+
KkupA5FW1I/QurZR2tUnWsdHGh3cmp+gFHecx7dQ9Q3xNbGcWGEr0u4kU+xt
CuXAKEDrB2jtAK0+DdKbJNfilHPPA1pWe6QlwHa+zEDmrl/3kmmtnbcsSO5y
zwOIUcQ0wj3t8YN9bQ9x4r6tCbBuA8wV4hxxHJAOULZtx9Z+YfMl7iDX+5Dd
BbLbFrLbQHZbpT03Vdh/TfmCl/Vk1AVljT6r9LFnFIqn3U08CWTHaHOOApld
n6E0ibYSibbWLjkNAa0libYzibYPoA0k0Y4AtLEk2smA9hmJdj6gLTGW7Cyb
j1amY3OfABopZcH7vN4F0FqiI+xtNiXdrDd5XxnCrO/nTM8jz4xc8s58TP5Z
mRSYnayIObGK/DxCcXOwN8DKake45JvvVyEAKwVglX4MqvbqCDX5LVLtN0Wp
zx8hDd0brU+Oxuqzs3H6+roZmbUeoHYQh4DrRDiSdBjA9gHYbnsOdomiNMZO
3F4hDZjSWpPIApbW+btXrRm6//T0gsaVf6oTqS0tQzrcI0YXhtj6bDp0TQOp
WdzOs5TlNguqTgfEcTw9jJf7QlJniGsKcW8Be2ls7SWIywVx6SIsbXSrvpzQ
5jYLxcLNAruPxx0tVSOIicTnxFL73HbiCHH6vp0Jwm5B1xXiLHEMog4Q27Cz
v9M2zrGN1xtqxcv1iMpsXspzW4V8N5Q3cFVPRF7SI6GLSo45r6i4s8B2BtiA
7okTwGaW5XHK4G5vkldrAVxDmttWVHadyavv4W4fkFc/JK+OpbKbAnCzqOy+
BLhvfjTv/Y5mdvlsvs0kgBtFXv2AvNqTbdoDHa72BY3sPFxtLq72uXW1WXnl
mZVb3tk55fv8EQXmPqTgvERFfhFS9PyAkmhQMxM5vzRZosDygIqvDKr8mghV
Xxep+puj1HJ7SF3/jNaAQzEadSpWUy/Haf7dBH1rDxlvAbKdxPbw1PmJ2kD8
LgPjHKq3D03r+sZ/yZnHcJbWmbjUw33uvzzrReNtqbMuHusSq+sDbSU2zrLV
HtxcttKZxXtHupd3wFhXGGvjXnZK1Iax13G1QnyWZ+Asiz12F0GBFqAZ9ZEu
PYWI1/FV0qW3DdHT8jSWmEEsIlba5/b+zc0uh91MwHIT97pMnIGrv4j9xFY2
/zfGwv9Gd15rxbb1iMpESd7/ivcWZntduSKuKkvUFSVFX1Jk7EUgOw9kwPbE
aSDD3YocMzv+TdytNmm0EQVcK0DrQhp9D3cbBGgjSaPjAG0qaXQ2BdwCQFtq
jug4K2kdVuBq31G0LcfVllK0LaFoW0zRtphGdVFjoHub91QGvLLmPXNfArhn
5Z37hHzzssk/P7OCX6ZTxII4RS2MVNxCvx4isi42mSIfqbIwTlYKwCptidLb
O0Jqujuk9gei1etIjIacidO4q/GaScpcqNQFa3z6Bch+ArKVf3tuiqI1xIyR
tpOJ/NeEpXWGzRBmtDAvn1/flY7Qb9VCxik7405JZoz6SGIUVA1MMpfDuZd6
NiMaEbWhqiLuVQyy8kJWdnssLortIijAAk9LfhoTXymiBvebE+RHL/nR85HZ
1vMFH8NOde38QRz9N9e6rRTHXODvTlXhTk10lNhnLtbRz054Zup/o4qP6bgz
vadAVYpeI1723tGz/lvKGbypTJHXlRC6pmDMFai6BFUXoOocVGFjRcyhYqcy
NlYbshrRHrQmb3ahQHuPvDkYskaSNz+BrE/Jm3MgayF5c7kdF/ML6lj1tZwf
aUZ/oBn9nmb0W5rRZTSj35Ivl5IvvyFfLqEdWFzJvGdhYXkWvkjkkW9RLvkX
ZVVg0cOK+CpJkYujFSIvJtFoZsaycn5vjo4VIDeWgKjyO0OqvjekBgej1epY
jLqciVXfc3EaeiFe48iT7qj7BdC0WMlO6vSFc8iN4xWr/mbUcuU06Ij6Z5iK
3a+7zFHht83RuucC+qFEpDa8EdKeWjE60SRO19oZawxfbNYHjnoQrRPNJcPu
ZZZ1iJpEBR4Xg6V8dgK3h+0BiyhqrMinYIkaK8BfC/BRA2S+YCdu+8LUcD6J
XZrN4x6rTT1btc8607l/caZ7fIPrxAXiJHGY2P9vHH1mGRpkb1s6ZsWAyvZQ
cgFPivL47ipH4I4yRtxSfNRNBaKvw9FVOLos50mcKj9OVfSs5YiU+DZO1ZiC
vzUsdSEl9iUlDsapPiIljoel6dRgc0mJi3Gq7+DpF7M0grP2OzmrF8r5eZac
n/ieKz+0Zywzw1t1WKoQ3s6ztLC8y16Ud+kz8i/LpcCyrAoue1iRyxIVtSxK
cd8F9RBOlHWVqSjybYhU4T+iVHpfSG8ejtbbx2PU9Fys2l2JU88b8Rp4K0Ej
7yRqQop75UayOYRWNQ0iIv+ZkhJpvGSeM1csLMod1I9UOhuKh7SbrHSiepyu
NrC8tIKXhnDxDlGLqM7jykQFohiP88HL4/DysC22YjJK0bng5QV4wdgiyMAR
7xBksAgavsBgfGcMvEyHFzMNqnveNnye/S9jN57zxBXiJnFXd6kBrxHniRPE
YeKAmTlHqywq7p92F44Y5PlXVN68jwp5lvdl96fo4eA9xUXekT90S04SveIj
10AFZPJjP0XNqQGnCvbzNomtMbi0oWzvSgXVF1yGktg+xn4mYj8zQeYLqqiv
SW4rsKA1m8x1jwF5fh4mzy8DiJ7yrGonz8omdu6VRAVXZlHEyvSKXBmrqNWR
Svw9Mjz1sftn82yLUgFyUolD0Xr9RIyqn49Vvatxevd2vDpR3LhT4H9wf2hE
UENxlEE8N4DX+tDGvWNcpHoaOzyt5XctH2mdzzR8GAYW5wjqlzwU1gVC2lc8
RqfK4ydVLR9vwUEVd2KNJDMVQWmiGPfzwkb2hNQ5KhWXSYoFixj2dTSPQxXM
ilVRpKGobqBBGgp+BB6TwWMuaCyzVrKNOERQ2HjOEKQiL6nICxvee7rDPr3q
k865l8YSR1w2vGbKDpeNxals8PiDv7HxTiobngdsZPNLD9FZxkSkyBt1Dzbu
wAaMPHkDNmCkKJZS1oyMc+rARxPSU5vjsAEf75OehsHIGBiZDCOzYORLGPlm
h7X6JHm2rpNnE+3neirq36mof50kz9qP5f1tqLy/95d3bTd5V7cGnoby/FQr
/He8v5SXb01J+dcUJvIrsDp36hyweY9G65XTMZYE9/8R6gUP3eChMzy0J7O0
gYlKhgl64v8JirROMxpQHtGSzBFa83iU/nguWodfjtW5V+N1o7Q9OlSSnV/c
zk9RkMjD46z2tfgMBMVI/BMQkR8iICGmPERQkIQacUsyiSKZRJJMIsZDxCxo
WEz8ZJF31zQ7xZ6/SJw1t75rxC0iRbch4Apxlj15gtu/iP12hqJVloSZ3B+T
Fg0eS4P332ig+/Ngrk5SCl/9LjTQ+OfHNYqSaMpdtTTgGk1IMm0hohtJph+u
MYIYR+EyFSrmHDAfPwu54095ftsFDLvMDt6+Rp4t1FybvpSzYbo8GybIt2GU
fBuHcttXvt87y/trC3nX1JNvrZmI1b++ggIbSymwobCC6/MpuO4pRazLpsiN
mRW1LYNCfyYqaV+CHj4am7rE2CvX41TiTrzKA0ZVAHGniW5CKdKKaMH9ZjzX
mNfqAs2r5ti3e4L2PwgI/jMwJf+tFimnr+OCWpslSn/mitZfecDk+Xhdz29R
yA8azxG5iSx20GECJpGQnaA7TyB/xBcHEzqgONiNpdaIaUuQQ0LkkCi6oEhy
SMQCMLGHqgO7QcV0IvK7WGAWvksGEf/t8FVDN4lLfoPISb+5ONlFZJPFwTWM
MCJeg0g3+/x9RLz/ikiGsGHwxanSPMlhdYAI5pEf8yiKeZQzh7+ddzCPpphH
O2rb7nRNA4gPz1hzyENbDSbf0jmt2ifvur1wYQ6B+/7cKO+On+RsXyJn61x5
t06Xb+t4+beNIgbLv7k3nLSXb11T+TfWD78nsK2qgn9UVHB7SUVsK6SIrXkV
ue0pRf2RU6Fdjyp6f0YlHHlID51MpywXjY8/fStOeW/GqwA1R9F7iXLnFH+T
qAUgtcORpBpAUgFAXjJXLrmnrf4DhsA/A5LWabxwmvHZrHng4VidfTRe17JZ
RrIlW9m3Dk82qSQSSBIWkPSilAgbCRXMygvxDc2SVHHd4WQgNvIxjEyFEfqZ
KNvPRO6AlSOwcsqygmUEqEf9FBr+69y/oxQ+/A3iEnGOOOU3SWUfsclrOPiK
LzPDa/nw/o0Pbt/0mrMuBdj+Gd+/8uGjJfTSunmzwglltPMCdlIMOyl32/KB
nTSjB2oPIz2xk4GmEPFMPC/PjFPyzIPrxcR31K6/HJZ3/SH5/jhoGNm/Q749
v8nz5wp5dn4l787P5d85TYGd4xX48yMFdgyEie7yb22rwPZm4fcE/3xbEXuq
K2JvRUXueU2Ru19R1J58Cu17RtEHn1DMkWyKO/mI0p/LrEzXHlLWu0ajT9Id
P3s3QS9Qk7pTdJeEjbKEy0sRDOQFMk4uy8fb/2QgHvcpj7kXRqPMPyYb+m86
2E3RiTbruf8vEp6JUck4RTJOkZyXKGgm5U2CiER3LQ6IiIeIeEqL+P6QMRIy
JrEr3EWk7WnV0Fbo2A8Zxwm6kwi7EHUQtwi6RNCpBOhU+MjX7XVO54nTbnIh
9vrMnv/RaybudakY7fs3Krhf2aWC519Og4oAjbqfnOh7DDJo0D2AHT6sWA4H
qWZGsHiaX5enw9X7CdDz0WV5J16Ud+ZZeb84Kc8SytQVJ+RZfUzejX/Jt9OM
7fMf2Sf/wS3y7v9F3n3fyrdvkfx75yiw71MF932i4N4RUNCP6Kbg7naK2GcW
HY48XEdRR6or6nAFhQ6/ptBfhRV9/CXFnHhesadyK+7c40q+kl0Z7zyqzPfM
TJxZUxL1OPE0XUpeaHiByINb5MItsprTC3X/ySz+A4a0TrYaGLLop8jM2hqd
Wftjs+hkfBZdSchqdloyv15yfjsr82v/CkJCa7M6V0I/YgRATDCrqcYuti3L
BqAgdYSwhxD9RxQpIzJ8Hp1dF3HLbcqDuEWQVsSycMW9VJNPfyZgsoj7z2xk
3670mdlsZ/gMCwNdFoiW1j0q+ywLvOcZv2WBfysaFoJx5vByAKz9z8AEjban
uDkE6FQ3p/U9LW6Z29435Bl0Xd5RV+WbdFm+WRfl//KMvN+ckeeH05SVp+Xd
fEr+P08qcNhcSx/460/5jqyX//AqYjnPL1Tw8GxFHJ6qiENjFXFgqCIOvq/I
Q90VeaRD+D1RJxordKouUV3Rpysq5lxpxV4srthLBRV3Ob/ir7KXbz6lDCk5
iUeVwc7mnIX9n51HTyqjHgs/a528fhr71p8mBeX+rZzIouURT2hTKJcO0kec
jHtalxPymv2XhCEklSIqEuzzRPZ5Ivs8kX2e+D4xjPiEfT+Tfb+QsKN4Yv9g
3x8kMIBoDCD62v0LNMy+j7zrTkMZQZvhXjRGXA2GL57X2YDZn3v47BuIlXYW
4+l2v39AdCP+X2PnAWZVccXx5+7b93Zfv3cJauQTFUVjTWI02PLFWD6JvWA0
kQhiB2xYggQNqChiodqxxS7YsFBUBBEQOxERsYUqwi67y7K7b185+c09d4c2
Jtnv++/cd+857745/yln7p050z9sI07l+tHRTbzvshnv1dlgXziJdYN7Orfo
b8k3TVkFJXi7M8VW+6uLUnFDu1Tc1iaVY1sk+tBGiT61QapeWC/RN+qlYmYd
I4l6nIN6iS6pk6pl+tAjtuY7qVr9OVggsVXvgDckvuoF8CQt30SpXjGW9Hao
Hi41a4ZIYq3uhJBsuAD0ltSGMyXdcopk8j0lWzhKssUjgq1HNLTrvjT7e4Fu
EK41cUeh06AAZCSIH9bPQXilk/Djf7LaR6n2PeSTxBGyjAFDY+4otUmnTWz7
ZgOO63RLGh+2/XvA41ybDKaFY49PwVJq/nJALU9Ty9N5neKb7GC8JojqVa1r
C/JmUTZohKn6mDK5BOY/AG9FNYzvY2AcGAEGg/7RTYwfAw4xmz2BXas2MW4e
yVbvpDsCxg6gpsN4JVmtPFF1K84L02vKUnljUSpHFiQ6Li9VE1ul6ukWib3U
JFVTqfHvgPcb8QP5vLRRYit0cBqvXy2xuq8lvm4hmA9mSvW618FkqVn7JHhQ
EnXjJFE/SpLrb5Jk098DvVTLZZJqvQir9JVM4S+SLfWiRz8Zmv8Ijt4sFGoP
YKL7HgD1ewed8vn/N8+uN3/Kc1qmx4+UDxPHylepE6jip0mL3XoCgmuvBQwO
ayG4Fu+/9lGzGaOdxC/eR+BLqjlVOrcasvH+M63B2qtKM6ExEnYV4To7s4Kk
QFVvrQliCwTXVvI1i8H7MDUjplFAH4a5cWAEGAwGgL+G9f+Yqi0Z/hnyKb4r
yZg3wUigursyHO0h4e/cV6Jn87mf6psH8FGyFL29JFXjCxJ7uF1iz7RJ/OWN
EptO5Z7dLFUfcPw5rH9DunIj7Oqgs7ppJVgq1Y2f0WPNA29LovF1STRMlmTj
U7D6CJX3XnC3pDfeFuhkCtdTka8Fl0u2/RLJFfuJV+4d+PZmDyFfToLV48X4
/zk5yjAe/OyLHJxVONk98SfZ1fcR8xMnyZep02VV5s903v3CBvx6YHZVw0vr
9JCdhe+/BaHvAbMbOo6a9wNgxJ9rM1O1KsxcrcqA3nBnBlOTQQmC81qjpR5y
l4NFfN08MA08B8EPQNRY0hGkg8GAmO7MEJBKekhM96TaNaakpiksqU5bkhq0
rox6YycDxkKx8/VcFT5nFa5GFeU0NqEs8UeKEn+2INVT8hKf0SLxOa0S/wiS
F7XT6ealejVo0DkrNa11UtOyQhItSyWxcaEkmxeA2ZA4XVJNr0iqeRKt8ROS
bp0ombYJkKhzGrOFmzgeSnotpF4hXql/OMLvQ9o7GMh5cmZg2ktD32szioI/
Pne8bj/Jdr6bzeeolIbs5TpYiXS8AcWcHi517mVSw9b74d7CeFI+1c/PV5iZ
dRWGr0rDV0Tf3dkZ7mk1mQmXUAdl32PmhWBOQufwPsn33wdNo0lvBYPBALOJ
BjgtrLOHcn1/sBvoDLKpLakKWkS8wjjjz/gpgGFJ/AJwRXiN4UEcrzBOn1FN
k1L9XElqXi1K9ZvQ8l67VH/M8WLOfQ/WFCXRpH55or1Nku0NksyvllTbt7Sc
X0DLR9Azl/o2E0yFopeh5TloeVxypQexgkbczxVHgZugaaj45b+FQR0vM1vY
BXYd+F8oCivaKY6KthlZGNAbj9knkj4LXgezIeRj8BU1jfaxthmYMFa+4cYz
/3LmO7S3VOO0Q9QGSFqHUb8Fn4JZJjShCSgLQfeAu8AIPl8PBnB8LjhdfSg5
jPQAsBtkdQaZ5CZygkbMbIx7OF0iI8Aa/OyacwCtTfWVer3mZj7fBe4Dj+uI
PvFaWRJvQ8Q8Ujr1hHHdl5clua6EC1eEFCUoVWiVdLFZ0oW1km5fJpn2JTR8
CyHlA/qFOZLNvyW5wusQ8yK5N3sn62ZkfvkBGsWxYJQJWxjY8/L/TYjr1d0x
Yb+2KDmso+JI2Tgl/nQwN9yEm/6qdg3AIalt61hkYdxiX8LqYxjtLGWz3AJs
yGqQERMd50PIeRNSJmHYhyBgPLiD45vB9WAgOBecHjaIh5MeALohtwPIpMKv
7y6JvbAjQ6jE7wCDsMRpoDeAj8RVqp4YwfFoOrgHAO50krwkKVvJdwCVP0l+
kl/D8UqwvkzFKGL7YqCbLrZLptQKmnEt6sEqvMnv4OBLybV/BhaIV3wXu88g
56+BF7HDpGjY+CRlvLXrFcH/6BZ0dHREkXArb9eCq6T8K6nvuuuykxlAvI2H
8bG0+Yul3f9eSoaFTk0gb1gwDNQGSwJ8CfspTUv4b21mCQ9c/AC+hI/5cDEV
Lp6Bi/ux7xgwkuPhKY0vPhD04fgM0uPCVs+8pt8d/Dz8bCpGsiv4BfiNvidJ
Mg5KnQEYP6cuBoPADaH8GI7NQw3GsqkXwBtgJo3qArAIULDS9JnppjIFv0QF
AAUlI1vKS7bcQo3fABooZWsx/ApapG8g4QvxS5+Q3flgdvBy4eqtbLpZwXe9
jdSCn7LnOgr/9+mpsiwzS1ZnP5K63BLZ4K3E/I2YvmBMXmEsHq64LNeaaAvl
0OZm3n0jWBHOfp6Dzadg839iu3ux4d2kt4IbOXcdGAj6gF6gZya0dyYs6wxW
MXV2e0zD+C69NzhIty5OMwpJ9wLnAjrKNPlO36jqmbFUF9rTzFOAYWRmGqDc
p+eRUu4zmDu7FtCuZvNlGn5QKNHQ6yoQr5wPVtt70oRZ68OAJSbGzrKODlYj
mb0jmfJUM3fxpyx+hu2et7azJcAMTpMzZBVlYV1msTRll0tbbr20exul5Bc6
5rGYFQ15Xf6Ixdux+EFSqFV1s/LBxIb5BIvPxOIvYvFHsOQEcCe4JaMxxq8B
A7neF/QCPbO6GYr5jj1Jd+F7dtoBdrtgol3BvoART8Zsk3uCPtw3e6Zn+4Nr
AP5w9nbVzz7M8dPgJYC5s5g7Ox/gEWbxCHNU2Byj9hwV1qMEecUyJViflQSL
yIMF5c2RjjbEK/+b5meJpIqfmvVloRFDq7pekLlejQbDGn3jtj3tQCGwoFnK
1+zrYlKTNoC60JLfkX7u6xzqGVjzeazyANYbh6VGgZv4PAQM4lp/0Bec6YVT
zhi17GVepXYW2dlsL0aB9XYn9/uR6x7h5qo43bmzwmddDJRyxopDSUfq/b1H
OA69tBwdT24WmK8j4txSHSwZv9rbAFqM1waKoNzxG6rCaDrNQeHNCU5q69Ig
aMlmI4BI5E8Oa7kmH+hchc4yreZ9+Tj1jSzPNkqDpytyTdQCE0JjWRhO46vQ
iPM5nmXiGoKnMNZ9YDS4DflhYXhwEyb8Ej+s5DtLT7MtDzgwbEN2pxTusjOl
sRvOCG2stz84BOA3ebi8DDb12REl0aPi54boM0PvbtX3saE/RTtvb5Z6ux42
9HBAaMfEpzT668IJrlGGKSXb7kXM9gpinLNN1nK9X/u945zOu87JY9Vz5ZXk
YplNmz432yALcq3ySVis5oRZfI30BfC4p/Na7+J4BBjqh35hFzmnVidwHAsO
Q+SX4UZGRr0rblmXPShl+1Bfcc38QwHW8U/SZy0+9dSnWfRwB7zBWOcfWsq8
e0ILTeL6a+BtQAnzP7PW8H5ErA5xClqmoRRYI+jAw2B8Z9vq6LKBxqCIyujE
Ihmb+lYmYIN7M406A28nuZLff7GJF+9r3HgzGeEo0IP87Qf2CPO3IyWgc1fy
tie/jSGcf3BR/CNLUks7VEv9r+0DLuH8Ffo8yaOIe7dsKgHeE+E0PUPvuyVJ
v9kiyVfXS83kNcMsvVq6nW8/XNNLt9eMmy/dUS7N/CgXZuvkvNwG6e3l5Wzq
4Cn8+OPC2TYHgX1BNz53CWtGLc2C1828NaWv+VWBZqFNcke2iXci/c1ZBfH6
FsW7FFxVEm9IWacQDbf21+Jl1mRs89Ncs667Bv/jsl9ioeyV+EJ2S3wuXTju
nPhMm+zcd3aaZLZ7UTL75SVzYKve9RZ7V43iEOntuMNhjnNTrKLGxtPXCUFx
cYm/aMV1rwrnc2fXKq3nraJuoRvp6xByLTB8xtKvBjKTwrcRcq2HfcLeUXeE
0SemQc5c4o9a8e4qfoFDyBVx4CGrqLuJRS50CLkCaNxnFTUqlvNhkCsQzARr
Ev3ayMU2Zy7xMfY+B6n4pQ4hV2CuO62irn6K9HcIueLPjbSKWi8jAxxCroCL
m4qx9m7heH1LoX0c54ZZRXXcIpdZk7jEb7AW1GVg4bhnSyFXNPQh9j76tNVM
Sd9GqLvj3HVWUZ8vRK5yCLl2nB5kFc9QxUE2Zy7xy6249oJmlvM2Qq4tkgZY
k2iDFbnWIbSr49zF9o7nquLW/rX5tIvj3PlWUd9lBGFgNGcu8T5WXOuJWdS7
jZBrK9ZzrKKWXyVxKyHXBsZnWUV9SmGW1W0j5NoRvJe15SBVHGpz5hI/1d5H
bR650SHk2pbwRKuotlBXyNUNbnWup1W8QRWHOYRcm7YcYxWHq+JwmzOX+B+s
IUao+M0OIVdQ1t/Z+4xUxVscQq6omIdaxTtVcYRDyBWg8GCrOEYVb3UIuSJ2
/doqTlDF26xJXOL7W/H7Vfx2h5BrEf4+1pYTVXGUQ8i1gnVPe8dHVfEOh5Br
DWI3q/iEKt5pc+YS72rFn1Hxux1CrtnUO1nFSao42iHkmlG5gzXJS6o4xiEU
c5zrZO84RRXH2py5xHNW/A0VH+8QqnCcS1vFGaqoRcT9uDNphWeq8D1Bss3D
uLiVe1fl7rVmiNqjeXopKGPB7Rboich2/wES5mXU\
\>"]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QComplexContourPlot", "[", 
  RowBox[{
   RowBox[{"3", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", "+", 
       RowBox[{"I", " ", "y"}]}], ")"}], "^", "2"}], " ", 
    RowBox[{"Exp", "[", 
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "+", 
        RowBox[{"y", "^", "2"}]}], ")"}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"Contours", "\[Rule]", "5"}], ",", 
   RowBox[{"QComplexToColorMap", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"GrayLevel", "[", "#1", "]"}], "&"}], ")"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.3917873945850782`*^9, 3.391787410230904*^9}, {
   3.391787448758317*^9, 3.3917875048057423`*^9}, {3.391787554670582*^9, 
   3.391787562202729*^9}, {3.391788436798807*^9, 3.391788452967269*^9}, {
   3.39178849357111*^9, 3.391788504614958*^9}, {3.3917886763272142`*^9, 
   3.39178867677214*^9}, {3.3917892107890463`*^9, 3.391789213903454*^9}, {
   3.391845928015625*^9, 3.391845931609375*^9}, {3.391846020484375*^9, 
   3.391846024671875*^9}, {3.3918460869375*^9, 3.391846089453125*^9}, {
   3.391846128296875*^9, 3.3918461325625*^9}, {3.39184616990625*^9, 
   3.391846188734375*^9}, 3.391847669828125*^9}],

Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJzVmPtP12UUx79410i2tEQnmE4BnaBgmLXwqCiKt0wHlMxQAkyGkbpSLhJe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     "], {{-2, -2}, {2, 2}},
     ColorFunction->GrayLevel], GraphicsComplexBox[CompressedData["
1:eJyMvXeYlUXyxwsGZAUjCyZcxYwJUREM2IOigIhKEEUxY9g1IAKKmBFFRV1F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     
     "], {{{}, {}, {}, {}, {}, {}}, {{}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwl1WtM11Ucx/Hj1s1mtWHeECu8pVmBirfKelJN0LS5ilLQhnlZmZoCSuma
zsZFrmrYlmLQlpCJE0G3SsgQNNS2RFZPbBZYW1qz3NIedHmd9eDN53yv53t+
5/xHcs7q+av6hRAa/clNCmHM8BDG4mRCCOMHh3Dp7hC28ZehNCr70LAQymkT
PTwwhFtoE72VNg8KIUVdKibKaRwSwkG8pl+t+Eo6R59isdm0hE6WOwnXxAtR
hE/VtCeGcAKZYt+Y6Ta5i8T608W0i3bT03TMUHPjflTIb9X7DrMco3fStji7
GXtpOvth/VJwTm6n+p/4Z/P30Qx6iXaLXaDfI80cUzEFV+TfELtML9I8Z9pj
33waRoSw27rN/Bn226VXNa5jDrvVnj/TY/QRfWcgX59CtdOtL+ifrMcAOfPl
1LBr+PfifezBbnSgSM1WfTPRa44fsdn6b3X/4LzaHmySt0NsI+1mn8Nx9V8g
wfo5uZl4Ac+j1+x9KJFfwi6mP8i7iBxzbeGbR2/Ya7TYy3Qu+7SaM3iLr8Y3
eJPOtcc253smvh/aYo5mHBVbLmcFliJB/bJ4d7RLj69Qzi6w1wasx+3s8+57
vV5n47vhS8OUeNb4huhEpOKMeL68cv1O6XUSZeo76WA6KN6RGTri/aNF/qvy
m2kB/4f22UD7uYs66454n2JP0lH8Pc78hPXjmInf7HNE3vZ4RlpFp9LL/NPo
FfoA/dxsE+g8ez2LSnnN7Ap6mD6m7zjfeSYdT3vVTdI/1zoPXfxD7J/Kd5ea
b/X7DmVqS3FKzhrxpXofEH+FNtJ2Z/wy/i7EEpx9ID6LfeNvwLobpfb6iz09
vm86jZaoecj6wTg3jvPl6Xmz/NG+zU30df5VWI2VOMv3NYr1ux7vSM2fdDJ9
O94TbUOK+tZ4bjMd4m/CO+xZ+m+l6fSo827Sa7mcf9kbrevMnaZ3ttiA+I7o
MiyJd8/f7Bu0xLcqdoQuoTPsVat2HXKsk+Vlyb+PLqAL8YncA1gkf61ZFtOD
7EZcE/8DV/mu0t/xMf9+ZPONkV+vVwP//hjDPewX6b30JTrS/AvkrnC2D9i1
2BtVvI5mOVd2fPfOUoEJ/GXRxkJ1eWZviOfUZ58eObSeDrd3In5x/2vwRnxP
aj4y2z6sFtvOrkIlxqpZK6ePrqPj6A7+erkN8f3Ir2a/i53Ik5Mb3zKSxEZg
i5qn7L+ZPk2zzJdvvnRkYBZ+5asybyX6qyl0nmrnLKIj6Sh0yHmPdtJdtBwF
8dzxd09P6NOOR9k9coa6u2HsxHiXSf//z/oPIz0DKA==
           "]],
          "0.8999999999999999`"],
         Annotation[#, 0.8999999999999999, "Tooltip"]& ], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwl1ElsTmEUxvG3KMqOUqpoDU1QJISFIqYaUhTLqsRUbekQQ4wL3Qg1dZCi
KKKmFCUalIRgITF1ZWPcdbKjNSQV8bux+Pd533OeM9yb+zVlfcmq4pgQQn9/
biWE8AkfcWBACJ/pFzThIYrFDg4J4RD6DRJLCiGOPqJlg0M4Lt/GF+O8eWAI
3bSAtvKMpQ+GhfCB3qfv6TT5bWpeJYbwEq1owZGoD23HWzRjh1gV/3b6xv01
FsWH8EevVL3azNgpNmmoPu6T6Vf3cv5KdQt4u3kz6Fn7n8FWuZnDQ6hxfmLv
w7QME9UeoUfxTPw5dvHedr+DBtzCU/FMs9L4W+h093rnPDPi9D2vptHMd3J3
aYr3lIxN8rVyfXlSo3eDIjsWogNz7T0Pc7AA85HCMwq91JxS26zPcIxAEjbq
OZKek+vDk+ueZp8JeGF+gr1iaJY9Ak3muR49t96PUaQuXeyaWKOaUrof8epW
0xxk4xROIk5NP8Ta6YG5vWgTLbX/Mb1a9WiJvhuzGsws5C3hKcZ9vh5RnVgT
8vl3Rd8KrVOTLbfHfTfakM4zEzMwG7MQeGLwN3p2dfdoJapQgTbPf4Lm8xQg
zx4X7J1PL9IOPY6q267/ON4uO46nFXLlWIplyEQWliOXv9Z+53EaNVgrdkmu
DivR6b6CdtF9dKp5e+kUuk7/WO/4tFyX+ROd14ol2vOb+3dUy3XSk7SnfLLd
R2JL9JtCOxZG3z4ysASLMZpnDM6o++VeQ3/SHxim/3pzVur32/2sXG/nDWI5
9ir17GtotT1n03rPdQM3cVXsCjarmaHm8pD//yf+ASoFnLg=
           "]],
          "0.8999999999999999`"],
         Annotation[#, 0.8999999999999999, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwl1ElszVEUx/GLhYTE0EFLzVMR86wIYqg5YicIio0xSMwkpo0xQUJrpsaw
YUHZSJS2aF+rZi2JiBDzokQIPjcW3/e755zfuffc//u/1yZn6dQltUIIo3zk
JofwKj2Eg/Q1Xdo0hCWonRTC9NQQushvTwthB3Zil9w0tY+8n/ABx3iOZoQw
VD6VJwV/5I/LN20SwgFxO3pWvIyeoW3pMP65zULIwTn96XyHkIc5anuddUXt
Mg7L9dC3X24fNphxI1rLt0IGrqovVhultxGK1a+nhFBEb9ASmumclmZr1SKE
3zzTrBfoXYgkcbl4u30SdAetoF30tKYPaCUeYra9lutZEe+r75ZzZ9qzkJbp
6yZfSjP49mA3stx5MEp46qkNta5PO6l1Rh89fdEPZfGO7r0eA8Tv+frxvKED
6SeaJT8YQ1DJv5V3C0aKs3nGoDHfW+esVV+HCdbjkauWh7Go4Zms5zut5pnh
HlW0a3we6kWeXYIW0wpahRfWqXz3eJ7a7y5NEU/SNwdV6k3E9+WfqZfSNHG1
fLX+53hs/Yw+omuae2Y8L/W+wg+zjDHTJmzGNvc6gck8/e2Tx/NLzyE6hbc0
PjMkcFhuvn3HYTyy5cZiHJ6ojTbP1/gu0W/xHJpshlz75eGO77cIX9QG6R+u
bwTK9fYSv5PvGb8v9MZcHFQrN18Ct3gn8cySSzdvNo7EdxjX7PtCrYBW0SKe
O+hvhnIUmuMnvR2fNW3jvXtonezOJfZ5IldMk8QT9VWqPZKroD/oA/qY1o1q
rkSs0zK62t36qhXou46bzs+Mz1h9M7ZiCxrYv6X8Ip6F6K6nRi6o1cJfM13U
e9EdLqt3VD8f32N6Ie5J28ffM98pmo/T8t/F+bSGXtL3hZ4Uf6bf8BWF8T2K
946/OaTJFZh9Bn8dtZXOX4VG5muIBvE/wx6n1fORrDeLb551pr5T9CSS5AfF
/xvrDvIn6HE0lh8on5P6/7/wH/uvw9w=
           "]],
          "0.72`"],
         Annotation[#, 0.72, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{6586, 5273, 6585, 5272, 7254, 5560, 6590, 5289, 6589, 5290,
            6591, 5039, 6415, 5050, 5921, 6765, 6264, 4913, 6263, 6265, 7426, 
           7486, 7485, 4739, 6875, 6876, 6405, 7503, 5040, 6404, 5041, 5482, 
           4674, 5610, 5608, 5609, 4971, 6132, 6133, 6134, 6334, 6333, 4767, 
           7251, 7252, 7250, 5269, 7253, 5268, 7249, 5438, 7382, 5515, 5894, 
           5895, 5853, 5852, 5470, 5854, 5267, 5814, 5053, 6528, 5168, 6527, 
           5167, 7157, 4694, 6559, 5199, 6558, 5200, 6560, 5054, 6419, 5055, 
           5924, 5925, 7203, 7204, 6905, 6906, 5796, 5225, 7206, 5227, 7205, 
           5226, 4768, 6337, 6338, 6336, 6335, 6135, 4972, 5613, 5612, 5631, 
           5616, 5617, 5066, 7088, 5065, 7499, 6569, 7192, 7191, 4719, 7280, 
           7281, 7279, 5304, 7282, 5131, 5725, 5354, 7317, 7319, 7318, 7340, 
           5855, 5132, 5726, 5067, 6588, 5286, 6587, 5285, 7265, 4696, 6595, 
           5297, 6594, 5298, 6596, 5190, 6593, 5296, 7270, 5295, 7509, 7510, 
           7470, 6592, 6992, 6009, 6113, 6112, 4742, 6323, 6324, 6322, 6321, 
           6111, 4961, 5620, 5619, 4635, 5621, 5622, 5078, 7092, 5077, 7500, 
           6574, 7220, 7219, 4773, 7261, 7262, 7260, 5283, 7263, 5282, 5821, 
           6934, 6933, 7387, 7386, 5182, 6544, 5183, 6545, 5075, 6547, 5185, 
           6546, 5184, 7162, 4695, 6538, 5179, 6537, 5180, 6539, 5072, 5771, 
           5178, 5857, 5177, 7207, 7208, 6907, 6908, 5800, 5230, 7212, 5231, 
           7209, 7211, 7210, 4769, 6575, 6576, 6422, 5060, 6421, 5061, 5615, 
           5614, 4627, 4677, 5491, 4958, 6104, 6105, 6106, 6330, 6329, 4740, 
           7276, 7277, 7275, 5303, 7278, 5302, 5831, 6941, 6940, 7392, 7391, 
           5270, 6583, 5271, 6584, 5166, 6586}],
          "0.72`"],
         Annotation[#, 0.72, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwl1Fdsj1EYx/FDW7tWbW1p1V5xQSsxq9WiYofaeyXWlRFcIK5c2iLc2BES
Ii5IBJHQopoo1RB77xA7fE5cfPt79nPO2/f/ZsxeNnZptRDCcH/KGofQpUUI
3dAVS1qGUE3sUNMQDqNhsxAa4K3YC/mXeI5drULYiX7iAR9TQ5jSPIQUvJZ/
hQ/ibfVm4KRZJ5DFXmtHXblWaluigt1LfWKTEKbKJdGy1iFMY6fKJ9Dq+KZu
Dv87naD+bEoI2c4w1NzW/FSkocSOUpw355q+c7SEblP32DkLaI6+QnpT3Q10
tq8T2ui/oL5U/SXzp/OT6Ep7a9Av4l/Rg98T2XpvincUe0SzaAe0R4n5A+JZ
6HUMYefG56nup/wv5JjRF+nulCeXSTc4W65YvnweGqp/KvcMq80ZqWYYuyL+
j9znCP6q++jcQe8X9UXyW9ijzBkjNxop4pv4Y9nj8JtfTq/qy3TPdsjCHL1z
USmeqH6dPetxj1+lfmJaCHfYa+y9SxeonY/EuJufQL/SJPrHjkVmNqGbzRof
n4vnXIr8eBbsERuhvpxdqSfd/FvsvFiDHP3D+Rvx2c727j8K2epy8Duew/mu
qa2kY5xldHzP2CPMLorz9Rahg76F/AEYiP4YjEFYpb5AXyHK2ZPjOWhqfN7Y
52z70dt5BtpVJdaHfUvsstmF7rDVnPvu2pZmIgNr5dagpvgM9bPFKvTXVz+L
nUxv82fYOxOX+NfFL9IbdIX5K/QvxzLUES9WNwnZ+vrEd9fcMvG76u9gkbqF
mI8fzlkv7onvJv+Mc3TTe5zWEjtN08QX25Os9pQ716aDMI9dpfYePvG/2/MD
33DQ3gNIl3tnznu8je8hPkRffVO5ZjhmzlEkil2J714jnw07G2Gv/c/M20qT
1e6OKv5U7Ane6CmO3xVawJ8af/PxG8OfGH8n7Dz8MjOXbpcfQifIvVQzmD1F
bJ/9L/g/7XhOH4o/wh532I0d9hY7W4Ln+CB+c2j3Fv+/kf8ArVW8RA==
           "]],
          "0.54`"],
         Annotation[#, 0.54, "Tooltip"]& ], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwl01tMDmAcx/GH1FxIvUWKyhzuSImU0xySQxsjjHJhc+FwI6dsWGGdbGxC
N9xgcxyGUo0yyjrhxtmtWxmb040cPu9cfPd7f7/n+R+et94JW8pLdg4JIfxC
QXIIV8eE0JIawtKMEJZjGSrkx8eFcAJtzloxRxbr7mw6MDqEyz5fwdCUEB6M
DeE+LvExzg7JDiJe/QgsSw+helQIa/VO4JuSQhhJV/Fl8hTnA+o/oULdfmTJ
z+t3ARcxqO9Wdc/tctgOz+gRekafRpzGUT4iT0QCqvindJfapLQQOvhE2h69
R8+ZscHsUmxEp/59Zj+m4/XLxBK1H5zdscNd/OE77NmOJj6Of+38DV5hFl+A
Gd6WT3/ot8acqfx6PgVnZSWyn3Q2P9PZHHpANleP+ZiHPP5e9O+DVgyL7mbu
I9R61xLvqKFFdJr72cjCbnU3vK9Y315nt72jj6bKJtFM+pKm0xc0g1aqWaB2
ERZihXy/uuW0UJ9uM3vQi1h73FKzR81NupdOV5OLHOzjp3nPdHVZ9Jv7i2VT
+BI+AQ2yQtl3ms3nOsuhFbI8PfKj32X0u+AjZnZ4/0ME97vdi6PVdvtLa+h2
d3dgG5rVdNtrpZ7vnLV4x3s6XjaZ9vjODtF42od+VPIn3TuFBjzxP9CvdxeN
6FNkZp07w2Vffe6yUyfa7DTLvHp5Hb7IPiPNHpvlq9Um69eiTxJdxx+TFztP
5COoVFeFevnHaB/aTGNwXf9r+G1mmfmDsk20Vl0dalDOv3PnLd6glG/0pom0
KvX/7/wfY26MMw==
           "]],
          "0.54`"],
         Annotation[#, 0.54, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwl1Ftsz2ccx/HHuWsRp3/PsuACk9ElxIpMS+KGlq1aHaHaqDosTjPHESG4
c7btYkPmsAsiceHOqUYyQixRp45aW2daGRsbK15PXLz/n+f5Pt/n8/0+z//3
+/WqmP/FvFYhhK/85GaGUJgI4WF2CI+w3XwbdmBwtxB20mJMRBH+7BFCV/k5
PUPoQtdhLUrQv3sIi9ND6Ec7poWQgmRc4tNfvDQjhEm4ZVyHWtzEHzhg/9uu
xlkhJNSopan0IX2Ee3iA+yjm94Q24TGeohnp8mfyT6NVND01hMN8O8hP00cq
WtT6H5OtT0GOcY31gfQyHUQ/1n85v4G0gq6N98DrO3Tnd9o9daP54skosmci
KvjPQCXmuqtjcl5bP2/fQuNF6GftZDyr+EXxxcbfxDX5U3m0VXOJnGUYIyeB
36xn0q/lfCJeJyfX3k/xg16anPeFszTTl7TB+ml9/4qTqMYpXOKzR/6/cv7D
WbEz8X7lT/d/lmOU+Cs549QbbVxjzz7z/diLX3AAz+0ZH3NpQfSjhbRAT4V4
bT5Br59jAK96PoPoPGecj/Xi6XIWGG9xrkbrGeaV9mZGb/MiOXdomb6yxGZZ
y6Z3xbbas9DenuYb5S0y/lnshd7+QY5a+/STMC51Lz3ol3Q3j124E2uiAfn8
E3z60JZ4TrE841s8xrifOpobn1fxNcaX1atBATaI9RWbgPF8s9S4aU827cAr
CW3RHu1Qq/dAW+GtvDa0NTLlz9ZvBp1DP+Q3Nv73cs5hmNgIDMdq8avq/q5+
nrV8jMJQPa4Sm6L31XRFfGfFOzlbb7GG+OyI3cZIvebhqXpLzZdheXzn+fdB
eXyesdKepPh8GF+g1fpvE98Pe1vTU/F9oCfoG31NFm+hx82rxUvte2VexWeS
cQk68z9qPZmm4IM4lzvA3iH6/IhW6WUm/rJ2T4/P6EE5m9zVZsywVokk3kd4
taefoUydadgr95laf+M52lk7JK/FN6bcvun4yd38GJE71bxU7Ua11vGfZl6G
FL10RL34bT18a20ldvG6wXcI3+/lXY/fN3UbzUcYb+N5jV6NZxZvEB9uvFX8
SvzmxG+GeL34sPgOiD+Jzyjfx/GZpU20GffxIPv9t/od4BXYZA==
           "]],
          "0.36`"],
         Annotation[#, 0.36, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{5247, 5789, 5788, 6678, 6679, 6332, 4983, 6331, 6919, 6296,
            4960, 7041, 4959, 7492, 6316, 4978, 6274, 4930, 6273, 4931, 6275, 
           6910, 7047, 4977, 7493, 6670, 7356, 7355, 5817, 5818, 5277, 5885, 
           5276, 5819, 5763, 5762, 4754, 6122, 6121, 6147, 6146, 4788, 6144, 
           6145, 6120, 6893, 4753, 5761, 4752, 6667, 5383, 6719, 5384, 6699, 
           6700, 6698, 5439, 7383, 6668, 6669, 6341, 4986, 6155, 6932, 6156, 
           7450, 4824, 6195, 5929, 5930, 4973, 6290, 4951, 6289, 4952, 6291, 
           6939, 7061, 4994, 7497, 6675, 7364, 7363, 5823, 5824, 5292, 5888, 
           5291, 5825, 4775, 5803, 4776, 6915, 6914, 5426, 7376, 5425, 6735, 
           5460, 6733, 5459, 6734, 5868, 5783, 5784, 5427, 7377, 5428, 6916, 
           6917, 4777, 5804, 5756, 5869, 5396, 5889, 5397, 6693, 6694, 6692, 
           5429, 7378, 6676, 6677, 6328, 4982, 6142, 6918, 6143, 7449, 4823, 
           6194, 5922, 5923, 4974, 6314, 6313, 6972, 4825, 7451, 6138, 6909, 
           6139, 4976, 6315, 6534, 6533, 5764, 5765, 5441, 7384, 5440, 7385, 
           5816, 5874, 4772, 7435, 5416, 5415, 6732, 5457, 6730, 5456, 6731, 
           5870, 5786, 5787, 5419, 7375, 5420, 6912, 6913, 4774, 5802, 5768, 
           5867, 5387, 5886, 5388, 6702, 6703, 6701, 5442, 7388, 6671, 6672, 
           6343, 4988, 6158, 6938, 6278, 4935, 7029, 4934, 7490, 6810, 6811, 
           6005, 6004, 6196, 4826, 6974, 6973, 7453, 7452, 6164, 6736, 4997, 
           5639, 5873, 5872, 6705, 5443, 6704, 6707, 6706, 5400, 5890, 5399, 
           5871, 5828, 5774, 4756, 6131, 6130, 6153, 6152, 4790, 6150, 6151, 
           6129, 6896, 4755, 5772, 5773, 7235, 5246, 7234, 5247}],
          "0.36`"],
         Annotation[#, 0.36, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{4601, 5896, 4600, 7134, 7135, 6507, 5151, 6508, 5149, 5742,
            6821, 6025, 5150, 7133, 6738, 6737, 4814, 6968, 6986, 6985, 4947, 
           7461, 4948, 4903, 7005, 7416, 7415, 5516, 4659, 4599, 7407, 5343, 
           5342, 7345, 5369, 7343, 5368, 7344, 4691, 7137, 5153, 7136, 5154, 
           7138, 5152, 7347, 5371, 7346, 5370, 4663, 6746, 6745, 6744, 5346, 
           7298, 5014, 7141, 5156, 7139, 5155, 7140, 4692, 6663, 5373, 6662, 
           5374, 6664, 5372, 5504, 5503, 4667, 4606, 7007, 7008, 7006, 4908, 
           4950, 7462, 4949, 6987, 6988, 6970, 4818, 6969, 4817, 7348, 5375, 
           6832, 6833, 5748, 5163, 6523, 5164, 6520, 6522, 6521, 5677, 5558, 
           5681}],
          "0.18`"],
         Annotation[#, 0.18, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{4625, 5563, 4623, 4675, 5985, 5984, 4854, 6226, 6761, 6760,
            5038, 7518, 7085, 4850, 6989, 6990, 6395, 6394, 7079, 5663, 7303, 
           7304, 7302, 7306, 7305, 5022, 6632, 6633, 6631, 7301, 7300, 5655, 
           6627, 6628, 6626, 6630, 6629, 5013, 7296, 7297, 7293, 7295, 7294, 
           5646, 6625, 4662, 7417, 6624, 5978, 4837, 7065, 5011, 6742, 6743, 
           6208, 4836, 6205, 6207, 6206, 4602, 5533, 5642}],
          "0.18`"],
         Annotation[#, 0.18, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{4630, 5570, 7089, 6425, 6426, 6243, 6993, 4873, 6244, 5087,
            7098, 5088, 7099, 4878, 6015, 6016, 4682, 4637, 5697, 4640, 6783, 
           6782, 7330, 7329, 5106, 6653, 6654, 6652, 6784, 6785, 4641, 7409, 
           4649, 6793, 6657, 6792, 7412, 6791, 5112, 7338, 7339, 6794, 6795, 
           4650, 5714, 4654, 6251, 6252, 6250, 4886, 7119, 5121, 7118, 5120, 
           6253, 4887, 6024, 6485, 6820, 4689, 6486, 5602, 5715}],
          "0.18`"],
         Annotation[#, 0.18, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{4657, 4690, 5716, 7177, 7178, 6556, 5196, 6557, 5140, 5737,
            5366, 7341, 5367, 7342, 4831, 6983, 4832, 6984, 7043, 4737, 4965, 
           7464, 4966, 4946, 7037, 7039, 7038, 4658, 5627, 7367, 7368, 7366, 
           7370, 7369, 5403, 7373, 5405, 7371, 5404, 7372, 5600, 7180, 5197, 
           7179, 5198, 7181, 5118, 7117, 5119, 6797, 6798, 6799, 5626, 7183, 
           5204, 7182, 5205, 7184, 5203, 7187, 5207, 7185, 5206, 7186, 5595, 
           6681, 5401, 6680, 5402, 6682, 5361, 5362, 7411, 4648, 5625, 5529, 
           7035, 7036, 7034, 4945, 4964, 7463, 4963, 4735, 6872, 6871, 7487, 
           4828, 6979, 6779, 7129, 5138, 6500, 5137, 5730, 5136, 6552, 5193, 
           6549, 6551, 6550, 4633, 4680, 5692}],
          "0.18`"],
         Annotation[#, 0.18, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{5248, 6922, 6923, 4785, 5808, 4784, 6921, 6920, 7466, 4980,
            7049, 6911, 7048, 4979, 7465, 6935, 4796, 5822, 4797, 6937, 6936, 
           5284, 7264, 6127, 6128, 5794, 5795, 5214, 6567, 5213, 6568, 6768, 
           5998, 5997, 5996, 5126, 5718, 5717, 6126, 6125, 5232, 7434, 4771, 
           5801, 4770, 7018, 4924, 7016, 4923, 7017, 4925, 7019, 4780, 5806, 
           4781, 7437, 5240, 6123, 6124, 5792, 5793, 5212, 6565, 5211, 6566, 
           6767, 6766, 7513, 5352, 7316, 5353, 6684, 6685, 6683, 5406, 5510, 
           5509, 5239, 7436, 4779, 5805, 4778, 7014, 4918, 7012, 4917, 7013, 
           4919, 7015, 4792, 5815, 4793, 7439, 5275, 6136, 6137, 5797, 5798, 
           5229, 5897, 5228, 5799, 5435, 6695, 7506, 5242, 7230, 5243, 6687, 
           6688, 6686, 5417, 5512, 5511, 5278, 7440, 4795, 5820, 4794, 7026, 
           4928, 7024, 4927, 7025, 4929, 7027, 4782, 5807, 4783, 7438, 5244, 
           6140, 6141, 5723, 5724, 5279, 5891, 5494, 5495, 5363, 6658, 7258, 
           5280, 7259, 5281, 6690, 6691, 6689, 5418, 5514, 5513, 7236, 5248}],
          
          "0.18`"],
         Annotation[#, 0.18, "Tooltip"]& ]}, {}, {}}}]},
   AlignmentPoint->Center,
   AspectRatio->1,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->Automatic,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->All,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{{3.391787397034245*^9, 3.391787411027166*^9}, {
   3.391787456154242*^9, 3.3917875055142117`*^9}, 3.3917875632066708`*^9, {
   3.391788485443771*^9, 3.3917885053871613`*^9}, 3.3917885723323917`*^9, 
   3.391788677507079*^9, 3.39178886216361*^9, 3.3917892159105587`*^9, 
   3.391789435056868*^9, 3.3917895363402653`*^9, 3.391789681261527*^9, {
   3.3917897670881433`*^9, 3.39178979636136*^9}, 3.391845613359375*^9, 
   3.39184593303125*^9, 3.3918460258125*^9, 3.3918460908125*^9, 
   3.39184613378125*^9, {3.391846176625*^9, 3.391846189734375*^9}, 
   3.391846291734375*^9, 3.39184641496875*^9, 3.391846522390625*^9, 
   3.39184728471875*^9, 3.391847625015625*^9, 3.391847671328125*^9, 
   3.39184831540625*^9, 3.3924723359849873`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell["\<\
RM: ToDo:  ContourShading does not really work here. It should, however ...\
\>", "Program",
 CellChangeTimes->{{3.391848478640625*^9, 3.391848519359375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Options", "[", 
  RowBox[{"QComplexContourPlot", ",", "ContourShading"}], "]"}]], "Input",
 CellChangeTimes->{{3.3918485243125*^9, 3.391848533203125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"ContourShading", "\[Rule]", "Automatic"}], "}"}]], "Output",
 CellChangeTimes->{3.391848533453125*^9, 3.392472336657772*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QComplexContourPlot", "[", 
  RowBox[{
   RowBox[{"3", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", "+", 
       RowBox[{"I", " ", "y"}]}], ")"}], "^", "2"}], " ", 
    RowBox[{"Exp", "[", 
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "+", 
        RowBox[{"y", "^", "2"}]}], ")"}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"Contours", "\[Rule]", "5"}], ",", 
   RowBox[{"QComplexToColorMap", "\[Rule]", "None"}], ",", 
   RowBox[{"ContourShading", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue", ",", "Green"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.3917886323276787`*^9, {3.391848400640625*^9, 3.391848457546875*^9}, {
   3.391848542796875*^9, 3.39184855553125*^9}}],

Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJyFWnlQlUcSf3J6sB6JRnTFROO9nhiM667pURAP4glKVpPgAahEg8FNPB4a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     "], {{-2, -2}, {2, 2}},
     ColorFunction->None], GraphicsComplexBox[CompressedData["
1:eJyMvXeYlUXyxwsGZAUjCyZcxYwJUREM2IOigIhKEEUxY9g1IAKKmBFFRV1F
BQMGghEUBBZRwB4UARGQOGQkZyRNYmaA6+90f+o873fue73nn/PU293VVdXV
1dXVqdadHVvdvU+FChXuPLZChf/7j79c/peMfnDx6AdLPfCY/wMXFxr89knN
+pzUbIfBf2TybzK4byZ9pcHvZ+DZBse/ccCvhHQH/Hoob/D8gN/gN0L9Bo8K
9Bm8INBvcPzPSeNT/+EXGH6B4RcYfoHhNynH3HHA8AsMv8DwCwy/wPALDL/S
bjlp7ah86j/8AsMvMPwCw29ST3LHAcMvMPwCwy8w/ALDLzD8il7mpOmptqPy
qf/wCwy/wPCb7Ae544DhFxh+geEXGH6B4RcYfqXf5aT1Q9VTbUflU//hFxh+
k/08dxww/ALDLzD8AsMvMPwCw6/YlZw0O6P9UPVU21H51H/4Tdqx3HHA8AsM
v8DwCwy/wPALDL9iN3PS7KjaGe2Hqqfajsqn/sMvMPwCwy8w/ALDLzD8AsOv
jAs5aeOE2lG1M9oPVU+1HZVP/U+OR7njkuNR7rjkeJQ7Ljke5Y5Ljke545Lj
kY17OQLn6rigdlPtivY71UttN+ULWP/hFxh+geEXGH6B4VfG9Zy0cV7HQR0n
1I6qndF+qHqq7ah86j/8AsMvMPwCw6/4LTlpfoyO8zoO6jihdlTtjPZD1VNt
R+VT/+EXGH6B4Vf8spw0P039GB3ndRzUcULtqNoZ7Yeqp9qOyqf+wy8w/Irf
mZPmh6qfpn6MjvM6Duo4oXZU7Yz2Q9VTbUflU//hV/zqnDQ/W/1Q9dPUj9Fx
XsdBHSfUjqqd0X6oeqrtqHzqP/ymzSPUz1Y/VP009WN0nNdxEH5T7KbaFe13
qpfabspXjv6f8n/F++T7q/7v76Rd9s93/f8hg3+tD3PJbX5VBv9ig+cE2AHz
Tzn9pzww5YFHhH+XVq/i0X/wAYMPuGzv//22ujQ+lC7Fq//gBwZ/Gl9Kl+LR
f/Cl8aH1arkTQjva/5WhvVO/P/R/xUfv9vzTP4DRC4XpN8iTdGD0DHmQDkz6
A+G7k/pzgFVv6Z9p36EPOI1uzaf6rzB2gPYgHZj0gZn/nywdGLn0CLAjHVj1
knRg8KfJWfsj/9irtO/YL+3HOs/Qfkk6/FEOfrRfkT9ND/5O7kqX2gud96kd
4jv06zyCfPBDPuy10qftrnJRewNepQN5AZOPf+rX/KQjX2DGD7U7pNP/VY9J
Vz1Ok0tau6Mvmp905K18kg6/+p1/+AXG7pEffkmHX+2X2u+AaT/VY51/abvp
fCytnciXxhf+gPKn/Gg6eNPshvZDYPgBhn6VM3KFPh0XdR6i4xzp0K/jGOna
jshX50Oq1yonxavjr86TdBzmO/TqOMs/4yjpjGdKv+ohMO2W1s7Qr+M/6dCp
/oCO86RDHzD+pPoHfCe/4lO+0+SgclI6qEf9FPULgPFPgNP+1Y+gHP0dP4D+
Daz1qF2kfTQerXZe7YjGc9Wu6jiscS21u2qHtB8D0x46z04bx6FD7bvSoXZc
7Z7aEWD0Vfs56dCXJncdF3XcAD/fwaf2VuMIaXLTcZXyGndQ+6DzVrUHyqfS
qXRpPToPpl5g7a/0M8r/XTlg9cv5T/aT3HHoLe2geqz+GN+pX/1M8JKeVg/8
aNxT9V7xAP+YyZfnH8nws8WPyOQfYfBvGTn85oBPy8hntf3zHTyNM/LeYHib
ZODtqfWQnlZvcYbOP+wf/MBar+bTf6VL6dgvI5/lRsc3Ib9rHtL91QGP/SOH
tO/g4zv1A5NOfuojHToUj5ZLq4fv/MOH1gOMnICPD/hNrv8J9Fg6sLYT5RQv
3/n/u+9p9QDTfvD1SICdwipH7P6moGfl9Jp+Sn7tv2n5wIv8oQM6KUe98KEw
+ZEH/SGNL2DKA6PXwOABL3YauWI3FCZ/Gp1abxodaXiBaW/o+i4D7/H8h+Fg
j31XuahdAtZ2AYZ++gH4tP8BU05h2h982t+QG/iAwQMMfeAxuxnlyHfDF78D
k67/2v58N/se02kfYPoh+GkXYNpV+TH9lH/wAYNP9Rk9QL7A0A1MOdUbYOSn
+godwJRDHqQDq/0hP9/VbvGd8shJ9Vj/8cs0foRfSj/ReI/GX3U9UfsX/YJ8
+GXwh/7Cl8LIVcct8IA3rRww8wzkAj7tz/g92q/+rp+qHQYGX1q/1HEyTS/T
7EwaH8DwoXzh/+o6MH4y7aN2GL7UDgDzD17qoV61A2o/qJ90YMqBH5j0tH6r
9oJy8JGGV+1emh1TOwe/pOt8CjlTjn+1M/RjtQvaz9W/snEv0qN2FljHSfx0
Tdd+qXZH/SqlE7zQqXT/Xb0Kkx87Rr9OGxeA/65fIi8dB4FpP9UT0mlnhZUu
6kkbx6mXcsyjbB6f0k/4J7/FE1P0EvmTP22cAkZ+2u+0v4BX+yX1p417Oi6C
L80vgI+0cV79Bux+1Jcc/tEjSc8lPfk9dxxxX+SyNINgp8G6z4j88EV+YPJT
HrtOOjD9Q/UbvYE+7afA0ME8HTqQE3QA67wFvaYe/rX/8B36gdPsEunEQ6Bv
YaDP2pE4DDD8UB5+kAv8ANs4Kv0EmPr5Tv2kU7+WV/9P9Vjj3+q/abzd4uBR
TtABrPt1yE995AfW/Tbou9jPHPw27CLjFLCNI9EPAcbfwC7jF8IXMPyqn5VW
L/moBzxp9YCHdkbO9BfK4ZcwTmncgvps3hbxgge84AEv5RWvjjO6PgyftBfl
4Au9SrMzwPjD9B/109LGMY0rg0/tuNqltHFO49Jqz5Ev33VdDr2mfvWPdN0p
zc9QPVU7qnaJ8urvaP9Vf0fjGhpnxU7Bf5rdxa6k2TG1y2rX0Ce108DQg56k
6UVa3ELHmTS7BAzftGfauAdMPvQgrd2BdV1P7R78kg9+1a6n2XnoRS7A0EF7
4xehFzpPRE/o52oHsRfQofMFviN/+NB21H6lcoR+mydFu2b+TIRpF+iGP/Qa
PQNGT+AD/qmP9mH/CXyxHwi4Y6Z8gfFDfuRBfmDy026sv5DOOgzw/SG/yYN6
KQdMOfKDH73mu5YDpn/szsinqNw8UPPZem7ETznlAzyk6z4l3fcDrPt+dL+W
nvNAHxiHdV+a4lW7qvuu0Rfq1f091Kv9lvLoPfUhN/KhL+iZzs/UT9J9vrqu
Tr2suyms+6N134LuN6a9wJNWD3iB6T8nZ/CXmT0Bpv/TLughMPoDjD0Ahl5g
+jNwxQz9xfZPfdqPtZ8CUx8wdMMXeoEeYA9JV78H/QKGXsqrnPhOPbZ+Ef9p
N9KROzD1QJfGIemv6r8Bgx99B7/u01S5AqsclA79R68oT31pekK7Kh/AlE/T
K+Wb/Gl6p3qh667QTzr40vRWxy3m+Yyv/83QUWKw6jnlgckHHtpPxz1tV51/
MT7oPmG+8w99wLSTygFY+VI8qseqd6oXtKu2m8odmPH2rVCf/fNd/zXupnF0
nTfzz3f913Ve/Q5+7AD1QCf6Cn3IR+Pk9Dvth9QHjHzUTuu6KfVCB3RBB+mM
wxq/131Buq4L3YxzakfT+JqU+Ztk/5TXuDj5Pwv5HPl1ndbWV6P9wG8FH/yq
vUFO4KUe8JFOefUTlE4d99XOoOfg1/kr7Uq95IMf9ABY10lUDloemP6rcXNd
Z9E4mPqlwGl0ab1pdAQ7VWb1AyftYZmVx6/h//9vOWDsFf2Gf93fh54A6zwI
PYB/3Z+n7aLneVUftR7g5DpiNu6p5+Z0fUj3GafpIfKBbts3FMc3jYOST9tT
969pO+i+Wr4jF+QAPvh7ONO+232nzP8a67e6zkd5Xfez/cFR3shB5QtcOVNu
pv2n4QXelsH3uyN/TobvhQbXzJSfa3bmzACbvSEfeHQdVOmkHP9jM+0w1l2R
qXeF+3eQUxw/txt91wW6rF7oaBHK+dKAx+wydIOffNRDfuwj+sk//Rv/gXGF
eqmH/kN7Uy90Ik/4SIszYoeRJ/yq3DVOQT3Ue0+G7qVOxwPGMWCLg0Z9hz/k
j97aPqHwb/JSf1jHG40faHxGvwPTL/A70V+dv1WIDYU8k/tAc8cB0y7qV1Oe
/kU680v1m/HD8UtJByYdeSAHncfDH/mhX+cxeu8A6RoXgn6dJ1Aee0U6/Gg6
MH4z+YHx+9EbPZep93zoPFL9NGD1c+hPwLQH+JC3zkPARzowfjj5gfV+FqVT
59m6n4T+wndgxhHK2/6+WA556rwIPKTrPETjVKpHwLqvlHFDz7WDn7iLzsv0
nDTp0Ec69Gm/1fs1VK91/q7jqN4TAj8al0dfdB2KfMB6rp36sTsaD9Bz0joP
TLM70A+s+9DVLmm/Ro7YU/DpPEPvlSA//CIX+CE/9Khd1Psj1I5oPELjCbqf
TP1KnbdqO6mfo/dnUJ7vwLSnzvv13LrOy/U+EI3r6X0ZOg6o3VF5aBxX17fU
L1a/Uf1SYD1XRRwjmV5msI5TavehX+M7apc0nqN2RO+1UH9Z74HQOA/pOs7q
OKR2Hvo0Lql2SuNPGvdTPdL7LJROjXORH/npuKl2XOlTu6/3U2g/Vj0Hxp4x
v4QuXf9QetSOq53TeBj9Su2c2hno0/gY5RkX8Zuwd8D4rfybvxnL4RdqObWb
2BX88NkZeKC1u/ql5KcdSKe/kU59up+ReqmPf93HiB3Ue0bwi6lP1yMpB70K
M29BztinIP495eK2uq9R8QAjB6VTz5FRL/RqnFPjajp+6z0Xut9E78PQuA3/
0J32PRknrJBLnFH3OwNDv/r5et8D3+n/yj/fNa4JfzrPwm4zX9S4oM67yI9f
oHFAYOQGrHFn+hl2Vb+rH6zrRtCLnJnPEg9B7qSr3DUuDr+0e2nmf6x/NJNv
aTk5qt8ITHnko/Fa8I0N+C3+oPvomW/Dl50rj3TqPgT0TvcXJtfvC0xOyIV0
6CLd7lEQucBXGh/ApGscAbkC6z0B4Ce+AT7kAYw90HUe3Y8IPvinvMbp4U/3
rUMXdEMXcoIu6iG/0s24Tj5dt9B+w/io/iz5GWfA3yrAVp+NG1FOtANxGPCC
D77Vz9d7D0hn3McfHB3tv+7XStNT4j+MD8D4PRrHTsbF88ut41Gv0qV+K3SC
l/y6j0TXiXTdCph+RHvQD2gPYOSn6wjoHf0FPMDgQe9IByZd+5XK1fyLqA/U
q+sHaX6e+oHIU+cJOl6Tjl7yTzwSe80/39FT9XP4rnKCf+KxyJ3vwGntRH+n
31EOeui3pFOOdPq7xq3Bg50BD+ngAQYP8WS1I+RP0wNg+i9+N9+RD3oSxtdV
Ni9GP6kfOYX5yiqLj4M3eS5qleGlHHgoBx7am3gw9WO/KYc8gbG7dl9BbDfy
IRdg5K/7mpADcgfWdQTKU071SePvtK/qBeXITz70gnyk017kozx6AN/ApCMn
ypHOugf9R/kAHzDltR8hf2DaC/ppZ2Dy4z8Ck67+B/XSHtqv1N7RTvgRae2m
61Cko7/Uo+tHuu8VvwI6oJv5qvqLGofWfcikI2fwaLsCo9/A5Gc81P3Gag90
fZpyjBf4w/jbxCn4Tj70Vs8R0s+QI+1IPt33rPzTTuhRmt4B6/550rWdVS+p
V/VU9RIYuafZbfJjx8BHf1S9AtZzWKSrX6brjtCveqTzF5Vj2roIeHTdUf1B
6FI7BV1KJ+mqd9DBd/RC4+a6boCc0SvkrOuawDqe6PqpwrQD/gxyIl4BTD/Q
/djMT4n/6nom9OA/YndJT+7jLLD+AD70hfLQS/nkvs8Cs1P4YdhX/DvK6z7n
tH10uq+XcsDUAx/qV2KXgj9ZYP0IOVAv+ko++h9wWr1KF3iBqV/3cQe/taic
3dd94xqnAwavplMP/FAPclb85EcuShcw8VbiQswn0Qtg9IZ5i+4/13mNrlvo
vdca9ycd/dN7wKkPvjTurvf+674JYPQOGHqwW8w7gOmfei+1xvH1vgDsjPqF
2DVgtVvoJ/0V+nU+wPdAf7adVY+wV5QDhg7q13vxsK+6jq98kG7nd6PdsvO7
EdZ5uq6/aLre/6XrRdpuer+6rs9ou+m6ss5PwYc8md9CD7DuS1A9oh1U/rqP
Ufc1h+bYY34h//hrad+pn/4IffQr5EG/134ODB7inXpvFPrN+IheQA8wfgSw
7gPAHlFO42TM7xiPdZ4OHvVTGDeYp+i+LD13pn4H6XxPrt8W2PegT/nmJyJX
8Ab577B09ctZd9I4E3oAnNz3t9vmX/QT+g3yCvWWlLPb1E+7Iac0vxY5kK7z
FOULfOq/6Xk/0gN/2yL/m60f6Hom/Yt+l9YvKafjJ/YTPxQ9pB3QT9pZ9ZVy
fNc4SBoe3XdA/0eOwLrORLm0fOqHqtwZR6ATOdAOpBdl+Jrvjsl09CHl4lT8
Y7/Az3gDPmDwfZChc4jVA73AyJN6h2XwLDM85AcmP3jJDz70Exj9Bf8BGb4W
mB9LfmDyg5/8yBX7szxDh3ddM+0yz+wa9dJeyJv2JN0Huo0uykMH+YHJD13q
F9Cf0APGFcZ1PceqcSv4ODTgM/3AnmrcReNod4fyDrmon8V38mE/1Q8Cr55j
0H2kjE86/0FPwU9+YPQXvxf50i58x34GPyPrN9Ce+FuUAz/9jPzJexoKrX7s
3chMvj+tP2OnaX/2DVAP8iLuCT7oYpxA/8Cj60zaT4DBgz7kZfKP9tpPgJE3
+fuG/NaupNPupOs8Gb8DGH2lvzOeAjOeavwSuqAbuqDD4s2RDtLhS+kGJj98
4Kcy7iJH5IvcoQ+6aRfs4+Ghga0cdPCPnMiHvQPGPmEf+I5eUJ+O8+BHPw/P
wH3crZn8061d9L5fvtOf4YPxl/7OPJTvOm4jL90fqPrMeK77bHSeCl3JfQg7
rL8A631aep6M/rdvpr715j/RT/FPoF/jR9hDYNpdvwOjJ9CJPUfPaE/qod10
Xke+QN9yS0ffSUff0Sv0gvYFpn3RL+gGb/Ajl5fTN/ihHOMJ8qJeYNO/iAf9
Q6+gY0/mf6f1R+phXsK4rfvvgfHfKAc/Gk8G1nU7nZcH/HNs/IYv9OufmXon
Gh/YM8Yx1qk07m79PfbHBplyvxq/yXPFc8zOpc27dJ6GvJL3fVTIRU56XwDj
OP1T90Xpu3rUS3+FL/wQfVcOe0A+xt/k/sWyOJ8v8vzT3nrOWfe56T483afH
dzt3F2HsBeuQ9CNg9ACY8rq/L3nfShaP/iN/+NB6SNf+0igj71kWJ9B9cbqv
X+nUfMDUG/yYEsNLPcSD8Y/457v+Y5+xL/zzXf+xw2rfmWdrHAD7oOvE2DXS
wYM9559ymg84eb9GifUvxpvk/UKbHf3y6WDPzL6q/ac838lHOfwO/rGPlAMP
9WF3yYedpl+jR/BDf6YfI2/6p+6LTCuH/00/pl+Dx/arhvLWr/W+Dc2n+0ax
X8RJ4Ad7Bh30O50n6DkwYOw2MPba7qGJ/QcYfUEf8Qd1PQeYdJVnWj1jg17a
v87j7F4j6df4MaQn76soc7pPNHmPWb7X/sk//hxyxQ7oPAU5U5/C2De7zyO2
A+kKY++gFz3QdmPcZDyFXtKpT9fh0s4dpq3TaTumtTvy1/1mek6RfLSr2mfS
aVfFk1YP81H+Q/oug2lHlROwllM9ot3RA23ntHYExo/TcZDv+s98N+17qzBe
2b4h7BAw+qH3COh+JB3Xwav1oGfYa80HHuAwju6wdP0e5F5qMH4Q/5oP+6/x
csZFxi/dD5N8h2VVuftk4Yt0PeeDn09+XXdQuvQ8rZ771ftioBv/mXlQaO8l
9h368NPQV733mn6fvBewQi79mvEB/rAr9CvK06+S6yLFcVzNnsvUfTnqBwMj
V2D6r/mzcfwDH/4FMP2U/MS5df++nhPV8+H4Z8l1vALjHztHv9XxS8+j6n57
lUvyXvPNUY7Zc1qUx44m773Z7hgPiZ+Bx9a9Y3nkgd0kXcc/9ETXNfTcBfLQ
9+d1/q79AbzoJzD0JO8xLCs3r6c/gI96KK96hB6jpzp+6XqC2uHkfLRCjp67
QC9Vb/UcNO1POzKPYL2KfoVcVc/RMx3f9Nyezlv4Dv98h17khh7qvI902lnH
Y9LRK/QMvskPnUoXMPxSXvsZ8eIAF8s90Nn3jhl/NW6m56CgW8+HAVOv3kOu
69V6Hgz9AV9yv0+ZwdCZ9P+32f/f0aXnzLQePTeGHiM39F3vG8YOYMex67rP
Su+xpH7dJ0U68R3sFXYOe8W4zDoDdNi7x1H+Gs/BX+E7/Vb5fCSUt37eN4N3
tMXzNG6O3Ve6gP9uXy94qYdxm/ifnmshLkZ+7AL6BT3kh3/dJ4r+QRf2Mi/g
tTg7eEinXvwK7DP5Ds/897H1ReiCTr3HBLz0E+IAus7DOEYcATlTX7l4fvxu
6wURRq7IGTuB3YBO7C586f4hvkM37U0+5Noykz7L4r3Aun6JnIhbQqe2A3jh
V/WIcjcGPBaPBiadekgHRn+S84olRg8wekJ76rokeqb1wg/liatDh+3/inpG
+tiMfMY65Qs5Es/TfabKJ3ToOp3ugyFd/Tzogg/1U2jP5D1ci0wOoR8uMroY
z7GTjL/ApOt+0+S53KJy67O6fot+Aeu5ab5Tfnbme3ZdF7kA428Bo4fko/+A
X/MBEz+hXzP+4r/SrsTjwrxnjsGs2/Cd/SvYFfhKvruUxYN9wU+iXvVjgeGL
+Cb2hn/sXtp3+ITvoD9LPHTRv1QPge08kYwX9A/ahfqAdZzR/WPUA72UQ8+B
Ka/7vqADvQRGTsgN/uBX+aY9kQv/fIce9AoYfQVuFWD7rvtjdP+L7m/R8YR8
wORDj6En8JlvdJKu9zHSj4N/u8qh59gH7EWwH3n+tAz8fUz/S48jjB2h3H3h
e7lyaXjgi/qTfJRE+rfGcW6L1Yddw+7Qjti/sA6x18Y76iHuEPSpzCfjTtl7
ipEP8w1gjWMm9zUU2ryNdGDSmW/repyec9e4MuWYr+g9AZSnHmDwM+/Bzmjc
knrBR37wAZPO+KrzKr1njfLkpzzzZ+Sv5330XB7f9ZydnisEJh36dB6m8W/s
i8YhwQt94NX7C4E1TgQ+6AbW+zuS+wgq5KbpGbCu8+i8EljjZLS7xs/RU2D0
DL407ghMe+t9QapnGn9n/g+cFkcCJp35POnAej+QxtX5ruswuu6C3up9regR
ciIdvoFJJ7+uK0AHMOmqpxr3Qq7Aen+PxpWA0QM998L8W+KrOfh9es4ImLgv
MPERYOwodpb2Td7ft8rS9V4j2oty0IUfhH7rORXdN4J/gZxIR46k2/1bcdxh
nwLjBfLUcYr5lJ1zl3ErOd4U2vwK/HqenXpUzhoHBw/tSv3khz/yk673lKO3
2o7Up/e263kN2o16gMmv9+ApnXrvH+1Mf9T7OamXeTfzIr3nhLgJ/q3eA0I7
AZcG/9Fr3ELfhwNmXkN+4kP8Ux6+8E+hW+/lAQ/71vTdhVZBj6w89CJX5pP4
qZTXfVHkhx5g1mUor+f28YvPD/m83ntMvIL1K9KRM/Mh6MEfp520XaCD+vQc
K3JFzsoX5Zlv6z0s0Ed56Cdd3yVSPQAvcgFPMj6aX+7+cZULMHxBB+UZn9l/
qfepKJ3AtIPGxUiHT9Khk3TiYrST3gsIncl16l3Z99gjX3r/Cvn0XhfmyfhZ
wOofIifGZ5Ub9haYfgO/+Cv0X91nBIz9Ls3Qt87+if/BHzD9FD8p9Os1tn8o
2MM1tv+HeV1eBk827gP9wNBP/g8y9A+xeTf4wQs+YPKBV895AIOX+SLyQu7A
yB05In/ooH7sB3pJPeil0kl76PsGus6JPiAP3Ud9eCa9j9ll+AbG76GcxmV1
3q77LXT/Pfyhr/Ct+1rIjz2FD2Doww8A1vOF4Gf+S3wDvYNe+pveX6x+OHEm
4k+sd7A/G/7YHwj/+C/JcXNXOf8G/vWcM3ixB+Blvwr+H+0QyheYnlIOPMwP
oEPnqTqPZfwg3c6fRDw67wev3iMJHvSYfb38a/8k3qfzCDufHu0KcmAdAvuD
HPUeJ2CVi+7TAtZ9VXKfYi76w7oWdAJTn+4b03sM9FyP3lMADD0aX1EYfWZ8
wr/DbgPjVybvvy6zeST00X7oMf4VdgMYesmPXpNOvwUeHeRU7pyC7nNM2/dI
uybH+bJyMPnpb8oXsPJFOnwpH6onf9dOyAMY+pP3ypSVg3VfD3qoegc9+n45
/kjaOTFg5KZ06ftM6A12UvUGmHalndPa5e/4BmZeDF7Wn5kPhHF3o61PJO1Z
iflHjBv4+/QH/GNg/GFg+id6gN1N3hNRYPXQ3/EHGH/0HhaN32ncS+NiyfeH
88vxofM6+GJcRO74f9CFPdN+DZ/kRw7kJz0t7qhxSd2XqPsW9dyOjusaB9R1
a703S/cJ6v1vlMOP13vU0vxm+g1+XnK8zs4ngMFLPZQjnXiS3uuXFlelPtLp
P3pvnLYvMHql9g87r3Fb6tPzg9QzNpQr1w4qX5030c/457vSqe/o0P91nkt+
6ocv6IRfvdcNmHZgPYR/8MAnsJ5Hhk7iX5THD2W+Tj/U93vAg/4qXToPJ77F
fDvY/+y9G3rvHv0Mf4v1IeIbdp404LG4ib6zAx96Lppy0IV8oQt8uo+OesGr
93hRD3TSj+ETvdd5iN5zpe8OazrlsefQD6z3QKN3+BfYFWDaifIaF9P9w7rP
F5h+r+eodF1Gz1EBIyeNkwLTXvoOYNq6Gf6ArnMpzLwAWN8d0XUaXcfR93R0
/7DSp+uE+j6OvuOo637kS1vn0XUgfacB/nTfp+6LxE/Dr2F+iV3TcxPgV79L
24l2Qb/wi5i3Kn74Bn8y3pptN/pBWpwJfSQ9bd1J16Ww38zvgNPWcXSdR8vr
Ow7qd5Ku7wLjr9PPdN8hdiItToHdIB391f3Q1Kfv1iXvYc8dBz3qB2JP4AOY
dOwRctJ329QP1HMm4AMGH/RCj55TQ+91/ZV+mxa31Lim3suh47aek0mLKyFv
XZeEHl33Q1903qHrw2p3dN+C7mvQd930fRq9P0zfd8FOqB+Hnui9z3pvhr7P
mLYuS/9PxltKDZ/e2wi/lFM7R1woaQc227kGfZeLfgxM3Bi7qOvEwNCj68S6
jqz3tmLHoRc7rOcQ1S7qOo2u36XpWfKeqywdds99bH/sGvKzeyhjuto1fa9G
122B6W/A9GNdB1W7G9jYY/YGOLnvu9gn1+2KvdpZ7BPp/Gs8Vc+Xgwd/mn2k
9m59tAt676WtT0Q7gj+W3F+5q9y9dMiF/olcNI5Gfcl1j93WznwnH/0luc5f
aOv7yXNWrBvvcMn/QtHrQksHZv6UvAetQi7tw34v/ALqJY4AjL1JWydoFWCX
FpdHTuDD76Be6EruT9hregIM3eChfF6G79G2Dqp8MC4QD2Fc0PP05Ee+9Cvk
STr19A312nwkeR/ZEltPot2RI/VCF/YijU70gPky/P3dPi5NR38Z/8GHfUi+
t1HskvuXKuQwfiwO7WHpwIw/yEnlihwpRz2Mq/reBPWCl3qgU9+HSOMLOpAz
9pbxRPWAfBqf0fOo8KX7UPmnHQ7P/Pex+f8HGXxDDMbOUM72y8RywJRDXvhn
lGM9Dnr1vUa+IyfqxS4ix//vcwPZfc72zmEmeYXtH9B3HpRvxmHGUcZ3+jMw
8VzG3+S7o9s86z3gAS/lwJPst3PL3XtDP9dzkXr+SNeZkR980U56TgaY/qx4
gfVed9LT7rFVmP6t9QLrveikwwf50BPsd2jnjS45TmXfvWI8Td63XSTrn6U2
LyQOzzgCjF6xfpo8H1Eq9zyXmN4D0x+gCzsOXawHQhcw6XpvAH4166n0R76T
j3qoV+tRv4t6qBe/Azy6DgzfyAE+0+SQfA8uu44MnNwfVv4cLfMSYOwl8SD6
ma4zpZ1DhS9g0vHz8IuZN+CP6fly3Zeg6/7AaftkdR8tfl2aX52Ey99XDYwf
ip2DL12XRU6k63li/Dm9hztNbnoPisZNVK7AOq6oH4z+oaf0Q2D6J34JsN7D
TDp+EH4TflzyHt4l5fb3ABMPJj+w3pug9xczXmG/GA+IK4OHclpP8v7DXeZP
A+u9u6SjD+xn0Htm+c64wXdg/onLA9MOeu7umky+8XZexM4vxnZmPst8JPlu
0EaDmaeAFz8AvK+HeswvhQ7OpUAH38l3YabeCeXyASNHxjHO4yB/9Evfc8Au
Mn7Q7ozn5Eve31xm54E4/wKs54pJh3/O6fCd80iUAyad8ZVzUNSDXQAmXf1+
9l3NzvAx3/XJwD0MvjmjVx/Yvi7ajXwrQz5PPmD6N/KFXvoh8RjmZdhB4nzE
I/ReieQ+oFXl1ttpD/xGyhO3oT7sIun4fcD4H9g1/A38E2B9H0Hv7dK4apqd
pn7S9V1ktdPA1E9+jYvRLxmXkCt+Lf1S31nGjuMXM74Cm78U203jSPgJxOGY
Z9Huo4OcrTww5fWeSeSt82fd96H31Oh+VZ2vgA+/BVjPZdOewIxrfIdf4LR1
MH1/HL8Iuet74PjJyJfy1Ec67ZG8B6nExiXkTz9AXughMHqofhj0qd6Sjt7i
X8CfvueQ5rfRvszfqY/y6AUw8xLyA9OO8E168t6UwnJ+IPTpe9mk03/0fhHk
jt7pezrUBx3J+6eycPJ98+y6ka7b6LoIcPI+2Wy/AQ7+2sroR5XKuZpS2Sda
auMHsNoR4ohp5zb1HB39JXmedba1m76TredYtJ3RO/wN/C7aXc+9UJ705L7y
QqfnkqDj787tIH89Z0e6riPSD4kfZLI122P7yvQdYH0XN7nva5Ptf8XOEt8G
xt7yn1x33mbxTWDFC5yGF1jvfeacEHAan/jp6FXyXtAdEo/NwqF+7tVda/aZ
dORNvAO9JA6i76zgT+KfoKfsV+E7/ir1JN/xWGLzBeYF4GV+R7vqPfzMFyin
+wLRR73/Gv8PWPc3MZ5o3AVY8QKn4dX1iOT5mGKD0X/GG/od63HJdcAszPiC
f6L3hIOP+pL3wOyW9452W7rSyXdg2pU4I/nRK+wL8xe7xyLoq/0zPiXvi9lh
MHYrDY/eD6zv8vKd+R3nWpjHca5ldqaegeXe0WAewXyR+QHxZb6nvRMCzDzk
gwy/Q2w+SnwYfaEfom/0Q7s3KPZD7ilA/vpuLXpMf9Y4M3oLzP4v+i/5dR1C
369JrnsvNzlrnBQ56j0HtAPzHu5rYN7PORHK6Xu2+p1xmX++g0fPndAeeo6I
+VxuBv8way/oAkY+x2f4G27zOfCQH5j84CU/dJEfOei+OvJhRxXWeATyBUYu
6GXauy/Qq+866L1Q2h/o/2nv7ADTH/TdnXLvTMR6wEt/wR/Crqrc0Ms0vUVP
0VvkiJz1ntE0Oeq7MuBRPcYfhV76B3Qh9+Q+2uVe+1NyX/ES45d+Doz9tH2S
0X4CYz/xI8iPHwGc9LO32ToP4wb+DuMD/g3jDjDzFeJ4xI/on6Qjb+IG6CXz
D+CQv0DWr7JxeuYTybh9gbVPaQYea/MnYMrlZcqN9pRDb/XdHfKjx+QnHonf
gn+Inxf92lz8QuIoaXEdypHO+E57cC4LfdF9z/BNPvQX2OQQ9cTuq4ow87Sk
H1JsfkbyfO9m92bwXw1mPGL+gH7ZvT9RH4EphxwlHpWj83Bg/JrkvpXd9p+8
v7XMJf3y1eXOUY3I8DGi3Dkq/vV+NOwJ7aXn0PTcbfKegZJy+1PodzpvI515
eqhnvVuUoSv77nXyPY2N5c7lABOn0nzgIZ24BTDzXfSQeW1aPmDyUQ8weOjX
+GuU13NDeq4o+W7ODmtX+iH2FVjvG9TvwMw3sK/8853xgvzoB7CeIwCmHvQH
fIxDas/RR/xW7A72Ertkdj7mx36Sjv3UdRClCxg+0viETuiGD/iCXtoVenVf
Evigl3To1XOowHovIPxg14Cx19hJ7DXjir5jS37oJj9xC/ofcYvk/sdS66/A
9GfypeFJKwfMfWfEV+knzMvgDzkl7e8Om88x79O4L/OR5LmXRbI/ZpHJUd91
0rgveqD+O9/DfGRtXK/b7pLn1BbZOhn2LG2dTN81Ao++8w79el8c+qT7wvRd
QPiDPuQATP9ALsl92DtsHEiu+611xGkYzxhH8NPZH8B4SFwYPMRB8Bs0TgSc
fJ+1fNwIu0k6+qn+IPVCj55f0Dht8j74fImnZWHsPOOzxt2A9R4s+MYPwF8K
/vVqazfmK/SP0B4rbX8g4zXzZNqddtR3G5jXAecFPB681MP8BTzopcaZgJmX
YpfQa/wkuS89l3bQc+7oETB+EHYA+SXjKjvKxWX0nQJdV9N1N+ihffXcjb6v
q/vL0TNg8OFHkh+++E455ASfwOABZl6YfHe70PxeWX/NSVuHAyYdPUzbh429
tf3KGXispWMnkSdwaM8iG1/xk9P2idDv9d4B+MZfx44CY2cpr+8g0u5p+6SB
aXd9l5H2Yp8Gcqd/9wl0lNt3jD4l3xMvMLkl3//aZf4P6ZRLnj8rX07x6n2X
lIffZP4sTHqSjnx5T7IgFU/yvYv8cu80Bflvi3Y+e56MfIxHyBEYO4+/hh+h
+6BpR8pBT3I/YYHhIf/YoM/W34HJT/wkjBs7za8AJr6v+4rRc70PCfuEH4rf
ybwMfNjV5Hml7L252JNk3Dtf3hMtML0FJh9+I+mUIz2tnOJN3kuZ3ddNfn0v
iXm53msFHtKxp8yzgeGbeWTo/39aPwVP8p3E8uu00KV2FLrT6FQ+lP+0dfyk
f5u9t1Djk3wn3o3+6b3G5GO85p91YcZ18NKP0M+0uL3G9XX/Mf4G/hr+FHqJ
/wL/9D/KJe8hWmHzIuKJ+Lv6LhX0AbOuQD8CZrzBLqifruuA+NOMa4w3eZni
oy3OOyKTf4TBpDNeMa+BL+wI+PqG/NaOwJTXe8/wN/BviL+CF70Bj75jQTug
L8wPaP+0eRIw/LK/Dn6JIwPreUu9pzw5H15sdhY90/cvGU/Aq+eF4Bs8tDP5
0FPw6P1f+MF6Lzj9GHz0c8pjF4D13jL4A4/eSw8MHviz+z7iOEj8kvER+4d/
B6znHtBz+glyp1/Qb9L6VVo/AkYueu4gea/IotR55+EZuI/RSXvSH7ELaXaD
cVvtBjD8one0h/oJ+j5lmt7oPQ6UA2+a3qpe087JOMdyk0NaHCBt3g8MP+hb
ml4Cq19Fuyfj/yvMPwJGzurH0C5Jf36F+TXA6BF+CnqOf4VeYD/t3ETi3t/s
eK7vs+h5B923l9y3uNrisIzHuq8tbd8b/ZZ0/HP8SPol60b4E8w/0vaZ6T40
vU8weW54m/V75pXAOg9EP+Ab/UjbN6PvMGMX6c+MY8lz4ctNL4HRW+SEPUue
V95m89vkvqttqftKKJ/cD1ZifhX9U/cv6r0XaftgkZves0867Yzfp+dA0Df4
Rx6sbyXXR3aXm8fCZ2i27LyW9OQ8LP0chZ6zQA7IJ/k+QmG5fdDodZ9Qr8Wx
sOfYBfQEvdF1DOZp2A9g7Avthv1gHqTxeL1XiPVX/HbsPXYQGLvRN/pDwPjT
yBe9Qk7J9xTK70uHTz1XEuhBrzeZ/4Z+JM9hZ2HsQDLeUCLzuPRzJHrOhPpG
BHto4y/tpv4edpN/+jP7Sx7N0POZpeM3FYbvtp+EfMCc3+AchN4Dgx+XF9rH
YOjGn9V06NB93NCdPKeZ59sFOsq9g5bmxwKTDr3Ul+zX2XMqnD/Rd4sox34I
+gf61CrYWdNP9J32xN7S3sDUh70BRg7JeytLzd4HeZXZ+ACcfLcje68/cVpg
4rRJ/2m3vJeaTWcfKXF1+llyv3H2vGDyvZzsO5X4D9g38CXvldph81HsXPJ+
gCLrz/Q7+KLfwQfpyXOhJeZ/oE+sS9Huej6bfLQT+cCfPMdZ4vT8KnqZfFcp
+x4pfhh0AUMHcQDqwY9DT1ino75knLrE4i/ID3+L8Sp5D85G88ewQ9hBtXuM
Z5Rn/ALGf2a8ZR8D64u6Lo/+JM9hbE7ZR56tn/EduTCuUF73mcMH9gl9svl3
HD/o79hd+NH7+PWdWfolesK4y3iOPdJ3FUhnPNV3FJgHJO9ryN5DDx26/0vv
9cEv03kE4zJyZJxF/6gHeQFT3u75j/JKy2fvZMZ8Gi8lLoU8Wc8Axh5AJ3zq
u7/EYfS+U/od/gsw9UJHWr36DnIaHegP8yjogC7qTaMLvPZebWwH5lnYGdKx
B/puJvsv4AsY+067E2dk/IJeYPADUy92S/cFgJd09Il0ysMH5amHdObj+J3E
SfWeSOqhHPWAl3ToIl3fv6B98bPox+BFbtSP3PReT/Q8eX/tknL7A7Ff0Bn6
b5H5jfhL2FH8DewsMOljA15LB8ZvAu/sUM7sMzDloI90YHuHPNIFPqVD6YSO
NDr1HjTGJ92PSFwNu8j4nYwbz7H9sMl7P+fI+57Ze1ZpZ9LBhz5AN+OrnjOi
Hys/yCeo1x6btzIPpF1Y/0POzOOAsT/wjR3XfXrJe6d2GR3MM0hnfAfOy9Sz
ztZl+E453UdIfwjjd4Uc+IBPvUeSfXP4f/Q/3Y/Gd4svxTgS+bAPpOOXYUfo
b/h99EPkjj8MjD/Mvg/837R8yfbLlqM+6EAOyf0Guw1mX5Tu10orl8y328Yj
+hHzc+So/+hN2nf8b/wQ7JjeQ0O/p731vCD2WN9RZP+CrnuaPYn9HH1i/qTv
3GKn0QvsKjDtDX/4x3zX81h8Bw/zY/w46mU8px7Ge2D8PGDGCWDwYRctf+a/
j8V/gSnHOASs95ebPGI5yx9hvR8TPwz/gPXGpN8yNzXuTxwR/xs7i94wzuK/
AkMv9gS7iZ2DP+rFH2P+mbwfNQszX8CvoR2Bad8PMvmGWDsDk077Uo72BSad
cqQDI0/6BXEM7AT2D/qBoT/0Z85hlnrdt0//Z76t7yww/0vGPUssvsz4hx+Z
bIfseXbg5Dsh2fV/YF2nh197TyWTviLGIcs8877kPDMLow8632P+iX4m75Pb
VA5O3tu60eabnBPhX8/pQnfyPZvdFj9FHno+Vvc50q7EN4DZd7ksjLO235Rx
1N7RiuO9vntGu+K/ghf7r+/okY96+E49wNSDHedfz7VCJ/jwm8Cn79rpOhR4
gv7njiMOp3YKeQIzzjGP0neeid8WZr5/ZnFD6rH7I2I9yftdZpt9IN6C/ad/
k496yYe/h14AJ++fKrR2CONZNj6IvMgHzHwA+TEfgB/yYy/BS3tqXB18yXPP
2Xfn9VwT+aGT/I/EcR8/mHT8ZsoD46fgtyf302Tfu9P7IfQ8Dv4QfhD+l/qx
2F38B+wn8Uf8NOwn/QV/lHz0W/IRp2J9hXYI+Att3MIP1fMCjDfgwa4wzlEO
u4fc8Of0fsXkeylz5F3KuQYzXuPHUQ/zVWC9xxy9T4t7ky/57uQcg6Ej+U5n
+XsOkD/00e8pD6zv2UE39qBvpvxo44N+CIye5YV8ZkfAQzyBcRa/W+8pwh8F
v54rZxxJnkfbXO49MmDsRvI+5CxMejJfFkafqBeY8SuMM9ttvyb2m7gc7cW+
deyp+sHA8M+/7jNMvutZJvPh7P45henX2Af0P3lfbJnUW1xunx96Ch/843fT
T9P8eOwH4wX6wvjFOKww6y7EbxhfgMGHn94q0GVyZVxiHNLxEPz49eAHBj/z
LmD0GnrBB4wfyPjJ+Ex/pJ/Q74DpV3qvMOM585rkvcTZ8/7Jd15Xmp1E3uAB
ph7dR8n4Bsz4TD5g8jEPQb60g+lH/G76EWH0g/bTfqLzToXxmymv7z0hl+S7
wdk4NusOuk+Of+oB1v1Huo+B/KTDB3Tgr0AH4wnyYrxNng8utvkJdh8Yu49c
9F5x1qX0XjfGZeyV3jOHPYCv4Mdk11MZR5hvodfA/+/3mm20dGDmZ9jv5H6i
Motr6DwDGDzwp/tR8L+QB+MD4x/9S/cB6TgHrOOp+tXYCb23A73XfcfEQfWd
KOoFxi9iXKSf0E7A2G30iXRg0mlX+i/tSv/WeyiwIxqPh25g6Mau4tdgL8BD
/wOm3XQcpx8k33HO9gv4Bmacwc9Vv5f5VfJ+nG0yvm6zeG2gK9vvqCd5r9Mu
87vQA/xoYPwF7m+iPvQFetAnvccIfWZcBMbO4S/r+Q38WWDsD/mT/u8ii7cA
ozd8Z1zkO3Byn0Ch6S/9D5i4BvFJ3TdEHDj5nmQWxp4gf/gDhj++M4/hu8YB
gDVOgJ7r+Wm+g4/50CNB72w+xf4K2hf5EydMntdfKf7lKvE/V5t/j/4CE5fB
DtI/0KfkPHG1wYz/+DvIA1jjeMC0O/4P+YHxjxgXkRcwegBe7CJ4gelX+K/A
ev8g+oHfFeSejYexnpWM62+28QWY9tFzfGpf2R8BjD3GfvYNcjUY+4r9o38C
673pes4Re5hsz+123hr7hP4hL8ZD9I35TdTXXOIozMOYlyfjofmm3/CJfjP+
07/p/8DEnfFnaA/igsgbewB9yfu4Cwxfcv9qoY23tH/yndjsvR18B9b349FX
xg3am3Uu+KW/A0O/2mf6O/LFniG/5HnSbeXm8cn7ALfZeJG8r3CVjS/J/ZeF
1l+QP3qOPNFvYH2PKXn/xjaLp9L/4If6gGkf9If1UehhXACmXuSZPN9WZuur
9Pfk+bMyN+P4M86sc/8O8x9p1yOnFi8+9ue9vsWjtS5+7t/LTd+Jbx8V0/Gn
mnzUt+T3m0r8mQ3Pm/CfBhvNbvd+ccXS747aYXDrnh1/u+qF7L2g/D93wbSD
ao8u9JNHD9rQqCT7Hb/1jQ/ffWbMc4VGn//4gVduPbTQ1oMmRNjuQ475icu/
EPHHelwyflboXw502rj73wi/GfBk37nqemi7Sd+Wyv7dQvj2m17OPf/dq3Za
Ovgujum5gU4ncjZ40eQjbqzUqcjiSdgN2qFwwVfjzltZZHK/rtvwE3b3Xmkw
5fFL34z0IifasUnA5/6M9IocnbSzwXZv+Z59qnzlVzmhA7nbOkfb2N60w2+x
faVdbP0E/FEv3U8dp1158pIimY/s8FMCHpPb5sCH0bklwpdEfUzep2t00M5y
r26pmxfrp31/DHS4ubG/kO/VIAeDabfYDjY/AIb+2A+M/qhX2fWjCNNO6AH0
3xDLL2//v7K6N+zwp21deMXEJ0p95ya///LDkL/G8ynnFFT8uNR/N+XNG+u/
vMJN7tCs29fT/5Lrg20+urnqDvfRg3f+/sxXpf7Kxp0GXnZLkf1/O7fh8osu
mOt/fO/Gq0a2LfLt247xi/8x3NfcmfdIlb/a4cmmpbXOz5/hfmtx9g3n/LfI
6oWOyW3eX7TvoOx/qwW3jS5Ytdm3qPfT3sv32+m7TTn8kDuWFriZvx52Ud0m
O+07+T5r+tC49Yv+8hsqNJ2Z+9AWP6tLsyOn/8XHc59UqNry65X+rXdeuWjn
pc/69decd9vxr6z0l7z7TM1TP93rauY3a5e3Z6XRDR/koxxyQC6f31h35dtX
FbouJfnrHzl1hRuzp+WPD83a6/bU2nLwPptXuPP73rrmsUGFLu+ALg1+273R
5IYcL/7p9w6vTi50RzzeMOfyejuML/iED/iiHuoFL/WAB7zwBZ/QBZ0n1v5s
1Z3F+b7JIw0qD31ll/3zvella2ZV/Cj7f0jjdrMearjIHRf+Pf98P0L+N5Vs
7ND9tnX+x0Pef+Laufk2rs45e9p/Kv9jhz+nwVGP/qfvUj/nvnUNa1bO931a
XHPRkvaLXN5DVz15+DX5vlqlP6e90iR772/n98844OlbsvcF8518U2p+eu+E
lj+686Y09O2rrbV6oYP+c/uwwe0uPihLB3QRL2jn9h/9zMgVZhd7/dJ4SZN7
1vp3n9qv9bj3J/pb7/ptbI++S4xu+KA/up5DXz567kLDA966gS536bEZOv28
UN4dE8vPC3y7oUEOHj7g69xYfr9Q3tXa1nFd210rzC9CbsiRfJS7NdBjcbo2
gU6zG3wnH/R8HPEtiPTurZ+h1/iAL+Mj5oMPxQMMHvBi9x8N7eyOC+1q62Tr
B23d3OLrYpdzYt8mjx221VWtMrbpnnN2u0tvqzz6ivw/7Tv5+E6+I74YVvf7
edl1Meabxwc52j/fY7vbOIWckfu8oD8Wt4BO6O4Y9MzGDfJRrmWXZX3u/voP
+7/s/gNuv3PwdN9w9Jj9849bY//y3TUKsP3zvU6ns1/uduF8/9i57yy+dsJI
f3bePjOLOsz323oMOavshOG+boQ/DbAbFL+fG767NvF7vQjnRP1Ar0U/PP92
7/Mje05pdu48d8dvg5aMHr/K/IIbYn+4KeoV/eHmkM+dH8p5yoGHfJQjH+Vo
jxOS7WdxBL6T72d340/5X021dOYXAzufW//x6hNMDshF9MPln3Pqg83um+9u
POLo7/9XfbhDzsi9IHz3W0I+/1nMty3C4It0+AdivawXQOeimP5wSLf1BClv
dMMH5R+6stf440dMdZV//mqjP22CzaPQ457//nBL3buX+ROfWnt3jcX55i+e
e9PAzV/6+V7yWTn+64Z85p+cHPAgX6MTuuETvqCTdPhcHPkiHbrhI9Zj/il0
Rz5MX0pv/XzYp2dM9Qd3fvW0849bbHSgpzd2ePzPd46b6mqEdKtnTRgnnI/j
RofYfxk36L95cdygvx8bx59lP+3T+dO//LyXWnX96Ylqw92eXz9vsHtBkbur
57QDWn4/yn0fvvulMd+34bvfHfNRDjyUA8/bGwb0zF+x2eZ71Q755JYhPbfY
vBC7tvLnWj/95ot8xwtOerZytfL3n4Jn2HEPtnl8/C7ZD7TL8H7VacWA+xtl
z/WDl3qQ248vnvv15lvn+FHxH3mPDLC1M/lXt3/tkz/vmuNWBXwueZ/nbtc/
0GfjwchApzsh0GXzUtIfDnxaOfDs2DTogIN3TvY9e1RxH1Xc7YvHtj/5wH+M
dR/2+PmpJv/a7W/7ccrcjzfluZYfHjT0+r5lflWtuS/3+3G961XvvBse/mKP
v3jrtWWX7rvVHTRn2abuDf6aX9/x/hk171nit4yr8+GQO3f53EOLv683a6Gf
U/rcmyN67/K1R+wc9GXrqb50VbtNK08u8YcG2JVF+KuQ382N+TsEfO7PiO+M
J659rVr9bf7aiSu+bf9rvm/45Ben/P78crcnf8JDHw3b6WuHdNcyppOPcjmv
vfVon3P+tP8WId2dFdOrBD7c5YEvf0yluXVnXjrZtflf8Yx9PlrjZ2z5bPes
kdPdhr7Hb/n9xDX+zCcmzW05N9/NmHX5Ec/85T+9GOTiNgc5mRyQC3JALjHd
PRPTrwtydo8GuVu70E6xH/j82C9iulsS0/uHdnPXjMu0o6cdaVf4gC/4gK+Y
3x0dyrsXIv7RAb/pAXpBO9FutBPtlhfS3VsxPZZ3D8Ty6BF6tfOWd45qemeB
P6LxvGkdL/5rvA7y9T8H+bpX/9Xl5/6vbHdjH3+hzVM3rnfXNfr3msdblbgJ
N64euO6wDaaH6CV6gF7QzrQ77UY7fji/dFH+7knuhY+/OGvVaQXWLrQTfMAX
9UIHeoMeoQfoBe1KOy9J9j9rt/7SDrQL7UC7PJDsn27HsHOKpl65wf9rwOmf
fFNvu98R5OS7Bbllv8d8fCff/vOmn9rq6Xmuevj3/PP9IPm/NfoZp0d/hH++
v3/FXQMnbN/mu5TNfKrbbWV+1NBNL79+xgY/+duhIwZeXeKXB/n5ZkF+fuHx
Uw+qdfNq32RyqzubfFDgG4X+7cti/wYPeMEDXvCAFzzgXX35ve8eNTp772TO
gUNrT1k5wy98+7+tGy9dbuPm4IuLelz18Gp/y6v3rX9w8CyLz0IHdH2/rNFh
T66aZP/vXVq86ZQ6k/zO/j8+N6rXZPvn+z37b/6z7v5zLQ59WBxnGZex/9Xj
uPxlwOt+jfjP+CiDzzVqGPDVDf/u4vDdrwn92e0N/dlTDjzkoxx4wIu/8Pum
batczgwbt6ALOqEbOklHfrtieR/HN9KvD+XMz2DcOyj6GVG+7rJo1+EDvnqf
PaTm9wU7XM8GB33eYuAqF9vXLQjta+XAQz7KkY9yUZ/ce0Gf7J/vjOu9risd
Pn1TmX9zYvFxz/fbZut7fCcf38kX5Wj+o51DjnIlDv940AuTC3JCLpT7KOil
tRPrBd2DnnpXmrfskntX2jpBYayfdlG/g/WYRqGcrb+tDf3EvRz4k/ddylzf
wJ99Jx/f9X2sj2N/ahvppD8NivxAH/U/Hfsd9MHXpZFO+Lu2/uzpD0+daf9N
wr+7IcKbju70eus+C93Il66+YsKDM/1b1V/KW3n4PLdg7tZWFy36xb8dYD8/
wFYOPHd+HPrFxotDf+Gf7x8HvK4o1GN4wEs91Ls12F1XK9rhBXEcey7a4edj
uSPnhXLoR7doNwZHPH1jPdsjf19EOqJ9sX0uR0Q9ot/S/vj9sZyPeKxe6GAe
gF7Sj5kXQAd0/fzd+R/P6bfE3XXK/KNu/XCieyb2v1dD//OiX37s+S1u3HBR
gc2Hol/vr4h+Pv7OkOjnj4v57b3XANt8CDz6HRh9bLq08+rl08tsHvdhWcsj
Pzhjt/WTZjH9negvMy+44OJqL1+9c7Wr+njOiOfOKfa173+w03t78l3LUXvf
WfnGLt/9koPfK+5e7Ncf8ctfHlZ2PeXVs36Y+fOYYt9y3oTGJ41cbOsatMtJ
x48aX2lFdr3ltZgfuZ8S0/Nuu6lH5aO3uvo/tXyl77fFNt+K8wR/TaDDnR3o
snnL3Bce/WD8azvNTo0/aM+Ah3/IrtszLjJfWBDzt9t6wsc9Psp3t4R/X/3i
LV+N++5Pm+/R/0f8p/Kx347dbvHDI0I+q4d6oWdau5EHHnzzNlunODbmHxfy
m909P/Dplge+4cPWiw4M7eAuC+1i64ofxvnbzw/m5Q68fJ4/qELpP+rdt8zX
KnrkjbcajLF2wY5gX6Dn4R9HrGtWaa2/4vmiV2scsMPOVTAfA47xMoNjO1s8
iHalna8v2zXimYJdNh4gf+xiwWWdxlcam32X/vZmJ3xU1niB5bdzxbGfjwn8
ucMjf5XCv5sW+Wbf5GGXB7xRj2wcj/3A+kXsBxbPgF76BXxVC3I0u4ydhh/8
pgcj/ZQX+i2uWlAc8DEOge/gyM/EyCf0go9+FPuV9RP6Df2UfouckBt8Rznb
OIzdRY7IFfpnztlwRZVGq9x3gW7rt+gT4xR0PhTxY8fBT7kaR29/6urZC938
iDd5X0ih65Xkz+zx61HfbD0xxm+xC4tGLL+71dHZd3SxY9g17Ab5sSvYmaZB
/y39tA5tq25Zuc2fFP7N79BxW/0IO+cR+y/05Eb7gB25Kq6jXBn+rZ9PD/bC
fRviLZYfO4HdoB/Sb0cGu2R+yvHRftHP+R7pMDuOXcfuYIewM9idPtGe0070
K20nYOwydhr+hsf4zUkxrkT8Ru0M+hr7pekXcBx3XByHXNG3M5dMGpW9F5f6
YtzL7CR2s/bBVXI6b1/tn7tz3EHv1Cn2jUdWfPLFb1b5/KuatlnRqdi+k4/v
5Fv1SNHaf+0/0502br+pxzwy0J/zVbVe+0wqsnH5m9MXnFS1eYHrfs75xx9V
6Xtf8dOP/lF8fYE78cneA5Z0/cJvOLjO2W+0LnFtp35+3bKtI3zZiOt2Db1o
hfkd2LNqwZ65Nu/92nTcySVue/tO/+3Saqor7lZ14WtHl7ge1Vp/+sDKaRYX
Ik504t3/3G9Dxb0WT5u8rqDC6E/3uHtebLf0hO/Xu6LLK9Zt2GaP+2nNgjY7
z93oJq+v91anVdvsn3Lg2VPSfucYt9Nf02/y9QtXF/iRh/Z9qlKnnf6Ken8c
csYPBfadfHwnX4+Q7n4K6S6mu5juxoT1TvdqXO/kO/nQj+MDPX52oNvnBz78
vqfvfn7CXWv8ycveWFu78V7zS/BTbjnjy81HdCx/f/mrNVve9o91xfadfHwn
H+0a29nnPRHacZ/Qruan1Y3pV4d0R/rVIQ7lr41xqXv+dddxdQf/NY+evKBJ
1S/XGF92DjjyAV9/nnlK3VE1xvqdxSf9fPSApTbOM+6f0/yVi7bkL7B+iV2t
OvNfFx9y/lJfGueJTeN8/oKmC9p3rlZgfnKMA/mPQ1zI139w/VutTi/wt/cd
d/v9X0/yhbHe8YEOF+lwWyMc9d33DPruzn565bBdVxT4oi5XNzmr53jX6ItL
1lU6IRt3YNyPfoDRDR/QDR9bpV7sQ8OA18Z9+o0LeGx8ZDyrGPC6DlM7fLb8
uff9TSPfK1hxwzJ35a8Z2LWP8M79Q9ywbWgvd3doLxfby8Zpxm27/zyOayXB
XrhTgr1wsT3dntqZ9rR2oF3IRznyUa5D0Mty94/3CXpq9he+4RO+2wW+/MO/
Jfj27YMczI5iV19dWv2nKxeXv38cOwsd0AUd0PXvp+8554Kfy98nPqzttuK7
mpY66ICuTV2e/Hx0tYGu4J1247+uNNNfOTZjV93aYGd9Ufju2sZ8a6L9HRPz
tZd2tPvxQnv41e8dc/mAWbPdEwfXnnbgNavNr0E+j4XvbnPI5ykHHsqBp80n
pzxw6a+LfJP3Pr1pfeEKKweeQ2/9ZNV/e6/1vv+QL+rV2uGLo32nvy1tsfSn
g+evcB2eKf79icMm+tt31DzmXz1XuHP+HLenf7spfmeUQ7euGX595NePDfz6
0oDP4lEdQnlfIZR39frdvWJ5o+w94czbmce/3er1vlvKxvpnR/3540FvLXWn
nhXsy/bYv/Dvvjnn45Wdqi7L3qcY4cgXfFo9sV47h3RFhGM5859pZ9qddqbd
BZ/FNYhzVFj48vi1Y74vd5/37E+q3bp5XJ7t8+11U6uhLa6b7nqNe3jz+Zvy
yt3XPf7qJi/++6186wf0C3s/J5Tz5ENfkBtyRG7IEbuCnWH/7rQkPtO/qZE+
vW/7x5ivZoijuMIYz34+rg/Mi/HsWXGeib+Jv3hU3H9AOfBQDjzYYewyeoWe
oVfo2SXRnmOHxZ7bPPDcaI/2/B7sOfwShyEug97QjuQ7Y0Gmnd3C0K7l9AoY
Pwy/DDuB3cBOYDfoh/RL+h39EL0BP/b18uT4ZO2Enuh93OgNckAupCOXfwU+
7bvos+FFj8FL/Yyrl8XxEL+R8RC64UP8A4urEWd7+4tdqztuzDO9FX7crqgX
yPHOqBdHRDlG2B0V9WZujEc3i+sUX2x+osWHbxb54S1f7zht+Qz/TM7wYQd8
U+QX/bD1xvylU/wRW/dd/GibEt/lyf6VKrz9Lf6yrxL95fxFX7Q75c98f9vS
P8cPWzjT969x2duf7s33H5+w+cb3F8zwhcE/9sOifzzs3Fs/Gd2uwF9c5/S2
5zXr544M+N3iJzL43cboj9cM+N3QQJ9rE+hzkT63PNDnGgT/yfz13pGPL2O5
osjH07Hcp4EOj9+e98fKkevbFVj84ZtAn3vz7EBfx64Zv8mfFfwo92ag25OP
eqiXeqiXeqiXfQbsO2CfAfsOpqyt9PKtK7P3LhTVLjp21tQi17LLPj2+/jjX
5IBckANyQY7IFTlulHkO8x7quXX7gnt73VTiHgr1+MJY70mtHnv+uz1PuS9f
erJpxZVZOqBr6eX51Q8cvtO/9e3v0x7rXWL3k/R6sOrUH8dlzy99HfwNm9cT
N2A//s7gz7DPwc61QF9sJ5uXM6/E/2Eea+8qRL+BcZtxnHGbcfy60fc2enfJ
clfzjaorjvhLrvQzxgHsPv10RNyfgX2X/RnmV+FnaRwvygm5uVeCnOxcP/zu
9/N+73119kybZzLvZJ6JXjGPZF7JPJJ5JfZq2bBa4wYs2uV79B1x/K375st9
uoXex33ZtAPtYu0a2xk84AUPeJkHMi8sO6taw9FXL/VvjJ09/Jmty/0zBz79
1EXTlmTPp8d2MrsW5xfMc/J2HrP/LX/N086r2qTdvQ0n2zyNeRvzMOZl4MGO
Y7ex40sCPregSgafzSOYV9DOBwS/xi0QP+aKH7+sPad5gZtRePScL3aNcdiF
OsFOWPutO+Cjr4o6LHPv3dTsgrUV1/qrvz7pmJ0VSv0RdRrNPe/gNX7N5X2f
n1Cn1M5pdIn7zukn9BvGXfiCDsbh9aEe6yfQDR/kh4+Vof1MzzmH9FJoP9NL
9JR8lCOf3n/yzi3t2hT+43e/M7S3ezu297Ohve08Ed/Jx3fyvRbSXaWzg95w
nr9v1Bu+k4/v5Cu6fP0J1wyab+fQOlw56I2Vr813z23sdftvSz73H0c68X/5
j99dcSzfKpR3/a/49J+d/jvfTV7V71m34XPXudMhJ6wd+JkvGTzs42qXLXMF
PVZfP9IP9/P2nTmu/lHLXOnDmXRXGtOHh3Q3P6ZDV6TTTwp4fazHzvtFOnzb
WO9HMf2D7+87be/2XNe8waaKi+vk+a+jP087xHr9nkCHnx3q9Y2eD3SWxfQe
kc65Mb0k0hntjukT64asI7JuyDpim0H1unXLmWbteGWka0Sg0/wi5gnMC+iP
TUJ+NzLyxT/f73j3jsE/187eA7Pw8+HDOtdeYudYC6J/sTCOr3Hc86cEf8Xh
ryz4NYyDDUI8xR0V4ilu6fR9t968Nd99eNjz9y2cO9NtaLzttQ4VCtx+79xy
Sp9lM2zcYxw8qW3m3/P9nOfueaBi22W+44Yhz/x6apmv+GzBqbMnD/AP1Xls
Sf/Tdrt99j77fqex892rZ4zo8mSFV/30Kj/Vaz9qvhtx72kX3LFvP9+sZ51j
brj1Bf/sDW+cMuOOZW5o7ZBv31DO594X8k0L5XyPkM8/3iOUu2Dv9Yet6L/O
t3rwRbfsyxJ/WW6T5b+33OqGfbCnxZDKW9zpXQd0O/Evf7jCb/u+c0HfMn/Z
mhld7p6Y5xvfX71elXfLzC5jp5s98tm/av6xyuJtVwfY6fuA1/UsuOTmb1dY
HIm4EnGHm2K5u0K+cuMbfk7f5u++1ubaxb73lOuuqrSq0E9tW3zNV7+M8sur
1htcf0GRP/Dmd/t3mjfFvdzm5BuLhhb5D6pUOW7XjwVu9sW3zawxeYt/Ja7z
xn0XvlHhg1OPPGOnn/Fp01G3z1jp4/4gH/cH+QPeD/GBTjGOMGPvwDPfbvSt
P3fD7o9q/GelLwj7wVz1sB/Mv99/Vt3C9wvci79NHvr0TauNTugGL/WAl3qq
xv1M/LM/7uy47yrqiW8a9QY6oCvuu/LT4z6sf9x5+yknbi7zm59atuHFS2a4
jWF+5eM83o184aiPjnjjHl967iV1jj9rprsu7js7M+5HQ27IET7hGz7hm3Lg
OSHOA/AvmxbnVRh1fif/QmmzK9v95T/KeS/zA9EbF/ZBOv7xj2rdP7P3U7NL
fPuX751XOGyt3YN1b/4/h7Yev9XuN/jHPw969JEvvvPvfnPt9FuOneF3Dz6/
cZez/uc3uQNPXfDaDP9J/L64WiafK4vf3wv5XOVQ3vUL+dzF8XuVnEw+Vzn6
ga2DX+jlfJfFhecO2tS3W3G+retyTpB+Ab+sk3Eur03sD6SDB7ycgwQv/Y5+
yblM+tEWOSdHP6PfzQv4bR2Bc2Z6v+GwWYdXfOfQQuu39GM7HxHx7E6eV/L3
lHxe5afhK92UWse++8KAUn+N2/DrqZXn+aJ3qx7Reu4uPzicL/NT4/myWqE/
+5difz4tnEdznEfrHvq/WxH7/+Bw7stxDuyZ0O/ca7EfxvNVPp6v8tUqhvNZ
H4XzWX5a1Pf+Qd/9gHj+hXM5FUN+NyjmnxTyuw9j/hrx/NalEX+LcK7NXRvP
uVEvdFAvdFAvdFwUz4EdHfM3D3hc23he7rQbj77eDS50k3pvOuKmvRv9jMNv
HLl42w5XreK9c/u8u8pPCnJ2jwS5++9iO+x7QqZdjC/4PDKeB+N/fJCjy43n
6V4PcnTdoz2L+Bz4sDeVn87YG185wK5mhBnnZNzzY5/JwI70LhGO+FyFUN70
CL2inWl32pl27xfOe7l43ov8Lp4PdP+N/Nwb86OX6Gn/YNd892Dn3KwgX185
yNedEeTvxwX5m16gJ+gFeoIeoBfoCXoTz0O6eB7SfR3PDa4L5whd1A8X9cP0
AL1AT9Ab9AC9QE/QG+qh3kYl1zSe9+8trsK0//S4dWm2HuqN5wjtP5435Byi
6Ql6g56gN98m+6fJnXYAD3jRW/QYPUPvaoqedRE9Qm/Qo+dinP/XuB7AP98H
v5U5J+o2xHOjfcK46hhnsaOcu8avjH4m501d737hvGks596M4zN4qQe81GPl
w3lVVy+WbxjTX+h2vju5bIntGyMf5chHOegg/c2k/+KaBv/HDQv+j/3zvXY4
3+tWhPO9Lp4Ttn++k4/11mcDnX5O9L/xx/lu7xTEc+N6Pg8+Pz7i2GeP2rTa
7lGSdPBZvXzX/Xbkk/Zytd+fXNLylIlu6/OzFvzx7Dz38YU72vT+cIk7+L7Z
P098YqIbG+VxZfQT5Tx27rJp1z4x94wNbvmEW4f8cnWJb1S5xweXH77Bvf3v
ozc0b1XiT8u5/MpjRq1yT/U8dWuNjsV+6qlPrj30xh2uxg+f1Bn0ZPb+5Dum
tc1rvz3fP/b13HVTlmyxcVzOk5v+cQ+AnC/3Mv7aPpQOEX+XgN/88+Kjjrqs
5t1Friz82z0M+DFz7rlgwYGfbLN7MmZ+/1XN786f4zt/c/rks6bn+327L+nd
al6er16p1dbf38r3E0O66xLTdz6eSXekD5l4bsuCwTvcsPDvqwU5uN+DXEwO
yAU6kcvJXZevfXPEDrsXGbqgk3siiPdtX/5C6VOzNvkq1au+saruNn9iKG/3
p3APzPxYvt47pfcfu2e7a7Giw8jt/97qDwzlXGHEMyns53dj437+vqGd3aWh
3f3ToZ3dKaHd7R4NO38Z/SL8N+4tIB1/rEP0C9Ez7n94JMjVLYntUCPI1f0Z
5Gz3DqA3V8V1zqvCuqfTewnQS/QUPUav0WP0eoLcu6HzvkhvDv0EPUQvuZeD
eGiMc7n3Q9zLbQpxLldydibuZf2EfoMeo9fUj16jV+gZ9/6cFts9L7Sz3f8T
8dk+K/zYHhEfesQ9ILQT93jcGv1su38ntjt6sDHI0S8LcjU9QW/0Hgzpr0YH
+Okn9Bu5nyVH7+04tWTjj+/t87vF3bCjx95U9sL7dQb5qStv6vNI/ew9j/e9
fVSPwxpl380gbnfthbe3vuXrcb7L4LN/6/vP3dn3fiJe6gGvvsdwX7fvfvjv
RdNcjU8Omll5yTK755/6sNfU92Soz1Gf3hv0Sm7xtTe9t64c3dAJHtIVD/mp
h/ykk596qHfI9G3H1Wv1h623ck9lvW2PDjsvd7kfG9JtPwv389UJ6a5HwGf3
+9g55tAONm7FdvH1gz3yV0V7hB3DrrGOV3fEYVc1brXG8FIP7dPg9g/OeKPq
Mv/BuGoNNzT73u4NbB7sg28R90XA19DIx9mRL/IT/7w44hse8Bmfl4Xz1O7c
eJ76opDP9A957fdjoIP7k6rOfPj1RpsnGx/w9eS6+gePvHq+8fFMhKGDeqi3
6IxT3hl/dp47f8CyayZuzfWH5t53/GNf57muDzao9+bJ43yk2+K40LN1fODj
nIDPdYv4zgv02Hrh/9aN/ezkVgVWf7Wgz+XefYx0uyHxfPmZES/lIh/gs++d
Q5zOxbid1Qsd2HHs+o6gB65qHKeinrioN9hXz7oC6wisKwye0/Xwakt6u7tq
drz2mh/m+4e/GHxBm2P6uQlNfth/6Yhs/PC/zwa6Yj73wbxQ7qeQz93yeSiH
3GkH5E47YOex+9h57D5yODvYE9/thow9sXtx60Q7Qz7sTEG7kA97c3ewN/7E
iId2Ac93Aa8vC3EvP/GpEAcjLl0j2qtJK9v8Z1zZVPfhdefUOn3BBH/Io1s/
+qnF/HLvy1QJ300vYj7/Siw3O+DxjwXYLY8weKkn5ndzIoyfhd+FH4Xf1bHm
u1sHnLrUjf6sSt9vT/+rnqT/5RZG/+uI6Cegp+gtdEEneore7g3t6PcP7eoO
C+3oO4Z2db17dBp4wkHzfd+M3RltfMEn7UC7zBE+j4n6UhrrmRf15YBYT17A
61+K9eBX4mciD/xM+i39GD8Jvwk/Cb+J9j4u0lll9hsvj7pwsb9oy8j6I/b/
zR8YYNcgwIwLXsYdg+1d7/PDONQ15pdxx2DyF4f8btSHu5d16VXk7vvAHVx8
z0zX+PgT/lnP/zXfOqHB9ieunWj3Mi8P9tLubcCfQx+xK7YeEdchWKdn3b71
2OGv3Ly4qJw+t5Lv5Iv+ue1Twi/pGf3zm75q3e/b0bNczfHdn7qw2XJfdf+a
B3faNdO9ts/BvcY8udwfUzz8695dZrvpG0a+NrL6cj81/LtT4/dfG+7XYPK9
+XZfK/ko13jo6iu6D/3T6ftM9Y4ZsKf6i1uczKeMLui0+4uiH/71608O/Pmr
Pzz/g8O/GxXhUfL92bWDH76m/1Jbj4r6b/dVMj/jHg6+00+4d4N8km7+x10V
3hhVbdM89/kLXf/484Kf7d2eaGesnVgf7DZ/wEFbr1lm65DdIxy/W7743dYN
aWfwnTd6WrMz/+oX22v90rxkWZ4bfv2uTlUHFTk9XzvkkILLOnXe5W/e+8Bz
L3df7fa+saf5p0fNdvvF/tIi9p8XB191wJ6f8/zCN08/tviQse65ALsD+gSY
fkU/qxS+++ekHHgoBx742nXP2Xft2X9m1s9o3XXEMW1K3IkR/yGxXzNeXP7T
frf3+GG5H+S75Y8ZMNPuX+065YHjHl23wm+d9eak037fC16T3747ljzd68LN
fkmdJe93fyV77wb3cDSpM7TwzAs3mB24f83lWz8fssKN2TGgaM68Yt/tj2vG
LHt6sVvxXbVvvvsjey6IfRX4jb3fembsqGcLfeEl+7c879D17qbrtz0/s2uR
3Vv73oWF7dqeXuRr3/16/X/n7vT9cq74tPFj2+1cG/N35rnMmyte/GqPS38p
8s2nD/9t5oZt/oWSz1Z17Fdk8+gr/vzk2nOLdvpjK/au+3L9jf7GWG9poMP3
i/Vyb+7yyEfPwJf/LvL5cODb3xDKuwoNQ3n6IfMmOR/lX4l844fed+ngzRd3
ne03vXrW11VqLLdz38xvac/h+x9z5ue9Zvn1IZ/rHMuxz5z8kT7XLdIX6Xdv
R/o5Z0n/lPPmfkCsBz/it+cOO+vkJ1b7me80GbTk6Oy5fOwx7Uy7owfoBeco
mbexzsO6z4Evfbzkof1K/SGHuu+XVl7rhna46uSGx+3wK7YsXfJRr7Xusxfc
jp8Ld/q8OlMeHXrBRjsXyfwafB9Xa1h50aRNbmWg008MdLsvBy7y/9293Z9c
dsLNefdtdWdEfXon6JOV33vSOz1Lp293Z4V8fnAoZ+cimceib8RZNgU6/ZeB
bju3SH72rfyYX2nNdSN32HyYc1DM27H370U9PzXQ6ZYFvv3AIAeLmxBH6ZTs
f+6FZP9zi6LcBsfycr7UDY1yA1/tOz+Y2LvKerf13rHjn+xc5GK/c7Efuv1O
DnIif8+H9p04at02d9GSZd1P+LnI9Ay9Qw/Ry2NCO/vKod1NPkP9Sedc1Cx7
PyTn6tBTzkXih1ywotuRg2tm/ZTxOxqvntY063eQDvxjTGef6fgfZp5d7+4y
g5+r0bPkoEd3Wdzl4B9/eKf7rjJbt6wQ+LZ1ddbZWVdnnX3zwgv61/4q3/aZ
/We/4W9d+0OBW/LHPRXP6LTTP/vuaYuurr7XxunTT27a9dNme90hY+4fMOah
NX5cpItx6NlIFzD3vzwY7zFp+L8jH6nxbplvP37Csw0m5vnIh41jEZ/B8+K9
KZ/F+2/iuqS7Ja5Txv2Y/om4HzP6V/6Mm4J/1eiLq55c9Nc4xHjBOjvr7qyz
s+7+7SH3/9CsTXZfFOvkrJuzTs66+ZC4//aJuK/zf8Ff9DdFf5F7LbA/2Mdv
g91KbVfg+kdPbDH19DJ/aePJg/e7Mzv/5Jwb8hM9MZh7aB6O9+tw7xP9ijjL
jWGcND1Cry68a9SMRneW+ZuHXrnzlfxtdq6U8yyMj3GccDIeWjumtbPwXY4P
9A49ZJyrPmzh+Gfe3GP77GaOWDin7LUCP+ewTk+ccN4af9RjTX566J4CP2hV
wcb6q9b4u2pM7JV7UYGNY1++tmdE5193+st/uXla2S9LfdeLvrxhyr75FudY
O7P2niMPLbB56snHfj7s/GsL/DfxHOKweE6rStFrj9/Sfbxv3rfSyPZXZOMQ
5Ke9wPds8r4g/9bE3be3+WaSe6DJ8s71Ti/w8dyg/YNvWO99T+nadK2ve/Sb
m2e8/53bp2Of+xvUXWv7OJ864IBjns1Z77u+0eGgi67JN38AuSCnBaXnPnv/
sa+7yQMWVS6+c63//LHTz6x/xFD32bY2/ca1Xmv7LBfWym/dqP9Svy2ey3g8
nNPwH8Z5becwzzU5Ilfmb+wTZf/i0ojvmnjPw6/h3gd/YVzXeS+s8/jPt3zd
a2v1OW7xBTlDG3wx3+fG+yGeDOX8u3E96JJQzlc89/LxzW9eY+cQWsdzZsfH
c4KlE/tMaP3lGlf1n80rXfvpJP91kKP1768C/RY/7BL0wLWIejEx0nl3rP+N
SOf9sX7khNza3t++w6xr1lq7wTdyeCbKsV+Qq3ssyvGFIFe3JOTPvlMU6QXf
fqHd3aqjgh6sCXpl/HMeEb1rHOvpGc/ZfBTr6RLjFOCNdLshUR70a/AiZ+R2
fcx/ZtBHv2+ka3bQN9s/feRp7x3QqXGxwcgZuYO/XjwHMDyem3w+3qf1Uegf
/v7QP1y9eC6Sc8G7CjP9z10V+p/RDR+xf7vYv40O6BwZ7IWrFeyFGxzshYv2
wr3y/imHV6+xy/ydG8455e4+E9fIuy1ZPrGbR55Y6bg5dxS7Xg99etGJr2+z
/NODXrvvg57bPQL4tcyzz37+tJ43HTTLX/HBL4c9dddKf+qiM19ff8xIW7fi
XopWk2e8dNmFK03/Yr92y0I/95+Gfu36dcv082z6rmAHYr93p4d0d1qox8V6
XYNwrs6t4Jzd4prdH7llihu1Jf/xai+scHHfoqsf9jG65UdfW++hbevcsvtu
fenwYdtdhQ+mtNy1YJ29U9g/rB+bv9599Zldnjp6jZ/U550JZ/8x3T8fYHdX
gNkPbPM99tUyX7437A/272/I7A927BtjHxn7xthH9nrcN1Y/7kPbHb67mM+z
r4x9ZuwrY58ZdBTJPmP2HR8c9im7u+O+5dULgzwbx3bkHgzakX7eJrbj5VHu
7WJ7s0+OfXPsk2PfHPHD8aNKX5swbLJv3feBXQ/OnGvr+/AJ3/AJ36y/tw/l
fK+Ax97BIA7dN8SXfW6MQz/7ZSa+bOnErYlTE7e280LnhHM3nAPBT356fsB7
Z4xjdwzlfMRjcW3i3MS1iXMvfe6ewl29+7k7Gi19YciNBS7yb/uN4ePlKJ+5
sf8Nj+PMzVFeyGFY7Jdz4vgj93346rFf8t5LQTw/1Tycn3Kcn3omnJ9y1Wtf
te/NZ052cz77dar/Ya5rEc9ZxXLuf/Gc1QehnNon1tHtHQvs0LpNj779v0//
9A3jPswr4v2Uc6a+1HhKrRLzY1qHcyd+fTiH4h/vP/DYw3JKfMe7n6qf++ZP
xB99ixh/pDzjx+Uh3ukfivHOKSX9Kl01qcjiYtQzN5RzB90S6on1uqaxnu6h
Xtcn794xRTcUWL9Zcsytl2xtW+AOvaH7rp/e/sKNWdq9VqXrC9zQRVOOmvH8
Nw681MN8tlqna8e0q7HL4iDERXj3gTgGfhBxks4Vmrc4MHeNnY8hbkQciTgR
cSPqoV7KgWdiry5vXTlimqvx2tUPPbBptj80/s8P331eTD8kfLd5KvNWxoWe
AZ+rVXPNi9Nf3OVen/pn27PO3eya9hrQ8bRl69y5O/sPGvh09t2cGoEux74+
9vnJvj1/VZhnuUvjvIt1/+eCP+0PC/fZu0vDffa+cpjXuTPCPM9X/2fV46ad
v9H9PnTdb9e13uM73/ivwSevmebvPPS87y84usSf07X2wFPf+tb3Pq75HT3b
lPibWzWc3277CP/Qve+u/bx1iV/RJZPuXo3ptUO6I715wOfuivhywrzOsf9U
xnN/dLgP3cX70P0FcXx/NPrv+Cf4YfvE+9Tjfe2+a/RX8J8X7A7jJP7wqXGc
xB+mH+wT/B+/rFrGj3R7g1/pZwS5uJpBTn5SfM/g5/Cegb8gzt+ah/mb7atl
n218/8CNifnrhfzuhpg/tpu7Ls6XY3zY+PwmzguA4QO+4AO+0AP0AnqQe3Gc
X7eMcE6sv0HM/2uk9+v4XkPkzzWL89MT4v0b6Bl6gx7JfMg9GOc/D0b/7vxo
R4uifYznULGrRhd0sr5QNcxbXXwHwsd3IdxtYd7qLwjzWGsn2g250w7InXZA
7peKHJALfCOHJXfmHbL2m+1+8cGucfVt68z+jG/3n1caXlNicZEH57/7+O0N
8m2e/1CEsXOd/7m0X79LV/gRhSva9/SzfHHfkUfPbLzc3xH8Lx/9L4tzEvck
vvBJ9LOY1zLPpV7owH84c/ttu16/JS+rP6UJ/9DmiYMee3zvHRtm+6XtZ/yv
7jfTLM5LvYy3+BEt6/ds3vnCxf6L794fW2f/32xfJuMt9Y+L+Zs3f7xzvc1r
bHzhfbB1vnfdCiN/Mb8VPxa/FT8Wv5d0/F784LfivgbW7Zj/sD5HfK5JoMO3
DfXae4fbA9/+wygH/Fji0PgZyOHYIFeTy4dx/yTl/p+yzju+yqLZ40SaCIRQ
FASkSBVQ6SCgSwdBQBDpRQTpTQEpSpEiXYqCdKS9ShOVLpCV3kRaSCCQvEmo
CcX0Hrjcs/Od3Jz71/M5z9mdrc/ulN/McC5xTnEucU7B1zFPyH3IgcwT88Y8
MW/IPchBsv6qZ+HJ+xuijz4j+4l+wreTvy9hlYevV33l+zJfA6R95gu5EDlR
5lXnWfNiyzwzfvQcq8VftIP4d6JHS8yq/9f5jBLcqHE4Uu/1Ub0AegL0AugJ
vNZf+0U/iTuH3hf+/WPHv5uJPVPK72p51HxQM6Hu7BcjzJ6us9qlFzhsRlXP
dedm7cz4bsS5WzHfr/V8/7/N5A9KbvngZLB9t9DV1sVe+MfkaRz07NjIYFtY
8LDxblxW6NpJrh07xNG1/bt52lG+FzmAeWBe+kn/2gudAq6eGS50GBdx6j6S
cSFftpFxfS/tSz2TX9pHr0gcjevVzzf/bkyk8q/RMg7B+dqq8n2wv8H9ggMm
Dh7z5iUfG6/vzFp3zth2cu4wHwFy7qC3Q4+H3g49Xo8+abMqP79fORdUn+zs
9fjN25riR48eD70eejz0em95xVVv7eVncSFrfG71C4OfQ++LHpj1IY8YdkPs
iORNg/9l3rErcl++7PQT9hunn1C+dmZWe4j96ZetNdcv+K/G9UJ/U6Du+Vwl
Smb+xk64wpVXv3r4N8qPEj6X9paNL/7q1HExttKa/ts3+cfZlR07l248IVr1
moon7hERMChHZj57yvGecmI/smI/Ur0o9biP0ZNip8Nuh10OO4rUV/sI+u0J
Uh//6mhnR7GSb8pIvil73dlRzEhnV1H5rZLYf1sKPuwdwRViR8OuBv31Wcer
3xN8DnwPfA58D+vMujPvrDs4RnCN2O2w49H+gqz6ZdXDs87sE+99gd4KPRbn
SEBMyr4y70SoHRK7JHZH9NXIR7NE3sIOh13OO+8bdjnqE18iQPrn6/qnekjy
vKGP4TzJJ3gs9ADoBZD70QNw7lAvr+BplQ+SPFfoO9ADoRdC78M9At+m/JTQ
53xETkNuQ05DbgOnwHeHnhG9I3pFzlFvPoV2OJex02K3ZT6D5Tv3k/mkvcVe
efPASYCb8MrPqLgJviv2J+eEl31DvzvKI5eHOX2I6kX4zrj/4btYB/JQCb9j
Tov9nXnHzwU7NHZp7MjYofk+5kv/xsv3Qf8kX56Z5vLlGS//CPNfdz+q3wN+
Dfg54AfB/+BIwZXKuW/kHlC9M3povh/00NjFsZOTdxE7P+PDbs74fnLnjwmS
84f+YCfGbuyVP1TPLeh4ned6rvC/1/lsvO4XnWfKM8/MO/3kf/UnkfbyiJ7n
ptP7mB6i58EOyn4qIvoVzg32Pf3hHMEujZ26d1b/WbW7YofFbo4d3TvvqORb
s5Jvzc4cOqPy6Bee2KNt/B+efpps6904knig023bqUeDmudmJms56lGOei87
u4Ta/4grTrtip1S7DnrUkOkevaoVvJnqQdDHaX4Gr7iykh+QPIWmqLPT6jrx
nnLZL1W/V/hIZlyCPhsqvzW4aaKdHvVnp98DNG+l4ZnLldd9KuWNlM/Er5QO
+Ddu6DNbf9CzCtWG3rPJo9+f6lvkmb3m8jvaWi6/ox3j8j9ayf9oT3wY+Ufb
UuG228mBIa0+SNS4WMTJIi4Wet4ZM9w89XfzZme4eTP8Ri+MnnhqVn2GHSX5
J7dK+3tc+6a3tM84GNfxoHsdpm1+Zv3GfRVbLtttO6PsJ6tD5z+z1RZ06plr
220dJ+NmnIybcTJuxsm461Y9tnJrcJAZNrazf+zwWzb9mJm77c1A9SfA7r80
Kz5Mv4v/SB7NiUK/l6Nv9gn9XoKjRM4CR/mLw1WqXhw9OXpx9OT0i36OKX7i
WvemN/U+o5/0Gz0hekP0hOgNmXfWgXlnHcCtgWPzvudbuX7YXq5fpshxT7vq
VyHfqanvvlsj66l6/pNuPU12t55G1tNUcutp0tx6mkpuPXVemWedV5ln2qFd
2qFd6ECXfjOOfm4+NZ8942Bc6AnQH2Enx27upd/Se497EL1/M4fLsQ/GeXA3
Bty/vNdy4HOOOn8AlbPhl7DPkOeEfr8i8iH8ZrDY1cHlg9Pnf+Rc5GLkZORi
5OS8z94efrJJjN5TN52+z4SLvo/7DbnXV/yD/hW/EOpBh3rQAVcJzhI+lH03
UPZ/Y1kv9nuq2+/2M1lPI98H61fIrZ+hHnSYr8/kO4KO+g+5fEcm2OU7Uv4Q
vzHaoV2+Q/kutV36gdxOuUuSb7eOnFOrhvV897eNSZn57gRP9anDU9mmYo9a
4exR9jeH11L9t+CzbLF4h89aV+RMlRPZUu3eO83jN1a6bMB3Id+D56rvyqud
SfphRkm7f4gfwOfSrtjFTICja9e6dkxaoalvvtcjwSzt3vjN2GvzlN8kTiF0
aQc60OU+1fwKQpd2uHdXCx38EPBLYByMi3P2tJfdDjse90q1ApcLrm2WrLhW
cK7gvsCBwSeSR3zhX40WtHwn0ZS7O6vUsOnJej+QJ/xG/kVXV+5NVL7+pcA3
7o4dnaD6AfDHxeMLPN30INmWcXTMUkdX+S4/V+/5unrKGW9/7HJeeSzJawlu
Fhytd95zcLTwH6uEf0TugH8MFD0DfCN8JHyi4mzF/0P9fWWc6EWQj5GXQsX+
+CzGQw+7nsov6BHQK6BHQK9AP+k3/aTfrAvrRH9YB+addQAXDk4cuRs54qHE
g58oca45lzmnvfnEcs7+a74S++9J+Q7Z18tCZ5zOnj/VVs5+oXvlLvGSTzPF
dujw4sHZ/vE2ZF2vqkfapor+Il718uxr9Mzo6fFLCvTsw322t+M3tPw4x2/Y
AcJvoFdFz4qfB98J/Al+H9w7M8TvJE7iqpWWeMDoNdFzQmeA9EPaNfSDfsEX
wQfRrsyPecPNj9h/U8zHbn5MmJsf89SzPnGm7cbQpa2O/2ZD/NtMK/juRfvr
kGLhvr03qR68hMchdbv9soqvT4kNF+1dKVfS1VN5eYKrZ76Wcqs9495u2ku5
UFfPjB7uyiE3U07qmTDPe2t67wjv8qxnoE2Y+XDVrNKHTfXUtFypvwbaqBvn
/T6Y7W+aDPA91HhyoPr/wRf4uXtS5f0Qsa9dc/em6SZ0/dw5aysJ3S6zPO3Y
94Tua8GedmwfV177Vc+VNyulX1LelHLltRz1Zm8fvmj/yqPmdtEK/y7xzawH
HepBp+jWqX9XOpjp59e1Uvf717+PN8+Ppu1vXQs0pYsX+Hjl7/GmwMJZ9+YW
uMZ3YY/LeS/3leqjj+XoXCR2xy27c2+3LpOaptuBg2aGpk4LteknBx4o8FmY
vXIi9kjujv9V/Zv1fAehdkXhH2ecq5/pN9yq86sNa9ow2ymw1MjFxUMt/jb4
+eD3k+2Uo9vHtaN8/kXXjlkvdHe5dkx7oct9D11px6S4fprR0m/OwQjp9ypH
z9Bv6afy9Y6fDTOfSb+H/lTn+g8Hgkwhl0jP/vlbm+J1bJBpfvmjEQdrjraL
J/Xx8dkeZOrHTWzQvel6SzmpZ2tfc+Wknn0/1pVb4uqpnTJf3j2vNb0cYO7P
/6vPzOiHNrbFJ283Tc6wXvlR7JG3s704rNcdW3Fb+QunO6XZji5+v8YJdeVv
2+wHu8dPnpxmIxw9Eyf0sJ98LvTO9GoUeO1xkp16rujCZmcT7RyXT0D1+45u
kp0WPKDIyrZJ1ivfi/XK92K98CPaHnFxWwoOHBzM+6JXyi72Be6VOWJPIE8Y
88A9us7px2w20U+1z+rfpHog8thQHz0MepkYNy8mUuadPDSUF1yP8tXkafPO
I8hvnsRdx8+Ycwd+jTiaxPHlPXGW+U3eN+Z5p9M/a34j9GEDnJ+NOer02/o/
9chrWMntG+Pv9pHmfSAPRE63bwS/f9tIPlOz18U/0bzNrCvtk4cNuwP7oGWz
GgXnLkq1C6593KPEHo1nrP468G3wcWdlP37t9iN6Qi3vlT/ObJN9wP+/iFzd
R+RV9tNs2RfwefB98HnwfSGuH8qPLHH9ts3cOJSPmyNxmb3y6Zkp0u/Tbhzq
x0CejpnuO5J5T/LO/6frxe+MS0/2dpsTbn8JW3W25D9pdnaulvVGxITZ1/70
Gz/iXprq2SZP/jL2pd/SbGruxjtbvnfbtv9uZuzI5/wzcgtyDOdhqylXUq/l
S1e/wdPCr+LXwzjxI+H+/VDyUPJEPwNd5p11gG+Bj2E+GmXVz6v+Dr/xue0H
5yvXNpOu9Ff9SPiOkS+OiP5hqIt3bU+5eNeaJwc76m7Be2NHnZkV720PZMV7
2wuropKn53psP7G15v/c4V+5xx7Z3i7upK3y5v6YMvuj7bpHS6sFLI0SO2C0
XfTditpRj6O0HnSoBx38TDhf6DfjwM8EvxP8TPA7qdM97Pty38XaYX/8ValV
ybu2fNXgwfGfxirf+nHKtDY5Xo+1jYq2rfTmwnt2eNKEjavuRdhhhRsGdX/l
us2xp/grX82OUDkdvwH8CPAbwI8APw38NvDTwG8DnAZ8Kf0At4FfBn4a+GXg
p4EfAX4F+BHgVwBuHxw/uH1w/NjjiUOGXwd+Hvh14Ocx0gsnJfFuTYbEn2Y/
LpP404PdvJlhbh5Vz/CSm0etBx3qQQc/APwC8APAL2C6y2dG3jOzee+FOYuX
RJmdSwJKT90XbZa7fSX2h2jzj9tXpp/bZxoHlbio/zh9venh9PVme/m2s/PO
ylCcZ6Uv6lTwaZNhYncefLpo8RNtl35QDzrgQsCJgAsBJyL4NCP4NPO6i9uq
cULd959qRrk4rmao27dG9rHiiiq5fay4f/wAoANd6ECX88Jf4vbUlTg88Iu8
pxzvKYefAH4D+AngN0DcbOJoEzebONqCy7f5JZ44cb6J+02cb+J+E3ecOOTb
puzb2Sn/dVN45778RSMiVO+cV77Tro/2fHnneLDpZh/1bRgfbr+uuGdjqUaB
Br7P19Uz/o6OzSn7ku+7k6tnhjk6lnv+B0fHXh7daGyZQ2Eqp7WT/Ae1XNxb
e839r/Zj4uASF/cfwaG/4XDp9ob7bX0Ep34y29uHj9w+pc88E+53sFODVK57
r//RLZFDgszr/dd2Wh6+yyBP5nblbBn33ko5lRtflP/3furqNZH/aZd+0C/6
OeiHSskXvz5h5occLPlqgbPGlDsZG9fvhKnvma+z5lrMC7WHPTxiunU+kHvJ
jr9VXts7qWhG9zJ/G+KkEzedOOnETScOt3dcHX4TJ5648cSJJ248cb+JA06c
IOIGBci4xA9A5XDWkXVjHRkn42ZcjJNxMU78CvAzoB3alXa0XcmXYSVfhp20
aPycnrE3bUKpf/323zltJ1TbMDfvjpu2m5tfe0zOwVJyz62Tc/AzuecGyvlQ
T+45zofKcs+dlDyIZ8WfsZecg1ey3reG+1b0lKoXwX/hH8mjgf9Ce9EriR4z
M36L8y9Q/6AQ519g93XJ4l9gS950/gW5BocHf/tGgvp/vNPVf3zi8/vLLNta
ddHTU2of+Cvn4NSxrRNMriRP3ghLHolyNX8Y+KnPXvtasyEVX/kwQf2D8HNY
7PwaLH4ONVy7dr/4OeAngd8EfhL4TaBX3OruBZU7kUN5TznsDNgd8ojfQZT4
I1TuWje5RI5zpu3KxD++CrlqCiyanGtBx/OCA72qfgb4HZQ6fM5vVYkUU/zt
7BlRmx8r/uOVFt/2PD3zsakauf6lF4al6L22pVKJfgfjM8z7Heoe+yLyoblb
ckBg7Zn3zI9dTyzqH5Ck90OhF7c1NzZJ/Rzwe7gt8rCMU+9B7sXGfV/c1yL+
ic2X91Drp9UzbL5fPfeiLevuSX1POX0v5WZL3nnwUF756a3E9VI9O3Hy4A+8
4rmZ+9+P6DixaYzyx9bhvPU3T8qleb7b+2ZBwYuNdm2NMcPar/pp90cPTO09
Q9b6LIwxsYVP7Zuz9oFptmb25i5jYrztRYorB2eOHH284m8nr42LtHND6844
czVa5I4oe9u1q/wr5cv/dGmDf5N0ffI+stm3+3x2Ppdjfqy+/0aeWBta/fKo
V/9Ns+3zzQmJ3xJjR3/92+He7VOVHnkLyGPg9BKxdvLTEgcmvHhH+b0p1VNT
2z/MfPJezjkr554+eS/l1Z+N73Qd9OS8nCTlu8q5uVro7JP4cMhZnA98p5wP
deU75XxYI98p7dCu13i0HdqlH/SLeHqPLrr4UPgB4RdEXB7i9HBucX7gF8X5
gV8UflIV3fqpHJ3k1s987tbPyPqZdm79tBz1KEc9ylGvm8QTyrPEE0/Ico5w
rix06yz8XazyqfCtFcZ379Y28IbyK5Mcztmsc7hnm2E8OGfT3+GerejZdL43
DGzcL/r5PPPb+/27Tm4yIkepHNxn+sTIN4Ju2Id1P2723TfEpwlWPTJ6ZfTI
6JXflv5CZ6H0t6vgtLM7XLbpIDhtxlXe1bMhMq6hgueWclbq6b7PLuOU78Tw
3cQ6XL0BZ19fxtdV5ESv89BeHbW64tmt4TZyf7vv7wQk2xNBO4teeTXMDv1P
u3e3Fs2MD1IsK95X9Tro6dAnIKcit36ya3P3hvnvqR4CeRE5lu+c/o9JXtNs
V/toc3Te0QVNxsTY9qs7B3bJGa3jOSN4M+h54c3I06D/V+1yuGPK5TjbYsKl
JzW2RNktTt6yIm/pucf5xbnHOQh99FByX6q9TuJlWYmXZfOV/Kr33Z+D7PUr
D+qvefmq+evmvQZ9+keY7KF1g2KK7yaOq+Kwx4qcPkTkTfh0+PZarp71Fzph
QjeHa0flVORW6q0RuWHB7gMXuq1INF2Kjuu5Iy7U5E4IyX/gv4nmtYDx9cKm
3FS9MXpk9gX7BL9Q/ESR45Dr+G75jtHzovdFzzzf4cpV78s5wr5in3nhi83D
yReOjdiaiZNGn/daqSUhq8bGGX+3T8w42Tf4iXeSfYM+apG0j56Q9hnnp9G9
Olc5kaC4VPgU5Ehwqs7+m2jSJiyb9MGAZNUro2f24rfA0SjujjgDdcVfYPq5
2TvG7EvS8+rgrmEtu/+aZBfWPu/7TdgZ06TjVZ/d25Ps2tuNf7k2+azaQbGL
YgfFLtpiRPC2E+fjVA+I3bPXvHFN338SYlakzx5zvt1TszbgVOcvOkWpvhMc
Hbg5cHTsf3BzG109K3QURwauDBwZuLIP99xodm95gq06rFXptTlSND5sqxa9
I472T7H9bj3sW/OVRNGrJWs56lGOepSj3v6L+7eszxNvn/W79aTGWwmK0z9W
cVxMif/dN+V+n9+4cLzW73Avd6dvx8ZpHHLm58u0M39fqZugdKALHehCB7rQ
gS50oMt+eNfFObTVXFxDe8iz3k/0PeV4TznO+x9uvbXhry13rRc+xuZ08oeW
+3Zd9+o36yfYad/GnB/28Bhyh+LDc/3afuWhdxPshpbJfsFTj6reANwW+3C5
a0/PEc4VvhfiNhKnkbiNMn9mn5s/c8rNn+Jp8Zur4OZP42B/5ObPTHTzp/Zo
6EAXOtCFDnShA13oQBecHLg5cHLg5jq6fWequX2odNu4fWgGun0n/UhWOwB2
AfT+2AE4Jzg3oEs70KUd6NIOdhzsOqwDdhz4UOJC4jeGHxl+Y/iRTfKKK5k+
4NeqgWeDTP2GOTZMT4yw8jRp7r0dJfrkT+R+wR7ReOaOucUDMvVW7Ev0VOit
urpyet+x39Bb4QfI/V7KxRk1XVzcUTvXxRk15VzcUZu//fFVvlvClY9eMfWX
QUNbhZuffPr06xJxzhKnlLilxCklbqmfq6/nbb0xJXzeCA63PlHPAgvlPGFS
c5c9GXsu3NZNazD9PxEnzI+Ovt3k6Bvh71Q/ht8dfnj43eGHV88/z/RjI3fb
0z4/RzbNFmqCD2bkLDTpoNq3wZmMXtylcY3gEPWLw08Ovzj85NKOeOiZM0Lv
hqOnes7ljp4ZK/S4D4mjAn5plOPLVA+L3uW8o2tPSjvYzbcecO2McXQ1Dmqa
xNNkP8HPwrfDp8O3w6fDt7dd/Mqlu76H7Aubc449eDxQ52O2xE89FZqca9DK
g6aP5/UF87DBrJEPQwPNuMNfL638fbzuO4kzq/0gLirl0lw9e0bKsQ+Js8p3
NNaVN7kbuvLEr6V8atb2jVf7ZoDYg86J3n6w2IPQbwzdkrv2lB3nTUL+tqWb
187ch+xL9iH7kn3IvmQfsi/BXdI/5AjWATkCuQI5ArmikGfcS82Kan3KTi//
f3CzEn+V74zvLpvrn5X+mSGufzbJ9U+/Q75L1o11BNfJvLEurBPjYJ14z7qz
ztQnzjBxh/kukcOQu5DDkLuQw1hn1l3GqfdpbVmHajLuFFmHD2XcP8g6XJJx
yzrqPdpA5ulqpFtXqW86yrqulXkaIuvaSO5V+AHu1drCD6Q7fKgt0s3hQze7
e9zKvW6W9vS8t+BIwZ2CQyUONXGpvxBcEPF1v3R+cJrHD5wBuATs/Nj9Jc+f
lodfBAeg/of3dj45E5Jig0Pa+duc8YoPSXL3o8iHiXau6PPKOX2e9Xc4UJUj
sNtjx8dujx0fvEOA5B/Ejg+fu8b1Q3GP2JnDXb/sdrHDbRU5ETnhb5ET5zi5
0CAnin+k6gO9/KXUDotd1sh9yD3KfsdOO03kP+5RziXiFot9Rvd5Zbkva8h9
t0Duy2Jy3zHP4HIYz45BBRqO2BBtbnwzv339WjFqb8QOiV3yy1VVc0/pHa14
EMphp4TeJTc/ZoHMj7vvo8iDorhZ9gH7gv6xL8D5gPsRuU1xwV7+yMbLH1nn
nXVoKPF8qO8Vz0f3AfuCfaD4g7rl0y6VDVPcBvof/JKQo5CrwKGCSwWHCi4V
uQBcKrgscFp8B3wXyFnIXf3FrtdF7IPsE/YNcgLnV8WB8xoUHnLXHg0/5Lu8
7jkLX8/5VMn9b467/xVnij3EC+9qsGMgT2C3CKnhsWMgX5iZIl+wL9gn7Av2
CTg3cG/YbXpnxbsq7vbBgSVNzteMNjsqL+nT7upDM+Kd1P4Xc8aZ4Z5nmqnY
5OjIPUNjFfeEfmLdZ4d/WFs2Tf2+5o4/d6DpwVTzXcG+NQ6/G6f2ZXCy4GbB
yYKbRZ4AN4udFrvt7vopf3+1Ish83mdqlZaztphFfT1Pu8u9t2ny/nf5fUjw
oDccHtSeFf4rw/Ffirfc6fgv+4XwX/BJ3K+p+/Lv+iIjzF4QOrGOrvJV8Fnw
VdSHz4bvhs+G7wanCm71cs1CZz74J960ON+6TK13rppiL/+8vMmp579fNb0G
HbtqCgv//bXQnS/8d1Gh6/xQbtmSl/+I6fnniUx/i2jxO3Dyq5ni5Fez70FG
j5op8Xre9c+2vMSaB/Em/ZbvrbbdL5sdHd473Nwvwaw9v75pOb+/zaqNP90d
sSvYFs5R+v6+TzPjCjdp+lVq1a7pimtt1CFf6X550m3XObfuDXuPfEvpmj++
RGLUyTI/pts9Gz6ZesXvqh1e+fr62ifS7ZOleXw+rRVkHQw0Xc/vcUV9+vw8
Id26fRgnzzSbp9XwFgVrxdm/9rRKn+Iba1u7PHu2ueTbO3Nh5tt15kWaL+fn
rWJ8k3Qfs68/Ej1IFZEbIx1ezGx3eDEzy+HFjODFDHYX7DDYXbDDeOnvrZf+
x6QEvXml1ekIU7bO1vyPExLMPx9X3Rk98JG5v21Zlwm1EhUnCG4wW8E3p53J
f8v2MjNLrB4bbudW/Pz3Rs/PT/btPPdb5RPez5H3XvylTfLz0DN9hR5P3oOD
TuyRP+bCnds21j3Vr473lHtJ+tfd0dFy1Gsn9vFnzj4ODkFxCQHyXuzodofY
0QfIb+pBh3LUG+BVT+zlJt7Zy02LeUsj14YlKd9dqMTPwcuuJOn5yv1POezJ
haUc9fifetBBDkEuKSL2247OfmvFjotd1zYXu25D+T3PZ0SV1w6c1nkHN3Ej
ofvuiRUCVG4M863429vZk430S+M0/Cj3EfcNdkvsmKsKJC+JXZqqv73toMrv
9nB87er1fs231I+29sHGwU/OpevT672R3/rk/dxfhhabmnHGFPGM54Q+eQ++
+9TCD33H9w01Z9xTcd/z68R8WmpToLmwakKNRR1vqx4AvmyvO69U/sLe4bPx
3uDVBdLUf+Liya6F2tUKVVzMJfktTy3Hb8qJ/VT5mL6N9hTc/la46pfg0/7t
l7i74DeJpnPLCd+tLvNI/5/3YNPp+pEx9snsvUMrN75vbwftPTP39Xu6r+S3
6gt5Rkg55CDkIuQg5KLQpGyfl1qWYdoVaTu235jHZsGyzY337okykd/fObHp
Ucr/W/eXCtWs8PTOZRMdfLnC7noXTZ7SDkcyTr6TbDc97+0LUu5ysQZHVw+6
Zlm3wKDd10+dvWzWtFi0qPaW67Zp7U13Zxa+rPJ6E8/zshkwcmKNsq/esLVd
PXtW6FAPOv2evjJiScMI89GsW7+/5nPIzHBP21feh0m55a6e7hf2SRsp/4kr
z3uDnH3a7Ruzzu0jK3K3yuE8occ+pB34fPh++Hz4fs6Dx3EzAh51SzUvC+6i
tMNh6D7+UdrF7oFel3Vi3bgP7wS33rKjepKRp/3VvTe3ZL07ufVWP5MVW9eO
C6uQofz1fWfHMa87u436i81z54HN7vleHtj/AWVsF2w=
     
     "], {{{}, {}, {}, {}, {}, {}}, {{}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwl1WtM11Ucx/Hj1s1mtWHeECu8pVmBirfKelJN0LS5ilLQhnlZmZoCSuma
zsZFrmrYlmLQlpCJE0G3SsgQNNS2RFZPbBZYW1qz3NIedHmd9eDN53yv53t+
5/xHcs7q+av6hRAa/clNCmHM8BDG4mRCCOMHh3Dp7hC28ZehNCr70LAQymkT
PTwwhFtoE72VNg8KIUVdKibKaRwSwkG8pl+t+Eo6R59isdm0hE6WOwnXxAtR
hE/VtCeGcAKZYt+Y6Ta5i8T608W0i3bT03TMUHPjflTIb9X7DrMco3fStji7
GXtpOvth/VJwTm6n+p/4Z/P30Qx6iXaLXaDfI80cUzEFV+TfELtML9I8Z9pj
33waRoSw27rN/Bn226VXNa5jDrvVnj/TY/QRfWcgX59CtdOtL+ifrMcAOfPl
1LBr+PfifezBbnSgSM1WfTPRa44fsdn6b3X/4LzaHmySt0NsI+1mn8Nx9V8g
wfo5uZl4Ac+j1+x9KJFfwi6mP8i7iBxzbeGbR2/Ya7TYy3Qu+7SaM3iLr8Y3
eJPOtcc253smvh/aYo5mHBVbLmcFliJB/bJ4d7RLj69Qzi6w1wasx+3s8+57
vV5n47vhS8OUeNb4huhEpOKMeL68cv1O6XUSZeo76WA6KN6RGTri/aNF/qvy
m2kB/4f22UD7uYs66454n2JP0lH8Pc78hPXjmInf7HNE3vZ4RlpFp9LL/NPo
FfoA/dxsE+g8ez2LSnnN7Ap6mD6m7zjfeSYdT3vVTdI/1zoPXfxD7J/Kd5ea
b/X7DmVqS3FKzhrxpXofEH+FNtJ2Z/wy/i7EEpx9ID6LfeNvwLobpfb6iz09
vm86jZaoecj6wTg3jvPl6Xmz/NG+zU30df5VWI2VOMv3NYr1ux7vSM2fdDJ9
O94TbUOK+tZ4bjMd4m/CO+xZ+m+l6fSo827Sa7mcf9kbrevMnaZ3ttiA+I7o
MiyJd8/f7Bu0xLcqdoQuoTPsVat2HXKsk+Vlyb+PLqAL8YncA1gkf61ZFtOD
7EZcE/8DV/mu0t/xMf9+ZPONkV+vVwP//hjDPewX6b30JTrS/AvkrnC2D9i1
2BtVvI5mOVd2fPfOUoEJ/GXRxkJ1eWZviOfUZ58eObSeDrd3In5x/2vwRnxP
aj4y2z6sFtvOrkIlxqpZK6ePrqPj6A7+erkN8f3Ir2a/i53Ik5Mb3zKSxEZg
i5qn7L+ZPk2zzJdvvnRkYBZ+5asybyX6qyl0nmrnLKIj6Sh0yHmPdtJdtBwF
8dzxd09P6NOOR9k9coa6u2HsxHiXSf//z/oPIz0DKA==
           "]],
          "0.8999999999999999`"],
         Annotation[#, 0.8999999999999999, "Tooltip"]& ], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwl1ElsTmEUxvG3KMqOUqpoDU1QJISFIqYaUhTLqsRUbekQQ4wL3Qg1dZCi
KKKmFCUalIRgITF1ZWPcdbKjNSQV8bux+Pd533OeM9yb+zVlfcmq4pgQQn9/
biWE8AkfcWBACJ/pFzThIYrFDg4J4RD6DRJLCiGOPqJlg0M4Lt/GF+O8eWAI
3bSAtvKMpQ+GhfCB3qfv6TT5bWpeJYbwEq1owZGoD23HWzRjh1gV/3b6xv01
FsWH8EevVL3azNgpNmmoPu6T6Vf3cv5KdQt4u3kz6Fn7n8FWuZnDQ6hxfmLv
w7QME9UeoUfxTPw5dvHedr+DBtzCU/FMs9L4W+h093rnPDPi9D2vptHMd3J3
aYr3lIxN8rVyfXlSo3eDIjsWogNz7T0Pc7AA85HCMwq91JxS26zPcIxAEjbq
OZKek+vDk+ueZp8JeGF+gr1iaJY9Ak3muR49t96PUaQuXeyaWKOaUrof8epW
0xxk4xROIk5NP8Ta6YG5vWgTLbX/Mb1a9WiJvhuzGsws5C3hKcZ9vh5RnVgT
8vl3Rd8KrVOTLbfHfTfakM4zEzMwG7MQeGLwN3p2dfdoJapQgTbPf4Lm8xQg
zx4X7J1PL9IOPY6q267/ON4uO46nFXLlWIplyEQWliOXv9Z+53EaNVgrdkmu
DivR6b6CdtF9dKp5e+kUuk7/WO/4tFyX+ROd14ol2vOb+3dUy3XSk7SnfLLd
R2JL9JtCOxZG3z4ysASLMZpnDM6o++VeQ3/SHxim/3pzVur32/2sXG/nDWI5
9ir17GtotT1n03rPdQM3cVXsCjarmaHm8pD//yf+ASoFnLg=
           "]],
          "0.8999999999999999`"],
         Annotation[#, 0.8999999999999999, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwl1ElszVEUx/GLhYTE0EFLzVMR86wIYqg5YicIio0xSMwkpo0xQUJrpsaw
YUHZSJS2aF+rZi2JiBDzokQIPjcW3/e755zfuffc//u/1yZn6dQltUIIo3zk
JofwKj2Eg/Q1Xdo0hCWonRTC9NQQushvTwthB3Zil9w0tY+8n/ABx3iOZoQw
VD6VJwV/5I/LN20SwgFxO3pWvIyeoW3pMP65zULIwTn96XyHkIc5anuddUXt
Mg7L9dC3X24fNphxI1rLt0IGrqovVhultxGK1a+nhFBEb9ASmumclmZr1SKE
3zzTrBfoXYgkcbl4u30SdAetoF30tKYPaCUeYra9lutZEe+r75ZzZ9qzkJbp
6yZfSjP49mA3stx5MEp46qkNta5PO6l1Rh89fdEPZfGO7r0eA8Tv+frxvKED
6SeaJT8YQ1DJv5V3C0aKs3nGoDHfW+esVV+HCdbjkauWh7Go4Zms5zut5pnh
HlW0a3we6kWeXYIW0wpahRfWqXz3eJ7a7y5NEU/SNwdV6k3E9+WfqZfSNHG1
fLX+53hs/Yw+omuae2Y8L/W+wg+zjDHTJmzGNvc6gck8/e2Tx/NLzyE6hbc0
PjMkcFhuvn3HYTyy5cZiHJ6ojTbP1/gu0W/xHJpshlz75eGO77cIX9QG6R+u
bwTK9fYSv5PvGb8v9MZcHFQrN18Ct3gn8cySSzdvNo7EdxjX7PtCrYBW0SKe
O+hvhnIUmuMnvR2fNW3jvXtonezOJfZ5IldMk8QT9VWqPZKroD/oA/qY1o1q
rkSs0zK62t36qhXou46bzs+Mz1h9M7ZiCxrYv6X8Ip6F6K6nRi6o1cJfM13U
e9EdLqt3VD8f32N6Ie5J28ffM98pmo/T8t/F+bSGXtL3hZ4Uf6bf8BWF8T2K
946/OaTJFZh9Bn8dtZXOX4VG5muIBvE/wx6n1fORrDeLb551pr5T9CSS5AfF
/xvrDvIn6HE0lh8on5P6/7/wH/uvw9w=
           "]],
          "0.72`"],
         Annotation[#, 0.72, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{6586, 5273, 6585, 5272, 7254, 5560, 6590, 5289, 6589, 5290,
            6591, 5039, 6415, 5050, 5921, 6765, 6264, 4913, 6263, 6265, 7426, 
           7486, 7485, 4739, 6875, 6876, 6405, 7503, 5040, 6404, 5041, 5482, 
           4674, 5610, 5608, 5609, 4971, 6132, 6133, 6134, 6334, 6333, 4767, 
           7251, 7252, 7250, 5269, 7253, 5268, 7249, 5438, 7382, 5515, 5894, 
           5895, 5853, 5852, 5470, 5854, 5267, 5814, 5053, 6528, 5168, 6527, 
           5167, 7157, 4694, 6559, 5199, 6558, 5200, 6560, 5054, 6419, 5055, 
           5924, 5925, 7203, 7204, 6905, 6906, 5796, 5225, 7206, 5227, 7205, 
           5226, 4768, 6337, 6338, 6336, 6335, 6135, 4972, 5613, 5612, 5631, 
           5616, 5617, 5066, 7088, 5065, 7499, 6569, 7192, 7191, 4719, 7280, 
           7281, 7279, 5304, 7282, 5131, 5725, 5354, 7317, 7319, 7318, 7340, 
           5855, 5132, 5726, 5067, 6588, 5286, 6587, 5285, 7265, 4696, 6595, 
           5297, 6594, 5298, 6596, 5190, 6593, 5296, 7270, 5295, 7509, 7510, 
           7470, 6592, 6992, 6009, 6113, 6112, 4742, 6323, 6324, 6322, 6321, 
           6111, 4961, 5620, 5619, 4635, 5621, 5622, 5078, 7092, 5077, 7500, 
           6574, 7220, 7219, 4773, 7261, 7262, 7260, 5283, 7263, 5282, 5821, 
           6934, 6933, 7387, 7386, 5182, 6544, 5183, 6545, 5075, 6547, 5185, 
           6546, 5184, 7162, 4695, 6538, 5179, 6537, 5180, 6539, 5072, 5771, 
           5178, 5857, 5177, 7207, 7208, 6907, 6908, 5800, 5230, 7212, 5231, 
           7209, 7211, 7210, 4769, 6575, 6576, 6422, 5060, 6421, 5061, 5615, 
           5614, 4627, 4677, 5491, 4958, 6104, 6105, 6106, 6330, 6329, 4740, 
           7276, 7277, 7275, 5303, 7278, 5302, 5831, 6941, 6940, 7392, 7391, 
           5270, 6583, 5271, 6584, 5166, 6586}],
          "0.72`"],
         Annotation[#, 0.72, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwl1Fdsj1EYx/FDW7tWbW1p1V5xQSsxq9WiYofaeyXWlRFcIK5c2iLc2BES
Ii5IBJHQopoo1RB77xA7fE5cfPt79nPO2/f/ZsxeNnZptRDCcH/KGofQpUUI
3dAVS1qGUE3sUNMQDqNhsxAa4K3YC/mXeI5drULYiX7iAR9TQ5jSPIQUvJZ/
hQ/ibfVm4KRZJ5DFXmtHXblWaluigt1LfWKTEKbKJdGy1iFMY6fKJ9Dq+KZu
Dv87naD+bEoI2c4w1NzW/FSkocSOUpw355q+c7SEblP32DkLaI6+QnpT3Q10
tq8T2ui/oL5U/SXzp/OT6Ep7a9Av4l/Rg98T2XpvincUe0SzaAe0R4n5A+JZ
6HUMYefG56nup/wv5JjRF+nulCeXSTc4W65YvnweGqp/KvcMq80ZqWYYuyL+
j9znCP6q++jcQe8X9UXyW9ijzBkjNxop4pv4Y9nj8JtfTq/qy3TPdsjCHL1z
USmeqH6dPetxj1+lfmJaCHfYa+y9SxeonY/EuJufQL/SJPrHjkVmNqGbzRof
n4vnXIr8eBbsERuhvpxdqSfd/FvsvFiDHP3D+Rvx2c727j8K2epy8Duew/mu
qa2kY5xldHzP2CPMLorz9Rahg76F/AEYiP4YjEFYpb5AXyHK2ZPjOWhqfN7Y
52z70dt5BtpVJdaHfUvsstmF7rDVnPvu2pZmIgNr5dagpvgM9bPFKvTXVz+L
nUxv82fYOxOX+NfFL9IbdIX5K/QvxzLUES9WNwnZ+vrEd9fcMvG76u9gkbqF
mI8fzlkv7onvJv+Mc3TTe5zWEjtN08QX25Os9pQ716aDMI9dpfYePvG/2/MD
33DQ3gNIl3tnznu8je8hPkRffVO5ZjhmzlEkil2J714jnw07G2Gv/c/M20qT
1e6OKv5U7Ane6CmO3xVawJ8af/PxG8OfGH8n7Dz8MjOXbpcfQifIvVQzmD1F
bJ/9L/g/7XhOH4o/wh532I0d9hY7W4Ln+CB+c2j3Fv+/kf8ArVW8RA==
           "]],
          "0.54`"],
         Annotation[#, 0.54, "Tooltip"]& ], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwl01tMDmAcx/GH1FxIvUWKyhzuSImU0xySQxsjjHJhc+FwI6dsWGGdbGxC
N9xgcxyGUo0yyjrhxtmtWxmb040cPu9cfPd7f7/n+R+et94JW8pLdg4JIfxC
QXIIV8eE0JIawtKMEJZjGSrkx8eFcAJtzloxRxbr7mw6MDqEyz5fwdCUEB6M
DeE+LvExzg7JDiJe/QgsSw+helQIa/VO4JuSQhhJV/Fl8hTnA+o/oULdfmTJ
z+t3ARcxqO9Wdc/tctgOz+gRekafRpzGUT4iT0QCqvindJfapLQQOvhE2h69
R8+ZscHsUmxEp/59Zj+m4/XLxBK1H5zdscNd/OE77NmOJj6Of+38DV5hFl+A
Gd6WT3/ot8acqfx6PgVnZSWyn3Q2P9PZHHpANleP+ZiHPP5e9O+DVgyL7mbu
I9R61xLvqKFFdJr72cjCbnU3vK9Y315nt72jj6bKJtFM+pKm0xc0g1aqWaB2
ERZihXy/uuW0UJ9uM3vQi1h73FKzR81NupdOV5OLHOzjp3nPdHVZ9Jv7i2VT
+BI+AQ2yQtl3ms3nOsuhFbI8PfKj32X0u+AjZnZ4/0ME97vdi6PVdvtLa+h2
d3dgG5rVdNtrpZ7vnLV4x3s6XjaZ9vjODtF42od+VPIn3TuFBjzxP9CvdxeN
6FNkZp07w2Vffe6yUyfa7DTLvHp5Hb7IPiPNHpvlq9Um69eiTxJdxx+TFztP
5COoVFeFevnHaB/aTGNwXf9r+G1mmfmDsk20Vl0dalDOv3PnLd6glG/0pom0
KvX/7/wfY26MMw==
           "]],
          "0.54`"],
         Annotation[#, 0.54, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwl1Ftsz2ccx/HHuWsRp3/PsuACk9ElxIpMS+KGlq1aHaHaqDosTjPHESG4
c7btYkPmsAsiceHOqUYyQixRp45aW2daGRsbK15PXLz/n+f5Pt/n8/0+z//3
+/WqmP/FvFYhhK/85GaGUJgI4WF2CI+w3XwbdmBwtxB20mJMRBH+7BFCV/k5
PUPoQtdhLUrQv3sIi9ND6Ec7poWQgmRc4tNfvDQjhEm4ZVyHWtzEHzhg/9uu
xlkhJNSopan0IX2Ee3iA+yjm94Q24TGeohnp8mfyT6NVND01hMN8O8hP00cq
WtT6H5OtT0GOcY31gfQyHUQ/1n85v4G0gq6N98DrO3Tnd9o9daP54skosmci
KvjPQCXmuqtjcl5bP2/fQuNF6GftZDyr+EXxxcbfxDX5U3m0VXOJnGUYIyeB
36xn0q/lfCJeJyfX3k/xg16anPeFszTTl7TB+ml9/4qTqMYpXOKzR/6/cv7D
WbEz8X7lT/d/lmOU+Cs549QbbVxjzz7z/diLX3AAz+0ZH3NpQfSjhbRAT4V4
bT5Br59jAK96PoPoPGecj/Xi6XIWGG9xrkbrGeaV9mZGb/MiOXdomb6yxGZZ
y6Z3xbbas9DenuYb5S0y/lnshd7+QY5a+/STMC51Lz3ol3Q3j124E2uiAfn8
E3z60JZ4TrE841s8xrifOpobn1fxNcaX1atBATaI9RWbgPF8s9S4aU827cAr
CW3RHu1Qq/dAW+GtvDa0NTLlz9ZvBp1DP+Q3Nv73cs5hmNgIDMdq8avq/q5+
nrV8jMJQPa4Sm6L31XRFfGfFOzlbb7GG+OyI3cZIvebhqXpLzZdheXzn+fdB
eXyesdKepPh8GF+g1fpvE98Pe1vTU/F9oCfoG31NFm+hx82rxUvte2VexWeS
cQk68z9qPZmm4IM4lzvA3iH6/IhW6WUm/rJ2T4/P6EE5m9zVZsywVokk3kd4
taefoUydadgr95laf+M52lk7JK/FN6bcvun4yd38GJE71bxU7Ua11vGfZl6G
FL10RL34bT18a20ldvG6wXcI3+/lXY/fN3UbzUcYb+N5jV6NZxZvEB9uvFX8
SvzmxG+GeL34sPgOiD+Jzyjfx/GZpU20GffxIPv9t/od4BXYZA==
           "]],
          "0.36`"],
         Annotation[#, 0.36, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{5247, 5789, 5788, 6678, 6679, 6332, 4983, 6331, 6919, 6296,
            4960, 7041, 4959, 7492, 6316, 4978, 6274, 4930, 6273, 4931, 6275, 
           6910, 7047, 4977, 7493, 6670, 7356, 7355, 5817, 5818, 5277, 5885, 
           5276, 5819, 5763, 5762, 4754, 6122, 6121, 6147, 6146, 4788, 6144, 
           6145, 6120, 6893, 4753, 5761, 4752, 6667, 5383, 6719, 5384, 6699, 
           6700, 6698, 5439, 7383, 6668, 6669, 6341, 4986, 6155, 6932, 6156, 
           7450, 4824, 6195, 5929, 5930, 4973, 6290, 4951, 6289, 4952, 6291, 
           6939, 7061, 4994, 7497, 6675, 7364, 7363, 5823, 5824, 5292, 5888, 
           5291, 5825, 4775, 5803, 4776, 6915, 6914, 5426, 7376, 5425, 6735, 
           5460, 6733, 5459, 6734, 5868, 5783, 5784, 5427, 7377, 5428, 6916, 
           6917, 4777, 5804, 5756, 5869, 5396, 5889, 5397, 6693, 6694, 6692, 
           5429, 7378, 6676, 6677, 6328, 4982, 6142, 6918, 6143, 7449, 4823, 
           6194, 5922, 5923, 4974, 6314, 6313, 6972, 4825, 7451, 6138, 6909, 
           6139, 4976, 6315, 6534, 6533, 5764, 5765, 5441, 7384, 5440, 7385, 
           5816, 5874, 4772, 7435, 5416, 5415, 6732, 5457, 6730, 5456, 6731, 
           5870, 5786, 5787, 5419, 7375, 5420, 6912, 6913, 4774, 5802, 5768, 
           5867, 5387, 5886, 5388, 6702, 6703, 6701, 5442, 7388, 6671, 6672, 
           6343, 4988, 6158, 6938, 6278, 4935, 7029, 4934, 7490, 6810, 6811, 
           6005, 6004, 6196, 4826, 6974, 6973, 7453, 7452, 6164, 6736, 4997, 
           5639, 5873, 5872, 6705, 5443, 6704, 6707, 6706, 5400, 5890, 5399, 
           5871, 5828, 5774, 4756, 6131, 6130, 6153, 6152, 4790, 6150, 6151, 
           6129, 6896, 4755, 5772, 5773, 7235, 5246, 7234, 5247}],
          "0.36`"],
         Annotation[#, 0.36, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{4601, 5896, 4600, 7134, 7135, 6507, 5151, 6508, 5149, 5742,
            6821, 6025, 5150, 7133, 6738, 6737, 4814, 6968, 6986, 6985, 4947, 
           7461, 4948, 4903, 7005, 7416, 7415, 5516, 4659, 4599, 7407, 5343, 
           5342, 7345, 5369, 7343, 5368, 7344, 4691, 7137, 5153, 7136, 5154, 
           7138, 5152, 7347, 5371, 7346, 5370, 4663, 6746, 6745, 6744, 5346, 
           7298, 5014, 7141, 5156, 7139, 5155, 7140, 4692, 6663, 5373, 6662, 
           5374, 6664, 5372, 5504, 5503, 4667, 4606, 7007, 7008, 7006, 4908, 
           4950, 7462, 4949, 6987, 6988, 6970, 4818, 6969, 4817, 7348, 5375, 
           6832, 6833, 5748, 5163, 6523, 5164, 6520, 6522, 6521, 5677, 5558, 
           5681}],
          "0.18`"],
         Annotation[#, 0.18, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{4625, 5563, 4623, 4675, 5985, 5984, 4854, 6226, 6761, 6760,
            5038, 7518, 7085, 4850, 6989, 6990, 6395, 6394, 7079, 5663, 7303, 
           7304, 7302, 7306, 7305, 5022, 6632, 6633, 6631, 7301, 7300, 5655, 
           6627, 6628, 6626, 6630, 6629, 5013, 7296, 7297, 7293, 7295, 7294, 
           5646, 6625, 4662, 7417, 6624, 5978, 4837, 7065, 5011, 6742, 6743, 
           6208, 4836, 6205, 6207, 6206, 4602, 5533, 5642}],
          "0.18`"],
         Annotation[#, 0.18, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{4630, 5570, 7089, 6425, 6426, 6243, 6993, 4873, 6244, 5087,
            7098, 5088, 7099, 4878, 6015, 6016, 4682, 4637, 5697, 4640, 6783, 
           6782, 7330, 7329, 5106, 6653, 6654, 6652, 6784, 6785, 4641, 7409, 
           4649, 6793, 6657, 6792, 7412, 6791, 5112, 7338, 7339, 6794, 6795, 
           4650, 5714, 4654, 6251, 6252, 6250, 4886, 7119, 5121, 7118, 5120, 
           6253, 4887, 6024, 6485, 6820, 4689, 6486, 5602, 5715}],
          "0.18`"],
         Annotation[#, 0.18, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{4657, 4690, 5716, 7177, 7178, 6556, 5196, 6557, 5140, 5737,
            5366, 7341, 5367, 7342, 4831, 6983, 4832, 6984, 7043, 4737, 4965, 
           7464, 4966, 4946, 7037, 7039, 7038, 4658, 5627, 7367, 7368, 7366, 
           7370, 7369, 5403, 7373, 5405, 7371, 5404, 7372, 5600, 7180, 5197, 
           7179, 5198, 7181, 5118, 7117, 5119, 6797, 6798, 6799, 5626, 7183, 
           5204, 7182, 5205, 7184, 5203, 7187, 5207, 7185, 5206, 7186, 5595, 
           6681, 5401, 6680, 5402, 6682, 5361, 5362, 7411, 4648, 5625, 5529, 
           7035, 7036, 7034, 4945, 4964, 7463, 4963, 4735, 6872, 6871, 7487, 
           4828, 6979, 6779, 7129, 5138, 6500, 5137, 5730, 5136, 6552, 5193, 
           6549, 6551, 6550, 4633, 4680, 5692}],
          "0.18`"],
         Annotation[#, 0.18, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{5248, 6922, 6923, 4785, 5808, 4784, 6921, 6920, 7466, 4980,
            7049, 6911, 7048, 4979, 7465, 6935, 4796, 5822, 4797, 6937, 6936, 
           5284, 7264, 6127, 6128, 5794, 5795, 5214, 6567, 5213, 6568, 6768, 
           5998, 5997, 5996, 5126, 5718, 5717, 6126, 6125, 5232, 7434, 4771, 
           5801, 4770, 7018, 4924, 7016, 4923, 7017, 4925, 7019, 4780, 5806, 
           4781, 7437, 5240, 6123, 6124, 5792, 5793, 5212, 6565, 5211, 6566, 
           6767, 6766, 7513, 5352, 7316, 5353, 6684, 6685, 6683, 5406, 5510, 
           5509, 5239, 7436, 4779, 5805, 4778, 7014, 4918, 7012, 4917, 7013, 
           4919, 7015, 4792, 5815, 4793, 7439, 5275, 6136, 6137, 5797, 5798, 
           5229, 5897, 5228, 5799, 5435, 6695, 7506, 5242, 7230, 5243, 6687, 
           6688, 6686, 5417, 5512, 5511, 5278, 7440, 4795, 5820, 4794, 7026, 
           4928, 7024, 4927, 7025, 4929, 7027, 4782, 5807, 4783, 7438, 5244, 
           6140, 6141, 5723, 5724, 5279, 5891, 5494, 5495, 5363, 6658, 7258, 
           5280, 7259, 5281, 6690, 6691, 6689, 5418, 5514, 5513, 7236, 5248}],
          
          "0.18`"],
         Annotation[#, 0.18, "Tooltip"]& ]}, {}, {}}}]},
   AlignmentPoint->Center,
   AspectRatio->1,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->Automatic,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->All,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{{3.391848421421875*^9, 3.391848462265625*^9}, 
   3.391848556875*^9, 3.392472337693068*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell["The built-in colormap can be modified by several options.", \
"MathCaption"],

Cell[BoxData[
 FormBox[
  StyleBox[
   FrameBox[
    StyleBox[GridBox[{
       {
        StyleBox[
         RowBox[{"option", " ", "name"}], "Text",
         FontSlant->"Italic"], 
        StyleBox[
         RowBox[{"default", " ", "value"}], "Text",
         FontSlant->"Italic"], "\[Null]"},
       {
        StyleBox[
         RowBox[{
          StyleBox["Q",
           FontSlant->"Plain"], 
          StyleBox["SphereRadius",
           FontFamily->"Courier"]}]], 
        StyleBox["1",
         FontFamily->"Courier"], 
        RowBox[{
        "The", " ", "radius", " ", "of", " ", "the", " ", "sphere", " ", 
         "used", " ", "for", " ", "the", " ", "stereographic", " ", 
         "projection"}]},
       {
        StyleBox[
         RowBox[{
          StyleBox["Q",
           FontSlant->"Plain"], 
          StyleBox["ValueRange",
           FontFamily->"Courier"]}]], 
        StyleBox[
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}],
         FontFamily->"Courier"], 
        RowBox[{
        "The", " ", "range", " ", "of", " ", "absolute", " ", "values", " ", 
         "which", " ", "are", " ", "to", " ", "be", " ", "colored"}]},
       {
        StyleBox[
         RowBox[{
          StyleBox["Q",
           FontSlant->"Plain"], 
          StyleBox["LightnessRange",
           FontFamily->"Courier"]}]], 
        StyleBox[
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}],
         FontFamily->"Courier"], 
        RowBox[{
        "Defines", " ", "the", " ", "minimal", " ", "and", " ", "maximal", 
         " ", "lightness", " ", "of", " ", "the", " ", "colors"}]},
       {
        StyleBox[
         RowBox[{
          StyleBox["Q",
           FontSlant->"Plain"], 
          StyleBox["ComplexToColorMap",
           FontFamily->"Courier"]}]], 
        StyleBox[
         RowBox[{
          StyleBox["$",
           FontFamily->"Courier"], 
          StyleBox["Q",
           FontSlant->"Plain"], 
          StyleBox["ComplexToColorMap",
           FontFamily->"Courier"]}]], 
        RowBox[{"Use", " ", 
         StyleBox["a",
          FontSlant->"Plain"], " ", "different", " ", "color", " ", "map"}]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}}],
     GridBoxOptions->{
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
       "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}}}]], 
   "3ColumnBox"], TraditionalForm]], "Text",
 CellChangeTimes->{{3.3918477673125*^9, 3.391847780890625*^9}},
 CellTags->"ComplexPlotOptions"],

Cell[TextData[StyleBox["Options for the color map.",
 FontFamily->"Times New Roman",
 FontSize->10]], "Text",
 CellMargins->{{60, 10}, {7, 0}},
 CellTags->"ComplexPlotOptions"],

Cell[TextData[{
 "The options Q",
 StyleBox["SphereRadius",
  FontFamily->"Courier"],
 ", Q",
 StyleBox["ValueRange",
  FontFamily->"Courier"],
 ", and Q",
 StyleBox["LightnessRange",
  FontFamily->"Courier"],
 " influence the built-in color map. Use large (resp. small) values of ",
 "Q",
 StyleBox["SphereRadius",
  FontFamily->"Courier"],
 " if you want to investigate a complex function in a region where its \
absolute values are large (resp. small). ",
 StyleBox["SphereRadius->R",
  FontFamily->"Courier"],
 " causes all complex values with absolute value R to be drawn at maximal \
brightness and saturation. ",
 StyleBox["ValueRange->",
  FontFamily->"Courier"],
 "{rmin,rmax} causes all f[z] with ",
 StyleBox["Abs",
  FontFamily->"Courier"],
 "[f[z]]<rmin to be drawn with minimal lightness (usually black); all f[z] \
with ",
 StyleBox["Abs",
  FontFamily->"Courier"],
 "[f[z]]>rmax are drawn at maximal lightness (usually white). The settings \
for maximal and minimal lightness are controlled by the option ",
 StyleBox["LightnessRange",
  FontFamily->"Courier"],
 ". The built-in color map is ",
 StyleBox["$ComplexToColorMap",
  FontFamily->"Courier"],
 ". It can be replaced by a different color map by setting the option ",
 StyleBox["ComplexToColorMap",
  FontFamily->"Courier"],
 "."
}], "Text",
 CellTags->"ComplexPlotOptions"],

Cell[BoxData[
 FormBox[
  StyleBox[
   FrameBox[
    StyleBox[GridBox[{
       {
        RowBox[{
         StyleBox[
          RowBox[{"Q", 
           StyleBox["ComplexToColor",
            FontFamily->"Courier"]}]], "[", "z", "]"}], 
        RowBox[{"associate", " ", 
         StyleBox["a",
          FontSlant->"Plain"], " ", "color", " ", "directive", " ", "to", 
         StyleBox[" ",
          FontSlant->"Italic"], 
         StyleBox["a",
          FontSlant->"Plain"], " ", "complex", " ", "number", " ", "z", " ", 
         "according", " ", "to", " ", "the", " ", "option", " ", 
         RowBox[{
          StyleBox["ComplexToColorMap",
           FontFamily->"Courier"], "."}]}]}
      },
      GridBoxAlignment->{
       "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}],
     GridBoxOptions->{
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}}}]], "2ColumnBox"], TraditionalForm]], "Text",
 CellTags->"ComplexToColor"],

Cell["\<\
The function QComplexToColor is actually defined in the package \
VQM`ColorMaps`, which is loaded automatically by VQM`ComplexPlot`.\
\>", "Text"],

Cell["\<\
Maximal and minimal lightness is set to 1/2. Thus only the phases are mapped \
to a color, the information on the absolute value is lost.\
\>", "MathCaption"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QComplexDensityPlot", "[", " ", 
  RowBox[{
   RowBox[{"x", " ", "+", " ", 
    RowBox[{"I", " ", "y"}]}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"QLightnessRange", "->", 
    RowBox[{"{", 
     RowBox[{".5", ",", ".5"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJzN1Xus13Mcx/Fj5a5kSaIsoVSM3C/Z2lTkkpAuwlqIcsn9Vm1toXu0Lq6Z
uROjO2KzUSklRiq3mft1lFtKmyxtj39e2+e7n42zfbfHzn+f597v92/fAUPO
urJeXV1ds3++v/3g5q9umy3fQ/gR/Bh+Aj+Fn8HP4dl4Hn4Bv4xfwa/ixXgp
Xo7fwu/g9/Bq/D7+EH+MP8EP4KrdnsRP42fxLDw3tHoptHottHoDv4nfxu/i
VTX0+RTfX7Hbo/hxXDJjc/DzFVu9jpfhkllagz+o2OdzfO+/1M3dnIGdMfdx
Pl4QWi3ES7B75yytxO5aLX2+xHeHbvcVdHsYp910xmZib1dJK2/UCuwspV37
qKDPF6HP13gavgvfE7pNL+jmbjpj7qO368XQahH2Rrl3zpK7lvp8Fvp8hb/B
3+LJeEpomGYvdfO3wN10xtxH77ytvOfunbPkrnmrU580Mzb5Hv+A78STQsOp
OM2et85u3jTvvzPmnbeV99xZ8m57i+zjzUkz811o8iP+CU/AE2to6Oy5s3bz
pjlj3i5beaOcJW+RfdwpZ6Zqk3X4ZzwWj8PjQ887Qk8bur/urN3cTffRVu6d
u2Yfd8o9sokd1oYOv+Bf8W94VPBoPKagrT1TQ2fPbs6YrZwl+zgzqYkd0tt/
x+vxH8Ej8a3BtwXfXtDZtva0od1sZR+b2MG3p/duwBuD/wzehEf8z7z1b8RW
+P//2MPxsOChwbfgm/FN+AZ8Lb4C98edcEvcGDfAO+Ed8PZ4O7xtcP3geuGN
6b03hrdfHzpcFZpcGvqcHVodHLrtGRo2Cj13Dm13LOis09uvCx2uLmgyGA8M
ffrg00Orw/GBodteeI+ChruGnrsUtLXDNaHDkNDkMuzMXBz6nIudpVNCq6Ow
M9Y6dNsbO3tNQsPdQs+GoWfVJoPwJfii0Kcf7oV74JNDq2PwobgdPiB0a46b
4aY1NLTJ5dg9cmbcqQtDn/Owu+YsuXcnhVbHYvfRGXM39w/dWmB31tlzf3cP
DW2SZsadSn3Ox33xOdhZOhV3Da2Ow0diZ6w9boP3K+jmzqbZs2GaGfsMKOjj
LeqNnaUzsDeqS2h1PPZ2dcDOWFvsTUvd9gnd0uzZx5uT+lyAvUXumrN0Jnbv
ulVsdTR2Hw/Bzpi76U1rVdDNW2e3Wvq4a95tZ8m9Ow17zzuHVh2xd/4I7D46
Y95/d7OWbiV9vNVp13piZ6k79kZ5z0taeee9XYdhZ+wgnHbT34KSblX7uGsl
s+TeeaNsdWJodUJo5e1yH0tmzN2s2u0vWys5Wg==
     "], {{-4, -4}, {4, 4}}, {1, 
     256},
     ColorFunction->Hue], 
    {GrayLevel[0], LineBox[{{-4, -4}, {-4, 4}}], 
     LineBox[NCache[{{Rational[-92, 25], -4}, {
        Rational[-92, 25], 4}}, {{-3.68, -4}, {-3.68, 4}}]], 
     LineBox[NCache[{{Rational[-84, 25], -4}, {
        Rational[-84, 25], 4}}, {{-3.36, -4}, {-3.36, 4}}]], 
     LineBox[NCache[{{Rational[-76, 25], -4}, {
        Rational[-76, 25], 4}}, {{-3.04, -4}, {-3.04, 4}}]], 
     LineBox[NCache[{{Rational[-68, 25], -4}, {
        Rational[-68, 25], 4}}, {{-2.72, -4}, {-2.72, 4}}]], 
     LineBox[
      NCache[{{Rational[-12, 5], -4}, {
        Rational[-12, 5], 4}}, {{-2.4, -4}, {-2.4, 4}}]], 
     LineBox[NCache[{{Rational[-52, 25], -4}, {
        Rational[-52, 25], 4}}, {{-2.08, -4}, {-2.08, 4}}]], 
     LineBox[NCache[{{Rational[-44, 25], -4}, {
        Rational[-44, 25], 4}}, {{-1.76, -4}, {-1.76, 4}}]], 
     LineBox[NCache[{{Rational[-36, 25], -4}, {
        Rational[-36, 25], 4}}, {{-1.44, -4}, {-1.44, 4}}]], 
     LineBox[NCache[{{Rational[-28, 25], -4}, {
        Rational[-28, 25], 4}}, {{-1.12, -4}, {-1.12, 4}}]], 
     LineBox[NCache[{{Rational[-4, 5], -4}, {
        Rational[-4, 5], 4}}, {{-0.8, -4}, {-0.8, 4}}]], 
     LineBox[NCache[{{Rational[-12, 25], -4}, {
        Rational[-12, 25], 4}}, {{-0.48, -4}, {-0.48, 4}}]], 
     LineBox[NCache[{{Rational[-4, 25], -4}, {
        Rational[-4, 25], 4}}, {{-0.16, -4}, {-0.16, 4}}]], 
     LineBox[NCache[{{Rational[4, 25], -4}, {Rational[4, 25], 4}}, {{
        0.16, -4}, {0.16, 4}}]], 
     LineBox[NCache[{{Rational[12, 25], -4}, {Rational[12, 25], 4}}, {{
        0.48, -4}, {0.48, 4}}]], 
     LineBox[NCache[{{Rational[4, 5], -4}, {Rational[4, 5], 4}}, {{0.8, -4}, {
        0.8, 4}}]], 
     LineBox[NCache[{{Rational[28, 25], -4}, {Rational[28, 25], 4}}, {{
        1.12, -4}, {1.12, 4}}]], 
     LineBox[NCache[{{Rational[36, 25], -4}, {Rational[36, 25], 4}}, {{
        1.44, -4}, {1.44, 4}}]], 
     LineBox[NCache[{{Rational[44, 25], -4}, {Rational[44, 25], 4}}, {{
        1.76, -4}, {1.76, 4}}]], 
     LineBox[NCache[{{Rational[52, 25], -4}, {Rational[52, 25], 4}}, {{
        2.08, -4}, {2.08, 4}}]], 
     LineBox[NCache[{{Rational[12, 5], -4}, {Rational[12, 5], 4}}, {{
        2.4, -4}, {2.4, 4}}]], 
     LineBox[NCache[{{Rational[68, 25], -4}, {Rational[68, 25], 4}}, {{
        2.72, -4}, {2.72, 4}}]], 
     LineBox[NCache[{{Rational[76, 25], -4}, {Rational[76, 25], 4}}, {{
        3.04, -4}, {3.04, 4}}]], 
     LineBox[NCache[{{Rational[84, 25], -4}, {Rational[84, 25], 4}}, {{
        3.36, -4}, {3.36, 4}}]], 
     LineBox[NCache[{{Rational[92, 25], -4}, {Rational[92, 25], 4}}, {{
        3.68, -4}, {3.68, 4}}]], LineBox[{{4, -4}, {4, 4}}], 
     LineBox[{{-4, -4}, {4, -4}}], 
     LineBox[NCache[{{-4, Rational[-92, 25]}, {
        4, Rational[-92, 25]}}, {{-4, -3.68}, {4, -3.68}}]], 
     LineBox[NCache[{{-4, Rational[-84, 25]}, {
        4, Rational[-84, 25]}}, {{-4, -3.36}, {4, -3.36}}]], 
     LineBox[NCache[{{-4, Rational[-76, 25]}, {
        4, Rational[-76, 25]}}, {{-4, -3.04}, {4, -3.04}}]], 
     LineBox[NCache[{{-4, Rational[-68, 25]}, {
        4, Rational[-68, 25]}}, {{-4, -2.72}, {4, -2.72}}]], 
     LineBox[NCache[{{-4, Rational[-12, 5]}, {
        4, Rational[-12, 5]}}, {{-4, -2.4}, {4, -2.4}}]], 
     LineBox[NCache[{{-4, Rational[-52, 25]}, {
        4, Rational[-52, 25]}}, {{-4, -2.08}, {4, -2.08}}]], 
     LineBox[NCache[{{-4, Rational[-44, 25]}, {
        4, Rational[-44, 25]}}, {{-4, -1.76}, {4, -1.76}}]], 
     LineBox[NCache[{{-4, Rational[-36, 25]}, {
        4, Rational[-36, 25]}}, {{-4, -1.44}, {4, -1.44}}]], 
     LineBox[NCache[{{-4, Rational[-28, 25]}, {
        4, Rational[-28, 25]}}, {{-4, -1.12}, {4, -1.12}}]], 
     LineBox[NCache[{{-4, Rational[-4, 5]}, {
        4, Rational[-4, 5]}}, {{-4, -0.8}, {4, -0.8}}]], 
     LineBox[NCache[{{-4, Rational[-12, 25]}, {
        4, Rational[-12, 25]}}, {{-4, -0.48}, {4, -0.48}}]], 
     LineBox[NCache[{{-4, Rational[-4, 25]}, {
        4, Rational[-4, 25]}}, {{-4, -0.16}, {4, -0.16}}]], 
     LineBox[NCache[{{-4, Rational[4, 25]}, {
        4, Rational[4, 25]}}, {{-4, 0.16}, {4, 0.16}}]], 
     LineBox[NCache[{{-4, Rational[12, 25]}, {
        4, Rational[12, 25]}}, {{-4, 0.48}, {4, 0.48}}]], 
     LineBox[NCache[{{-4, Rational[4, 5]}, {4, Rational[4, 5]}}, {{-4, 0.8}, {
        4, 0.8}}]], 
     LineBox[NCache[{{-4, Rational[28, 25]}, {
        4, Rational[28, 25]}}, {{-4, 1.12}, {4, 1.12}}]], 
     LineBox[NCache[{{-4, Rational[36, 25]}, {
        4, Rational[36, 25]}}, {{-4, 1.44}, {4, 1.44}}]], 
     LineBox[NCache[{{-4, Rational[44, 25]}, {
        4, Rational[44, 25]}}, {{-4, 1.76}, {4, 1.76}}]], 
     LineBox[NCache[{{-4, Rational[52, 25]}, {
        4, Rational[52, 25]}}, {{-4, 2.08}, {4, 2.08}}]], 
     LineBox[NCache[{{-4, Rational[12, 5]}, {
        4, Rational[12, 5]}}, {{-4, 2.4}, {4, 2.4}}]], 
     LineBox[
      NCache[{{-4, Rational[68, 25]}, {4, Rational[68, 25]}}, {{-4, 2.72}, {
        4, 2.72}}]], 
     LineBox[NCache[{{-4, Rational[76, 25]}, {
        4, Rational[76, 25]}}, {{-4, 3.04}, {4, 3.04}}]], 
     LineBox[NCache[{{-4, Rational[84, 25]}, {
        4, Rational[84, 25]}}, {{-4, 3.36}, {4, 3.36}}]], 
     LineBox[NCache[{{-4, Rational[92, 25]}, {
        4, Rational[92, 25]}}, {{-4, 3.68}, {4, 3.68}}]], 
     LineBox[{{-4, 4}, {4, 4}}]}},
   AlignmentPoint->Center,
   AspectRatio->1,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->Automatic,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->Automatic,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{3.391781843355774*^9, 3.3917846532184477`*^9, 
  3.39184794803125*^9, 3.3918483165625*^9, 3.392472338545247*^9}]
}, Open  ]],

Cell["Here the ValueRange is set to {1,4}.", "MathCaption"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QComplexDensityPlot", "[", " ", 
  RowBox[{
   RowBox[{"x", " ", "+", " ", 
    RowBox[{"I", " ", "y"}]}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"QValueRange", "->", 
    RowBox[{"{", 
     RowBox[{"1", ",", "4"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJyllwlslUUUhYewClRLWqBlMQ+hUKAN1UplMyFuFRQFUQoIxiCyWQVFUVwS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     "], {{-4, -4}, {4, 4}}, {1, 256},
     ColorFunction->Hue], 
    {GrayLevel[0], LineBox[{{-4, -4}, {-4, 4}}], 
     LineBox[NCache[{{Rational[-92, 25], -4}, {
        Rational[-92, 25], 4}}, {{-3.68, -4}, {-3.68, 4}}]], 
     LineBox[NCache[{{Rational[-84, 25], -4}, {
        Rational[-84, 25], 4}}, {{-3.36, -4}, {-3.36, 4}}]], 
     LineBox[NCache[{{Rational[-76, 25], -4}, {
        Rational[-76, 25], 4}}, {{-3.04, -4}, {-3.04, 4}}]], 
     LineBox[NCache[{{Rational[-68, 25], -4}, {
        Rational[-68, 25], 4}}, {{-2.72, -4}, {-2.72, 4}}]], 
     LineBox[NCache[{{Rational[-12, 5], -4}, {
        Rational[-12, 5], 4}}, {{-2.4, -4}, {-2.4, 4}}]], 
     LineBox[NCache[{{Rational[-52, 25], -4}, {
        Rational[-52, 25], 4}}, {{-2.08, -4}, {-2.08, 4}}]], 
     LineBox[NCache[{{Rational[-44, 25], -4}, {
        Rational[-44, 25], 4}}, {{-1.76, -4}, {-1.76, 4}}]], 
     LineBox[NCache[{{Rational[-36, 25], -4}, {
        Rational[-36, 25], 4}}, {{-1.44, -4}, {-1.44, 4}}]], 
     LineBox[NCache[{{Rational[-28, 25], -4}, {
        Rational[-28, 25], 4}}, {{-1.12, -4}, {-1.12, 4}}]], 
     LineBox[NCache[{{Rational[-4, 5], -4}, {
        Rational[-4, 5], 4}}, {{-0.8, -4}, {-0.8, 4}}]], 
     LineBox[NCache[{{Rational[-12, 25], -4}, {
        Rational[-12, 25], 4}}, {{-0.48, -4}, {-0.48, 4}}]], 
     LineBox[NCache[{{Rational[-4, 25], -4}, {
        Rational[-4, 25], 4}}, {{-0.16, -4}, {-0.16, 4}}]], 
     LineBox[
      NCache[{{Rational[4, 25], -4}, {Rational[4, 25], 4}}, {{0.16, -4}, {
        0.16, 4}}]], 
     LineBox[NCache[{{Rational[12, 25], -4}, {Rational[12, 25], 4}}, {{
        0.48, -4}, {0.48, 4}}]], 
     LineBox[NCache[{{Rational[4, 5], -4}, {Rational[4, 5], 4}}, {{0.8, -4}, {
        0.8, 4}}]], 
     LineBox[NCache[{{Rational[28, 25], -4}, {Rational[28, 25], 4}}, {{
        1.12, -4}, {1.12, 4}}]], 
     LineBox[NCache[{{Rational[36, 25], -4}, {Rational[36, 25], 4}}, {{
        1.44, -4}, {1.44, 4}}]], 
     LineBox[NCache[{{Rational[44, 25], -4}, {Rational[44, 25], 4}}, {{
        1.76, -4}, {1.76, 4}}]], 
     LineBox[NCache[{{Rational[52, 25], -4}, {Rational[52, 25], 4}}, {{
        2.08, -4}, {2.08, 4}}]], 
     LineBox[NCache[{{Rational[12, 5], -4}, {Rational[12, 5], 4}}, {{
        2.4, -4}, {2.4, 4}}]], 
     LineBox[NCache[{{Rational[68, 25], -4}, {Rational[68, 25], 4}}, {{
        2.72, -4}, {2.72, 4}}]], 
     LineBox[NCache[{{Rational[76, 25], -4}, {Rational[76, 25], 4}}, {{
        3.04, -4}, {3.04, 4}}]], 
     LineBox[NCache[{{Rational[84, 25], -4}, {Rational[84, 25], 4}}, {{
        3.36, -4}, {3.36, 4}}]], 
     LineBox[NCache[{{Rational[92, 25], -4}, {Rational[92, 25], 4}}, {{
        3.68, -4}, {3.68, 4}}]], LineBox[{{4, -4}, {4, 4}}], 
     LineBox[{{-4, -4}, {4, -4}}], 
     LineBox[NCache[{{-4, Rational[-92, 25]}, {
        4, Rational[-92, 25]}}, {{-4, -3.68}, {4, -3.68}}]], 
     LineBox[NCache[{{-4, Rational[-84, 25]}, {
        4, Rational[-84, 25]}}, {{-4, -3.36}, {4, -3.36}}]], 
     LineBox[NCache[{{-4, Rational[-76, 25]}, {
        4, Rational[-76, 25]}}, {{-4, -3.04}, {4, -3.04}}]], 
     LineBox[NCache[{{-4, Rational[-68, 25]}, {
        4, Rational[-68, 25]}}, {{-4, -2.72}, {4, -2.72}}]], 
     LineBox[NCache[{{-4, Rational[-12, 5]}, {
        4, Rational[-12, 5]}}, {{-4, -2.4}, {4, -2.4}}]], 
     LineBox[NCache[{{-4, Rational[-52, 25]}, {
        4, Rational[-52, 25]}}, {{-4, -2.08}, {4, -2.08}}]], 
     LineBox[NCache[{{-4, Rational[-44, 25]}, {
        4, Rational[-44, 25]}}, {{-4, -1.76}, {4, -1.76}}]], 
     LineBox[NCache[{{-4, Rational[-36, 25]}, {
        4, Rational[-36, 25]}}, {{-4, -1.44}, {4, -1.44}}]], 
     LineBox[
      NCache[{{-4, Rational[-28, 25]}, {
        4, Rational[-28, 25]}}, {{-4, -1.12}, {4, -1.12}}]], 
     LineBox[NCache[{{-4, Rational[-4, 5]}, {
        4, Rational[-4, 5]}}, {{-4, -0.8}, {4, -0.8}}]], 
     LineBox[NCache[{{-4, Rational[-12, 25]}, {
        4, Rational[-12, 25]}}, {{-4, -0.48}, {4, -0.48}}]], 
     LineBox[NCache[{{-4, Rational[-4, 25]}, {
        4, Rational[-4, 25]}}, {{-4, -0.16}, {4, -0.16}}]], 
     LineBox[NCache[{{-4, Rational[4, 25]}, {
        4, Rational[4, 25]}}, {{-4, 0.16}, {4, 0.16}}]], 
     LineBox[NCache[{{-4, Rational[12, 25]}, {
        4, Rational[12, 25]}}, {{-4, 0.48}, {4, 0.48}}]], 
     LineBox[NCache[{{-4, Rational[4, 5]}, {4, Rational[4, 5]}}, {{-4, 0.8}, {
        4, 0.8}}]], 
     LineBox[NCache[{{-4, Rational[28, 25]}, {
        4, Rational[28, 25]}}, {{-4, 1.12}, {4, 1.12}}]], 
     LineBox[NCache[{{-4, Rational[36, 25]}, {
        4, Rational[36, 25]}}, {{-4, 1.44}, {4, 1.44}}]], 
     LineBox[NCache[{{-4, Rational[44, 25]}, {
        4, Rational[44, 25]}}, {{-4, 1.76}, {4, 1.76}}]], 
     LineBox[NCache[{{-4, Rational[52, 25]}, {
        4, Rational[52, 25]}}, {{-4, 2.08}, {4, 2.08}}]], 
     LineBox[NCache[{{-4, Rational[12, 5]}, {
        4, Rational[12, 5]}}, {{-4, 2.4}, {4, 2.4}}]], 
     LineBox[NCache[{{-4, Rational[68, 25]}, {
        4, Rational[68, 25]}}, {{-4, 2.72}, {4, 2.72}}]], 
     LineBox[NCache[{{-4, Rational[76, 25]}, {
        4, Rational[76, 25]}}, {{-4, 3.04}, {4, 3.04}}]], 
     LineBox[NCache[{{-4, Rational[84, 25]}, {
        4, Rational[84, 25]}}, {{-4, 3.36}, {4, 3.36}}]], 
     LineBox[NCache[{{-4, Rational[92, 25]}, {
        4, Rational[92, 25]}}, {{-4, 3.68}, {4, 3.68}}]], 
     LineBox[{{-4, 4}, {4, 4}}]}},
   AlignmentPoint->Center,
   AspectRatio->1,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->Automatic,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->Automatic,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{3.391781843477388*^9, 3.391784653342675*^9, 
  3.3918479606875*^9, 3.3918483168125*^9, 3.3924723387197742`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell["\<\
In ValueRange->{v1,v2} the value v1 may be larger than v2. Plotting f with \
ValueRange->{Infinity,0} is the same as plotting 1/Conjugate[f] with the \
default settings:\
\>", "MathCaption"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QComplexDensityPlot", "[", " ", 
  RowBox[{
   RowBox[{"x", " ", "+", " ", 
    RowBox[{"I", " ", "y"}]}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"QValueRange", "->", 
    RowBox[{"{", 
     RowBox[{"Infinity", ",", "0"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJxtmAdsllUUhj+CextcuFI3jgYUQWq1acOP/LbQv0IHULANom0doAiKqEEC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     "], {{-4, -4}, {4, 4}}, {1, 256},
     ColorFunction->Hue], 
    {GrayLevel[0], LineBox[{{-4, -4}, {-4, 4}}], 
     LineBox[NCache[{{Rational[-92, 25], -4}, {
        Rational[-92, 25], 4}}, {{-3.68, -4}, {-3.68, 4}}]], 
     LineBox[NCache[{{Rational[-84, 25], -4}, {
        Rational[-84, 25], 4}}, {{-3.36, -4}, {-3.36, 4}}]], 
     LineBox[NCache[{{Rational[-76, 25], -4}, {
        Rational[-76, 25], 4}}, {{-3.04, -4}, {-3.04, 4}}]], 
     LineBox[NCache[{{Rational[-68, 25], -4}, {
        Rational[-68, 25], 4}}, {{-2.72, -4}, {-2.72, 4}}]], 
     LineBox[NCache[{{Rational[-12, 5], -4}, {
        Rational[-12, 5], 4}}, {{-2.4, -4}, {-2.4, 4}}]], 
     LineBox[NCache[{{Rational[-52, 25], -4}, {
        Rational[-52, 25], 4}}, {{-2.08, -4}, {-2.08, 4}}]], 
     LineBox[NCache[{{Rational[-44, 25], -4}, {
        Rational[-44, 25], 4}}, {{-1.76, -4}, {-1.76, 4}}]], 
     LineBox[NCache[{{Rational[-36, 25], -4}, {
        Rational[-36, 25], 4}}, {{-1.44, -4}, {-1.44, 4}}]], 
     LineBox[NCache[{{Rational[-28, 25], -4}, {
        Rational[-28, 25], 4}}, {{-1.12, -4}, {-1.12, 4}}]], 
     LineBox[
      NCache[{{Rational[-4, 5], -4}, {
        Rational[-4, 5], 4}}, {{-0.8, -4}, {-0.8, 4}}]], 
     LineBox[NCache[{{Rational[-12, 25], -4}, {
        Rational[-12, 25], 4}}, {{-0.48, -4}, {-0.48, 4}}]], 
     LineBox[NCache[{{Rational[-4, 25], -4}, {
        Rational[-4, 25], 4}}, {{-0.16, -4}, {-0.16, 4}}]], 
     LineBox[NCache[{{Rational[4, 25], -4}, {Rational[4, 25], 4}}, {{
        0.16, -4}, {0.16, 4}}]], 
     LineBox[NCache[{{Rational[12, 25], -4}, {Rational[12, 25], 4}}, {{
        0.48, -4}, {0.48, 4}}]], 
     LineBox[NCache[{{Rational[4, 5], -4}, {Rational[4, 5], 4}}, {{0.8, -4}, {
        0.8, 4}}]], 
     LineBox[NCache[{{Rational[28, 25], -4}, {Rational[28, 25], 4}}, {{
        1.12, -4}, {1.12, 4}}]], 
     LineBox[NCache[{{Rational[36, 25], -4}, {Rational[36, 25], 4}}, {{
        1.44, -4}, {1.44, 4}}]], 
     LineBox[NCache[{{Rational[44, 25], -4}, {Rational[44, 25], 4}}, {{
        1.76, -4}, {1.76, 4}}]], 
     LineBox[NCache[{{Rational[52, 25], -4}, {Rational[52, 25], 4}}, {{
        2.08, -4}, {2.08, 4}}]], 
     LineBox[NCache[{{Rational[12, 5], -4}, {Rational[12, 5], 4}}, {{
        2.4, -4}, {2.4, 4}}]], 
     LineBox[NCache[{{Rational[68, 25], -4}, {Rational[68, 25], 4}}, {{
        2.72, -4}, {2.72, 4}}]], 
     LineBox[NCache[{{Rational[76, 25], -4}, {Rational[76, 25], 4}}, {{
        3.04, -4}, {3.04, 4}}]], 
     LineBox[NCache[{{Rational[84, 25], -4}, {Rational[84, 25], 4}}, {{
        3.36, -4}, {3.36, 4}}]], 
     LineBox[NCache[{{Rational[92, 25], -4}, {Rational[92, 25], 4}}, {{
        3.68, -4}, {3.68, 4}}]], LineBox[{{4, -4}, {4, 4}}], 
     LineBox[{{-4, -4}, {4, -4}}], 
     LineBox[NCache[{{-4, Rational[-92, 25]}, {
        4, Rational[-92, 25]}}, {{-4, -3.68}, {4, -3.68}}]], 
     LineBox[NCache[{{-4, Rational[-84, 25]}, {
        4, Rational[-84, 25]}}, {{-4, -3.36}, {4, -3.36}}]], 
     LineBox[NCache[{{-4, Rational[-76, 25]}, {
        4, Rational[-76, 25]}}, {{-4, -3.04}, {4, -3.04}}]], 
     LineBox[NCache[{{-4, Rational[-68, 25]}, {
        4, Rational[-68, 25]}}, {{-4, -2.72}, {4, -2.72}}]], 
     LineBox[NCache[{{-4, Rational[-12, 5]}, {
        4, Rational[-12, 5]}}, {{-4, -2.4}, {4, -2.4}}]], 
     LineBox[
      NCache[{{-4, Rational[-52, 25]}, {
        4, Rational[-52, 25]}}, {{-4, -2.08}, {4, -2.08}}]], 
     LineBox[NCache[{{-4, Rational[-44, 25]}, {
        4, Rational[-44, 25]}}, {{-4, -1.76}, {4, -1.76}}]], 
     LineBox[NCache[{{-4, Rational[-36, 25]}, {
        4, Rational[-36, 25]}}, {{-4, -1.44}, {4, -1.44}}]], 
     LineBox[NCache[{{-4, Rational[-28, 25]}, {
        4, Rational[-28, 25]}}, {{-4, -1.12}, {4, -1.12}}]], 
     LineBox[NCache[{{-4, Rational[-4, 5]}, {
        4, Rational[-4, 5]}}, {{-4, -0.8}, {4, -0.8}}]], 
     LineBox[NCache[{{-4, Rational[-12, 25]}, {
        4, Rational[-12, 25]}}, {{-4, -0.48}, {4, -0.48}}]], 
     LineBox[NCache[{{-4, Rational[-4, 25]}, {
        4, Rational[-4, 25]}}, {{-4, -0.16}, {4, -0.16}}]], 
     LineBox[NCache[{{-4, Rational[4, 25]}, {
        4, Rational[4, 25]}}, {{-4, 0.16}, {4, 0.16}}]], 
     LineBox[NCache[{{-4, Rational[12, 25]}, {
        4, Rational[12, 25]}}, {{-4, 0.48}, {4, 0.48}}]], 
     LineBox[NCache[{{-4, Rational[4, 5]}, {4, Rational[4, 5]}}, {{-4, 0.8}, {
        4, 0.8}}]], 
     LineBox[NCache[{{-4, Rational[28, 25]}, {
        4, Rational[28, 25]}}, {{-4, 1.12}, {4, 1.12}}]], 
     LineBox[NCache[{{-4, Rational[36, 25]}, {
        4, Rational[36, 25]}}, {{-4, 1.44}, {4, 1.44}}]], 
     LineBox[NCache[{{-4, Rational[44, 25]}, {
        4, Rational[44, 25]}}, {{-4, 1.76}, {4, 1.76}}]], 
     LineBox[NCache[{{-4, Rational[52, 25]}, {
        4, Rational[52, 25]}}, {{-4, 2.08}, {4, 2.08}}]], 
     LineBox[NCache[{{-4, Rational[12, 5]}, {
        4, Rational[12, 5]}}, {{-4, 2.4}, {4, 2.4}}]], 
     LineBox[NCache[{{-4, Rational[68, 25]}, {
        4, Rational[68, 25]}}, {{-4, 2.72}, {4, 2.72}}]], 
     LineBox[NCache[{{-4, Rational[76, 25]}, {
        4, Rational[76, 25]}}, {{-4, 3.04}, {4, 3.04}}]], 
     LineBox[NCache[{{-4, Rational[84, 25]}, {
        4, Rational[84, 25]}}, {{-4, 3.36}, {4, 3.36}}]], 
     LineBox[NCache[{{-4, Rational[92, 25]}, {
        4, Rational[92, 25]}}, {{-4, 3.68}, {4, 3.68}}]], 
     LineBox[{{-4, 4}, {4, 4}}]}},
   AlignmentPoint->Center,
   AspectRatio->1,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->Automatic,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->Automatic,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{3.3917818436014557`*^9, 3.391784653465107*^9, 
  3.391847973265625*^9, 3.391848317046875*^9, 3.392472338996915*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell["\<\
A color map receives information about absolute value and phase of a complex \
function f. Here is an example \
\>", "MathCaption"],

Cell["\<\
mymap[r_,phi_]:=
Hue[r,Mod[phi/2/Pi,1],Mod[phi/Pi,1]]\
\>", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["\<\
QComplexDensityPlot[x+I y,{x,-1,1},{y,-1,1},QComplexToColorMap->mymap]\
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJxdmA2Ql1UVh88/LTRN0YCMkhXQUjEgIUPdndkZJPtgrcgFalPArHQXMFtD
KZthqEQrxT5wCzRt+zBlK4owUxvZqTXBsBJZ+uDD2qRsKSIsw2qm88z9nbln
3Jk79/zffd97f+e555x733f8ZVfNWXqEmb1SDbuzYXaX963eOtzu9f4Cb21u
f937C/mf29/0fra36W5/y/t3eDvd7Xu9b/c2zu1ve/8eb6Pd3uD9Qm/Hub3R
+w94O8rt+7xf7O1It3/kfbe3hts/9n658cNss3crdP0n3q/S/T/z/maNs9X7
L2r8bd6v1by/tOIPerZb0Y3OQe/XS/+vrejDr996/wP5u8uKJjjs8f4h8XnK
iiauf8X7Zlgkbi2J2xRxe7O3CeLW5m2M2/d4P8fbMW73eT/P24vc/q73l3h7
3tv3vV3u7ZC3Tczv7YB0Xe1tv3TBatgqK67/VKy4H1arNc5j3m7T+I97u13z
/sr7r0nPk1b0oXOn99+RfvhslF/wuV/+Bp/ZL+DzB+mAJ/Ocq/uD2+TErSlx
O8Htb3j/Fq313d5f5O2wlRi7WH5FjO3TGi7ytldreIUVvWj8kJU1R+N13nYk
VoPSeKPuf9TbrRrn596+pPGJpTs1b8TSYT3fJ52/0Zqh/3fe/1B+BZ/JiU/L
C/j8UetEHBK/08UZbjM0TnAbmbg1xG2W1hdub/X2J6u5yVoR78TYE1Zi7FIr
eRP5OCC9S731e3vQ27XSGqz6dd9N6rd4+7zGibxjfGKpV/PC+h7piVxDJ3zu
k/49mm9k4tOU+EwRn0fFZ5/WhvxlfaZaiU/mnyb+67x/o8aH2/neDlrlNmQl
3mdJY9S0LVZz82GrMYbW73l7n3yI2tUn7cvEOFj1idGndX/UKJ77hbc7NH7E
EvNGrqEnahE6d2sO9AefhvgMyN+nNcYE8dkmPn+2ErvUPfJ+kpW87vF+spW4
/bL3Z2td4HaO5r1D3LYnbgPi9iYruUVutslf/J+rtcfnBRqP2nWllTkf8HaN
tzWJFdcf8fZZ3f+YrvVK+1c1Plzu1bzk2kbp2a1xtyc+Q2oD8utprQH+EouP
i8MzVmIWPn/RHOwXX/D+NVbqIet2hpV8h+FZVsaI2OOZyNkBcTtPfgc3OMUe
yr2Rm9TliLFVVvNxpdU9cUVixfXY+1ZZzbvVVmOJ35FrzBt72abEZ0B8HpH+
yCn8ipjBX5g8KQ7sKzvF569WYpR9lnp5ipV95HPeT7RSJ4PhLq03DLdYjT3W
kdibJp2xR/QkbtSa2Auut1r/u63W/CVW63xXYsX1qOfdVms440TdZvyo1T2J
D3qiJt8vLtukP2IGv4bFBH+DCRz4vVt8/q5xOZ+wbmOt7L+3eHu12KOxSePC
cIKV+hAM+8TwTK1vxB76o9YtT9zgEDWNPIwYm2+1drUnVlyPGsX9EUtdVmvR
8sSHeaPmoCdipk9MBqU/mDwhRnvkL0x+Lw7/EGv4HNL/OddRO0dZufYZb2Os
7MvUiZOkN3jiEzlwspW6Ac/xuhYMWffI3y6rOduRuFHLIjdnWs3H1sSK65F3
3B+51pH4dFnNKeaNPFqdmPSKw17pp74Pya/gwP+eFV+u/VNjwedfVnKSmkYt
eJkYYx+vOTjXjLS6b58orcF2ndi+Qs8Fz26rMbkgMcTfiL3mxI3fEWOTEiuu
Ryw1Jz5tVmNmQWLSbTU2ViUO6+T7M9IfvuPXc97+puf/refhcFhM4XNYY7Fv
fsL7EXr+k7IHZR9l5ZzzKW9HW4ln7JdaqQ83eDvWSh0O5ksS5/mJ7czEc2pi
OC5xG51YjUt8piYmMxOH+cn3JcnflVZ9RCd59az0/0fP9Mt+Tv7+V8/vl31Y
fP4nm/cvdPE3bNXekezNyV6f7DXJXpHsrmS3J7s12ZOSPTrZ+W90sicluzXZ
7cnuSnYeb02y1yd7c7J3JHs4i2gk0+2PW+EGz+utvh9gwxn+H7PCv08268J6
fdTKerGO1FnWkfXlfYX1Zd2XaWzigTwhHqbqPuKE+Fko7fBptRpXp1jN05db
iUPGIX7HanxifJTGIw9GSs8I3YfOl1iJf/S/WM/0yz5a/h6p5/fLHiE+R8gm
H8PHA/L3oHwIf8lr3j/I6w3Jd+rAR6zUgVWJAz37P3VjQWJCneFdkDrTnPjA
4V1W6tKkxIrrr7NSx5oTN8Y5Sf9fkBh2i1OT1XowVjqPsVJXNyS2A+J0ovQF
5wNic7z4BHPqfPh+SL5T/9kXOEdTQ7cmDuwjfBtgH+kVE+5dnZgQj3xLYD8i
L9jf2Kc6Eh/8nS/tM/V7rVgEK65P0/P8/3Qr+2ZH4tYlHtM1L3v4WdITDHvF
YLz0w+Bk+RU88eFYrcEhsR0jPsGW80NwoP592Mq5Yp/V2OAccpWVc8jDiUmf
tA7Kz4gZ9sz3WznnLE98uJcY4VxEPEQswYz3b85R7YkV13mvWqz7I8a6xGC2
xg9uzPsqK+e6tVZjD53k9pnSHwzx6wQr58Z9VmMSDsdZOWfCJ3hyLoXJU1bO
qzDhvHogMdklfTvl/5Wah/PwB62cgTgn842Kc3JP4oN+4oBzNes+V9pZH2Lk
Ts3Dt7FbNU+w4voMrVm3/F6kcfD7Yo1/mpX3gp7E7W75eq508m1zmvSTi5Pl
FwzPkL/BEA4wnCg+IzUu7zvBhPegxWJCfY884v0gYob9InKKfOebAe9ZmxIf
dL7XynsZ6xu5Rl5ELFFPIu+ow7w73ixGwWqlfO3W/ZGPjBMxxvORm8x7qsba
lLihk5w7T/ojZ/ErYg9/I3/hMEoM4RMMeY/u1Bi8X0fMUNOIGd67yV9yivwe
Eh/m35748JvvoA9oHd9t5SxODJFXvAf2yie+D1Bv32YlFmh8n+A9YU1i1SP/
rtH9b7Cir9dqXWd89oO5mve1WgP0TNS42xO3IXE7X36Rs+fIX2LvbHGI2IPP
GM3B95mIGb7bsG7kFN9zouawb16m+Q8mPkPi86BYRy3iGb7z8R2J+hCxRF19
u5VvE8RZ1Cj85RsYZ9b1iVWffFqm+6N2Mc7rtWaMHzHGvMTCHOmJmjYkbrOk
P7jh1zjNgb9R6+BA7E0Tn4i91kbNKb4HUnN4t28SH74T8v0w+DD+peLDunRI
O/EcuUYdIJb43keMvlOxsNVq3sGdGsN3zn75cZPmCFb98uNa3Y8fSzVO5CPj
T7GiaZfWf570RG6i8zStDfonaD78Cm5N4tYsDtS6GeITOdvWqDW5JfGZnPg0
ic9D4h+1mrgl1/iOTb5H3aZORizts1rD92qdeSekPkY9Zx/lW/6NiodgNSjt
1+n+qPN7pf0Kq+faRZo3Ygw9Uf/RSW5eJP2xFzSJ2wXyN7i1JG5tjbpHdCQ+
sxOflsQHztRq6gHxiRZqEXkduUY9RBexxD5CLPGd9HlpvF3rS426TX5Rg6nT
+6WX+j2cWO2X3uW6H71XaxxqV6fGp8ZcrnmJsUukhzo9TzojN9Ef7/H4darW
rCVxm524dSRunYlPR+LT1qh7WWuj1iLyN3KNukcsUWPYLyKW2GeJpbusnE8i
7zjXRY1irWPvIy9mihXvX8GK6y1ixf2xJzJO1C7Gj3xkXmJsofREjKGTGGuX
/sjN1kataW2Nuod2JG6didv/AcHblrw=
     "], {{-1, -1}, {1, 1}}, {1, 256},
     ColorFunction->Hue], 
    {GrayLevel[0], LineBox[{{-1, -1}, {-1, 1}}], 
     LineBox[NCache[{{Rational[-23, 25], -1}, {
        Rational[-23, 25], 1}}, {{-0.92, -1}, {-0.92, 1}}]], 
     LineBox[NCache[{{Rational[-21, 25], -1}, {
        Rational[-21, 25], 1}}, {{-0.84, -1}, {-0.84, 1}}]], 
     LineBox[NCache[{{Rational[-19, 25], -1}, {
        Rational[-19, 25], 1}}, {{-0.76, -1}, {-0.76, 1}}]], 
     LineBox[NCache[{{Rational[-17, 25], -1}, {
        Rational[-17, 25], 1}}, {{-0.68, -1}, {-0.68, 1}}]], 
     LineBox[NCache[{{Rational[-3, 5], -1}, {
        Rational[-3, 5], 1}}, {{-0.6, -1}, {-0.6, 1}}]], 
     LineBox[NCache[{{Rational[-13, 25], -1}, {
        Rational[-13, 25], 1}}, {{-0.52, -1}, {-0.52, 1}}]], 
     LineBox[NCache[{{Rational[-11, 25], -1}, {
        Rational[-11, 25], 1}}, {{-0.44, -1}, {-0.44, 1}}]], 
     LineBox[NCache[{{Rational[-9, 25], -1}, {
        Rational[-9, 25], 1}}, {{-0.36, -1}, {-0.36, 1}}]], 
     LineBox[NCache[{{Rational[-7, 25], -1}, {
        Rational[-7, 25], 1}}, {{-0.28, -1}, {-0.28, 1}}]], 
     LineBox[NCache[{{Rational[-1, 5], -1}, {
        Rational[-1, 5], 1}}, {{-0.2, -1}, {-0.2, 1}}]], 
     LineBox[NCache[{{Rational[-3, 25], -1}, {
        Rational[-3, 25], 1}}, {{-0.12, -1}, {-0.12, 1}}]], 
     LineBox[NCache[{{Rational[-1, 25], -1}, {
        Rational[-1, 25], 1}}, {{-0.04, -1}, {-0.04, 1}}]], 
     LineBox[NCache[{{Rational[1, 25], -1}, {Rational[1, 25], 1}}, {{
        0.04, -1}, {0.04, 1}}]], 
     LineBox[NCache[{{Rational[3, 25], -1}, {Rational[3, 25], 1}}, {{
        0.12, -1}, {0.12, 1}}]], 
     LineBox[NCache[{{Rational[1, 5], -1}, {Rational[1, 5], 1}}, {{0.2, -1}, {
        0.2, 1}}]], 
     LineBox[NCache[{{Rational[7, 25], -1}, {Rational[7, 25], 1}}, {{
        0.28, -1}, {0.28, 1}}]], 
     LineBox[NCache[{{Rational[9, 25], -1}, {Rational[9, 25], 1}}, {{
        0.36, -1}, {0.36, 1}}]], 
     LineBox[NCache[{{Rational[11, 25], -1}, {Rational[11, 25], 1}}, {{
        0.44, -1}, {0.44, 1}}]], 
     LineBox[NCache[{{Rational[13, 25], -1}, {Rational[13, 25], 1}}, {{
        0.52, -1}, {0.52, 1}}]], 
     LineBox[NCache[{{Rational[3, 5], -1}, {Rational[3, 5], 1}}, {{0.6, -1}, {
        0.6, 1}}]], 
     LineBox[NCache[{{Rational[17, 25], -1}, {Rational[17, 25], 1}}, {{
        0.68, -1}, {0.68, 1}}]], 
     LineBox[NCache[{{Rational[19, 25], -1}, {Rational[19, 25], 1}}, {{
        0.76, -1}, {0.76, 1}}]], 
     LineBox[NCache[{{Rational[21, 25], -1}, {Rational[21, 25], 1}}, {{
        0.84, -1}, {0.84, 1}}]], 
     LineBox[NCache[{{Rational[23, 25], -1}, {Rational[23, 25], 1}}, {{
        0.92, -1}, {0.92, 1}}]], LineBox[{{1, -1}, {1, 1}}], 
     LineBox[{{-1, -1}, {1, -1}}], 
     LineBox[NCache[{{-1, Rational[-23, 25]}, {
        1, Rational[-23, 25]}}, {{-1, -0.92}, {1, -0.92}}]], 
     LineBox[NCache[{{-1, Rational[-21, 25]}, {
        1, Rational[-21, 25]}}, {{-1, -0.84}, {1, -0.84}}]], 
     LineBox[NCache[{{-1, Rational[-19, 25]}, {
        1, Rational[-19, 25]}}, {{-1, -0.76}, {1, -0.76}}]], 
     LineBox[NCache[{{-1, Rational[-17, 25]}, {
        1, Rational[-17, 25]}}, {{-1, -0.68}, {1, -0.68}}]], 
     LineBox[NCache[{{-1, Rational[-3, 5]}, {
        1, Rational[-3, 5]}}, {{-1, -0.6}, {1, -0.6}}]], 
     LineBox[NCache[{{-1, Rational[-13, 25]}, {
        1, Rational[-13, 25]}}, {{-1, -0.52}, {1, -0.52}}]], 
     LineBox[NCache[{{-1, Rational[-11, 25]}, {
        1, Rational[-11, 25]}}, {{-1, -0.44}, {1, -0.44}}]], 
     LineBox[NCache[{{-1, Rational[-9, 25]}, {
        1, Rational[-9, 25]}}, {{-1, -0.36}, {1, -0.36}}]], 
     LineBox[NCache[{{-1, Rational[-7, 25]}, {
        1, Rational[-7, 25]}}, {{-1, -0.28}, {1, -0.28}}]], 
     LineBox[NCache[{{-1, Rational[-1, 5]}, {
        1, Rational[-1, 5]}}, {{-1, -0.2}, {1, -0.2}}]], 
     LineBox[NCache[{{-1, Rational[-3, 25]}, {
        1, Rational[-3, 25]}}, {{-1, -0.12}, {1, -0.12}}]], 
     LineBox[NCache[{{-1, Rational[-1, 25]}, {
        1, Rational[-1, 25]}}, {{-1, -0.04}, {1, -0.04}}]], 
     LineBox[NCache[{{-1, Rational[1, 25]}, {
        1, Rational[1, 25]}}, {{-1, 0.04}, {1, 0.04}}]], 
     LineBox[NCache[{{-1, Rational[3, 25]}, {
        1, Rational[3, 25]}}, {{-1, 0.12}, {1, 0.12}}]], 
     LineBox[NCache[{{-1, Rational[1, 5]}, {1, Rational[1, 5]}}, {{-1, 0.2}, {
        1, 0.2}}]], 
     LineBox[NCache[{{-1, Rational[7, 25]}, {
        1, Rational[7, 25]}}, {{-1, 0.28}, {1, 0.28}}]], 
     LineBox[NCache[{{-1, Rational[9, 25]}, {
        1, Rational[9, 25]}}, {{-1, 0.36}, {1, 0.36}}]], 
     LineBox[NCache[{{-1, Rational[11, 25]}, {
        1, Rational[11, 25]}}, {{-1, 0.44}, {1, 0.44}}]], 
     LineBox[NCache[{{-1, Rational[13, 25]}, {
        1, Rational[13, 25]}}, {{-1, 0.52}, {1, 0.52}}]], 
     LineBox[NCache[{{-1, Rational[3, 5]}, {1, Rational[3, 5]}}, {{-1, 0.6}, {
        1, 0.6}}]], 
     LineBox[NCache[{{-1, Rational[17, 25]}, {
        1, Rational[17, 25]}}, {{-1, 0.68}, {1, 0.68}}]], 
     LineBox[NCache[{{-1, Rational[19, 25]}, {
        1, Rational[19, 25]}}, {{-1, 0.76}, {1, 0.76}}]], 
     LineBox[NCache[{{-1, Rational[21, 25]}, {
        1, Rational[21, 25]}}, {{-1, 0.84}, {1, 0.84}}]], 
     LineBox[NCache[{{-1, Rational[23, 25]}, {
        1, Rational[23, 25]}}, {{-1, 0.92}, {1, 0.92}}]], 
     LineBox[{{-1, 1}, {1, 1}}]}},
   AlignmentPoint->Center,
   AspectRatio->1,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->Automatic,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->Automatic,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{3.391781843705016*^9, 3.39178465357752*^9, 
  3.391847985859375*^9, 3.39184831725*^9, 3.392472340996763*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[BoxData[
 FormBox[
  StyleBox[
   FrameBox[
    StyleBox[GridBox[{
       {
        RowBox[{
         StyleBox[
          RowBox[{"Q", 
           StyleBox["ColorArrayPlot",
            FontFamily->"Courier"]}]], "[", 
         StyleBox["array",
          FontSlant->"Italic"], "]"}], 
        RowBox[{
         StyleBox["generates",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["a",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["raster",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["image",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["of",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["an",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["array",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["of",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox["color",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         StyleBox[" ",
          GridBoxOptions->{
          GridBoxDividers->{
           "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{False}}, "RowsIndexed" -> {}}}], 
         RowBox[{
          StyleBox["directives",
           GridBoxOptions->{
           GridBoxDividers->{
            "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
             "Rows" -> {{False}}, "RowsIndexed" -> {}}}], "."}]}]}
      },
      GridBoxAlignment->{
       "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}],
     GridBoxOptions->{
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}}}]], "2ColumnBox"], TraditionalForm]], "Text",
 CellTags->"ColorArrayPlot"],

Cell["Define a two dimensional array of colors. ", "MathCaption",
 CellTags->"ColorArrayPlot"],

Cell[BoxData[
 RowBox[{
  RowBox[{"colortable", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"RGBColor", "[", 
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{"x", ",", "1"}], "]"}], ",", 
       RowBox[{"Mod", "[", 
        RowBox[{"y", ",", "1"}], "]"}], ",", 
       RowBox[{"Mod", "[", 
        RowBox[{
         RowBox[{"x", "-", "y"}], ",", "1"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "0", ",", "1", ",", ".1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1", ",", ".1"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellTags->"ColorArrayPlot"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QColorArrayPlot", "[", 
  RowBox[{"colortable", ",", 
   RowBox[{"DataRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellTags->"ColorArrayPlot"],

Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJzVljFOxDAQRYMoOQVXYLf3HTgCEqHkOhug4Bo5gqXdKpUrIllCssQZAEXJ
2PrPsaixtMrOZOzx//PHzu3D8/3jddd1N9tv+d8aL8MyRkd7fXr4vTseljFl
v9nr+4B4s+fsN3udF7FOdE/9Mj6z3+x1vYT1k7ucl/GV/bT/wm3xipt8+Oq9
4h7dq8SFKs5w6zoh82D+qy1OcY+IS9lvcfs4yNdY8aX4kmP9dV1f6UJ58O4N
+Pbnzdk+bPMVn9/4DOCB81P223zut4eeiJc4+l3eJzfs5pvcect3FBxT1Qfm
P4m+ZvgLDq5nPLDfDAd1dsG+Drv9NjX4CTmeeu1Rj9Y+zK/1CPmp3Thnv/Gj
egibrjz0EJAvVXmY3/K18HJf7FuzlZ+iyx512tdrqOrEfFqnmP3v2z70nJwz
P6rroi/madWhlf8kvJb6fP8s46Pqw7tdHUfop5x/w+6+I/orVveG9kXM+lE9
xtxfF6x3h34lXuaxeJ6/yo+v6sM+Vv2Uc67HPPMPwMNz32zen8aD7nOs5hk/
Lbxcz+J53yg/RY/GD/uVejS/9mPpH+0v3ofJ8XtB+z8hb/le0H3y/k8VPzZP
9VZ4VX6ou6nqy9a5xb40v/HDe486aOE3f+vZYRAv3ytf5b3y4+H//9+TvyG7
hco=
     "], {{0, 0}, {1, 1}},
     ColorFunction->RGBColor], 
    {GrayLevel[0], LineBox[{{0, 0}, {0, 1}}], 
     LineBox[NCache[{{Rational[1, 11], 0}, {Rational[1, 11], 1}}, {{
        0.09090909090909091, 0}, {0.09090909090909091, 1}}]], 
     LineBox[NCache[{{Rational[2, 11], 0}, {Rational[2, 11], 1}}, {{
        0.18181818181818182`, 0}, {0.18181818181818182`, 1}}]], 
     LineBox[NCache[{{Rational[3, 11], 0}, {Rational[3, 11], 1}}, {{
        0.2727272727272727, 0}, {0.2727272727272727, 1}}]], 
     LineBox[NCache[{{Rational[4, 11], 0}, {Rational[4, 11], 1}}, {{
        0.36363636363636365`, 0}, {0.36363636363636365`, 1}}]], 
     LineBox[NCache[{{Rational[5, 11], 0}, {Rational[5, 11], 1}}, {{
        0.45454545454545453`, 0}, {0.45454545454545453`, 1}}]], 
     LineBox[NCache[{{Rational[6, 11], 0}, {Rational[6, 11], 1}}, {{
        0.5454545454545454, 0}, {0.5454545454545454, 1}}]], 
     LineBox[NCache[{{Rational[7, 11], 0}, {Rational[7, 11], 1}}, {{
        0.6363636363636364, 0}, {0.6363636363636364, 1}}]], 
     LineBox[NCache[{{Rational[8, 11], 0}, {Rational[8, 11], 1}}, {{
        0.7272727272727273, 0}, {0.7272727272727273, 1}}]], 
     LineBox[NCache[{{Rational[9, 11], 0}, {Rational[9, 11], 1}}, {{
        0.8181818181818182, 0}, {0.8181818181818182, 1}}]], 
     LineBox[
      NCache[{{Rational[10, 11], 0}, {Rational[10, 11], 1}}, {{
        0.9090909090909091, 0}, {0.9090909090909091, 1}}]], 
     LineBox[{{1, 0}, {1, 1}}], LineBox[{{0, 0}, {1, 0}}], 
     LineBox[NCache[{{0, Rational[1, 11]}, {1, Rational[1, 11]}}, {{
        0, 0.09090909090909091}, {1, 0.09090909090909091}}]], 
     LineBox[NCache[{{0, Rational[2, 11]}, {1, Rational[2, 11]}}, {{
        0, 0.18181818181818182`}, {1, 0.18181818181818182`}}]], 
     LineBox[NCache[{{0, Rational[3, 11]}, {1, Rational[3, 11]}}, {{
        0, 0.2727272727272727}, {1, 0.2727272727272727}}]], 
     LineBox[NCache[{{0, Rational[4, 11]}, {1, Rational[4, 11]}}, {{
        0, 0.36363636363636365`}, {1, 0.36363636363636365`}}]], 
     LineBox[NCache[{{0, Rational[5, 11]}, {1, Rational[5, 11]}}, {{
        0, 0.45454545454545453`}, {1, 0.45454545454545453`}}]], 
     LineBox[NCache[{{0, Rational[6, 11]}, {1, Rational[6, 11]}}, {{
        0, 0.5454545454545454}, {1, 0.5454545454545454}}]], 
     LineBox[NCache[{{0, Rational[7, 11]}, {1, Rational[7, 11]}}, {{
        0, 0.6363636363636364}, {1, 0.6363636363636364}}]], 
     LineBox[NCache[{{0, Rational[8, 11]}, {1, Rational[8, 11]}}, {{
        0, 0.7272727272727273}, {1, 0.7272727272727273}}]], 
     LineBox[NCache[{{0, Rational[9, 11]}, {1, Rational[9, 11]}}, {{
        0, 0.8181818181818182}, {1, 0.8181818181818182}}]], 
     LineBox[NCache[{{0, Rational[10, 11]}, {1, Rational[10, 11]}}, {{
        0, 0.9090909090909091}, {1, 0.9090909090909091}}]], 
     LineBox[{{0, 1}, {1, 1}}]}},
   AlignmentPoint->Center,
   AspectRatio->1,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->Automatic,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->Automatic,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{3.391781843753256*^9, 3.391784653624364*^9, 
  3.391848000921875*^9, 3.391848317375*^9, 3.392472341817047*^9},
 CellTags->"ColorArrayPlot"]
}, Open  ]],

Cell[TextData[{
 "This command can be used to display color images in ",
 StyleBox["Mathematica.",
  FontSlant->"Italic"]
}], "Text",
 CellTags->"ColorArrayPlot"]
}, Open  ]]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{615, 767},
WindowMargins->{{65, Automatic}, {118, Automatic}},
Visible->True,
ShowSelection->True,
Magnification->1.,
FrontEndVersion->"6.0 for Mac OS X PowerPC (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "ComplexDensityPlot"->{
  Cell[2361, 83, 6324, 168, 73, "Text",
   CellTags->{"ComplexDensityPlot", "ComplexContourPlot", "ComplexPlot3D"}]},
 "ComplexContourPlot"->{
  Cell[2361, 83, 6324, 168, 73, "Text",
   CellTags->{"ComplexDensityPlot", "ComplexContourPlot", "ComplexPlot3D"}]},
 "ComplexPlot3D"->{
  Cell[2361, 83, 6324, 168, 73, "Text",
   CellTags->{"ComplexDensityPlot", "ComplexContourPlot", "ComplexPlot3D"}]},
 "ListComplexPlot"->{
  Cell[644675, 11098, 13157, 339, 75, "Text",
   CellTags->"ListComplexPlot"]},
 "ComplexPlotOptions"->{
  Cell[1240993, 21606, 2629, 81, 109, "Text",
   CellTags->"ComplexPlotOptions"],
  Cell[1243625, 21689, 176, 4, 21, "Text",
   CellTags->"ComplexPlotOptions"],
  Cell[1243804, 21695, 1348, 41, 231, "Text",
   CellTags->"ComplexPlotOptions"]},
 "ComplexToColor"->{
  Cell[1245155, 21738, 1071, 30, 39, "Text",
   CellTags->"ComplexToColor"]},
 "ColorArrayPlot"->{
  Cell[1310696, 23049, 4515, 118, 39, "Text",
   CellTags->"ColorArrayPlot"],
  Cell[1315214, 23169, 94, 1, 45, "MathCaption",
   CellTags->"ColorArrayPlot"],
  Cell[1315311, 23172, 621, 19, 77, "Input",
   CellTags->"ColorArrayPlot"],
  Cell[1315957, 23195, 328, 10, 32, "Input",
   CellTags->"ColorArrayPlot"],
  Cell[1316288, 23207, 4645, 101, 374, "Output",
   CellTags->"ColorArrayPlot"],
  Cell[1320948, 23311, 162, 5, 31, "Text",
   CellTags->"ColorArrayPlot"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"ComplexDensityPlot", 1321521, 23334},
 {"ComplexContourPlot", 1321664, 23337},
 {"ComplexPlot3D", 1321802, 23340},
 {"ListComplexPlot", 1321942, 23343},
 {"ComplexPlotOptions", 1322047, 23346},
 {"ComplexToColor", 1322312, 23353},
 {"ColorArrayPlot", 1322411, 23356}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 81, 3, 124, "Title"],
Cell[674, 28, 107, 6, 94, "Subsubtitle"],
Cell[CellGroupData[{
Cell[806, 38, 173, 4, 27, "Input"],
Cell[982, 44, 343, 8, 43, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1362, 57, 30, 0, 34, "Subsection"],
Cell[1395, 59, 944, 20, 116, "Text"],
Cell[2342, 81, 16, 0, 26, "Text"],
Cell[2361, 83, 6324, 168, 73, "Text",
 CellTags->{"ComplexDensityPlot", "ComplexContourPlot", "ComplexPlot3D"}],
Cell[8688, 253, 49, 0, 20, "Caption"],
Cell[8740, 255, 19, 0, 20, "Caption"],
Cell[8762, 257, 47, 0, 40, "MathCaption"],
Cell[8812, 259, 104, 1, 37, "Program"],
Cell[8919, 262, 135, 2, 27, "Input"],
Cell[9057, 266, 177, 4, 26, "Text"],
Cell[9237, 272, 134, 3, 40, "MathCaption"],
Cell[CellGroupData[{
Cell[9396, 279, 204, 2, 27, "Input"],
Cell[9603, 283, 9527, 196, 374, "Output"]
}, Open  ]],
Cell[19145, 482, 670, 10, 191, "Text"],
Cell[19818, 494, 319, 6, 63, "MathCaption"],
Cell[CellGroupData[{
Cell[20162, 504, 574, 15, 55, "Input"],
Cell[20739, 521, 3931, 89, 374, "Output"]
}, Open  ]],
Cell[24685, 613, 189, 4, 63, "MathCaption"],
Cell[CellGroupData[{
Cell[24899, 621, 1634, 44, 159, "Input"],
Cell[26536, 667, 138365, 2315, 375, 77820, 1321, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[164916, 2985, 197, 4, 81, "MathCaption"],
Cell[CellGroupData[{
Cell[165138, 2993, 160, 4, 50, "Input"],
Cell[165301, 2999, 101360, 1674, 367, 71637, 1185, "CachedBoxData", \
"BoxData", "Output"]
}, Open  ]],
Cell[266676, 4676, 67, 0, 45, "MathCaption"],
Cell[CellGroupData[{
Cell[266768, 4680, 354, 11, 32, "Input"],
Cell[267125, 4693, 377438, 6398, 309, 232900, 4026, "CachedBoxData", \
"BoxData", "Output"]
}, Open  ]],
Cell[644578, 11094, 94, 2, 45, "MathCaption"],
Cell[644675, 11098, 13157, 339, 75, "Text",
 CellTags->"ListComplexPlot"],
Cell[657835, 11439, 691, 31, 53, "Text"],
Cell[658529, 11472, 83, 1, 45, "MathCaption"],
Cell[658615, 11475, 677, 21, 55, "Input"],
Cell[659295, 11498, 130, 3, 63, "MathCaption"],
Cell[CellGroupData[{
Cell[659450, 11505, 497, 15, 75, "Input"],
Cell[659950, 11522, 6182, 127, 283, "Output"]
}, Open  ]],
Cell[666147, 11652, 381, 11, 71, "Text"],
Cell[666531, 11665, 179, 4, 63, "MathCaption"],
Cell[666713, 11671, 442, 8, 126, "Program"],
Cell[CellGroupData[{
Cell[667180, 11683, 614, 20, 55, "Input"],
Cell[667797, 11705, 17582, 330, 375, 8819, 184, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[685416, 12040, 698, 21, 55, "Input"],
Cell[686117, 12063, 388449, 6685, 309, 264338, 4649, "CachedBoxData", \
"BoxData", "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1074603, 18753, 1386, 34, 77, "Input"],
Cell[1075992, 18789, 86635, 1460, 375, 64082, 1090, "CachedBoxData", \
"BoxData", "Output"]
}, Open  ]],
Cell[1162642, 20252, 168, 3, 58, "Program"],
Cell[CellGroupData[{
Cell[1162835, 20259, 178, 3, 32, "Input"],
Cell[1163016, 20264, 164, 3, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1163217, 20272, 938, 27, 99, "Input"],
Cell[1164158, 20301, 76735, 1299, 375, 66805, 1134, "CachedBoxData", \
"BoxData", "Output"]
}, Open  ]],
Cell[1240908, 21603, 82, 1, 45, "MathCaption"],
Cell[1240993, 21606, 2629, 81, 109, "Text",
 CellTags->"ComplexPlotOptions"],
Cell[1243625, 21689, 176, 4, 21, "Text",
 CellTags->"ComplexPlotOptions"],
Cell[1243804, 21695, 1348, 41, 231, "Text",
 CellTags->"ComplexPlotOptions"],
Cell[1245155, 21738, 1071, 30, 39, "Text",
 CellTags->"ComplexToColor"],
Cell[1246229, 21770, 156, 3, 51, "Text"],
Cell[1246388, 21775, 168, 3, 63, "MathCaption"],
Cell[CellGroupData[{
Cell[1246581, 21782, 436, 13, 55, "Input"],
Cell[1247020, 21797, 7796, 168, 374, "Output"]
}, Open  ]],
Cell[1254831, 21968, 59, 0, 45, "MathCaption"],
Cell[CellGroupData[{
Cell[1254915, 21972, 430, 13, 55, "Input"],
Cell[1255348, 21987, 16107, 305, 374, 8793, 184, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[1271470, 22295, 200, 4, 81, "MathCaption"],
Cell[CellGroupData[{
Cell[1271695, 22303, 437, 13, 55, "Input"],
Cell[1272135, 22318, 18064, 338, 374, 9082, 189, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[1290214, 22659, 141, 3, 63, "MathCaption"],
Cell[1290358, 22664, 103, 4, 50, "Input"],
Cell[CellGroupData[{
Cell[1290486, 22672, 120, 3, 32, "Input"],
Cell[1290609, 22677, 20072, 369, 366, 9983, 202, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[1310696, 23049, 4515, 118, 39, "Text",
 CellTags->"ColorArrayPlot"],
Cell[1315214, 23169, 94, 1, 45, "MathCaption",
 CellTags->"ColorArrayPlot"],
Cell[1315311, 23172, 621, 19, 77, "Input",
 CellTags->"ColorArrayPlot"],
Cell[CellGroupData[{
Cell[1315957, 23195, 328, 10, 32, "Input",
 CellTags->"ColorArrayPlot"],
Cell[1316288, 23207, 4645, 101, 374, "Output",
 CellTags->"ColorArrayPlot"]
}, Open  ]],
Cell[1320948, 23311, 162, 5, 31, "Text",
 CellTags->"ColorArrayPlot"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
