(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    930195,      17975]
NotebookOptionsPosition[    927876,      17896]
NotebookOutlinePosition[    928228,      17912]
CellTagsIndexPosition[    928185,      17909]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"$Version", ",", 
   RowBox[{"Date", "[", "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.39185096409375*^9, 3.391850967875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"6.0 for Linux x86 (64-bit) (April 20, 2007)\"\>", ",", 
   RowBox[{"{", 
    RowBox[{
    "2007", ",", "7", ",", "3", ",", "19", ",", "24", ",", 
     "35.011305`8.296783278431654"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.391850969703125*^9, 3.3924722750742817`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[":Examples: from ComplexPlot.m", "Section",
 CellChangeTimes->{{3.391851007703125*^9, 3.391851040328125*^9}}],

Cell[BoxData[
 RowBox[{"\n", 
  RowBox[{"(*", " ", 
   RowBox[{"Turn", " ", "off", " ", "error", " ", "messages"}], " ", "*)"}], 
  "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"msgonindet", " ", "=", " ", 
     RowBox[{
      RowBox[{"Head", "[", 
       RowBox[{"General", "::", "\"\<indet\>\""}], "]"}], "=!=", "$Off"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"Off", "[", 
     RowBox[{"Arg", "::", "\"\<indet\>\""}], " ", "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.3926441392078257`*^9, 3.3926441425125775`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QComplexDensityPlot", "[", 
  RowBox[{
   RowBox[{"x", "+", 
    RowBox[{"I", " ", "y"}]}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3926441392078257`*^9, 3.3926441440447807`*^9}}],

Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJxdmQds1lUUxZ8RBEEUUtkjn+xhA4ogCJoSRVRkK3s0OLCo4MKJUSIqDhSD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     "], {{-4, -4}, {4, 4}}, {1, 256},
     ColorFunction->Hue], 
    {GrayLevel[0], LineBox[{{-4, -4}, {-4, 4}}], 
     LineBox[NCache[{{Rational[-92, 25], -4}, {
        Rational[-92, 25], 4}}, {{-3.68, -4}, {-3.68, 4}}]], 
     LineBox[NCache[{{Rational[-84, 25], -4}, {
        Rational[-84, 25], 4}}, {{-3.36, -4}, {-3.36, 4}}]], 
     LineBox[NCache[{{Rational[-76, 25], -4}, {
        Rational[-76, 25], 4}}, {{-3.04, -4}, {-3.04, 4}}]], 
     LineBox[NCache[{{Rational[-68, 25], -4}, {
        Rational[-68, 25], 4}}, {{-2.72, -4}, {-2.72, 4}}]], 
     LineBox[NCache[{{Rational[-12, 5], -4}, {
        Rational[-12, 5], 4}}, {{-2.4, -4}, {-2.4, 4}}]], 
     LineBox[NCache[{{Rational[-52, 25], -4}, {
        Rational[-52, 25], 4}}, {{-2.08, -4}, {-2.08, 4}}]], 
     LineBox[NCache[{{Rational[-44, 25], -4}, {
        Rational[-44, 25], 4}}, {{-1.76, -4}, {-1.76, 4}}]], 
     LineBox[NCache[{{Rational[-36, 25], -4}, {
        Rational[-36, 25], 4}}, {{-1.44, -4}, {-1.44, 4}}]], 
     LineBox[
      NCache[{{Rational[-28, 25], -4}, {
        Rational[-28, 25], 4}}, {{-1.12, -4}, {-1.12, 4}}]], 
     LineBox[NCache[{{Rational[-4, 5], -4}, {
        Rational[-4, 5], 4}}, {{-0.8, -4}, {-0.8, 4}}]], 
     LineBox[NCache[{{Rational[-12, 25], -4}, {
        Rational[-12, 25], 4}}, {{-0.48, -4}, {-0.48, 4}}]], 
     LineBox[NCache[{{Rational[-4, 25], -4}, {
        Rational[-4, 25], 4}}, {{-0.16, -4}, {-0.16, 4}}]], 
     LineBox[NCache[{{Rational[4, 25], -4}, {Rational[4, 25], 4}}, {{
        0.16, -4}, {0.16, 4}}]], 
     LineBox[NCache[{{Rational[12, 25], -4}, {Rational[12, 25], 4}}, {{
        0.48, -4}, {0.48, 4}}]], 
     LineBox[NCache[{{Rational[4, 5], -4}, {Rational[4, 5], 4}}, {{0.8, -4}, {
        0.8, 4}}]], 
     LineBox[NCache[{{Rational[28, 25], -4}, {Rational[28, 25], 4}}, {{
        1.12, -4}, {1.12, 4}}]], 
     LineBox[NCache[{{Rational[36, 25], -4}, {Rational[36, 25], 4}}, {{
        1.44, -4}, {1.44, 4}}]], 
     LineBox[NCache[{{Rational[44, 25], -4}, {Rational[44, 25], 4}}, {{
        1.76, -4}, {1.76, 4}}]], 
     LineBox[NCache[{{Rational[52, 25], -4}, {Rational[52, 25], 4}}, {{
        2.08, -4}, {2.08, 4}}]], 
     LineBox[NCache[{{Rational[12, 5], -4}, {Rational[12, 5], 4}}, {{
        2.4, -4}, {2.4, 4}}]], 
     LineBox[NCache[{{Rational[68, 25], -4}, {Rational[68, 25], 4}}, {{
        2.72, -4}, {2.72, 4}}]], 
     LineBox[NCache[{{Rational[76, 25], -4}, {Rational[76, 25], 4}}, {{
        3.04, -4}, {3.04, 4}}]], 
     LineBox[NCache[{{Rational[84, 25], -4}, {Rational[84, 25], 4}}, {{
        3.36, -4}, {3.36, 4}}]], 
     LineBox[NCache[{{Rational[92, 25], -4}, {Rational[92, 25], 4}}, {{
        3.68, -4}, {3.68, 4}}]], LineBox[{{4, -4}, {4, 4}}], 
     LineBox[{{-4, -4}, {4, -4}}], 
     LineBox[NCache[{{-4, Rational[-92, 25]}, {
        4, Rational[-92, 25]}}, {{-4, -3.68}, {4, -3.68}}]], 
     LineBox[NCache[{{-4, Rational[-84, 25]}, {
        4, Rational[-84, 25]}}, {{-4, -3.36}, {4, -3.36}}]], 
     LineBox[NCache[{{-4, Rational[-76, 25]}, {
        4, Rational[-76, 25]}}, {{-4, -3.04}, {4, -3.04}}]], 
     LineBox[NCache[{{-4, Rational[-68, 25]}, {
        4, Rational[-68, 25]}}, {{-4, -2.72}, {4, -2.72}}]], 
     LineBox[
      NCache[{{-4, Rational[-12, 5]}, {4, Rational[-12, 5]}}, {{-4, -2.4}, {
        4, -2.4}}]], 
     LineBox[NCache[{{-4, Rational[-52, 25]}, {
        4, Rational[-52, 25]}}, {{-4, -2.08}, {4, -2.08}}]], 
     LineBox[NCache[{{-4, Rational[-44, 25]}, {
        4, Rational[-44, 25]}}, {{-4, -1.76}, {4, -1.76}}]], 
     LineBox[NCache[{{-4, Rational[-36, 25]}, {
        4, Rational[-36, 25]}}, {{-4, -1.44}, {4, -1.44}}]], 
     LineBox[NCache[{{-4, Rational[-28, 25]}, {
        4, Rational[-28, 25]}}, {{-4, -1.12}, {4, -1.12}}]], 
     LineBox[NCache[{{-4, Rational[-4, 5]}, {
        4, Rational[-4, 5]}}, {{-4, -0.8}, {4, -0.8}}]], 
     LineBox[NCache[{{-4, Rational[-12, 25]}, {
        4, Rational[-12, 25]}}, {{-4, -0.48}, {4, -0.48}}]], 
     LineBox[NCache[{{-4, Rational[-4, 25]}, {
        4, Rational[-4, 25]}}, {{-4, -0.16}, {4, -0.16}}]], 
     LineBox[NCache[{{-4, Rational[4, 25]}, {
        4, Rational[4, 25]}}, {{-4, 0.16}, {4, 0.16}}]], 
     LineBox[NCache[{{-4, Rational[12, 25]}, {
        4, Rational[12, 25]}}, {{-4, 0.48}, {4, 0.48}}]], 
     LineBox[NCache[{{-4, Rational[4, 5]}, {4, Rational[4, 5]}}, {{-4, 0.8}, {
        4, 0.8}}]], 
     LineBox[NCache[{{-4, Rational[28, 25]}, {
        4, Rational[28, 25]}}, {{-4, 1.12}, {4, 1.12}}]], 
     LineBox[NCache[{{-4, Rational[36, 25]}, {
        4, Rational[36, 25]}}, {{-4, 1.44}, {4, 1.44}}]], 
     LineBox[NCache[{{-4, Rational[44, 25]}, {
        4, Rational[44, 25]}}, {{-4, 1.76}, {4, 1.76}}]], 
     LineBox[NCache[{{-4, Rational[52, 25]}, {
        4, Rational[52, 25]}}, {{-4, 2.08}, {4, 2.08}}]], 
     LineBox[NCache[{{-4, Rational[12, 5]}, {
        4, Rational[12, 5]}}, {{-4, 2.4}, {4, 2.4}}]], 
     LineBox[NCache[{{-4, Rational[68, 25]}, {
        4, Rational[68, 25]}}, {{-4, 2.72}, {4, 2.72}}]], 
     LineBox[NCache[{{-4, Rational[76, 25]}, {
        4, Rational[76, 25]}}, {{-4, 3.04}, {4, 3.04}}]], 
     LineBox[NCache[{{-4, Rational[84, 25]}, {
        4, Rational[84, 25]}}, {{-4, 3.36}, {4, 3.36}}]], 
     LineBox[NCache[{{-4, Rational[92, 25]}, {
        4, Rational[92, 25]}}, {{-4, 3.68}, {4, 3.68}}]], 
     LineBox[{{-4, 4}, {4, 4}}]}},
   AlignmentPoint->Center,
   AspectRatio->1,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->Automatic,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->Automatic,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{
  3.3926441481006126`*^9, {3.3926442017577677`*^9, 3.391850970125*^9}, 
   3.392472275885569*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"gr1", "=", 
  RowBox[{"QComplexDensityPlot", "[", 
   RowBox[{
    RowBox[{"Sin", "[", 
     RowBox[{"x", " ", "+", " ", 
      RowBox[{"I", " ", "y"}]}], "]"}], ",", "\n", "        ", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "1"}], ",", "2.5"}], "}"}], ",", "\n", "        ", 
    RowBox[{"Mesh", "->", "False"}], ",", " ", 
    RowBox[{"PlotPoints", "->", "30"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.3926441392078257`*^9, 3.3926441440447807`*^9}, {
   3.392644219563371*^9, 3.392644246802539*^9}, 3.3926443693387375`*^9, {
   3.3926444547014832`*^9, 3.392644495059515*^9}}],

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJxdmXuUlVUZxvdwOdwcRhMZSBFoQQKlxZCtcnAtVzLUQsWyBO0ig2YNZtCY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   "], {{-Pi, -1}, {Pi, 2.5}}, {1, 256},
   ColorFunction->Hue],
  AlignmentPoint->Center,
  AspectRatio->1,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->True,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->Automatic,
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{3.391850970390625*^9, 3.3924722760502768`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell["\<\
(* There is a problem here in 6 ... : gr1 is already Graphics[Raster[]]
Probably need another function for this example:
Show[SurfaceGraphics[gr1],
    AspectRatio->Automatic,Axes->True,Mesh->True]
*)\
\>", "Text",
 CellChangeTimes->{{3.392644646377099*^9, 3.3926446477390575`*^9}, {
  3.3927012937420096`*^9, 3.3927013124388943`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QComplexContourPlot", "[", 
  RowBox[{
   RowBox[{"x", " ", "+", " ", 
    RowBox[{"I", " ", "y"}]}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", "\n", "    ", 
   RowBox[{"QValueRange", "->", 
    RowBox[{"{", 
     RowBox[{"2", ",", "5"}], "}"}]}], ",", "\n", "    ", 
   RowBox[{"PlotRange", "->", 
    RowBox[{"{", 
     RowBox[{"0", ",", "3"}], "}"}]}], ",", 
   RowBox[{"Contours", "->", "5"}], ",", "\n", "    ", 
   RowBox[{"ContourStyle", "->", 
    RowBox[{"GrayLevel", "[", "0.5", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3926441392078257`*^9, 3.3926441440447807`*^9}, {
   3.392644219563371*^9, 3.392644222477562*^9}, 3.3926446711026525`*^9}],

Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJytmGlsVkUUhocAgkUUUihQoKkFSik2FCtLBaNxA/cFUSxLCO64YEUURRKD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     "], {{-4, -4}, {4, 4}}, {1, 256},
     ColorFunction->Hue], GraphicsComplexBox[CompressedData["
1:eJyNnXuc19PWx6cmTYoiOSi5S3IJOSixf+cQx6UUCnHck0ueiofcTiqlIw4e
B7l0KJwi5HQRKvavcikqQ1eNqemUJlPTlKaZdH3qu9d7/575/J7fy+mf3dp7
7bU+e+211157f7/f3xx5c+/Le9TOy8vbUpCXt6d85ZiLnjvmon/7j+8umnx3
Ud10XvKvcBr0sNDuoJdP3vOfbf75pL52+sWk/CXSyINGHjTyoJ8O/SO9OMiP
NCV6tUQ/NPqh0Q+Nfmj0Q6Mf+tmgP5Vr3IpDS/BAgwcaPNDggQYPNHigmRe1
u9pBcUBrCT5o8EGDDxp80OCDnhTwpXL5mfqJzpvaTXFqCV5o8EKDFxq80ODN
tQ7Uj9WvdF7VjopTS/BCgxcavNDgzbWu1M/Vz3Re1W6KS0vwQYMv17rWdaZ+
rn6l86Z2URxagifXutZ1pX6sfqLzoONWvboO1M90Ht9I6O895aBQulz1WtI+
JZFXFfmg5yf41kYa/pWhPvJDw6/tjIt25EwIciM/tOLKhZN+uXBhP7WHriu1
E+3gpR58uezEOHPZBblqf+2vetWuaifFBY0+cDJeaNqRS7viBhdyoXPJUftB
/xYuxcH4NB7mwqV6JiTtMzzlPaHMWa9llCd81EOvTfAURXm0fxPqndbTj3Hp
utTx675LveqF1nGCg3rFRT/wQefqp+OjpJ+Wuu/CzzzqPoMfUK/+r3wt9pDP
1UljF2jsCV07AIgl/geNPGjkQSMPGj/LJVdL5ENv35X8i+sRnIpD+0FrqXbQ
caAP+qjAn8plNx03/aHpr3GKEvtA0x+a/tBqV5WjJfKg1a46bh2H4lK5Wqrd
1A46rlzrgvpxSbHatUz4K/2WRE2Fq5OYYYOn/bNQxn0FOUeEfrEdueBELnLo
hxz60Y5ecNCOHuTqutf4pTh0/NSPTshFjpL4putA837asbfS+BH5m65PPYdR
j35dd3rOoJ04DU1cggYP/fEj2qEVp54LNY7ouUzjAu26LqBpR7/aWeOJng81
Pul5UeOV7l8atzSPp551BA1e+GlXv9F5gqY/NP1z+ZXOo64zaPwAPmjsDY1+
aPTreUz9RvHgZzqvrC/Ws+Kin8ZpPRdp3NVzi8ZN9Xvq1Q91HtVOyNH4Dy76
6flM9amfqJ/rvCseHZfuF3p+y+WX6mc678gnHhJ3ycuQT/v5e7od82tspz9x
l/74J/1pp7/GZ5WjuFQO9JchbntK+JkX/PHSoDfmqdDIg588k3ZwQqvfM17a
0Y8foJ99Df3Q6Icf/bSjX/dF5GJP2qFpZ1zgUjvQDg4dN7jor+Ognf6KG7yM
C3zQ2BG7glvHid/Tj3bWE/6gdlG94CIvYT1A0w6uXHFW4zA4NM8Bt+ZL8dwk
cRP7qx9A/xZOcOj5CnsRD9S+4IIfe8EPzfh1n9J7M933GJfGSdoZJ3GNcShu
xQUOzYP0fjPXvAf/3+Q3JHqWZ+XB0NiH+Mo8o0/9T+8pNE9mHNB37ikm74jz
hx3Qw7zE/cpocH+f0BPiuszVT9clNHiYJ/VHXd8a1zR+6DkC+eBSu0DTX/0C
ul5Slvg7EnttjusbO0Ij7/JgF0e/qQnubyKN/baFeo8c7Bbvd4ymH/aG1v6K
Axr+XLiQAy76YTdo5pN+8IMz1zhy4YbOpQcaPeCHVrsyX+jL1Y91wj6EP+g+
pec/aPZ9/AH+mMcZzfpiPTMe1pvOl+6r2IV4Ak38ODSRuyrOX4gHm+K8gVv5
sBN82As+8BNfiPfqT9sSe1ZHfchFDnZnPMxrx2ScG+P8QNOPdY499d6AdQ+N
H9Cf+cEeyOe8fX8yL+VRP/ig0Qde+iEfefCBU+OIrnfqWSfFSf/89D3BTzxl
XM9GMx/Q8X7SaPyLkv7Q6FG5yget5W/hIO5S4sfQFyZ0rdR/yoe9Nc+mPj+x
45YYv6B1fmmHpp150ftz5on1pvsxeQf+cknAm473z8yjrRNo+PEP+mk9tJbI
QQ9xRWmdH3DQrrSuK0riHDT80D8Ef0rl6qel4syFQ/VAa6k4WJcnhtJTUg8/
64B5ZR7i/mN2i/un0fgHdNyfjI7jMppx4zf4NfMJP+uLcWheBg5wK05oxsG4
Oif0zzHuIA/c+H8q8EX7x/OOjAvcjENxo1fP69DI0fO+ns+h4dfnhdrvP9X7
W3rgZ9x6boWfds07mW99bqt5qq5n1aM4tB/tzGvfkH9EmnlnXjVvhSZesj8T
H6FVLu34CfnHbaE+Kw+kpJ64Cz/6GR/yo50lz4jx2uRCxzgreaLyaV5LXgAO
9NNOPXS8T7B5gSZ/1H0COt6vyD5AP/UH1jtyaEcONO3EVdajnqs13qi+XHGN
kvjCeJCLH0DDDw2/xjGNQ7r+OM/jB/p+G3zEQ+ZZ+9EOTs0biHPYETnk5dtC
3pDlF7RrnoFfk6dghyjP8mTaiRPMF7hopx/t6NF2cOs9FXzgoh4+8iLa47nN
8iH6gxv934f4EPHgP+BhnSGXOIHfqV00P4j5sOGFpoSPewr8gX0Ie6gc+PEP
+PU+GD70qFxo5MCPHpULzfkAO3RI4vPGeI6gHj7yF+K25gE6TuYBWte5xp14
/rR23fcZv8YZ/FbjkMYp5Mdzr8nVevVzjWO06z0VdoWPvAS7xOfaRtOu8wRN
nNN8WJ8jadzLFQdZR+oHmjfm2kd0XjSuQuvzLOqxl8ZhHYc+b9JzhNotl51p
1+dF8BEPiB/QxFHiDDTrI/jT1qy4c7nkLdxT4IfIh4+Set0X1c80rrIf5BoH
NLih9bkW9kYe44YfmvlhPeM30PE5g/kJ49d9HfuwTpBPPCG+6DxgH+R2SfSt
sPhU5fon/Yr9oqS9OuZd5J0hfq3z1we+6N/xHslwxucORisfNPECfuIMtN5T
YR/6QdMPO2q+BU0cqvne79YYrzXusg/ouqFd10mvZLy1Usy7zjN+o8+n8R/G
w3qH1veZ4ce+ufwGfWpHaOzM+kB+XC+mB3700E695oPEReykcRKa58bgwt7Q
2Jt5hB9ccX6Mhh+cyMmlh3655JIvkcfhB5pfIpf1r+cMvSeGf2rgj/kr+xPz
Ag0/65BzHPhy3YvpcyHGB02c4HyZa1zQ4GSc6NE4Cg78mHFHvzWauAR/rnFD
M27sAG59fpNLL3rQyz0ScvFPcBD/GDc0uNCbK6/D/tDo1XtKPb8TP6BZR+AC
Zy5c+nwEvZyPmbea++ymrPc2oTmH6T0n/gLNeOgPTX/mBX7sA51LLzR8uXCw
/mknzuh5Qt+jVZzQyM+FG336nIl61sXERN7O6Je0q1/jr+DFX1nn4IamnTwA
/9P3K1m/MR8wXOQj0OBgXcR7K8OlehUXOGhnXyV/Agf86AWXvkepOPUeCT70
Qet7m7TTj/Zc/VSuvv8ATvDp+0LxnG3t+p4ocpRP5cT8ztqbJPOywFGS9+DH
5Hd6XtT3IGnPladpHqfvm2rekCuPID/S9Qpu1i3rG75ceSF8mtfFfcvWLTT+
THzVPJD9g3biQ8333vJSxFHNa/Q9HeSxftADzTyRz+lzC+YJmnbOK9hPv0PT
PC+eT8wexB19T0/v+aH1Hk3zbM3DNa/Q5wn4AfbReKh5rubByMe/cuWh6NH3
T6jXfYLxaF4PDR7NK6HJd1if+t6Tfrej50JKvbeH1ryT/Vrl0U+fW+R6z5B2
5AV6e1ZeRtyLeZ/V6/2mfleDPnAR/6H1ObG+36X6qNc8jX7IIQ/Dv5hf/J54
iJ/rvRNxn3lhXNCcexsfu4d+w3OPofd+nCvpl0tus4/2lFOz5EJjR+KGxgXq
9fyr97I1vzPNvDeBXWjHDnpvib/pPQjtzLvOM+uE8ULX/M4kL8U+q/eunKeR
hz5wa9zCD/SekLgJDmj66XNdff6MPxLP0Ms+Ac0+QlzQ71Cg8TvkExfxa31v
hXWq37Hoe/w172lWZeEEl743Rt4BzfqmnvmmHjpXP2hK/B9a11UuPbn6Qet7
VIyf5xP4C/bB/7G3vhfKfOh7WPgF/bEv+PAz4i36oLE/foT9mWf4oeFn3uFn
vyMexu8RTD/rGjsiD5rx6r0AfsS4sCP4KTVP0/fgoMHFvgKu8J137Xg/xvpm
/es9t+77jJM8CX/Q76nAgx72DdrRgx9xbmK+9XxMXAMn+z20vkeIHWmn1HMH
cij1XME+Bk59DwBa34PR93QYN+PELvhBze9Qt8bxQ8f39G0+oNmfmV/kQcf7
Sps3vffHj6BVL/sA+V3NfWBrpNGLXZkv+kOzXrHHWUn9D3HfZf8BDzR+hr8i
h32CcYBDnxdih5rvoW2NNP31dxDuSvTtFZ+H0Y4f0c44mX/9/oF9l7gCjZ+y
DyOfeIB84qM+N9bnCthf5w8aP0MPdsQeNb8T2RrHr99BsL8TF8FPPKMfdtTf
YTmtaNz6vZ8pSNfdmTerScXarN9lCWW9eG/fxvgbBP6s3wN6vaTw4Pbv5Kcn
PTWoy7A1O7N+Jye9sPSyz1vXjfMyw2j8elTN/lnvRyAXPfo7Hp9Zu+nJ+n0c
xsm49Xc5zrV2xo0dGLf+DhJ2mG76GBfjiN95BTp+VybjceBmHJTe2hnnayan
vekFN3LL1rdpc9sHmXP7xAub9On4TEFK5jMl85ka/Gbfdxc9scrf+7djz3nl
roL0t/VbnNV1ZdrfMu/P9d/8uSA95dJOB97Zd5k7r3zmS0+8XpDuUdSw1WcN
9zxfebnt24fsGWcoqf/dCSd2OP3pvVLfvTPmvuErK6Nc9CAXPchFz/RT2p9Y
56a6qbfH1v9Llys3unVdGtcq/LlOqsOjRb0fHlbtfui1fM79W/JSlKZ/9zk0
0e/QC47ZPU67/u3LN7ouDQtHtL6xbpSD3LkBhzNcqSEBpzPc9PfWP7006I0l
9fB9bvqusPrFhrPI+Dsbjm+NHz76wUc/+OhXZrgvDuPwTW2cM8O4HfXwUQ/f
BdZu40+XmL0OCO3pb43/IKP/YPYqN376IYd+yDlI5NAPOTMkDkh8SBEn9Pcj
WGf/6npIjx93z/fhhzQc2KLRDl9qfs86id8P33BtywdGb/G/9NxwxV/2qZPq
X3l8u8Nv3upfDfXx/PRQqHeVxtf70buqOm4qSC1uVuvX/P7TfemwhsNrryqI
cXRc80+KK98tSJ0/+63yRg2XOdrZj1iX9VrfMGH/A8vdSU0mHTtjV2Y/qR3q
Y9xhPzjB+Hp2vOnESxvuiudA4nzjWV90KyuplXpk8NcFPRrtcDc/2e/tbYdw
D1cvrvOq1/52TJtfC1LbDzi6qNuP091Diy4/s9+WgtSYac2aj58+wz1x1Amd
zvyvgtT66qEVFz+/KsYJ4kbVp6+9/s7EgtSxX/VbdkdhsS8a/taArV8VpIrv
e65k2Ps/+EnGTxz5d58r1s7uvdsepx5/6wuvrHKrD9932vJ9ClL7rh/95fox
ZQ47Ytcugc/T77jA51daP+yMXcEBLnCA68omr3xy9P4bYlyttXHu9+c2y9zj
4kczDqzo98dZmXvDmUaf1+nkeXPu3+CU/+iOi3ZMTG2N/tfS6KNCGf12epAT
9xtwdAu4Ig7TE587dzaaeb7d+MM8lriacXtDpI83/eD63PRD723jFz1Z31eb
nZzpzfr+2eS4+dsWtHxn79X+5qbrPurQNj+drn943pd/2u4pX79qv1eXHl8r
9cBnUwZ8PLQy8tFvztmP3vbayEwZ4vYGR9lnTOHBradudccd+N63I17c6CY8
0uXNgspaqe8XXDOp7LWNsR4+9KAXPvoFPYs85aehdMVGF0t9h8QfF/iViT9W
+36Jv831lYm/VfsWgXZVRrcK/G6V8a8Ipbte5CAXOcitErnIQW51aHdLvgzt
C9PlK1b+uSSeT9GDXvjox7oMcTbzO0y3tSu+ddPZZX5qkBfz0O6hPut3qtB7
e9Mnj7rnlMx3l3l2fscfkdM+8TP12y2uwSV1r51dd5K7eXLh3BefXe63jTy5
YtD+X7lT7ivZe/V3xf6wULqrRiX1/jrjezP08y2M7zhrRw5ykYNc5CD3xosD
X6/Qzx0f2t1x1o4e9KIHvfRDDv2QY+s16/ex1ib70ib/Uyizfv/o6iTOV0Q+
+vUK9Vm/h4Scdm+Nf9ovW+LbtN3rixd8fvr6ZoedcO25X7tL6247v355fnrE
dV0vOeWqan9vdfuLV5yTlx77ypQ8v2a+H/TGLbce8tIuP6lv2U9Tmn3nOl+x
5vl/TtrlXwr87j7jpx9y7gl0apTR6AUHctEzONBukNGdgh5XFvT600P/VBPr
f0nAnZofxuEZB+MCp+B2hUYPNX1XB30OeS9b/9+bvrVvJvos76t0IX8pdYeu
q39Y/uIdrvEzjx30abPSaAfsAh/95iZxoyqWo8ROg8QOa4+98R+vHv6d75T+
YsY/PszgZhzgZhzgABd2wm7YSccJzTgZ96yeZ5z90IRVrtmcW/89Y/Rmv9Di
bnEo/RchLruFFp/JY3olcWGpH5fEgcJ47mwa5Livg1z/db/+r3/bemnW7wit
DP08esGBXH1ejh5wgAuc4EYvONB7ZZAb9YLjLqvX5+GrTF+8RzA+6vX96a6G
+32TD27q9Xk1fLYPOUri6PCm+7/V94H8+Dz6/cL7Bt4+O3N/F8o66brmD4cF
f4j3ooPcD11/N3ZnvM/cp2fXvZ5as11+ly3z3f5g4yfO7Gf88Xmw7Rf+5D35
aXG857zG4pG+/2zxyM+2dfBdKH1T89vmAbf/qMfGtjtmZZ67g1Pl6O8LgQN8
19j+NcX2Jf29IeobBPkxbg4M4452fzHYPea75Ndb86qGH7l3809r0s3OsXmI
+TXzwLywr2LnHraf6vvVtp+yL2e9T900ORcUM0+x3fwk5tsfmJ/oPEIzD8wL
evV3gXrV3H+y3remvpHZU38nh7zR8MTzDePQ96+RI/6ZymV3fd/6k+BHqSFJ
nKxw/ZO4OdP2lwpX7549cXW6fz85n1W7u5Pz2Twf4mi5xdXFbl7fwHdZ6Odf
CLTrYjT1wmdxe3qMV4WP3n761p/WxXr48Dv8kDhyzoMXrvt+V5Uf+lTV6z9f
vzrr904WB3lRLnrODv0i3UVwIxc5jRO96yKNnbAbdsJues5gPrjvZD6gxS/T
Mj8Svzb4j23e9DlTqyGN8m45pmHUsyih659D3ogc1il56vBgv6zfhcFOZ1yw
eMWIzqv9yRVnLTlvezzfZP0Oyjjz29ssv9sS8jt/SWKX5c4ldhrv8Rv86PFk
fa6P+xc4wDWjzzffPNF4vDvx7zd2umbCct/SytP7JvWeevioh69VKF27UO8G
JvM30fKJDC5wwke//T5ee9OCtpWufa3+jzefs8W3uaDF4fuvqo7vr3XYa9zw
cV9uyvqenzyW+/hHBof5gWZ+Oj995pjie9b4j8d1W760ID+9v8X5ZhYXFy9v
VDS722rf440R15706w4/1/K+yyyPC6u+JO5PAyz/GWJ5ZPX/3HBT89YlbsoZ
T/bc/stO2z+rYmn5mN1fVfoNyT3TKt8ouXfaHHGBE1zgBBc4kYNc5CAX3IwD
3IwD3IwD3IyjOLmnqPZPJPcWs12459h9/kvuPZa6MK8VPuSNM920pP96vzbp
X+iOCH7ntz0d/PCuBH+5n5bgX+TKRx8/8cdTi7Peo7218WH/fHhklazvkpzz
Cn1Acs+0Meu7z78m92ZrnJ23vZ2303WeS8bpP7FxBz0D2mMnO7/73uH8Hvsh
h3r47F4glshFz+RAu4ZG15iP3XqN3xm/5emrY3lYmF83Icyv6x38wf0z+IOz
+4vUgnB/4aYFf0odGfwp9kNOQ8GFXnAgFz12bxJL9KAXPej90tpvsXuVdtY+
xfx8jt1/TDS7fmb67jQ/n2Z6Prf7mvF2T7LY7G98zvpxf5MqsfubqYbjTFtP
4AAXOMCFXnCAC5z3J/Nd5psn873CnRJKf0eoj/vlEtsHwc04wM04SmreT0Wc
4H7wgtETNr69Pubx4b6zOtKTLxpbsvbdzO/A9jf+eJ9r/NAfG79+v/+g9Ov/
H+r9LT3C70WeF34v8vw+dx9aPOrmqqz33up8eNARIwdsifIeCHi94M+pF1r1
Iof2EclznBVuZvJcpyrOO37AvOMHPvC5iaGfD/fZ1b5/cp893j2Y3GdX+4rk
PnuCI89g/aMHvTynvXfeU41HTVjseiT35pv8vck9ernrl+BdlvV9P/V/szh7
T4i7rsXqkop7/4/d2VcHBH5/v5XIoR4+4Y966Uc9fMG+FbH/Nzfe2vWM28td
UYM7Xqq6c3uM06v6HHF10Yfb4r2S/s4Lcf0H67coyPEl1i/+noOdE8m7xifP
Wzb5psnzlvJ4DuRcuK/Jpf+iIN+VmPya8blwGudQ/R6fc9PLlh+TV5leZzhc
eM62wl2ePA+r0vtOt9Dss8RwMI6Bcq7inIWfti39sLz7svz4nX07o6mHz+5Z
0i/ZPczHU9a0fm5bfnrX3FNfWLZogm8ncuzeJr1/uMdxffoNvG/a2/npW6c2
eG9lh2JHHkBewD6r3yHlTXl25JLdfjDP8vmBljfUTvabQv+x5Q34SW3jJ28g
jyBvII84yPLaliHP9XeYn/vAl/mdsIDLrwo43TEBt2+VPLfKfO9fYuPoYu12
nontlkdbPrbY32Q4Kkyf4Y7+Dy5wggucMl53uuVRf7XzjtnHmX3iueuysR0f
/O9DNsdxMK4a8STmqZnfy1udrJfM7wEQR4gr2Am7/SXMs+9t8/5o8BOH31AP
n9WnHjZ/go9+xp/qb/4j/pt6qaY+lZMS/05tm1MDT5RLf7kv8PuE9R7fd6Gk
fucx6YNnD13lL589t+er4ze721fMf3nSusz3/S/VvL+M64ZxEpeIUzw3098V
IW4NSeJ6afxe4/FAx+9AZ4V4Yc/vM36K3xLXiHPIJ64NtfnU7/3RSz18rx3V
qPLo3ftY6aQ250yeUublviC+H/i+9cfOzJvFy1Trz+/8Y/4jy6d1rH9mh8Zr
M+/xMk/Mm+lxpjfGTeIoeVR8b9TiJnE0PJ/O/p7/5TBvcZ9h35HnmXHf0e/7
mQfiNnGcdTHK4hwl9cRt4rjYK+IEN/XwYTfseMRDYyYMf3RApLEjdiV+QFuc
zfzemMUZ8gB7vufOt+d1pRY3tpSHOD6iakf5ty9udOV/PerMm3efa/7/OML5
KPpxXE/4hb7vCa7mFu8/tHhWc7wb4nuNYTyZcYTn6dXuBHsOudmeF1aFc6lf
Gs6p7uEmSZ5F3uV+CnmWD+8RVDv2MfY19jH2te7mN6z3gWe/d2ZZ6a9u3OBz
r2vz0E4vz5d9y3bdP/rT51uzfp+M547dTzn5tJP7ZL4rxe7MA3ZnHjrLc3aJ
F+4PH6Se3K/rCl+3zVUTb9mdZ3769/5Fn08p8UuOPvSiBv2r3J93TJp8b3GR
7+TeL7+uusq1sHy1t+WpLS/rUv+5u9b5rqWnt737jmJ35UUHL5i37zq/b9HY
hoV+mXvXxjkkjDvGi+PCOP1B+w5bOLdtpT+726Fbfzdniz8/3MfE90DPCvXu
UOPjfcpOxse9m/5uCnGWe3y9N9fvvobYfVVp8FM3Ovit+Wfm9/ZZN9C6bsCj
v+OAH3DPrN9pNbH9or2N9+Aw3vge62V2T4Xf4EfxdyHNbyT/dU+Y3ceEfu4U
szvryeaFeXKnmhz9fp/nBBYHs77nNzul9J6euAn/O0du3Li6Z1787v7d/PSd
B7Wolao4YXbPK16o9O9aO/c39vw1Zc9f47ntHeGjH3kWeZesd/+Zre8iu4di
3mjnXop7ql8fv6Lt8mGlbl7XeT/VKquMeRp5G3kaeRv3VtxjcW/FPdasIMft
OzSR60+z+0hwgguc5LXkueS15LnkdeR55HXkeWsszjHOHy2uzbRxXhHyvnh/
zDgZNzjBjRy7R41ykFsW8h13dch3/IYj/3R9fnGRe6zec4tT1VV+cLify/ou
vWe4n4t5EnkTcY64NyDIcUcflciN93zc+3HPx70f5+Wd4bzsOS/3/jTEcXCB
E1zgBFf8HWc7d7Mf9LBzN/vB9SHvdYNDHuwpqUf+28Ff00Pt/Z0R4f2d9Fpb
B++FdZEW/07fF/jdKONfHfjdOONHLnqQix7komfq868+dPeyzPfw04wmL0Yv
ONALDvSC4y17D+k2azd9qTJrX/nVxJGv1JrpX3z3tHM3rtnl4KMffPSLv3s5
8voBZzfd7J9K8rrvXGWS5y31/ZO4vSjrO/QfkzzvR39h6BfPOUWhn5sQ5Pg5
gS9+d4Hf4sfoQS960Ise9CIXPa8Hvqzv19FbanyvmXz4Rpr8IuNDPnz0g0+/
T6ff64ZnjY3jYcOj35kbnshHP/joBx/9Sp+Z968hK9b5hd1HXXjw6NrpXodf
8nnHUzPfl8e/1/Bi/7sGXlk7TR5AXiDv38W8gH3ttbrdfj9sW7XX78xPePzS
OUc23RXr4aMePvY99kHe89PftWFf5Dnr2Jry4vOhsY0L158+O/O9eoNwn5j1
Hfr2SeE+kbyGPIf3KPV3jch7kINc5Oh31U1qtsf7kbTd942x+0LyGvzf8jZv
eZyX8008b6VmTT/p+2v6Tjsvwb/GN0rwZ75fr5foX+3qJfema+J3cYvMD5YG
v4jvod4R/MLNMT8gT3nX7Ek+RB6k3693rnm+yvqe3ezBPW48P5lfplYbHvJI
8sr4PbC9R0peSd6FnfV3BLA79ujXvdmzT67c4e7PP3Dqzmal/oLR8yuOXrwj
5nHkdYyT91bJ60Rf1nf6jIs8jbyN91L1d5fI48Sf3Wnmz+jDz/V3GfD7mJdZ
PMZe74R5i/chNo8xTyNv41zGOY1zF/kO+yjnLPZRzlns2+zj7Nvs4/1r7sfx
Hpz2yXZfrPrYx9HHPu5svR5g89ZS3nvGPjw3Zr3uU9P/Mt/TJ+eicn9Eck7a
7vZOzkXrfbfknLTd1TyPb4jfr3FeHWnzpt+1t7E4VzP/znwff8aPz38wb2ar
T2vSx5/TK5wj430z30G2D/lV1INe9KC37n99uzx/2kp/RN5DTS7ps9P9YvF/
ga2znZ/sOZdn/l4I537uAThXcc6Cj35nJH6S9hMSv1nmiCPEFfaZUtELDuyo
9wDYmThAXGBd6O9EsE7KknuXYj8/uYdZ54iDxMV0aHfLQrv/fah3Rwa+2A85
zG+4n13OuOP3jtTDJ/xqL/gjX5/k+40yV5V8v1HpN4TSPRbqY5xu3eiGLs0/
2OwHWf67t+XTS2wcCw2v+WHEx7gYZ6vTfjn17Ve3uaseHtxt40kbfPcvR3zV
4PkK/9HQg+5vdcAvrlXQE79/nX/3I3VOWrfLnfz3Eyc/NTbz/lDVY0PffOQP
u9z/AuS6ILw=
     "], {{{}, {}, {}, {}, {}, {}}, {{}, 
       {GrayLevel[0.5], 
        TagBox[
         TooltipBox[
          LineBox[{1401, 1908, 1910, 1909, 1540, 1263, 1864, 1865, 1863, 1342,
            1914, 1915, 1911, 1913, 1912, 1284, 1262, 1783, 1782, 1917, 1916, 
           1346, 1869, 1871, 1870, 1923, 1544, 1270, 2011, 1415, 1518, 1286, 
           1789, 1788, 1689, 1348, 1651, 1652, 1653, 1794, 1691, 1354, 1654, 
           1655, 1656, 1797, 1798, 1572, 1573, 1436, 1941, 1943, 1942, 1575, 
           1944, 1875, 1876, 1874, 1362, 2001, 2002, 1803, 1804, 1278, 1579, 
           1280, 1807, 1806, 1969, 1968, 1365, 1819, 1970, 1292, 1971, 1580, 
           1487, 2004, 1488, 1582, 1581, 1811, 1810, 1694, 1371, 1693, 1372, 
           1695, 1812, 1697, 1373, 1696, 1374, 1698, 1813, 1814, 1561, 1562, 
           1451, 2015, 1281, 1293, 1972, 1880, 1881, 1820, 1973, 2016, 2017, 
           1808, 1809, 1282, 1560, 1964, 1965, 1963, 1967, 1966, 1818, 1817, 
           1878, 1877, 1277, 1290, 1444, 1950, 1445, 1555, 1554, 1730, 1435, 
           1692, 1359, 1873, 1358, 1724, 1427, 1690, 1353, 1872, 1352, 1721, 
           1424, 1936, 1570, 1571, 1479, 2012, 1273, 1568, 1269, 1285, 1816, 
           1815, 1347, 1921, 1922, 1918, 1920, 1919, 1567, 1768, 1769, 1767, 
           1995, 1994, 1345, 1866, 1868, 1867, 1264, 1565, 1261, 2010, 1477, 
           1564, 1563, 1766, 1476, 1765, 1764, 1650, 1341, 1688, 1402, 1705, 
           1704, 1649, 1340, 1687, 1400, 1703, 1283, 1508, 1401}],
          "2.5`"],
         Annotation[#, 2.5, "Tooltip"]& ]}, 
       {GrayLevel[0.5], 
        TagBox[
         TooltipBox[
          LineBox[{1405, 1706, 1708, 1707, 1543, 1266, 1785, 1784, 1925, 1924,
            1515, 1929, 1930, 1926, 1928, 1927, 1545, 1271, 1633, 1632, 1416, 
           1716, 1519, 1520, 1634, 1547, 1349, 1603, 1523, 1524, 1639, 1549, 
           1355, 1605, 1525, 1526, 1640, 1574, 1428, 1734, 1437, 1731, 1733, 
           1732, 2006, 1986, 1987, 1985, 1989, 1988, 1438, 1954, 1955, 1951, 
           1953, 1952, 2007, 1774, 1775, 1991, 1990, 1462, 1754, 1957, 1956, 
           1486, 2003, 1647, 1557, 2040, 1366, 1592, 1367, 1879, 1744, 1449, 
           1742, 1448, 1743, 1450, 1745, 1368, 1594, 1369, 1558, 1648, 1559, 
           1370, 1741, 1447, 1646, 1805, 1279, 1291, 1959, 1960, 1958, 1962, 
           1961, 1364, 1948, 1949, 1801, 1802, 1276, 1289, 1946, 1947, 1738, 
           1443, 1739, 1361, 1553, 1434, 1550, 1357, 1588, 1356, 1796, 2039, 
           1426, 1937, 1795, 1722, 1425, 1723, 1351, 1585, 1350, 1548, 1423, 
           1569, 1414, 1720, 1422, 1638, 1753, 2036, 1272, 1793, 1268, 1787, 
           1786, 1932, 1931, 1413, 1599, 1600, 1502, 1504, 1267, 1750, 1265, 
           1629, 1628, 1408, 1710, 1403, 1566, 1407, 1514, 1513, 1597, 1344, 
           1542, 1406, 1512, 1511, 1595, 1343, 1541, 1404, 1510, 1509, 1709, 
           1405}],
          "2"],
         Annotation[#, 2, "Tooltip"]& ]}, 
       {GrayLevel[0.5], 
        TagBox[
         TooltipBox[
          LineBox[{1412, 1713, 1411, 1714, 1546, 1637, 1636, 1635, 1417, 1717,
            1521, 1522, 1790, 1933, 1418, 2032, 1669, 1670, 1302, 1604, 1303, 
           1833, 1832, 1855, 1854, 1316, 1611, 1612, 1503, 1527, 1304, 1620, 
           1305, 1528, 1469, 1856, 1857, 1858, 1614, 1999, 2000, 1889, 1383, 
           1840, 1841, 1539, 1337, 1616, 1336, 1538, 1387, 1701, 2037, 1338, 
           1862, 1339, 1686, 1842, 1680, 1388, 1702, 1771, 1770, 1776, 1777, 
           1534, 1533, 1778, 1485, 1681, 1308, 1591, 1760, 1761, 1759, 1763, 
           1762, 1318, 1859, 1860, 1843, 1844, 1309, 1593, 1772, 1773, 1740, 
           1446, 1644, 1645, 1556, 1363, 1737, 1442, 1643, 1799, 1800, 1288, 
           1945, 1440, 1735, 1441, 1736, 1360, 1552, 1432, 1728, 1433, 1729, 
           1749, 1748, 1587, 1306, 1839, 1838, 1984, 1983, 1998, 1482, 1997, 
           1976, 1977, 1975, 1454, 1584, 1301, 1668, 1467, 1851, 1852, 1853, 
           1610, 1315, 1850, 1849, 2038, 1380, 1886, 1831, 1667, 2030, 1335, 
           1861, 1699, 1700, 1376, 1631, 1630, 1685, 1334, 2029, 1658, 1826, 
           1882, 1375, 2031, 1845, 1310, 1607, 1848, 1847, 1846, 1463, 1657, 
           1300, 1598, 1299, 1825, 1824, 1981, 1980, 1996, 1978, 1979, 1822, 
           1823, 1298, 1596, 1297, 1821, 1712, 1410, 1711, 1409, 1517, 1516, 
           1715, 1412}],
          "1.5`"],
         Annotation[#, 1.5, "Tooltip"]& ]}, 
       {GrayLevel[0.5], 
        TagBox[
         TooltipBox[
          LineBox[{1431, 1725, 1430, 1726, 1551, 1642, 1641, 1779, 1439, 1578,
            1491, 1619, 1590, 1679, 1678, 1677, 1461, 1993, 1475, 1992, 1473, 
           1757, 1474, 1758, 1472, 1755, 1471, 1756, 1589, 1676, 1675, 1460, 
           2018, 1307, 1577, 1483, 2035, 1484, 1386, 1939, 1940, 1938, 1429, 
           1576, 1317, 1684, 1781, 1780, 1470, 1615, 1531, 1532, 1492, 1530, 
           1529, 1627, 1468, 1613, 1683, 1682, 2034, 1458, 1982, 1834, 1835, 
           1606, 1673, 1672, 1671, 2033, 1421, 1935, 1791, 1792, 1287, 1934, 
           1419, 1718, 1420, 1719, 1827, 1828, 1601, 1661, 1660, 1659, 1456, 
           1751, 1478, 1752, 1457, 1662, 1829, 1830, 1602, 1664, 1663, 1465, 
           2020, 1312, 1608, 1311, 2019, 1464, 1377, 1493, 2021, 1313, 1609, 
           1314, 2022, 1466, 1665, 1666, 1583, 1974, 1452, 1746, 1453, 1480, 
           2013, 1275, 2014, 1481, 1459, 1674, 1836, 1837, 1586, 1747, 1455, 
           1727, 1431}],
          "1"],
         Annotation[#, 1, "Tooltip"]& ]}, 
       {GrayLevel[0.5], 
        TagBox[
         TooltipBox[
          LineBox[{1901, 1394, 1899, 1393, 1900, 1399, 1897, 1391, 1896, 1392,
            1898, 1332, 1626, 1331, 2028, 1498, 1507, 1274, 1506, 1490, 2005, 
           1489, 1617, 1321, 1888, 1382, 1887, 1381, 1295, 1884, 1378, 1883, 
           1379, 1885, 1320, 1621, 1319, 2023, 1494, 1505, 1497, 2027, 1329, 
           1625, 1330, 1904, 1396, 1902, 1395, 1903, 1294, 1906, 1397, 1905, 
           1398, 1907, 1323, 1622, 1322, 2024, 1495, 1333, 1496, 2025, 1324, 
           1623, 1325, 1892, 1385, 1890, 1384, 1891, 1296, 1894, 1389, 1893, 
           1390, 1895, 1326, 1618, 2009, 1499, 2008, 1500, 1536, 1535, 1537, 
           1501, 2026, 1327, 1624, 1328, 1901}],
          "0.5`"],
         Annotation[#, 0.5, "Tooltip"]& ]}, {}, {}}}]},
   AlignmentPoint->Center,
   AspectRatio->1,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->Automatic,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->All,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{{3.3926446776220274`*^9, 3.39185097078125*^9}, 
   3.3924722763948383`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QComplexContourPlot", "[", 
  RowBox[{
   RowBox[{"Zeta", "[", 
    RowBox[{"x", " ", "+", " ", 
     RowBox[{"I", " ", "y"}]}], "]"}], ",", "\n", "    ", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", ".7"}], ",", "2.5"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2"}], ",", "42"}], "}"}], ",", "\n", "    ", 
   RowBox[{"PlotPoints", "->", 
    RowBox[{"{", 
     RowBox[{"10", ",", "50"}], "}"}]}], ",", " ", 
   RowBox[{"PlotRange", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "1.5"}], ",", "8"}], "}"}]}], ",", "\n", "    ", 
   RowBox[{"Contours", "->", "8"}], ",", " ", 
   RowBox[{"AspectRatio", "->", "5"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "150"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3926441392078257`*^9, 3.3926441440447807`*^9}, {
  3.392644219563371*^9, 3.392644222477562*^9}, {3.3926446711026525`*^9, 
  3.3926446918725185`*^9}, {3.3926447314093695`*^9, 3.3926447516084146`*^9}}],\


Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJxtmAesXmMcxt/WXm3tUqq0FXvFiB0ENRJbg6C1997EjFUiiBl71A6NvV1X
zRrlVqnRFq2i1aLKpaXeX7/nyXmILzn3/zvnft953/c/nvd/zooHHb/7cXOV
Utarx4L1gJesR+lSyo7V9BQPqmZZ8VnBN8Z3Ho/fjqhmMfHYarqJJ1ezkPjX
ahYQ/1HNxmLsZuKB1WwqPr+aDcVPVLO2eGI1/evRqfNe1UwSL17NBPEi1Xwr
ZtwfxCfKrlPNSeK9S3P9pmqOrcdsnQ+u5lzxGtVsI2aNp4nnq+Zu8dzVvCLu
Ws1H4mGy61fzaIzr61dU87S4o5r2WMuoap6P9ft706p5TTyjmg/Dv1+Kbbeu
5jPxftWMifh+Lr69mnHiV2P8seG/n0trXPivaqaXluX8t2pmxhy8xhniI6v5
RXxead0Lvj74kfhOW2nlDTyytO7v+fwu/q40YzEv59vJ1cwrvrC0ch2+puhT
+a5q/o74eB0vB48IHh08Lpg8cy2QP4uKyYlFYl0Lip8prZyxn+cRv1Na+eMc
6Cr+PPirlpnzh7zvJSYPlhK/VZp6fL+a7nHPhcVjYj74c37xN+G3STG3yTG3
qdUsJyZuPYOXCLYfiKc1YXrM4deYw4yYw+8xh86YA3FGi5yXrPd7MbX/o7hH
afKJcZ1D5IZzCE2whjDun2LGdQ4z7qwYq02Mb98S49uRYmL9SYz1ZYz1jZi4
fxdjTYmxXFf42TXA/O8V47fH4p7WBOY/PO75Xtzz47jnF2Jq4WsxeTUpeEp8
/5q4foeY3HtEzOdZc5dGi2bHHODRwWODJwRbX4j9pcE3Bt8fbA3sjLV3RizI
Fevdn7HemeF/YjtVjA8uEfP/W8TMyxqNb9rF/M7aTq5ZN8lv5yS59lPMzbnH
3KxZHeHn0THWZ+HDcRGjifFb+4w1OXeoo+kxl9+C/Tvq4al6PKTz52P+7XHv
D8RtpcnlYbE+9mXX2Ssx1rulqSfqwTWEdg2px5M6vyzmf7EYX3i/ZZ+3PmxQ
Gk1A260Jt5VGl54rjc4zB2smvjygHpfrnD3pBfFOpak19yHMc824zwpi9Nka
S+x7iNFn7zvktHUMH25ejwN1vlFp7bcw/cfN4lUVD3iliHuviAv7y2Rxj4gx
mmAdQxOsXX2qGSBevpr9xcuUlv+saUPEaNqd4u4RI+7/uphYOOdZo3OCuLjX
IhZbionFbsGHiYnLOcHOf2TkvuBng98M7gj2HCbFuOTnnmJ8drSY/eEiMXXp
GseXrjty2DWQekI+u0/Cx9YufLODmPw4XDwyfEsNWDOJ59sxZ2syc7MukY9Z
z96/UkPInQPE9G03iB8sjVa8KEsPMEpMnk0Us07rH/93TrFXub9C86wb/H9w
PQ7WOTn1gHgvWe63hRhfLy0+vTT1e0fLzPlDr+UerCN4fDDxpB531Tn1coa4
b2mt2fXivpZ+wLXgfoP5u+9iXdYNcqRrXPfcpoq303mXiC+fq+L608GfBv8U
POdPl2aszhhrRjDxxhfOK/YF1yz58rCYOLqvcL6Qp9YD1uIe9Yeiz3/WOC3W
Tt6RVzvrnF72SrG1ilwYKh4Qvx0Yvr2nNBo4Iq4TU+cA+W4NZ73k8qZxr0Fi
5uIeAC21/qxemlpYXpY+wv0nB72Tcwjt8j7EfJwba1WzmhhrDelXzb7i3tWc
Ke4Z80EzrRuMNTzG6oix3POw3tTJfmK0cQMx/txJzDIOCT7PaytNPDiGBbcH
fxhsnSQ3VxajZ5uI0aU9xGjbCWJqz3lOzFxr7Pt+ziV3rZPohjWNXLTW0Lut
K+b5d3cxz0IXiPGf98GOuA9zcx2hkc7vaRHH6RFf5uC8P6KarcTHlNZ7BZhn
fz/ju+/bJWJFDnq/vTXGbyuNHtNbWyfpL7Mv6xfjsqefLiZX3xA7V/Gr+xz2
E9fUSzFHemvn8nuxvk/KvzUTPXAOE0frBnvCq+E317t9+XaM1RZzYD7uqT4I
/jSYcenDnEvk5qnia8u/n/mx6PiK4n1K8+x8Z2l6KnJh4RjL745YU2o47zJW
1Tn5u70Y7TxFjK44b9lHXJt9StPLsk95/1s0/MIc3MsyB+cY8e0tZi3rRHyt
22jFERFr97uscWjc/yUxOeCemzX+X39F3fnZG7+6TyUntxWjiweJyUnXF7Vy
u5j88Z5F/rgnIQf8DMvxlZhnhD5i6t7v7+jLBonR5qvF1OxzYurB+sCcXdfU
jvcvfJzPZX4O5R3bKmL2fGsU/aP7mytkjyrNM9FpEU+e1V2n1LTrdKZi+3ec
W09439hfzHs/9wBcO1vcK+bQLcbO9wazw/4VPOt/mAOd6Ruxdi+F3w6NWF8X
sW4Lf44X/xHr/+8aHf9ZcY33Cq4jev9dxOSm+/N34/7WSeZrnZwQY6L7rqHv
S1NDU2JcfksvuZbOyVnvdzwzud92PaEpfo90jFzGH/oN+7k9eFTwuGC0sGes
l+cgP6csHuulTv0OId9ZubfBB+5n+J77GerWvSX5bZ3ED/8AjmhGkw==
     "], {{-0.7, -2}, {2.5, 42}}, {1, 256},
     ColorFunction->Hue], GraphicsComplexBox[CompressedData["
1:eJxs3Q3Up0dZH/4lEKtS/SOHIiYpKZAlm7Cbzcvustm8PE+SRUv1r4gWETkU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     "], {{{}, {}, {}, {}, {}, {}, {}, {}, {}}, {{}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{9118, 10576, 9119, 11180, 8801, 12018, 11179, 10868, 10869,
            10777, 10779, 10778, 8344, 9845, 9847, 8724, 9843, 10427, 10428, 
           10429, 10465, 8238, 9947, 11479, 11478, 10431, 9122, 9945, 9944, 
           8601, 10879, 10880, 10876, 10878, 10877, 10921, 10881, 8240, 10433,
            10432, 8676, 10810, 8726, 10808, 11184, 9124, 12853, 9123, 9949, 
           8602, 12828, 9054, 9232, 10542, 10543, 9444, 8603, 12039, 8820, 
           12036, 12038, 12037, 12240, 8518, 12924, 12925, 12923, 11044, 
           11043, 8990, 11101, 11102, 10696, 10697, 8563, 11106, 8564, 12821, 
           11105, 10698, 11104, 11103, 11257, 10217, 10218, 9420, 12566, 9419,
            12567, 9954, 12241, 8522, 11771, 11770, 8994, 12174, 9792, 12563, 
           9416, 11810, 11811, 10197, 9240, 11238, 9241, 10550, 10551, 8361, 
           12568, 8362, 11605, 11604, 11847, 11846, 8615, 12178, 12179, 12175,
            12177, 12176, 8523, 11332, 11333, 11331, 11335, 11334, 9242, 
           11241, 9243, 11240, 11608, 10000, 8868, 9756, 9755, 10072, 8836, 
           12211, 12212, 12210, 9033, 12213, 9035, 12565, 9800, 12214, 9038, 
           11812, 11813, 11109, 9037, 11107, 9036, 11108, 11657, 8391, 11655, 
           11656, 11057, 11059, 11058, 8687, 11053, 11054, 11050, 11052, 
           11051, 10068, 12201, 12202, 11075, 11079, 11078, 8550, 11083, 
           11084, 11080, 11082, 11081, 8369, 12120, 8937, 10995, 8938, 10996, 
           11774, 11773, 8996, 12182, 9773, 10246, 8936, 10035, 10655}],
          "7"],
         Annotation[#, 7, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{9691, 9692, 9064, 10085, 9065, 12252, 9066, 12253, 8625, 
           10182, 10183, 9215, 11568, 11569, 8332, 9993, 8333, 12593, 12594, 
           12592, 9442, 10294, 10293, 8597, 9441, 12877, 9440, 11170, 11171, 
           10859, 8781, 10515, 11134, 11135, 11137, 11136, 9052, 12237, 9053, 
           12238, 8600, 10265, 10266, 9359, 11757, 11758, 11759, 11031, 8509, 
           12805, 10663, 12804, 10664, 10861, 12011, 10860, 10517, 12428, 
           9269, 11634, 11635, 11636, 10102, 10103, 9472, 10416, 11474}],
          "7"],
         Annotation[#, 7, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{11290, 10149, 11736, 10970, 8917, 10962, 8915, 12150, 8972,
            12974, 12975, 12971, 10054, 8922, 10058, 10059, 9771, 10056, 
           10055, 8438, 10622, 10235, 9652, 12744, 12745, 12743, 9659, 8919, 
           12742, 8918, 12112, 12109, 9654, 12894, 12741, 11444, 10956, 12967,
            10959, 12978, 12977, 12976, 10662, 11753, 10977, 12970, 10936, 
           12969, 9728, 9726, 10167, 9194, 10166, 12966, 10142, 12965, 12973, 
           9170, 12979, 9168, 11288, 11290}],
          "7"],
         Annotation[#, 7, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{8392, 11659, 9542, 12685, 9281, 10245, 9563, 12695, 9564, 
           12696, 9562, 11382, 12963, 9533, 11381, 11384, 11383, 8840, 12055, 
           12056, 10899, 12817, 10898, 12818, 8549, 11085, 8548, 10692, 10691,
            11077, 11076, 8995, 11055, 11056, 10678, 11772, 8525, 9869, 8526, 
           10679, 9039, 10707, 10708, 8574, 9975, 8573, 11244, 11245, 11243, 
           11337, 11336, 11419, 12564, 9418, 12719, 9620, 12716, 12718, 12717,
            11338, 9417, 10699, 8565, 9972, 10703, 10702, 10700, 9034, 9883, 
           9882, 9864, 10557, 10556, 11239, 8835, 9971, 9134, 11192, 9135, 
           11193, 11207, 11206, 10132, 8614, 11144, 11145, 11143, 9059, 9753, 
           9752, 10198, 10199, 9959, 9958, 10116, 11353, 11354, 11352, 11356, 
           11355, 8612, 10298, 8611, 11845, 10726, 9449, 9751, 8357, 11339, 
           11340, 10549, 10548, 10547, 9237, 11237, 9236, 11330, 9415, 11328, 
           9414, 11329, 8517, 12173, 8991, 11045, 11047, 11046, 8607, 9950, 
           8606, 10724, 10723, 9055, 10081, 10080, 10078, 10079, 9746, 9745, 
           10077, 8819, 11185, 11186, 10434, 11482, 8241, 8277, 10807, 12763, 
           10809, 10781, 11891, 8677, 10783, 11591, 12027, 12029, 12028, 
           10882, 10583, 11648, 8386, 10581, 10582, 10535, 11138, 12777, 8347,
            11139, 8346, 10534, 10874, 10873, 12024, 12023, 10875, 10580, 
           11647, 10579, 8863, 10919, 8807, 9844, 8672, 9881, 8673, 9846, 
           11586, 10780, 10872, 10871, 9704, 10283, 8671, 11890, 9842, 10530, 
           10914, 10915, 10575, 10577, 10578, 9030, 12433, 12434, 12430, 
           12432, 12431}],
          "6"],
         Annotation[#, 6, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{10760, 10761, 10757, 8652, 10762, 11368, 11369, 9461, 
           10739, 11870, 8624, 10100, 12299, 12300, 11167, 11169, 11168, 8772,
            10850, 8773, 10852, 11133, 12927, 8596, 12234, 9051, 12233, 12236,
            12235, 9050, 11131, 9049, 11132, 9929, 12063, 10904, 10905, 10854,
            10855, 12928, 12930, 12929, 8599, 11432, 8598, 9803, 10364, 10363,
            9498, 12648, 9499, 11506, 11507, 10460, 10459, 10414, 11174, 
           11173, 8783, 10516, 10518, 8337, 9828, 9877, 9832, 9834, 9111, 
           9831, 10417, 9830, 9931, 9932, 8788, 10526, 11573}],
          "6"],
         Annotation[#, 6, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{10148, 11289, 9169, 11286, 10480, 9902, 12972, 12964, 
           10143, 9166, 9907, 11277, 9904, 10634, 9905, 9193, 9727, 10164, 
           8309, 10974, 12968, 10935, 10979, 10976, 8501, 10659, 10661, 10448,
            10958, 12748, 10955, 12897, 8195, 11451, 12895, 12893, 9653, 
           12108, 12110, 12111, 9655, 10028, 10027, 11447, 9660, 11263, 11265,
            9307, 10383, 9306, 10236, 10623, 10624, 10234, 10152, 10259, 
           10260, 9772, 9770, 10057, 8921, 10051, 10053, 10030, 8971, 10967, 
           12149, 8914, 10961, 8916, 10969, 11735, 10148}],
          "6"],
         Annotation[#, 6, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{8229, 12754, 9474, 10105, 10104, 11761, 11760, 10993, 8928,
            10992, 8927, 10529, 10528, 10527, 8789, 10862, 10523, 9835, 8660, 
           9934, 9699, 9878, 9879, 9833, 8721, 9829, 11884, 8659, 9930, 9697, 
           9698, 8784, 9825, 10763, 8656, 10295, 9443, 9827, 9826, 9876, 9824,
            8335, 11570, 10514, 10857, 10856, 11172, 10101, 11633, 11632, 
           10574, 9268, 9736, 8334, 12229, 12230, 12228, 12232, 12231, 8775, 
           10851, 8774, 10853, 9822, 10075, 9817, 9818, 9110, 9820, 12830, 
           9819, 8623, 10758, 12829, 10759, 10756, 10838, 10837, 11165, 11166,
            9106, 10572, 9105}],
          "5"],
         Annotation[#, 5, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{8552, 9015, 10071, 10070, 10063, 11020, 8973, 11019, 8974, 
           11021, 8639, 11022, 8976, 12151, 8975, 9261, 12859, 9260, 9013, 
           12819, 8551, 9014, 11790, 11791, 11087, 9012, 11086, 9011, 12203, 
           10060, 10061, 10062, 9681, 9680}],
          "5"],
         Annotation[#, 5, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{9483, 10306, 10137, 11658, 10138, 9253, 10136, 12959, 
           10135, 10133, 8368, 11312, 11313, 10897, 9370, 12551, 12552, 12548,
            12550, 12549, 8524, 12180, 12181, 11060, 11062, 11061, 8618, 
           10730, 10731, 10558, 11341, 12779, 8367, 11621, 8366, 11619, 11620,
            12405, 12404, 9245, 11242, 12318, 11196, 9619, 11418, 9479, 10701,
            11379, 11378, 10472, 10470, 8733, 10816, 8683, 9970, 9714, 9715, 
           9966, 9965, 9999, 9961, 9962, 9158, 9964, 9963, 8613, 9960, 11191, 
           9132, 11190, 9133, 9957, 9956, 10439, 10438, 11205, 9156, 11204, 
           12334, 12333, 10082, 8610, 10083, 10084, 10297, 10296, 9057, 9750, 
           9749, 10193, 8828, 9953, 9129, 11349, 9448, 10722, 11350, 12931, 
           8605, 11351, 8604, 10720, 10721, 10717, 12239, 11840, 11841, 9948, 
           11187, 9127, 10718, 9128, 10885, 10884, 10784, 12764, 10785, 10782,
            10787, 10786, 10811, 9855, 10540, 10539, 10538, 8813, 12633, 
           12634, 11480, 11481, 10468, 10467, 10466, 11203, 11202, 9153, 
           11236, 9229, 11235, 9228, 11376, 11377, 11375, 9475, 12632, 10109, 
           10110, 9273, 11252, 9272, 11253, 8345, 9848, 12604, 9849, 9454, 
           9706, 11365, 8237, 9942, 8236, 11325, 9705, 9406, 9841, 9840, 8341,
            10912, 10913, 9226, 11234, 12390, 12389, 10067, 8562, 11033, 
           11034, 11032, 12165, 8982, 12946, 11037, 8984, 11036, 8985, 11038, 
           8670, 11039, 8986, 12166, 12167, 11646, 11645, 8384, 11125, 11126, 
           11124, 11128, 11127, 8860, 11122, 11123, 11121, 12222, 12221, 
           11120, 11113, 11114, 11112, 11116, 11115, 8665, 10073, 10074, 9838,
            12215, 9837}],
          "5"],
         Annotation[#, 5, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{10034, 8923, 10171, 8920, 10052, 10029, 11018, 11017, 
           10965, 10966, 10960, 10971, 10968, 8475, 10145, 10644, 10147, 
           11287, 11285, 10479, 10482, 9900, 10477, 9901, 9165, 9906, 11276, 
           9903, 8468, 10635, 11316, 11315, 9195, 10322, 9192, 10163, 8308, 
           10972, 10973, 10934, 10978, 10975, 8500, 10658, 10660, 10447, 
           10957, 12747, 12898, 12896, 8194, 11449, 11450, 11443, 11446, 
           11445, 9577, 12702, 11401, 9580, 12703, 9579, 11402, 9582, 11264, 
           9581, 10347, 9578, 10238, 10237, 11393, 11259, 12855, 11260, 11258,
            12338, 11210, 11262, 11261, 9172, 11211, 11292, 12492, 9342, 
           11291, 10648, 10034}],
          "5"],
         Annotation[#, 5, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwV1HtM11UYx/FTW7ZWM25mKjYBFTMV8hb8wAugTa02sQbkRMCluGb5n0Ns
TQQjIc1qTbs5y9oqdVRLZzlnRE1ZqUgrk+RagLfaorLrqtf3jzef8zznOc/l
nO+PlFXrlz1+XQhhhz+jxoXQPDGEFekhfHh3CIfwxpQQ9k4IYR/tHB/CzEkh
PJsidnoIXeyF9nrE7+QbzdfN1yLHpxEZIcT4r04N4Qri00Ko4ptj76Yov9i4
afxIQLM8f4spzgzhH1pCq5zvtNeFDlzAd2iRJ8feRjWrUYW4u0K4FQnOHrCf
RRPFJmEEctgZ4nJpDEvFZtNC+pj+1uE5+0l8G52vxm32RuCkWok0CfFIFJNA
l+q5Sdw8dhF7Ps1Hpjx5dIy6ozEK74t7Dw/cGcJ9eD41hF2TQxhuXeJOVotp
VSfdHZ9zr9+iUo4Oeh7T+L+wXyr2a2fK6Cl2Ln+n/S4skrOHdqNPb6ftl6tR
gZUosF9GX6Qv00Z9LrbuU3sJfZTvjDOV7LX4zbv/ikLfRiravFunek24XQ8j
ozn4451LQBx+F38Ny/jT8INeCuVep99k8WOjed1VMXbzjXMnKXjF2V3iXqXH
vcUWcb3sIXaquNO+hzPosdeLdH22mvF631E5/ypUoMSZW8TfjEx9Pshus043
T7ucR9T6CB9jjR4q0cZfLd96cZvoRLFn+c7hG9TwjTX7WbWSaTu9g95AT+lh
GO2R50baSzOdz8BX7EniYvr9iV2ql+3ufIZ1vZyNehjjjZ+mDdiGPP7lcuTT
YWIftt4f3XX0PVnH6XGKuZrlPuKeT9ibzD7Gnsf+hObS43Qufcv9H6Tz9THE
l0d/oWv45lrPwZtijtJ3+Ybk+9n+I9YTrDep971enjBnH61mrzVHB42Ju6an
HPqCux9OC8y6AK95+53O7KH3shdGb4oatPDV0hL5/3UX/yGYvdZbT+XbLPeg
WsnmGqBPsvutf9TnVdTKe5G/Jnpj8Q/pdVDtbut8uQowIGYQA/wzzNZPX3Kf
f4r9C0V6mI5GNZ9BA7Zjq5h6PIXX1Vgg115aF/nM2q9Gubeos94Q/d70UIet
2MzOsp+N/XK3m+kALTJrMT63rqOf0RViShFDDg7ybZOjAVvkGYz+1+pnR/Q7
5fsDWWK+jP4P4LAejunhA1pvzkX6nGnOezAbs3BR3kt4W/8VZn6H3i9Pkzss
Z5fhsnvJEpuNlexSpPHVqzGeXpD7hBon1Wqll/gvY7leYvgfUfoFeQ==
           "]],
          "4"],
         Annotation[#, 4, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{8378, 11624, 8846, 12058, 8756, 10829, 10745, 10746, 10744,
            10748, 10747, 11201, 10124, 11554, 11553, 10499, 9205, 9467, 
           12750, 8211, 9489, 12645, 9488, 10312, 9487, 11425, 9631, 11422, 
           11424, 11423, 8590, 9918, 9919, 9663, 9917, 9916, 8210, 8261, 9486,
            10311, 10310, 11831, 11830, 11130, 9046, 11129, 9045, 9732, 9731, 
           12249, 9062, 11867, 11868, 11869, 12251, 12250, 8622, 11866, 11865,
            12248, 12247, 9061, 9679, 9678}],
          "4"],
         Annotation[#, 4, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{9171, 10494, 11225, 11544, 8311, 11226, 11227, 9518, 11399,
            9517, 10323, 10021, 8470, 10018, 11400, 10019, 9576, 10017, 11442,
            10016, 9898, 8252, 12746, 11488, 10446, 10657, 10656, 8499, 10937,
            10938, 10933, 11222, 11220, 8307, 10012, 8306, 10493, 10165, 9516,
            10169, 10168, 10686, 10685, 10683, 9383, 11314, 9783, 9784, 9575, 
           10346, 8469, 11279, 9338, 11278, 9339, 11280, 9167, 11274, 11275, 
           10478, 8284, 9899, 8285, 10481, 9341, 10146, 10643, 8474, 10047, 
           8476, 11007, 11008, 10964, 11006, 11004, 8312, 10022, 10496, 10495,
            10031, 9196, 10033, 10032, 8477, 10646, 10647, 12340, 12341, 
           12339, 11519, 11520, 10150, 10151, 9343, 11293, 9171}],
          "4"],
         Annotation[#, 4, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwV1XdsV1UUwPELMhQZyjJIRBkFuoFIoexhVIYCpSwRNDWBKKOIwYGiFKEQ
ASNQ26IloQi0LGUUGYalDIMakLYKBgWDDJkloOzo5/3xzffde88959z73q9t
mpGZNrFSCKFF5RAqmoZwOT6EJ1qE0DM2hDGJIeS2CuH75iH8xk3Mz2kdwqqY
EI4ZH8UF3GoZwm0Um7/Ld9A3KYQ+OCvPXDk/Qg/P3TG7WQifxIVwUb0rYi/x
PG5ifnKbEN7ACLVfwEjMUWOTHh43X8JXxVYgITmEmqiFB1EHtXH0iRCy7Rnd
NoSXMArV9PYyZ6lx1XMFSsWUYbZc2Si0b5Y+M9Sob1wPh6xPseeE5xF6P2fc
xT3cFNeVc/R0w3N8QghxOG/cklshBrFojdVylojbjO/c4V7sQ5kcidbzOIHz
OYlz+THrm9UswWLjZPOP6GWcGnWMn3U3fdAXM/S1Qo0G1lZyQ44RW6TviVzJ
vWRyZR7PsXJu9A42YX00bhfChig3bnlvr/Ftbi2+FZ5BCjqgPVLREQ3EPSlH
CtqjGAXu8T11p2G9e76AZHO/Gm93pm1Y5x6W6rOuPl9xrgrn6e79XOE1xmux
wb4ssdMxAyW+kwFybDP/gfH7GK1+L/uu25eu3yEYikRra8wvELtQrhwswrfi
FlnLwQ5rq/VRoI+Fxku4XP4ybDXeggT97TIfy/GIw3x3na2Xduq0RZw6sRgo
/2Tnf1FPBe5zJL9uXG6+DKVoY1zXfKH1tp5Xmdtq7zK9dJWrG7pjmtpduDM6
YYuYr1Fivp59meYmYgKOeZdJPEtPydZncqJxAvLk3WRfb2eo4VwP4KD+0/Rw
yHO++SJ3sJiL+aT9SfKvsTeZ98u9D+Pl/El87ejbQy08jIcwVK5MscN4UnRe
sVPVOK32Uuc8wzeRrY/ZmOJ7fRNv4ZS4qfwO3kaK9zNfzkfVbGZvI341+h4x
DjXl/0OPJ/Cuu+sr7z9ylvm+rshVzqfF9dfLKe7Hf3Eup8t9zXpvvm7PEc+X
7SnlP8X0EnOSe/JIdUZF7xK7onVxOzlTjxMxy/6Z6CG2E3dGv6gunovem/4u
6/0SLuKCmhnR71q/68VuxAYcMv+8+cM8gBubG8zHor8Lno9yvnsoMLfE3pTo
ezHXnrdxB97CnfgbrmHPds6zJzWqxx25lh7SnWVw9Pv0npuJa46miEELfOi9
7fab3oNdSPdNpIsdgsFIQw15ujlzde/oY+v75T6AsfbX198Yrsd9nL8uF1kr
5OW8Eiui36E6k91nVTmq4XN558t1wPe1H1Ws7eV9GGa+sTMssGd49DvlMvdb
jtLot6GX++SogsqYK2aS/anWOuK4fo+7j6pyZXl/h6P56NvnI/gZLeVMsi+G
K6t1L/p7KUeIvmH3dTz6hvh3PsPnvf9Usec8/42zSHNfgzBDja7OkyBfF07k
bny/OtXxlV5G2VtbnS+jv3XR/xJ9r+VbvJrv8Tq+zXdxBwlq/OcsgYvcbTEa
qnVC7jzkIxefRb9l/GK9HFX1HB99w+69vvinsVv9DL3s4R+5nZiD0d8y/oHn
cSNn6Wdff9xQd4fYf3knD9LPdecayNd4hTrL8QWyjT9Vfwbn8CxeZn6s+r19
G09hmBrDsdB6lvUFPJ3vqjnBnReKX4r/AT+nai4=
           "]],
          "3"],
         Annotation[#, 3, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{11009, 8951, 10963, 8950, 11005, 11548, 10023, 8902, 10170,
            8903, 10024, 11738, 10645, 12342, 12343, 12344, 11212, 10484, 
           10485, 9983, 10007, 10008, 9344, 12801, 8478, 10261, 8479, 12460, 
           9304, 12458, 9303, 12459, 9305, 12461, 9301, 12456, 12457, 12455, 
           9302, 12614, 12615, 12613, 9463, 10086, 8502, 10942, 10943, 10941, 
           8887, 12097, 8310, 10020, 8897, 10324, 8898, 12126, 12127, 12125, 
           8947, 10607, 10606, 10604, 8895, 10945, 8744, 11199, 9145, 10593, 
           9144, 11200, 11198, 9358, 10597, 10596, 10591, 8884, 11223, 11224, 
           11221, 11543, 10013, 8894, 10320, 10321, 10015, 10014, 8537, 10011,
            11782, 11781, 10684, 9611, 11408, 9382, 9672, 9671, 10377, 9335, 
           10272, 9334, 10257, 9336, 11271, 11273, 11272, 8472, 10144, 8471, 
           10639, 10638, 9337, 10483, 8286, 10003, 10046, 8948, 10258, 8949, 
           10048, 11737, 11009}],
          "3"],
         Annotation[#, 3, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{9085, 10088, 9872, 12270, 12271, 12269, 12273, 12272, 
           11499, 11498, 8703, 11916, 8202, 8255, 11497, 11496, 11915, 11914, 
           8201, 8254, 11495, 11494, 8702, 12268, 9080, 12267, 9079, 10087, 
           10397, 10396}],
          "2"],
         Annotation[#, 2, "Tooltip"]& ], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwV1nt0z3Ucx/HP3LrJ6KR0wW62aTG2OiUbJQ5dttlKUorqnKTahjpdVOiy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           "]],
          "2"],
         Annotation[#, 2, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{8899, 11689, 11690, 8424, 12191, 8423, 10610, 10611, 11973,
            11974, 11972, 10940, 12096, 8886, 10599, 10600, 10601, 8910, 
           10952, 10951, 10598, 8885, 10939, 8745, 11209, 9164, 12335, 9163, 
           11270, 9333, 10609, 10608, 10605, 8896, 10946, 9725, 10932, 8883, 
           10592, 10594, 10595, 8946, 11003, 11002, 12094, 12095, 10616, 
           10615, 8430, 10231, 10232, 9297, 12452, 12454, 12453, 8422, 12190, 
           8421, 11688, 11687, 8893, 12100, 8743, 9896, 10445, 9670, 9669, 
           10378, 8633, 9808, 10636, 10637, 10141, 10273, 10274, 9519, 10381, 
           9795, 9796, 9612, 11409, 12954, 9520, 12656, 9521, 10044, 10043, 
           11547, 11546, 11545, 12357, 12356, 8900, 11691, 11692, 11693, 
           12489, 12488, 12336, 12337, 12077, 8871, 11660, 11661, 12490, 
           12491, 10640, 10641, 8473, 10122, 11282, 11283, 11281, 9340, 11284,
            11734, 10642, 8901, 10947, 10612, 10613, 8968, 11016, 11015, 
           10614, 8904, 10948, 9758, 10944, 8889, 10602, 10603, 8411, 12462, 
           12327, 12328, 12326, 9146, 8746, 8747, 8425, 9345, 9173, 12856, 
           9174, 9909, 9908, 10009, 10010, 9583, 8480, 10348, 8481, 9584, 
           10620, 10621, 10233, 10619, 10618, 9590, 8504, 10353, 8503, 9589, 
           8888, 9730, 9729, 12101, 8899}],
          "2"],
         Annotation[#, 2, "Tooltip"]& ]}, 
       {GrayLevel[0], Opacity[0.4], 
        TagBox[
         TooltipBox[
          LineBox[{8197, 10791, 10792, 10789, 10790, 12899, 12901, 12900, 
           8196, 12359, 12360, 12358, 12362, 12361, 8373, 10206, 8372, 12781, 
           9538, 9891, 9890, 9910, 8253, 9716, 9665, 9871, 9870, 10567, 10566,
            9547, 8427, 10335, 8426, 9769, 8872, 12944, 8873, 8413, 10226, 
           8412, 9286, 8843, 9198, 9197, 9384, 12813, 8539, 12131, 8952, 
           12128, 12130, 12129, 8313, 10049, 8314, 12771, 9522, 10326, 10325, 
           8538, 9177, 8287, 10004, 10005, 9176, 12345, 9175, 12346, 12535, 
           12534, 8482, 11740, 11739, 12936, 8634, 11873, 11452, 12121, 8940, 
           11725, 11726, 9602, 12807, 8527, 10355, 10356, 9794, 9793, 10045, 
           8448, 9774, 9316, 11722, 11723, 11724, 10251, 8454, 10341, 10342, 
           9565, 12697, 12699, 12698, 8393, 12487, 12255, 12256, 12254, 9070, 
           9889, 9888, 8193, 8251, 11970, 11971, 10824, 10826, 10825, 8420, 
           10139, 10140, 9162, 10475, 10476, 8283, 9897, 10006, 11389, 11390, 
           11388, 11392, 11391, 9553, 9555, 9554, 8419, 8890, 8631, 11872, 
           8632, 10741, 10949, 10950, 8905, 12842, 8906, 8892, 12098, 8891, 
           12099, 8305, 10025, 10026, 9588, 11747, 11748, 8496, 10352, 8497, 
           11749, 11750, 11487, 12854, 12756, 12757, 10002, 8907, 12102, 8908,
            8945, 12846, 8944, 8429, 12790, 8909, 10492, 10822, 10823, 10632, 
           10631, 8446, 10247, 8447, 11721, 11720, 12474, 12473, 11269, 10630,
            12843, 8913, 10953, 10954, 10617, 8436, 12107, 11894, 11895, 
           11893, 11897, 11896, 8629, 11871, 8630, 10740, 11778, 8533, 10271, 
           8534, 11780, 11779, 12533, 12532, 9668, 11969, 8742, 11540, 11541, 
           12962, 11542, 8842, 12655, 9515, 12654, 9514, 10319, 8437, 11710, 
           11709, 11752, 11751, 8498}],
          "1"],
         Annotation[#, 1, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{8204, 11921, 8707, 11919, 8706, 11920, 8203, 12749, 9084, 
           12277, 11501, 8705, 11918, 9083, 12276, 12275, 11500, 8704, 11917, 
           9082, 12274, 8257, 12906, 11152, 10449, 10794, 12958, 10793, 11150,
            8256, 10399, 10398, 11151, 9081, 10091, 10092, 9662, 10090, 10089,
            8205, 12658, 9525, 12657, 9526, 12659, 9523, 10327, 8316, 12772, 
           9524, 9673, 10371, 10372, 9760, 9759, 9873, 12122, 8315, 11550, 
           11549, 8748, 9810, 9809, 10451, 10450, 12619, 9464, 12616, 12618, 
           12617, 12710, 8540, 10688, 10687, 11230, 11229, 9201, 8954, 8484, 
           8969, 8483, 8953, 9717, 8258, 8206, 9911, 11454, 11453, 12278, 
           9086, 10651, 8490, 12134, 8956, 12132, 8955, 12133, 8317, 12193, 
           9003, 12192, 12195, 12194, 8576, 10123, 12643, 12644, 12642, 9485, 
           9915, 9914, 9912, 9913, 9067, 12831, 8626, 9068, 8627, 12245, 
           12246, 12243, 9060, 12244, 8208, 9677, 8997, 11775, 11776, 11777, 
           8998, 10682, 10681, 10680, 10715, 10714, 11155, 9892, 9893, 9666, 
           9722, 8288, 10997, 8289, 9811, 9812, 10395, 10394, 8635, 9507, 
           12766, 8290, 10308, 9642, 12892, 9643, 8636, 12653, 9508, 11521, 
           11522, 11523, 10309, 12737, 9644, 12736, 9645, 12738, 9091, 9874, 
           8708, 10389, 10390, 9718, 8259, 12285, 11922, 11923, 11502, 12286, 
           8260, 9092}],
          "1"],
         Annotation[#, 1, "Tooltip"]& ], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwV0nlM13Ucx/EPeMAPsPynrGwTEhRPoJVlKR7ZpoTMfiRZGhUgrXtN6ViH
ctjhSmiFpYG2DlrStNJKJyolbmYp9E9WW/BXx7rM/hBtCT0+fzx/r+/7fn8+
n19O1cPJh1JCCC/7GZcdwpszQ0i/IoRtNI1up8sLQ/ipKISfkT8jhCmYioOT
Q5hMJyEPZyeGcIvc/3JDmEd/YGfxj8EF6JSfSTOQQLGcuSjX93o6B2n86ai1
yw75q+no2Ds/hL5pIfTiwekhHKcncIZ/EDXy3pdfTcv1OWN2kg7SEvvMvTKE
JXS9eJsztWML3sBWjC8Iodl5R5k1Env4JrA3qstlr1M3kc7iOyG2bGoIrfR1
vIbNWDzFDOyXO2CX++Xfh3tRaHY55uuXpEecoQfV6npyQtgn55S6Ant0mjGT
7qD5k0Lo5690xgH6WJ730ONxOp9vHs7rV8Y3RPvV/G6331Cjd6d4u53aMM2c
Few6932N+rX0WjrCrqlo1P+c+6pwb//Sbr5DmGG36fFd9MgzJ9uMBfqf06vF
92l9utSWiOeKZ/K9Zfbb2CnvAb7F4rt8l5q3Sf5Ndt1mTiltYDfiCfexSLze
9wH5m+mt7Fa6gtaYV41/xCrYl9FesRftOtvMhPmtZvzC1xTrfW+gu81I4dtD
U+mHNNCP6ZAdPqLDdLmzVrjvoxiv7mv7fIUW/dPjfzW+i3sowHPil3ujZ+nt
YitxG4bkHtGnBxvF3nUHY9S9Q7PoSjWr0KtHHxbaMYf/E/FPkWTfjAHfS9Qf
M/9LHEWz3mV2LXafS2mf+B10AbsynsndDJt7Nr6j863i+9Y9beCf4+2Lnave
HQ2KfyHvMM7r+avcF/hGsZ+nDfZrRD0uEm+ih+X0xDvT7xn2OqzHbvbT9Ck8
GfPZF+Ok3JJ4R/jLeU7hT/yBWmc7Zp8ce2+xz1ZsUjOWfSd/nX0r6YXsl/hH
2zsNSbsU8ZVHRUKfDGTiPbM7cJe6G+U2q8uKd48qvkf1vJvm0jzsFW+hs+Ve
h0fYA96jHz+iwd0d954FYoVoY7djv7nj5H4X/8PO9oG3KzS3CJ+ZtQ97kWLW
kNgwlvle425fUXuV/V+ls9hXY4IeB805hAP4HN1YbdY9WCi/Nv5v9Vjruw5r
sMg93oBv/C/6kK1Phz271FbFPWk1zXDGBEaob7R3Ey7BTjW7cFLsb1qqPt13
ClLRLWdkrEOXfS9lf+/MS+Ul9O6Id47TajPYZfyt8v4HAgL81w==
           "]],
          "1"],
         Annotation[#, 1, "Tooltip"]& ], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwV01tM13UYx/FHcYszok67IMQARRGPrFK3xLnVygvjYIVuZYAC2lJvKme3
pRwGC89xULS6aAVkqwsLYiOv6qbcqjmP0FZOuTKbhzy8fhdvPt/n/Hy/vz/z
6nZVvTMlIsr8WVQQMbgkYghfYgBfYSH/qaKIl1ZEnKat8yK6iyO2sHvoMXyC
zezjtET+R/R19n76IVpQyz5As9QP6zuCs/gB32OBurfEq+TV0a1oQDW7nj6h
bqf569lv0+wSvZDJ/2h5xA6+v+W9gQfsdP5G8Qz6kP0m/8r5Ec3y/men8WeK
p9L77Cb++XY47/w732sYWhBxpTBitZlX6eTTcvSpZBfTAfFBdCWzl0V8TP+h
B+l1WilWhdVy39N3L97HL3x79d+0NOJVVGNc7xqaLpaBaXrU65FCf2Yvlj/b
vnPQyndZ7Cqu4As91yyOKLX/d+Lfol3ONbE2Ok7/wkSym5xnyyKewaR3v4ks
71Ju9qAduvgP4hDCnRv5/zB7t7w/6R5aQp9cFHEp2YlepHNoivyU0ohVap/D
FHaT+ql0Kv+QHdu93WZzvnaupefNPut9Ntj5ZeQ5j8gfxj73rtD7kDvctfc9
95xQ84He+9CdfA/9c/Rop3lqbvH/i9v4Sd0G887RMeSqn4FsTEcOXlD7IrqS
37KdjuMwjuII9pifZY9sjCU5duw1N5O91oznkaZ3g7et4y9cGFGEo/Zd685H
aJNYMxqRIXcHvWbXCnrYfuPO65xz9SrXt5fvhl59clOdK+2Qb24VTWOf4F8n
tyK5q+9xC9liTXJy6G/8v6LX/Xqw3P1OqklXWy3eYcZT7rKRnU/rzSqXM12s
WY9cGmLbxFbw96vNYNfwd6qdy/8KuyD5H1V72/xC+iMtoqN0htwW7zAz+dbs
T/0+OtR8RjtpH//nztvof+Lb6bvsNnWj3uOCvau93Uzvckb8G9zxPWaxa/j7
5TwGg9S5Ug==
           "]],
          "1"],
         Annotation[#, 1, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          LineBox[{9071, 11899, 8689, 11898, 8690, 11900, 8198, 11902, 8691, 
           11901, 8692, 11903, 8199, 11905, 8693, 11904, 8694, 11906, 8200, 
           11908, 8695, 11907, 8696, 9073, 12948, 9072, 11909, 8697, 11489, 
           12257, 12258, 9074, 11910, 8698, 11490, 12259, 12260, 9075, 11911, 
           8699, 11491, 12261, 12262, 9076, 11912, 8700, 11492, 12263, 12264, 
           9077, 11913, 8701, 11493, 12265, 12266, 9078}],
          "1"],
         Annotation[#, 1, "Tooltip"]& ], 
        TagBox[
         TooltipBox[LineBox[CompressedData["
1:eJwV1FlsFFQUxvGjlK3hRSt7VVpUmELZIlQoaZFFkCAQQwTBBXgw6TbTloZa
tkYKAzWgD2BUoAjdMCIJbUGNoD5RExON6JtAgCIQjYEHhURB428e/v3uufec
755zZ6Z561MvJh+IiAZ/jo+NGDUlYiTuTYzIzY8Ybj0CF8QX8fSYiC5xN24/
GXEL6fERW/IiZk6ImIWDkyMOYDy/fdMiiu0lrA/ZK6AtdDTvkgL30VK6mTbT
FP97/P7BtIRY/VRaTdud3ZA30fom3YRBvBpo0tkz4yKq6NWp7tbXTXfVPRHx
nPwNtOmpiBq6QFxLrzu/gSvyK9UVqa+gl8Xj1P/qrFrefPkpul19O10s7qDX
nM/1DvPwcGFEDsrVz+RTRneZZzfSqNdjhV4rUYYsteW0Vd7STC2/JJ/r8s6J
e/Etzso5g/vyat3b5C1q6A56nO8nWG29Bot4lvKZ7byE1qnLttfHp9DnM0F8
lH+CHqEFtI1vNt0qHky30RStRhX6q0/SY/J+9y7F3mU47z0+n2LvMRvn9f0j
HvP9eBznfd4/4ye08vtUj230BG3VyxVe+7xROb8KlCGPbyVtlLefLhOflNuF
bvwl/w6Wu7vUfMvox3wW0kU4p898NZfUrrR/TV/TMQNv2N+przS2YweakOVN
3jfbByjSazPf3+zVTTIrva2XQnu36HSeW/i8JN5KN6MRK8XbaH/59db9+G6k
WfRBnPIuPZih/iu9fY2zOKbmG9pJH3U+Grm4r+ZfrJL/H+0y15d6O0nP0I/M
U+TsO++fa+613mYd1mOt+HX6Gl7FMHMNxVi+zd6uV13a/k7MkXuYVwtmOat2
1qefhH5e4L0Eq8w0xCxvZ3qUd4hPCzrUd6JPzZ9qr9I2cTsecV8OXrFulduG
z6w/xxe4K/80PYUeLOd9l/cdvMznb/Fps45Rl4889CJHLxfoRfySmUf/l2ia
7sZCfe6i2erXmWMwfdYMg+i73vEtuoe+g71I8Jurl+fduxib5Dag0f4PfJbw
+56O4jUStWYaoK8aOpBuoJPljlAzifaTv1f+Rus37dXTYfbec+9hv82H3NXp
e/Shsw5an5kvk5+Zke7322i2P1/uAvR4iwE+7276h/tL+BTIS6mvtV6R+Z9G
k+IqLEWXO7qxxno15mTeAKWYJx5C/wcQiu2A
           "]],
          "1"],
         Annotation[#, 1, "Tooltip"]& ]}, {}, {}, {}}}]},
   AlignmentPoint->Center,
   AspectRatio->5,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->150,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->All,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{{3.3926446960284944`*^9, 3.391850973609375*^9}, 
   3.392472280163074*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"myfunc", "[", 
    RowBox[{"{", 
     RowBox[{"y_", ",", "m_", ",", "c_"}], "}"}], "]"}], " ", ":=", " ", 
   RowBox[{"Hue", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "y"}], ",", 
     RowBox[{"1", "-", "m"}], ",", "c"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"collist", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"myfunc", "[", 
      RowBox[{"Mod", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"x", "+", "y"}], ",", 
          RowBox[{"x", "-", "y"}]}], "}"}], ",", "1"}], "]"}], "]"}], ",", 
     "\n", "        ", 
     RowBox[{"{", 
      RowBox[{"y", ",", "0", ",", "1", ",", 
       RowBox[{"1", "/", "20."}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1", ",", 
       RowBox[{"1", "/", "20."}]}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"QColorArrayPlot", "[", 
  RowBox[{"collist", ",", 
   RowBox[{"Mesh", "->", "False"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.3926441392078257`*^9, 3.3926441440447807`*^9}, {
   3.392644219563371*^9, 3.392644222477562*^9}, {3.3926446711026525`*^9, 
   3.3926446918725185`*^9}, 3.3926447610720224`*^9}],

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJzl2LGt4zgUhWEuNlY4ibNN1AAbUANKNnS4AcPZwA2wATfAAtyAGlADbEAF
qAHl9y7vm/8JB9vCDGCI4Htj+zuY4Mf89c+/f//8M6X0g1ecv/788etxuvs1
ntN49XE+x/MxXts4H+M5j1cb5z6eebzqOO/juYxXGedtPNd4jfNnPJ/xe+Pc
4ufxXuP8Hs9XfNg413iP+Fxzj7v4WR/n+N34O9s4x3vEe7VxjveOz6jjHJ8Z
n13GOb5LfKd1nOM7xnfN4xzf/cswzmG6/udN3F3YT+463gl7Z4eGd8a+sUPB
u2Bv7JDxPrFXdgj7ix1OvBX7kx02vA37wg4V74Z9ZocVb8c+sUPYw/tt+/Ym
tjmxH9x3vAn7zg4N7wP7hx0K3oz9zQ4Z74r9xQ5hL+xw4n1hX9lhw/vGntmh
4v1gf7DDinfHHt6O/WIH9SbuDuyd+473wr7xuw3vhL2xQ8E7Y6/skPEu2As7
hP3JDifegn1hhw1vxT6zQ8XbsE/ssOLdsF/sEPaTfw/qTdx17Dv3He+J/cMO
DW/C/maHgveB/cUOGW/G/mSHsK/scOJ9Ys/ssOF9YX+wQ8X7xh7ehv1ih4x3
w36wg3oTdzv27ftneA/sjR0a3gt75T0K3gl7YYeMd8a+skPYF3Y48a7YZ3bY
8BbsEztUvBX7xQ4r3ob9YIewd3ZQb+Juw/7hvuPt2N/s0PCe2F/sUPAm7E92
yHgf2Bd2CHtmhxPvgv3BDhveJ/bwFuwXOxS8FfvBDhlvw76zg3oTdx/sjfuO
d8de2aHhPbAXdih4L+wr753xTtgzO4R9ZocTb8Y+scOGd8V+sUPFW7Af7LDi
rdh3dgj7xg7qTdw17G/uO94N+4sdGt6O/ckOBe+JfWGHjDdhn9kh7A92OPHO
2MObsV/s0PCu2A92KHgL9p0dMt6K/cMO6k3cvbFX7jveD/bCDg3vjn1lh4L3
wJ7ZIeO9sD/4zLBP7HDifWC/2GHDm7Ef7FDxrth3dljxFuwfdgh7Ywf1Ju4q
9ruvXPrKpa9c+sqlr1z6yqWvXPrKpa/8lzdhv3vSpCdNetKkJ0160qQnTXrS
pCdNelK8ibsX9ruvXPrKpa9c+sqlr1z6yqWvXPrKpa/o5wv73ZMmPWnSkyY9
adKTJj1p0pMmPWnSk+JN3BXsd1+59JVLX7n0lUtfufSVS1+59JVLX9HPJ/a7
J0160qQnTXrSpCdNetKkJ0160qQnxZu4e2K/+8qlr1z6yqWvXPrKpa9c+sql
r1z6in4+sN89adKTJj1p0pMmPWnSkyY9adKTJj0p3sTdin3hvrv0lUtfufSV
S1+59JVLX7n0lUtf0c8d+84O3aQnTXrSpCdNetKkJ0160qQnTXpSvIm7Bfvd
Vy595dJXLn3l0lcufeXSVy595dJX9POO/e5Jk5406UmTnjTpSZOeNOlJk540
6UnxJu4y9ruvXPrKpa9c+sqlr1z6yqWvXPrKpa/o5w373ZMmPWnSkyY9adKT
Jj1p0pMmPWnSk+JN3M3Y775y6SuXvnLpK5e+cukrl75y6SuXvqKfP9jvnjTp
SZOeNOlJk5406UmTnjTpSZOeFG/63gb73VcufeXSVy595dJXLn3l0lcufeXS
V/Rzw373pElPmvSkSU+a9KRJT5r0pElPmvSkeBN3E/a7r1z6yqWvXPrKpa9c
+sqlr1z6yqWv6Oc39soO3aQnTXrSpCdNetKkJ0160qQnTXpSvF9/ftP/r/sP
g5wI+Q==
   "], {{0, 0}, {21, 21}}, {1, 256},
   ColorFunction->Hue],
  AlignmentPoint->Center,
  AspectRatio->1,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->True,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->Automatic,
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{{3.3926447701150255`*^9, 3.39185097378125*^9}, 
   3.392472280712737*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"lis", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"N", "[", 
      RowBox[{"Tan", "[", 
       RowBox[{"x", " ", "+", " ", 
        RowBox[{"I", " ", "y"}]}], "]"}], "]"}], ",", "\n", "        ", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "1."}], ",", "1", ",", ".1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", 
        RowBox[{"N", "[", "Pi", "]"}]}], ",", "Pi", ",", 
       RowBox[{
        RowBox[{"N", "[", "Pi", "]"}], "/", "10"}]}], "}"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{"QListComplexDensityPlot", "[", 
  RowBox[{"lis", ",", "\n", "    ", 
   RowBox[{"MeshRange", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.3926441392078257`*^9, 3.3926441440447807`*^9}, {
  3.392644219563371*^9, 3.392644222477562*^9}, {3.3926446711026525`*^9, 
  3.3926446918725185`*^9}, {3.3926447610720224`*^9, 3.3926447761436944`*^9}}],\


Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJzNmDFIlGEYx79oaWloCGrqioYagqKI2m5TDkXpBh0OwQYVhG4QxPEmcbnB
RXSSExEdDhT10MluKtK7OvIoJJNAMOGgg1saex/4P/UjWpx6D47n9z78n//z
8h73fu/73X6Zf/HqcpIk1/U1fh2+yaUkOQzhjfg4hHfijrijsWmOxVZ7KN5F
vgJ9BT678I+hr/N+CG/FzRBq4ra4rbFpmpjDvngH+U3oN+GzA/8Y+jrvYc0P
QvggbolbGpvmAHPYwzp7fh36dfhU4B9DX+cNeFRD+Cg+F5+jvoo5bIi3kC9D
X4bPFvxj6OtcCuG9eDuET+JT8anGptnGHErw8vwa9Gvw2YB/DH2di1jzlRC+
iE/EJxqbZgVzKGKdPb8M/TJ8yvCPoa/zZAifxXMhfBMfiY80Ns0c5jApXkV+
EfpF+KzCP4a+zrkQvoqnQ/gubop9LzXNNOaQEy8hPw/9PHyW4B9DX+d0CGdY
kx/ihrih8RnW3GrT4gXkZ6Gfhc/CP9b8f/Z1TiV/zgXjIfwU18V1jU0zjjmk
xEXkZ6CfgU8R/jH0TcQJeARcE9agGxEXoCv8la9RIx/n3/78XKAvay7atwCP
tDgVwlWxrc8VcV3s62kaX2erTYknkJ+Cfgo+E/CPoW8afjfF9r+4Jm6I/X9k
mknUeP0o8nno8/AZhX8MfZ1t37sjtv3whrgp9v3TNNOo9/12CPkx6MfgMwT/
GPo625rcE9tz8Jb4SOzPTdP48zSNNR9Efhj6YfgMwj+Gvs62Fz4Q2/nnrvhE
7Ocl0/g5ymp9D80in4M+B58s/GPo61wK4ZHYzr33xadiPyebxs/PVlsS9yE/
AP0AfPrgH0NfZzvvPxFX8Vuci/1+ZJoq5uD3hB7ks9Bn4dMD/xj6Ott99qnY
7osPxS2x34tN43dOq/V7dAb5fuj74ZOBfwx9ne09xjOx7Y2PxW2xvw8xje+l
VuvvT7qR74W+Fz7d8I+hr7O9v3ouPsZv0RH7udM0/n7Mav29WRfyGegz8OmC
fwx9fwHDdRCn
     "], {{-Pi, -1}, {Pi, 1}}, {1, 256},
     ColorFunction->Hue], 
    {GrayLevel[0], 
     LineBox[NCache[{{-Pi, -1}, {-Pi, 
         1}}, {{-3.141592653589793, -1}, {-3.141592653589793, 1}}]], 
     LineBox[NCache[{{Rational[-19, 21] Pi, -1}, {
        Rational[-19, 21] Pi, 
         1}}, {{-2.842393353247908, -1}, {-2.842393353247908, 1}}]], 
     LineBox[NCache[{{Rational[-17, 21] Pi, -1}, {
        Rational[-17, 21] Pi, 
         1}}, {{-2.543194052906023, -1}, {-2.543194052906023, 1}}]], 
     LineBox[NCache[{{Rational[-5, 7] Pi, -1}, {
        Rational[-5, 7] Pi, 
         1}}, {{-2.243994752564138, -1}, {-2.243994752564138, 1}}]], 
     LineBox[NCache[{{Rational[-13, 21] Pi, -1}, {
        Rational[-13, 21] Pi, 
         1}}, {{-1.944795452222253, -1}, {-1.944795452222253, 1}}]], 
     LineBox[NCache[{{Rational[-11, 21] Pi, -1}, {
        Rational[-11, 21] Pi, 
         1}}, {{-1.645596151880368, -1}, {-1.645596151880368, 1}}]], 
     LineBox[NCache[{{Rational[-3, 7] Pi, -1}, {
        Rational[-3, 7] Pi, 
         1}}, {{-1.3463968515384828`, -1}, {-1.3463968515384828`, 1}}]], 
     LineBox[NCache[{{Rational[-1, 3] Pi, -1}, {
        Rational[-1, 3] Pi, 
         1}}, {{-1.0471975511965976`, -1}, {-1.0471975511965976`, 1}}]], 
     LineBox[NCache[{{Rational[-5, 21] Pi, -1}, {
        Rational[-5, 21] Pi, 
         1}}, {{-0.7479982508547126, -1}, {-0.7479982508547126, 1}}]], 
     LineBox[NCache[{{Rational[-1, 7] Pi, -1}, {
        Rational[-1, 7] Pi, 
         1}}, {{-0.4487989505128276, -1}, {-0.4487989505128276, 1}}]], 
     LineBox[NCache[{{Rational[-1, 21] Pi, -1}, {
        Rational[-1, 21] Pi, 
         1}}, {{-0.1495996501709425, -1}, {-0.1495996501709425, 1}}]], 
     LineBox[NCache[{{Rational[1, 21] Pi, -1}, {Rational[1, 21] Pi, 1}}, {{
        0.1495996501709425, -1}, {0.1495996501709425, 1}}]], 
     LineBox[NCache[{{Rational[1, 7] Pi, -1}, {Rational[1, 7] Pi, 1}}, {{
        0.4487989505128276, -1}, {0.4487989505128276, 1}}]], 
     LineBox[NCache[{{Rational[5, 21] Pi, -1}, {Rational[5, 21] Pi, 1}}, {{
        0.7479982508547126, -1}, {0.7479982508547126, 1}}]], 
     LineBox[NCache[{{Rational[1, 3] Pi, -1}, {Rational[1, 3] Pi, 1}}, {{
        1.0471975511965976`, -1}, {1.0471975511965976`, 1}}]], 
     LineBox[NCache[{{Rational[3, 7] Pi, -1}, {Rational[3, 7] Pi, 1}}, {{
        1.3463968515384828`, -1}, {1.3463968515384828`, 1}}]], 
     LineBox[NCache[{{Rational[11, 21] Pi, -1}, {Rational[11, 21] Pi, 1}}, {{
        1.645596151880368, -1}, {1.645596151880368, 1}}]], 
     LineBox[NCache[{{Rational[13, 21] Pi, -1}, {Rational[13, 21] Pi, 1}}, {{
        1.944795452222253, -1}, {1.944795452222253, 1}}]], 
     LineBox[NCache[{{Rational[5, 7] Pi, -1}, {Rational[5, 7] Pi, 1}}, {{
        2.243994752564138, -1}, {2.243994752564138, 1}}]], 
     LineBox[NCache[{{Rational[17, 21] Pi, -1}, {Rational[17, 21] Pi, 1}}, {{
        2.543194052906023, -1}, {2.543194052906023, 1}}]], 
     LineBox[NCache[{{Rational[19, 21] Pi, -1}, {Rational[19, 21] Pi, 1}}, {{
        2.842393353247908, -1}, {2.842393353247908, 1}}]], 
     LineBox[NCache[{{Pi, -1}, {Pi, 1}}, {{3.141592653589793, -1}, {
        3.141592653589793, 1}}]], 
     LineBox[NCache[{{-Pi, -1}, {Pi, -1}}, {{-3.141592653589793, -1}, {
        3.141592653589793, -1}}]], 
     LineBox[NCache[{{-Pi, Rational[-19, 21]}, {
        Pi, Rational[-19, 21]}}, {{-3.141592653589793, -0.9047619047619048}, {
       3.141592653589793, -0.9047619047619048}}]], 
     LineBox[NCache[{{-Pi, Rational[-17, 21]}, {
        Pi, Rational[-17, 21]}}, {{-3.141592653589793, -0.8095238095238095}, {
       3.141592653589793, -0.8095238095238095}}]], 
     LineBox[NCache[{{-Pi, Rational[-5, 7]}, {
        Pi, Rational[-5, 7]}}, {{-3.141592653589793, -0.7142857142857143}, {
       3.141592653589793, -0.7142857142857143}}]], 
     LineBox[NCache[{{-Pi, Rational[-13, 21]}, {
        Pi, Rational[-13, 21]}}, {{-3.141592653589793, -0.6190476190476191}, {
       3.141592653589793, -0.6190476190476191}}]], 
     LineBox[NCache[{{-Pi, Rational[-11, 21]}, {
        Pi, Rational[-11, 21]}}, {{-3.141592653589793, -0.5238095238095238}, {
       3.141592653589793, -0.5238095238095238}}]], 
     LineBox[NCache[{{-Pi, Rational[-3, 7]}, {
        Pi, Rational[-3, 7]}}, {{-3.141592653589793, -0.42857142857142855`}, {
       3.141592653589793, -0.42857142857142855`}}]], 
     LineBox[NCache[{{-Pi, Rational[-1, 3]}, {
        Pi, Rational[-1, 3]}}, {{-3.141592653589793, -0.3333333333333333}, {
       3.141592653589793, -0.3333333333333333}}]], 
     LineBox[NCache[{{-Pi, Rational[-5, 21]}, {
        Pi, Rational[-5, 
          21]}}, {{-3.141592653589793, -0.23809523809523808`}, {
       3.141592653589793, -0.23809523809523808`}}]], 
     LineBox[NCache[{{-Pi, Rational[-1, 7]}, {
        Pi, Rational[-1, 7]}}, {{-3.141592653589793, -0.14285714285714285`}, {
       3.141592653589793, -0.14285714285714285`}}]], 
     LineBox[NCache[{{-Pi, Rational[-1, 21]}, {
        Pi, Rational[-1, 
          21]}}, {{-3.141592653589793, -0.047619047619047616`}, {
       3.141592653589793, -0.047619047619047616`}}]], 
     LineBox[NCache[{{-Pi, Rational[1, 21]}, {
        Pi, Rational[1, 21]}}, {{-3.141592653589793, 0.047619047619047616`}, {
       3.141592653589793, 0.047619047619047616`}}]], 
     LineBox[NCache[{{-Pi, Rational[1, 7]}, {
        Pi, Rational[1, 7]}}, {{-3.141592653589793, 0.14285714285714285`}, {
       3.141592653589793, 0.14285714285714285`}}]], 
     LineBox[NCache[{{-Pi, Rational[5, 21]}, {
        Pi, Rational[5, 21]}}, {{-3.141592653589793, 0.23809523809523808`}, {
       3.141592653589793, 0.23809523809523808`}}]], 
     LineBox[NCache[{{-Pi, Rational[1, 3]}, {
        Pi, Rational[1, 3]}}, {{-3.141592653589793, 0.3333333333333333}, {
       3.141592653589793, 0.3333333333333333}}]], 
     LineBox[NCache[{{-Pi, Rational[3, 7]}, {
        Pi, Rational[3, 7]}}, {{-3.141592653589793, 0.42857142857142855`}, {
       3.141592653589793, 0.42857142857142855`}}]], 
     LineBox[NCache[{{-Pi, Rational[11, 21]}, {
        Pi, Rational[11, 21]}}, {{-3.141592653589793, 0.5238095238095238}, {
       3.141592653589793, 0.5238095238095238}}]], 
     LineBox[NCache[{{-Pi, Rational[13, 21]}, {
        Pi, Rational[13, 21]}}, {{-3.141592653589793, 0.6190476190476191}, {
       3.141592653589793, 0.6190476190476191}}]], 
     LineBox[NCache[{{-Pi, Rational[5, 7]}, {
        Pi, Rational[5, 7]}}, {{-3.141592653589793, 0.7142857142857143}, {
       3.141592653589793, 0.7142857142857143}}]], 
     LineBox[NCache[{{-Pi, Rational[17, 21]}, {
        Pi, Rational[17, 21]}}, {{-3.141592653589793, 0.8095238095238095}, {
       3.141592653589793, 0.8095238095238095}}]], 
     LineBox[NCache[{{-Pi, Rational[19, 21]}, {
        Pi, Rational[19, 21]}}, {{-3.141592653589793, 0.9047619047619048}, {
       3.141592653589793, 0.9047619047619048}}]], 
     LineBox[NCache[{{-Pi, 1}, {Pi, 1}}, {{-3.141592653589793, 1}, {
        3.141592653589793, 1}}]]}},
   AlignmentPoint->Center,
   AspectRatio->1,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->Automatic,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->Automatic,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{{3.3926447778261137`*^9, 3.391850974*^9}, 
   3.392472280892889*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QComplexPlot3D", "[", 
  RowBox[{
   RowBox[{"2", " ", 
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"x", "^", "2"}]}], " ", "-", " ", 
      RowBox[{"y", "^", "2"}], " ", "-", " ", 
      RowBox[{"3", " ", "I", " ", "x"}]}], "]"}], " ", 
    RowBox[{"Sin", "[", 
     RowBox[{"x", " ", "+", " ", 
      RowBox[{"I", " ", "y"}]}], "]"}]}], ",", "\n", "    ", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3926441392078257`*^9, 3.3926441440447807`*^9}, {
  3.392644219563371*^9, 3.392644222477562*^9}, {3.3926446711026525`*^9, 
  3.3926446918725185`*^9}, {3.3926447610720224`*^9, 3.3926447831437597`*^9}}],\


Cell[BoxData[
 Graphics3DBox[GraphicsComplex3DBox[CompressedData["
1:eJyFfXd4V8XzNb2DdOm9KEWQ3leKNGkCFnpvSqyoNAEBlY5E6b2HDqEIiF4M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   "], {{
     {EdgeForm[None], GraphicsGroup3DBox[{Polygon3DBox[CompressedData["
1:eJxFnHn8F9P3x2ef+dBeWlWS0kqlpH2hJPuenSIRylJZIlmyFNnKEiURyi4i
SyKSJUtR9mSXisoXCb/Xs9c8Hr8/7mPO3DlzZ9537j33nNd53XeTwSMOOycK
guD3NAhiHbsnQbBSFf0ln5kHQWuVq8MgeFzXX8+CoJ3qq0unoUo91S+V7rGx
6++W7rPS2U71D0r/K523UP3L0jlYOjtJfkD1L0qnueTZkl+TvKvkg3S8stBR
elt1XyuVq9TOm7r3GNXtLp1jpHO9dAbpvKfk0yW/q/oekodKfkfyRzqeofKk
3q+X6odJXqb6PXX8UuVF3bu/6i+XvL/kh/QOF0luKZ2jVX+t5KNUf6DkKyQf
KHmQ5OskHy15od7nEB2bSP8Q1V+l+kN1PlPtDJS8s+ob6d2r6dp0yU/qWF1l
huRJOj4qnSnSr6UyVeVB1f+sugW6VqF3PkBlscoA/fZfVP+S6ivr/GS1WTl3
mz/pvlP0vEA6h+h4qMpgvdcP0n9e+rH0f5POaapPpbNJcio5k7w9/aB2hkq/
gcpGNXOqyn26PkDXmkoeoPtfVekv/RHS7aByg+Qz+J4qV0peq+P2etad0t9B
7d9OX0p+Svd10bXbpDNMx2Yq4yV30vE8lZskd9ZzvuK36Z4nVDqqnQ90b0fV
faLyrOreUemktn7i9+q+CpUzde8nqu+r+l9V/7DO+6oMoc/1Wx6S3EflU+lU
0u/5TfVD1PbNanOE6k6VfIvkkZK/l/65Oh7PmNGxt9pcL3ml5D6SN0j+Vvof
qZ0DJT+odnuonCD5JNXfoHZOlG43Xe+hcrDa26S6D3Wtme5vLd2dVXpJ/33p
dVbdWp6l6/NTj+eTJd+oe06iD6TbVuUg1X+m+jek0xNZ7Q6L/Q4fSD45dv0G
HcerzUT3LJO8p+SfVR9U6Luory7R+VS+uY61VX275BfUbh3JA3Ucp+cO1H03
q/45nVdT/d6Zv92Hks/NbBPGSF4v3UXcq7Y6Sf5UZb7u3UvH1SovSz5A18dL
PkDyFN23n+QddG9/1Y+VvK/qb1P9vpJrqf5aPecylTV6/9kqXVWOwD7o2EXl
cMkzdO97qW1Rf+5VOUp9sFxtbSd5neq/03GD9IZLfkPtXafym+7fR3UX61n9
pNtP8iWS+0t+Uvqv6ryT9KtI9xHJ90r+U9fW6/witZ+pbm45Z4frN69QGaw2
5+n6Eyq7SucM1S1XOUX1l0n3frU/QW2EKteoXKd791DdKpVndP62nnu39Pqq
vr3qPlZ5WvUddFypMk/y6WrvQ+a62vxH+lHudq7SteWSj9Vzb9VxNn2t+kLy
w4xvvq/khyTfJHkn3TtCpY30d1c5Ue39qfq3VDdNOn0kj9FzPlYZrmv/qb6v
3mGS6qeonT+xfZKPlxyrXC95td5hhPS3SP5B8ijJ/0meIN05uvcG5qzama7z
vVX/gu57kPVCz9+RMaJyEeNY972usp+eu4ZvKJ1jsP+qe0NloOobYMcKz89f
pPOAdE6RzteS10oehM2UvFHySZLXSt4k+WTGg553Yew2P4081wdK/iSyDdhP
8ofS/yC3XB97U3iOtdHzOyaehx/ovEJ6v7B2ZF5TXpe8QPc9n7tfX9L123Wt
I3Nc56djDyS/pvr3pdNV8nuqHxpbbqG5eS7zTtdnYMtVKun676pbwTrIOFPZ
pHK83uGuxDYXe9tQbUxXeZbvq7rGrCWSd5a8k+THJN/AUW3dI71GKjNU5qu+
sY73qjzHGq0289Rr61+MudTr9Xm6r4Huf5i5yTqh8rLklth1lTckt9LxYZUl
km/TsQbjQ3rXqs0pKmMk/8E8l1wheaxKge8g/Wmqeyjxb0n0nBW5147bVTc7
8Rpxo+of13s8oDZaq8xReVM6d+r6VypXSKcFa2bsbzFZ+k9If7bOt+h3HC35
UtVvr/PJsdu/Ws+5XOU7xjl+i/T+kXya7r218FgZKvm2cnyul/xt6nXhQGyJ
zs9irde9S1T21733JPaN8IuqSHdXlWr6joep/k3W8NDPO1jlf7q3qq7Pkn51
6Vwe2X4cqmtzVfez2j9fOufpOE3vME7vcLCOv+qe0/B51N5bKkdK/zgd31Y5
SvJ20rtR5Q5sF+1Kvljy2Ni2Fbv6p9r4O3P9karbih1k/VIby1SOkU496TRQ
2VltrNbxfukczTouebHkPSX3Zr3G9gYek01V/6TkxbpnrOqHRe6TNqpfoPq/
1e6gyO0cHVnGVlfX+G+q97hFupX0njep3IWdxMdT2ar7dld7P0seHLjdMyL7
kPgVfUs/YcfMtvpCXdtBbX7JuqXrzSXfKfnNclxj0xnbq1gjpH+w7q1Nn8Ue
57Wlv1r63XRvM8ln6neul/yo6r7jG+BHSF6ne0dH7turJJ/L2h35+c/jhrHe
qfwleWtke419/kB1eeE+OF/HbnrGYaqrojYv1PmQyOXUyL5ZUcpzde8+0l2q
Z3WR/t6St+A/pb4+pNRh/h6R+h1iyeMkn6Br/Vj3C6+VR+pZ3XX/kbGvHR/Z
nm/R846UPIA5rutzpLdWOpdGvg8bu+0blt/xPT2/qto8XOe/Sn4BP1vP6a17
f9H5kNTtHVG2yZHzH8u1ldiAb/Eqc6Xw9amR28MO11E737N2YP+kuxn/ILIf
um/pi6a67wnmquoT/BDp3Cq5d27/uSZ2S+0fp3JYYB/hw9hjr7/ar8w6pboL
dGyt8xMkX1bYVwn1jEsL+yf/xPZFu2S2P6zje2W2e/jP26lMi7x2d85sG/E3
blF7NSTPUVsdYscd+Eh9dO39wN+F8XB7ZP/2GJ0TfIWFxwp9HRTuI/oHP4G1
B1uH39VV8lLJ7SR3kPyK5Ef1rO5q6xPsduQ44JHAbd4rnck67xT6OYz/5Yw7
lQexhYzpyD7zSOxEbjuDrzU89XfHz+f7jpJeQ/VZHckTdG99ydvhL0luILmS
5Esl7yi5FmuW5C/xwWmT/sFm6vySyLHLjwSbetYFzA2ViYG/KXObedW3wmPg
LOn2yh3XVMeehrYJ3wTuq7vwoXX+h+qH69hZ1Xeo7uvc51w7S6ULdknvsDT2
mPxQ9w5WuV91r6TWP5M+13PPUX1z1XWQ/LLq20jeTfLZvJ/kPZlDKk+z3qnu
TT2vEWtDYh+FuXOO6n5jrDFPpfO5zjvo+t6quzz1HPks9xjGluQqt0SO104p
5TnSOU33nCv9GwO3d0jhNvE/rix9u//hT6r9FtL9K7etuJrYTvWvqL4WcQI+
Kesi67iujY/sYxAHTolst9eHrj9Ix1k63o0tU5mv9gKVE3gWvk+F/cvj8AvU
fnveTc+6mTGJb6hro1PbqIqyfeb+/qlt1M06f116bfVe3+GXxv42fJc31f7C
1OvOq/jNrMeSB+PbFvaxTmFcF/arXsNXSKyzBJxA8veB+3mf1PaF7/pD4Dhi
ue59ObX/30v6C1Q+x8fTc89XuVnv+bfaXpMZC2Fs3lyOz3eZZ5njrENUd0Nk
3ODB3HYJG469vkRlkq4tir0+otdb8gsqX0j/xtxzE7v0Te4xzG8/BxuEjVc7
17NOZh7PY1iL8E9S+9W5yjDpHKXrlfD36F99k6d0vjm2f4GfsU9oP6269GcG
jlGnq7QKHLN2LePWfViLJVdX/cTYcQUxxf8k18x8bzPpjVM5JDS2cHDqNZS1
jpiE9Q4fsove48DUPg++O357W9WdpWv1df45sXxhO5Xq3utjxyzY5RtTz9Pt
pT+P+FPXPpb+SpUTWSNVTlKZJp1Vqvsk9zlrwCnlfNlD9y7O7UeAjYwqx+GJ
aq8KNpHxrHKt6uurfkLquTG5HG8LUo9nvjXxErFS99xxdA3iMrVxhc436nwr
uIJKJ+m1KPscv+4/1pPcc5eYtV8ZtzInZ5VzCkznJWyq2q8h/RmpY/AvCmNW
TySO4a8gbizf85r0/+ckx3NCX7+y1HlddZNSf9/TJN8Veb34vDBW9njidXxP
9VHf1P4aaxlz/7PCGNpj0lml3/6prh8aGDcDR2MtwwfsVdgP7CG9haw9YCI6
vqsySPJXoccvfubxqntH5Widn6XjRypDJA/Ue9WMPIbHZY4/iT2b6HixdG7A
b8+8vpxFf+Jrqf5q1ghiDr3DaaHt4tjEtrGh6hYX9oND7FrodiZmXrNG41/p
2tXSv40+0fEalfskj84cPxA7bNZxi86H8S10fVLi9XQ88zv3s66VXOhZZ+P/
g6HExuU2RPbfufcq6byYO76urfrXQmM1a9XeaJWr6ENiMvpacnsdHyt9hva6
7xyVidLviL+pMllyT11/XuUz6axRGzNUXpC8KPS78G6n6r0a6/s+rGunSd5J
8lxwCsk7Ey9JZzf6VeUa3bOb2puLnQ1sn09O7SNGxBGxfcUrMuNvt0j+V+WM
0PhAE12fqfIi30X3jAg9j+ri18eOSdvpvrPBMfDtVfdIbJw2jbz+893nq/0m
mePEdrr+aGxctw4xXOw4tzLrl37HPZLfDh1rPiV5lu77JjOOSRxBDAHuVwPf
MrRPvk7ymNjxFLHMruqTz4mJ9V4/gKvqek/Vv8g6qvqqkfFFbNdXkecDc2Fq
7vg9Ut3JxKTYd9WPBHuL/VuwS3fl/m1Hq/4DlSMkXwlGlBsz+Zk1SvpXSn4p
NIY0WnJjMIbC+FH12LYb28sceSA39nJ24nWCOXaN6mfnHu/VsMOxsazq+obr
Y38v4upJoX3Fz/XeZ8TGGA/le+b2YYjhR4a2+cSBB0oeEXgtqVa2uYn4Rs87
XXJV2o6Nj23Ezqt+qOTrdRyiNi/Q/U1Vf4Xe89bAdrx6+VvwL/Az8D1O1fXf
Evswl+rev3XPBOn8ERlLA3u8LTf2FRBLSO+wEssapLrn8Pt1PlPHH3N/t0d1
vinw+zQr16s/WMsyY4Pcz/jfLfO43ZwZh0TvptxxOmPoR9VfI3nvsp/TzDYW
bL+xysWq/ySxTX419Lc5NrQN6U8MFvlZf+v8OB0v03Fe6LFwfmlz/skcg1+I
DVQZp/rO+D6px+4P9I3K2aofpeu7aNxeoX45UmNkkcqh4EP4y7lxicNV10Q6
B6v+ydx4Jb7AGpWzY/vhX2f2bcBbv8Y3jo27/ogfLvlEye9hpxO/83Tsbmqs
gznyCetqYFysW+g2f9C958XGxr8DQ8qNlfcoHHsTd4Dj7xn6Xmzp/NKf/Ent
D1MZFdivZjzif46Rzr+Zx+LR0n2GGEDymao7JDfGslT3Hc580L0ridVS4+2D
sHXqh0HgSrkxIPCYs/ApVM6Tzq86/z70d39c139X2QVfSGVDid38ovs3J8ZS
ftRxaGLf+7PQax240Fi1d2nuOdxF9+4VeUxeovqxubFcfPI/8VUkbww9jhnz
T6lufer8xcXSv1fvfbX68QLJ90geL3lnXR9J/IF/wTjMPaa66vpS4u/A2ELr
zDjAB6HnPPO9ierfKIwTfZ0Yo2GtrwEGInmWZJJ+YLfMO9aIRuq3qbr2P/zm
xHbp9NDfivF5nur+TLx2t8ydqwNL3Fn3LimMu61OjBOBEYEDXh5abqprs2Lj
imDT/A7G2Duh22AtA888nVgSPwH7pDJH8tP6fTUy26JfwDrUfhQaXxwXeu3Y
WfX3qbwUGCMdqnKJrq1T3eWJ7dxXmTEfcgz4GIHKFNrU+4yOnQsbprqm6odL
SiyuruT9dP+noXEIbCD5od6hMWfyRr1CY9Gr1c7w2PkL4oTOodeOV0L7Avgw
KxgniXHybyPHjcSMI/Tci/TO+zIvVBaGXi++Y0wkXntf0fVXVXoR82b2P7fZ
CslzcufDiOmJ7bFdjcrjYOagdPaXTj+df6M2I42frcwF1V+QG3s/nf5Qmxfr
+rcq5+u5/wSOZ+upHy5TXU/V9Uo8x08h5o1t9/DpsNO0WVn6j2X21XclRi6c
72zBuC2cL6yq61/kXtPJ61VO3Z9fZMb09lL7+4Hr0P/4FDrfIXQO61XW99i5
41rSeSazL9coc+4Yn621nvNOYeybWHVv1e+k+4/SO29I7KsfqWO71PO9AfhF
Yp1+OtZJHUPVVpu76t771eYO9EPuudNKbb9dGGevGRt3R6el6t4qjNc3zJwT
JwZZxJoQO/f9ouRKekYVyY9LHhD7d12VOO5irVwaev4wdwaojW56bjWd19f1
u2P7csyLmrnnQT3VTYs9F8g7VyNWDI0Zgi0Sn+IP55nf8/DM2Aq4ytvgAbHj
4uf1DtUS57IPlU5P6dTFJhI7g3UElslN11b9c9LNE+cZ56idKpJrSq6tPphX
mB+wgDqVXVT/go47qDRjzVQbb2XmEqzRef3QOo+qnSTZBjsEx+v6eyoN+P5q
7+nCnADiJ7gAxFB/s57knjOHSXdW6nb4jfenftZDkXP1YHSZxlRD6d+Q+DeS
/26q+kT1DVR/ffkdauf+BkWF1/3Jqn8uMi+gUuDY7anC/IbZkbkBxNELInMZ
Kktex5gN3VfEVTMz2wRyP9gN7Af42A6p5281PWt3Pes+1T0bOae6PeuOrt+X
Gdt8Rdfaps55V5F+WzAF4gHV3QrWxBiTPEXyHryndPZgXiTGY4aWmMy8yDyI
7aTzYOQcaVz2+ROpc1tvRM51t5a8JHK+ug3+VfnN6OfnI/MmGgTGJR4u49AX
IvMmdpT8Wulz/ot/GPqb0+f11H/PFM5tg1fDyQBXIWaflzp3BpbSPTXu93Dk
fLJ+SvBU5Dy2fl7wQOR8L2aosipGq80xuqdCchM99ybi8cz5aXLT2JY7JNeV
fILkp0v8oT44mkpj/LXMXJYW5Rwkp844J2bZJXeebBfmvcpC1T+LnY6d426X
GEfoI7k9sXfs/C/4JbkNfgt5noMKxyas6X9iU/gekX0m/KVAOnuo/KdnHafn
vpu537+MnXsgxvkGPCB2bE7e/IbcPtri0P44MS94PLg/WFP70Ngb79NU7/ZG
7HHSISzxM9ZT1S+OPZY2q/5WlVtUdg+Nt/G72uh9lxXOyVXE5rawnrZV3XuF
c4c7JcZWwFXAZiflxuOuk7xD7rj4JslPSv9J3gMbFhszJwdBPgmsjHi2G/ZC
crfYHARwb/zMVvrGKzgv5xNr8Yuh/S98S3CkO3KvTcRvrGnjsQOxMS9iHzgq
cImIT4m7u2eOi8EG4RsRk9YA94g9boltd8/sb3SOnc//KHAM3j7zeCCWb5fZ
5+kYm+9CDmuv2Dn/j/nusTkvq+j32HyK1Xyb2ByZr+jr2NylLyV3ic0pWBk4
Nn9Qz5sUO281LTeGvGPsvOjT0vkQfCy2bwz/BKy4lXS+wMeL7Z/zPXcL/U3J
LcD5eSUwvrpbYj/zY+mfqvN+gTkqYNp7hMZdGd+MJX4ruDq/dwk+aWpuGP1B
3oE+wVffL3eefT5+XOL5+AgTN9nmkm2z4QtVqoaes12lX0XyrrHHyKvYDen/
orrKoY9TVSqpzFBpGHqdfTwzPsvad3+JdWKf5+KnxNum1jasHfyQfmtefqNF
gfMsKwqPRTB05glzZIvOH0g898mFwnFijd5Nuu8XzpF/pPaG6LhPYEycucQ8
ahA7vw12sUtmPhUy8/qd0lazJi4tbfhytTM4dv/fG9om4fNgl2ppzB8RG9Me
oHZa6to70j8hNn7O/G4X+ru8yNqb2J6DvWOb+NZtM3P88L3fiuwntS+/3T65
OUzgz2/lfvbu5KoK5+anlRgjWCOcrt6s04F9zrGl31kv8Ts2krw9MUFkewue
+lzpM1TNzbfBn+8Qeb2cFpoP90LpJ8BpW1D6D7P0rJMKc3NYQ+4u15GPcvNV
wEaKxH4VPhX+zR2hn4Wf/EXqmHe42mijPqybOuYiRw5uSWw3P3R8R1x2TG6s
5g+1+TdxWOB4/Kjc+A/jZY/MYwZc+P3EsRL8CPhFcRk/PV/GUKzxxDRDAvuk
8CrxORnrt4eeC3syRlRWBOZ5gedgJ/HHsVfYrwNS+/Bx5Ljm3dTj7e/Y45y5
QC6Tcc7cYcyyTjFu18T224nB/ou9ZvF84iRwJ96ZmAO7QtwxqsSsiEfi1HgX
uFOn2Ll5bFpn/Za9VBYHfkf4SLzn79KbEpoTSFx8bG7882ndNy+xrcO3uyf0
t26u7/JtYTyrdmK/mbl8ZW7s/YfQv/GZxGs92Bq+H1gTuOuJude7YwvjVsRr
4CHES8RKh+XmXRAH/ao2NkXO6YMVgBOB24AJgA2BD4C3wDdiTQFvOTg35nCX
6o8rzMt4KTemBn7RPDIHDe7HH7n5QowZxs6VsWViPrhP8Dwn5+ZdgFsR4z+b
G7teoLYPLIy1b8zNfSL+BBN5KjRGNyo3Dwr85/XcGBb4FXhw28iYMPwWeHJw
5BaCGxXmYZ2TGnPnWbeV/i6+7mO5MRfGK7/rH5VOkWNDODHMiy+k+1piv4X3
fiQ05sb7PRa6z4lnD8+9/oLJgBWiw/x8OfRcAz85LndcTA76iNyYAxwA+Cjk
oMF254aOzYnTNpR9u29uLh+2Hqz198j4zCW5uS7MY2L5g3JjaH1L7JFvBI8L
bJEBBK4Lpw4/Cgztp9Q4GDYPDgx2b2LufNw2n03HH1PjXWNyc4SInSdE5ruB
gYOzLUu9Vt6aOF4jRgOLyGNjs+AYWel7EOP/G9nOkE/ZGPmdwQc/Dz3e4NqF
+KCBcyu/Rf4W8IoLlQcC+ztflD4PmNSXofvzfF3/Q+9zYWAMeUtk2wV3cSu5
pcA8yVtTx2511Q8bCq8lxMSsC9ioqfiehf3F2yR/XdhHbF36ePgRPaX3Teg+
JO/zV+RvDc92XeJrzDn4NMy79WU8/m1ofg18Leq7l+t7GHie/i8xZgfXBP4Q
3CHmJ3VgvKtD4ybYqM6R7QT1+JadMvNaF5Y62B8wOLA48OS1pcxzwQp/Dj3W
4Il9o+edERizZvyMDDyGkMEq4RgvT805BJ+Bx9KnbI92sSdwj1dI51jpNI78
WxnDowrjNjtG/+/HYLcn5MafN5RrIWsi8SNr1sASE+tRrpVVA2NLX4eeR60S
+wys3eTn9y+8pp+Ymq8GV61aaj4cXDgwRrB4+gPME0yE3/5Z7LzJxnK+kzPZ
VK7dxObkQ3chtk6de+mj0jtyTHp8ag52lcg6xKvUw90mn0J+BX43sQ5xzgAc
sTLGgWdKbgVMHV4OPiG4BxxtfHz8e3DmlalzGd31+75Tn4zQs+7hexWOtbqw
jjD3I3O6ye2A2+1ZxmXgc3A8iZuIlW5OjJ+AmdB394f2meFl4lfhU5H7O6nE
rKomxjrARhqWmAn+SC09d21hfGq7xNhVLdXXxLYUxoDq6LiuMObSpMRGGpRj
c3U5PplfyzL7cdWl+2NhnIjf+GlmPjlcc7AbcJu6iXEx/MMPdH1zUfp8if18
/G1i29cix7MtE8cFxALwV/D/GCfM8fczx4Fwvl8s/cY9EueP8PnBng8o7Je+
lBjzBK+D13pP7viVeAsOMDEX3xzsgu9+mK79Kd19JS9K/Y04n5iakzAjcnz4
V2jOBr4MHHXmxeTUuev7IstwBmZG5pBsTdzm5DLOHRC4zetT8x6Iu+EP8duv
S80BgDsBX3AZmGxgDlzN1LhlpN/Xr8KcjD65962AP8I/qxM5H8Teiiw19wDM
86HcXJ7xqfP+cL2IL6hD56rU+fo7Sx24QPDgDkrNm4ALBPfj39zvekBk/+lr
3VtL1zfqeXUjy7wn7wEf/p/EsT97H/5NnLsclvrdwP6G6pik5lCwRiXlOgXG
+0/kfG6v1P0Al+rj0DE/8X5t1Y+KjSnvH7l+ufQfzc3rAMO/LzdvCp+EPEtH
+k33fJ87xzpS960M/VvwA2tFzovj076v9rsV/nbYzI2lHSafsil03gTfe6/U
54N1rAGGU9oxuCZwa1fn3nN0uuS+ufcWEXeQe+dZ+IdFat4d4xPM8GTyrZFx
IjhL10XGbMGO4C5hQ3pUmDc2CH8kNZ+Md8bmbC/5yNT8Sp5LfgxeN7gNOBtt
kHPBjmP3sfnwJ+GjXqzzrok5i2B6cN3g3cHBJM9Fn9KfcK4AQq+IzF2E734y
vkpqPinxFxw1cg/kHc5PzfWCb8J8wwYzHi5OzSGaGHmM0G/Ut4ycLycvhr9O
PDG+tKs9K8yhZO2AL3murq2NPB6IXzpGjvcGB847n5T6226zNZHtM2sasTrr
OPH494XHcY/ce1KwjVzke5JD51vVKr8X62OfCnMHyfXDKSTnCM46PXUsTy6T
9ZOYjnEOb3dMZN+uZhmvsa7wG/8q5wWcVPZ6MD57VZgzempqbjBcR8YYHEX4
ieAkcF35PeS9aBObxr6kvfV+5+n8Z8n7FPZJfk889okBLkvMc4Lj1EdtrIps
14hlyGGTKwTHI+c7gD6KfCRHTM4PP+aPsk3yFuQs8B2al2OJ3DG5UTh95BPJ
l8FFIs/JXhW+6dmSl0jeN3JOo2PqvAbP2a98Fnxh9kTAU3pHx2W5OW74LuSy
8ZHg/7KvAU4deOma3Pwx+pUxdHhpM7ARYIWsUdPLdaqDnrm5HGNw6NgLw/q7
KvOeFHwA+nVg+b1Y96aUax+8Kn4T73y22mmU2gcD6yLHBG4DZ/yC2OMQvLN9
5Biwceo9FfhucDrh6ncqx2zH0ldZmJsLAg8E3sIFqe+HV8Dek82BOWvkquCt
4XOBU+B3XSjdFqnnKf5m6/J7kWvbkDpm4fhIbplxe2/q/YNwSdmPQN6Z+5qV
95J7ApNoovPRuXkX8HLhTvCd8TkPyM27IFcIrw4Of9PIeXPsMjaZfXzfJ465
4FGSF8A/Z22/vVzfGZO9U6/JY8t+wXd9l5hP86Knro3LzYcAzwGDp444qKn6
pHOFefydynG1b9mnvct2LkvNTT+hHCfMQ8bAUdgt1R8Y2S69y+8qx97Iwmvx
nbk5fnCFiG0/ZL5JPjb1Ws8aD58iLMcw+2rg4R+n84sy72ViXbs5N3eXMTM8
cx6CHAS+L0e+L/nQraXdQ4d70Oe94HPyboty5157l/Lnqe1tax1bpc79Y+uI
W6aW4wr+cM9yDe8WeR3Ht1+XeqwyL8D2mWPsu6VP8Hl+L9d+cBM4sW/n7qt1
pd9fp5xrXSOvxfTN4rJ/eA/WTtZNfHPmBf55I/VBuwpjEOS/e5XrBXEMsfHI
0g+H08leM7j4X5d2tXE57xijLcsxD1+D9ZhnYcfAveiHcaXNYX8L32Vk7tzT
jaExmdfICUr308QcIeYrnHJ4CbOk30a6w1UmhN6re1dqrmbzxLnzvZk7un6a
ykWhuZJwa+HuNiu8TxYuWl3mXG6uGH74E5HzRHAx4GfSP2APYIlXB96DfE/q
fOKrhfMy/XXfneQbC+/Fgd8Ev513fgT/sPBeTPLaFZn345Dv3o45FpgTD3eN
eGGXwjx5eJvsL747dV6Mfc2PSG4beA/ynNS5NvZp3im5XuA9yHNT591StflY
tI3+vo2bA68Dfs7Dhf0Z9vbBT2QfKDgQ/Vm1wnxBeJJ/6Z4z8dkkn1h4LyNY
Lzx24p7+ufextgi9Nwbcv1/gvU1wjuDe4KOzPpCnA8+jHWIWYh98ZfxkMGn2
tYFLw01nrzi5APDUEwpjHez/+iZxXgB+PLkKYi64cP/irwTm7bJ3A+7uu3yT
whg8+fpXIuep4emAJ8DVeYUYq/CewrmF12X2TLNHdVrqHCU5KPYKEWfALX9d
9fsH3kcEdg+OypxbWs47OOeLU+8lfKkwD5b4eKfC+zThtbIfnH3gvA9cW7jl
7HdmjwYcTMY/OV54Jn1Lv3pR4n3M7OH9MrLfyP5I+BfskcTnhW/DPJtYOJZn
/z22lz10cDXh3kSZ94qy1/J7bGBg7iF8ImwkPCP2N+GzTSpsY9m7zF5zsEhw
SPa3wR0DS4TbC6cLfi/znX1icAPZL7lEcg+10z41dwKbQw73Ocm7qf6awnvq
ibHYIwu/CyzqiMR8LfBL9rmvj4wTXl147zzx9MDEXBvWtQmF96SDTzMP4Z6A
2cI9gasG/+S7xJgSeT/2zsLRAgNjzzXcTfLs+OfPRLYh5COejjyn2HcI1wm+
1AOM28L7XOEsw72Ctwzm9FuJO7H3DrvF/jv4znDxwBjZAwO3GH+Dvbdw58D7
HyrsH7Jflv12cPnA8+Bsst8K/Hxm4bnA3l/2d8GvwsecXXhPLjg9+ybhU7F3
ckvi9ZpxO1XXjyi8N5Fx+G9hzi77leFusWeZtencxBwu4lm40zdF5obFeodr
sat6n0oV5oSx1xDeHP4GXGv6hL0Pt+t4VOE9jncU3ofCtyKX8H7ofB/7nuAd
818BYK68Gxgm+zqbZc7Z1Wc9rzCXl/2bzVmPA3O+2Bt4aWm34wrzsycm5mHD
58Gmw7UkbsX2NyztP/lw9p6sCZw7IJ9ELgluBxxi+MPE1zvF3gNL3vmU3Hwh
1ouownzWlxPzIVkb2YP8se45IDDn5DHJjQNzWh5N/V8W/A/AM6n3/MKTbBub
b0+OrFXmZ92YmKtNfg1cGbsELso+XDh5xIbwZgfnXvvAlcHnwZbJoe+aec8v
+6ngrPPO5BlbZt7bCw91SejfCN8NngOcN/bMkmsktwjvAU42fGz2fMM/By9k
XXwrtA6xZJvY+93gTdXP/H8O8MThosAVX5mYhw8nn32+XybmILFnAF46HPXG
ifPjfAv2nbA+zgzsTxJTHBp5/ydcJXhKYG1vhn431vy25bq/V4X3fZDjYnzC
v2L/L3uc66jMC8wJYn8TuBnjCt7OhZL/y72ni30/qxLvEWDNhVe2pTD3Dn4P
3P3p5bocVpjHD2eKfTS8F/ua4TKS24XTVU/1s0vfI6/w3gC4V+xVAduHGwQ3
Gl403LC6mf/fg32L7Plk3yZ73OEVki+AO9GCMRSYlwMXH77BTMnfJuY5zC+M
s7E3nW+wPLQO/29CfhB8BmyQPSo1Sn8QvxD8Bj4QHH14zmCl5JKIx7uV/ih4
DPsA2XfAXgNyNfg55A7IzZHXA6uZUXhvNfab/6x4Vm11DzxX3wvNfwDP7Kf7
dwydOyA3Q14GDhO8THT4b42fIufRpkvn+MJ7kRmvy0K/53OFsSD234OXsreT
fZ3gmfgl+CT8pwT/JQHHhjVgVej58lni/R3s9eha4T224G3sPVgRmtexW2re
FD45+VvegTwIvjF8cmJuOF/wCcmFsWcCf4Nxzu/jfzD4jeQAsYfkZdjb3iw2
X4L8FTlBci74nvVK/5N9huxr4F3o649C80lmJebE0pf/B+hxzvI=
         "]], Polygon3DBox[CompressedData["
1:eJw1nAf8V9P/x+88935kpalCaaoolU0qSSEUGamkEIkI2UkoMyWE7DKzQ8ZP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         "]], Polygon3DBox[CompressedData["
1:eJwt13nYzlUex/H7ee77WRASDcqTaPJIWpDKrkX2NbtKZUtMIiW5milaZwqp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         "]], 
        Polygon3DBox[{{1819, 1818, 1161, 781, 782, 1162}, {1521, 1646, 894, 
         1094, 2126, 1520}, {1804, 2084, 913, 782, 781, 1149}, {2128, 1521, 
         1520, 2127, 1097, 1098}, {1758, 1757, 1080, 724, 725, 
         1081}}]}]}, {}, {}, {}}, {
     Line3DBox[{572, 1, 537, 269, 1425, 16, 1439, 31, 1454, 46, 1464, 61, 
      1479, 76, 1494, 91, 1510, 1511, 106, 1529, 121, 1534, 136, 1539, 151, 
      1546, 166, 1561, 181, 1576, 196, 1848, 403, 587, 211, 570, 470, 822, 
      212, 823, 213, 824, 214, 825, 215, 826, 216, 827, 217, 828, 829, 218, 
      830, 219, 831, 220, 832, 221, 833, 222, 834, 223, 835, 224, 1204, 405, 
      588, 225, 571, 471, 1603, 210, 1589, 195, 1574, 180, 1559, 165, 1544, 
      150, 1537, 135, 1532, 120, 1527, 1526, 105, 1507, 90, 1492, 75, 1477, 
      60, 1462, 45, 1452, 30, 1726, 279, 573, 15, 562, 411, 700, 14, 698, 13, 
      696, 12, 694, 11, 692, 10, 690, 9, 688, 8, 686, 685, 7, 684, 6, 683, 5, 
      681, 4, 679, 3, 677, 2, 1205, 406, 572}], {
      Line3DBox[{1425, 1720, 836, 1424, 2170, 1604, 1426, 2171, 1605, 1427, 
       2172, 1606, 1428, 2119, 2173, 1850, 1607, 1429, 2121, 2174, 1851, 1608,
        1430, 1030, 1852, 2065, 2280, 1431, 1723, 1853, 2323, 1609, 1432, 
       2175, 1610, 1433, 2176, 1611, 1434, 2177, 1612, 1435, 2178, 1613, 1436,
        2179, 1614, 1437, 2284, 1725, 1615, 1726}], 
      Line3DBox[{1439, 2066, 2226, 1438, 848, 1440, 2180, 1616, 1441, 2122, 
       2181, 1854, 1617, 1442, 2120, 2182, 1727, 1618, 1443, 2279, 1721, 1855,
        1619, 1444, 2282, 1722, 1856, 2067, 2281, 1445, 1724, 1857, 2068, 
       2283, 1446, 1731, 1858, 2324, 1620, 1447, 2015, 2016, 2364, 1621, 1448,
        2169, 2183, 2060, 1622, 1449, 2184, 1623, 1450, 2185, 1624, 1451, 
       2186, 1625, 1452}], 
      Line3DBox[{1454, 2069, 2227, 1453, 2070, 2228, 1455, 1733, 1859, 859, 
       1734, 2123, 2187, 1738, 1626, 1737, 2289, 1681, 1741, 1627, 1740, 2290,
        1728, 1743, 1628, 1456, 2286, 1729, 1861, 2071, 2285, 1457, 1730, 
       1863, 2072, 2287, 1458, 1732, 1994, 2167, 2288, 2046, 1930, 1682, 1931,
        2357, 1997, 1998, 1996, 2160, 2188, 2018, 1629, 1459, 2374, 2061, 
       2062, 1630, 1460, 2189, 1631, 1461, 2190, 1632, 1462}], 
      Line3DBox[{1464, 2073, 2229, 1463, 1749, 1750, 2294, 1465, 1735, 1860, 
       1736, 2295, 1466, 962, 1739, 1683, 1467, 2273, 1684, 1742, 1685, 1468, 
       2274, 1686, 1744, 1687, 1469, 2292, 1745, 1862, 1746, 2291, 1470, 1747,
        1864, 1748, 2293, 1471, 1992, 1995, 1993, 2372, 2047, 1472, 2017, 
       1688, 1932, 1689, 2342, 1473, 2020, 2105, 2365, 2019, 1690, 2048, 1474,
        2064, 2358, 1999, 2063, 2000, 1475, 2191, 1633, 1476, 2192, 1634, 
       1477}], Line3DBox[{1479, 2074, 2230, 1478, 1755, 1756, 2297, 1480, 
       1751, 1865, 2231, 2124, 1481, 2106, 2296, 1752, 1691, 1482, 973, 1753, 
       1692, 1483, 2275, 1693, 1754, 1694, 1484, 2298, 1757, 1758, 2325, 1485,
        1759, 1760, 2326, 1486, 1761, 1762, 2299, 1487, 1695, 1933, 2232, 
       2107, 1488, 2021, 2108, 2366, 1934, 1696, 2049, 1489, 2055, 1349, 2054,
        2001, 1490, 2193, 1635, 1491, 2194, 1636, 1492}], 
      Line3DBox[{1494, 2075, 2233, 1493, 1764, 2234, 2125, 1495, 1765, 1961, 
       2235, 2032, 2031, 1496, 2109, 2346, 1949, 1951, 1950, 1497, 2110, 2236,
        1697, 1498, 984, 1698, 1499, 2367, 2022, 2023, 1952, 1983, 1982, 2354,
        1500, 1985, 1986, 1984, 1766, 2327, 1501, 1767, 1962, 2165, 2369, 
       2033, 1502, 1699, 1763, 2237, 2111, 1503, 2112, 2343, 1935, 1700, 1504,
        2035, 2036, 2370, 2034, 1771, 1505, 1099, 1773, 1506, 2195, 1637, 
       1507}], Line3DBox[{1511, 2196, 1638, 1509, 1775, 2197, 1639, 1869, 
       1777, 1911, 2339, 1640, 1870, 2132, 2198, 1912, 1641, 1871, 2134, 2199,
        1872, 1642, 1954, 2158, 2353, 2045, 1981, 1873, 1938, 1987, 1643, 
       1937, 2157, 2350, 2037, 1967, 1780, 1918, 1928, 892, 1924, 1920, 1925, 
       1921, 1782, 1929, 1990, 2356, 1644, 1781, 1968, 1972, 1969, 1783, 2159,
        2300, 1991, 1645, 1963, 1770, 1874, 2329, 1646, 1521, 2128, 2200, 
       1913, 1647, 1875, 2137, 2201, 1914, 1648, 1876, 2139, 2202, 1649, 1525,
        2204, 1651, 1527}], 
      Line3DBox[{1526, 1650, 2203, 1524, 1786, 2243, 2138, 1523, 1785, 1910, 
       2338, 2136, 1522, 1772, 1868, 2328, 2127, 1520, 2126, 2242, 1867, 1769,
        1519, 1964, 2348, 2155, 1866, 1971, 1970, 1518, 2154, 2341, 1919, 
       1768, 1927, 1926, 1517, 2355, 1988, 2002, 1989, 1936, 1955, 1295, 1516,
        1701, 1953, 2024, 2347, 2164, 1515, 1779, 2241, 2133, 1514, 1778, 
       1909, 2337, 2131, 1513, 2130, 2240, 1908, 1776, 1512, 2129, 2239, 1774,
        1508, 2238, 2076, 1510}], 
      Line3DBox[{1529, 2077, 2244, 1528, 1787, 2205, 1652, 1877, 1788, 1915, 
       2340, 1653, 1878, 2140, 2206, 1789, 1654, 1530, 2135, 2207, 1790, 1655,
        1965, 2156, 2349, 1966, 1879, 1973, 1656, 1791, 2301, 1922, 1923, 
       1880, 1976, 2078, 2352, 2039, 1977, 1978, 1940, 2003, 900, 1939, 1702, 
       1942, 2161, 2344, 1657, 1941, 1784, 2208, 1658, 1881, 2141, 2209, 1916,
        1659, 1882, 2142, 2210, 1917, 1660, 1883, 2143, 2211, 1661, 1531, 
       2212, 1662, 1532}], 
      Line3DBox[{1534, 2079, 2245, 1533, 1794, 2080, 2302, 1884, 1795, 2005, 
       2373, 2050, 2051, 1796, 2113, 2213, 1957, 1663, 1535, 2114, 2214, 1797,
        1664, 1974, 2351, 2038, 1792, 1975, 1665, 1798, 2303, 1793, 2040, 
       2041, 2042, 2371, 1799, 1979, 1703, 1944, 2006, 2007, 2360, 1943, 1704,
        907, 1800, 1705, 2215, 1666, 1801, 2025, 2115, 2216, 1956, 1667, 1885,
        2043, 2144, 2217, 1980, 1668, 1886, 2330, 1802, 1669, 1536, 2218, 
       1670, 1537}], 
      Line3DBox[{1539, 2081, 2246, 1538, 2082, 2247, 1540, 2004, 2083, 2359, 
       2026, 2116, 2219, 1946, 2008, 2009, 1945, 2345, 1706, 1958, 1671, 1541,
        2304, 1803, 2056, 1672, 1887, 2331, 1804, 2084, 2305, 1888, 1805, 
       2085, 2306, 1542, 1707, 1807, 2086, 2276, 1806, 1708, 1810, 916, 1809, 
       2117, 2220, 1813, 1673, 1889, 2332, 1812, 1891, 1674, 1890, 2333, 1815,
        1675, 1543, 2221, 1676, 1544}], 
      Line3DBox[{1546, 2087, 2248, 1545, 2088, 2249, 1547, 2027, 2028, 2368, 
       1548, 2029, 2277, 1709, 1947, 1710, 1549, 1960, 2278, 1711, 1959, 1712,
        2053, 1550, 2168, 2362, 2012, 2057, 2013, 1551, 2309, 1818, 1819, 
       2308, 1552, 1822, 1823, 2312, 1553, 1713, 1808, 1714, 2314, 1554, 1715,
        1811, 1716, 2315, 1555, 1014, 1814, 1717, 1556, 2307, 1816, 1892, 
       1817, 1557, 2316, 1830, 1831, 1558, 2222, 1677, 1559}], 
      Line3DBox[{1561, 2089, 2250, 1560, 2090, 2251, 1562, 2091, 2252, 1563, 
       2162, 2361, 2011, 2010, 2052, 1564, 2030, 1016, 1948, 1718, 1565, 2166,
        2317, 1833, 2044, 1834, 1566, 2311, 1820, 1893, 1821, 2310, 1567, 
       1824, 1894, 1825, 2313, 1568, 1826, 1895, 1827, 2321, 1569, 1719, 1828,
        2253, 2118, 1570, 2145, 2334, 1896, 1829, 1571, 1178, 1897, 1832, 
       1572, 2223, 1678, 1573, 2224, 1679, 1574}], 
      Line3DBox[{1576, 2092, 2254, 1575, 2093, 2255, 1577, 2094, 2256, 1578, 
       2095, 2257, 1579, 2163, 2363, 2014, 2059, 2058, 1580, 1181, 1898, 1835,
        1581, 2319, 1836, 1899, 1837, 2318, 1582, 1838, 1900, 1839, 2320, 
       1583, 1840, 1901, 2258, 2146, 1584, 1841, 1902, 2259, 2147, 1585, 2148,
        2335, 1903, 1842, 1586, 2096, 2260, 1587, 944, 1588, 2225, 1680, 
       1589}], Line3DBox[{1603, 1849, 1202, 1602, 2272, 2104, 1601, 2271, 
       2103, 1600, 2270, 2102, 1599, 2152, 2269, 1907, 1846, 1598, 2151, 2268,
        1906, 1845, 1597, 2150, 2267, 1905, 1844, 1596, 2322, 1843, 1904, 
       2336, 2149, 1595, 2266, 2101, 1594, 2265, 2100, 1593, 2264, 2099, 1592,
        2263, 2098, 1591, 2262, 2097, 1590, 2153, 2261, 1847, 1848}]}, {
      Line3DBox[{677, 837, 2170, 678, 848, 703, 2228, 858, 713, 1064, 2294, 
       1065, 865, 722, 1074, 2297, 1075, 873, 732, 2234, 1085, 1215, 882, 743,
        2239, 1101, 1221, 890, 2197, 753, 1116, 1228, 897, 2205, 761, 1132, 
       1237, 2302, 904, 770, 2247, 911, 779, 2249, 919, 789, 2251, 927, 798, 
       2255, 936, 809, 2262, 947, 823}], 
      Line3DBox[{679, 838, 2171, 680, 849, 2180, 704, 1051, 1052, 859, 714, 
       1054, 2295, 1066, 866, 723, 2231, 1068, 1076, 874, 733, 1385, 2235, 
       1086, 1087, 883, 744, 2240, 1102, 1222, 891, 2339, 754, 1117, 1229, 
       898, 2340, 762, 1133, 1134, 1405, 2373, 1406, 771, 1407, 1355, 1376, 
       2359, 912, 780, 1379, 2368, 1380, 920, 790, 2252, 928, 799, 2256, 937, 
       810, 2263, 948, 824}], 
      Line3DBox[{681, 839, 2172, 682, 1038, 1039, 2181, 1209, 1040, 1053, 
       1041, 2187, 1056, 962, 1067, 963, 1070, 2296, 971, 1077, 972, 1369, 
       1288, 2346, 980, 1088, 981, 1261, 1253, 2337, 1103, 1223, 1104, 2198, 
       1255, 1118, 1230, 1119, 2206, 1120, 991, 1135, 992, 2213, 1298, 1378, 
       1000, 1377, 1001, 2219, 1284, 1382, 1008, 2277, 1381, 1009, 1359, 2361,
        1357, 1358, 800, 2257, 938, 811, 2264, 949, 825}], 
      Line3DBox[{683, 1020, 1021, 2173, 1206, 1022, 1023, 2182, 1042, 959, 
       1055, 2289, 960, 1058, 964, 2273, 1069, 965, 1072, 973, 1078, 974, 734,
        2236, 982, 1089, 983, 745, 2241, 1105, 1224, 1106, 2199, 1225, 1107, 
       1108, 2207, 1121, 993, 994, 2214, 1136, 1002, 1283, 2345, 1003, 1299, 
       1300, 1010, 2278, 1285, 1011, 1286, 1384, 1016, 1383, 1017, 1364, 2363,
        1362, 1363, 812, 2265, 950, 826}], 
      Line3DBox[{684, 1024, 1025, 2174, 1207, 1026, 2279, 1027, 1210, 1043, 
       1057, 2290, 1044, 1059, 966, 2274, 1071, 967, 1073, 975, 2275, 1079, 
       976, 735, 984, 1090, 985, 1293, 2347, 1373, 1374, 1294, 1319, 1318, 
       2353, 1400, 1320, 1321, 1305, 1307, 1306, 2349, 1231, 1123, 1312, 1391,
        2351, 1390, 1313, 1146, 2304, 1147, 1410, 1411, 1412, 2362, 1361, 
       1360, 1397, 1398, 1399, 2317, 1287, 1180, 1249, 1181, 1413, 1182, 813, 
       2266, 951, 827}], 
      Line3DBox[{685, 1028, 1030, 1208, 1031, 2282, 1033, 1211, 1045, 2286, 
       1047, 1212, 1060, 2292, 1062, 724, 1080, 2298, 1082, 1291, 1371, 2367, 
       1372, 1292, 986, 1278, 1295, 1296, 1279, 1309, 1308, 2350, 1389, 1310, 
       1311, 1122, 1267, 2301, 1266, 1232, 1322, 1323, 1137, 2303, 1125, 1393,
        1148, 1240, 2331, 1149, 781, 1161, 2309, 1163, 1245, 1164, 2311, 1166,
        1250, 1183, 2319, 1185, 1252, 2336, 1195, 1197, 828}], 
      Line3DBox[{688, 1034, 841, 2323, 689, 1035, 2283, 851, 706, 1048, 2287, 
       861, 716, 1063, 2293, 868, 726, 1083, 2326, 1214, 876, 737, 1091, 2327,
        1217, 1302, 885, 747, 2341, 1262, 1263, 1110, 1269, 893, 2356, 756, 
       1330, 1331, 1280, 1352, 900, 764, 995, 1282, 1356, 2360, 906, 773, 
       1150, 2306, 914, 783, 1167, 2312, 922, 792, 1168, 2313, 930, 802, 1186,
        2320, 940, 815, 2267, 1198, 953, 830}], 
      Line3DBox[{690, 842, 2175, 691, 1049, 852, 2324, 707, 1050, 1273, 2288, 
       1401, 1402, 717, 1403, 1337, 2372, 1366, 869, 727, 1084, 2299, 877, 
       738, 2369, 1386, 1092, 1301, 886, 748, 2348, 1304, 1093, 1303, 1332, 
       1333, 2300, 1335, 1334, 990, 1281, 1353, 1354, 2344, 765, 996, 1139, 
       907, 774, 1004, 1151, 2276, 915, 784, 1012, 2314, 1169, 923, 793, 1170,
        2321, 1187, 931, 803, 2258, 1188, 941, 816, 2268, 1199, 954, 831}], 
      Line3DBox[{692, 843, 2176, 693, 1365, 853, 2364, 708, 1404, 961, 1340, 
       1342, 2357, 1343, 718, 968, 2342, 1274, 1344, 1345, 728, 2232, 977, 
       1289, 878, 739, 2237, 987, 887, 749, 2242, 1094, 894, 2329, 757, 1111, 
       1233, 901, 2208, 766, 997, 1140, 908, 2215, 775, 1005, 1152, 916, 785, 
       1013, 2315, 1171, 924, 794, 2253, 1018, 1189, 932, 804, 2259, 1191, 
       942, 817, 2269, 1200, 955, 832}], 
      Line3DBox[{694, 844, 2177, 695, 1416, 1417, 2183, 1418, 1419, 1338, 
       1341, 1339, 2188, 1367, 1368, 2365, 969, 1275, 970, 1276, 1370, 2366, 
       978, 1290, 979, 1277, 2343, 988, 989, 1219, 2328, 1097, 1098, 2200, 
       1256, 1126, 1234, 1127, 2209, 1258, 998, 1141, 999, 2216, 1375, 1297, 
       1006, 1153, 1007, 2220, 1156, 1014, 1172, 1015, 1246, 2334, 1174, 1190,
        1175, 1251, 2335, 1193, 1194, 818, 2270, 956, 833}], 
      Line3DBox[{696, 845, 2178, 697, 854, 2184, 709, 1420, 2374, 1421, 1422, 
       1423, 1346, 2358, 1348, 1347, 1408, 1409, 1349, 1351, 1350, 1387, 1388,
        2370, 1095, 1218, 1096, 1254, 2338, 1112, 1226, 1113, 2201, 1257, 
       1128, 1235, 1129, 2210, 1259, 1142, 1238, 1143, 2217, 1396, 1315, 1154,
        1242, 2332, 1155, 1244, 1159, 2307, 1173, 1160, 1248, 1178, 1192, 
       1179, 805, 2260, 943, 819, 2271, 957, 834}], 
      Line3DBox[{698, 846, 2179, 699, 855, 2185, 710, 862, 2189, 719, 870, 
       2191, 729, 879, 2193, 740, 1099, 1220, 1100, 750, 2243, 1114, 1227, 
       1115, 2202, 758, 1130, 1236, 1131, 2211, 767, 1144, 1239, 2330, 1145, 
       776, 1157, 1243, 2333, 1158, 786, 1176, 2316, 1247, 1177, 795, 933, 
       2223, 806, 944, 820, 2272, 958, 835}], 
      Line3DBox[{700, 1036, 2284, 1037, 701, 856, 2186, 711, 863, 2190, 720, 
       871, 2192, 730, 880, 2194, 741, 888, 2195, 751, 895, 2203, 2204, 759, 
       902, 2212, 768, 909, 2218, 777, 917, 2221, 787, 925, 2222, 796, 934, 
       2224, 807, 945, 2225, 821, 1202, 1203, 1204}], 
      Line3DBox[{822, 946, 1201, 2261, 808, 935, 2254, 797, 926, 2250, 788, 
       918, 2248, 778, 910, 2246, 769, 903, 2245, 760, 896, 2244, 752, 2196, 
       889, 2238, 742, 881, 2233, 731, 872, 2230, 721, 864, 2229, 712, 857, 
       2227, 702, 847, 2226, 676, 836, 1019, 1205}], 
      Line3DBox[{829, 952, 2322, 1196, 814, 939, 2318, 1184, 801, 929, 2310, 
       1165, 791, 921, 2308, 1162, 782, 913, 2305, 1241, 1415, 1414, 772, 905,
        1395, 2371, 1394, 1138, 1272, 1336, 1271, 763, 899, 2352, 1392, 1314, 
       1124, 1265, 1270, 1264, 755, 892, 1268, 1260, 1109, 1328, 1329, 2355, 
       1327, 746, 884, 1317, 1316, 1216, 1325, 1326, 2354, 1324, 736, 875, 
       1213, 2325, 1081, 725, 867, 2291, 1061, 715, 860, 2285, 1046, 705, 850,
        2281, 1032, 687, 840, 2280, 1029, 686}]}, {}, {}}},
   VertexColors->{
     Hue[0.049851664203510566`, 1, 0.4748167278467001], 
     Hue[0.0020429359596534627`, 1, 0.5833256762784825], 
     Hue[0.9557590434417086, 1, 0.6827560197830148], 
     Hue[0.9112448751244477, 1, 0.7661420830928767], 
     Hue[0.868627066054125, 1, 0.8300563143079926], 
     Hue[0.827829836432056, 1, 0.8740878627707702], 
     Hue[0.7885007016179526, 1, 0.8994926204887321], 
     Hue[0.75, 1, 0.9077515093917338], 
     Hue[0.7114992983820474, 1, 0.8994926204887321], 
     Hue[0.672170163567944, 1, 0.8740878627707702], 
     Hue[0.631372933945875, 1, 0.8300563143079926], 
     Hue[0.5887551248755523, 1, 0.7661420830928767], 
     Hue[0.5442409565582913, 1, 0.6827560197830148], 
     Hue[0.49795706404034656`, 1, 0.5833256762784825], 
     Hue[0.4501483357964895, 1, 0.4748167278467001], 
     Hue[0.044249103493376164`, 1, 0.5406360906940619], 
     Hue[0.9954546104532264, 1, 0.6542569575883936], 
     Hue[0.9485661783764566, 1, 0.7535602952163314], 
     Hue[0.9039962239417161, 1, 0.8324245356392065], 
     Hue[0.8620467837415702, 1, 0.8892246375153777], 
     Hue[0.8227561484216065, 1, 0.9257473453898749], 
     Hue[0.7857192727285309, 1, 0.945458487894771], 
     Hue[0.75, 1, 0.9515907195008939], 
     Hue[0.7142807272714691, 1, 0.945458487894771], 
     Hue[0.6772438515783934, 1, 0.9257473453898749], 
     Hue[0.6379532162584298, 1, 0.8892246375153777], 
     Hue[0.5960037760582839, 1, 0.8324245356392065], 
     Hue[0.5514338216235433, 1, 0.7535602952163314], 
     Hue[0.5045453895467736, 1, 0.6542569575883936], 
     Hue[0.45575089650662387`, 1, 0.5406360906940619], 
     Hue[0.0371762054275333, 1, 0.5962373798588465], 
     Hue[0.986958513186546, 1, 0.7104954794546855], 
     Hue[0.9390383718722398, 1, 0.8048829716196901], 
     Hue[0.8940843206728859, 1, 0.8743158552884129], 
     Hue[0.8527315835385206, 1, 0.918947048434566], 
     Hue[0.8153327631469862, 1, 0.9429952454381094], 
     Hue[0.7815486582674053, 1, 0.9530753812988779], 
     Hue[0.75, 1, 0.9555388996063378], 
     Hue[0.7184513417325946, 1, 0.9530753812988779], 
     Hue[0.6846672368530137, 1, 0.9429952454381094], 
     Hue[0.6472684164614794, 1, 0.918947048434566], 
     Hue[0.6059156793271141, 1, 0.8743158552884129], 
     Hue[0.5609616281277601, 1, 0.8048829716196901], 
     Hue[0.513041486813454, 1, 0.7104954794546855], 
     Hue[0.46282379457246675`, 1, 0.5962373798588465], 
     Hue[0.028421904341804635`, 1, 0.639750902577176], 
     Hue[0.9761782710827094, 1, 0.7509416983749817], 
     Hue[0.9265431657066158, 1, 0.8365032797428479], 
     Hue[0.8805296200781326, 1, 0.8919209520816146], 
     Hue[0.8393475244627816, 1, 0.9183957476702276], 
     Hue[0.8041052125719124, 1, 0.9225202396731065], 
     Hue[0.7749750463419975, 1, 0.9159279314480515], 
     Hue[0.75, 1, 0.9116938945499807], 
     Hue[0.7250249536580025, 1, 0.9159279314480515], 
     Hue[0.6958947874280876, 1, 0.9225202396731065], 
     Hue[0.6606524755372183, 1, 0.9183957476702276], 
     Hue[0.6194703799218673, 1, 0.8919209520816146], 
     Hue[0.5734568342933842, 1, 0.8365032797428479], 
     Hue[0.5238217289172906, 1, 0.7509416983749817], 
     Hue[0.4715780956581954, 1, 0.639750902577176], 
     Hue[0.0178721854961056, 1, 0.6710384335389601], 
     Hue[0.9628296017406872, 1, 0.7767768752080195], 
     Hue[0.9104657009100569, 1, 0.8509645149683419], 
     Hue[0.8621425859520321, 1, 0.8884757439778326], 
     Hue[0.8198863579533515, 1, 0.8896732667122081], 
     Hue[0.7863834296787326, 1, 0.8621052725076919], 
     Hue[0.7637879115832324, 1, 0.8250068158231821], 
     Hue[0.75, 1, 0.8073159282012654], 
     Hue[0.7362120884167676, 1, 0.8250068158231821], 
     Hue[0.7136165703212674, 1, 0.8621052725076919], 
     Hue[0.6801136420466485, 1, 0.8896732667122081], 
     Hue[0.6378574140479679, 1, 0.8884757439778326], 
     Hue[0.5895342990899431, 1, 0.8509645149683419], 
     Hue[0.5371703982593128, 1, 0.7767768752080195], 
     Hue[0.48212781450389447`, 1, 0.6710384335389601], 
     Hue[0.0055964763334507995`, 1, 0.6912968614695746], 
     Hue[0.9468762415502796, 1, 0.7909434567336927], 
     Hue[0.8904606835531355, 1, 0.8533487547682884], 
     Hue[0.8378246350899932, 1, 0.871274144438458], 
     Hue[0.7916713822392152, 1, 0.8410460161556518], 
     Hue[0.7570880019229662, 1, 0.7659848503635313], 
     Hue[0.7422608870151937, 1, 0.6718840807468749], 
     Hue[0.75, 1, 0.624324159180489], 
     Hue[0.7577391129848063, 1, 0.6718840807468749], 
     Hue[0.7429119980770338, 1, 0.7659848503635313], 
     Hue[0.7083286177607848, 1, 0.8410460161556518], 
     Hue[0.6621753649100068, 1, 0.871274144438458], 
     Hue[0.6095393164468645, 1, 0.8533487547682884], 
     Hue[0.5531237584497204, 1, 0.7909434567336927], 
     Hue[0.49440352366654927`, 1, 0.6912968614695746], 
     Hue[0.9919252203437976, 1, 0.7023583080912016], 
     Hue[0.9287126469878332, 1, 0.7972278332291172], 
     Hue[0.8668644242398742, 1, 0.8504640474517605], 
     Hue[0.8074050534834796, 1, 0.8520689595123513], 
     Hue[0.752552083215423, 1, 0.7919228327986516], 
     Hue[0.7080360802301474, 1, 0.6606372497277214], 
     Hue[0.6921265690199251, 1, 0.47114417710582457`], 
     Hue[0.75, 1, 0.3486626392796044], 
     Hue[0.8078734309800749, 1, 0.47114417710582457`], 
     Hue[0.7919639197698526, 1, 0.6606372497277214], 
     Hue[0.747447916784577, 1, 0.7919228327986516], 
     Hue[0.6925949465165204, 1, 0.8520689595123513], 
     Hue[0.6331355757601258, 1, 0.8504640474517605], 
     Hue[0.5712873530121668, 1, 0.7972278332291172], 
     Hue[0.5080747796562024, 1, 0.7023583080912016], 
     Hue[0.9774647610664247, 1, 0.7058327295000129], 
     Hue[0.9092555094855068, 1, 0.798889401126926], 
     Hue[0.8410462579045891, 1, 0.8486213691500648], 
     Hue[0.7728370063236711, 1, 0.8436962114995711], 
     Hue[0.7046277547427534, 1, 0.7704664138676485], 
     Hue[0.6364185031618356, 1, 0.6100402750793713], 
     Hue[0.5682092515809177, 1, 0.3464141313990786], 
     Hue[0., 1, 0.], 
     Hue[0.9317907484190822, 1, 0.3464141313990786], 
     Hue[0.8635814968381643, 1, 0.6100402750793713], 
     Hue[0.7953722452572466, 1, 0.7704664138676485], 
     Hue[0.7271629936763288, 1, 0.8436962114995711], 
     Hue[0.6589537420954109, 1, 0.8486213691500648], 
     Hue[0.5907444905144932, 1, 0.798889401126926], 
     Hue[0.5225352389335753, 1, 0.7058327295000129], 
     Hue[0.9630043017890517, 1, 0.7023583080912016], 
     Hue[0.8897983719831806, 1, 0.7972278332291172], 
     Hue[0.815228091569304, 1, 0.8504640474517605], 
     Hue[0.7382689591638629, 1, 0.8520689595123513], 
     Hue[0.6567034262700839, 1, 0.7919228327986516], 
     Hue[0.5648009260935238, 1, 0.6606372497277214], 
     Hue[0.4442919341419105, 1, 0.47114417710582457`], 
     Hue[0.25, 1, 0.3486626392796044], 
     Hue[0.05570806585808954, 1, 0.47114417710582457`], 
     Hue[0.9351990739064762, 1, 0.6606372497277214], 
     Hue[0.8432965737299161, 1, 0.7919228327986516], 
     Hue[0.7617310408361371, 1, 0.8520689595123513], 
     Hue[0.6847719084306959, 1, 0.8504640474517605], 
     Hue[0.6102016280168194, 1, 0.7972278332291172], 
     Hue[0.5369956982109483, 1, 0.7023583080912016], 
     Hue[0.9493330457993986, 1, 0.6912968614695746], 
     Hue[0.871634777420734, 1, 0.7909434567336927], 
     Hue[0.7916318322560427, 1, 0.8533487547682884], 
     Hue[0.7078493775573493, 1, 0.871274144438458], 
     Hue[0.6175841272462916, 1, 0.8410460161556518], 
     Hue[0.5157490044007049, 1, 0.7659848503635313], 
     Hue[0.39415761614664196`, 1, 0.6718840807468749], 
     Hue[0.25, 1, 0.624324159180489], 
     Hue[0.10584238385335806`, 1, 0.6718840807468749], 
     Hue[0.9842509955992951, 1, 0.7659848503635313], 
     Hue[0.8824158727537084, 1, 0.8410460161556518], 
     Hue[0.7921506224426507, 1, 0.871274144438458], 
     Hue[0.7083681677439573, 1, 0.8533487547682884], 
     Hue[0.628365222579266, 1, 0.7909434567336927], 
     Hue[0.5506669542006014, 1, 0.6912968614695746], 
     Hue[0.9370573366367437, 1, 0.6710384335389601], 
     Hue[0.8556814172303264, 1, 0.7767768752080195], 
     Hue[0.7716268148991213, 1, 0.8509645149683419], 
     Hue[0.6835314266953103, 1, 0.8884757439778326], 
     Hue[0.5893691515321553, 1, 0.8896732667122081], 
     Hue[0.4864535766449385, 1, 0.8621052725076919], 
     Hue[0.3726305915786032, 1, 0.8250068158231821], 
     Hue[0.25, 1, 0.8073159282012654], 
     Hue[0.12736940842139685`, 1, 0.8250068158231821], 
     Hue[0.01354642335506151, 1, 0.8621052725076919], 
     Hue[0.9106308484678447, 1, 0.8896732667122081], 
     Hue[0.8164685733046897, 1, 0.8884757439778326], 
     Hue[0.7283731851008786, 1, 0.8509645149683419], 
     Hue[0.6443185827696736, 1, 0.7767768752080195], 
     Hue[0.5629426633632562, 1, 0.6710384335389601], 
     Hue[0.9265076177910447, 1, 0.639750902577176], 
     Hue[0.8423327478883043, 1, 0.7509416983749817], 
     Hue[0.7555493501025624, 1, 0.8365032797428479], 
     Hue[0.6651443925692098, 1, 0.8919209520816146], 
     Hue[0.5699079850227252, 1, 0.9183957476702276], 
     Hue[0.46873179375175883`, 1, 0.9225202396731065], 
     Hue[0.361443456819838, 1, 0.9159279314480515], 
     Hue[0.25, 1, 0.9116938945499807], 
     Hue[0.13855654318016203`, 1, 0.9159279314480515], 
     Hue[0.031268206248241205`, 1, 0.9225202396731065], 
     Hue[0.9300920149772748, 1, 0.9183957476702276], 
     Hue[0.8348556074307902, 1, 0.8919209520816146], 
     Hue[0.7444506498974376, 1, 0.8365032797428479], 
     Hue[0.6576672521116957, 1, 0.7509416983749817], 
     Hue[0.5734923822089553, 1, 0.639750902577176], 
     Hue[0.917753316705316, 1, 0.5962373798588465], 
     Hue[0.8315525057844677, 1, 0.7104954794546855], 
     Hue[0.7430541439369382, 1, 0.8048829716196901], 
     Hue[0.6515896919744566, 1, 0.8743158552884129], 
     Hue[0.5565239259469862, 1, 0.918947048434566], 
     Hue[0.457504243176685, 1, 0.9429952454381094], 
     Hue[0.35486984489443035`, 1, 0.9530753812988779], 
     Hue[0.25, 1, 0.9555388996063378], 
     Hue[0.14513015510556967`, 1, 0.9530753812988779], 
     Hue[0.04249575682331508, 1, 0.9429952454381094], 
     Hue[0.9434760740530138, 1, 0.918947048434566], 
     Hue[0.8484103080255434, 1, 0.8743158552884129], 
     Hue[0.7569458560630616, 1, 0.8048829716196901], 
     Hue[0.6684474942155323, 1, 0.7104954794546855], 
     Hue[0.582246683294684, 1, 0.5962373798588465], 
     Hue[0.9106804186394732, 1, 0.5406360906940619], 
     Hue[0.8230564085177874, 1, 0.6542569575883936], 
     Hue[0.7335263374327216, 1, 0.7535602952163314], 
     Hue[0.6416777887056262, 1, 0.8324245356392065], 
     Hue[0.5472087257439366, 1, 0.8892246375153777], 
     Hue[0.4500808579020647, 1, 0.9257473453898749], 
     Hue[0.35069923043330464`, 1, 0.945458487894771], 
     Hue[0.25, 1, 0.9515907195008939], 
     Hue[0.14930076956669536`, 1, 0.945458487894771], 
     Hue[0.04991914209793532, 1, 0.9257473453898749], 
     Hue[0.9527912742560634, 1, 0.8892246375153777], 
     Hue[0.8583222112943737, 1, 0.8324245356392065], 
     Hue[0.7664736625672784, 1, 0.7535602952163314], 
     Hue[0.6769435914822126, 1, 0.6542569575883936], 
     Hue[0.5893195813605268, 1, 0.5406360906940619], 
     Hue[0.9050778579293388, 1, 0.4748167278467001], 
     Hue[0.8164680830113602, 1, 0.5833256762784825], 
     Hue[0.7263334723674696, 1, 0.6827560197830148], 
     Hue[0.6344291375228946, 1, 0.7661420830928767], 
     Hue[0.5406284434313818, 1, 0.8300563143079926], 
     Hue[0.44500716989161526`, 1, 0.8740878627707702], 
     Hue[0.347917801543883, 1, 0.8994926204887321], 
     Hue[0.25, 1, 0.9077515093917338], 
     Hue[0.15208219845611698`, 1, 0.8994926204887321], 
     Hue[0.05499283010838476, 1, 0.8740878627707702], 
     Hue[0.9593715565686181, 1, 0.8300563143079926], 
     Hue[0.8655708624771052, 1, 0.7661420830928767], 
     Hue[0.7736665276325304, 1, 0.6827560197830148], 
     Hue[0.6835319169886398, 1, 0.5833256762784825], 
     Hue[0.5949221420706612, 1, 0.4748167278467001], 
     Hue[0.8278665291018986, 1, 0.9321859254525076], 
     Hue[0.6721334708981014, 1, 0.9321859254525076], 
     Hue[0.8504764791929972, 1, 0.90357961869918], 
     Hue[0.8124127591024077, 1, 0.9046042921789305], 
     Hue[0.7822656261316178, 1, 0.8875407979135482], 
     Hue[0.6875872408975923, 1, 0.9046042921789305], 
     Hue[0.6495235208070027, 1, 0.90357961869918], 
     Hue[0.827899050182806, 1, 0.8790158778748509], 
     Hue[0.7887572707042162, 1, 0.8457884058012463], 
     Hue[0.7622654903141357, 1, 0.7860981975097996], 
     Hue[0.7112427292957837, 1, 0.8457884058012463], 
     Hue[0.672100949817194, 1, 0.8790158778748509], 
     Hue[0.7974105245908067, 1, 0.8452010354508411], 
     Hue[0.7524514273046308, 1, 0.7698209801247912], 
     Hue[0.7248778765004915, 1, 0.6431056708711458], 
     Hue[0.7320866224319605, 1, 0.5194349195759381], 
     Hue[0.7475485726953692, 1, 0.7698209801247912], 
     Hue[0.7025894754091933, 1, 0.8452010354508411], 
     Hue[0.6527078372049578, 1, 0.5131556617400039], 
     Hue[0.6588339542555155, 1, 0.2513067879812432], 
     Hue[0.8411660457444844, 1, 0.2513067879812432], 
     Hue[0.40937529732540223`, 1, 0.2513067879812432], 
     Hue[0.09062470267459781, 1, 0.2513067879812432], 
     Hue[0.9480800824622044, 1, 0.5131556617400039], 
     Hue[0.6800542364756179, 1, 0.8452010354508411], 
     Hue[0.5885948305999582, 1, 0.7698209801247912], 
     Hue[0.16387737085104276`, 1, 0.5194349195759381], 
     Hue[0.020250121757738056`, 1, 0.6431056708711458], 
     Hue[0.9114051694000418, 1, 0.7698209801247912], 
     Hue[0.8199457635243821, 1, 0.8452010354508411], 
     Hue[0.6495657108836186, 1, 0.8790158778748509], 
     Hue[0.5522889872003729, 1, 0.8457884058012463], 
     Hue[0.057637735571382374`, 1, 0.7860981975097996], 
     Hue[0.9477110127996271, 1, 0.8457884058012463], 
     Hue[0.8504342891163813, 1, 0.8790158778748509], 
     Hue[0.6269882818734274, 1, 0.90357961869918], 
     Hue[0.5286334988021812, 1, 0.9046042921789305], 
     Hue[0.0776378713888644, 1, 0.8875407979135482], 
     Hue[0.9713665011978188, 1, 0.9046042921789305], 
     Hue[0.8730117181265725, 1, 0.90357961869918], 
     Hue[0.5131797288026905, 1, 0.9321859254525076], 
     Hue[0.9868202711973095, 1, 0.9321859254525076], 
     Hue[0.022899461784682367`, 1, 0.5655323264024716], 
     Hue[0.047219180267235095`, 1, 0.5088164244017289], 
     Hue[0.8453107182486257, 1, 0.8859836715478124], 
     Hue[0.8382093876221298, 1, 0.925641086127995], 
     Hue[0.8061975133966831, 1, 0.917540492318039], 
     Hue[0.801330953607702, 1, 0.9482651601336884], 
     Hue[0.768553322698126, 1, 0.9324608070526645], 
     Hue[0.766813184001152, 1, 0.957854555544409], 
     Hue[0.731446677301874, 1, 0.9324608070526645], 
     Hue[0.7331868159988479, 1, 0.957854555544409], 
     Hue[0.47710053821531767`, 1, 0.5655323264024716], 
     Hue[0.4527808197327649, 1, 0.5088164244017289], 
     Hue[0.8782104511324738, 1, 0.8849748110185307], 
     Hue[0.8666687190460967, 1, 0.9073052089857776], 
     Hue[0.8335375188130072, 1, 0.9331621010264488], 
     Hue[0.7939715412993835, 1, 0.9400532591357871], 
     Hue[0.7641207874294456, 1, 0.9404044183230902], 
     Hue[0.7358792125705544, 1, 0.9404044183230902], 
     Hue[0.698669046392298, 1, 0.9482651601336884], 
     Hue[0.7060284587006164, 1, 0.9400532591357871], 
     Hue[0.9100488012136624, 1, 0.858041289600959], 
     Hue[0.8878333203997024, 1, 0.8860332404109235], 
     Hue[0.8949247017375902, 1, 0.8732640992993103], 
     Hue[0.846655662837081, 1, 0.9224156467578665], 
     Hue[0.8592564171299851, 1, 0.9084914029182086], 
     Hue[0.8103232245764653, 1, 0.9376634886394829], 
     Hue[0.8209369708509779, 1, 0.9226274873522184], 
     Hue[0.7888367589665427, 1, 0.9196975958798839], 
     Hue[0.7596565556449744, 1, 0.8707183577708376], 
     Hue[0.7403434443550256, 1, 0.8707183577708376], 
     Hue[0.9440083265441178, 1, 0.8095773160686646], 
     Hue[0.9189843389713331, 1, 0.8456162937672219], 
     Hue[0.8720175397066897, 1, 0.8924825111452377], 
     Hue[0.8752360624709419, 1, 0.8723613553359055], 
     Hue[0.8305324534930159, 1, 0.9072426715879013], 
     Hue[0.8400994635236293, 1, 0.8933563440048695], 
     Hue[0.7962999997769792, 1, 0.8973128339027517], 
     Hue[0.8018637530864026, 1, 0.8786090366814503], 
     Hue[0.7736944782721275, 1, 0.8430123169645463], 
     Hue[0.927665387339554, 1, 0.8239756178824482], 
     Hue[0.900954528301436, 1, 0.8532633698044048], 
     Hue[0.8507716367026184, 1, 0.880952568346245], 
     Hue[0.807049729868032, 1, 0.8669435498711072], 
     Hue[0.7736336851397398, 1, 0.8176479226920673], 
     Hue[0.7513457164493967, 1, 0.734799266809195], 
     Hue[0.7486542835506032, 1, 0.734799266809195], 
     Hue[0.7377345096858642, 1, 0.7860981975097996], 
     Hue[0.7275181075217112, 1, 0.808323692913243], 
     Hue[0.9082366926955506, 1, 0.8290435791760917], 
     Hue[0.8506575282128339, 1, 0.8630940318055438], 
     Hue[0.8233170438605839, 1, 0.86106499926615], 
     Hue[0.7735024985604313, 1, 0.8148364878437433], 
     Hue[0.7355791706785795, 1, 0.7112906225197907], 
     Hue[0.7679133775680395, 1, 0.5194349195759381], 
     Hue[0.7751221234995085, 1, 0.6431056708711458], 
     Hue[0.7902279741621, 1, 0.3852831249994551], 
     Hue[0.8472921627950422, 1, 0.5131556617400039], 
     Hue[0.799424920441471, 1, 0.7112371919292371], 
     Hue[0.6493424717871661, 1, 0.8630940318055438], 
     Hue[0.7406103544345329, 1, 0.8202823722822384], 
     Hue[0.5917633073044494, 1, 0.8290435791760917], 
     Hue[0.8864734868231133, 1, 0.8298704713841818], 
     Hue[0.8220483074287588, 1, 0.8549479437801499], 
     Hue[0.7593896455654671, 1, 0.8202823722822384], 
     Hue[0.700575079558529, 1, 0.7112371919292371], 
     Hue[0.64047117834606, 1, 0.7112371919292371], 
     Hue[0.5519199175377956, 1, 0.5131556617400039], 
     Hue[0.75, 1, 0.1799125544829556], 
     Hue[0.5341046257904589, 1, 0.1796108838360263], 
     Hue[0.8585408355009937, 1, 0.3834390922526305], 
     Hue[0.9658953742095411, 1, 0.1796108838360263], 
     Hue[0.8976861226286232, 1, 0.49127906669050564`], 
     Hue[0.85952882165394, 1, 0.7112371919292371], 
     Hue[0.6779516925712412, 1, 0.8549479437801499], 
     Hue[0.6135265131768867, 1, 0.8298704713841818], 
     Hue[0.8638282805669827, 1, 0.8298704713841818], 
     Hue[0.7918349567995014, 1, 0.8549479437801499], 
     Hue[0.7180751155009575, 1, 0.8202823722822384], 
     Hue[0.6982881400928638, 1, 0.8303993958229638], 
     Hue[0.6126898455993444, 1, 0.7354349041150554], 
     Hue[0.4949593386628293, 1, 0.3834390922526305], 
     Hue[0.47974987824226195`, 1, 0.6431056708711458], 
     Hue[0.25, 1, 0.1799125544829556], 
     Hue[0.3361226291489573, 1, 0.5194349195759381], 
     Hue[0.7819248844990424, 1, 0.8202823722822384], 
     Hue[0.7081650432004987, 1, 0.8549479437801499], 
     Hue[0.6361717194330173, 1, 0.8298704713841818], 
     Hue[0.8420650746945453, 1, 0.8290435791760917], 
     Hue[0.7632257360154264, 1, 0.8630940318055438], 
     Hue[0.7223569687867585, 1, 0.86106499926615], 
     Hue[0.5685643654263003, 1, 0.808323692913243], 
     Hue[0.41341403400754734`, 1, 0.574021345094558], 
     Hue[0.25, 1, 0.4981115188019684], 
     Hue[0.9627421643549082, 1, 0.7112906225197907], 
     Hue[0.8642469890749245, 1, 0.8148364878437433], 
     Hue[0.7367742639845736, 1, 0.8630940318055438], 
     Hue[0.6579349253054546, 1, 0.8290435791760917], 
     Hue[0.44236226442861765`, 1, 0.7860981975097996], 
     Hue[0.3168635351315211, 1, 0.734799266809195], 
     Hue[0.18313646486847893`, 1, 0.734799266809195], 
     Hue[0.000796678816068666, 1, 0.8176479226920673], 
     Hue[0.06906672352937403, 1, 0.8430123169645463], 
     Hue[0.8977942203825251, 1, 0.8669435498711072], 
     Hue[0.9608174951818136, 1, 0.8786090366814503], 
     Hue[0.7613527982426815, 1, 0.8723613553359055], 
     Hue[0.8626347024572047, 1, 0.8933563440048695], 
     Hue[0.677363619949458, 1, 0.8239756178824482], 
     Hue[0.7810414375093299, 1, 0.8732640992993103], 
     Hue[0.30855269593594353`, 1, 0.8707183577708376], 
     Hue[0.30408846415147217`, 1, 0.9404044183230902], 
     Hue[0.19144730406405652`, 1, 0.8707183577708376], 
     Hue[0.1959115358485278, 1, 0.9404044183230902], 
     Hue[0.023462993453308014`, 1, 0.8973128339027517], 
     Hue[0.08934378655663017, 1, 0.9400532591357871], 
     Hue[0.921276944007509, 1, 0.9072426715879013], 
     Hue[0.9798907129463887, 1, 0.9226274873522184], 
     Hue[0.8263435270593472, 1, 0.8924825111452377], 
     Hue[0.8892039579796721, 1, 0.9073052089857776], 
     Hue[0.6937065591540219, 1, 0.8095773160686646], 
     Hue[0.7961655369854022, 1, 0.858041289600959], 
     Hue[0.4106562134433699, 1, 0.9400532591357871], 
     Hue[0.40329680113505145`, 1, 0.9482651601336884], 
     Hue[0.30139606757976584`, 1, 0.957854555544409], 
     Hue[0.19860393242023422`, 1, 0.957854555544409], 
     Hue[0.03748621825279421, 1, 0.9376634886394829], 
     Hue[0.09670319886494863, 1, 0.9482651601336884], 
     Hue[0.9374001533515742, 1, 0.9224156467578665], 
     Hue[0.9971631297175407, 1, 0.925641086127995], 
     Hue[0.8421593077523599, 1, 0.8860332404109235], 
     Hue[0.9007456900660491, 1, 0.8849748110185307], 
     Hue[0.2996559288827918, 1, 0.9324608070526645], 
     Hue[0.20034407111720823`, 1, 0.9324608070526645], 
     Hue[0.10156975865392968`, 1, 0.917540492318039], 
     Hue[0.004264460344036702, 1, 0.8859836715478124], 
     Hue[0.8638208087672492, 1, 0.5655323264024716], 
     Hue[0.9077103418656143, 1, 0.5088164244017289], 
     Hue[0.6361791912327508, 1, 0.5655323264024716], 
     Hue[0.6390544062909922, 1, 0.5296495807174443], 
     Hue[0.025774676842923817`, 1, 0.5296495807174443], 
     Hue[0.8420821611077931, 1, 0.9098212596321877], 
     Hue[0.8040023885386136, 1, 0.9374744356038606], 
     Hue[0.7677720643241698, 1, 0.950079776911038], 
     Hue[0.7322279356758302, 1, 0.950079776911038], 
     Hue[0.4742253231570763, 1, 0.5296495807174443], 
     Hue[0.872924933844087, 1, 0.8995466633651495], 
     Hue[0.79804906205988, 1, 0.9493380356684193], 
     Hue[0.7656221732868888, 1, 0.9549692068493021], 
     Hue[0.7343778267131111, 1, 0.9549692068493021], 
     Hue[0.7019509379401199, 1, 0.9493380356684193], 
     Hue[0.9030111478565906, 1, 0.8680317970243785], 
     Hue[0.7621925933475822, 1, 0.9128619847349991], 
     Hue[0.7378074066524178, 1, 0.9128619847349991], 
     Hue[0.8856902128229517, 1, 0.8744128698370638], 
     Hue[0.75, 1, 0.7268578247565103], 
     Hue[0.7450377389049325, 1, 0.7563821012106775], 
     Hue[0.8790517632476075, 1, 0.8521218982693379], 
     Hue[0.75, 1, 0.4981115188019684], 
     Hue[0.7769955308457117, 1, 0.574021345094558], 
     Hue[0.8057293869898088, 1, 0.5697865471227376], 
     Hue[0.7716435876947553, 1, 0.7354349041150554], 
     Hue[0.6766829561394161, 1, 0.86106499926615], 
     Hue[0.7208233790264391, 1, 0.8303993958229638], 
     Hue[0.6209482367523924, 1, 0.8521218982693379], 
     Hue[0.8541066080007815, 1, 0.8491272542121546], 
     Hue[0.7904155108782767, 1, 0.8458947836564469], 
     Hue[0.7292682986669932, 1, 0.776122777942999], 
     Hue[0.6705231289522946, 1, 0.7024655674562772], 
     Hue[0.6023138773713768, 1, 0.49127906669050564`], 
     Hue[0.8294768710477054, 1, 0.7024655674562772], 
     Hue[0.7095844891217233, 1, 0.8458947836564469], 
     Hue[0.6458933919992185, 1, 0.8491272542121546], 
     Hue[0.8279859078083966, 1, 0.8491272542121546], 
     Hue[0.7552585017690658, 1, 0.8458947836564469], 
     Hue[0.5103571417325621, 1, 0.5697865471227376], 
     Hue[0.35843722574301784`, 1, 0.3852831249994551], 
     Hue[0.8200127891814863, 1, 0.776122777942999], 
     Hue[0.7447414982309342, 1, 0.8458947836564469], 
     Hue[0.6720140921916034, 1, 0.8491272542121546], 
     Hue[0.8030407525615707, 1, 0.8521218982693379], 
     Hue[0.7776430312132415, 1, 0.86106499926615], 
     Hue[0.6969592474384293, 1, 0.8521218982693379], 
     Hue[0.38145624206676826`, 1, 0.7563821012106775], 
     Hue[0.25, 1, 0.7268578247565103], 
     Hue[0.8050976240552759, 1, 0.880952568346245], 
     Hue[0.7188620124922578, 1, 0.8532633698044048], 
     Hue[0.7718069485946913, 1, 0.8744128698370638], 
     Hue[0.3060166582333356, 1, 0.9128619847349991], 
     Hue[0.19398334176666443`, 1, 0.9128619847349991], 
     Hue[0.08420900422378934, 1, 0.9196975958798839], 
     Hue[0.8817916560635606, 1, 0.9084914029182086], 
     Hue[0.7368918231621548, 1, 0.8456162937672219], 
     Hue[0.7891278836283304, 1, 0.8680317970243785], 
     Hue[0.40657869268287344`, 1, 0.9493380356684193], 
     Hue[0.30258707829402903`, 1, 0.9549692068493021], 
     Hue[0.19741292170597097`, 1, 0.9549692068493021], 
     Hue[0.09342130731712663, 1, 0.9493380356684193], 
     Hue[0.9924912609084182, 1, 0.9331621010264488], 
     Hue[0.8954601727776623, 1, 0.8995466633651495], 
     Hue[0.30043718725674806`, 1, 0.950079776911038], 
     Hue[0.19956281274325197`, 1, 0.950079776911038], 
     Hue[0.09937463379586017, 1, 0.9374744356038606], 
     Hue[0.0010359032032040698`, 1, 0.9098212596321877], 
     Hue[0.8609455937090078, 1, 0.5296495807174443], 
     Hue[0.5922896581343857, 1, 0.5088164244017289], 
     Hue[0.8367396074723581, 1, 0.8583195328287073], 
     Hue[0.7791766209735609, 1, 0.8303993958229638], 
     Hue[0.6632603925276419, 1, 0.8583195328287073], 
     Hue[0.8069416321141301, 1, 0.853733734208174], 
     Hue[0.7387323805332122, 1, 0.8166817952711277], 
     Hue[0.7612676194667877, 1, 0.8166817952711277], 
     Hue[0.6930583678858698, 1, 0.853733734208174], 
     Hue[0.7771436567559021, 1, 0.8583195328287073], 
     Hue[0.8017118599071362, 1, 0.8303993958229638], 
     Hue[0.7228563432440978, 1, 0.8583195328287073], 
     Hue[0.6419846449975138, 1, 0.12785740682214397`], 
     Hue[0.8018297540528934, 1, 0.8487343589851802], 
     Hue[0.8244520717227255, 1, 0.3666136122658566], 
     Hue[0.858015355002486, 1, 0.12785740682214397`], 
     Hue[0.392119980792945, 1, 0.12785740682214397`], 
     Hue[0.4267659490941022, 1, 0.3666136122658566], 
     Hue[0.10788001920705498`, 1, 0.12785740682214397`], 
     Hue[0.7902603671960098, 1, 0.8487343589851802], 
     Hue[0.75, 1, 0.09069534312440795], 
     Hue[0.9829476871047705, 1, 0.09065692058224796], 
     Hue[0.03643623824122967, 1, 0.5200860787185848], 
     Hue[0.4635637617587704, 1, 0.5200860787185848], 
     Hue[0.5541841172651417, 1, 0.42928076277667876`], 
     Hue[0.7843587439867659, 1, 0.2798389749372787], 
     Hue[0.5170523128952293, 1, 0.09065692058224796], 
     Hue[0.8978380120422859, 1, 0.27891891682604997`], 
     Hue[0.25, 1, 0.09069534312440795], 
     Hue[0.29880644288591096`, 1, 0.43335286635131504`], 
     Hue[0.8843886581011609, 1, 0.5200860787185848], 
     Hue[0.6156113418988391, 1, 0.5200860787185848], 
     Hue[0.6896767754235346, 1, 0.9376634886394829], 
     Hue[0.6790630291490221, 1, 0.9226274873522184], 
     Hue[0.6694675465069841, 1, 0.9072426715879013], 
     Hue[0.6981362469135973, 1, 0.8786090366814503], 
     Hue[0.6599005364763706, 1, 0.8933563440048695], 
     Hue[0.6863068323510713, 1, 0.862240227369759], 
     Hue[0.7097720258379, 1, 0.3852831249994551], 
     Hue[0.6414591644990062, 1, 0.3834390922526305], 
     Hue[0.6163390116871528, 1, 0.42928076277667876`], 
     Hue[0.0050406613371707125`, 1, 0.3834390922526305], 
     Hue[0.1415627742569822, 1, 0.3852831249994551], 
     Hue[0.9014828150741185, 1, 0.6237230659857768], 
     Hue[0.9896428582674378, 1, 0.5697865471227376], 
     Hue[0.08658596599245268, 1, 0.574021345094558], 
     Hue[0.17582861032612315`, 1, 0.6373035552299535], 
     Hue[0.6022057796174749, 1, 0.8669435498711072], 
     Hue[0.6373652975427953, 1, 0.8933563440048695], 
     Hue[0.578723055992491, 1, 0.9072426715879013], 
     Hue[0.5201092870536111, 1, 0.9226274873522184], 
     Hue[0.4625137817472058, 1, 0.9376634886394829], 
     Hue[0.8136931676489286, 1, 0.862240227369759], 
     Hue[0.692950270131968, 1, 0.8669435498711072], 
     Hue[0.7940724700100266, 1, 0.8423512731293352], 
     Hue[0.7440378619070409, 1, 0.6373035552299535], 
     Hue[0.7230044691542883, 1, 0.574021345094558], 
     Hue[0.6942706130101912, 1, 0.5697865471227376], 
     Hue[0.6743198213977897, 1, 0.6237230659857768], 
     Hue[0.6755479282772745, 1, 0.3666136122658566], 
     Hue[0.9458158827348583, 1, 0.42928076277667876`], 
     Hue[0.2011935571140891, 1, 0.43335286635131504`], 
     Hue[0.8362284065825041, 1, 0.862240227369759], 
     Hue[0.6637715934174959, 1, 0.862240227369759], 
     Hue[0.8209791449895967, 1, 0.8749580964623188], 
     Hue[0.5391825048181864, 1, 0.8786090366814503], 
     Hue[0.558977672532831, 1, 0.8966238642161621], 
     Hue[0.04857569322399433, 1, 0.49205988922137417`], 
     Hue[0.8635405306531175, 1, 0.8681850514627647], 
     Hue[0.7644208293214205, 1, 0.7112906225197907], 
     Hue[0.7533427548876785, 1, 0.7181203767697676], 
     Hue[0.7858671331806192, 1, 0.4846748366354767], 
     Hue[0.764701817095452, 1, 0.43335286635131504`], 
     Hue[0.8098847297886425, 1, 0.31619553099770353`], 
     Hue[0.8256801786022103, 1, 0.6237230659857768], 
     Hue[0.8176191546623787, 1, 0.5912669093149008], 
     Hue[0.5985171849258815, 1, 0.6237230659857768], 
     Hue[0.556351535195591, 1, 0.5912669093149008], 
     Hue[0.602161987957714, 1, 0.27891891682604997`], 
     Hue[0.5001518894136626, 1, 0.27891891682604997`], 
     Hue[0.8556657203260599, 1, 0.3155512480307924], 
     Hue[0.8836609883128472, 1, 0.42928076277667876`], 
     Hue[0.8297443996942273, 1, 0.48169451562988486`], 
     Hue[0.9147384355238527, 1, 0.42196130406796994`], 
     Hue[0.5002675286465219, 1, 0.48169451562988486`], 
     Hue[0.4579795976974366, 1, 0.3155512480307924], 
     Hue[0.5372578356450918, 1, 0.7112906225197907], 
     Hue[0.45797050963043207`, 1, 0.7181203767697676], 
     Hue[0.31846336977722484`, 1, 0.2798389749372787], 
     Hue[0.1815366302227752, 1, 0.2798389749372787], 
     Hue[0.20989231664097147`, 1, 0.5684764030017526], 
     Hue[0.7496572664248573, 1, 0.8681850514627647], 
     Hue[0.4622276054751548, 1, 0.502301041745599], 
     Hue[0.735298182904548, 1, 0.43335286635131504`], 
     Hue[0.75, 1, 0.42614264173990707`], 
     Hue[0.6414741882414119, 1, 0.5584211807430196], 
     Hue[0.5972581922918004, 1, 0.5584211807430196], 
     Hue[0.37809398136956035`, 1, 0.31619553099770353`], 
     Hue[0.38818101055199594`, 1, 0.4846748366354767], 
     Hue[0.34533956936713966`, 1, 0.453834319368999], 
     Hue[0.8830525018175452, 1, 0.502301041745599], 
     Hue[0.5936461710911449, 1, 0.49205988922137417`], 
     Hue[0.037772394524845265`, 1, 0.502301041745599], 
     Hue[0.4514243067760057, 1, 0.49205988922137417`], 
     Hue[0.7439969424314303, 1, 0.5684764030017526], 
     Hue[0.7559621380929591, 1, 0.6373035552299535], 
     Hue[0.7560030575685697, 1, 0.5684764030017526], 
     Hue[0.75, 1, 0.5642154838639206], 
     Hue[0.5852615644761472, 1, 0.42196130406796994`], 
     Hue[0.715641256013234, 1, 0.2798389749372787], 
     Hue[0.75, 1, 0.26628755615301286`], 
     Hue[0.9998481105863374, 1, 0.27891891682604997`], 
     Hue[0.9488430613143116, 1, 0.26529978115923847`], 
     Hue[0.8585258117585881, 1, 0.5584211807430196], 
     Hue[0.9027418077081996, 1, 0.5584211807430196], 
     Hue[0.8806338097333939, 1, 0.5540082172371732], 
     Hue[0.25, 1, 0.42614264173990707`], 
     Hue[0.9063538289088551, 1, 0.49205988922137417`], 
     Hue[0.6169474981824548, 1, 0.502301041745599], 
     Hue[0.7177343738683821, 1, 0.8875407979135482], 
     Hue[0.7111632410334572, 1, 0.9196975958798839], 
     Hue[0.6333312809539033, 1, 0.9073052089857776], 
     Hue[0.6533443371629188, 1, 0.9224156467578665], 
     Hue[0.6662990381822745, 1, 0.9255189860045874], 
     Hue[0.6838267888377831, 1, 0.8966238642161621], 
     Hue[0.6050752982624097, 1, 0.8732640992993103], 
     Hue[0.6279824602933103, 1, 0.8924825111452377], 
     Hue[0.6438156972234894, 1, 0.8960754987046479], 
     Hue[0.6247639375290581, 1, 0.8723613553359055], 
     Hue[0.6492283632973816, 1, 0.880952568346245], 
     Hue[0.6674514681535197, 1, 0.8749580964623188], 
     Hue[0.7277924207876547, 1, 0.35833609045085824`], 
     Hue[0.07323405090589784, 1, 0.3666136122658566], 
     Hue[0.943648464804409, 1, 0.5912669093149008], 
     Hue[0.7386472017573185, 1, 0.8723613553359055], 
     Hue[0.7503427335751427, 1, 0.8681850514627647], 
     Hue[0.13298632479149847`, 1, 0.5999818264433212], 
     Hue[0.6196258691044658, 1, 0.8838352138130225], 
     Hue[0.6107960420203279, 1, 0.9073052089857776], 
     Hue[0.6182083439364394, 1, 0.9084914029182086], 
     Hue[0.42236212861113565`, 1, 0.8875407979135482], 
     Hue[0.476537006546692, 1, 0.8973128339027517], 
     Hue[0.4985043097476931, 1, 0.9133650617210812], 
     Hue[0.5028368702824593, 1, 0.925641086127995], 
     Hue[0.5075087390915818, 1, 0.9331621010264488], 
     Hue[0.6617906123778702, 1, 0.925641086127995], 
     Hue[0.6664624811869928, 1, 0.9331621010264488], 
     Hue[0.6782357915575616, 1, 0.9381170526786301], 
     Hue[0.7037000002230207, 1, 0.8973128339027517], 
     Hue[0.6915626776335629, 1, 0.9133650617210812], 
     Hue[0.6407435828700149, 1, 0.9084914029182086], 
     Hue[0.6550970724584757, 1, 0.9110358183634873], 
     Hue[0.8325485318464801, 1, 0.8749580964623188], 
     Hue[0.6762657338285001, 1, 0.8838352138130225], 
     Hue[0.7353002021628752, 1, 0.5999818264433212], 
     Hue[0.6823808453376212, 1, 0.5912669093149008], 
     Hue[0.8507123347340608, 1, 0.8423512731293352], 
     Hue[0.6949023759447241, 1, 0.880952568346245], 
     Hue[0.6790208550104033, 1, 0.8749580964623188], 
     Hue[0.71895856249067, 1, 0.8732640992993103], 
     Hue[0.6736564729406527, 1, 0.8924825111452377], 
     Hue[0.655385084080373, 1, 0.8960754987046479], 
     Hue[0.5625998466484258, 1, 0.9224156467578665], 
     Hue[0.5414499218773225, 1, 0.9255189860045874], 
     Hue[0.843836325472567, 1, 0.8674902976386483], 
     Hue[0.758949427130511, 1, 0.7103822243707846], 
     Hue[0.7771303177862218, 1, 0.453834319368999], 
     Hue[0.6364594693468824, 1, 0.8681850514627647], 
     Hue[0.6561636745274328, 1, 0.8674902976386483], 
     Hue[0.5511569386856883, 1, 0.26529978115923847`], 
     Hue[0.8548568542212007, 1, 0.4501293809810172], 
     Hue[0.5253799831734952, 1, 0.4501293809810172], 
     Hue[0.4976818076637233, 1, 0.7103822243707846], 
     Hue[0.25, 1, 0.26628755615301286`], 
     Hue[0.3241713896738769, 1, 0.6373035552299535], 
     Hue[0.29010768335902853`, 1, 0.5684764030017526], 
     Hue[0.25, 1, 0.5642154838639206], 
     Hue[0.7640576870347656, 1, 0.8674902976386483], 
     Hue[0.4157909957762107, 1, 0.9196975958798839], 
     Hue[0.43942459057826705`, 1, 0.9315910398649784], 
     Hue[0.6193661902666061, 1, 0.5540082172371732], 
     Hue[0.7006922100450548, 1, 0.9315910398649784], 
     Hue[0.7071251891809809, 1, 0.9083507152120753], 
     Hue[0.6598027703667547, 1, 0.9282891166081632], 
     Hue[0.6344299890315719, 1, 0.9007193450278469], 
     Hue[0.6547710561398647, 1, 0.8870478262652564], 
     Hue[0.7359423129652343, 1, 0.8674902976386483], 
     Hue[0.7229343437345686, 1, 0.8747837306091711], 
     Hue[0.5984572077344414, 1, 0.9110358183634873], 
     Hue[0.5903784408164068, 1, 0.9157597513225639], 
     Hue[0.5077033262718322, 1, 0.8872238743839294], 
     Hue[0.48517742367169175`, 1, 0.9381170526786301], 
     Hue[0.6143097871770484, 1, 0.8744128698370638], 
     Hue[0.6315391707053467, 1, 0.8806423238932596], 
     Hue[0.430933276470626, 1, 0.8430123169645463], 
     Hue[0.45407457636633186`, 1, 0.8740164172385897], 
     Hue[0.453427599160234, 1, 0.9388878855904206], 
     Hue[0.48031994820567814`, 1, 0.9367840581048182], 
     Hue[0.2852688639863421, 1, 0.6810760802279832], 
     Hue[0.6217895488675262, 1, 0.8849748110185307], 
     Hue[0.627075066155913, 1, 0.8995466633651495], 
     Hue[0.6402551606297526, 1, 0.9136549360611085], 
     Hue[0.5899511987863375, 1, 0.858041289600959], 
     Hue[0.5969888521434092, 1, 0.8680317970243785], 
     Hue[0.6123791024435586, 1, 0.8830056699508513], 
     Hue[0.28738248966422464`, 1, 0.6276451080886513], 
     Hue[0.0014585947428967195`, 1, 0.6406616440529275], 
     Hue[0.9671722383295396, 1, 0.6591891797232059], 
     Hue[0.9600860747140773, 1, 0.7304918189333816], 
     Hue[0.9277187651868521, 1, 0.737047048945328], 
     Hue[0.9204151910402008, 1, 0.8054391160767668], 
     Hue[0.8896978857121722, 1, 0.8006156236110009], 
     Hue[0.8826831950477377, 1, 0.8635320929090207], 
     Hue[0.853127118342659, 1, 0.8488513316588631], 
     Hue[0.8178803343423888, 1, 0.882121152631757], 
     Hue[0.7836586340845495, 1, 0.9014383778587061], 
     Hue[0.75, 1, 0.9077515093917338], 
     Hue[0.75, 1, 0.9515907195008939], 
     Hue[0.7163413659154505, 1, 0.9014383778587061], 
     Hue[0.7187931101649085, 1, 0.9469166761567087], 
     Hue[0.6821196656576114, 1, 0.8821211526317568], 
     Hue[0.6866867373467433, 1, 0.9321061778837566], 
     Hue[0.6468728816573411, 1, 0.8488513316588631], 
     Hue[0.6529883859460172, 1, 0.9051278432033211], 
     Hue[0.6103021142878279, 1, 0.8006156236110009], 
     Hue[0.6173168049522624, 1, 0.8635320929090207], 
     Hue[0.5722812348131479, 1, 0.737047048945328], 
     Hue[0.5795848089597992, 1, 0.8054391160767668], 
     Hue[0.5328277616704605, 1, 0.6591891797232061], 
     Hue[0.5399139252859227, 1, 0.7304918189333818], 
     Hue[0.49205854736723137`, 1, 0.5700805854525615], 
     Hue[0.4985414052571034, 1, 0.6406616440529275], 
     Hue[0.9931232352571314, 1, 0.697134210817098], 
     Hue[0.9507670682674333, 1, 0.783522977795821], 
     Hue[0.9105514226545508, 1, 0.8512962512546678], 
     Hue[0.75, 1, 0.9555388996063378], 
     Hue[0.7224771154876571, 1, 0.9536963733470568], 
     Hue[0.6934173208604684, 1, 0.9465461867519283], 
     Hue[0.6617579880666025, 1, 0.9300526514056078], 
     Hue[0.5894485773454492, 1, 0.8512962512546678], 
     Hue[0.5492329317325667, 1, 0.783522977795821], 
     Hue[0.5068767647428686, 1, 0.6971342108170981], 
     Hue[0.9825842043126678, 1, 0.7382852748846641], 
     Hue[0.938656133191164, 1, 0.817865278222598], 
     Hue[0.8972862153010189, 1, 0.874713390808828], 
     Hue[0.75, 1, 0.9116938945499807], 
     Hue[0.7283051128172591, 1, 0.9150383374477578], 
     Hue[0.7037184302067854, 1, 0.9213386965350483], 
     Hue[0.6746065436736912, 1, 0.9220340323263225], 
     Hue[0.561343866808836, 1, 0.8178652782225982], 
     Hue[0.5174157956873322, 1, 0.7382852748846641], 
     Hue[0.9695855812473468, 1, 0.7651176167829319], 
     Hue[0.9232408260899452, 1, 0.8357505631816594], 
     Hue[0.8796782482068715, 1, 0.8788066641195388], 
     Hue[0.761705212752776, 1, 0.8211466026885792], 
     Hue[0.75, 1, 0.8073159282012654], 
     Hue[0.7382947872472239, 1, 0.8211466026885792], 
     Hue[0.7203176454300342, 1, 0.8526683896461048], 
     Hue[0.6938560089055301, 1, 0.8819757120392895], 
     Hue[0.5767591739100548, 1, 0.8357505631816595], 
     Hue[0.5304144187526532, 1, 0.7651176167829319], 
     Hue[0.954112144119353, 1, 0.7803305631381622], 
     Hue[0.9042825579837158, 1, 0.8416995203380061], 
     Hue[0.8569858448127696, 1, 0.870077290549714], 
     Hue[0.7769653416818592, 1, 0.8175099747924113], 
     Hue[0.7511764276047861, 1, 0.7423749886044193], 
     Hue[0.75, 1, 0.624324159180489], 
     Hue[0.7578404607542987, 1, 0.6617186007706521], 
     Hue[0.7488235723952139, 1, 0.7423749886044192], 
     Hue[0.7230346583181408, 1, 0.8175099747924113], 
     Hue[0.5957174420162843, 1, 0.8416995203380062], 
     Hue[0.545887855880647, 1, 0.7803305631381622], 
     Hue[0.9365538205242595, 1, 0.7874199360946618], 
     Hue[0.8821548691555842, 1, 0.8416259305306922], 
     Hue[0.8293217849940597, 1, 0.8581285214663533], 
     Hue[0.7341133139127387, 1, 0.7512882449826099], 
     Hue[0.75, 1, 0.3486626392796044], 
     Hue[0.8056692986254116, 1, 0.44729333828671153`], 
     Hue[0.7999091580730004, 1, 0.6169012254878518], 
     Hue[0.7658866860872613, 1, 0.7512882449826097], 
     Hue[0.617845130844416, 1, 0.8416259305306923], 
     Hue[0.5634461794757405, 1, 0.7874199360946617], 
     Hue[0.9177816659331216, 1, 0.7893856021587482], 
     Hue[0.8580985707998185, 1, 0.8408681250364198], 
     Hue[0.7984154756665154, 1, 0.8527098382532773], 
     Hue[0.5, 1, 2.1203697876423444`*^-16], 
     Hue[0.940316904866697, 1, 0.3064986332663909], 
     Hue[0.8209507146000908, 1, 0.7216567940244794], 
     Hue[0.6419014292001815, 1, 0.84086812503642], 
     Hue[0.5822183340668785, 1, 0.7893856021587482], 
     Hue[0.8990095113419837, 1, 0.7874199360946618], 
     Hue[0.8340422724440528, 1, 0.8416259305306922], 
     Hue[0.767509166338971, 1, 0.8581285214663533], 
     Hue[0.25000000000000017`, 1, 0.3486626392796044], 
     Hue[0.07496451110798232, 1, 0.44729333828671153`], 
     Hue[0.9613584613937872, 1, 0.6169012254878518], 
     Hue[0.8760147431129202, 1, 0.7512882449826097], 
     Hue[0.6659577275559472, 1, 0.8416259305306923], 
     Hue[0.6009904886580164, 1, 0.7874199360946617], 
     Hue[0.8814511877468902, 1, 0.7803305631381622], 
     Hue[0.8119145836159213, 1, 0.8416995203380061], 
     Hue[0.7398451065202611, 1, 0.870077290549714], 
     Hue[0.2500000000000001, 1, 0.624324159180489], 
     Hue[0.12279334897909523`, 1, 0.6617186007706521], 
     Hue[0.012444047071573844`, 1, 0.7423749886044192], 
     Hue[0.9188667708820406, 1, 0.8175099747924113], 
     Hue[0.6880854163840788, 1, 0.8416995203380062], 
     Hue[0.6185488122531099, 1, 0.7803305631381622], 
     Hue[0.8659777506188964, 1, 0.7651176167829319], 
     Hue[0.7929563155096919, 1, 0.8357505631816594], 
     Hue[0.7171527031261593, 1, 0.8788066641195388], 
     Hue[0.3576609775138302, 1, 0.8211466026885792], 
     Hue[0.25000000000000006`, 1, 0.8073159282012654], 
     Hue[0.14233902248617, 1, 0.8211466026885792], 
     Hue[0.04094997403675352, 1, 0.8526683896461048], 
     Hue[0.9480454202946514, 1, 0.8819757120392895], 
     Hue[0.7070436844903082, 1, 0.8357505631816595], 
     Hue[0.6340222493811037, 1, 0.7651176167829319], 
     Hue[0.8529791275535754, 1, 0.7382852748846641], 
     Hue[0.7775410084084731, 1, 0.817865278222598], 
     Hue[0.699544736032012, 1, 0.874713390808828], 
     Hue[0.25000000000000006`, 1, 0.9116938945499807], 
     Hue[0.15232869691613485`, 1, 0.9150383374477578], 
     Hue[0.05754918926000242, 1, 0.9213386965350483], 
     Hue[0.9672948855264903, 1, 0.9220340323263225], 
     Hue[0.722458991591527, 1, 0.8178652782225982], 
     Hue[0.6470208724464247, 1, 0.7382852748846641], 
     Hue[0.8424400966091117, 1, 0.697134210817098], 
     Hue[0.7654300733322038, 1, 0.783522977795821], 
     Hue[0.6862795286784801, 1, 0.8512962512546678], 
     Hue[0.6045398272223378, 1, 0.8995466633651493], 
     Hue[0.25000000000000006`, 1, 0.9555388996063378], 
     Hue[0.15815669424573675`, 1, 0.9536963733470568], 
     Hue[0.06785029860631948, 1, 0.9465461867519283], 
     Hue[0.9801434411335791, 1, 0.9300526514056078], 
     Hue[0.81372047132152, 1, 0.8512962512546678], 
     Hue[0.7345699266677963, 1, 0.783522977795821], 
     Hue[0.6575599033908883, 1, 0.6971342108170981], 
     Hue[0.8341047371233465, 1, 0.6406616440529275], 
     Hue[0.7561110668855598, 1, 0.7304918189333816], 
     Hue[0.6764157602928302, 1, 0.8054391160767668], 
     Hue[0.594781566018687, 1, 0.8635320929090207], 
     Hue[0.5110869567458357, 1, 0.9051278432033208], 
     Hue[0.42541911787995584`, 1, 0.9321061778837566], 
     Hue[0.25000000000000006`, 1, 0.9515907195008939], 
     Hue[0.16184069956848532`, 1, 0.9469166761567087], 
     Hue[0.07458088212004435, 1, 0.9321061778837566], 
     Hue[0.9889130432541644, 1, 0.9051278432033211], 
     Hue[0.9052184339813131, 1, 0.8635320929090207], 
     Hue[0.8235842397071699, 1, 0.8054391160767668], 
     Hue[0.7438889331144403, 1, 0.7304918189333818], 
     Hue[0.6658952628766536, 1, 0.6406616440529275], 
     Hue[0.8276218792334745, 1, 0.5700805854525615], 
     Hue[0.7490249032700975, 1, 0.6591891797232059], 
     Hue[0.6691121861461788, 1, 0.737047048945328], 
     Hue[0.5877668753542525, 1, 0.8006156236110009], 
     Hue[0.5049714524571597, 1, 0.8488513316588631], 
     Hue[0.4208520461908237, 1, 0.882121152631757], 
     Hue[0.3357075561820567, 1, 0.9014383778587061], 
     Hue[0.25000000000000006`, 1, 0.9077515093917338], 
     Hue[0.16429244381794342`, 1, 0.9014383778587061], 
     Hue[0.07914795380917644, 1, 0.8821211526317568], 
     Hue[0.9950285475428404, 1, 0.8488513316588631], 
     Hue[0.9122331246457476, 1, 0.8006156236110009], 
     Hue[0.8308878138538213, 1, 0.737047048945328], 
     Hue[0.7509750967299025, 1, 0.6591891797232061], 
     Hue[0.0023627541060712827`, 1, 0.6325596299282152], 
     Hue[0.9620459745690325, 1, 0.7143010474375507], 
     Hue[0.9234144327351683, 1, 0.7823439913725665], 
     Hue[0.8864756094763344, 1, 0.8353229863222025], 
     Hue[0.75, 1, 0.951590719500894], 
     Hue[0.7184317242050295, 1, 0.9432346481550145], 
     Hue[0.685380139373656, 1, 0.9227858094246787], 
     Hue[0.6504403263509038, 1, 0.887560409346284], 
     Hue[0.6135243905236656, 1, 0.8353229863222025], 
     Hue[0.5747661393816711, 1, 0.7652177117431319], 
     Hue[0.5344188050414926, 1, 0.6785986331167961], 
     Hue[0.9942789014197726, 1, 0.6909108618035446], 
     Hue[0.953336352664351, 1, 0.772048238557307], 
     Hue[0.9146001364991132, 1, 0.8367984472187928], 
     Hue[0.75, 1, 0.9555388996063379], 
     Hue[0.7219245680658124, 1, 0.9551698032955066], 
     Hue[0.6914700912915617, 1, 0.94648773329187], 
     Hue[0.6580832531793022, 1, 0.9245170860251992], 
     Hue[0.5829421982033564, 1, 0.8253351465963965], 
     Hue[0.5420130454090839, 1, 0.7455265364831086], 
     Hue[0.49947450779305846`, 1, 0.6485400996778984], 
     Hue[0.9840324665220572, 1, 0.7339641096910384], 
     Hue[0.9419760664628306, 1, 0.8109524606872744], 
     Hue[0.9027188524100775, 1, 0.8684331480377452], 
     Hue[0.75, 1, 0.9116938945499808], 
     Hue[0.7274078416621437, 1, 0.9226592950201788], 
     Hue[0.5519768571838304, 1, 0.7938166923498996], 
     Hue[0.5080669748656605, 1, 0.7031152636290267], 
     Hue[0.9713487098812669, 1, 0.7624665478840887], 
     Hue[0.9274251293272506, 1, 0.8326087247681019], 
     Hue[0.886847375363084, 1, 0.8792015533292334], 
     Hue[0.75, 1, 0.8073159282012654], 
     Hue[0.7366923581796925, 1, 0.8363010026950667], 
     Hue[0.7153421958331194, 1, 0.8740164172385899], 
     Hue[0.5648715690495382, 1, 0.8237380512562057], 
     Hue[0.5189027919468053, 1, 0.7423804727318959], 
     Hue[0.9561729846743436, 1, 0.7789460099306934], 
     Hue[0.9093476491405975, 1, 0.8410174169569441], 
     Hue[0.8661126868434559, 1, 0.874294389704455], 
     Hue[0.75, 1, 0.6243241591804891], 
     Hue[0.7544868459540879, 1, 0.6853440719280964], 
     Hue[0.7400933897959294, 1, 0.7731225424335036], 
     Hue[0.7106622886916968, 1, 0.84353685770552], 
     Hue[0.5811679273372543, 1, 0.8381387806608802], 
     Hue[0.5322167494165965, 1, 0.7675860323893344], 
     Hue[0.9388372208017384, 1, 0.7868627357052642], 
     Hue[0.8879313431239414, 1, 0.8418822452936966], 
     Hue[0.8402096088465056, 1, 0.8623115256183164], 
     Hue[0.75, 1, 0.3486626392796046], 
     Hue[0.7965902342508941, 1, 0.4749403917612283], 
     Hue[0.7842912217704, 1, 0.6463669071312563], 
     Hue[0.748090819470669, 1, 0.7740569412682947], 
     Hue[0.5479819300554816, 1, 0.7815888023253323], 
     Hue[0.920154714956433, 1, 0.7893565304412582], 
     Hue[0.8641944627878912, 1, 0.8409272159978274], 
     Hue[0.8102001208484035, 1, 0.8535206030793314], 
     Hue[0.625, 1, 2.998655710929963*^-16], 
     Hue[0.9178518270457927, 1, 0.3094108348587247], 
     Hue[0.7994427804363504, 1, 0.7261184443649079], 
     Hue[0.5657490272108554, 1, 0.7878995302655066], 
     Hue[0.9013123590770986, 1, 0.7878995302655066], 
     Hue[0.8399430550883368, 1, 0.8413430775388139], 
     Hue[0.7788706248484922, 1, 0.8549217843837714], 
     Hue[0.25000000000000017`, 1, 0.3486626392796043], 
     Hue[0.06448797482148855, 1, 0.4203429840006256], 
     Hue[0.856359922716416, 1, 0.7338010704199465], 
     Hue[0.5845913830901897, 1, 0.7893565304412582], 
     Hue[0.8835452619217247, 1, 0.7815888023253326], 
     Hue[0.8171823037373043, 1, 0.8420074277961784], 
     Hue[0.2500000000000001, 1, 0.6243241591804888], 
     Hue[0.11905587895933667`, 1, 0.6371182952663321], 
     Hue[0.0023181923362768277`, 1, 0.7103822243707844], 
     Hue[0.9045265354425087, 1, 0.7910245096334856], 
     Hue[0.6032738889354952, 1, 0.786862735705264], 
     Hue[0.8677800812828397, 1, 0.7675860323893345], 
     Hue[0.7973650689368914, 1, 0.8381387806608798], 
     Hue[0.7250450808233149, 1, 0.8765735775872844], 
     Hue[0.25000000000000006`, 1, 0.8073159282012654], 
     Hue[0.14059985352366575`, 1, 0.8049513392090243], 
     Hue[0.03525766314912675, 1, 0.8286138744289224], 
     Hue[0.938491577123601, 1, 0.8598673519168252], 
     Hue[0.6206096528081004, 1, 0.7789460099306934], 
     Hue[0.8544661238130485, 1, 0.7423804727318959], 
     Hue[0.7810687106491752, 1, 0.8237380512562055], 
     Hue[0.70558956090039, 1, 0.8782416187323981], 
     Hue[0.25000000000000006`, 1, 0.9116938945499807], 
     Hue[0.1513698819981216, 1, 0.9065573135574002], 
     Hue[0.05414243028580686, 1, 0.9083507152120753], 
     Hue[0.960988764807549, 1, 0.9105761302931564], 
     Hue[0.6357853780150238, 1, 0.7624665478840886], 
     Hue[0.8436303067319039, 1, 0.7031152636290267], 
     Hue[0.7681739987834675, 1, 0.7938166923498993], 
     Hue[0.6908052852342275, 1, 0.8626087429275195], 
     Hue[0.25000000000000006`, 1, 0.9555388996063378], 
     Hue[0.1575718693262122, 1, 0.9515174052868762], 
     Hue[0.06568583097582041, 1, 0.9441281541979449], 
     Hue[0.9759040275556804, 1, 0.9309350175980252], 
     Hue[0.7257789248631936, 1, 0.8109524606872749], 
     Hue[0.6484691346558141, 1, 0.7339641096910383], 
     Hue[0.8350378396593017, 1, 0.6485400996778984], 
     Hue[0.7582101870087208, 1, 0.7455265364831083], 
     Hue[0.6797731495363872, 1, 0.8253351465963966], 
     Hue[0.5992543099339509, 1, 0.8849748110185306], 
     Hue[0.25000000000000006`, 1, 0.9515907195008939], 
     Hue[0.161460569642611, 1, 0.949995859333576], 
     Hue[0.07314190165712657, 1, 0.9392044189126305], 
     Hue[0.9859970544545358, 1, 0.9182699467789673], 
     Hue[0.8177691851660824, 1, 0.8367984472187929], 
     Hue[0.737139211064714, 1, 0.7720482385573073], 
     Hue[0.6587155695535295, 1, 0.6909108618035446], 
     Hue[0.828343358221172, 1, 0.5795744991530672], 
     Hue[0.7506159466411296, 1, 0.6785986331167961], 
     Hue[0.671597090714702, 1, 0.7652177117431319], 
     Hue[0.5909891515900902, 1, 0.8353229863222024], 
     Hue[0.5085388971507223, 1, 0.887560409346284], 
     Hue[0.42411251990686855`, 1, 0.9227858094246788], 
     Hue[0.25000000000000006`, 1, 0.9077515093917339], 
     Hue[0.16403477352735393`, 1, 0.9090559693286265], 
     Hue[0.07815928722336225, 1, 0.8977277330260968], 
     Hue[0.9929816239586193, 1, 0.8734591078929197], 
     Hue[0.9090108484099098, 1, 0.8353229863222025], 
     Hue[0.8265834814021374, 1, 0.7823439913725668], 
     Hue[0.7458488329693955, 1, 0.7143010474375511], 
     Hue[0.8340025983554988, 1, 0.9309350175980251], 
     Hue[0.8308126560230353, 1, 0.9289258139032925], 
     Hue[0.6659974016445012, 1, 0.9309350175980252], 
     Hue[0.8504764791929972, 1, 0.90357961869918], 
     Hue[0.8504764791929972, 1, 0.90357961869918], 
     Hue[0.8190873356073676, 1, 0.9105761302931564], 
     Hue[0.8143098705996616, 1, 0.9004973024873693], 
     Hue[0.7928748108190191, 1, 0.9083507152120754], 
     Hue[0.7846578041668806, 1, 0.8740164172385897], 
     Hue[0.6809126643926325, 1, 0.9105761302931564], 
     Hue[0.6495235208070028, 1, 0.90357961869918], 
     Hue[0.6495235208070028, 1, 0.9035796186991799], 
     Hue[0.8278990501828061, 1, 0.8790158778748509], 
     Hue[0.8278990501828061, 1, 0.8790158778748508], 
     Hue[0.7965901479234195, 1, 0.8598673519168252], 
     Hue[0.7893377113083031, 1, 0.8435368577055202], 
     Hue[0.773990043682339, 1, 0.8286138744289224], 
     Hue[0.7599066102040706, 1, 0.7731225424335035], 
     Hue[0.7034098520765806, 1, 0.8598673519168252], 
     Hue[0.672100949817194, 1, 0.8790158778748509], 
     Hue[0.6721009498171941, 1, 0.879015877874851], 
     Hue[0.7974105245908069, 1, 0.8452010354508411], 
     Hue[0.7974105245908067, 1, 0.8452010354508412], 
     Hue[0.7626251062423273, 1, 0.7910245096334859], 
     Hue[0.7519091805293309, 1, 0.7740569412682947], 
     Hue[0.7410505728694892, 1, 0.7103822243707846], 
     Hue[0.7157087782295999, 1, 0.6463669071312564], 
     Hue[0.7034097657491056, 1, 0.4749403917612282], 
     Hue[0.7373748937576728, 1, 0.7910245096334856], 
     Hue[0.7025894754091933, 1, 0.8452010354508411], 
     Hue[0.7025894754091933, 1, 0.845201035450841], 
     Hue[0.9027418077081997, 1, 0.5584211807430195], 
     Hue[0.6800542364756179, 1, 0.8452010354508412], 
     Hue[0.6800542364756179, 1, 0.8452010354508411], 
     Hue[0.6061893902704877, 1, 0.7740569412682947], 
     Hue[0.5954734645574913, 1, 0.7910245096334859], 
     Hue[0.08404357548249973, 1, 0.47494039176122826`], 
     Hue[0.9769763976963877, 1, 0.6463669071312563], 
     Hue[0.8938106097295124, 1, 0.7740569412682947], 
     Hue[0.8199457635243822, 1, 0.845201035450841], 
     Hue[0.8199457635243822, 1, 0.8452010354508411], 
     Hue[0.6495657108836187, 1, 0.8790158778748508], 
     Hue[0.6495657108836187, 1, 0.8790158778748509], 
     Hue[0.5687608594915154, 1, 0.8435368577055202], 
     Hue[0.5615084228763991, 1, 0.8598673519168252], 
     Hue[0.021174229670858382`, 1, 0.7731225424335036], 
     Hue[0.9312391405084848, 1, 0.84353685770552], 
     Hue[0.8504342891163814, 1, 0.879015877874851], 
     Hue[0.8504342891163814, 1, 0.8790158778748509], 
     Hue[0.6269882818734276, 1, 0.90357961869918], 
     Hue[0.6269882818734276, 1, 0.90357961869918], 
     Hue[0.543788700200157, 1, 0.9004973024873693], 
     Hue[0.539011235192451, 1, 0.9105761302931564], 
     Hue[0.045925423633668284`, 1, 0.8740164172385899], 
     Hue[0.9562112997998432, 1, 0.9004973024873691], 
     Hue[0.8730117181265726, 1, 0.9035796186991799], 
     Hue[0.8730117181265726, 1, 0.90357961869918], 
     Hue[0.5272859147767832, 1, 0.9289258139032925], 
     Hue[0.5240959724443197, 1, 0.9309350175980251], 
     Hue[0.9727140852232169, 1, 0.9289258139032925], 
     Hue[0.0072199736450712015`, 1, 0.5795744991530672], 
     Hue[0.8510801947584379, 1, 0.8734591078929197], 
     Hue[0.8495596736490963, 1, 0.887560409346284], 
     Hue[0.8440956252543541, 1, 0.9182699467789672], 
     Hue[0.841916746820698, 1, 0.9245170860251992], 
     Hue[0.8168916677565745, 1, 0.8977277330260967], 
     Hue[0.8146198606263438, 1, 0.9227858094246788], 
     Hue[0.8118742821903389, 1, 0.9392044189126302], 
     Hue[0.8085299087084383, 1, 0.94648773329187], 
     Hue[0.7834009637939601, 1, 0.9090559693286265], 
     Hue[0.75, 1, 0.9077515093917339], 
     Hue[0.7815682757949703, 1, 0.9432346481550145], 
     Hue[0.7808267599092171, 1, 0.949995859333576], 
     Hue[0.75, 1, 0.9515907195008939], 
     Hue[0.7780754319341875, 1, 0.9551698032955066], 
     Hue[0.7165990362060399, 1, 0.9090559693286265], 
     Hue[0.7191732400907829, 1, 0.949995859333576], 
     Hue[0.4927800263549289, 1, 0.5795744991530672], 
     Hue[0.4976372458939288, 1, 0.6325596299282152], 
     Hue[0.8782104511324738, 1, 0.8849748110185306], 
     Hue[0.8782104511324738, 1, 0.8849748110185306], 
     Hue[0.8666687190460968, 1, 0.9073052089857775], 
     Hue[0.8666687190460967, 1, 0.9073052089857776], 
     Hue[0.8382420119333975, 1, 0.9300526514056077], 
     Hue[0.8044182115090327, 1, 0.944128154197945], 
     Hue[0.7993077899549452, 1, 0.9315910398649782], 
     Hue[0.7769380595928183, 1, 0.9515174052868762], 
     Hue[0.75, 1, 0.9555388996063378], 
     Hue[0.7725921583378563, 1, 0.9226592950201788], 
     Hue[0.7230619404071816, 1, 0.9515174052868762], 
     Hue[0.6881257178096611, 1, 0.9392044189126305], 
     Hue[0.6955817884909674, 1, 0.9441281541979449], 
     Hue[0.9060256660988034, 1, 0.8626087429275195], 
     Hue[0.9044024823902083, 1, 0.8656891973128202], 
     Hue[0.8666687190460967, 1, 0.9073052089857775], 
     Hue[0.8912413904326408, 1, 0.8782416187323981], 
     Hue[0.8324467720907057, 1, 0.930190087652376], 
     Hue[0.8592564171299851, 1, 0.9084914029182088], 
     Hue[0.8020054770741618, 1, 0.9391657650911344], 
     Hue[0.8253934563263088, 1, 0.9220340323263225], 
     Hue[0.7962815697932146, 1, 0.9213386965350483], 
     Hue[0.7707360722647277, 1, 0.9065573135574002], 
     Hue[0.75, 1, 0.9116938945499807], 
     Hue[0.7633076418203076, 1, 0.8363010026950666], 
     Hue[0.7292639277352724, 1, 0.9065573135574002], 
     Hue[0.9351284309504618, 1, 0.8237380512562055], 
     Hue[0.9313864880400073, 1, 0.8286299025196268], 
     Hue[0.8890819269837161, 1, 0.8788529560931749], 
     Hue[0.8504764791929972, 1, 0.90357961869918], 
     Hue[0.871785870509716, 1, 0.8765735775872844], 
     Hue[0.8167603691447565, 1, 0.9057737829125595], 
     Hue[0.8400994635236294, 1, 0.8933563440048695], 
     Hue[0.7890251968741864, 1, 0.8925832234971509], 
     Hue[0.8061439910944699, 1, 0.8819757120392895], 
     Hue[0.7796823545699658, 1, 0.8526683896461046], 
     Hue[0.9188320726627457, 1, 0.8381387806608801], 
     Hue[0.9141997772863701, 1, 0.8398629490641548], 
     Hue[0.8689906376107912, 1, 0.8755005570709918], 
     Hue[0.827899050182806, 1, 0.879015877874851], 
     Hue[0.7930579797512991, 1, 0.8518361023779951], 
     Hue[0.7674501103000662, 1, 0.8020089472190274], 
     Hue[0.7599660437902719, 1, 0.8049513392090245], 
     Hue[0.75, 1, 0.8073159282012654], 
     Hue[0.7455131540459121, 1, 0.6853440719280961], 
     Hue[0.7400339562097281, 1, 0.8049513392090243], 
     Hue[0.726009956317661, 1, 0.8286138744289224], 
     Hue[0.8990148378623327, 1, 0.8420074277961784], 
     Hue[0.8471424511057736, 1, 0.8654010527165042], 
     Hue[0.8437111704395812, 1, 0.8638394798862122], 
     Hue[0.7974105245908067, 1, 0.8452010354508411], 
     Hue[0.7573839566024217, 1, 0.7824189442471857], 
     Hue[0.7293024352333131, 1, 0.6780012597066323], 
     Hue[0.7615779307740572, 1, 0.6371182952663321], 
     Hue[0.758949427130511, 1, 0.7103822243707844], 
     Hue[0.8176191546623788, 1, 0.5912669093149007], 
     Hue[0.7855415064837655, 1, 0.7338010704199465], 
     Hue[0.6528575488942265, 1, 0.865401052716504], 
     Hue[0.6597903911534945, 1, 0.8623115256183164], 
     Hue[0.740610354434533, 1, 0.8202823722822382], 
     Hue[0.740610354434533, 1, 0.8202823722822382], 
     Hue[0.6009851621376673, 1, 0.8420074277961785], 
     Hue[0.6120686568760586, 1, 0.8418822452936968], 
     Hue[0.8762540865113002, 1, 0.8413430775388139], 
     Hue[0.8179603264845385, 1, 0.8549217843837714], 
     Hue[0.7593896455654672, 1, 0.8202823722822384], 
     Hue[0.7593896455654671, 1, 0.8202823722822384], 
     Hue[0.7144584935162346, 1, 0.7338010704199466], 
     Hue[0.7005572195636496, 1, 0.726118444364908], 
     Hue[0.657541351236169, 1, 0.726118444364908], 
     Hue[0.643640077283584, 1, 0.7338010704199466], 
     Hue[0.7499999999999998, 1, 0.1799125544829556], 
     Hue[0.8581662421982612, 1, 0.34941967508830973`], 
     Hue[0.8424586487638313, 1, 0.7261184443649079], 
     Hue[0.6820396735154615, 1, 0.8549217843837714], 
     Hue[0.6897998791515965, 1, 0.8535206030793314], 
     Hue[0.6237459134886998, 1, 0.841343077538814], 
     Hue[0.6358055372121088, 1, 0.8409272159978276], 
     Hue[0.8520026788117459, 1, 0.8409272159978274], 
     Hue[0.7866308304846273, 1, 0.8535206030793314], 
     Hue[0.7180751155009577, 1, 0.8202823722822384], 
     Hue[0.7180751155009576, 1, 0.8202823722822384], 
     Hue[0.6982881400928638, 1, 0.8303993958229641], 
     Hue[0.6239852568870798, 1, 0.7512882449826099], 
     Hue[0.4775324324648675, 1, 0.34941967508831007`], 
     Hue[0.5230236023036126, 1, 0.6463669071312564], 
     Hue[0.2500000000000003, 1, 0.1799125544829556], 
     Hue[0.38094412104066344`, 1, 0.6371182952663326], 
     Hue[0.7819248844990425, 1, 0.8202823722822382], 
     Hue[0.7819248844990425, 1, 0.8202823722822382], 
     Hue[0.7133691695153727, 1, 0.8535206030793314], 
     Hue[0.7211293751515078, 1, 0.8549217843837714], 
     Hue[0.6479973211882543, 1, 0.8409272159978276], 
     Hue[0.6600569449116632, 1, 0.841343077538814], 
     Hue[0.8282657984756956, 1, 0.8418822452936966], 
     Hue[0.7566213424865254, 1, 0.8623115256183164], 
     Hue[0.7531197808934497, 1, 0.8638394798862122], 
     Hue[0.6800542364756179, 1, 0.8452010354508411], 
     Hue[0.5811332291179594, 1, 0.8175099747924113], 
     Hue[0.395146909651119, 1, 0.5582750263689441], 
     Hue[0.2500000000000001, 1, 0.4981115188019684], 
     Hue[0.9905700547001008, 1, 0.678001259706632], 
     Hue[0.8992853858026033, 1, 0.7824189442471857], 
     Hue[0.8199457635243822, 1, 0.8452010354508411], 
     Hue[0.7433786575134746, 1, 0.8623115256183164], 
     Hue[0.7503114997727428, 1, 0.865401052716504], 
     Hue[0.6717342015243044, 1, 0.8418822452936968], 
     Hue[0.6828176962626957, 1, 0.8420074277961785], 
     Hue[0.47882577032914186`, 1, 0.7731225424335035], 
     Hue[0.46474233685087346`, 1, 0.8286138744289224], 
     Hue[0.37385303622069416`, 1, 0.6853440719280961], 
     Hue[0.3594001464763344, 1, 0.8049513392090245], 
     Hue[0.12614696377930604`, 1, 0.6853440719280964], 
     Hue[0.02871772976685396, 1, 0.8020089472190274], 
     Hue[0.9349594089514808, 1, 0.8518361023779951], 
     Hue[0.8504342891163814, 1, 0.879015877874851], 
     Hue[0.769281735510425, 1, 0.874294389704455], 
     Hue[0.7749549191766852, 1, 0.8765735775872844], 
     Hue[0.8626347024572047, 1, 0.8933563440048695], 
     Hue[0.6931505075409605, 1, 0.8410174169569442], 
     Hue[0.7026349310631087, 1, 0.8381387806608802], 
     Hue[0.7900164240300531, 1, 0.8792015533292333], 
     Hue[0.7944104390996101, 1, 0.8782416187323981], 
     Hue[0.35605854844629864`, 1, 0.8363010026950666], 
     Hue[0.25000000000000006`, 1, 0.8073159282012654], 
     Hue[0.34863011800187854`, 1, 0.9065573135574002], 
     Hue[0.3467740319287499, 1, 0.9226592950201788], 
     Hue[0.25000000000000006`, 1, 0.9116938945499808], 
     Hue[0.34242813067378797`, 1, 0.9515174052868762], 
     Hue[0.14394145155370155`, 1, 0.8363010026950667], 
     Hue[0.1532259680712503, 1, 0.9226592950201788], 
     Hue[0.05029281634097417, 1, 0.8925832234971509], 
     Hue[0.060575409421733006`, 1, 0.9315910398649784], 
     Hue[0.958661798344938, 1, 0.9057737829125595], 
     Hue[0.8730117181265726, 1, 0.9035796186991799], 
     Hue[0.7922509756506853, 1, 0.8788529560931749], 
     Hue[0.8892039579796721, 1, 0.9073052089857776], 
     Hue[0.8892039579796721, 1, 0.9073052089857776], 
     Hue[0.7112279877276135, 1, 0.832608724768102], 
     Hue[0.7189312893508248, 1, 0.8237380512562057], 
     Hue[0.8058879010770468, 1, 0.8684331480377452], 
     Hue[0.8091947147657726, 1, 0.8626087429275193], 
     Hue[0.43431416902417974`, 1, 0.944128154197945], 
     Hue[0.43020247182477406`, 1, 0.94648773329187], 
     Hue[0.42685809834287364`, 1, 0.9392044189126302], 
     Hue[0.34129075833241873`, 1, 0.9551698032955066], 
     Hue[0.25000000000000006`, 1, 0.9555388996063379], 
     Hue[0.3385394303573892, 1, 0.949995859333576], 
     Hue[0.15870924166758144`, 1, 0.9551698032955066], 
     Hue[0.06327309654094958, 1, 0.9391657650911344], 
     Hue[0.06979752817522614, 1, 0.94648773329187], 
     Hue[0.9743482012908873, 1, 0.9301900876523762], 
     Hue[0.8892039579796721, 1, 0.9073052089857776], 
     Hue[0.9838181760208795, 1, 0.9245170860251992], 
     Hue[0.8075715310571775, 1, 0.8656891973128202], 
     Hue[0.9007456900660492, 1, 0.8849748110185307], 
     Hue[0.9007456900660492, 1, 0.8849748110185307], 
     Hue[0.3377979144716359, 1, 0.9432346481550145], 
     Hue[0.25000000000000006`, 1, 0.951590719500894], 
     Hue[0.3359652264726462, 1, 0.9090559693286265], 
     Hue[0.1622020855283643, 1, 0.9432346481550145], 
     Hue[0.07588748009313163, 1, 0.9227858094246788], 
     Hue[0.9914611028492779, 1, 0.887560409346284], 
     Hue[0.8332005777601719, 1, 0.6325596299282152], 
     Hue[0.6667994222398281, 1, 0.6325596299282152], 
     Hue[0.6716566417788281, 1, 0.5795744991530672], 
     Hue[0.6723781207665256, 1, 0.5700805854525615], 
     Hue[0.007941452632768697, 1, 0.5700805854525615], 
     Hue[0.8470116140539828, 1, 0.9051278432033208], 
     Hue[0.8133132626532567, 1, 0.9321061778837566], 
     Hue[0.7812068898350915, 1, 0.9469166761567087], 
     Hue[0.872924933844087, 1, 0.8995466633651493], 
     Hue[0.8065826791395317, 1, 0.946546186751928], 
     Hue[0.7775228845123429, 1, 0.9536963733470569], 
     Hue[0.7716948871827409, 1, 0.9150383374477578], 
     Hue[0.75, 1, 0.7268578247565103], 
     Hue[0.7462512184965293, 1, 0.7499759526161308], 
     Hue[0.8935585029786645, 1, 0.8420376452005884], 
     Hue[0.75, 1, 0.4981115188019684], 
     Hue[0.7757807193845127, 1, 0.558275026368944], 
     Hue[0.6562888295604188, 1, 0.8638394798862122], 
     Hue[0.7208233790264391, 1, 0.8303993958229638], 
     Hue[0.6064414970213357, 1, 0.8420376452005887], 
     Hue[0.8702570867556151, 1, 0.8410949419073589], 
     Hue[0.8140945090973895, 1, 0.8541398966247541], 
     Hue[0.7593896455654671, 1, 0.8202823722822384], 
     Hue[0.7075716447274772, 1, 0.7295180824656238], 
     Hue[0.6790492853999093, 1, 0.7216567940244797], 
     Hue[0.6859054909026105, 1, 0.8541398966247541], 
     Hue[0.629742913244385, 1, 0.8410949419073589], 
     Hue[0.845940054844022, 1, 0.8410949419073589], 
     Hue[0.7827364422356415, 1, 0.8541398966247541], 
     Hue[0.7180751155009577, 1, 0.8202823722822384], 
     Hue[0.5386415386062129, 1, 0.6169012254878519], 
     Hue[0.42503548889201787`, 1, 0.4472933382867117], 
     Hue[0.8494730739276588, 1, 0.7295180824656234], 
     Hue[0.7819248844990425, 1, 0.8202823722822382], 
     Hue[0.7172635577643586, 1, 0.8541398966247541], 
     Hue[0.6540599451559781, 1, 0.8410949419073589], 
     Hue[0.8226386386209725, 1, 0.8420376452005884], 
     Hue[0.7468802191065504, 1, 0.8638394798862122], 
     Hue[0.6773613613790275, 1, 0.8420376452005887], 
     Hue[0.36561740876313553`, 1, 0.7499759526161309], 
     Hue[0.25000000000000006`, 1, 0.7268578247565103], 
     Hue[0.7721596862777604, 1, 0.8755005570709918], 
     Hue[0.6980026356867332, 1, 0.839862949064155], 
     Hue[0.7828472968738407, 1, 0.8788066641195388], 
     Hue[0.3476713030838653, 1, 0.9150383374477578], 
     Hue[0.8817916560635606, 1, 0.9084914029182086], 
     Hue[0.7151893464403702, 1, 0.828629902519627], 
     Hue[0.800455263967988, 1, 0.8747133908088282], 
     Hue[0.43214970139368075`, 1, 0.946546186751928], 
     Hue[0.3418433057542634, 1, 0.9536963733470569], 
     Hue[0.8954601727776623, 1, 0.8995466633651495], 
     Hue[0.3381593004315149, 1, 0.9469166761567087], 
     Hue[0.7791766209735609, 1, 0.8303993958229641], 
     Hue[0.6706782150059403, 1, 0.8581285214663533], 
     Hue[0.7387323805332123, 1, 0.8166817952711278], 
     Hue[0.7612676194667878, 1, 0.8166817952711277], 
     Hue[0.7015845243334846, 1, 0.8527098382532772], 
     Hue[0.8017118599071362, 1, 0.8303993958229638], 
     Hue[0.732490833661029, 1, 0.8581285214663533], 
     Hue[0.7499999999999998, 1, 0.17991255448295537`], 
     Hue[0.7791766209735609, 1, 0.830399395822964], 
     Hue[0.8161458349119054, 1, 0.4203429840006256], 
     Hue[0.8421935290187962, 1, 0.3707197665303113], 
     Hue[0.37500000000000006`, 1, 2.998655710929963*^-16], 
     Hue[0.2500000000000003, 1, 0.17991255448295537`], 
     Hue[0.43551202517851156`, 1, 0.4203429840006261], 
     Hue[0.46155971928540257`, 1, 0.3707197665303113], 
     Hue[0.7499999999999997, 1, 0.09069534312440795], 
     Hue[0.8762319344508245, 1, 0.33154057667968234`], 
     Hue[0.25000000000000044`, 1, 0.09069534312440795], 
     Hue[0.25000000000000017`, 1, 0.3486626392796046], 
     Hue[0.2500000000000001, 1, 0.4981115188019683], 
     Hue[0.6979945229258382, 1, 0.9391657650911344], 
     Hue[0.6832396308552435, 1, 0.9057737829125595], 
     Hue[0.6495235208070028, 1, 0.9035796186991799], 
     Hue[0.6599005364763706, 1, 0.8933563440048695], 
     Hue[0.6863068323510714, 1, 0.862240227369759], 
     Hue[0.6943307013745883, 1, 0.4472933382867117], 
     Hue[0.6418337578017388, 1, 0.34941967508831007`], 
     Hue[0.022467567535132696`, 1, 0.34941967508830973`], 
     Hue[0.9239755831499966, 1, 0.5712310080479575], 
     Hue[0.10485309034888124`, 1, 0.558275026368944], 
     Hue[0.5650405910485194, 1, 0.8518361023779951], 
     Hue[0.6373652975427954, 1, 0.8933563440048695], 
     Hue[0.5413382016550621, 1, 0.9057737829125595], 
     Hue[0.5327051144735098, 1, 0.9220340323263225], 
     Hue[0.4367269034590506, 1, 0.9391657650911344], 
     Hue[0.8136931676489287, 1, 0.8622402273697591], 
     Hue[0.7069420202487009, 1, 0.8518361023779951], 
     Hue[0.672100949817194, 1, 0.879015877874851], 
     Hue[0.7421595392457012, 1, 0.6617186007706521], 
     Hue[0.7242192806154872, 1, 0.5582750263689441], 
     Hue[0.7000908419269996, 1, 0.6169012254878519], 
     Hue[0.662707963683209, 1, 0.5712310080479575], 
     Hue[0.6838541650880947, 1, 0.4203429840006261], 
     Hue[0.6578064709812037, 1, 0.3707197665303113], 
     Hue[0.8362284065825041, 1, 0.862240227369759], 
     Hue[0.663771593417496, 1, 0.8622402273697591], 
     Hue[0.5519545797053487, 1, 0.8819757120392895], 
     Hue[0.5490892453710547, 1, 0.8885801579139281], 
     Hue[0.7706975647666869, 1, 0.678001259706632], 
     Hue[0.7818152722405302, 1, 0.530731152977949], 
     Hue[0.8372920363167912, 1, 0.5712310080479575], 
     Hue[0.8176191546623787, 1, 0.5912669093149008], 
     Hue[0.5760244168500035, 1, 0.5712310080479575], 
     Hue[0.556351535195591, 1, 0.5912669093149011], 
     Hue[0.5563515351955911, 1, 0.5912669093149009], 
     Hue[0.5821481729542071, 1, 0.30941083485872506`], 
     Hue[0.6237680655491756, 1, 0.33154057667968273`], 
     Hue[0.537218017312399, 1, 0.30941083485872506`], 
     Hue[0.4955981247174306, 1, 0.33154057667968273`], 
     Hue[0.5094299452998994, 1, 0.6780012597066323], 
     Hue[0.48755595292842635`, 1, 0.7423749886044193], 
     Hue[0.2500000000000003, 1, 0.17991255448295582`], 
     Hue[0.7601548934797389, 1, 0.870077290549714], 
     Hue[0.75, 1, 0.4981115188019683], 
     Hue[0.75, 1, 0.42614264173990707`], 
     Hue[0.6414741882414119, 1, 0.5584211807430197], 
     Hue[0.6414741882414119, 1, 0.5584211807430196], 
     Hue[0.5972581922918005, 1, 0.5584211807430197], 
     Hue[0.5972581922918004, 1, 0.5584211807430196], 
     Hue[0.41595642451750053`, 1, 0.47494039176122826`], 
     Hue[0.4011814625071363, 1, 0.5307311529779494], 
     Hue[0.75, 1, 0.6243241591804888], 
     Hue[0.75, 1, 0.49811151880196847`], 
     Hue[0.75, 1, 0.5642154838639206], 
     Hue[0.75, 1, 0.3486626392796043], 
     Hue[0.7499999999999998, 1, 0.17991255448295582`], 
     Hue[0.7499999999999999, 1, 0.26628755615301286`], 
     Hue[0.9627819826876012, 1, 0.3094108348587247], 
     Hue[0.0044018752825694275`, 1, 0.33154057667968234`], 
     Hue[0.8585258117585881, 1, 0.5584211807430195], 
     Hue[0.8585258117585881, 1, 0.5584211807430195], 
     Hue[0.9027418077081996, 1, 0.5584211807430195], 
     Hue[0.8806338097333939, 1, 0.5540082172371732], 
     Hue[0.25000000000000017`, 1, 0.42614264173990707`], 
     Hue[0.7071251891809809, 1, 0.9083507152120753], 
     Hue[0.6333312809539033, 1, 0.9073052089857776], 
     Hue[0.6333312809539033, 1, 0.9073052089857776], 
     Hue[0.6675532279092943, 1, 0.9301900876523762], 
     Hue[0.6333312809539033, 1, 0.9073052089857776], 
     Hue[0.6691873439769647, 1, 0.9289258139032925], 
     Hue[0.6727089985542032, 1, 0.924845100912334], 
     Hue[0.6856901294003384, 1, 0.9004973024873691], 
     Hue[0.6909906745712362, 1, 0.8885801579139281], 
     Hue[0.6087586095673592, 1, 0.8782416187323981], 
     Hue[0.613152624636916, 1, 0.8792015533292333], 
     Hue[0.6109180730162839, 1, 0.8788529560931749], 
     Hue[0.628214129490284, 1, 0.8765735775872844], 
     Hue[0.6338873131565443, 1, 0.874294389704455], 
     Hue[0.6310093623892088, 1, 0.8755005570709918], 
     Hue[0.03844028071459773, 1, 0.3707197665303113], 
     Hue[0.943648464804409, 1, 0.5912669093149007], 
     Hue[0.9436484648044091, 1, 0.5912669093149008], 
     Hue[0.7307182644895751, 1, 0.874294389704455], 
     Hue[0.11016817345628412`, 1, 0.5852885981082899], 
     Hue[0.610796042020328, 1, 0.9073052089857776], 
     Hue[0.610796042020328, 1, 0.9073052089857775], 
     Hue[0.6182083439364396, 1, 0.9084914029182088], 
     Hue[0.44585756971419327`, 1, 0.9083507152120754], 
     Hue[0.449707183659026, 1, 0.8925832234971509], 
     Hue[0.5161818239791207, 1, 0.9245170860251992], 
     Hue[0.5140029455454644, 1, 0.9182699467789672], 
     Hue[0.519856558866421, 1, 0.9300526514056077], 
     Hue[0.6559043747456459, 1, 0.9182699467789673], 
     Hue[0.7109748031258136, 1, 0.8925832234971509], 
     Hue[0.6407435828700149, 1, 0.9084914029182086], 
     Hue[0.6407435828700149, 1, 0.9084914029182086], 
     Hue[0.8136931676489287, 1, 0.8622402273697591], 
     Hue[0.6599005364763706, 1, 0.8933563440048695], 
     Hue[0.7384220692259428, 1, 0.6371182952663326], 
     Hue[0.7295343637228902, 1, 0.5852885981082899], 
     Hue[0.6823808453376214, 1, 0.5912669093149011], 
     Hue[0.6823808453376212, 1, 0.5912669093149009], 
     Hue[0.8362284065825041, 1, 0.862240227369759], 
     Hue[0.7278403137222397, 1, 0.8755005570709918], 
     Hue[0.6495657108836187, 1, 0.879015877874851], 
     Hue[0.6637715934174959, 1, 0.8622402273697591], 
     Hue[0.7099835759699469, 1, 0.8792015533292334], 
     Hue[0.7077490243493147, 1, 0.8788529560931749], 
     Hue[0.6269882818734276, 1, 0.90357961869918], 
     Hue[0.6373652975427954, 1, 0.8933563440048695], 
     Hue[0.5256517987091128, 1, 0.930190087652376], 
     Hue[0.5308075693540217, 1, 0.9248451009123341], 
     Hue[0.8537821857135328, 1, 0.86854124176383], 
     Hue[0.7589494271305108, 1, 0.7103822243707844], 
     Hue[0.6430141551872304, 1, 0.870077290549714], 
     Hue[0.6462178142864672, 1, 0.86854124176383], 
     Hue[0.559683095133303, 1, 0.30649863326639115`], 
     Hue[0.49768180766372333`, 1, 0.7103822243707846], 
     Hue[0.4976818076637234, 1, 0.7103822243707846], 
     Hue[0.25000000000000017`, 1, 0.26628755615301286`], 
     Hue[0.3772066510209049, 1, 0.6617186007706521], 
     Hue[0.2500000000000001, 1, 0.49811151880196847`], 
     Hue[0.2500000000000001, 1, 0.5642154838639206], 
     Hue[0.7569512343805019, 1, 0.86854124176383], 
     Hue[0.44245081073999776`, 1, 0.9213386965350483], 
     Hue[0.4394245905782672, 1, 0.9315910398649782], 
     Hue[0.4394245905782671, 1, 0.9315910398649784], 
     Hue[0.6193661902666062, 1, 0.5540082172371734], 
     Hue[0.7006922100450548, 1, 0.9315910398649784], 
     Hue[0.7006922100450548, 1, 0.9315910398649784], 
     Hue[0.7071251891809809, 1, 0.9083507152120754], 
     Hue[0.663103697402256, 1, 0.9308657569827543], 
     Hue[0.7496885002272573, 1, 0.8654010527165042], 
     Hue[0.7430487656194982, 1, 0.86854124176383], 
     Hue[0.7367213501986482, 1, 0.8715621964866571], 
     Hue[0.6203217517931285, 1, 0.8788066641195388], 
     Hue[0.6228708953937607, 1, 0.878244576552001], 
     Hue[0.4590500259632467, 1, 0.8526683896461046], 
     Hue[0.4540745763663319, 1, 0.8740164172385897], 
     Hue[0.4540745763663319, 1, 0.8740164172385899], 
     Hue[0.42844611014868667`, 1, 0.9440190743600719], 
     Hue[0.2500000000000001, 1, 0.6243241591804891], 
     Hue[0.25000000000000006`, 1, 0.7268578247565103], 
     Hue[0.6217895488675262, 1, 0.8849748110185307], 
     Hue[0.6217895488675262, 1, 0.8849748110185307], 
     Hue[0.627075066155913, 1, 0.8995466633651495], 
     Hue[0.627075066155913, 1, 0.8995466633651495], 
     Hue[0.5939743339011965, 1, 0.8626087429275193], 
     Hue[0.5972811475899225, 1, 0.8684331480377452], 
     Hue[0.6027137846989812, 1, 0.8747133908088282], 
     Hue[0.6046582352571843, 1, 0.8761827281848368], 
     Hue[0.9963745260328338, 1, 0.6461446592666994], 
     Hue[0.045024953257154034`, 1, 0.5329093789859074], 
     Hue[0.9495807497948385, 1, 0.7457392831897159], 
     Hue[0.9050306668625143, 1, 0.8254439339009634], 
     Hue[0.8629974437872358, 1, 0.8833983625641706], 
     Hue[0.8234974558404069, 1, 0.9210995865078577], 
     Hue[0.7861289732939732, 1, 0.9417001892230864], 
     Hue[0.75, 1, 0.948165328246505], 
     Hue[0.7138710267060266, 1, 0.9417001892230864], 
     Hue[0.6765025441595931, 1, 0.9210995865078577], 
     Hue[0.6370025562127642, 1, 0.8833983625641706], 
     Hue[0.5949693331374857, 1, 0.8254439339009634], 
     Hue[0.5504192502051615, 1, 0.7457392831897159], 
     Hue[0.5036254739671662, 1, 0.6461446592666994], 
     Hue[0.9892826079927086, 1, 0.697915046586627], 
     Hue[0.039094873615557496`, 1, 0.5834283403435024], 
     Hue[0.941672905929758, 1, 0.7939393248857113], 
     Hue[0.8968611599605695, 1, 0.8661732322115447], 
     Hue[0.8553797716319935, 1, 0.9143601299612529], 
     Hue[0.817473596136298, 1, 0.9420964036158548], 
     Hue[0.7827645965940229, 1, 0.9550773158509107], 
     Hue[0.75, 1, 0.9586599610596821], 
     Hue[0.7172354034059771, 1, 0.9550773158509107], 
     Hue[0.682526403863702, 1, 0.9420964036158548], 
     Hue[0.6446202283680065, 1, 0.9143601299612529], 
     Hue[0.6031388400394304, 1, 0.8661732322115447], 
     Hue[0.558327094070242, 1, 0.7939393248857113], 
     Hue[0.5107173920072913, 1, 0.697915046586627], 
     Hue[0.46090512638444253`, 1, 0.5834283403435024], 
     Hue[0.9805101054877345, 1, 0.7375953601757199], 
     Hue[0.03191209763487691, 1, 0.6248935007641735], 
     Hue[0.931618083025404, 1, 0.8268515700589899], 
     Hue[0.7778218254765776, 1, 0.9356187577468856], 
     Hue[0.75, 1, 0.9344142264939415], 
     Hue[0.7221781745234224, 1, 0.9356187577468856], 
     Hue[0.6138879431025654, 1, 0.8880359723455133], 
     Hue[0.568381916974596, 1, 0.8268515700589899], 
     Hue[0.5194898945122655, 1, 0.7375953601757199], 
     Hue[0.46808790236512315`, 1, 0.6248935007641735], 
     Hue[0.9698352724481837, 1, 0.7655345950527511], 
     Hue[0.023372497364042427`, 1, 0.6568724097125588], 
     Hue[0.9189843389713331, 1, 0.8456162937672219], 
     Hue[0.8720175397066896, 1, 0.8924825111452377], 
     Hue[0.8305324534930159, 1, 0.9072426715879014], 
     Hue[0.7962999997769792, 1, 0.8973128339027518], 
     Hue[0.7701839970018799, 1, 0.8778336447214186], 
     Hue[0.75, 1, 0.8681070017448741], 
     Hue[0.72981600299812, 1, 0.8778336447214186], 
     Hue[0.7037000002230207, 1, 0.8973128339027518], 
     Hue[0.6694675465069841, 1, 0.9072426715879014], 
     Hue[0.6279824602933103, 1, 0.8924825111452377], 
     Hue[0.5810156610286669, 1, 0.8456162937672219], 
     Hue[0.5301647275518162, 1, 0.7655345950527511], 
     Hue[0.4766275026359576, 1, 0.6568724097125588], 
     Hue[0.9571422610133782, 1, 0.7832594475400558], 
     Hue[0.0134595787583898, 1, 0.6798346721586198], 
     Hue[0.9034257077948548, 1, 0.8529304669769097], 
     Hue[0.8537602774665072, 1, 0.8830937333287712], 
     Hue[0.8104842646674563, 1, 0.8730150788569466], 
     Hue[0.7771350934150772, 1, 0.829547014411343], 
     Hue[0.7574607361456006, 1, 0.7750512441186407], 
     Hue[0.75, 1, 0.748954105071577], 
     Hue[0.7425392638543993, 1, 0.7750512441186407], 
     Hue[0.7228649065849228, 1, 0.829547014411343], 
     Hue[0.6895157353325437, 1, 0.8730150788569466], 
     Hue[0.6462397225334928, 1, 0.8830937333287712], 
     Hue[0.5965742922051451, 1, 0.8529304669769097], 
     Hue[0.5428577389866218, 1, 0.7832594475400558], 
     Hue[0.48654042124161023`, 1, 0.6798346721586198], 
     Hue[0.9425155692222589, 1, 0.7931051561550461], 
     Hue[0.0022902265238722128`, 1, 0.6948510462046508], 
     Hue[0.8848637691117781, 1, 0.8528426130524271], 
     Hue[0.830759932278188, 1, 0.8661272427613167], 
     Hue[0.7829434289605328, 1, 0.8277685241857972], 
     Hue[0.7470297708699766, 1, 0.7386480299304998], 
     Hue[0.7336951958893678, 1, 0.6242932590267093], 
     Hue[0.75, 1, 0.5642154838639208], 
     Hue[0.7663048041106322, 1, 0.6242932590267093], 
     Hue[0.7529702291300233, 1, 0.7386480299304998], 
     Hue[0.7170565710394672, 1, 0.8277685241857972], 
     Hue[0.669240067721812, 1, 0.8661272427613167], 
     Hue[0.6151362308882218, 1, 0.8528426130524271], 
     Hue[0.5574844307777411, 1, 0.7931051561550461], 
     Hue[0.4977097734761278, 1, 0.6948510462046508], 
     Hue[0.9263271304806012, 1, 0.7976378812552063], 
     Hue[0.9092555094855068, 1, 0.798889401126926], 
     Hue[0.9901457685941535, 1, 0.7031827075168962], 
     Hue[0.9774647610664247, 1, 0.7058327295000129], 
     Hue[0.8637188620155064, 1, 0.8500748821118613], 
     Hue[0.8032420829750073, 1, 0.8502055196117734], 
     Hue[0.7469206524920383, 1, 0.7871650751111193], 
     Hue[0.7001525928196414, 1, 0.6497108212688558], 
     Hue[0.6816669490169704, 1, 0.44663782824814446`], 
     Hue[0.75, 1, 0.30803756946719224`], 
     Hue[0.8183330509830294, 1, 0.44663782824814446`], 
     Hue[0.7998474071803585, 1, 0.6497108212688558], 
     Hue[0.7530793475079616, 1, 0.7871650751111193], 
     Hue[0.7953722452572465, 1, 0.7704664138676485], 
     Hue[0.6967579170249927, 1, 0.8502055196117734], 
     Hue[0.6362811379844937, 1, 0.8500748821118613], 
     Hue[0.5736728695193989, 1, 0.7976378812552063], 
     Hue[0.5907444905144932, 1, 0.798889401126926], 
     Hue[0.5098542314058465, 1, 0.7031827075168962], 
     Hue[0.5225352389335753, 1, 0.7058327295000129], 
     Hue[0.8921838884904125, 1, 0.7976378812552063], 
     Hue[0.9647837535386959, 1, 0.7031827075168959], 
     Hue[0.6623348569934685, 1, 0.7871650751111192], 
     Hue[0.6078161115095875, 1, 0.7976378812552063], 
     Hue[0.5352162464613041, 1, 0.7031827075168959], 
     Hue[0.8759954497487549, 1, 0.7931051561550458], 
     Hue[0.9526392956089772, 1, 0.6948510462046508], 
     Hue[0.626312080524974, 1, 0.827768524185797], 
     Hue[0.6240045502512451, 1, 0.7931051561550458], 
     Hue[0.5473607043910228, 1, 0.6948510462046508], 
     Hue[0.8613687579576355, 1, 0.7832594475400558], 
     Hue[0.9414699433744596, 1, 0.6798346721586199], 
     Hue[0.7786668080143234, 1, 0.8529304669769097], 
     Hue[0.49570191290859406`, 1, 0.829547014411343], 
     Hue[0.12104223298376503`, 1, 0.7750512441186405], 
     Hue[0.6386312420423645, 1, 0.7832594475400558], 
     Hue[0.5585300566255404, 1, 0.6798346721586199], 
     Hue[0.84867574652283, 1, 0.765534595052751], 
     Hue[0.931557024768807, 1, 0.6568724097125587], 
     Hue[0.763108176837845, 1, 0.8456162937672218], 
     Hue[0.6736564729406527, 1, 0.8924825111452377], 
     Hue[0.578723055992491, 1, 0.9072426715879013], 
     Hue[0.476537006546692, 1, 0.8973128339027517], 
     Hue[0.36623450615995573`, 1, 0.8778336447214182], 
     Hue[0.25, 1, 0.868107001744874], 
     Hue[0.1337654938400443, 1, 0.8778336447214182], 
     Hue[0.023462993453307997`, 1, 0.8973128339027517], 
     Hue[0.921276944007509, 1, 0.9072426715879013], 
     Hue[0.8263435270593472, 1, 0.8924825111452377], 
     Hue[0.7368918231621548, 1, 0.8456162937672218], 
     Hue[0.6513242534771699, 1, 0.765534595052751], 
     Hue[0.568442975231193, 1, 0.6568724097125587], 
     Hue[0.8380009134832791, 1, 0.7375953601757199], 
     Hue[0.9230174244979724, 1, 0.6248935007641734], 
     Hue[0.7504744327837742, 1, 0.8268515700589898], 
     Hue[0.659561955749908, 1, 0.8880359723455133], 
     Hue[0.5643014995332065, 1, 0.9221036316616594], 
     Hue[0.4639422402724905, 1, 0.9348104559409833], 
     Hue[0.358596677685258, 1, 0.9356187577468856], 
     Hue[0.25, 1, 0.9344142264939416], 
     Hue[0.14140332231474204`, 1, 0.9356187577468856], 
     Hue[0.03605775972750955, 1, 0.9348104559409833], 
     Hue[0.9356985004667935, 1, 0.9221036316616594], 
     Hue[0.840438044250092, 1, 0.8880359723455133], 
     Hue[0.7495255672162258, 1, 0.8268515700589898], 
     Hue[0.6619990865167209, 1, 0.7375953601757199], 
     Hue[0.5769825755020275, 1, 0.6248935007641734], 
     Hue[0.829228410978305, 1, 0.6979150465866272], 
     Hue[0.9158346485172919, 1, 0.5834283403435025], 
     Hue[0.7404196098794202, 1, 0.7939393248857113], 
     Hue[0.6488128526867729, 1, 0.8661732322115449], 
     Hue[0.5538757378535133, 1, 0.9143601299612529], 
     Hue[0.4553634101873732, 1, 0.9420964036158548], 
     Hue[0.35365390656781276`, 1, 0.9550773158509109], 
     Hue[0.25, 1, 0.9586599610596822], 
     Hue[0.14634609343218727`, 1, 0.9550773158509109], 
     Hue[0.0446365898126268, 1, 0.9420964036158548], 
     Hue[0.9461242621464867, 1, 0.9143601299612529], 
     Hue[0.8511871473132271, 1, 0.8661732322115449], 
     Hue[0.7595803901205798, 1, 0.7939393248857113], 
     Hue[0.670771589021695, 1, 0.6979150465866272], 
     Hue[0.5841653514827081, 1, 0.5834283403435025], 
     Hue[0.8221364929381798, 1, 0.6461446592666994], 
     Hue[0.7325117660143396, 1, 0.7457392831897159], 
     Hue[0.6406433457848282, 1, 0.8254439339009634], 
     Hue[0.5462580656982711, 1, 0.8833983625641706], 
     Hue[0.44933955048326435`, 1, 0.9210995865078576], 
     Hue[0.3502895298678623, 1, 0.9417001892230864], 
     Hue[0.25, 1, 0.948165328246505], 
     Hue[0.1497104701321377, 1, 0.9417001892230864], 
     Hue[0.050660449516735685`, 1, 0.9210995865078576], 
     Hue[0.9537419343017288, 1, 0.8833983625641706], 
     Hue[0.8593566542151718, 1, 0.8254439339009634], 
     Hue[0.7674882339856604, 1, 0.7457392831897159], 
     Hue[0.6778635070618202, 1, 0.6461446592666994], 
     Hue[0.5900954311243046, 1, 0.5329093789859074], 
     Hue[0.9553145842117797, 1, 0.7342933990590138], 
     Hue[0.9104655996453032, 1, 0.8166706644781225], 
     Hue[0.8681099859765962, 1, 0.8773157725447149], 
     Hue[0.8283053971680633, 1, 0.9173924466847971], 
     Hue[0.7907095256055854, 1, 0.9399472837683828], 
     Hue[0.7184317242050295, 1, 0.9432346481550145], 
     Hue[0.6812765116295669, 1, 0.924539802115523], 
     Hue[0.6420749668167924, 1, 0.8891623531079336], 
     Hue[0.6003646163283836, 1, 0.8338729595043363], 
     Hue[0.5561178913797102, 1, 0.7568684727794651], 
     Hue[0.5095846673818778, 1, 0.6595112844532015], 
     Hue[0.4611437299313342, 1, 0.547491806142394], 
     Hue[0.9077699853025215, 1, 0.8504366126802433], 
     Hue[0.8654166557123204, 1, 0.9044222786504413], 
     Hue[0.8266216839084521, 1, 0.9367840581048182], 
     Hue[0.7911952524114516, 1, 0.9528891548326079], 
     Hue[0.6914700912915617, 1, 0.94648773329187], 
     Hue[0.6544305937167245, 1, 0.9230090806959391], 
     Hue[0.6138382052680726, 1, 0.880387901908981], 
     Hue[0.5698154431647521, 1, 0.8143179639331053], 
     Hue[0.5228493320874912, 1, 0.7239530456391654], 
     Hue[0.47353317883183316`, 1, 0.6132887300758163], 
     Hue[0.8598207242711762, 1, 0.9122372766568165], 
     Hue[0.8217979281890443, 1, 0.9320068151733579], 
     Hue[0.7889589284713294, 1, 0.9360295955887058], 
     Hue[0.6298817008296768, 1, 0.9037773618556026], 
     Hue[0.5858949539350199, 1, 0.8531473013244774], 
     Hue[0.5381622478539845, 1, 0.7741930013718629], 
     Hue[0.4876088218210973, 1, 0.6693601194544508], 
     Hue[0.5559916734558823, 1, 0.8095773160686647], 
     Hue[0.503671547209703, 1, 0.7142486180884499], 
     Hue[0.5768123096498372, 1, 0.8312353860605834], 
     Hue[0.5219855310698067, 1, 0.7479516088365958], 
     Hue[0.5427009171293624, 1, 0.771761909130167], 
     Hue[0.9092555094855069, 1, 0.7988894011269257], 
     Hue[0.8410462579045891, 1, 0.8486213691500646], 
     Hue[0.7728370063236712, 1, 0.8436962114995712], 
     Hue[0.7046277547427534, 1, 0.7704664138676485], 
     Hue[0.6364185031618357, 1, 0.6100402750793714], 
     Hue[0.5682092515809178, 1, 0.3464141313990788], 
     Hue[0.9317907484190822, 1, 0.34641413139907845`], 
     Hue[0.8635814968381643, 1, 0.6100402750793711], 
     Hue[0.7953722452572466, 1, 0.7704664138676484], 
     Hue[0.7271629936763288, 1, 0.8436962114995711], 
     Hue[0.658953742095411, 1, 0.8486213691500648], 
     Hue[0.5907444905144932, 1, 0.798889401126926], 
     Hue[0.5657490272108554, 1, 0.7878995302655066], 
     Hue[0.5225352389335753, 1, 0.7058327295000131], 
     Hue[0.8276911378145744, 1, 0.8461778635977101], 
     Hue[0.7520929705466766, 1, 0.853400155833577], 
     Hue[0.6727005112885952, 1, 0.7989195896214346], 
     Hue[0.5848010591285633, 1, 0.6711351006699828], 
     Hue[0.4725936115784257, 1, 0.4734725340859445], 
     Hue[0.9398160771875077, 1, 0.6271427853177057], 
     Hue[0.8481674984576321, 1, 0.7742328906371445], 
     Hue[0.7672905592381698, 1, 0.8460267934565021], 
     Hue[0.6909759164643163, 1, 0.8531558037510708], 
     Hue[0.6169629892513371, 1, 0.806715546774708], 
     Hue[0.5442440454290813, 1, 0.7168801750890266], 
     Hue[0.6492876652659392, 1, 0.8423512731293352], 
     Hue[0.5525370153581313, 1, 0.7650260322746246], 
     Hue[0.43634085360962316`, 1, 0.6519008357772603], 
     Hue[0.8973801414689908, 1, 0.8099106788595222], 
     Hue[0.8064940415280606, 1, 0.8615161736958774], 
     Hue[0.722940668827887, 1, 0.8607637883938134], 
     Hue[0.6434555428153638, 1, 0.8120188824722865], 
     Hue[0.5663736481897661, 1, 0.7224444803821982], 
     Hue[0.5357833506023293, 1, 0.8487908364288579], 
     Hue[0.424463415913977, 1, 0.7944757579227486], 
     Hue[0.8421029876218521, 1, 0.8838875712980037], 
     Hue[0.7532890049712251, 1, 0.8690234159063387], 
     Hue[0.6692765170146027, 1, 0.8137627946006813], 
     Hue[0.5883299280504819, 1, 0.721984736515134], 
     Hue[0.6096081822383654, 1, 0.7142486180884499], 
     Hue[0.7163566785604849, 1, 0.7965516506078948], 
     Hue[0.6298657555523266, 1, 0.6976392683634817], 
     Hue[0.6489363235153465, 1, 0.6706971882184984], 
     Hue[0.8308126560230353, 1, 0.9289258139032927], 
     Hue[0.6782020718109556, 1, 0.9320068151733579], 
     Hue[0.8504764791929971, 1, 0.9035796186991799], 
     Hue[0.8124127591024077, 1, 0.9046042921789305], 
     Hue[0.8124127591024077, 1, 0.9046042921789305], 
     Hue[0.7822656261316179, 1, 0.8875407979135483], 
     Hue[0.7822656261316178, 1, 0.8875407979135482], 
     Hue[0.6875872408975923, 1, 0.9046042921789305], 
     Hue[0.6875872408975922, 1, 0.9046042921789305], 
     Hue[0.6495235208070027, 1, 0.90357961869918], 
     Hue[0.8257660696982219, 1, 0.8813107549559674], 
     Hue[0.7882105944070303, 1, 0.8487908364288579], 
     Hue[0.7680276963336997, 1, 0.8085235636130507], 
     Hue[0.7631120259335471, 1, 0.7944757579227486], 
     Hue[0.7117894055929697, 1, 0.8487908364288579], 
     Hue[0.6633799384164938, 1, 0.8838875712980037], 
     Hue[0.7544046167559989, 1, 0.7650260322746247], 
     Hue[0.7341822753426714, 1, 0.6519008357772605], 
     Hue[0.7455953832440011, 1, 0.7650260322746247], 
     Hue[0.6819365716150559, 1, 0.8615161736958776], 
     Hue[0.6808772044786395, 1, 0.4734725340859445], 
     Hue[0.027406388421574356`, 1, 0.4734725340859445], 
     Hue[0.2098923166409714, 1, 0.5684764030017525], 
     Hue[0.06365914639037691, 1, 0.6519008357772603], 
     Hue[0.9474629846418687, 1, 0.7650260322746246], 
     Hue[0.5615084228763989, 1, 0.8598673519168252], 
     Hue[0.07553658408602298, 1, 0.7944757579227486], 
     Hue[0.9642166493976706, 1, 0.8487908364288579], 
     Hue[0.6269882818734275, 1, 0.9035796186991799], 
     Hue[0.6269882818734274, 1, 0.9035796186991799], 
     Hue[0.5286334988021812, 1, 0.9046042921789303], 
     Hue[0.5286334988021812, 1, 0.9046042921789303], 
     Hue[0.07763787138886445, 1, 0.887540797913548], 
     Hue[0.07763787138886435, 1, 0.8875407979135479], 
     Hue[0.9713665011978188, 1, 0.9046042921789303], 
     Hue[0.9713665011978186, 1, 0.9046042921789303], 
     Hue[0.8730117181265725, 1, 0.9035796186991799], 
     Hue[0.5021960168203152, 1, 0.932006815173358], 
     Hue[0.9978039831796848, 1, 0.932006815173358], 
     Hue[0.03885627006866583, 1, 0.547491806142394], 
     Hue[0.8085299087084383, 1, 0.94648773329187], 
     Hue[0.7744592553836589, 1, 0.9566943108268837], 
     Hue[0.7455109543109206, 1, 0.9480659801526965], 
     Hue[0.7418913149949358, 1, 0.9584479968871537], 
     Hue[0.49763724589392877`, 1, 0.6325596299282152], 
     Hue[0.45497504674284595`, 1, 0.5329093789859074], 
     Hue[0.8359846327330205, 1, 0.9304534082121851], 
     Hue[0.7967102765927013, 1, 0.9359315269049838], 
     Hue[0.7671596350712809, 1, 0.9349830473517268], 
     Hue[0.7397621030320826, 1, 0.9346339463131659], 
     Hue[0.7088047475885484, 1, 0.9528891548326079], 
     Hue[0.7110410715286706, 1, 0.9360295955887058], 
     Hue[0.9141050460649801, 1, 0.8531473013244774], 
     Hue[0.8861120568974344, 1, 0.8880359723455133], 
     Hue[0.8949247017375903, 1, 0.8732640992993104], 
     Hue[0.8949247017375901, 1, 0.8732640992993103], 
     Hue[0.8449540099523003, 1, 0.9221036316616593], 
     Hue[0.8649318745996465, 1, 0.9082038856544056], 
     Hue[0.8504764791929972, 1, 0.90357961869918], 
     Hue[0.8088947660511807, 1, 0.9348104559409833], 
     Hue[0.8262638076997005, 1, 0.9306007651688603], 
     Hue[0.8124127591024077, 1, 0.9046042921789306], 
     Hue[0.7927993627732189, 1, 0.9360312865835287], 
     Hue[0.7822656261316178, 1, 0.8875407979135482], 
     Hue[0.7596565556449744, 1, 0.8707183577708377], 
     Hue[0.7596565556449743, 1, 0.8707183577708377], 
     Hue[0.7403434443550256, 1, 0.8707183577708377], 
     Hue[0.7403434443550256, 1, 0.8707183577708377], 
     Hue[0.9440083265441178, 1, 0.8095773160686647], 
     Hue[0.9440083265441177, 1, 0.8095773160686647], 
     Hue[0.8842245820947148, 1, 0.8690234159063385], 
     Hue[0.8311313435122624, 1, 0.8829037759732676], 
     Hue[0.7923063173237267, 1, 0.8545358064573189], 
     Hue[0.7654530316061219, 1, 0.8014488242509075], 
     Hue[0.936630597299928, 1, 0.8137627946006812], 
     Hue[0.9231876903501628, 1, 0.8312353860605834], 
     Hue[0.7536686462091142, 1, 0.7597510463097842], 
     Hue[0.7519387467938735, 1, 0.7529361817641117], 
     Hue[0.7480612532061265, 1, 0.7529361817641117], 
     Hue[0.7463313537908858, 1, 0.7597510463097842], 
     Hue[0.7368879740664529, 1, 0.7944757579227486], 
     Hue[0.7319723036663003, 1, 0.8085235636130507], 
     Hue[0.737033912050761, 1, 0.7889138846577369], 
     Hue[0.9278619359959186, 1, 0.8120188824722865], 
     Hue[0.8709285588466064, 1, 0.8607637883938134], 
     Hue[0.7646997978371248, 1, 0.5999818264433215], 
     Hue[0.7658177246573284, 1, 0.6519008357772605], 
     Hue[0.7989933874857474, 1, 0.350586441650736], 
     Hue[0.7949117399096626, 1, 0.6711351006699828], 
     Hue[0.8635814968381643, 1, 0.6100402750793714], 
     Hue[0.6290714411533936, 1, 0.8607637883938134], 
     Hue[0.704087741009717, 1, 0.8460267934565023], 
     Hue[0.5721380640040814, 1, 0.8120188824722865], 
     Hue[0.9184216953271214, 1, 0.806715546774708], 
     Hue[0.9092555094855068, 1, 0.798889401126926], 
     Hue[0.8560161193782652, 1, 0.8531558037510709], 
     Hue[0.841046257904589, 1, 0.8486213691500648], 
     Hue[0.7536073110921411, 1, 0.7989195896214346], 
     Hue[0.7050882600903374, 1, 0.6711351006699828], 
     Hue[0.5341046257904591, 1, 0.1796108838360263], 
     Hue[0.9317907484190822, 1, 0.3464141313990786], 
     Hue[0.9658953742095409, 1, 0.1796108838360263], 
     Hue[0.8976861226286232, 1, 0.49127906669050564`], 
     Hue[0.9151989408714367, 1, 0.6711351006699828], 
     Hue[0.6439838806217348, 1, 0.8531558037510709], 
     Hue[0.5815783046728786, 1, 0.806715546774708], 
     Hue[0.8830370107486629, 1, 0.806715546774708], 
     Hue[0.8090240835356836, 1, 0.8531558037510708], 
     Hue[0.7031114170678215, 1, 0.8273442221202326], 
     Hue[0.619325865058633, 1, 0.7281935385561168], 
     Hue[0.4547515541448652, 1, 0.44663782824814413`], 
     Hue[0.49768180766372316`, 1, 0.7103822243707844], 
     Hue[0.3670136752085015, 1, 0.5999818264433211], 
     Hue[0.8565444571846362, 1, 0.8120188824722865], 
     Hue[0.7770593311721129, 1, 0.8607637883938134], 
     Hue[0.7149140803691545, 1, 0.8661272427613165], 
     Hue[0.5780801699553502, 1, 0.7889138846577367], 
     Hue[0.40272330727246786`, 1, 0.624293259026709], 
     Hue[0.25, 1, 0.5642154838639204], 
     Hue[0.9741927645463053, 1, 0.7386480299304994], 
     Hue[0.873687919475026, 1, 0.827768524185797], 
     Hue[0.6828176962626955, 1, 0.8420074277961783], 
     Hue[0.45365237130428315`, 1, 0.8085235636130507], 
     Hue[0.3315929182670329, 1, 0.759751046309784], 
     Hue[0.20078180810818508`, 1, 0.7529361817641115], 
     Hue[0.0042980870914059695`, 1, 0.829547014411343], 
     Hue[0.060825276863368395`, 1, 0.8014488242509075], 
     Hue[0.07763787138886438, 1, 0.8875407979135479], 
     Hue[0.9012287551819493, 1, 0.8730150788569464], 
     Hue[0.9512600594191376, 1, 0.8545358064573186], 
     Hue[0.9713665011978186, 1, 0.9046042921789305], 
     Hue[0.774954919176685, 1, 0.8765735775872844], 
     Hue[0.8536665824458377, 1, 0.8829037759732676], 
     Hue[0.8730117181265725, 1, 0.9035796186991799], 
     Hue[0.6899382358552961, 1, 0.8312353860605834], 
     Hue[0.7810414375093299, 1, 0.8732640992993103], 
     Hue[0.7810414375093299, 1, 0.8732640992993103], 
     Hue[0.30855269593594353`, 1, 0.8707183577708375], 
     Hue[0.3085526959359434, 1, 0.8707183577708375], 
     Hue[0.31810192940486637`, 1, 0.9349830473517268], 
     Hue[0.2909190417177709, 1, 0.9346339463131661], 
     Hue[0.19144730406405658`, 1, 0.8707183577708375], 
     Hue[0.19144730406405647`, 1, 0.8707183577708375], 
     Hue[0.2090809582822291, 1, 0.9346339463131661], 
     Hue[0.1818980705951337, 1, 0.9349830473517268], 
     Hue[0.10138348662380552`, 1, 0.9360295955887058], 
     Hue[0.0750302089547184, 1, 0.9359315269049837], 
     Hue[0.9852175497951114, 1, 0.9306007651688603], 
     Hue[0.8756012252086691, 1, 0.9037773618556026], 
     Hue[0.6937065591540218, 1, 0.8095773160686646], 
     Hue[0.6937065591540218, 1, 0.8095773160686646], 
     Hue[0.7831694689414903, 1, 0.8531473013244774], 
     Hue[0.4249697910452816, 1, 0.9359315269049838], 
     Hue[0.3986165133761945, 1, 0.9360295955887058], 
     Hue[0.3793278765408428, 1, 0.9528891548326079], 
     Hue[0.327854621987718, 1, 0.9566943108268838], 
     Hue[0.2759959407853947, 1, 0.9584479968871538], 
     Hue[0.22400405921460534`, 1, 0.9584479968871538], 
     Hue[0.1721453780122821, 1, 0.9566943108268838], 
     Hue[0.12067212345915722`, 1, 0.9528891548326079], 
     Hue[0.019680051794322025`, 1, 0.9367840581048186], 
     Hue[0.8745924078750438, 1, 0.880387901908981], 
     Hue[0.26256326720615003`, 1, 0.9480659801526965], 
     Hue[0.23743673279385002`, 1, 0.9480659801526965], 
     Hue[0.13723870954852052`, 1, 0.9399472837683828], 
     Hue[0.03841607794916279, 1, 0.9173924466847971], 
     Hue[0.8990209391689542, 1, 0.5474918061423941], 
     Hue[0.9099045688756954, 1, 0.5329093789859074], 
     Hue[0.6009790608310458, 1, 0.5474918061423941], 
     Hue[0.8429444674482371, 1, 0.9046007359259697], 
     Hue[0.8045914466073416, 1, 0.9333265915941761], 
     Hue[0.7679822871859245, 1, 0.9465693031993164], 
     Hue[0.7320177128140755, 1, 0.9465693031993164], 
     Hue[0.8756785292704282, 1, 0.8931199159523604], 
     Hue[0.7997764513836243, 1, 0.9500544686113666], 
     Hue[0.7662508990112465, 1, 0.9578023685832817], 
     Hue[0.7337491009887533, 1, 0.9578023685832817], 
     Hue[0.7002235486163757, 1, 0.9500544686113666], 
     Hue[0.9083817453211163, 1, 0.8610141570359409], 
     Hue[0.8949247017375902, 1, 0.8732640992993103], 
     Hue[0.7636844434427952, 1, 0.9347931604020856], 
     Hue[0.7596565556449744, 1, 0.8707183577708377], 
     Hue[0.7363155565572048, 1, 0.9347931604020856], 
     Hue[0.7403434443550256, 1, 0.8707183577708377], 
     Hue[0.8779662218628461, 1, 0.8731183691832816], 
     Hue[0.8150643591507535, 1, 0.5533489932676232], 
     Hue[0.7782796071540439, 1, 0.7281935385561171], 
     Hue[0.7256466560013969, 1, 0.8273442221202328], 
     Hue[0.8410462579045891, 1, 0.8486213691500648], 
     Hue[0.7728370063236712, 1, 0.8436962114995711], 
     Hue[0.7046277547427534, 1, 0.7704664138676485], 
     Hue[0.6705231289522946, 1, 0.7024655674562772], 
     Hue[0.6023138773713768, 1, 0.49127906669050564`], 
     Hue[0.8294768710477054, 1, 0.7024655674562772], 
     Hue[0.7271629936763288, 1, 0.8436962114995711], 
     Hue[0.6589537420954109, 1, 0.8486213691500648], 
     Hue[0.8183736537936719, 1, 0.8500748821118611], 
     Hue[0.7424319296723352, 1, 0.8502055196117734], 
     Hue[0.519692113893507, 1, 0.5533489932676231], 
     Hue[0.36720263906666534`, 1, 0.35058644165073566`], 
     Hue[0.8376651430065315, 1, 0.7871650751111192], 
     Hue[0.7575680703276648, 1, 0.8502055196117734], 
     Hue[0.6816263462063281, 1, 0.8500748821118611], 
     Hue[0.7972287466974001, 1, 0.8528426130524271], 
     Hue[0.7850859196308455, 1, 0.8661272427613165], 
     Hue[0.7027712533025999, 1, 0.8528426130524271], 
     Hue[0.378957767016235, 1, 0.7750512441186405], 
     Hue[0.25, 1, 0.7489541050715768], 
     Hue[0.8080862648191647, 1, 0.8830937333287712], 
     Hue[0.7213331919856766, 1, 0.8529304669769097], 
     Hue[0.7640829576345859, 1, 0.8731183691832816], 
     Hue[0.7810414375093299, 1, 0.8732640992993103], 
     Hue[0.3045248081381226, 1, 0.9347931604020858], 
     Hue[0.19547519186187742`, 1, 0.9347931604020858], 
     Hue[0.08817160803046556, 1, 0.936031286583529], 
     Hue[0.8874671135332219, 1, 0.9082038856544056], 
     Hue[0.794498481092856, 1, 0.8610141570359409], 
     Hue[0.4048513033591291, 1, 0.9500544686113666], 
     Hue[0.30195835256967124`, 1, 0.9578023685832816], 
     Hue[0.1980416474303288, 1, 0.9578023685832816], 
     Hue[0.09514869664087094, 1, 0.9500544686113666], 
     Hue[0.9949383748284314, 1, 0.9304534082121851], 
     Hue[0.8982137682040036, 1, 0.8931199159523605], 
     Hue[0.3002269643949933, 1, 0.9465693031993164], 
     Hue[0.1997730356050067, 1, 0.9465693031993164], 
     Hue[0.09996369186458826, 1, 0.933326591594176], 
     Hue[0.0018982095436480258`, 1, 0.9046007359259698], 
     Hue[0.8331267404396471, 1, 0.8573085724884241], 
     Hue[0.774353343998603, 1, 0.8273442221202328], 
     Hue[0.6668732595603528, 1, 0.8573085724884241], 
     Hue[0.8069416321141302, 1, 0.853733734208174], 
     Hue[0.7387323805332123, 1, 0.8166817952711277], 
     Hue[0.7612676194667877, 1, 0.8166817952711277], 
     Hue[0.6930583678858698, 1, 0.853733734208174], 
     Hue[0.7807565237886132, 1, 0.8573085724884241], 
     Hue[0.7968885829321785, 1, 0.8273442221202326], 
     Hue[0.7192434762113868, 1, 0.8573085724884241], 
     Hue[0.534104625790459, 1, 0.1796108838360261], 
     Hue[0.8066767810278083, 1, 0.37161387904599125`], 
     Hue[0.875, 1, 2.998655710929963*^-16], 
     Hue[0.965895374209541, 1, 0.1796108838360261], 
     Hue[0.4355120251785115, 1, 0.4203429840006256], 
     Hue[0.3919383455039558, 1, 0.3716138790459911], 
     Hue[0.75, 1, 2.1203697876423444`*^-16], 
     Hue[0.9829476871047702, 1, 0.09065692058224796], 
     Hue[0.7641757593608567, 1, 0.3109314678586918], 
     Hue[0.789217014473042, 1, 0.33288981263955897`], 
     Hue[0.5170523128952298, 1, 0.09065692058224796], 
     Hue[0.9658953742095409, 1, 0.17961088383602652`], 
     Hue[0.6911052339488193, 1, 0.9348104559409833], 
     Hue[0.6737361923002996, 1, 0.9306007651688603], 
     Hue[0.6875872408975923, 1, 0.9046042921789306], 
     Hue[0.7076936826762732, 1, 0.8545358064573189], 
     Hue[0.6688686564877376, 1, 0.8829037759732676], 
     Hue[0.694190738304404, 1, 0.8536016267514073], 
     Hue[0.7010066125142524, 1, 0.350586441650736], 
     Hue[0.5682092515809178, 1, 0.3464141313990786], 
     Hue[0.6023138773713768, 1, 0.4912790666905054], 
     Hue[0.045248445855134815`, 1, 0.44663782824814413`], 
     Hue[0.1327973609333347, 1, 0.35058644165073566`], 
     Hue[0.9273155864959701, 1, 0.6497108212688555], 
     Hue[0.980307886106493, 1, 0.5533489932676231], 
     Hue[0.09727669272753217, 1, 0.624293259026709], 
     Hue[0.1706588651125751, 1, 0.5808081946037085], 
     Hue[0.5987712448180507, 1, 0.8730150788569464], 
     Hue[0.6463334175541623, 1, 0.8829037759732676], 
     Hue[0.6269882818734275, 1, 0.9035796186991799], 
     Hue[0.5147824502048886, 1, 0.9306007651688603], 
     Hue[0.805809261695596, 1, 0.8536016267514073], 
     Hue[0.7940724700100266, 1, 0.8423512731293354], 
     Hue[0.7940724700100267, 1, 0.8423512731293354], 
     Hue[0.738868116693493, 1, 0.5808081946037088], 
     Hue[0.6849356408492465, 1, 0.5533489932676232], 
     Hue[0.6364185031618357, 1, 0.6100402750793713], 
     Hue[0.6933232189721917, 1, 0.37161387904599125`], 
     Hue[0.8283445006291712, 1, 0.8536016267514073], 
     Hue[0.6716554993708287, 1, 0.8536016267514073], 
     Hue[0.5487399405808624, 1, 0.8545358064573186], 
     Hue[0.5286334988021812, 1, 0.9046042921789305], 
     Hue[0.578723055992491, 1, 0.9072426715879014], 
     Hue[0.857240451457556, 1, 0.8656756927713282], 
     Hue[0.76330634291422, 1, 0.6810832996852015], 
     Hue[0.8635814968381643, 1, 0.6100402750793713], 
     Hue[0.8043992293840505, 1, 0.6271427853177062], 
     Hue[0.5726844135040299, 1, 0.6497108212688555], 
     Hue[0.5337701984721468, 1, 0.578856431807411], 
     Hue[0.5341046257904591, 1, 0.17961088383602652`], 
     Hue[0.931790748419082, 1, 0.3464141313990788], 
     Hue[0.8976861226286232, 1, 0.4912790666905054], 
     Hue[0.8191227955213605, 1, 0.4734725340859445], 
     Hue[0.8173191212230323, 1, 0.5271331735946603], 
     Hue[0.9147384355238527, 1, 0.42196130406796994`], 
     Hue[0.5048945630705562, 1, 0.5271331735946597], 
     Hue[0.5258072354536947, 1, 0.7386480299304994], 
     Hue[0.46793409765697347`, 1, 0.6810832996852012], 
     Hue[0.34037395315873026`, 1, 0.33288981263955836`], 
     Hue[0.21877192774391363`, 1, 0.31093146785869147`], 
     Hue[0.15962604684126974`, 1, 0.33288981263955836`], 
     Hue[0.20989231664097155`, 1, 0.5684764030017525], 
     Hue[0.7433571872292957, 1, 0.865675692771328], 
     Hue[0.6023138773713768, 1, 0.4912790666905057], 
     Hue[0.7439969424314303, 1, 0.5684764030017528], 
     Hue[0.7439969424314303, 1, 0.5684764030017528], 
     Hue[0.761131883306507, 1, 0.5808081946037088], 
     Hue[0.7560030575685696, 1, 0.5684764030017528], 
     Hue[0.7560030575685697, 1, 0.5684764030017528], 
     Hue[0.5852615644761474, 1, 0.42196130406796994`], 
     Hue[0.7358242406391433, 1, 0.3109314678586918], 
     Hue[0.7107829855269581, 1, 0.33288981263955897`], 
     Hue[0.9488430613143115, 1, 0.26529978115923847`], 
     Hue[0.8806338097333938, 1, 0.5540082172371732], 
     Hue[0.7177343738683821, 1, 0.8875407979135482], 
     Hue[0.7177343738683821, 1, 0.8875407979135483], 
     Hue[0.707200637226781, 1, 0.9360312865835287], 
     Hue[0.7177343738683821, 1, 0.8875407979135482], 
     Hue[0.6550459900476997, 1, 0.9221036316616593], 
     Hue[0.6691873439769647, 1, 0.9289258139032927], 
     Hue[0.6598416679239799, 1, 0.9246947778616311], 
     Hue[0.6050752982624098, 1, 0.8732640992993103], 
     Hue[0.6050752982624097, 1, 0.8732640992993104], 
     Hue[0.6157754179052851, 1, 0.8690234159063385], 
     Hue[0.7225229351556719, 1, 0.3194053160481117], 
     Hue[0.10806165449604427`, 1, 0.3716138790459911], 
     Hue[0.7467109950287749, 1, 0.8690234159063387], 
     Hue[0.7566428127707043, 1, 0.865675692771328], 
     Hue[0.13298632479149855`, 1, 0.5999818264433211], 
     Hue[0.1329863247914984, 1, 0.5999818264433211], 
     Hue[0.6346463784729732, 1, 0.8813107549559674], 
     Hue[0.6108729504572576, 1, 0.8763496769288515], 
     Hue[0.6005917239000189, 1, 0.9122372766568165], 
     Hue[0.6125328864667781, 1, 0.9082038856544056], 
     Hue[0.4223621286111357, 1, 0.8875407979135479], 
     Hue[0.4223621286111356, 1, 0.887540797913548], 
     Hue[0.5050616251715685, 1, 0.9304534082121851], 
     Hue[0.6733783160915479, 1, 0.9367840581048182], 
     Hue[0.6640153672669794, 1, 0.9304534082121851], 
     Hue[0.7037000002230207, 1, 0.897312833902752], 
     Hue[0.6350681254003534, 1, 0.9082038856544056], 
     Hue[0.6495235208070028, 1, 0.90357961869918], 
     Hue[0.6694675465069841, 1, 0.9072426715879014], 
     Hue[0.6845651280765214, 1, 0.8763496769288518], 
     Hue[0.7353002021628752, 1, 0.5999818264433215], 
     Hue[0.7353002021628752, 1, 0.5999818264433213], 
     Hue[0.6879098691658361, 1, 0.5788564318074111], 
     Hue[0.8507123347340608, 1, 0.8423512731293352], 
     Hue[0.6919137351808353, 1, 0.8830937333287712], 
     Hue[0.71895856249067, 1, 0.8732640992993103], 
     Hue[0.71895856249067, 1, 0.8732640992993103], 
     Hue[0.6736564729406527, 1, 0.8924825111452377], 
     Hue[0.5520448645142573, 1, 0.9246947778616312], 
     Hue[0.843836325472567, 1, 0.8674902976386484], 
     Hue[0.8438363254725672, 1, 0.8674902976386484], 
     Hue[0.7589494271305108, 1, 0.7103822243707846], 
     Hue[0.642759548542444, 1, 0.8656756927713282], 
     Hue[0.6561636745274328, 1, 0.8674902976386484], 
     Hue[0.6561636745274328, 1, 0.8674902976386484], 
     Hue[0.5511569386856885, 1, 0.26529978115923847`], 
     Hue[0.49768180766372333`, 1, 0.7103822243707846], 
     Hue[0.25, 1, 0.3080375694671919], 
     Hue[0.3293411348874249, 1, 0.5808081946037085], 
     Hue[0.2901076833590286, 1, 0.5684764030017525], 
     Hue[0.29010768335902853`, 1, 0.5684764030017525], 
     Hue[0.7640576870347657, 1, 0.8674902976386483], 
     Hue[0.4118283919695345, 1, 0.936031286583529], 
     Hue[0.6193661902666061, 1, 0.5540082172371732], 
     Hue[0.6952444287514131, 1, 0.9353426276012895], 
     Hue[0.7037000002230207, 1, 0.8973128339027518], 
     Hue[0.6279824602933103, 1, 0.8924825111452377], 
     Hue[0.6520591526903325, 1, 0.883989461828668], 
     Hue[0.7359423129652344, 1, 0.867490297638648], 
     Hue[0.7359423129652343, 1, 0.8674902976386483], 
     Hue[0.5764774060600019, 1, 0.9191735804135129], 
     Hue[0.4765370065466921, 1, 0.8973128339027517], 
     Hue[0.6220337781371539, 1, 0.8731183691832816], 
     Hue[0.6403221326022299, 1, 0.8815606999051459], 
     Hue[0.43917472313663164`, 1, 0.8014488242509075], 
     Hue[0.42236212861113565`, 1, 0.8875407979135479], 
     Hue[0.48031994820567797`, 1, 0.9367840581048186], 
     Hue[0.4803199482056782, 1, 0.9367840581048185], 
     Hue[0.6243214707295717, 1, 0.8931199159523604], 
     Hue[0.5972811475899225, 1, 0.8684331480377452], 
     Hue[0.5916182546788837, 1, 0.8610141570359409], 
     Hue[0.6050752982624097, 1, 0.8732640992993103], 
     Hue[0.6279824602933103, 1, 0.8924825111452377], 
     Hue[0.7544890456890793, 1, 0.9480659801526965], 
     Hue[0.0015519682768191773`, 1, 0.6706971882184982], 
     Hue[0.7581086850050641, 1, 0.9584479968871537], 
     Hue[0.7255407446163411, 1, 0.9566943108268837], 
     Hue[0.9995337132090287, 1, 0.6976392683634816], 
     Hue[0.9496061330553512, 1, 0.7965516506078948], 
     Hue[0.7602378969679173, 1, 0.9346339463131659], 
     Hue[0.732840364928719, 1, 0.9349830473517268], 
     Hue[0.9963284527902971, 1, 0.7142486180884499], 
     Hue[0.9921025114976431, 1, 0.7219847365151338], 
     Hue[0.9871985445321566, 1, 0.7224444803821982], 
     Hue[0.9821212546667013, 1, 0.7168801750890266], 
     Hue[0.9013123590770986, 1, 0.7878995302655062], 
     Hue[0.2812280722560864, 1, 0.31093146785869147`], 
     Hue[0.8953165618908352, 1, 0.7717619091301666], 
     Hue[0.8171823037373045, 1, 0.8420074277961783], 
     Hue[0.8916534887265088, 1, 0.7479516088365957], 
     Hue[0.8100617641447038, 1, 0.8312353860605836], 
     Hue[0.7250450808233149, 1, 0.8765735775872844], 
     Hue[0.299218191891815, 1, 0.7529361817641115], 
     Hue[0.16840708173296712`, 1, 0.759751046309784], 
     Hue[0.046347628695716875`, 1, 0.8085235636130507], 
     Hue[0.8903918177616346, 1, 0.7142486180884496], 
     Hue[0.8062934408459783, 1, 0.8095773160686646], 
     Hue[0.8913814052682583, 1, 0.6693601194544508], 
     Hue[0.8055163281393098, 1, 0.7741930013718628], 
     Hue[0.7168305310585097, 1, 0.8531473013244774], 
     Hue[0.8943580751742236, 1, 0.6132887300758163], 
     Hue[0.8072557252680461, 1, 0.7239530456391654], 
     Hue[0.7178033331834713, 1, 0.8143179639331053], 
     Hue[0.6254075921249562, 1, 0.880387901908981], 
     Hue[0.8279913468647202, 1, 0.8504366126802435], 
     Hue[0.8110433734576623, 1, 0.6595112844532015], 
     Hue[0.7211580942936591, 1, 0.7568684727794651], 
     Hue[0.6289863160804966, 1, 0.8338729595043362], 
     Hue[0.5342781634070699, 1, 0.8891623531079336], 
     Hue[0.43706120505800894`, 1, 0.9245398021155231], 
     Hue[0.94180216359586, 1, 0.8773157725447149], 
     Hue[0.8477392741027314, 1, 0.8166706644781225], 
     Hue[0.7561697555073723, 1, 0.7342933990590138], 
     Hue[0.6495235208070028, 1, 0.9035796186991799], 
     Hue[0.8366200615835062, 1, 0.8838875712980037], 
     Hue[0.7034098520765805, 1, 0.8598673519168252], 
     Hue[0.6742339303017781, 1, 0.8813107549559674], 
     Hue[0.8180634283849441, 1, 0.8615161736958776], 
     Hue[0.7725310251640388, 1, 0.8099106788595226], 
     Hue[0.7274689748359612, 1, 0.8099106788595226], 
     Hue[0.7059275299899734, 1, 0.8423512731293354], 
     Hue[0.6935059584719394, 1, 0.8615161736958774], 
     Hue[0.6026198585310092, 1, 0.8099106788595222], 
     Hue[0.8507123347340608, 1, 0.8423512731293352], 
     Hue[0.6578970123781478, 1, 0.8838875712980037], 
     Hue[0.8653536215270267, 1, 0.8813107549559674], 
     Hue[0.9727140852232168, 1, 0.9289258139032927], 
     Hue[0.8579250331832076, 1, 0.8891623531079336], 
     Hue[0.8455694062832755, 1, 0.9230090806959391], 
     Hue[0.8187234883704331, 1, 0.924539802115523], 
     Hue[0.8861617947319274, 1, 0.880387901908981], 
     Hue[0.8701182991703232, 1, 0.9037773618556026], 
     Hue[0.871785870509716, 1, 0.8765735775872844], 
     Hue[0.8990148378623326, 1, 0.8420074277961785], 
     Hue[0.7596293049520905, 1, 0.7742328906371446], 
     Hue[0.7463926889078588, 1, 0.7989195896214346], 
     Hue[0.7953722452572465, 1, 0.7704664138676485], 
     Hue[0.8714536908898334, 1, 0.8461778635977103], 
     Hue[0.8106333549958954, 1, 0.8534001558335773], 
     Hue[0.7959122589902828, 1, 0.8460267934565023], 
     Hue[0.7728370063236711, 1, 0.8436962114995711], 
     Hue[0.7403706950479094, 1, 0.7742328906371446], 
     Hue[0.7046277547427534, 1, 0.7704664138676484], 
     Hue[0.6518325015423679, 1, 0.7742328906371445], 
     Hue[0.6893666450041046, 1, 0.8534001558335773], 
     Hue[0.7271629936763288, 1, 0.8436962114995712], 
     Hue[0.6285463091101666, 1, 0.8461778635977103], 
     Hue[0.6589537420954109, 1, 0.8486213691500646], 
     Hue[0.7327094407618302, 1, 0.8460267934565021], 
     Hue[0.8272994887114048, 1, 0.7989195896214346], 
     Hue[0.7479070294533234, 1, 0.853400155833577], 
     Hue[0.6723088621854256, 1, 0.8461778635977101], 
     Hue[0.7640576870347656, 1, 0.867490297638648], 
     Hue[0.899408276099981, 1, 0.9122372766568165], 
     Hue[0.06979752817522596, 1, 0.94648773329187], 
     Hue[0.9704185225882275, 1, 0.9230090806959392], 
     Hue[0.9220565204363547, 1, 0.9044222786504414], 
     Hue[0.33779791447163593`, 1, 0.9432346481550145], 
     Hue[0.16220208552836415`, 1, 0.9432346481550145], 
     Hue[0.06293879494199114, 1, 0.9245398021155231], 
     Hue[0.96572183659293, 1, 0.8891623531079336], 
     Hue[0.8332005777601719, 1, 0.6325596299282152], 
     Hue[0.8161458349119053, 1, 0.4203429840006261], 
     Hue[0.8120901308341639, 1, 0.5788564318074111], 
     Hue[0.5601839228124923, 1, 0.6271427853177057], 
     Hue[0.5682092515809178, 1, 0.34641413139907845`], 
     Hue[0.6364185031618356, 1, 0.6100402750793711], 
     Hue[0.8976861226286232, 1, 0.4912790666905057], 
     Hue[0.6401792757288238, 1, 0.9122372766568165], 
     Hue[0.9662298015278531, 1, 0.578856431807411], 
     Hue[0.6243987747913309, 1, 0.9037773618556026], 
     Hue[0.5295814774117724, 1, 0.9230090806959392], 
     Hue[0.6956007706159495, 1, 0.6271427853177062], 
     Hue[0.7589494271305108, 1, 0.7103822243707846], 
     Hue[0.45102912217985486`, 1, 0.9353426276012895], 
     Hue[0.7032897234072986, 1, 0.9359315269049838], 
     Hue[0.476537006546692, 1, 0.8973128339027517], 
     Hue[0.6345833442876796, 1, 0.9044222786504413], 
     Hue[0.9610828983770254, 1, 0.7225390835080481], 
     Hue[0.9214527807433925, 1, 0.7980924078792794], 
     Hue[0.883690421665677, 1, 0.8571065763630132], 
     Hue[0.8478990693895893, 1, 0.899757409715732], 
     Hue[0.8139821607992678, 1, 0.9277199231946393], 
     Hue[0.6860178392007323, 1, 0.9277199231946395], 
     Hue[0.6521009306104107, 1, 0.899757409715732], 
     Hue[0.616309578334323, 1, 0.8571065763630132], 
     Hue[0.5785472192566075, 1, 0.7980924078792794], 
     Hue[0.5389171016229746, 1, 0.7225390835080483], 
     Hue[0.9133005798516297, 1, 0.841989415702278], 
     Hue[0.8756785292704283, 1, 0.8931199159523604], 
     Hue[0.8407489850331483, 1, 0.926876269568493], 
     Hue[0.6243214707295718, 1, 0.8931199159523604], 
     Hue[0.5866994201483703, 1, 0.8419894157022781], 
     Hue[0.546663647335649, 1, 0.7720482385573073], 
     Hue[0.5045993159433401, 1, 0.6844455296992846], 
     Hue[0.8649318745996466, 1, 0.9082038856544056], 
     Hue[0.6350681254003535, 1, 0.9082038856544056], 
     Hue[0.5564395816868459, 1, 0.8070900725405171], 
     Hue[0.5131856564046428, 1, 0.7246294002648942], 
     Hue[0.5686135119599927, 1, 0.828629902519627], 
     Hue[0.5235990478319215, 1, 0.7533538813512878], 
     Hue[0.5834562940452837, 1, 0.8390780669934229], 
     Hue[0.535937537245635, 1, 0.7720018572751788], 
     Hue[0.5501079389896864, 1, 0.7827277121366883], 
     Hue[0.9177816659331216, 1, 0.7893856021587482], 
     Hue[0.8580985707998185, 1, 0.8408681250364198], 
     Hue[0.7387323805332124, 1, 0.8166817952711278], 
     Hue[0.6790492853999093, 1, 0.7216567940244797], 
     Hue[0.7612676194667877, 1, 0.8166817952711277], 
     Hue[0.7015845243334846, 1, 0.8527098382532772], 
     Hue[0.6419014292001815, 1, 0.84086812503642], 
     Hue[0.5657490272108554, 1, 0.7878995302655066], 
     Hue[0.5822183340668785, 1, 0.7893856021587482], 
     Hue[0.8369788146028201, 1, 0.8414836544988695], 
     Hue[0.7031114170678217, 1, 0.8273442221202326], 
     Hue[0.6303488145833646, 1, 0.7447608512691006], 
     Hue[0.8696511854166356, 1, 0.7447608512691004], 
     Hue[0.7968885829321785, 1, 0.8273442221202326], 
     Hue[0.7287491235294387, 1, 0.8569294822855519], 
     Hue[0.66302118539718, 1, 0.8414836544988697], 
     Hue[0.5986876409229015, 1, 0.7878995302655064], 
     Hue[0.6716554993708288, 1, 0.8536016267514073], 
     Hue[0.5904650746231135, 1, 0.799792219442068], 
     Hue[0.9095349253768865, 1, 0.7997922194420679], 
     Hue[0.8283445006291713, 1, 0.8536016267514072], 
     Hue[0.7536693824563767, 1, 0.8669753765731558], 
     Hue[0.6143287291440706, 1, 0.7827277121366883], 
     Hue[0.6463334175541624, 1, 0.8829037759732676], 
     Hue[0.8536665824458377, 1, 0.8829037759732676], 
     Hue[0.6284991308881219, 1, 0.772001857275179], 
     Hue[0.6408376203018354, 1, 0.7533538813512877], 
     Hue[0.7273632767135172, 1, 0.8070900725405171], 
     Hue[0.6512510117291141, 1, 0.7246294002648942], 
     Hue[0.6598373521904168, 1, 0.6844455296992851], 
     Hue[0.9954006840566599, 1, 0.6844455296992846], 
     Hue[0.9868143435953572, 1, 0.7246294002648942], 
     Hue[0.9435604183131541, 1, 0.8070900725405169], 
     Hue[0.9764009521680787, 1, 0.7533538813512878], 
     Hue[0.964062462754365, 1, 0.7720018572751789], 
     Hue[0.871785870509716, 1, 0.8765735775872844], 
     Hue[0.7034098520765806, 1, 0.8598673519168252], 
     Hue[0.9498920610103136, 1, 0.7827277121366883], 
     Hue[0.8990148378623327, 1, 0.8420074277961784], 
     Hue[0.8505003337894076, 1, 0.8669753765731559], 
     Hue[0.7676334961767051, 1, 0.7997922194420684], 
     Hue[0.7323665038232949, 1, 0.799792219442068], 
     Hue[0.9342509727891446, 1, 0.7878995302655066], 
     Hue[0.879218326996817, 1, 0.8414836544988696], 
     Hue[0.8255800748624695, 1, 0.856929482285552], 
     Hue[0.7277497562164541, 1, 0.7447608512691009], 
     Hue[0.772250243783546, 1, 0.7447608512691006], 
     Hue[0.620781673003183, 1, 0.8414836544988697], 
     Hue[0.9013123590770986, 1, 0.7878995302655064], 
     Hue[0.8856712708559296, 1, 0.7827277121366883], 
     Hue[0.8715008691118782, 1, 0.7720018572751789], 
     Hue[0.7996534356449208, 1, 0.8390780669934229], 
     Hue[0.8591623796981647, 1, 0.7533538813512877], 
     Hue[0.7848106535596298, 1, 0.8286299025196268], 
     Hue[0.8487489882708859, 1, 0.7246294002648942], 
     Hue[0.7726367232864829, 1, 0.8070900725405169], 
     Hue[0.6941120989229533, 1, 0.8684331480377451], 
     Hue[0.9727140852232169, 1, 0.9289258139032925], 
     Hue[0.8401626478095833, 1, 0.6844455296992848], 
     Hue[0.7628607889352861, 1, 0.7720482385573073], 
     Hue[0.6835303714814012, 1, 0.8419894157022781], 
     Hue[0.6017862317959966, 1, 0.8931199159523604], 
     Hue[0.06979752817522612, 1, 0.94648773329187], 
     Hue[0.9826504142333299, 1, 0.9268762695684931], 
     Hue[0.8164696285185988, 1, 0.841989415702278], 
     Hue[0.8332005777601719, 1, 0.6325596299282152], 
     Hue[0.7551142432226117, 1, 0.7225390835080479], 
     Hue[0.6753781705896384, 1, 0.7980924078792794], 
     Hue[0.5937743394007478, 1, 0.8571065763630132], 
     Hue[0.5101995014102293, 1, 0.8997574097157319], 
     Hue[0.4247502197339447, 1, 0.9277199231946395], 
     Hue[0.1622020855283643, 1, 0.9432346481550145], 
     Hue[0.07524978026605546, 1, 0.9277199231946395], 
     Hue[0.9898004985897708, 1, 0.899757409715732], 
     Hue[0.9062256605992525, 1, 0.8571065763630132], 
     Hue[0.8246218294103617, 1, 0.7980924078792794], 
     Hue[0.7448857567773883, 1, 0.7225390835080485], 
     Hue[0.8167603691447565, 1, 0.9057737829125595], 
     Hue[0.7890251968741864, 1, 0.8925832234971509], 
     Hue[0.7708351531203698, 1, 0.8156164673494933], 
     Hue[0.03210277258715746, 1, 0.8156164673494932], 
     Hue[0.6269882818734276, 1, 0.90357961869918], 
     Hue[0.5413382016550621, 1, 0.9057737829125594], 
     Hue[0.8085299087084383, 1, 0.9464877332918697], 
     Hue[0.75, 1, 0.948165328246505], 
     Hue[0.75, 1, 0.9586599610596821], 
     Hue[0.7785979656615293, 1, 0.9559529793682883], 
     Hue[0.7214020343384707, 1, 0.9559529793682883], 
     Hue[0.4976372458939288, 1, 0.6325596299282152], 
     Hue[0.75, 1, 0.9344142264939415], 
     Hue[0.7742221985600158, 1, 0.9354096223969305], 
     Hue[0.725777801439984, 1, 0.9354096223969305], 
     Hue[0.6993052015799179, 1, 0.9357091315264754], 
     Hue[0.8308126560230353, 1, 0.9289258139032925], 
     Hue[0.8006947984200821, 1, 0.9357091315264754], 
     Hue[0.75, 1, 0.8681070017448741], 
     Hue[0.7674285834542434, 1, 0.8757216006936076], 
     Hue[0.7325714165457566, 1, 0.8757216006936078], 
     Hue[0.9313864880400073, 1, 0.8286299025196268], 
     Hue[0.8890819269837161, 1, 0.878852956093175], 
     Hue[0.8311313435122625, 1, 0.8829037759732676], 
     Hue[0.9165437059547163, 1, 0.8390780669934229], 
     Hue[0.7560086328741535, 1, 0.7693761177390182], 
     Hue[0.7291648468796302, 1, 0.8156164673494933], 
     Hue[0.8806338097333938, 1, 0.5540082172371732], 
     Hue[0.4355120251785116, 1, 0.4203429840006258], 
     Hue[0.8171823037373044, 1, 0.8420074277961784], 
     Hue[0.38512759615950387`, 1, 0.6116107767187986], 
     Hue[0.4678972274128427, 1, 0.8156164673494932], 
     Hue[0.25000000000000006`, 1, 0.7489541050715768], 
     Hue[0.13664244260754735`, 1, 0.7693761177390178], 
     Hue[0.7922509756506853, 1, 0.878852956093175], 
     Hue[0.25000000000000006`, 1, 0.868107001744874], 
     Hue[0.3519376068123629, 1, 0.8757216006936076], 
     Hue[0.25000000000000006`, 1, 0.9344142264939416], 
     Hue[0.3451439917065904, 1, 0.9354096223969306], 
     Hue[0.14806239318763725`, 1, 0.8757216006936074], 
     Hue[0.15485600829340979`, 1, 0.9354096223969305], 
     Hue[0.05029281634097416, 1, 0.8925832234971509], 
     Hue[0.958661798344938, 1, 0.9057737829125594], 
     Hue[0.7151893464403702, 1, 0.8286299025196271], 
     Hue[0.4380375821131303, 1, 0.9357091315264754], 
     Hue[0.25000000000000006`, 1, 0.9586599610596822], 
     Hue[0.34076822460507694`, 1, 0.9559529793682883], 
     Hue[0.15923177539492317`, 1, 0.9559529793682883], 
     Hue[0.061962417886869875`, 1, 0.9357091315264754], 
     Hue[0.25000000000000006`, 1, 0.948165328246505], 
     Hue[0.7184317242050295, 1, 0.9432346481550145], 
     Hue[0.6914700912915617, 1, 0.94648773329187], 
     Hue[0.75, 1, 0.748954105071577], 
     Hue[0.7439913671258466, 1, 0.7693761177390182], 
     Hue[0.7657614058928975, 1, 0.6116107767187987], 
     Hue[0.725646656001397, 1, 0.8273442221202328], 
     Hue[0.8209507146000907, 1, 0.7216567940244794], 
     Hue[0.6828176962626957, 1, 0.8420074277961785], 
     Hue[0.3633575573924528, 1, 0.7693761177390178], 
     Hue[0.7749549191766851, 1, 0.8765735775872843], 
     Hue[0.7003465643550792, 1, 0.8390780669934229], 
     Hue[0.8874671135332219, 1, 0.9082038856544056], 
     Hue[0.8982137682040037, 1, 0.8931199159523605], 
     Hue[0.3377979144716359, 1, 0.9432346481550145], 
     Hue[0.7743533439986031, 1, 0.8273442221202328], 
     Hue[0.6744199251375305, 1, 0.856929482285552], 
     Hue[0.7984154756665155, 1, 0.8527098382532773], 
     Hue[0.7712508764705613, 1, 0.8569294822855519], 
     Hue[0.8161458349119053, 1, 0.42034298400062586`], 
     Hue[0.6832396308552435, 1, 0.9057737829125595], 
     Hue[0.6941907383044041, 1, 0.8536016267514075], 
     Hue[0.9527625648822616, 1, 0.6034948138896232], 
     Hue[0.5615084228763991, 1, 0.8598673519168252], 
     Hue[0.805809261695596, 1, 0.8536016267514076], 
     Hue[0.691494945415474, 1, 0.6034948138896237], 
     Hue[0.8085050545845262, 1, 0.6034948138896233], 
     Hue[0.5472374351177385, 1, 0.6034948138896234], 
     Hue[0.5596830951333032, 1, 0.30649863326639115`], 
     Hue[0.4976818076637234, 1, 0.7103822243707845], 
     Hue[0.25000000000000017`, 1, 0.3080375694671919], 
     Hue[0.6193661902666063, 1, 0.5540082172371734], 
     Hue[0.75, 1, 0.5642154838639208], 
     Hue[0.75, 1, 0.30803756946719224`], 
     Hue[0.9403169048666968, 1, 0.3064986332663909], 
     Hue[0.6691873439769647, 1, 0.9289258139032925], 
     Hue[0.6109180730162839, 1, 0.878852956093175], 
     Hue[0.7250450808233149, 1, 0.8765735775872844], 
     Hue[0.11487240384049631`, 1, 0.6116107767187985], 
     Hue[0.6125328864667782, 1, 0.9082038856544056], 
     Hue[0.449707183659026, 1, 0.8925832234971509], 
     Hue[0.5173495857666703, 1, 0.9268762695684931], 
     Hue[0.6592510149668518, 1, 0.926876269568493], 
     Hue[0.6495235208070028, 1, 0.90357961869918], 
     Hue[0.6688686564877376, 1, 0.8829037759732676], 
     Hue[0.7342385941071023, 1, 0.6116107767187989], 
     Hue[0.7077490243493147, 1, 0.8788529560931749], 
     Hue[0.7589494271305108, 1, 0.7103822243707845], 
     Hue[0.6494996662105925, 1, 0.8669753765731559], 
     Hue[0.2500000000000001, 1, 0.5642154838639204], 
     Hue[0.7109748031258136, 1, 0.8925832234971509], 
     Hue[0.7463306175436233, 1, 0.8669753765731559], 
     Hue[0.5972811475899225, 1, 0.8684331480377451]},
   VertexNormals->CompressedData["
1:eJx0vHlUzd/3P54oQhIZMlYiigYhYzuVoqKBShSapIRSmUpEqaSJEE2KlFTS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    "]],
  Axes->True,
  BoxRatios->{1, 1, 0.4},
  Lighting->"Neutral",
  Method->{"RotationControl" -> "Globe"},
  PlotRange->{{-1, 1}, {-1, 1}, {0., 0.9358965618097405}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.392644785296856*^9, 3.39185097490625*^9}, 
   3.392472282905098*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\
eJysnQeAVcX1/2crSy/SFAtGk9hNjBoTY02ipmjUxFhir6CIiBTFhohiQ0B6
7713WHaX7b3DwrKUXXbpRVF6ff/P3Jm5b97d+xbw/xv98nbf3jZzzvmec6bd
B1/o1uGVN1/o1vGlF9rf3/WFLh06vvRO+/ve6spXURFCRHQA7dsL+XNACPNP
gP8DHeU/8pvz+7nG+Wgi9uzZI8aMGSOvJ0aNGiV27drl/OXMmTPi8ssvd36u
rKwUzz33nBg7dqzzuWXLlp7qKtudjyjn7JMnTzq/RTr/1hMFBQXOT48++qhY
vny583N8fLx4+OGHRR2nRzv/xojmzZuL/fv3O7/98MMPomnTpmc/LVZERESI
48ePO7+dOnXKOeb06dM9zu2G+/bt87vhNn2abBRzaow+7d///ndI9R555BFz
Wo2+vmzjPn36iBYtWshTzZlVVVXihRdecJr1+eefl81qzqwltdj/P3E9Zl0q
7mfKTF/jtD5d/tkUdbFYMXnyZOevBvoWMVYLe0Wqr3pEfkTK45uev3D/o65x
UH5E6QeS37z66qvOb03OU+r6mX50nylaX8BcUP7W6Dx1Ql/0e/chTZubCxrI
m5jGa3j+GqTvs899+Fir9uYekVYrme87qd92uw8YF2zPaPep9Blvqh92uIc0
0Y9kH2eu3smyIr87G/nY50b6PLU2iK3uTaN9Dmpcx4O8oX6qdB+kzTneuYM6
cZN75wt9TozyOfE1dWKFe8eLz+/EmbqBfGy6lt2npKSIhx56SIwbN05069ZN
GnN7j7aF3sOvEpHuGR3sJ4jxpQQvbUydOlXk5+c7P2/btk3ceOON4lK36pf7
3C7G57FeCb2xH2vU06cdPnzYOVU2w0Xuk1/xc24Ull2i9Pk1NTViwoQJ4ujR
o+LLL790mr2te89f+dzTz/Jerl05L/0YapLW/eKLL4o2bdqIiy++WKxYsUK0
DmdDfvev53P/l0Lv78dUxqoOHDggevfu7fzWyq3otT/vRn5UZSpKI4u2bduK
3//+9w769u0rmrsVvcHnhnE+N3xR3TDDfdLf+JxY3+fEF9SJae4dfxfujs5f
dcWS6zQtv3urVooOOY6inzvJvcFtPuc29LnHc+rEVe6D/PH8TlzhnniHz4mN
fE58Vp24zH1Uv6r/6Rwv9oy62GL3KfzY/DwvttB9Mj8Nud3nYo19jntaXWye
+2QPhHsK51a6Vea4h/89rBxqCf8Zy0qiglYd+jz3+1yvqc9xT6mLTXef7OHz
O3GK+xSP+pzYzOfEJ9WJ7zgf5+alfI4JeqnHfO7b3Oe+T9j3PTff5HdM0Df5
NbtfI5zDw/j5q7qSmnZu7Z/yuWELnxs+bt/wLH4r7J/bunV/Jlw9nbv61C6c
w/L7W2v3Qs+F1alaVtH0PPTJJ+q5PfSRw/s4/7+1dFvGj96e8nlkqtTa59BG
56GefqGTpx51uVC/vwVl+Lw+yikTu7oPKUXRxufBDROHy/F81NgvIlP+SAx0
2/NFrZJOmdxDiEnd7Gfxe5SG56Lk/sGZbr7+bjO8pNvcKVPfh/DeAz15lO7O
V7I52vo8Q4Nz0H2/YE0/wFfuA/jpk5JNffVQ0z8GHwoxjYebxsNN7RkiK7+H
q39WLQ+N5JSvF1+4QnlN19EpM/uCPkLM6A0+4mE+AL14mJ6mhep6hvMN8nQD
feY2UActc6fM+VKI2f3AZ0LM+hR8wrPxTDN5phm9XIk5lufY47/V5T51q9bR
/Ulec963Qsz9BnzFtbnuHK47h+vO5rqzuO4srjuzl3PNVj6V9BOecrCit1sB
T1T+miYypywcJsSCwWCQEPMHgP48E88y7wue6XPAs8zhWWbzLLM/kM9xUfhb
fuRWzS+zeVmzq1MWjxZi0UjA/RcOAd/xDNx/Afef/zXg/vO4/zzuP5f7z/nI
dHT43f9f6v7vu1V+UzsMpyydAMYJsYR7LuGei4cD7rmIey4ayL2550LuuYB7
zuee89G3eZ+4HSvtfG74kLrhe26F33K+uEDdcPk0MJmYdCLgxkvHAG68hBsv
GcrNufFibrwI4S/ixgtRqgXceEFfddP5H4twNdU37hFOuKriLdVzxM8WYuUM
wPOsmAJ4nuXjAc+zbBTgeZbyPEtRgCU8z2KeZzHKuIjnWdRPPcuCPuHa4EHL
E0SFE/rrzr+t1fMkLCAzmAd4rviZgOdayXOt5LlW8FwrxvJsPNfyETwbz7WM
51qKYi7huZbwXIu/VM+0CAEtdJ7rQvfmumHediUSfC4sRyQtFiJxIY/A7RPm
AG6/ajrg9vGTALdfye1XoiMruP1y9HI5t1/G7Zdx+6XfqFsvwUYXfxZWL/6p
nuIubWI/M1a43H30bs4hbVXzpSSQ4cWrn1cvA9QpiTolzadu1ClxFvWiTglT
qRd1WoXex1OneOq0kjqtoE4r0Pvl1Gn5AFWfpdj60n6R4erzD7s+Pz9ouCzI
eaHqqsKIdrp+yUKkrgaJ/LxKfZdMPZOXUFfquZp6rqaeSdQziXomUs9E6plA
PVdhZquoZzxmFk89V1LPFYNUHZd/o6617IuwctP1/L3+U+0Yo57bj3yuXT/B
EFr1n1+iBZdK5UBaCqDCaUnq+9SVgLumUNmURVSayibP5XhsZTU2nERlk+CU
RCqbQGUTqOwqKruKysYPcclKrKCyyxHq8vCV/bst1J8VxVzkytNhQHIWpyRm
8KzpPD9ISxMiXcKqYxrKm7aCei4FKG8KfJCCQSZTx2TquBo+WE0dk+CDRAwy
EZ5KgA8Shqv6xcOb8fDUSgh7xdfyihf7VO9voTp7vgFSG1duvZyj2mvuyuJ5
Mnk+kEI900CGBHXMSFHHZKC46ShuOnVMR3HTqGMaiptKHVNR3BRIJ5k6JkM6
q1HcJOqYNNY51alfApy3CtJZhYHGQzorvw4nQk8dzzXOahPODpUYL1fViM/h
UUBSNo8KUqh6GsgAWVQ/E/FmpqpjMxFtJlXOQH0zqHI66ptOldNQ3zSqnIqt
pmCrKahv8iRtAmNVdRNR30TUNwFbTaDKq74V4WT6QGh9zzema+HK9EPnqCvU
g6zMo7IgIZfKgmSQSsXTQAYVzwLZstLp6vhs5JxFhbMg4kwqnIm9ZlDhDOw1
nQqnY69pVDh1hiY0dDl5gqrsanR5NRVOwucmUuFEKpygKnxhOKnoWj/tPn0w
wJJVWF5IFQqoAkjI59IgmeqkgnSQSXWyQA7VyaEaORnqsXKoRg48m001sjHJ
LKqRiUlmUo0MTDJjrjZXqpGGuqairqmTVDWSqUYy1VhNNZKoRtKgsDJTPUQq
N3WeWengr9XFlxTjeMDyIioBVlGZBJAEkqlQKkinQpkgG+RKUJncbHV+HjLJ
RQlzqUgOdpdDRbKxuywqkrVYKyd2l4ESpiOTdJQwbaqqRCp2l0JFUqhIMhVZ
TUVWh6/Ifaoij4eLuRypiKvUPRetoW6lOBuwvIS6gVXUMxGsBsnUNRWkU89M
kA1yqWueBELLz1HXyUdYedQvL5m/U79cjCxnhdZDdC4LYWWhc5kIK5P6ZUxX
dUvHyNKoXyr1S6V+KdQveYg86xKfqv1VVeQxV0ZOniKuUfdZWEZ91lIfsAws
p24rwSrqlghWU7cUkArSqVsmyAa51C9fgjoV5KtrFSK3AupUAF/mU6c87RNy
saNcFDAHuWUjt2wUMIs6Zc1S9cmAODKoUzp1SqNOafiDVOqUMiScuHSdHnXF
1df54lp1v/nrqRdYtI56gWXUcQVYSf1WgUSwmjqmgDTqmAEyQTZ1zAX5oJA6
FiK3ogJ1zSLqVggxFqZp2aGT+cgsD5nlIbNciDGXuuVQt+y5ql5ZGFcmdcuk
bhnULR0/kE7d0oaLcML6i6rYw66wPg/SAbWbv4GagUXl1Awso5YrQDy1TACJ
YDU1TQFp1DIDZIEcapoL8kEhNS2ihsVFqiYlSK9Ya2QR0itEIwuRXgHSK6B2
+Ugvj9rlUbvcBapmOXjzbGqXRe2yqF0mtcugdhnULj187f6savegKza/3LaP
HQ/P3khuuFGragVxOVhCAywDK0A8jZAAkmiE1SAFpNEIGSAL5NAQeaAAFNEQ
xTRACQ1QWqzalCyqBMYpRrrFSLcIximCOgupeyF1L6Du+dQ9f7Gqdy5sk0vd
c6h7NnXPpu5ZE6g/dc8cJS8YDAm1jv7DFaBf7tQ7KN42QszcTI3B3M26xpuo
MVhKCywDK6h9PEgASdQ+GaSCNFogA2RR+xyQBwqofREoAaVr9cg7SdoaFHsN
il0KEZUi9hK8RgnVLqbaRVS7CI9RSLULlqkq56PQeVQ7j2rnUu0cqp2D08um
2llUO2tUOGnfqxrgAbdFvnS+uFHVbWqlENPBTDAbzN2Cem9Rf1vM51LaYDlY
Qf3jQQJIog2SQSr1TwcZIIv654A8UEAbFIGScnWdNUh97Vr1cxkqvxaVX4u6
r0HkpdS7lHqXUO9ijLmYehetVHUuRNULiHDyqXc+9c6j3rnUO3eyquKlPrW9
R9X2r25tv3a+uFndfdJWIaaAaWBmFTUGc8H8Kl1jWmApWA5WUvtVIIHaJ4Fk
kErt00EmyKYFckAetS8ARRW6trTAWmpetl79vo6ar0PXy6h1GTS2llqvodZr
qHUptS6h1iUJqsZFKHkRtS6k1gXUuoBa5+sQJw9p5yLtnLHhJK3r/mdXmf2G
Nfo5/96irjm+hjYBU6ppEzADzAJzwDzaaMFWddxSPpfRRitAPEigfZJAMkil
jdJBJu2TDXJBPu1TsEkTG220BpTRPutom/VaK8rRivW0yzraZR3tUka7rKVd
1tIuayC/0tWqTUqwgmLapRhXXES7FM5T5xfQLvnTgu0SRiHuVo1yt6sQ3zpf
/F5dZMw2GmG7EBP5nAymghlgFo0yB8wDC2rUsUtolGVgBYinQRJAEkimQVJB
Oo2RAbJADg2Sp82oiAYpAWtokDKwjsYo12S6oVw1RDkNsb5YNcQ6GqJMNgRe
YG2qaoRSzKKUhijBf5cs0delIQpnq4YooCHyaYi88A2hIno92+ZnTyX7hatc
A4KceRuX2EFjgnFgApgMpoLpNO5MMBvMBfPBom2qAsv4XEHjxoMEkETDrgYp
II2GzQBZNGyOts4CGrYIlNCwpWAtjboOrKdRN1gNukE2KB6mnAZdrxt0HQ1a
lqEacy0Wt0Y3qKOhNGjxQv8GzZ8Yztp0e9rjouczn+4yVyGdARJxu3qWIbuE
GA5GgtFgLJgAJu3ESsF0MBPMBnNp3/lg4Q7dnrTtcrASrKJtE8FqkELbpoEM
kFWt2YS2zQeFtG0xKAVradt1tOt6sEH7vo20a4Vu0w1Wm65Xbeq0Z1mqalNZ
ZJuWLqvdpoUk5IUkBoVTnMMc/+z02mv7NP06tfuDYkLmFZpmrmtS4SV1EuA3
zr93qFt8t4cmB8PACDAajN0NJ4CJYAqYBmYggllgDpgHFoLFO9U1lvO5EhGs
AolgNc2fAtJAhlb1bJo+F+TT/IWgGJTS/GtBGU2/nqbfACq2hDZ7hdXs5arZ
nSZfpxNMW5W9zV5EPlZMvlKEOhdNCcsL0ZoQfubo/bXhzeAs8zaDPcqDnT/d
qao0YK8Qg8BgMBSMAKPAGDAOTASTwVRENQPMAnPAPMS0ACzarcWCiFaCVSAR
ESWBZJCqrSUT8WSDXESUBwpAESIqAWsQTxlYj3jKEU+FZqBNiGcTotmoRVOB
aDYo0bjdglI0xiKkaNZYoikhlSwhkish7SrBKopn1C2Vnz+34axi8e+uC04L
GOp8f6Gq0zf78ZtgIPgODAXDwUgwBowDE/bBUmAqmA5mIqPZYC6YDxaBJXvU
9VbwGY+cEkDSbh0V/xIXiqwykVE2yEFOeaAAGRWBEuSzBpQhn/WgHPlUIJ+N
OkbZbMlmY1A2jlzKYav1eIB16bVlswbCWUNKvIa4aw2mswbTKUU2JTPCmkyU
1YLnM9dDC8XMwTnXucOtXLIcEvS5dxPI/0B4C/qDgeA7MAQMAyPB6O8hMzAe
TAJTwDQkNRPMBnPBfLAQaS3ZpyWDlOJBwl71ezKSSgFpSCoDZCGhHJCLhPJB
IShGSqVgLVJah4TKQQUS2qgDpy1bg9LZpKUjS0Ud0lmLdNbGA5L6MqynDOtZ
i/WsnY+EZsuzL/MRTGTdjHOWOTHX2BHSec26DvZ6DneO+ouq4KcHhPj8gPr5
6x8RFBgABoHBYBh/GwFGgbFgPJgIJiO8aWAGmIXQ5oB5YCFYDJZ9r64Zv199
JiK81SAFoaWBDASWCbJBLkLLB4UIrRiUIrC1YB0CK0dgG8BGBLZ5W1BY1Ehs
1gGVNiUlqAJLWNDcOoS1LhmQsK5DYOsQ2HoEtg5zKtPCWjsnnBVF1sFDdXGU
tqLrXFsYaVNV759od/DZT+r3r/j8BnwLBoHBYCgYDkaBMWAcspgIJoOpYDqY
hRzmgHlgAViMLJb+oKnqGtwKMkgEq5FBCkil/dNBJshGBrkgn/YvBMW0fylY
S/uXgfW0/wbafyPYRPtXblfPWmmoLGgoTrtvIEXaYLX9etq+PA2QPpZjLOWJ
YBWg7dfT9uto+7L5QSOpH9LuEuc7KUq3+dWuno9yvrhIPe+HB4X4GPQ5JERf
0O+Q1nk+vwUDwXdgCBgORnLsaDAOTACTwBQwHVnMBLNp/7lgAVgElvzodhOt
QhSJiCIJJNP8qSANZCCCLJBD8+eBApq/CJSANYigDKxHBBto/o00/yawZae6
bCvV8kbraXmn1StKHYpyWn5DHsgBtP4GWr+C1q+g9Sto/Q1ofjmOpJyWX0/L
r3Na3gpxo+pgjrpmcOlG/7Wr6H79dIpwfqsavNdhIT4AH4NPwKfg8yNaGHz2
BwPAd2AIfxsGRoDRYCwYDyYioClgGpgBZiOYuWA+WHRQXWuZNq54hJMAksBq
JJMC0pBMBshCKjkgDxQgmSJQgmTWgDKksh6JlIMKpLIJbNmljesCIapqQkTi
iMMhIkSyEZFsLAT5AIPYmA0yuQbeYxOEtBGRVCCSDVIky9Q1/eZ3+DXmH1SL
X+mq+Zigw71ViB4023tHhXgffAR6g0/BZ+CLo6pJvjlGE/PzIDAYDAMjwCgw
hvPHg4lgMpgKZtDks8AcMF/bzWI+l4EVurlX8ZlIk68GyTR1KkgHmTR3Nsil
ufNBIU1dDEpp6rVgHU1dTlNXgE069KrS4XEV3FNJM2+pinTat7minE3rwFpA
S2+mpTfT0ptp6c209GZaejPKv5lW3kQrb0xQl9qAfy5XA0F+TllNaBfBnoNx
zhe3qpO70C7vgO7gXdCL9vsQfAz6HIdPQL/jum35/BYMBIPBUDAcjOTYMWAc
mAAmg6lcazqYCeZoE1jA52LaeSlYfli3Le2cAJJAMu2cCtJp50yQTRvngnza
uBAU08alYC1tvA6U08YbtA/eTBtXgq171BxXuKqyytFgR3u3bADrAVq8hci0
sgRA65WQSyXkUgm5bEGLt+iBjU20bcVKu239XKhu2mBfwnjnC93b2YlmeIvq
vw26gZ78/h74AHxEs30CPgWfn0B9T6hz+vM5EHwHhoDhYCQYDcaCCRw/CUwB
08DMY+q8uXwu4B6LwBKwjKZeoZs9gc8kmjsZpNLM6SCTZs4GuTRzPigExTR1
KVhLU5eB9T+o8zfuV03aVP26dbfSXk0STvNWbQZwdxUqXIUKV6HCVajwVlR4
Kyq8NV+TS6xq4s3Jqok30sQVy8JprpqkYvUnaLo2x4QSBAFIR1rkDVriTdAF
vAO6g3dBL/72IegN+tCSn4F+J7Vi8zkADAKDwTAwAowCY8F4MBFMORkcQZjF
+XO51nywkOsvBkvBci2RVUghEaym9VNAGq2fAbJADhLIAwVIoAiU0PprQNmP
qqXb0Tro9xZQhX5v3R9s+a20/FZixa3VquWroejqTaAC0PrVtH41rV9Tqs6p
hjy2otyVmVbLE69sjDct79v0t1pN7/zFrytnhO37XqR9XqFNXgOvH9faD7qC
bqAn370HPuDvH4FPQF/O+Rx8qeXQn8+B4DswFAwHI8EYMA5M0MdN5XP6SSWD
OWAeWAAWgSXcYxlYqUkrkXuvBikgDXlkgCzkkQPykEUBKDqkZ8ZfCrEgh3Ks
oAJswgq2YAWVYKsO+qshmRoEUUMEU4MwarYpQdRUCrENM9iGGWyDbbbp8Qcp
iOoixwRElREEDL55dZBl6pTBxUEVDy6slZ+O7puBpGdJo14AL9Esr9IMHaQp
gM6gC3gH9ADv8rf3wYegN8f2AZ+Bfqe0KfA5AAwCg8EwMAKMBmP1MRNPOaYg
poEZYLY0BT7n87kQLAZLwQpNagncNwkkg1TEkA4yEUP2UdXsqnLtYR5sYh32
sB4ZbAAbkcFmUIkcqkC1ZqQaHGsNDrVmlyMD1f7VtHkVwCC26bEPKYMajKG6
RNGQZPothJCbZaxC+LgxSRnDJmeuobeXWZbfWzLQU/jtOF7eeVRQPtcL8b8z
QjxzWojnT/mYBHgLdAXd+K4n6AU+4LiPwSegL+d9Dr7Ubf0t1xoIvgNDwXAw
8rT62ziOmQAmnwqaxEwwB8wDC8AisIR7LAMrtTwS+VwNUniOtONCBSC/xCSQ
SZ6Oo4owjxJMYw0iKdNiKUckFWATItnCZyWfW3/UIkE0Nftri2WbFosjDsRS
s0Fx1FaccBXeoRKz2IJZbJYhZJoKIbcgms1JWilq28XNSiZqXcDP7jj1W+9m
YlJ7kcww59/rVQ3+o7RCPImUnz5d2+o6gjdAZ9AFvAN6gHf5+/vgQ9Cb4z8F
n4EvtCT78zkADAJDwDD9/ejTyurGn6ptdbNOaqsDC8FisBSs0CSZcFLX5Cos
DklngmztnPKRciESLgallpTXH1SG50iZn7eAKn6u/skj5SAJuh2vxvhqNipP
tLVMhVlbZAiL4W0ifN2UqcKsSgywEilvSQpHfiFC/vn9sNG1HJgtW6c/z0zK
fZjb/VvL94kzPpYMXgOvgzeR6VugK+jO7z1BL/ABx34MPuG8vqAf+PKMtmQ+
B57RAUQTZcmjwJjTQUue5LVkfp8HFpzSlnxSVeBajJivVvNVCkjjMTK0cecg
5jzEXHBUG7EWseTWsoNaxGAjv28GlWCrTnRqfqwtYiGC/FqDiKvxcVsrVJhX
iRFvkVlKgRLxFlBFprIVUVeRqVSlhjXi34XK93y7cv2sN9pHwoOC5IwZ/JM7
/kvOmAqcxZRBR/AG6AzeBu+AHuA9jnkffMQ5vcGn4DOu8YUWc3/9OYjPIWeU
KY84XduUJWlPAzPALDD3lHpy/PlSfl2h+T+BzySQDFK1ZWci6mzEnIuY80Gh
Jeo1WtTrQDmo4PdNYAuoAlt1jluDRdccUKJ2ft+txbxdibqacGYrllxZrpKm
zTohlUlTFajGqqvzlKi31i3qm2xR/9zOYb/4M8ZH4M6wuJmieB+3/ZucfQQe
CpzFxMEr4DXwOniTxn4LdOXn7qAn6MWxH4KPQR/O7Qv6gS/1Nb8NOCYuBoOh
Z4LO2sjemPgULWtC53mntXWDJWA5v6/U7J/I52r9c9pJZeJZJ4Im7rD4UcXi
jq8GZWA92MB3G8FmUAmqQPXhoOydz+9dM1e5hMwrtqpsrrJCJcybJYuvVf66
GmxDD2qQfw1+uxq/XZ2pGM2Pw2+qbePn09HsZ+OxPiJ3lhgSojnlXjn7CNwP
/h44i8mfVib/MngVdARvgM7gbdAN9OCY98D74CPO6w0+BZ9rVonD4rnsgDO1
Ld4hdy3pyyxj5+u5YD5YCBaDZWCFJo4E/ZnMd6kcn37SsniL3F3/DdaCdXxX
DirAJrCF46r43HpUuP2srtV7JE82SYzEOURoW5B8JVHaViy/plwF0dvLlOS3
Ifltep5rTabzcanrYT2Ufr593FHuheJ8hPxVkMivEOJO7nOPnGsVUEb+wLkY
OXgRvAI6gNfBm7RvF9CVn7uDd0Evjv8QfAz66Ov0C9Q28u+UuNVj/gID59wJ
YBKYAqaDmWDOaW3lYBFYynnLwUp9vcQzyspTTmkrP6ms3DC868xBCVjD72Vg
PdgANoLNHFsJqo65/RM1h0JJXuatW3W45vTtIu5KwrWtGHvNJhWc74DwdyDy
Hfj27WvU423Dt2/Dp9dkheP334TK/Xy72f2Yvb6PBnxhm/lt3PCP4A5wVyC8
2T/iNXvwLHiBBn8ZvAo6gk6gM3gbdAM9OeY98IHWOVK/TwPS6nH0+nL9zQM2
DWZmbjwHJoLJYCqYAWZxublgPlgIFoNlZjOo67B7rpt0JtTuvbrgeHtQDEr5
bi1YB8pBBcdtAlt0ILhVd4DUHA1Vhup9Ti+0UoRtqhda2n8NSrEd7KgSYhfK
sQuF2LlBXWMHyrAd779dK0OdiuC3jKeBj0A/C5r05bAHZ94aUJK9PaBM/O7z
MXHwPHgJvAI6gNfBmzRnFz7fAd3Bu/q8D/n8OKBMvG/AMXGVCN+jGN0y8dAY
Doy3zZy/zwRzwDywACzS90C8tc3cFq906Me1QwcFoJDvikEpWAvWgQ0cu1EH
f1v4rDphiVc6dsRb/aPqo6pCvJWG1nUf1XaCup1gF+Lejah3V6pzd0H1O6H3
nTj4HaRq2wnqtueJcPK9Mbx8G/rIV62w0EutruPEG8Fvwc3g9+AP4E/agCWb
/0Ub8N/CGTCfT4PnwAs058vgNdARdAKdwdugmz7+vYA0YPy2ebI/B633m4Cb
kQXDNTAKjAHjwAQwGUwFM85oC+a8+foai/lcCpaDeP1dksXmMl53vbeM2/g5
DxSAIlAC1oAysF7H+xv53AwqpZi1yKsRdbUU80HV31KlxYwlO2LevgcRgt2k
a3t2CbFXT7HagyXv3qzEvMuIGS++o0gbXW053mCJ2DHNxj6CtabrXyrErzn+
GnA9+A24CdwSCKXouy2KfkBT9IPakB81hszn/8Az4HnwEngFdABvgDdp2S76
2B4B9UQXhNrw55abrhWVgRFgNBgLxoNJYMoZbcOGim/ChgPKhpcElA2v0NeU
oZkt4DQjYH7OBrkgHxSCYlAK1mrBlnNOBdgENoNKvt9qBAydb5VBuuxuQcDV
BxyqdoS7E2HvBnvx4fv0LKG92PVebHkPdL0HH74bv70Lv72LMG2nK2A/E74h
vAk3VlLlph8H5Yu7vYLjfwWuAteCG7ScDWH/wSJsOyazEy8/K35WWjF4GbwG
Ojp/V3L9Bx44EGLAoreW82eKq4NGbHG1MeKRfkasz5nF5xwwLxCUszFiw9WO
nE+rpNuRMz9ngCyQA/JAASgCJTpBK+NzPdhgyXmLlrMjY2S99VgwEdsGZ28H
Ow8qOe/FPe/Xnan7kfV+DHqflvNej5x3loUYsp+gr1eCvkgHXvafnD8I4bvx
Y6+g6NuJiIt1e1zO55UBZepXB/zJ/I8Wmd9rkbk3CTOm/pRl6i+ax3gIMw8o
M38HdA8of91L64G09U8CtUMxqQcDwCAwGAwDI8AoMBaMBxP1sdP4nAFmB4Jk
vjAQSuayrDpj6QGfqSAdZIJskAvyQaFO10r5XAPKwHqwAWwEm8EWUKX1RNp8
Nc5gG6S+A+xEJ3YTou09GuxK/V7qwg/K3vdKUt+u/LYMy3ZuUjG6Scl2lCoe
DvivrA3Rg+C+Sbo081GBd51/VadoVBtY8cKAiGgHLtGn/YLPX2pC+P8hfhPB
PWme4FH1+6uaDDqBzuBtrQ09LG0w0ZvUBsP8snwd0NEb+A4MAcPBSDAajNPH
TQooRpgecJi/ljZ4mV9qQyI/rwYpIA1kgCyQA/L0cYV8FoNSsBasA+VgA9gI
NoMtoEprTQ1asQ2G2I5W7EQrdqERu1UnvaMN+/AIe/EGe/Yp974L176TgH0H
mrB9kxpprJHZGtgh2X9NOEK4zlIER1Eu8JF996AatRXRF/DnViiAVIKLAkE6
aB/w9wqSDs7FKyg6UHf+r2ICU2AC1yG8rnXgLa0D3bQOSK/wvtYB4xV0BO+y
wbdaByQbDNU6MEr/XerABDDZRwdsr2B0QBYZ3jkJGkj20QFZpA4UBPx1YL1X
B7T8t/JZLXUA+W8/oRhBlt2aDfYg/93IfxceYSfy3yGj+Ro12CKz9uoNakht
O9ghQ7x1Kgrw14FrbTII/ZOfNnQNakMbEdMYP9IMDmnBYS1Ba7SiLVpha0Y4
RyGpoQ5HoW57cSgtyBIuHpSq8aZWja5aNUzAIFXDBAzSUciAwd9RuLMapWaM
CQT9hFczvPFCXZqRGnCn09vkkO+jGGUexdhkKwZKUQ0x1OgQ0biKXVoxdqAU
21GKbXtUilcts/gq1Z0j54PIqQiSIHZUqCx+l5qOUIdW1NOJ3LmMp44fP15c
dNFFRMxy44kocd1117mX8+vPaemjXV2cf9UK53pxARHbADRCyZqgZJaiRVo+
yCmXBYI+yJt8SPoxPkjSzx0qohXP1O5EeERf7r+B2jGp1LVXA1buEVBBidS1
7lrXTFAidc0OSmQxbmiA/l26oXBBia1sfsFpOGWTJTVQ2xXlerStBKzx07Yz
yhXJYoITqW3boKHtMjg56gSoalRIdiDuUR0KZnJoFdpWXaWoaDvB6Y7NKjhx
6GtDWG27xta2cxvYlQs05GPIDV7k74cOHVJjP46ltfbRrTeDzNVKxEVzsViU
SyuZw2RNUbDmnGb5uAhbyerycTeb28UE/ZsV7qr73hMMdx8PKCfn9l0ElJMz
gY7UsM6Bs4e93kBHFjvQkRpmAp3z1TBZZPrj9mME/B1dtqVh0tkV1aVhgeDI
g9SwradUGiRD3226V7L6Rz2DEO2qlJPCTY9kjTO1SmyrCfZKyrILLduttMyv
/+LqUO3yGzo2o4Y//fSTePfddx1+C2pTWx9tej2oTS1lT5eoHxEQcVFoVQyo
h1bVBw2VZkUbzZLUZflI4e8j1Z3ah3ePf9WnSdoykbMsjwVC8yipWHb0dC4R
dDCndl2hHTx5A+hwbnJGGL1aGnBnlBvi8ouhMy21MjFUOLWqCARnYG6xelFk
RuX0ohxyelDUnN+9xFq7wA6lWk5vKNgmYyi93GYnqrWrSvWI7tksvwmOZykl
+tl727W2VTHsuLbRxhMnToinnnpKrFq1ynfg008vO2jfqtrY2c9X9uIoFY0M
OMQXB/EZ7xpjedeoFkEVjWgb4l3VTeLqdqx3umlCSFjvdazeTj2poa94NNQO
4uz4XgVxqhnuFeKrgL921uVXTbLv1c7F+hFlsi9TPKmeqzzqKX1rulZPO5IL
p56yVOhPx7dq9ZS9uFXH1AwMOZlx0/dKPZ1FF7Be1V49qZSft+1S58swfycq
uqtGJf6yJ3dvZTiXej6LVf02LWxdmzS9Y/Ex+kZS5+VPFRUVol27dn6a6vde
i1eCDNpcqrJcUylX7cm1mI7KNoBR68Oo9WHUOBi1nsWotq+O1L5aXf71UD9t
Mg7LT7u5qCySUj2+OmScwSjtk1ppnw2EZh4mKbWjQTvz+EBfw0SDssjM41w0
18urXs21xxxkMZ0TKz2am2xprreDwqu5skjNNR0URnNl97QcZtp8TM0d2iin
4v4gFwJoYv1ejUFUfx+cPyTHIHag0Tt3qk6K3bJ7Gu3dWx3OVde1itdvm8lW
oVpa1/SCNWvWiAceUJvKSTffpEkT9TdHBdv5KOiLQQVtJueyyMnAzm9thJO9
uMraSCtrA7i1PtwaB7fW05lLbBMnRVZX7qxo9aKAodVQz39NIDQ7vkUf59dx
ZnT1Qa2rssje9McD/plLyKhJoHZcKYs3c/m5ujrFo6uy2DGALHb3utTVujpS
vLoqi2FZ05FSrr/fKLvZYdiNx9U8NzmtccOPzrRxNbqN3m79SQ2NyrLte5Uz
79irxst2oa+70dc96Ose2c1eE45hz2lymv8Ooh5yrWt2hLxip06dnFN79Ogh
RowY4RsL+Cnwc0EFbiqXLMpFdNLsHGW+2KPMzYXz2icnUGgYGarM6rKNRQyM
G9IDGC4FN9nR9SY0uzH8QL7pBvYLZv2yJJOH21mSCWZlCZclebXZ5OJnixmm
mDr8tnbMYNjX1ua6wlpv17DUZm/vzzr9NzlYUIE6bZBzOY6omZsbDulJuof1
YL41e28bGr39AJqMRu9Eo3fJ7mEzArzTHQH2o91zWfYd9t1HwVdv2Zf0e6vW
00F9bCJHHWX/s8zO5KuSXN28VOslF5XXDwliG0VoIr1axBEMxBEM1CMYiCUY
cFSzpVLNqLYqcXeKHKHwBgSy+AUEfwrUPY1MFtkVaedZ4RL4TkZtrq47gZfF
jF/KcWq/0Qo/1ZTFJlrviIWtmuECA0s11bNe5t8xuSYQ7LWWRY5brz+hpps5
0wtlUCDDWTnd7LieOCqTeTOmiXruQD13HlBj17LnejfquQf13LvLo5rnszI+
dIPftuHV8RIfdXzSVsdbhTP/XM5XclTzWiFnDCvVvELIjZCDqmmCVVRT9SQ2
E41gzIYwZgMYsz6MWR/3H4f7r4f7jyW1immh1dNk/0Y9Lw3IGEA9xWvn1kFu
wlVvjmW00+RY4XoBZLHHUP6vtHO0Pt6vi8nWTlnkeJrdkWmHArZ2yuLtDzDa
acJWQ56yrIM0151U2lnOZ8VJFQ5sCY60qs7LY2qW1DapoYQI29HOHT9o8tyn
Q4FdaurMvl3aNoy6nMvmAX4bMWu6DL6i7jIfrfxvUCsby1eDyFdyyEXF4hZL
Q6+3NPSXloaqp1MTEN1Uisi0EWlUQ9KoBqRRDWDO+jBnHMxZD+aMhTljcOrR
rbR6tjHG07F2eHr9WXTTb5RfFjPZI1z+76h/oPb4nreHyoSospiBHFs3ZYhq
BnOMbsoSrvvTO/IviwlTvY7d6KYs3s4AqZveMNVmT1ncWQCB4NCOLHJ4p/KU
7vI85kzOdhy7nNolw1Q5QVOGqdv26ZRqj3Lse9X2AcGl0H7bJ1xp6ZznT+3V
idz3P0GdayT36ZQblMpd4Bz9+6NwVl07+neTcGb8Ofp3jZDbWWuH3MI5+SIR
qBVPNoYZG8GMDWHGhjBjA5ixPswYBzPWa2apn+p4ctdty65RO6T8v9RAncyr
ez1UO5k/GzsaDbTnHtnsaMJKWbxJkhlplrMNvInSHH2O3/wTdx5SwB5X9E/q
vUM9pUYDA55kKaCSe8mQm0/oRB7tq0T7KvW8M7nGVs4h3aomF4rt+1RouWef
03x+4eQV4XXuFz6M96+g9jWU7xCRr2iQ+6fLLZ8dTbxLOK8ddDXxZq2JZr6f
ndrIIlMbEz621OFjE1iwMSzYCBZsBAs2hAUbwIL1GwdVUcaQJtSXfaBKpwPB
GNKri+c4lB2SrHt1UZZwvaFGF+0Ux2+oMYwuqrrcHpwDZc96OJsuyuKdC2UG
hfy6R2199OseNfooi4knZXE7m3S6I6esb9QxpOxokktOZRfp5gOqk6lyv+pk
koy4U6+/3yPnQapOJ79MPUQfa73azk8l/+G6aNFA/EerFXrqqOffLPW8R8hN
Eh31NHuM/FZHkH7JjSztLO28QPvoJpBkY0iyMSTZCJJs2MDVTiXEJ1UEqXPv
iP8r5bR7kpwqBs6vq947Du6dcyFL70DoZFxZvD1KtnKa0Upv76etoLKYPDxc
snM2BfUZtTR9JSEJjwwp5UxsJ6QkwdmgZ1tUHFRrojeimJt+UJtCQJZmUxKx
k993oaB7vg/Hk7/wxoNX+qjiA0F2bCBfDCn+J5wXXMpAUb5fzfnLQ5Zq3mdU
8SY3dDTJjVFNb3Iji0xupGqG9MRDmk0gzSaQZuN6SjWl/5ZFho9xTYPZjdMT
jw8Xrf7PddPNo6Vq2hmOUU1v15CZDlRXJCnL2bIcb/eQrZ5hBtOVhJsHu4hs
7qxLNX26iNS1Wnvy8DNq/rhcIFB23Fni56jjer1HhtmnZLPu4HQiSNM1JGeN
/aDmjvur5OXhXXews9wvbflLkDHry6Ed2XsunheBsCqrTm8j1VVuj+6Em3ee
R7oji+yQ98acUmebRiudVYpzkaJTE3M21XPWpLNHbyMu0ApAVi7a/X/prKp+
q2BGbqauefuLzCCSH52aSR/2tKL3rAkkXjoN10HvnfPs5+9lsbNzm1LPprde
OpXFjNbLYjJ0JwZFZ0vk2ge5uAWdXUOMuVZ3Ydr7D8git5eQsafspJd6K7s1
pd7KvqPdaq+XYCauPbvfa0rtd0o8rzdFdH7z65m8J0iy9eXbDEUn4UzxkK+L
rKXNT7mhZ1v5OhKHfAkYJFM7yZPRZpM8GW32SZ4cbf6FT9iqez3VI/1ONInV
BEzU2rChSqCcns8manJJFAodgUKLupQ53DCTV5llsSNXWexVdmbZtD0sarOw
6QW1h5us+bqqTvcG5+saFvbL5/t7tNobJNi9oZP0p93nZHfY16XVfn1OZmpT
jv7OBApydr9c5SGXaxWjzcVH3R011EbgulPe2WbB7KhxUK3kqdZavV33hpo9
5MJEpVqL48423yRSX0SOQ8kRIlnmzJkTfrW8Wv3xAnbxYhv8Jpz1ygVCPYXf
WP0dQXaPk6/flK9mlG+bdG2lo7aVl03wcatjJpL0H9PqLU3lQaGyO2MqJruz
+xlMdnejjqGNqVypr2MGr4ypyNIc0m9GoNIU0ndsJU5leE43bEM9hxR7icJe
IrEX0UzLVAYrtq2YHofwtuJONfLrjjWmYkZlTcBixrLskVnpAGp3PKjL/zXI
/7L4rXky/G+sxfiAcGteZJHWYnyALNIHnIu12H0QCfpcw//eGVuyOH5AroU5
rRY2OmtYj+ntCaw1Lc72BHxXITemOKwsZcshZSkO//+ke2ZVLOMXsFxm20ld
012i3OkuwREvnwFda5ZXnPPXFy9ETNjIKy0RUwtYrRmiagyzNVDm4jfV1Nmz
NFqby0fo6PvCWUPjmM472nQ6K9OJ1Lv7vay9zHOWl3lcq/ejIhBiPvd7zEd2
jvzBMp/fWuZjUlA7zldK9oAb5zcn/WwWrcxHpqANZTcxJiQH2eREhhhMKBoT
isSERBPLfFqfh/nI4l3law+2OY8UCHba+bkbb9BvhjVe1ef7uBunyKDfdje2
EYUf3nDXfkobstNSWew4KpwNndvagKANyWI8jlxTmIvt5J7Q2z1I+1ErQdQb
U44p+1l/VG/sYjb1sfZvkt5mm7Yh/64Rj/n4zbsxc/elq2ndWr3MWF1ETW6w
R+pkUfs0NHJ+fqEdxtMW4+G0VzGgDiRGHcmv3+DPb9Yn2I1Vle4aEeGYi9+K
k1vszOJLcUr0E2fkPgFyLbnzrdfAzH6Zxi+9qvySeEFb19M+1mX6duyux3s8
1nWrZV0mizbWZZZH+mXR0jk1lVl0tOp+dMYI6+kpmFhYNBYWhYVFNNLW1dxj
XWamsMe6XE9kL7v0rrO6O6CCOVnMcLY9b8jroYIpirr8r8NnKLLYvZHGwIyX
smM6O0uRxXgov8xaFhnT+VmYZ5Wmu0uk3ziN3emTpq/r9EzKVbsn9fL7E2r5
vSxF/FxyImhdzoYqZgMd46EOK+tyPNRBs22Sn2O61Lass8wSinZ81ubNm40R
+b0QT+2AozbcfYnA7WWc0qsEbh0I3DrilN7AKXVqiHjitE3ROO9ERIruETGi
Z0SceDeiofJYfgs8fxP0WPXFd+K4GChOim8xtm/EaYzujHxHmWN0svR2jexi
uTrQ8WhdtEd7ow6jezKM0fl1qN5uGZ01Lm/s7Jf6MnLQ0+4FcIblI7TNRaou
fzku78whles9sLsYOaMJu4uQPVkNtc057BMIBoSWzal7vhi6gs27ttG7+cw9
+pqmF8usfDd2502iZPF2Zdkr20xXliymK8vuaQ0XHspid2fZ3QN2MiWLHR5K
w/OuEZHFdmvhBkhtw5MlHYNLPxXcEkGWvFMqNCw86Wxt4hid7Bpw3JoxvCMq
iZIznmQipboGwg47XVLbl/lPWY4Sw4cPd1YQhbM15cPUoObLBICvYmuv4b86
8tUbmGAn/FfnBtBgPS2RCKgQF9Yjoh521kD0imiMS2omPuQaH4lWjmH57Zpx
nT3OMFYcEqPFETFSHBXDMcGh4gSmeBJTPIUpnsYUz8gXRaorXOJY4YeW66vL
El/SlvisZYmyyKGNR0TA23/sdGHYlmi6MJQp3BzSISeLmX9gTNGdIROhgktj
inIguIFlitEgEnMUmKMw7s82xTbaFGWR7s/MRzAzufQkw5C15ibAtF2gLCZJ
8waZjwRXuvjlaN4FNCbGdDg2EDooFzpIrC5729l7NeyZCnbPhl9/XbiFNd4e
DXsKoiwp1n4Fssj9CpwYU+9PUqBnxhRhhCWg9Jjqpys7ono0nA0E5eaRerPI
zQfVZFq7O84TTfrN2zLW9uOPPzqdGbIEN2RVW0KpGPNlYsdXiB1f49eO+LjX
iR07NcHu8HFv1dd2x1nd8HE98HHvRtTH7hphD02wi+bYXUtspI1zXB80s6+4
3Ik2/XaS+5X8N0bb4TRxQEwRP4lJ2OMEcViMwx5Hi2PY5XHs8gR2eRK7PGV2
B8ckHe+o7hOo0y7f1HbZwccu/xfGLk3Xot1RfofxhBe7PYumn/yas5ilMyiO
WbaIVF0mTfzMMk6bpYTtIVvo23YQQk5gkw7yUm2V9sJIe56GHZgaJ2l6GU3q
53WSsvilfnb/ue0kg1vFhKZ/0jTtFUSynK3H0W+iuyzheh3DzXIz/Sd12aYs
yfpTRqjSNs2eMtJROptDaedo+lCK9ZZ/zhaPenNPWZyNXQ+q8fKwvYqXhhqo
3wQ2s5tmXl6eiIkx5lrbRardvdSWIK8Qjr6GpXUgHH0dF9mJcPRNwtG3cJFv
axfZDRfZIyIKM62HmTYU7+MiP8RFfkTS1xut/ES/LaovLPIZmtuP1ONLtPkr
wr5v0PBv0fQYly089usQj8olG4lFYrdYIPaKeWK/mCO+F7OEet/XdHEQuz6M
XR/Bro9i18ew6+PGjgfjXgdiHN8K54WUYe2611ns+hVt189bdi2LGfwyHTna
rqO0HfuNFpzNpu2pBNKmL8Cmm0ep8S85nUBO+ZNz+GNBFIiI1TbdIPhmbZls
ymFbmWxKm26nbbp9IHQIzA587cV/treVxQS/fzbRwqPn16XjtWtZvN06Zqq/
HQDXZdd+42OyePtHvf7Wz67D+VwTAMsi+3acIFj73DQTAJ90M0/HpvM8mzUX
67ezOJv2yq3XD+l9uR2b9ot51bIPtxPS/lMjbRmyvIptdcCPvk6M0wk/+iYx
7FvEsG/jR7vqPpjuZKg98aPv4Uffx49+GNEU42yB3rfCONtq47wU47xcfE4C
9oW4GuO8Hlv5DTZzM7Zzmxik35k7FE81jJyugfylddA4m4rVolIkiq1ilagR
K8V2sULsEMvELrFE7MFw92G4+zHcH8RcbbQzccLTMdopGK3ZNncMDngkQfFw
guKhWO1g1L8uy/3Yx3K7Wpb7uo/lmmFrr+UqnX4wZAQj3GDfuZpvG0y3ldd8
Y5T5yvW6MSCKnyNitH7V15+mK9YvcbX9sndnJuOXbRv+o77mnfrTjAB6I+Zw
wxrhbFgWHTabxZ615rL9DBt251n4+WXbhu05bcaGPfbrcqHtm0M2bTwV3Gw7
U89Ny8Fuc62XYzhjG4eD++qvs16dIPw7X+swXpUs/tr5rgO21xHjfYMg+E08
61t41i5YVlfd0dOd5+/J+e9FxGK4DTDcJhhucwy3JYbbWnyqPetnPEQ/FPAL
rvsV6ds34kZM5neYzq3Es3/EjO50jhtOqDmCVHAUaj6aMHQsBjBePCUmiufE
ZAxkqngNk3xDh9YtRK4oEzlivcgWaoePDLFJpIktIkVUYe7VIklsEwmYerzY
ibnvxtz3Yu77MPfvxUJMfT6mPlccNLseTMUtTyLUnkCoPQ5LH4Olj8TSh2Pp
Q7GW73ysXVUvUKe1v+Vj7fawvixPmLj6krDjLWcz9mv1pexp+bJXWA5ZOjE4
ht4aQ28JWkSpcRc5PV8uzo8yish3wvhqWRprQ28RqO2sveMu3tTYY+xuriuD
cHtVabj0+GyB+PMBmSO7GxzZHVb2XBYTh3vnUfcO1J7PYmJxWezxTL9Fp+E2
NbH2aHLnlJsOK1mMz47Xe/rJjfWdlyrI92dg56naR2fIFxPpV6Q4L8PBzgtA
0WG1wX4pdr72oHoZjvB30hdZdu48i9pl8SHnoNeInTsi8teJnTsRO3fGNXfB
NXfFNb+jXXMPXPO7BL69SF4/wLF/hCPtjeV9gmv+VLvmz9GyfuIXWPcvse6r
MY3rMZGbMJVbMJk/YN13YD53O8eOwH2NEv/Euh/Guv+DdT+JyT2Dk32R7PdV
MQMjmSU6O8fOg1vmc9eF3G0xRraUqy/nyiu54iqulMgVVnN2CpwgSzouPAP7
zuSILP6azV9y+CaXf/NFoSgQpXyWiTwYIxfGyBEbNWtUcu5WkUpgkAxbJBEY
JBAYxBMYrIAxlhEYLIUtFosDasj0ch5N5T4zCeanwxpTYY1JsMYEWGMcrDEG
xhglnPdx1skcfX2Yo2cY5vBOCDJ0YWY6nG2o9lyowwzX2kt1Q6gjSvWqmd02
4vg+FkTL74Dg70LGCvW0rpueNTtWaBM4e7yvKMTdr+cmfTk75Lf7u70McraZ
EP+z3Lg3lfcL+e1eNp9wQT3nDZ79nAMq5PdOgQ83Lc7sXSOL3cVmpkLIYhas
ybczyPdyrDrlvFlJJJ5U79BKPh6c4mC910zkQhv5R9zXy4kSsOagmgLnHyFc
FD5CUBzyd+e7DnDb60QInYgQOusI4e2GNBoRQnfVrQV/RKLYsVhyA/ijMcre
HItuCX+0wQDUBLl+PMQXqN5XRAjfiOswlN9gMDdjOLdh7bdjRHc5x41ErUeR
wI6Bw8YSGo8Xj2N4T8MfL8Afr8AfHeGPNzV/9IAR3sfbfwwr9MWOv8Se+8MO
38Efw2GIMfDHRFhiGlGD8xpxuGMJ3LEC7kiAH5LhiXT4IgfuKIBBSsE6fiqH
Ryr4Xu38lE20kUm0kU60kQp/JBNtJBFtJMAf8WJflOaMxeInqOwgj6S4Yw7c
MRPumA53TIU3JsMbE4g2xsEdY7C5kXXwh2qyQAh/fGDxR7cw/GE4w0z1kOVx
iz/+dQ78Ya/IOht/uLlGRJAzzCYrcrl/nHCmhcluHhEhr8FxTggii+ouUCGI
nDllZhnWnW+4nGFoxHQbyOLtNrA5xHQH1hGJqGvfGoxEZPH21nungZtQxDsV
3PCILCYUMamHLHV1C9rjZ/ZqBVlk2uHXJSiLO3Z2Rr3lRb7fR77bKR7+WHXC
rP10KMR5Q+Ux/YZKSSPQRy6amw8KoY9iSSMH1ZtChb1RVR25RdPgoNOfxZuE
HG8RcrxNyPEOIUc3HXK8S8jxHiHH+6IePrEhut0UumgBXbRG3y8k3FBv3fiC
kOMrNO5rstz+kO9ANPI7hDMYLR1KQjFczlkW8uXkf8OeHoQuHoEuHsPgn4Iu
nsPoX8b+OmD4nbDFt51jF3DnRZDUEu62DAtbgbXFi0HQxTBMejSmPQETn4qp
z3SOz8KqswlKcjgiFzLJ4y/5fCPpokiUiGLCjSLoopBQo0Bs5m+VmjJqoIxt
hB47oJ5dwnDEKhKTlSQly8WP3P8gz3GI5znMcx3VnHGcO5+AM07yFKfgjNM8
0Rn5EuWfzRnveTgjSnOEnlTpTg2TxUxeOZ94w8sXZgKL4Qs5u1JORG4vghxh
rXNXa+g0X9QXcvcoZ0WAnEgnIuCLiCit3DLmkP0TDS3OsNOWIGeo2zwb2k1h
hx436EuaScreIQR7fku4YYR/BWpnME4bBsJ3Ofrxhok/ZPGb7GLeCuRNYcy4
ux1/nOtiebMc1Ik/5CtEzqg3Q8l3wS3Tk1bk+zvjdarivE/1mHqfqvNa2yP6
tbaHNWlAFoWQRXHY7kS9g0IrPT5g/8lM72pindaRsOGNNmY62B2iKzFHN2KO
HjrmeC8iEgKJgUDqo+iNIZBmKH1LlL8tBKJiji95kK9Qv6/FVRDIdWIA6jmI
mGMwMcdQ8ScM6W5NIA9gXP/EyB6GQP4DgTyB4T0DgbxIvPEaBPKGmCu6kKt0
c45fzF2Xcsfl3GkFV4/nygliCAQyEgIZB4FMhiZmQABzneNzMPVcjsqDQPKh
gwLooZCfiiGQEgikhFylGAIpgkAKNYHkQSDmXU9pxBkpYh9n7yem+QESOcDV
fuLeh7jyYUjkCCSiCGQeBDIHApkFgUyHQKZCHpMxpAngfEnkk1ASMa/g8E7O
9s7HMTwSLm+pa4a2vTTnBn0tORHu1+b2v3F7PcxcOLOmwVmhI/SWWVboIakk
ChqJMjQiuzvrqTk6cl5cBOlLhFzkYFOJLCaFMSFI+4B/GiOLX7enNwZRfOLu
UWnoJHS+QHBD6tApcyoEMXTi2c7V7f309obYvZ+ymN7PcCt8Blm7tZxta9da
q3nPqJeOLdTTcJboF8QuV68CdmjEeTUzFJKMsqaC9COaSvRbynNB/kH1DH5J
i00i1oQzxQmvk6p0IlXpTNzRpamhjt+LntGaW/nmA7zLR3ia3pBNH2IOuXPG
58Qc/XTM8RXm9jVeqz8xxwA0cBDaOJhrDCVFGY62jpSrS4R8EfzfMaeHoItH
oYv/YmL/gy6ex+hfgS5ex/A7QxfvaLp4H7roDV18hu//CtP9FroYDF2MgC7G
QheToIvp0MUc5/hcjs7jqHyOKMD4C4lCivhNRhulYq1YA12UkpqUiC0uReQR
Z+SQlmSRlmSIvZy1D8r4Hso4wFV+5H4HueIhKOMIlHEUyjjKcx3XlHGSO5+C
Mk7zFGegjIBDGRPPgTIUzQZoQ4cyojRFyJDDXsvR+Tzowh7I9NKFXw9prSl8
bd3lT3YnqTsiIoI77JnIw0sZsZGqx0OWiGg1uBkRpygjsnFwMd4FFmOYTg8v
W5h+06u0qdgDnTfVZgyXHkwEEm4ig72fmb07n6EMKwKJ1IZQay9770QGewGr
jD78Bky+0n8/1z1RvWurZ+uXl8kyP+Rdw+qt4Ss0VayCJhJB0lFFFynQRBo0
kQEy9USh3IMOXYRjizZ2yBH6pxbOv2r+QCfCjM4taRE5fNSEFiHU6B5n+OO3
cEYMnBGHBTdywoxPEc9nXLyfnqLwFWHGN4QZ/QkzBhBmDOKcwajmUPEHbOYO
bOceMou/OseOQ63Hk6dMRNUniyextWfhjJewvQ5wRic4421ceQ/n2GU43+VY
1UoyoVVcPRHLSyJPScYiU7lCOoyTCdvkkD3Iks+RBRxRyF+LYIJiWKGUf9fA
GYYnSkUV31Tzd7UjcR65SQ7hRRackUF4kUZ4kQpnJBNeJMEZCYQXq+CMleIY
z3IMZjoOb5zQvHEK3jjNs5+hDoHz4Y0o7WQ+1VGGmWdveMOzkOWsvBFmAkQI
b3in/iqv0NodQjWEYXaKc7tGfWIML2nUi1BxhiyymzQyJriYy/RymJ5Sb0+H
3VtqBlwut8hDFjPCKslDDbyYdTa+2Ytfr4fd4yGLCTXssRczW9hvDZm9wbdf
z6ksfgOtjocI1M5Y/AZcwi0ilmWWfrfp3FOaN05q3kAZl+pe0RXwRTxIgC8S
4YvVR9zXaaYfUrSRfVDRRhjKaH02ylCzA98g1HgT2b4FUb/djIZoDIk2gERh
lHejhQ5IrkG/m0MVraCKC3GTKsT4Bi3rT4jxLUnyQHEjZvE7coffYya3Yy53
QRV/1lTxD6L2f2FO/8asnsC8nsY9v4C5vYrZvQFVvAVVdNNU8RGuvQ8uvh/m
+g1UMRDXPxQzHoU5j8e0p2DiMzH1ec7xBRh0IUcV8ddikWnYoUyUi3VEFmUk
IWvFVtiihihju3NKIZFFPkyRQ2SRRWSRCVOkE1mkwhTJRBZJMEUiUcUqGGIl
WA5LLBUqlVwIU8yHKeZgIrOAZItpPmyhR1SitHhMgPGFDjAkW/Q+T7awOze8
ewV4V1jb05PvCkYT9srR3+hL2Qt07P4NQxwm0jB9HM3DRxuGKCRvOF0dsnvU
DLHU95CHd6S2rYc8TOQhi4o83EFZM2hrBx+GPPzmNdsDt7LYszQe1pdtEX6i
VV09pSZNkUXFHO6KIO+7Fevq6PDShukgle9YnHZGvQZXvhJ5NnQxB8xDG+dD
Fwt1iLGE+HcZdLEculip51okQBtJhBjJIPVQkDfq5otIPW5yLnv3l5eXi5df
ftl5qU3nzp3lbEi/dQIX6MkasnRqC9UQb3ahvbuS2XRrBNUQofSEZ95TTUeU
Eq2jlIb6SldiOBcRnVzq/NYfB/ctOjtQXA/l/BbKuYVY4g/kIHdgd/dif/c5
x03AJCaS1UzGTKbiYKdjPjMxpTmY1XxMbKHoSvbQ0zl2Bc47HtNMIGdKJPZZ
zVVTILE0LDqDK2Rh6TnENXkQlRBWEJILvRRBM2ugm/X8txFU8vNWvqvh2x3Q
zk5NO3uhnf2c8b3IJjDJhG7SCUzSoJsUApPVBCWJ0M0qqGYlWAHVLBWnNO2c
4ZED4WjH0Iw3PpHla+G8AdpdDHiutGP3qT5v0c6TFu3Ys6//Zh6jje8QrtlZ
RxazYN3srmPTTsiULxHcnswkOSZjidPXQuFEtOwTiVT9IpFyR5NYNTM7sn6g
djerzTueoCXKEIy3r9UOWrwZT139rbLcpxnhztp9I7WXE4YGK377Q8hib+Js
ByrhdjzxMo53HaH7bj/zxk+YZpp8+TbKNwummQ3mwjbzNNssgmkW69key2Cb
FTBNPEg47GGc4CzrkPeC7NmzR4wZM8Y5f9SoUWLXrl21uMWHfyJthjq3lzbc
d999orCw0PlZLsO94YYbrFfWtNIjPbK8SerUhRioKzFQN7iqOzFQT2Kg96IN
KUViNrEkMvWJThq78ZCJ//sTCw2A9gfiUL8jFhqCxg9D+0eIP0FKd0NKf9Gk
9E8xCcOZTNo0FWOaLp6BlF7Esl8joumEpb9NWtKdOKiXc3w8d0kg4kqC8pJJ
xlIw8jSulsFVsjg7hzPNVA9ZSjiqlL+ucWacyTHgUoeXymGmDTBTOSnTelKm
MphprVCbthbDTIUwUz6BUC6BUA6slEUglAEzpREIpcBMqwmCkmClBBgpHqwg
CFomzmh2CjjsNFeYXKT9WVOn/ytqksVMQzXU9B9DRW3DTkyzN/0yEZEs9p50
Nj3Zo8RWOmUiHr9uGFnkIFCceedRtH7vkbN+5IyIBpFWd0yEXN0MS0U0dXtx
zQBxVNvTIvJCvTuvX0fulQG/OSnhO3P/ZHXP2LvYeLtkzjYH3RMaRWp6r3NX
2t51MJXuuXXXk3jnnct3T088o98hDztNBdNhpxlgFgw1x5pUsgCGWgQ7LQHL
jviwFAyVGnZSSaz1nVwEKX/zskt4BgrZLN67V0C0vkHDhg2d93TI3+Sb2eTq
ZygwyuUn1evT3HmGt8jR3iZoege66k7Q1JP07d1YWlY9oviQZ/0Yr/gJQdOn
cNpniLYfV/gSVf0aDo7WBjEEVR+G2o/AO4/CKY3BLMbqgGkSOdpkHPtU8TjM
8jS89LyYLV6Bl14XC8jRFpOjLcUyFS99Chd8ASf0h3G+I3kaBleMNrPP8yCE
AqIrRUmroaMMZwJsGd+uh5JkdrZBVPBfJajm5+18v5Nvd0NLe/R53xNaHeCM
n7jeIc4+DC0d4UrHCJyOc8sT3PoUj3CaRznDI52Bls7oqv7CoaO6cjRDS0PO
g5bC7E/i0pKZ9SaLXkdqJlaa5WreXRTs3bD0Lpkhg0g368vZE1j0QJLb0xM6
KB0X0uPjTd6amkdq6GzI3kgvbXM2XYg5LeJAbDStqOfTyyUxUXHBwCum2SkR
0+KEiGl5QkS3PCkiW2pesruOw/UA2WvfrGBKPc+vQl86ZLp+7OytrgXihp/s
SS6ymNElWbzbcJ4LP30VfKO7oSYTRMnibHciX5lOM4wHE6GkyWAKlDQNTFdd
jA4tzYGS5oEFR32o6bCmJmgpObhk9BxoKboOrgmho7O+hkX+eejQoQ4ryfcF
XHHFFb7vUVG5Yivnu85kdF34sSs81b0JTdqQJiWj60VG94HO6D7m2p+IBlhT
Y6yqOXlWKyysLRndxeIbuTMFZSAKPQjlVh1OzSClv4rxZBWyTCaLm4prn04W
NwO7mi1ewro7QEpvko91hZR6iuWEaLIkcPUk8bVZsJbBRbLEFMhjJvHNPOKc
xZDKCufQtTDWOmdWvpwnJ8eu1zmUtFFsEZvI3jZCShsgpXJIaR0xUpnYr4np
R65xkGsd5ppHiJmOkdEdJ6M7ATGdgphOKw66khspNVnMpwmT7CSurp5mLy99
dR685Lc930vBjiBPtFSLl0wfkr3DiwmbzB5Kt+jHMvsoGW66Rrhxi5eeZJ+S
X4LXCta+ABZvodPd5npFfLOo06JJ1Ck46pRoEHla1Is44+73GRN7SsTGnRT1
GhwXcY2PivpNj4h6TY+J2KbHRXRTeKmp5qWzdTQZjrLn5LX0hFDY9+/0SI9Z
BuS3KsBLT2YL68fdIf9aOZ4sdqeSX4e0/V4/M4XGDGB58zs3cuJxR4HRtMJY
MI6WnQAdTdJTYqboXG7GcSKnYz7UdMRDTWEjpZiwlBSWbyJqB0nh3qgj36Ij
X7134YUXyvfmOXGWHyWpWEmt4XmLXO5tRNiNXK4HsdK7xErvESu9r2Oljzi3
N3FcH1xgX/zh5yjfF1zhK3zmN7qTaQDuaBC6PBi9HkrMNJyYaSR+eTQ+WlFU
HHT0BKzyDHT0AnT0KnT0BnTUhbCnO3TUy+z+kszFUrHmdIKuTHgtm0ArF+vP
56RCTijm4FJ4S5Z1/LUcOtoAyVRAOBv5dxN0tJkYaTN0tImUrYL4qBw6Wq/p
aA10VAodFUNHheKoerpfcssz3DoAGQa4OBGqttdlfNp0ZIdJho7MHJvR50lH
9pJ+PzoyPUQviWCIFI6LzOiX2fjGxEnWbuIho2Cy/M69R7OQWMlO5exJv5fS
RpdAPO0gnovIbi+EwdvC5G3EcWWxUaJV5AnRIkJZjUn3GnJYAxDHofUjjxE3
HREN6x0SjeofFA0bHBL1GxwRcQ2Oili4KboBXNRAc1FDLLLxmeDIWSgvuf1P
7e2QicOvAtdwiWv5vF7zkOl78s7Nqb1KyZ1TE+69N7KYTK6upQU9rL2kTH+T
PZjut3p4KI87HIzk8UeBMXpOzXhadAKh0STNQ9OOe7joaG0ukiU+LA9FnyU0
8jKMJ1Or67WI8t1y8+fPd347cuSI0zkV/l2zlzjfdSFh60rC1p2ErScx0XvE
RO9jmx/qmKg31+0j6kNAjSGg5phSK0zqQrKPS0ip2jvHDEJxB5NPD8VzDCcR
GCFuI2m7gyjhHszzr5ipio+mEB/FKHVV+0WvxBJlSeKyyVwuFcvN4BKZnJpN
sJFLQpQPbxXCWcUwQqlY5Ry/niM2OCsGSqCeMuhmA7SzGQKqJlHbwecuvePj
VURAJyCqk1zrFNc8zZlnoLgzmnfO+PLOElF3GFQX7ww4B96xZuuYUMcnCnL+
YncamXnC9lCaXyhkD8DrNE0pQAuHecywmoyGTEfSNcJka2dgoNPw8ikY6BQh
0UlY6ASCPg4THYWJjiD4w9HaVluT77YCLeH1C0Bz0Aw0BU0ifhJNow6IpjEH
ROOYn0TDmEMw0GFRH8TFEgWBmNijwjBYRNwJEdFA4pSbxYkWp0VEq1Miog02
2Rb7vAhcDC7l9/bgF+DK04p+rtaU430bnL2d153WkgP7nVvh9kKWxfQi2Tt8
m/5u09dtXpZg3rxt93N7dwtyTEbGQTzvEDBMs+5IOGcUfDMGjDvh8I7DOVOO
a945Vpt3ZFlCKraUVGx52HTM3vbR8E5dG/t4OKeud2PJd7Z16dLF+Zt8peCQ
IUOs3eXVmicVqryNOLtB7z3Ivt5tQFPVI/NCkT6KUNX4hFDnU3zWZ2jPF2jU
lxDE17i8/pw/AEWUZTCKOgSlHY4ijyS8H41rHUPYPw6XOwH3K8tkbGMaLnqG
eFLxTBS23Ambfhvb7qFXOl8PR+yFMfbDH9/DHgcIVdSyizI0fA2ZUjFaX4gF
5INcLMLmjjQsJSVMzHK+3DHsHLnjIzdmaF2rW8e7mFEWe3swMwYv4xZ7UZIn
blGXj4Y3TsMbp+GN04Qtp80illv49XfgJlrkN/DBjfDBDQRz10MA14FrMfqr
acWrCPR+TYv+SvygnzgKLtmNCHfDI7vdybOX8PPFoB24kGCxLWgNWiGZlqCF
2MdR+0WziP2iacT3onHED6IRaBh5gDTrRxEX+ZMbqUVFHxXRcRBKw8MiutER
EUWqFdkYo2mCITXDoFpgXLILqDWfbcFF4GJ+vwxcjlVcqcnD3uVWd0m7I+9m
p1sZv5hXStov7bNJ5HFt6LW3OXJXV9vvRve+CSjcOJksTuyiH3cwjz+UqgwH
I066/OHwhhO3HK/NH7LMJVeaR4yyECxG8ZeqXZnbBZcTRbmrBIJ9ytHOmFif
Pn1EixYtJIvUtfmQJpGWPnx0oTudGNH1JPXpRerzAaHBR5GGC2JQ/PoYQGPR
DyX4EqX4mtP6ozQD9BDSdyjaEBRvGMo4EuUcjb6ORXfH4f8m4Asn4RcVAdyH
ET6NMb4g5pH+LCT9WUz6s4z0Z4XohfF+7FxvNXdJFd9i4EMw9JEY/DiRh8nm
Y76FpB8lnLWGM8owe1nkcudNzhKCtZBJOYHHJlAFasBOsAfs5+8/8JcfCVbU
LKj1mE0Z5rMG11qCKRVhUgUgD+RALlkgA4M0JLMaJIJVZyGZ6edPMkoErc65
2/hlEdzmTBaz++4TnuBE5kZmA9L7qeJ9VPUv4F449W6qfie4A/wJ3C5MCBAL
of+AY96PMPcSRu6GbXbCNtvNY95AK19P211P211Hq1/Dz1eTi14Ffk27/gr8
kmNkuZKfr+B7Ocfqco5tz8+XIrOLkcVFyOtCZNNGbNVJclv0bA++Z5/zWz3I
KzbiRxEtCSbqoIiMPiQiyJ0iiFZEHBZEviQaY2lNTmpyAa0ksWCNF51WEcpl
2lrVBr+R+qFCtlyyX1VrZg96h7hsXpHFG5yY4S2z67xJhvzeXW9mCZqdsr8I
Lu3szxMP4MkHge/AEGozLMgpDp/ImGQ8NZ8IJmsemUa+M4P4YxaYg37Pl5wS
fpcUtXrA3Rra/lM767u3SUq6tRAu875PMP8hWvCxDhX6oCt9EdfnhApfcrWv
EWV/rvAt0c9AxC7LENRjGCozAi0ajWaNFX8ybDAF5yfLDJziLBR4jngOZniZ
JKMjNt5ZLMUAVmAM8QTsidxMlhRukIb9ZBJ7ZHOxXPilAJsr4uwSsQiNXI6m
JaB1qc7xm/jrFr7dwjdbnPGjLUCmJ9vhiN1gPz//wLc/cewhwpAjmh2Oc52T
nHmK657W7HAGdjjjsEM2pvX/ww6TwrODyRFk9GG2CD7bZmn25qR26vKCyWyi
QvZCVN81gyBOEoQcRw7HCEKOwtRHyWCOQBZHCEQOQxY/EdH9AGHshTB2EeFt
hzSqIY0qSGOzIoQY0sxCkAuykHA6SHHf2XULzXIz+B24SSRGit/yQxS+IpHA
JVGTk/q3PS19KS1+CTzRDp64ECm0hUdaI7eW8HcL7mqevCGyq89T1UN+sQQj
0QQiiiPghxisoh7WUR9LaSj5AQtqdtrJYkSrM3LcybRxrR1e7BdT2Ns4mf5b
/xUJ6nJXh2506qUE+81Z4ShBFneZNE/6NfiGp/4WDJScQE0Gg6HUarjmg9HU
coxa0SImwIwTiSkmg2mHLE6AC+ap2OJi5fQ5tUV4FrhYxxmyvAMvdSdh6NlE
H9RY9I5QDNCX9P5zfv+C2OAr+OsbZPYt8hsI138nYyvKMHzECPn2R+dp7xfj
0aKJaNVkfp6C1k1DA2WZhfuaQ549j9B5AUq8GJe3FPe3HFcYLz7Apj/RDPA1
VjcQBhiGFY5G7SYQG0zFQmejPwvQnWXozir0JgW9yXTOqXTm/68HFfiaLaAa
bOff3WA/OMDffuK4Q+jZEVhA8Wo51r8OrMX6S0Exll8I8rGjXPB/zQKmx1DG
CIP0NcyuKnqlUcjiRO+uKmehAiO+JzH7xzH7/1LV/2DmjxASPQweogkepCn+
iQP+O03zN5roARrqfhrFvHpDPH876v1b1Pwq1P0yIuzWIuKxpiLi0TgR9XCU
GStu/fcIcbFKBMWv/kw8fw8+905iec6++TYhbrsF3AiuFm7Pwx/UrjsWQ7WD
I5bgPJajQ6twJEnEGCnEGGnoVgYOJpO4ItuZP3AJ8m8Hd0jOaKO3v5F80Tyi
WjSN3CaaRO0UjaN3i4bRe0WDmP0iLvqAiCaeiCRhiah3TETAFap57lX9rN5X
7sk4wiyCtPd98wsi7El9ZgmCLPZsPhNAmHfde7dE9rKFvd+qGXd2TFBmJrDE
F+BLGOJr0B+GGAAGwRLfgSEng/NcRqLZo2GJsfi58UcUW0wxbEHUMAuWmOPs
E6jfociZpt/C3h7UDiGsd4CplUVdye67tYwQPZpFiPcaR4j360eID2PMyqJ6
uLQGuLYmcMYF6HcbOKMdFn0ZnHGFmyuMxGWMwaWMw9NMFPfAF/dhM3+HLx7S
fPE49vQ/+OJ5rP4V+OJ1+KILutIdvugFX3yMvvR1jk0j2s7EqrK5ai5XzOdq
RWImNj0f216CjccTkyajNxmoep5zzla+rYYvauCLGn6qwRhqMIpt8MU2jKQG
Y9kKX1RhRFvgi016zn85PLEOKM4443BGEfZnc0am5oxUYAZd6uKMmUHOMH0P
ki5GCDVLzmzWKIuZjmLWDZhVRuHowmyzqunC2OILsN5zpAnPQBPGlT9OjR8T
30MZO0gvNqmQ/RLU9i0h3uik1OuNp4To8LAQr/6VHPtPOMGbUG9s/On25OBo
xRNNhXhM9QnXfyRKNP1XpGj1zwjRDrq4/AF1iWugi+vvxrLugCr+iAv+PS74
ZnADgHT++AtDDzHiDi53F5e7JzZG3BvdUPwlorlmqqZEHnNIUZaJaxHu1TTx
r2juKxHwLwjg2hPMXYq7cCw8oly0jagQbSI3iVZRleKCyGoRq1s5pt5hEdvg
qIhueFxENTohIgklIprqpL9lQEQ4naGB4EvhzJbN3ncahL4QzkQxDjvIYlKM
4BBwsMvC9Hvab+JU4y3uTBNDDrWWPPN0n4HPIYUvwFeQwjfgW1R1gCaFwYQO
QyCFYZDCCDD6iCYHSGGSJAeIYRrhwwxIYabzksuWLjHEnoUYfN8moKT/DrlF
9wsiRM9mkaJXo0jxQf1I8VFMpPgkMlIJ8G+ocivnygaDdUQxHLGOJKIYjYjH
iT/iQe/Ck/4F63gAK3kQa3nEOW4OOcV88Szs8BKZQQfYoTPs8I5YSficQCid
RFidgrHIkgH3ZHPlXDgnn6sVcaVSMRcrXoxHWQE7JMEO6Vh6jnN8NdnBNthh
G9/IOGK7899usB8cAAf52yH+cgSGOE5kodhhI6ywAayHFcrAGlCC6UmGKPAw
RPo5MIRZzDdFRxPjRciKopDeBrPNgV+Xpt9+KW8ZtokTr0JwL1OVF6nW8+JH
GvUH8TTVfQoKfEJscNPqOz5VyvfgR+jx+6TH76K73dHZrngzaKKL9kJvIKGO
hAevYuMvY9svXoOeXy7EM4QA/2umOOi/MaL+f6JF00ejRKt/RYl2D0aKy/+h
4s5r7oMioInf3IXzhWVu/QOWdSuWBdv86Toe41egvWaJBuKuxjBEXKT4c2yc
+GtUE3F/xAWol1rE+m/xB+fzXjFGvV+pHQZVThyxiVatQo23odHEDuQaDeC+
BlEHiB9+FHGxB0Vc3GFRD3Ko10iSgxqpjGx+Ohg/mNd4mX2czCu8DDn8xhoh
tVchmRed2O84D/feU3turSwdA8F5a37v53ViByihD/iUZ/0M9DulHoMG+EYP
dgyAEb4DQ2CE4WCkZoZxYAKsMJFQYfKPkYrGTEJR//zoQO2crrK/bi1JMJoT
LTSJFO9DBx/WjxIfx0SJPhGmG5SLRmpJDSJUGEyoMFTv5jqSMHE04cJYwoXx
JKeTCBemEC5MJ72YSXoxG5cly3x0diE6vBhPt5T0YjnpxUrSiwTUPwlPmYzX
VGQwECMcijGOhgwmYJzTIIPZkMFCDHc5BpyIeqRi+nKHtELnHDn3S4547sTk
d/LTTqxjJ2SwEzLYidXsIM7eTnpdAxlshQyqxGmLEM44hLAOo1sDzpEQlO03
c3hgHpitIwXv7FW7f8GECv3B1yqzMO7d86IF83qwt4kCOvPgnajA60QAr2H6
r5AgvIRlPE8zPEuzqEvgm6/6Bnf3FcaoWFX8HT54lLztCfjgOfjgVfigUzc0
823QQR3T+VG+w/d3JD14jbTgFQz4xSuCb5j9XwMR/WQ90eDxWNHssRjR+t8x
4uKHo8XlDykuuPbveFmo5Cb44Ja7ySiglNsJG+4kbLiLPOVOqOUuqOmuy9z5
rvc2EOIvcTHivpiG4oGoZnBBK3IeNRD/mLjdsNn9tNg9tOLttOpt+IJb8CI3
wb43wsTXketdjUBk+SVCugI1aI+SXIIQL8IvtEUVWqEKLRB8M7GHHGSfaBr9
vWgSe0A0jvtJNGpwCP44JqLrKb/g8IfZklaukDbb0QZfUuZOzAj3otk7tImH
GxOx6MOlned1YGH3W9p7M7krnKGLD8HHaG1vPVDal0f+nMfvd4LUQ0+l7w9n
DNTcMdRwB5wxRkYVeveCiUQSk75XhGMiiSY+1NHUpo4w711QQWiPCyA53EYv
co0PGkTq66i/9eMuXyKDb4hbvkUu6kJ/JHi+Hi/5W7zlrZDGH5HzXZDGX7Ce
vyHvB7GmRzVp/A8Lex7SeAXSeB3zfwvS6AZp9MIIP8YY+xLLf+kcm4W/zcXW
8rliEVcrJUsp4wrrObMCrdlEvLEFU97KETX8VZadZBy7nZ6IHUD+tx8cAAfF
LlzuTmxvB6SxDdKohiyq9DKaTXxWgHLMVRLHWn/iMAFConb+corpUrAILBC1
53OZIGKsJ4gYZAURZlz082CA8D5P9x5P2YOnfQemeBum6AxTdMJvvi5qInWj
N4waJWLiRhCeDyNuHoKVDcKTD8CD91e6cT/E8S9Y+L8QxzO9cWsfope9SIN7
ImGIo3tHdPNZTRx/gziIAF7H83e4HuK4Un3/Qgshnm0oYp6uLxo+FSeaP1FP
tP5vrGj37yjR/hFNGg/iff9B8ABx3PoXnuwezAf+uRviuAcOuudGQNpyj+rE
Fveq4WrxV5Tr/nr1xAPRjcTfI5rBGm1IR9s7f3tC7/X9rHjR7Bh1P9wrM9c7
cUW3E4/ehibdQvPfREriPAau5iok9UvY4wr0QY6OXIJU2xEvtkVDWiH9VpG7
RcvoPaJl7D7RXLJHzEFnBllstOrzi6x3OvSlMs21UG4VkWQkEfa7Q+1XO5lO
C1mC71v3H/mQ5d9WWuLXvWlPlndsUgYeqGovnS19yGN+DGP0hjH6wBh9TzjM
4bDG11TlW80cg48GmUOW0UQaY36EPWCM8fuVthnWaB6eNVq4Y5vt9dey2OnE
R0SEvWMJMaKUjXyOs/tCNMEttsA9tkbbL3IijSHiCk0aN+NOb4Mo7kCk90IU
92E1/8B6HsaKHnOOWIj0F+Mal5JuLCe3XkkgnUC6kYRXTcbDpnGHDKF0PRfb
KsDOirhaKVcqw4mvJ7Cv4KxNzksdMiCKXNSg2Dl+F9/u4Zu90MFe6GEvRLEX
otgLUezF7HYTo+/CBHdgitshihrIIUgWAa4b8JKFUpTYkD4J04+ZINw01a87
wi/I8PZHfKuCDDOs2JcH+4SH/EiPsbwLR/QQB6J02776/yg7C/gorqhvn7V4
QhR3p7i0uLu7W3DX4O7uFty1aLFCC6Wl7i116lCgpaVAKU6S77kyYeENfd9v
+rsNye7OzM495zn/c5VL5wSa6ohwb5KgwA3iDlsHvOBFDnhREF6UXIazLjaW
0XA+VgkvOsKLbvCiL7wYAi9Gwovxozh/f6ywq3nvMJx9CE4+EFXQv5j5Wy8y
557ozm5hEtA1VMI6h0hUxyCJa+eTzG08kgPRmM/EACnZBHHBKcqhUyrWRlTU
wFlw91rwoib5S01OWdOIUalJYlErNjX5qE/S0dATBiqikKJmyHFrKUZUqU5U
aWaIJSOd7V/rYRG1eLLVeMqVsIhyPH2n/60YgqMICWghcJEfpZgHe8mFgsyO
rWShvrO4L0lm7xVJ7/lTot1/IzpuSqjLRF2f64F4PUlqIWtnLp9b7XQfkyy+
jJTMyeLJlixutIbLf++ppztF1FEu5X8MIk0dTeHkK05Lhv88m2f1iKgjdf8Z
DHYstzkOVIwHFZMeGmRMt6iYDSrmURZYZCy1PaAr+Jor/xFZhbhYDSrWUTaY
fmRPaoIS+7/wIq2dfM27o2UkljIG9TWeZHJiiEsmB7plqtcj022GMltCCYyP
dcZSSL6c6lnJU1mt+oZErZ5WypCkCAGhPuRogj+1wK/a6r8ewRCO4QcvywAY
MBTBMApyjIccU3DNWfBgviXHKsixDnJsgRy7IMc+PPswHn4CMXEaa3gTTryP
ZPhUz9tVx1Xd1XlZi4tr+r8blFuUu4j5+7z+gFceEXCSoEcy1pTCJ1IcejgT
Ah2F4bRmviumB8RJS5zeD/+ZLP8lM56aweIo9AXcyVzuaBa4mAEupnKnk+Qm
kuuajJbfzNtq4yD7cYq9OMJuPGun8biAreIN2Uwc3ED2DT7yriHoJRLsVhhL
qbsEiQGC2/Ewu4KP3jOxxGlYIPgYBz4mIjXGD6Syu5n3j2hEUMPfh5iGAumP
n/fNrjeKdfWMkIDuYRIaHyKRXQIltqNPMrV3S3bqM6+JCFKiOZduCrU4TWUU
S7U6IILT1UG51OGUdUpRSHlq5zfvrwMi6sa4pF6YkSoNvUHS2BUOO2KkuW20
aItu7UwI6mFbunrbFfc6El6cMaE1eSZVeT4VqQN1PI8plcIwikP7IpjPc5iO
Gq2Rl+rNRVXncF2UrBhIJswgjsccjYGYc1XWy0h6A5IlICRZgtJRoEZgHL9n
gByZIEdWyPH0UpEFU55cctZ/+QN1OC0dSnDUs2LDmaXX+j/I4fSOqEMLDoiR
ADFGUkY/MuSYYMkx1VJj5gNDjrm2n3QhEWgRxFiMsFgKMVZchxyU1QiMtWY+
qe6vzPhsYPwfVz3ZvXu3DBkyRLZs2SLDhw+XXbt2pTUWPOtTnS1mv8bR5DVj
US4TQtFOQS6Z6nPJdI9bZtpPz5VwXCUa3qQn4GaWZSBrJd6QaBtG1kkJwkkZ
PM3Ilu1Sw7Rs54AzPeFMfzgzBIcdgXGMxYEn4cgzcOi5OPYi/c6PyQI+4wTn
cNuvcLVvcefzJME/IhB+5t0XeOdvvOsy8eh3u1uN6iC5DlGu86+/MaO/8d6/
4czfcOYaIsB0EkU+oUq+8mv7+MQC5n0LGKfdw8oS7jmFe0+FRVqyZLNNYdY5
b6sNkB+h6R7wwO7x/e7Aln9lOnc3mTsdb5eFG853bcq3q6pT/YM8xv1UjVlB
P9y3SwKCd1DxW9EkACbHRox8PeIAwFRINIbVEH3SCsB0AjA9AUx/ADMMwIxG
n0wCMFPG8nMwgOlBzbazgCEBGW42+ZJBBIoBOc32JX0ixNcrTEJ6BEu6+ECJ
6eKVjJ3ckq0DcLEfLYFGeQGNUhEdUYWcpkYDvimAqVeTUpmC3KlXkvKcZR+S
px6nrh/lkoahbhu2I5AhEcShOAuXgtJBSktXENLLJsEDeDLq6MZT64CptSKk
NZMNZrJ5HHHhOv+/ZU92H9XzSILcyRJCbhIWmiSh4UkSHJkkQdFwIxZmpIcZ
qA636jpJq4X0ucerdethGI7iqGKTFP/mjaeZ8axWUf14YcVgyrAky4xHhhlj
H1pmGF44vdgyiyRk9m2ROXy3ebBiIWUxvFgKK5bDipV/kqj8od+d6T9Q8V/L
jwSlLhAQERGhx3Grf9+6dUvCwsJSZ/inNXJTXyswdZA3tTA+gq8QgpXh5dO8
LpnhclNhph1kHnezEG2yhPctw6hXQP1VftpkAwa/Scrq9i4lP3fgMrutSNkv
LXGGdgG2ul+XCfjjNDgxG/9ciBBYpl/5jJOc48Nf4Yrf8oHzaNcfSXV/5hMX
9LLwH+kVjv4g7KhR3+q4zm83IYPPPsRrmM6faJA/cN4rlEuUC09qEc2Mb/yY
8Zlt8vhQnuxefVqQOHPZnE5OR5Cow/ytJYIkiUfyEIze51vdgxh3UF23+KbX
IOPvKLEL+p2j+KadoFFzvl8NaPQ837Uw1MhpF6WM9OyVkKA94gnbhbiEGlm2
Yd5QoyjUeGG9dUeo0XQlZsvzi4cafWDuEKgxEmpMIKuZBjWmj6c+h1KvPflb
B/O50WYFBkkoTQjEtQfnMmtl9U8n3r6hEtw7WCJ6BEh0N69k6OqSrJ3R8x0t
MZAmzyNNKrZEiqAeapLZ1IEa9esCL2RJw0qUF9DxNkmqD4waoDoaAodG6VzS
OMQjTbxGGLSA4a3sXkkd+Pad5QXpTvbSh+c4gH+ZZ1oIeTKNVGehtMfg2oDk
FhhaEz34Z7fUtWuFV+MZVuZ5ViQLLEcNvoCtlMZWipOvFqHWC2EB+VGlubGK
HFhIViwnk50rEEM9paPOItQE4IAkCQ8COSFJEhIGciKQKZEgB/R4kC0u/y2w
/Xptzb0WfixZnBFgzqCOain/s2VVoefpwRwakymPp8ipoz/IGajQA3KGUoaD
nBGUUQ81erREmYhEmYw8mYI0mYo0mQ5yZvL95lDmK/SAncUkNUtIapZd/T8g
578WE8mePbteU+nevXuyefNmPW/2icVEMpp/cebQx2PRs8rkYIwSV53hdgEW
R4SEEVOj8JQ4YmxmwJKDes6DFxVAOxTW79mIf2yW8sj+KoClJjlLPbyvEWG7
OTluG3lJjHkeJ+KcxHZeJfs5LSNNQMqO+/1DuU25x78eELQfgoxHJC6PCN7J
qbD47T9goZo8zj0je/Fr83DEhWr0cMZOOwnLRtiwjkuvhg0r0DNLuZmFcGGu
3uhCHTmw9bekC+RRRy2+RwXIU4Lvlc8ubxLjPihhAftREqiK8D0oCfiQAz4U
hA+lthh7qQkfGq7FtuBDR/jQYzkhGD4kwIdx8GEKfJgFH2ZOwE6GYS/Yz6SO
1oZhwZgqMOR53q8W18kNUzLpbQ49/UMlqG+QhPcOkKieHknfHTbEo9i74KWW
D8+jLCq0wdxRFrUJ/vXgQ8OG5PTwoXF1SgVMv7R5b8O8/DsHf+P0jZGqTcLd
0jTII83dPvs8iuHzeeFkMfy/PIqztvSDGINJXIZbRTGQ3K4XhO3CE+1IKthW
7562VU8eamSVVx2eXU04W41KqszzrUDllaUiy1CpJangYvITdvYruuUSz/kP
nsA1jMYMd8xIPcVSZ1GuRxLhfiThXtgAI4JhRFAwbAhNFm84bFDrKDnL06Z/
PELDGT/uZDROW4jKZtIaHOrgwfTZpo7Q8B8YGm9PqSexQYV+lAFQYRBlCFQY
Zie9jrRkGHuPWkeETIAKkyhTIcMMyixFB77lPKiwwDR1yOLfU733GWD4X5f1
UPIkIMDEerVb9fHjx9Ocvvp4GIj//hXjTUOrtcUGMpOLzbaJ5HzE4UJovUQy
yHKeykpqKpEaWwvd10tR/Z7N1OxWEvvtUl23sO4hSuxFkx/AKg5hTeo4hv2c
wJJexZJOk/qeIXc5S+7yFnr+XbzxA1j0sZh0/xyx5is8+FvOch7O/Ihz/8Kn
LqAQLqEWrugFXr8kopzXQ8Fv2GVf/8V+buv/7oGdB09hJ0lj53eYcPkZ2Pnu
yZZWndN8aHOaNPSJ0wmrumUOcOq9em3pZNM5npvv9o3+V1/uON52O9ble1fR
o6vV0MgTsOe4/ns672EJCkSFBB8QidpHpHuRCLcb5bET5bHNVE/dTUQvKNMW
ynRdjR1CmSFQZvRSbAzKzIAy8+ZiX5OwswR+74vddTZ3mQdzrApkUAkjqbQR
UGA4CmFItLgGhUrAgCAJ7RcgkX08EtcL3UOmkxvIFLS9NmUATQXqsRpCpDZC
pD6QadwUZwEyzWpTOHVT0pbGxc37G3O5JqQBTUmJm5G2NCdtaRHglZYun7Qm
9Jh7CgQyBUhZSmIalUSNMx7Aq0NBzghA47aPcYDM4S/LeISJiJV1mNNm3qXm
Q5tdjxry/OvxKGvzWGtgUlV53JUwpfKY0QuYUGmqtgTVXIQqL0T158cU8thd
lbMCmowYSHpAEwNooryPJJ2P/AfYqDxIwcYXAmhCU1K1hjNQxOno1U83xTS8
OgNMnx499jRs1GF7eV1PN510tq/rwaVQpjelL5Tpb3twB+P8Q9Egw23v7Ui0
x+jbj2kzmTIN0ky/mToIUOaS8swj5Vlw5VmkiXhCgjxrqQ61uOKaNWs0idTP
okWLpomZqKd6e0yiMDaaOyTbmUy2MzXAwU1F6teAawHsXgyiliGSVhAMEqmn
NVjIOitINuE2W6hX1Te3k0C9m3rfK40Ro6Y59jD2pI6XsaWTBKlTMgx3G41S
mID7TQUzs3HlhSiJZQSi1fq9X3G2b7Gk85zhRyD1M455gU9c4t1XsKI/sKI/
ecffhCs1ftRg5jp2c5tyj//f16i5iRXdADN/g5m/4MBVmJAWapz2D6dTxz8V
ctTNW04nT1u92Nkxilod1iAmia+dhPmr7fnuEXf/5RGZqLmYi83jIjMx+El2
KtcA+NUDhzBcfwsHeYMHeIboe5qHa1YEiHa9LCHeY+IJOIK6eYlIepAQCoMK
wqCSu43V1diOp6F0WsKgjhtQNzBoAI8wYRWWB7WnwaA5MGghDJo/BYsbAYP6
mc9OMyN5ZAJSZByUGEOaMiofECLGDo/Rmzj7BgdJyECfpOvvkdg+AAgI5QJC
BW17bhmyoQrUblWSqdqonQaonSZkQ82BUAsyoRa1+DdZULMy5v1N8/NvRFXz
zLwWSyELahXskdZkQW0ATztJJ84yzl0hcXfdl1WV+NRABvGO4eib0baBdrid
xNCfGNib+NedJ94FXdkR02kr5vk0w/gaU1sNeK51iRO1eObVqdQqmE9F4kBZ
6qQMdVMSYyiGYRTGSApaCOWiHrNhPpldDyWj55GkB0IxPmAEhIwdRElQaIqC
kNrQQ9yRFBSPm4zIldnSIkfK/6TQU8PcU5WmbcB1p9UY4/QWq6ML5OlG6WHJ
04ef/aDPAOgzEH0z6K4hUMIdQ6ExEGg8ZaIdMzKF7zcNnTMDnTML+syGPnNN
pM7wnwj6r4U6/Btc1E/1e1qtLelSERRn8yd1jIvi9sK5tWCXTA9wyUyP23ys
miySaJKD9IicLKRCOankfJCnEC5mRM4WKnEbkWUHFbtbz4ttSCrUDG60xj07
yBEMSR0ntcgZIq8Rxd6QcTjdFMTDTMgzH/IsgTyrMArTmPANSdV5+PUjn/6Z
T17ANdU+fFdw26tIkL94x9+Yzg1e+ccu5XoX3tznv7tQ5zZm8y8o+Ack3AAP
f0MPyJ0mfX6m/GjFjpNb+fUMOc1R/m22Dn0O67WpDX126Y3+7gFjU8uruNhS
cLkALT/Ltg+N4AsO4sQ9ObE6muANdXgIleVNUw2VQeAx7BrgZAY4eQBOkf3k
MSZ1kDqIniYAp81WjBDg9AE4gwHOKIAzCeDMBDgLAM6SBQAH55w/CsMaYD47
s435ObkGNV0egyxB4ClAiMwuOjdNCBPP0EAJGuyT8IFuienPLaCTcmHHBXpa
2MTjL1RmVaBTC+XTAOXTDOWDVUprgNO6Pv+uhs/YzqVmzwEaeNaCtKplRpFW
xLnWYS5pE+iRtm4viiUEWESl9i53x6J6YU39wPEgsDEUHI0UM8p2jIzn31OB
zpzHKylt1DvOd7SsaUV9NKdumsCahrCmHk+3NqypQTCpCvcrYTDlYc0LVH1p
zKAEJlHUsiYfNafWJcnhfijZPA/tLZWT9IidGLKrKARPOCU4KEW8qsAcr+py
JsvyqLHzzn5jzhA3hzlPdxxZ9eOqyOdQPi5nDt7TzPGf79/RjjqJhzPdKT1h
Ta8HKKD7cOeeYc3gu+Radw1zRtkFg8ahdibw/SbCmskonSmwZhqsmQFrZumQ
nf4/cfNfa3Ts379fdwE5XUF79+79H7hRx+NRcZn85tSMj3LLJBLsqSEecOOV
WR4vqU6ATa0KEEyyoXJyk0zlhwiFcSojoLdRgTv0CKSaaJP6cKYJ4b8lnGkH
KTrjlCYuvoLKOY2tvI7dvCkTcbHpcGYubrcY91uJG67Fzzfr957HfX/kDD+j
jy7wqd/4xBW9n86nGMhXsOO8nlFnhr3+aU0jHZR5gNE8lDs4/r8A4B9AAH6f
YI3T6Ks6oH+l/ET5Xh6PdP/4qSTKv93GACZJ79DzItfaaTcH3MAVVnP25dzP
Qu54lt1scDS6aQim3ls+M7KyBdZtsqtMnDgK8Aa7T4nLa4ZrSRwZVvajPO3D
RMSD5m/VAU190ocWgKYDoOkOaPoDmuGAZtw61OkagJIIYADNMlTNkukii8aY
z87rTiRDgswwE6FlSgWgVBILLMhnIcCY9HqVTHdCoAQO80nYELdED+Le4FNO
BFEB1E3RXuaj5anFKsCmFmlWA9RNU9RNK0DTFsHUltO3IbVqXQWovGDe37IQ
r5NatUY4teEybSNJG0Lc0t7nkQ6uAOSv2YIh3o6L7YXv95MKGEltINMMPdOR
x2dAMx5RPAZzGYlmTCAsDZGVHlvj8RY07amXNoCmJdbSjHprDGgakBTX5enX
AjTVAU0VLKYitlQO0DyPPZgqiZHcwCUHQiYbIiYzcMkYlCwxgckSEZAsIT7C
sSoAJiDMAEaJGn2otdKeGoOfunasFTbuUnwGuLj9FwCokQZgnPEs6mgHXDpQ
OgOWLgiYroClO6UncOljUyklaobYIWwJCJkR/wAZwDIasIwFLOOuAhmi8OTL
VDtgmfarNrBnwyUqtW02JJUPZkJNiL7IxHRumRzuk2khATIjMEBmewKpDsOO
RXwaPWIqRU2rK0gcKIozl9J/2Q7nd1IFe4ise4kDB6iiQ1TXYaTIMStFXkGz
nqJmz1DLb1Lj7xBY3icJ+giH+hTH+hyR8yVn/caO4PqRM/wsx3G2U7jzWb1F
31Wc9y8qXK30cxPHVlNkbvPXuyRBD+zm4Q9w3Xu48B1c+V9c+h+KPyKe7hcy
RhKn5Yd/4uO0r5zSyzwnyVHO+xJn3283/9vOmTdx3bXgaSUGt8j2AE/lzseB
r2F8E2dWRBvSqsYYa22kVCWuUArjLWinFqfnu4VzJZ/7NXEHw4qoV8zH0CWF
TZOvVDqEX6JJGoOK1qCiyy4CEY9pMKgYBVEngoqZoGIBqFgBKlYuFlluZi7K
osH8HTExD3+ebWZKy3Syk6mlsR3EwkRE+DiEwph04hoVKAEjvBI63C1RQ12S
kY/mGIi1o0uK2MH25TlVFahTC1TUBxVNQUVrTt0eCrVvgWmTALVF7rSx/dGt
EaytkTxtuExbEqB25FjtI1zSIcgtHUmAOkswBmJm7PQQZ4h9OJiojLHUAwct
ZRTvGid99CuTSScnoGDHIfJGkzsnIPqGoo0HUhmmNzkfj/c2ic19KUwSUwhx
kZ9EJq8vSXLh/9nw+Uy+ZIn1Jks6T4qEuu1y+QGUYApJjS/C+qlqzvXf2NQK
DRdCw1MIv0dgeEhsXGktAuLfy9zw8f7NZhA9vt8W32+HqOiI/3emxFsG9PJb
U34g/j8Isx6C7w/F94ddgwUkMCPx/TEIi7H4/nhjdjJJR6S0Bqj5+39a6zvr
d5vBJmYG0yTqZ0qYV6aHBMrMwGCZ4w2W+S5DicXwdBnfY6VkJSLmcvbr2gl8
dyMQXkQg7EcgHKTaDiMQjlJ1LyMy1XEKgXmGCjsrY0krJuMDM/CH+fjFUrwv
Ee/fgM9sw3cM8n/m0xfgxiW84wrecpV3/8U7r/Oum3jZLV69jefdw7cf8Nsj
65kP8NZ7eO0dvPcpAjgLTvjrAmfwiDOW1RkwohYVPMWp1MY4R+WB0361k3Nu
4Xzr5ZrKN8wDiJIBduhKB75GC7ROfVy+ml7W4iNA+YF+LQtfIppzB7vOitf3
ungizog7/WmRbK/iZCcl1e+rIQ/q4fPN8Pn2+Hw3fL4/Pj8cnx+Lz0/F5+ds
RAqQuSWSiySSf6ycaexgyVAqSU2kwDHnmdFdMotzzihDjCiMA+XG5zMpOagX
ifSO9krwSLdEJrgk/TCXZB+CByERitgUphxuVwWJULMHpoxEaArNW5GLdCAX
6UR60xGktK+LKVcz72+L+mjLZdqRg7QnzemgJuRxqU7kIJ0D3NKFqBKvRkZw
9OSJqG2N+qI2zXcvhn5sgL+3xkRM2JjKb1Pw+SmEiklAdhyhYjSWl0AFDKUi
BqJN+2F26uhOPXVFx3XCzNrznNvw3FsSXJpTJ42pnwYYTV2MphYqrjrmVAVT
UscLBJBSmE0JeFHU/UgKe5OkICUPJbsnWTK7kyXOlay321BbbShmhMKL0BDY
QfEE2zayxy2yamCKF1T48vKzAL8jF1z+w2DTwoU6nIFs6mgGJpqDiZaUNo/8
cPHASAax67z3BhN9yID7gon+fKUBSITBYGIYMiEBTIy4bM43GokwFkyM+0H/
GvP/xwpPKivy6t8NsyfwYzJ1O42sYkYQqiEgWOZ6w2SBy7BkKaF1uWTGVbIT
4PNY6VCEmitpTp9Xq4Z9qIaDqIaXqLSjKMPjGMkJMdL0NWLpWSr9bZKK92Qa
FJiDYy2CBCuo2LXQYAvM2EXlmm2AL/DJS3zqCiZwFRP4CxO4jovfxN1v4fp3
qP57eszqTZtKmC6sh1TtfYcR4U/kE7/ZXEK1WzidM1/Z/mCnY+bdVDHh4avc
xyZva5Fg/haLBf+KyP2JqGYef1fI04b8oTFfohZnqgQxStnJgDk5YwbkUQRn
DXC/Lb6QN8Ub/Ya4M53hRYhR6FXjMFXxTERCQ4DRCmB0OkAAARiDAMZIgDFx
B46/TWT+FgQBwFgLMNaYsTayYgL5xHBqCA9fQiRf2JL31bfAQOTPIHJPy4u4
zEJEUK3lweIZ65WgMW6JGOWSuBEuyTrcJXngzXMIhZJ2An9lhEJNjLI+QqEJ
4G8VDwQ4fReA0ZlcolMjjJhcokNl8/72ZJntySU6wKWO5BKd4nhfOt4f4pJ4
n1e6uU0fVi+UUh+MqB8BfiCgGAJazTMoAizaIgpMGjqdhzwDbEzHSqaRS0wi
VI3H9EZjdiNkK9DYpd/XD33ZGzvrIa9ia28Qp97B7j4kZn0Ofr4G4uelKRXe
iESyHkZQG4OoYVsuKmI/ZbGXMq5HUsqTBDSSpJArCVtOouqSCY3Jei8MtU+P
gkYkAiMy0EAjwNnhtKjeqFBtpO5BZ3jRGAHkGT7yDE9OgPGs8fP+e1b4d+M4
a4Q0AhpNHHBg2K0pbe0q7J3saNb4O8QUgNHjJhDmK/UBGv3QFgOBxmAzGk2G
oSuGXwAeAGMkFjv6vP5z9P8GjSfn2TmDQArq36L1axPTIS9CXTI9yCOzAgKQ
F0Ey32NCwmLeswzTV/IikWe5ltregL7YLMWpO9OgvkuqmItklSNU1zGq7gTs
f1VME/8bVPNbxIl38bgPyNQ/Ril+xkm/IGp8jRF8h1f+YCPGBQzgElH+CoC5
Clz+wv+u6xXOvyPM/wwc1JTbq3jzDeLDv87QaCiRqi5u2tziT79mTmfs+49+
/bhPo8IYgbpttbOVrSBRi5nd4pveBJQmOC0hY5nLDU7jVsZzwwmcWR09+BId
OHtzMFKfK1QDI2W5SnG7KkVWvngMVwsBI4GB7yJq3xZP7JviyvKGSJ4z5mLP
IzyqnDT/bgpH2sKReDjSF44MhaZjeExT8JfZcGQRHFkFRzZsNO9fPYffJ8GR
BNhChrAMR1/SGo40NK/PLcfnipGYoASmZyOSx8KRUHFN8ErAOJeEj3FJLBzJ
MtIluREfhYbBkCHmo1UQHzWpzfqgqSlBoBXiowPuHc8l4tuDTnRNFxKNTjXM
+ztiGB3xp04kGp1z8hr6piuJRnw4dk6i0cMXKD1dxsL6SiYy0VwwpCAMKYng
qEBGWsuZgTyZB6sJiAXNASSzEagzsZ5pRLDJ5BnjyTNGY0EjrEhVO4KoOZ19
5DR65iwV+i5k/xgNco7qUYT/AQ3yC6HtEqT/Aw1yjXBnhp1V1csmPpJyYEQt
yFqcUoRSEHzkpRiUpKSiJNab4jSE6X2TXcblVduoj7QlEO0RgPbwZsBB0R+u
p9tFLUrMOXI8RsnTe0uooz4IaUhpDEaa2fEkrbDStuiO9rb9syMI6cxX6QpG
umOtPdEdfew4kv5X0CEgZBAIGQxChoKQYSAk4ZtnYiTcYCQydbyYJkfhx+NT
Y2QqQWEGKnK21ydzPUGoDJOVLOX5LKdin1QZRZXKoK5Mi9UeXGQvz36/lRqm
ZSOM+poEJ2ZQZ3PhxGK8fyXutB7X2krd7YYCZuvfS6QiV+R1E408VNsdquoh
JSl1FPQ9y4VbNuO4loaEUGnHeb8O10+d7o5AeVMvY642vHsI1R4ghu5xx7dR
uLfsJTrzLf+CZ1exz9+xx8sEO5P/9eE+uwKcNoicJlygNrZXmYuUsdN3coOF
TFwsHd8zyP0Rue4H4ot8TzwZ3hFX9rcwELPeoZRDXVQ3nbHS4mX87hisOUJl
goUEnsR4sDAdLMzD/pfuRE6Y5hpZvwJ5MY9cZDJYGEUhiViJLy1vBxZs8+SC
8nyuBLkLfjqL5GAGsX4qPjrZK76Jbgkb75KYsS7JPBokgIZCI0RKDLdIQGLU
RGLUhzRNkRitsL8OoCGeS3RHXnQnF4knF+lq1wzrDH06lwIFaPKuqJiuXC4+
AzggF+lO8OkZ6JVeXlOZ/bCeAXjaICxnCCJ+OE9tJNnBWLKFCdJMnPn8MxEP
c/nLfE2FRfBhBX9bDRvWUxdbYMMO6sNElmHI2MG65/81zv8WUuN9+PApIuVL
6YJtdcQQ2oHz1tRhc4JHE4v7usSbmtR/VeygIqZVjlKGUgLbKEJRbFD73ORy
zKa0RoPaaUvtBBhiO9UCUBxBqjkjzDRnKInhTntZAP1+F/mJWzVnqOZMuOB+
eo9RZ0mR2jChnu2DbQQXmsKE5pSW96iTO4YL7W5RN3ChM9Ii3nwt6XEVPsCE
3phrH5jQFyb0gwkDYcIgmDDkK/22tCbk+nNBI6H44xGlGWSmzy1zPF6Z7wqU
hTaxXIZWXElymZaC2GHXa3mRx7wPZXeAR/8SiFZS4jgOdpIAcJoqex1TMC3Y
mXG3t3C7D6iiz4jMX+OOP+Dnv+KeV3BTNeL8pm1xfKCZ8Ej/3/Qg3aVGbttW
iOt+OsFpf3SaIb5xKrS/Xqb8HU7yBic5zSlPUo5SDnLBPXbu60YumcgJl3Bj
87jBGcSWCXbr34EIkJ7cXieY0BImNOB2a8CECnYgRkFyF7VOpmr0DHd9JiGB
n0hA2EfijfmAxPU9kVymaVJKw4SKrxMUXiMQWCZ0gQm9YcJgmDDqJdTcQUL8
fsI+accKmLDezKKTDStF1s2HCVNhxBgKeUIiDruyA0zAUZfWNu9biJPOR//P
zQkTcNAZEXqEsHeKW0InuSV6AjxALuRCLhQEK8XNvu1SGblQE7lQH8w0RS60
Ri50gAvdsL9eMKEn6UYP0o3upBvd7KW6EgjiSTe6cblupBvdyWx6gKCeXLJX
sFv6BARKX3eIfYYZ4EF2PD4/PCgGD8rh29V5xg3w9Zb4fCdnxO5iKmARIWg+
4WcO9jYTiTBNthFWdoEE0408CttKQOsNo1IHU7lqLExfHn9vrKkH9R+PROgE
yttTjW2wqJZWIjSk2tXKyzUxiapYVCVKOUoZSolUFZlN7zSjdpjJ4icXFBPC
LQ+C3KabQ2kFT4jd+VON3Yjl94z83Y4eC8gHM9AJQUUpJfg3PHD7b8Lgt8yQ
23qg1IIHdSn14UFD9EFjWNDkLrrhtuFBG3jQzowLkk7og86woAumGn+JeoAF
3WFBrx/hAizoa/SBDDCLW0Q+mwdpSYiifu0WU+z8R2epkgUSRDUZl17Oba/i
sa0hLq6XAk6LxBNaYR9a4QAVcIgIcAROH4fZJ+H3KSrtDLahjneIEe9jDx9R
6Z9iAOcwg6/wy29BzveYwE+c6Vf89jc57miEv0gzrpMJ3CQQ3MIp7+Ck96DB
Az1r5Sb1epuiejDuU+8PNU3uO4v3B6ZKC6crw0k3fpbH47nUSqOf6O0OHmmO
nNUcMdt8H3FaMntBw1sI2puQ8jo2/De2+xd585/61WGgpB931Y2Tt+MrNOMC
9fg6VW3jRTFCWD6YlZWvG803Sec7J6Ghn0lQ1Cfiy/CRuLOZJk8pCkqeR15U
ASV1QUlTUNLObD4l/U5wIVAyBpRMASVzQMkSUJJoh15sIdvYmAhKFoCVGZTx
FPTAWtKC1Z2QGKQBy228X0IKsJBYPx+/nov8nx0JlgLFM90tIVPByGSXZJro
kpxIjAJjuf/R3NZI89GanLI+dGoKTlpTrx3BSTdw0gec9ImHdmQcvbhUzwbm
/d0rUrhcDzKOHvn5O+TqxSV7k972DsOEg7zSz2vk5SCezmAiyFACdoIUAiMl
wUhFuFALs2kMJ9pgOqapcz6vmrpREzFXYKyr+dt66mULcm+nTLcsmUgwGE9l
jsUMRxGZEjDBYZjfYOpBNUP3oZ56Um/dqMMu1GlH6rit7R1rijk0xL7qUmo5
Q/ui9KafahsZtYGV2ugzTxo4ibQoCUVahASAB1ASGEpJx79jHveMhiIrwkg5
wkk5wpEVYaAkkLTDVZjiPxTMmZenDr0SAAGzBhipBUZqg5G696kXMNLQyorm
Zn6gtEZStLlGKgJG2oGRDmCkIxjpDEbiwUg301IhPVG+vUiG++g2tXTPJkla
DaFF/RozdNYRqGSG23zJEoRdM0x9BaI6kUe1FgJvoH434xlPq4z9eM5BVMZh
qH4Mwp+gvl+lhl4j1J/FMtTxHrX6ETX8KQLzHN74FV75Ld75PXX/E3HkV85y
kXq/THLwh50dcp1PmK3YvrVLiF7Uc/CTtM64rXtAHqE/HvLKfTtw4i5/ue3Q
xJPacPGYkwlc0iwm9oVdtdxRI2cpp+1W3OrYxwl3crJN3MAawtVybmYhbJol
emkmTPMqJvkHtLyCrLqEoV/kIVwgM/lFv14GZVKYq+XGZDPxFWK8X0tkyJcS
nu6cBMd9JgFZPhFPro9NXZZ4H1t5FxkKSuqDkhY8go5m/wYZ+Aq3DUrGHycz
OYofHQYLZhKdbMVltm4V2bxaZNNiyizKRLCCjFiPj6/D9VYjE1bZhs9l8H8J
fr2IlGEB8mAePj07WNyzwMgMl0RNc0nGKS7JMQlLnwDdxvE97FiMGuCkfgIu
Bk5aU6sdyVi6gZO+4KQfwqcvWUpfspTethO2Z1UKVtILAUSWK725ZB+ylL5E
1L7Qqx9WNyDAeOhgTHUIem0YwE3A1EYRr8bI82CgCjKjLhhpBkbaW4wMAh2j
iUTTbJ2q3Hg9v2/h7zt4fQ9IMTntNHlZphDR1LTt8WTCY8kO1cTEBOpjCPUz
EMPrh9H1xkq6Y1ZdqetOcte4RSW9WZXaqErt16n2xlP7dJb2Q0l+P5Q4DRkx
1tzSefE/MBJGlhIRbv4WSXYSRXYSlY2Sk5IX7BRIkVBQopSJm99d/O5yRpUW
t/goY3/qjAWMVAEhVclKqoORWqiRumCkvlUjjVFWTUFIMxDSHIS0ACEtQUgb
ENIehHQw4walM0qkCwiJByHdQEj3D/XTDH82R9LqfC3qN+Z8WrBLZgYojvhk
AemKM8VpFZxdTYBYxwPbyINzlMhOqWg9rbZWIi+RKR7TA7E7AZDuAKQvcnKQ
DgHq+JC6/AT/+xw//JI6/wa/PI9//kit/0LwuAiCLvPpP/jkX3aY0k1SmluI
0DsE9nt45wOSkyQ8OFknLCqlQXzwVyVEnKEVd7VIscEjRGczv9kWzx9MJqOX
Jf3Ubnegdlt6w2FOHfTUA7B4j294l297m2/+L7Z5C7s0knc8V0/g/gbAjx7c
a0f40ZL7bmhbOipgkyWRIwX5Xjm4YEbPeYkL+laiI76WiNgvJTTzOQnKYRpB
pRD8KPUhkhV+1IQfjd7GOd+kct/A4Wwj6Cj4MQl+zIIfi+DHqsPm7zvwkW3b
KWthyDLKXMoUZAnaYdNAZEk3+IFDr2mIZKluPrOc9GIJmmBRVvgRCz9CxTXX
I0GzXRI50yUZprskOwlR/snYLxgqM958rPoY2/WeWa9o2kctSFaCQqLSD0HT
DxL152wDSFQGBrlksJ0/O4woNBwpO4IHMZrAPRbPm0B+MIlEZZqaOyWtcPXO
+r2LiDRLebimyWKpschQVPFL+l+zsaiZBJbp8jYi8ENO8Rlv/hrKfM/pf+FS
v6X2ZHXCDtpSqWqLGLUFldp+Sm09VTMNFKiN6Z5LQ1XoM5GURDttmkUkjnwk
DiERl4GSmQIF4nJBAEigREVA9hS9SIibv7ksCcxHUx7v86SOshCgHEGqAhSo
DAGqIiSq22V+6lgK1IMADSBAQwjQCAI0gQDNIUDLX8z72iAi2kKA9hCgA8bU
EQJ0wpC6kB531a4T9mwQxKU2VRj3NysWT6GKpwd7ZFagT+Z6g2QBqeZiPrJM
Ypz9HzZg1Zu0hCiNz5aT3WJ6yZSEOIRcPMIzf1k6IALiicW9qa8B8iZ18w7V
r46PZQb1Ng/3W0LdJeL9G/CSbdTfi/j2IaLwcdz1FDR/Ey8zKxHf0lulqR0L
1LKil/WcETOC+1+Kar5QTRlJ1Hmy7iJ1tIN/I6e5/0a6w0ONp/jSNGzqwVRv
29pWk+iPcZaDnGUPDNgKWdZz1VVcY7GVp1NgwBjOOpS768d9dONO28OBZna8
udo/pCwcK8a95uNbZXP9JJkDf5AM4eclJvpbicz4jYRkMU1JkodqK/wpTgYD
KlN1dfi+TWFAWxgQDwP6woBhlgFTXyVtOCmy9GXz+2ZSkl2kIzt2UjZQVlBI
Q3ZMF9lO/rCV4L65BzqiHQxoTEpS03xuJV67vADnIZAvVvvxhIlrvk8C5rkk
AgakhwHZOUU+GFBkin1soVKXMzahBluPwshQJt3hed9hZA9kJINIdgbGU9qZ
VY+dZS36kYH0R6n0hzYDcpjp+4NQK4OxsiEBJvUdDp0T1NJTcGU0QmscrjgB
05qMi04jcs9EkM2xa0ctQo0uxdVX4PqJqNC12OVq/ksE0onAehUBxLSuZeB8
Vzj3n3qBxgEYQh87TDYeM1F7Sak9pJ4Fhwpi9s8t5QcHpRPUpt3ZU82ruGRC
G2QKoaANMkOGzLEUyJApi6FDJCUUreDjb+6MFP7uzmZbM/17PJ5YQggyPA8Z
ykKG8mYEhVTh3qtZKtSACjWhQm2oUBcqNIAKjcx6DdIUXdAMKrSACi2hQivM
qzVUaEum2+5d854Or9safSYa0ppsUthvFObUMI/MCPHJ7MAgmecLkYXucKrF
jLVYSTWulhzGAvJQJ88jESrgTFX1Xw5A/JdwlWN6oGxn3LwHGWI/pN0QADES
dzfR5lNg/wUS4Wvq+jvq+QcEx8/kGBc4wyVyjN9x1T+J2H8jCG+KEeB3eOc9
vQj5JT1lPklPLnNaK+6Ls4xnWj2jV20zxQVJMTMuAvWYazXe+ggf3m8ncmzh
5OvggjMTbyYnmsiJRumVQG/odYO7QJs2cKGxmAUMKmOIZbilwnphhwuSw/eL
ZAn9STJG/SAxsd9LWPrvJCCjbVLK+wVBl0orCxOqUXH1PwL5VF4HKq8HTBgA
ExLeMO+dfhohbVs818GEbcdE9hApd++mbKYkUhZRZors5LFuR/BvReRv7ggT
mpFb2CbH1Yj7VUTxFTlhAsJ+SYS4FgWKd4FLwuYRAeeIZJ3l5F5RUgoulJ9s
PlqX/KIx+UUr4NAROHQHDn2Bw2DgMAT5Mbgnhdg+2E4yUUsgD6zmAKKiDMzD
a8iQIelFhmJAw4IBgteAYSTmOIowNQaQjIOkE9GpkzGnaeQTM3HXOXZdsEWY
0FKe/gremcira1FpG7DDjfx/PQRfS82tpgYTxWimZUSlJRjcQkxnHunpHHKJ
mQjCaRiZGv8ygboai6YbRT0mYCBDMJ+Bdtie2pQuXsxml+3SAIjaDbdKGgAp
lBp/wiS7B4gEUgBHdsCRPYoSBzSARywlHfIiJBpoABRPdOrsejVzzQU7XDlT
/ucmLRpHcKOk7fV4gdstBzMqELIq/mO4URlmVMUkaxCmaptZZVKPXKL+DzDk
OxjyNXWJ+TX5DIZ87ERQaUkm24oI1PpVYwFprX9uuZHWPNnCfmM2p4W4ZWZw
oMwJCpX5AeGyyBNJzZkBF4l8xTXkF6qlc5MUMQ8rI5LAdJ87wuI4ofYVUrzX
9Eqagwjcw+U9Kl6JQXWco/K/4qTfUuU/YAI/I1EukJxcovJ/hzhXcetrfOoG
n7gl55xv+VCvPPy7851FpVCmWeKB7j59QP3dk8edJP7IUB2mjqZwzve+1RPq
MDxRe0U9xN7uo17vYmO3CWP/Ylf/YFM3sacbfDnTJlETsFXA/kpxP4W4Ql7v
b5Iz5IJkjfhF0kf+LOmif5SgWLP7jysH3MiPligO7Mufo3KpvIZwoxXc6Aw3
eiEFB72DMyEHJ519PMJ31SkYQE6xA268iI7Yu5eylbKGspSC0+9B/O/CkXf0
hS048ZYW5BS2KXMtkX11Yc6D8l+RCaeKFNfSYHEvdknIwtQtnvLMxjyhT8kZ
mOM088k6oKPxRLNzQgfQ0W0MyAAdg0fi/uiJof0o3SlQaqidCDsYUg1GZQ4m
5xhczNZQcxlOupEQLjLCtGPKaFcQphCJ92YkjOTEJAri0SV44uXx8Op4egPM
w5xzKaxegSpN5J1rUaQb4MhmftsG47dCjM0YzUaMZr28bO3zDZjyDrWo5gp9
rkPTPBTpbBTeDMxrKrU1CeqPJwKMxrRG2N21BhE9+krKE+Twlx5qP+06fuQo
T3neWk9RS4589vfcXiQI5MgdSomAGpRMlFgoki4MaqjJZ8HmvR41RyTKdJ6o
ia8BoCMAdLgdfNhVyJzGXCmG3CiB3CgFNsqAjefJdF+4YdBREWxUMd4h1ZEa
NcBGTbBRC2zUBht1wUb9T83rDd83GWxjuNHkNSQJEaoZz7D50WfRwyQpaS70
U9iO3dL0CHabtCQwRBYEpJPF3mhZ5jKr56xGlq1FbjjNm9sQkDulvEkGo3Vj
xCnprpXGmwD9XeD+AU74sd1w8Usq/xuq93uq+yc+fAG9cgnm/A5vrhIurvGp
G/K+zz6r+3qt8j8of1HL1/V6Pffw5rv6vweUpNQhFtefFBepM0pV9qGGWilS
qJHcau8TtSKPWoJY7XGw3RnkmQPTuk8AvAvp7nD/t0k4/oWCpiGiPheoxv2V
41aKc6FCnt8lX9BlyRHym2QMuyhREb9KKNBQhzvT9+LKiTos+C0uSbVVBBq1
gEZjoNEWaHQFGn2AxhCgMQZoTHkr1ZNlNVW5GWjsOAEcqMoDByg7KOspy8n+
5vP3KUADN97Vn/d1BRq42pb6QKOaMY11RUTWEPETs4hrZbS4V4Sa02eRKGRK
JlKXXOiNQqCnBHqjnB0sXhu90Ygzt4TwHQBHN8DRF3AMBhwJXG04ac5wEpDh
8RTTvCjDGlBId4ZVpJTm71x5OElIQg6xLQQleKSheGsMuiILuiIPj7kwpCgt
s6QSpKgFKRpbUsRDiv4QYAQ2NhEbm42NLcVM1mJj22DFPoLMS9SYWZpkE6TY
ACnWEmISyXRXEpCWkeUuJhgtIM6ohZRmUV3TqLrJ2MgEqnWsGKGvNsJVm+A6
xOhK6Zg2MRzHdYBRUlJSgaGOAj5ylqAUyUPJTskEOGIpEfw92GtHZflM90go
ciOC/CQCjREOKIIovmw2VzFLnqZyoiCceI67LQInisKJ4hhiiRukLdcezwmp
gLyoCCcqYXiV4UQVOFEVg6tuOkylFplubYysDlGpLmq2Hkq2PtGogXmC0uig
vlzgs2GRObX1osjjsVeRMtvnlXneYFnojZAlnhhZ7jZr2q8hGqyHo5uo463U
/Q7U2W7qeS9RYb/dy/2ItDBSJIZK+QQ/+xKnPk/F6ElrBO+rlGv8fl2vlHMf
L7yvl7S4b3stkp9wetVlcSVVEkRoefCFdXq1fp+au3XaOr1aPPhFW2/rOc9K
ALIYATJbHhr1kIkk+Ba1fpNs4gbV/bcUdf0lBb1XJVfAH5I56IrEhlyS8FCz
3oYn5mdxZ/5JXLl59s/h8KVx+Mo8/zo4fFPqoL1qLobX/UichlEX46iLae/a
Wy2Lo76O41InO0+K7MPZXzpE2UXZhBJbRVmI04POfcTtF5H5u7vxXiT+9kZk
GHa848ZinCcfjx7pujrW3NdKnwTCinQIjAx4fE5OUxBuFJ/LVfH6KmZnGmlo
N1Rpj9fH4/V98PrBeP0IvH4EgmQElxxBIjPCrrYzoimFzGIEnBlRHrFDQjOq
sFkzQ01jH4MRjFVTSYKdLKYofhxBvE6PPsiOJ+ZHHxTjcZfFO6vi+XUJCGbV
8hVkF4n45FpCxkbevZmov02W4/kbCBI7saCDlOP822RiO/D8rXj+Zr1Q5Fd8
7js+/xPnuQgz1BQ8NRbmOte6ZRd9fsC9GNmutqwbagmgdrXs8RQBnKyzPv+u
TalGqeSnGUpaEyrsTpECZBm5+ZnNlSIZXaZLw+kdjQwwmiEOfRAXaxozYzPx
eibTXBGkmiwo7kxWxeolBO1k87z4fn60TQF8vxC+XwTfL259v9QVtMNvaAdc
5oWfqFRUajlsr4Jt7apMkKlCgKlKNluNTLY6dlaDoFLTDu+tQ/ZaZz/lRbhg
xuiktfuaZUDWNF567vGwq3wy3x0ki1zhstQVzfM3JFhLDr6BHGMzNmBUQjnq
rgoMr0VNmh62Y9IaydBRS4bX/STDh7D6E2LEObsTynlq9kes4hfY/xtWcAW9
eFVOAokz1PDbQOIjMHIONHxnd0e7lLqmQZKeDHZH91Y4/RYP9IAKk2moxokb
DuVj9fAJJ8lQFPnYUkStPqEmhqtVPw/a6t0KQdZxqhWcciFlFmUSlxilNzm6
L73knnlCLfnO/2JP//AcbvDo/pY87r8km+dPSe/7Q9IFXpHgYJMoeuIuiDvr
LyJ5qNUiUOV5qFKVmq1H/tGC2u2AAuwBVQZAlRFQZYLZX1IW2kan9W8YouxS
RDkmcpiaPkotH9lCWc3vi6EKWcKBsbxOQH+xB1KCYL6rCS5Vy5xjc0moUoBz
Zde/utekE29ioPhWgleokh6qZOc0BSBLMbTEC5Cl8lxLFMjSgtO3hyzxkKU3
ZBkEWUZAllFAbPRQCqplNJcdYxZFktGE/1EkHqOr8Ldy0IPLj30OWKJgxmel
ALUJZqiOTHR7UhcCnQqtZ5DvzeKJziGLm0c2txB9v5jIvcwuNbyaSliHVW0k
8m/Borbzjp2yCkvchCXukQNY0iGIctB2o7+IXFX7f+8gKG3FmjZBlPXoyTXY
3CqIskwPj7mFvrjDNe/bXSiMx6pttEf4kaVvKkmqaLK0obSgNKY4naUOWcpR
yjhUkbR7SLIhLrIhIrKRcWSDKNkgSpb0KZKBEh2HqKCEUoLsbrNuvTgp95aJ
ktUO284JUXJDlLwQpYCZwCKFrxqqFIUoxSBKcWyvJEQpZdvKXlDtZNhaOYhS
HrlaAaJUPIPqsG1iVYlc1Yhc1fZBmt1mSaYam9UrvmdDJduzoGKzTtU3qr+F
gSFPPppwbZaHXcfvG3n3FqS4avjcjW8phXGAyP2SNNLveVna2QaMXujEgboB
433dpz2FrHIWEcNsnPIDZ/uZur6INVzGFv7Axf9CMFwnW/gHa7hNfLlD0nIP
LDzQrReqwdNsVgc0zajvR6mjPB8arJiXa2lx4rRdON2h557CiukLMXWmFhDe
wmnWcrrllAWUmZx8IicewfUHWv3aCdtrafdZV0cF+FKS+y0EX3Jy7xld1yQa
voT6zAweb7rL4k7/m7iyoxbzwZdi1HE5+FL9e9Mo1ZK67gRfesGXQdT3KJtl
zoYvi03fkGwg09xKerILBbkfBXn4sMhxoshx6vv4OnAOGI4AgJcmiBzE0fdj
U3s7whci/K468KWyqdoC4t6QUTzrosS7Nlh8q90ShtaJXYFRLOPulphNnMpQ
P5UWmCs3AC/NZ4u04+xdwUtv8DIIvIwAL2O42ljSk7HQbBzpyTi7Mtc4CDC2
IT9JT8ZVAiPPgxG00gTINjEnBVuaFGUWfVPHFJdPphLEnJmIcwlc8zGuRUjB
pciA5TZNWYNRrSdYbcSgthCotmNMu4DCHl7ZhyEpmfISFXpUzJCUwxjRQZCy
D6Solax3YkjbQcoWkLIRA1lLlSXqITO3ZQlVuoCqnmuRovbbVZtpjnm8fY6/
ZulC6UBpTWlGaZQGWcpay7LdK44sy0dGkg+g5AMo+QBKXoCSm+wkRwwZDD/j
KFEqW4m2Y0ZVQ2l0srgpEkNJD1Ay2l6TrAAlu8mTJc81qvAq0uWKgUpBgFII
YytsB2IVx8BKkAeXJAcuhWGVepuqJmiVsQN4ymNY5TGsCuS9FfdiAsjhStus
tz2TJtmfSROT3M/0umWu28fDDXYi/SoxWwKadKUINVfKipTK1FVNLVIO2+2h
T9p2jdeB+mORMpFanY5KmIdbLzWnjaZid6I+9qNAj1K5r+KLZ6nc9/DPT+HI
V/jrD/iuGVvxiFeTdFunmfKVrCeQqP/begrVWY5qBFXDO51xFWqEuJox4qxS
oWaQvZEabHrr7RvVBs+bOdUayjLKfE46nTKeiybYy/XgZwdupAVWV58bq26H
k5fgZgtw02rV2zhuMdyld8oSX/BV8UT9Lu6Ml8WVg2BRAJiUACYVVDPVj6ST
wKQ1MOkCTPoAkyHU9Rg7+GIOAWQpMFljYbL9dWhHANn/MtA4InLiII+Zuj65
EXaDgmO4/BGUw2HykEN9ESydESwtidDkH7ur2nOQe2zNI+7NWcSzMUZ860Ml
YJ1XQtdgohAlC4IlL4KlCFQpDVUqLrI0gSrN50ETLtEVqvSGKoOgygioMg6q
jFdbPiWYfVsm2BVxJrSlwLEJXH5idbOC1yTSn0lqFr2aGJuNkh6PNW1oMs3r
lemuIARCOviQEbGQ01hiNqJYfXSJ6VPZgFFtxqe3YlA7iEx7MKb9CMqDoOEl
KvEIEek45ndCzIycl7Gio4DkMNrkoJ7kfAHNcoV3/oXKvqHH363X42jucZ2H
gCtZ787psfSwMNE6ZYiYzbrxGO4iRTpT2lNayTM7a42Fxen2jyIkPUWgSBEo
UgSKFCHRKZQuRfJHpkgufmaFKhkpcXYBjQh+hkYk6zXUfRR3BMlYJBSJhiKx
dx+PIM98HaL8JZKD0JXzskiui4YkeexYrIIk2IVIrgsRop7DogojfYu8BdRe
N6+XOkF1I0lKI33LEJ5e2EPZoV/6j4aOHKkNHYX9RmnN8nhknitAFrpCdc+r
eY5OZqPaP8vw7CtQB9Wot9rUVkPqx9Ttq/BZqY+z1O87emCuoz5mw4FF1OBK
atCst/ebrsWX0BYncPczON471OTH1OQXtrv1F7sZm1ql/JbuZk2RZGfWgVId
qk1EdZmoIRj+o7C+f0p2vGsDwitiNn5WmympjU7UBkqrObEymXmUadBirJ0N
359/d4MU7SnNuXQ9bqgaxCjLVZ2hvlm5rVi74qfP87d4Q/8ST/RVcWf+XVy5
qMdCpDilLkJzIkJtiNGE+mwLMbp+Z0b6D/vaug51O48IsQxirLPpzS7qdy8R
4gB1exRanIQWp6jXU6Q1r+DqJ8hBjk/hNYTA4QEQIx4J0hq6NHQG6crOYuLa
nk/cW7OJd0t68W2KkIANARKMcIkCGJlJjnJzpudgTymgUR4xU32JuXozpEhb
oNEFaPQCGgOBRgLQGAc0JkwGBmMowyhkNpPMlFGZzNUnEz0mI3ymkNlMKQsc
ilMK8g1zUYg+02PMe9V44pmeAEARim3E8PizEKnyICqKAO8y8KCSM9xqO267
S8ahMWYAgMUAYi1aYxtms48aPUaUMnH0dUDxGqA4hfGcJIlRaycdwcQOYUD7
AMVuGL/dGbwZo3f1Vsdcfs4Qs3WvYoXawTvBsqK/ZUU3Sbtf1uldcSSGaikp
AyTKAIkygSlSOiRFSoalSDEFCn7mCTV9s1lCzLXj+BkdmiwRlFBKsNpwITxJ
PGGEq9D7IuFG67qirdRIDyQyAYnMGFeWi49bRXNhULkIP7kJPXk+IQaQt+R7
5/GsxsKEnaKEnaIYUjEMqTgyo4RZCCDo2YDIlcZLhfT/Ta/YbIUKd7AsckXg
QzE6WVkN7p3dDranNoXWIELXw9mNnjxBDD7FQ1Xa4i0e9Hs89I/0kLsZ1N98
fHcZPryGJGWzfv9lPv0HNX2NT91AjdxCidzRjR/f4pk/4aGX4MGf5rJTtbZI
sW6sDjWGyxEVafWsOpgwRpSiMaG2OVF7IqmtC9T2jGp/NbUl4xwwMcVK1WEg
oi/Xied67ShN9WSl++S+9/SaKkW5ybxWYETb3X0CA2+IN+xv8cT+Je4sf1Jb
1GbhKyLPg4oqoKIOqGgKKtqpkfxkK/2tiJwAKmZ8KbIAVKwAFeup5R1mSU85
QC0fpoaPHQMNZKVnyErPICBP4eCv4sgnpxFGcdhjgxAY3clW7O5H+8kT9pqB
+q5dpCg7cop3W0bxbY2UwM3BErTRJZHAOuNaTAFeFEpEwyIwysGLanYVjabw
oi2pSxcu0wteDIQXCfBiHLyYBCsmTYQHoyhD4IFdQ2taR7MO8TRSlWk1zXJc
08uYFTdm5Ee5ZqcQFWeZYT8yO8AnczzBeKraXDQ9cSQ75lYARhSnXspiKNWI
KfWoJ9Ouuo0acbaeOMq7TgL6U+iM19AQb/Cvt8iM1fEOxvYWsDDGHGdXPEzS
jVyqztdam1CkUIrCnxTj/UgxmNJPHvfDOm2qLVLJEKrbVKvb81Vykad4URcB
KVIOKfECFCgRnCKFVXIS+Hhx4Cz8O2NgsqQPSpbY4GSJCUmWqNAkCQ95JMHB
D8QbZPqBXcH/iivsprgiTC+/RGNTMRAizgzd0pTI/C3EwH6yYjvZsJvsiNIc
5jlIntPQ4iTi9phZmrEgiUghs6J7SBoIMMO71Ii1Z9Ah2NIhQOa7Q6FDpO5M
VdnHGjXvXkR3lnjtYz8oDagYU3UnkWRmIYEBWkB8APc/waXP4Xhfw/7znOVH
pMivdpW83/nkn3zqOhWrUo7bxIB78MOgIFDPBTGDOW/pWWUpOtlI8RvIGZA6
nUwpCKcb9VtH+I3W62QqKqjxWmp3AduDqndHU5u1qk1aZ1Mm29odwiX6ULrq
UcIPSaceECcekGLdJz7cI77dJc7dlUyWDBEBtyQ49B/xRd4QT9x1cWUj9cgL
GYpSi2UhQ1XIUO+iGZ7b4RdymJ9MrY2EDBOp1ZmQYRE1uwoybKR2d5o1dOQw
/D92hmdKzZ6C+68jDN9AFJ7BnU/jtq/O5DV0/8u45jG73O7hpgiJ2hClkrGs
F58Tz+7c4t2ZWQK2R0vg1lAJ3uyRiE3I1g0YEEqiAKcrDmjKoiSqrDSnaYKa
aAMhunCZXtBhIHRIgA7j5pm9V6YApKnjKSMggJlKKDPjKe0pSMmZ9SmkHLOA
0yxSjtmkHLPzkFFlpZhueZkbTPDxBWoTWyhR0DmTLMcoV5IFryaxXScV8eKa
skXMghw79KK9vai/wYSTsQSj6dZQS6FTf0IkXoQGVzCkPyHFDaLAv0iI+9T5
Q73c+4uUXZRtlE22rleJ2dh7oZgNvWdYO1B0GEVRfa6DxLSLOj0u6lDtos3F
tIvWt3+rCRWqe8g70A6VFRkopfh3Uduhmk/1ulBy+ZIlR0CyZIcKWaFCFqiQ
PjhJooMeOrlKgO+2uL23xB1wU9xBf4srxMxqlHA7NisaE4o5b8AQR8aanrwi
A7ozo21Sz/o6gDhFLoL2zEVekeuQ8Za0BnZaGuR5Jg3MAK05arkKd7gsdkfL
cpeafpoVwObSrzlphRnNWc30SwbrZof3eI4fyUSkwUxovQBaL9ev/kK9XqQ+
zXvD8K8f8LeLdgNWZwT3bT0lPUWrgRT9L6UF/pXUdUSUzzv9H+pQUkBtbqSc
Xg3SVLueqWETqgdVbYu43s/pzTkW6TAwmAv1pnThwm24WGOMpjalEhcto5Zi
xPFz2WE70R7j+KER/0pQ7D/izQi6c5AB5sfxS1BT5XD86nb0bUscvxOO3+sX
UzOjkASTcPzZCL7FOH4ijr8Jx99t9riW4wi/k2QOp0H66wi+N8kI30TovUEc
P4O+P01cfnUCMmGYfX8nMogWOD5J/iGz/7prXxFxv5hXvHuyim9XrATuCJPg
bT4JI/GI20z02MitcrpiOP/zyILKOH9tu31ja6RBZ2qoJ84/gMsNx/nHLsLh
cf5pakM2UofpKJEZXH6WXTFrTldKWwrsmUPqMIfbmEvqMJcMZh6pwzyMZD6p
w3zThS4LgklOfWruQBihOZYAn83uglMUKL+ANVWhrupgTWam2V6C8n6k/CHi
yRFU5su46quY0Rnw8Bb29h4i4WN++8xOCDiHkX0GED4hGnyIWHwPILytG7X+
5V33+OwjzpGkB+8etFvNGDAYG1prbUSBYYEFw3TKJMo4iu2KdZahUe0QqlVT
tUO0tlxoYk9VBybUwuerkVNUoDxvl7wpyk/VE/ucN1kKwYMC8CA/PMgLD3Iq
LgQa9RvruyeR3jsS5sHUPJiamxjjuSZuH0lq4JXU1UYlFLUZ/p0BQjpyiEhi
SJSdwhyHuszwmrgyvSKuLMcph+2nnsmCvM9kgVmidK47EBZEyBJ3LCwwM0jX
qW1xNAtK6LxhF75jZo/WxwOb6lHd6lDqwDi9V3eSOscl2e+MIr4OOUw/xjmq
6zs9zCJJz+u6pud1mVkdj1KFgDP6UuUIzghMj61KJz9QUFAzOZyxVM6wCn8o
qGOWrehRlvy9RLUyJVOzSdKIa9bS65o8lNLcVSE78jeT557E+O5KWKDJ9nwx
/4o3C/jOdRMtBhhKAoYKgKEmYGgIGFoBhs5mPIYMBgyjwflkwDDne5GlgGHN
NyJbyAb3AIbDtjHy9HtAgJp8C6y/i857hwzwLcL4WTz2dQT7a2aQq7zSj/ys
C6oAgX6sAflCNfIFsyqAe38+8ezNJr496SVwdzoJ3hkooeiwGFKNrMAhL6cr
iiooAxwqAYdaa8wp9S5sqIMeqIMBXG44cBgLHKYsNvskzSBPmEmeMGs0pmG5
NB9BMr8zhduY34hSC8dHlCxQ89zJExaqSWZoyUWm610Wh3llSVCQLPOEAIR0
hJeMdmSOmlFUEk1f3u4WYWax7yefP0TtHCHGHJMxgH4amcFCov9q6nkbKDgA
AE5S928hJ03P0DeEiS+xpc+Bwid6OdbrupX7HSzoTer3DEUtZ/Yy9e3AQeWQ
zhaZKqdYY21F5ZLzrXKc5sAgT2ojZX9rOt3kcSOl0+WhDv+Zp+pQXR4KDqrx
oRRQKAkUipM6FKU8R8kXYIaBZPPex9zuSnr3vxLt/kciXDeQ+H+jlK/hT2ZS
gdd7UbwBP6cOJ5CgLw0YQmy6GfGWuCJfF3f0KXHHnhB3nB5+GfFsHuRLbWj0
G0MRJktdwNuVRRJdZu6nOragxszMr6qAtTbPsJEaPcUzbe8M6HuTaPsuFDW9
ETPkCyj7DTz/PrVb0zQsqrxAHTeppFu887bu0lStBZf15kBmgpduVNRZwQOb
Idzxw4HbYuCiPB50rXDw4VM4cDTCdosDdShROJMy0TJf4UCliKohqRXXashV
a3InFSglbf9ELvcDyUwdxQTek7DgexIQapdAz3ibF2+RloGEUiChIkioBRIa
g4TWZtkbvbbQELTCGJAwBSTMBerLQMJakLAVJOwFCUe+MO9942ORt1F7774u
8gEq7z1Svne2ggR89aztgnyNvP3UAPRCNzQFAfpl/PB4Dc5hmgzcBwuI90BO
8e3LKIEvRknwnhAJ3eWWKHKMzGAhN6crvFmkNFiouMFsyqiOFiQMHUBDd3RD
fy43HCyMBQtTwMJMEoZZ0GgWCcKcCWY3EXUsgkqLelA6UpAri0gQFpEgLOZW
FpMgLCFBWEIAWZLVvH9pOo8sDwuUFQFBoCAEp47BOrLggnkwsSLUUxkbYWrj
oqZV6jA64RiedwIvfIVaO41znkVhvIOq+BCDNN0QrxESPgAEZtjRD2iE77A2
tR/vl0jOczoDfUC4eITVJQGPZLuQcrLeweWoDR3qUP1ValdMlUiupqxwMFBA
RxGnI1TJy+HWfPpZLPjPE2llT9fQySMsFiqrVgalG8BBeXBQFo1QmlLcZ1BQ
wHNf8rjvSg7XbcnqugUvVdfXDR0/04lZxi6YsBrkuiCBnp8kwHse7eAs6h6o
/dwV+K64g8+KJ/Q18Ya/Ip50dgu9Z7OgQBovFbQKQR1zXYGpnmYmfOXSEFfH
Vp0jVESzVddTQo0uaK37Kk/bhQvfJul6H6Cbboc51NNiPUxODab6VXdUHkgd
8KCOf3jnv9SdmQD+m16HxnQ3KB4k22mfyanTNMzX96X2OSgyqDWsHk/R2KbJ
4J897LVCQR3U8hNkUMQfaMmgGo5U83IDrlcD6ylvB++pRdxzex9KloAHEht8
X8JD70tAmJ3RmwlC5IIOhaFDaehQCTrUhg5NbM7X9XeRvpdFhkKHMdBhKnSY
97PIcuiwHjpshw77oMMxLPq0WSxP3iMX/OBNkY8QCx+SQbyPS7+71rz2JtH6
jXFkE0N4P1H6VAdEA0r7RG3oYCbsuw8XEu+h3BJwMIsE7o+R4L1hEvqiT9Lt
BmQ7uV1OV2ib2a61AoSoDiHq22U120OJblyqH4QYBiHGQIjJEGLWCrOp2RwS
mPlToet4vN3SYWlfSjylHUWtrVWXUhX4kUUsUzNSMZ/lZBHLM5n3r0rnk8SQ
QFmNDl1H4Nog6dGd2bGvAgSf4vh6Weqsmm6zVodZkVntrDsYTx6DR08jCi0g
CiXi6VvJFvZjZyewszd13qCOC6SoFyDDL1jKT1jZ91jYt1jRV1jT59Trx9Tx
+5S39eoAZryuamI6au1ERRPVR7XF/q4IsVxM5vl0Q6TT1OA/vNtpiHQaE53h
3ap7s7ZNK2qAhmqgoTKlnNc0apckAhV13cMb7xCS/5Xc+EIO7j8raMhkpxHF
8r2i8JUIvl0YnhXi+g5MGCJ67IxJ5d8e7+soiVPiCz6h/5bWalYWCwWfiQWj
Fubp1asi7G/pQYLBxXaqapdUprrUGMuGViu0Q4eZiVzqUJM/P0gdXzlfvuZB
nieo/0TVqb7ky3ps5at8ubPOElKmA/JXvZ7MI92U8LjtMHWowlr9RyUT0oKB
kzWow5nv6bQfqmO9Qb5OEWdY1isYqP5p1VakRrmoFmTVPlTd9jiUUAstex9J
noBHkiXwITB4IGEh98UXRiYRaYGQGyAUBghlAEJlgFDHLkHYFiDEI/H6AYRh
AGEsQJhGFjH/V6gEEDYgGXaQRRwACMe/5aZt5+SHqN+PkQqfnuEnUu9Duw3h
e+T578xBMiDdzyaQReCFryHZTxGfX8EDT1ZGMpidjr1H8krAS9kk6FB6CT4Q
IaH7AiWcBCT9HjLgXQQFoFACyVAOKFRDNtSz+zi3AwrxSIe+QGEoGcUYwDAZ
KMwCCnO5/Dy16dgsJABAWGbXklgxiELFryCJWdGaQnRfAZtWkD2sfJ5C9rAS
sbnK7Msjq6M9sjbcJ+t8AbLBFQwIorCLzFhWbizrOeyjFO5dkbBt5rib6cXx
er3l14jMZ6m5t4nY75PwfwxOPsdtvwb750HFz4iAi2Ik12X+dRk7u0ycvaSN
6z6u85D3PeL9ydhLsh7Ar9YMUM1PCgpm47cUZ6EU1Rm1mbJOTIeU0zHh38Iw
Vp4cktnHmpsz2FsdyqwUDxrDgUZwoAGlruKBx7xewfUQt7pPknqXbPyOFEXV
FMLQ88MBZ7vW7HhGFr5MJlwoPV80BsJF2gUWwyBiCJopCELi0Pr201rZ0vp+
oWf6vs/6fjC+H6kXxl6V2r2oasjkCfv0qiqNQWerJ8ZWayMF1x/JZG5otp6K
9S1n+EGPq94FwA7itS8jBc7wpd7VSYI61ETvB7odUS8k5aQr+H1qc4H/qIO0
nP4dhxELtM+rw2kpeNrnE6zPq3Ygleap9p969jPlqKAS7mR8Pkly+x5J5sBH
EhP0EJ9/IF7t85TMphVBz5p5Hr+vgt/XtcsNtgfY3dBy/fH74fj9OPx++iVu
C79fid9v/AUdit8fxO9PnMeHqcD3rN9/jgj4/Cx+b9eE+GgzooA0/j1S9nem
4Pcj8fv+iIF4WIGjnSazfrUavm9aCzzH80vA0RwSdCSjhLwUJaEHgyX8gFti
95GGvkhSCEaK4fsv4PtV8f262yym8P0uXKo3omAw/j8K35+E78/C9+cnms0G
F3MLy/D7FVPMZxLBT+JACnokkRQhsSWF20kkW0msYKahqymlq3Ob96+Lc8uG
SK9sDPLKJpdXtrrCsKY4bCIb4jIfFlUU23iBuquCVZk5PK9AZNX4ZFYcGo29
TNXbt6g9JL/ALb+B7N8jE37hHb/ZzRavYknK4//AWH7HaNRubr/psXCPeCXp
iYEq1veNtZXSWaUyHTVWRTUgqMxSdTs4rYtLrBnZBgStJcdYc1LHAHly0KR+
tPxsjUm1JC1oTmlkmxNVo1R1bLsKt1ZBr+1/F9+/rUfFFbOzAQviJvn5EnmA
V07glR2bzyKmczo9XyCWLxDFF0gHDCN4BHZoQlpry5k+RTNYUbcK+I8pmMfL
arsttcnOKr2yXH70WRHr9DF6zdpD0OuoXeXBVInZrUWt8PCxDvLzbJBfZ+dc
7uXRH7FB/i0A/JGeg2V6ICNTl3pJ0tMkknRnwd3/g5dbnW88fe4T7YGOl0+3
Ek1lcKpRp5ufl6tDjVlVjTfKywt6kiWXL0l7eTReHhrykMzqAeykZH5g5seo
4wU8vapZMUaaUz0dQHJ3PL0/np6Ap4//Q2TGFUIjnr6KKL8J2b8HT38JTz+J
p79Btb1vUC1fwrwvbD/wZwdEPsENPyLEfrCQ90xH9o8hpyKkvtmdz6GvzzQh
yhMJT9lGgJMFxPdyLgk6lllCjsZI2OEwCT/kleiDIln2i+QhyhfB28sQ6Svv
stuJmpFp0plL9cLbB+HtI/H2iXj7TKL9Ajx+MaBZiqevwNNX4elrrKevHUYB
Omu7UdpTmlFQ6WuR+2vV9DLk/nrk/oac5v2bY9yyJcwtW70e2U5qucsViYdn
xIxyIu8LYUolMYzy+K2ZW/Yq6eQZHOZNhPQ7OpVUJjWTqL7Ezrjaobdm+5V3
XsIArtrtBq5hZNfw8z9xkz+IG1cwnksY2UW9qlhS6uJgzix5J9L7rw6kJtqo
dFG1Ge6ytuS0GSp7WkyZJyZ1nGI/l9Zope6OSWaRDq7H7VZNdJvTI/znIR7/
AI+/h8ffRdrcIZCaHWRL4x8l+FJF+QJqUZGC3Hheu+ZpTjwmG4E0C7afCfxl
4CHF8bDUodz7P1y9SBovFfAbKjCP8LpIj8lSO+Xk4jmr9euL6de2c4NmASkf
T2ySXuHtCz2pWkXyTfa1SL7YH3zB63pXTDXC2KzVZmY++Y8AcoYVO878ufjt
uVs8NWd3DqW1VN4133J2nJ8zOyFbHSpkO85c3KUmySVLTvKqTAFJEhX0SEKC
H4o79KFx5izKme2eF2Vt+K5/B2FGLXTEoXvcMLsYjSCPn4Bsn4lDL8KhEwnf
m3HoF3How4TvV3Dos9TOBzj0Oadppi1OfZrfyds/x9s+JXZ+vATZPhOHJm9/
dygO3QuHJk6ebU7Ir4NTk7efLqk/7X0ltwSeyCohx+Mk7FiERBwJlEhOlekQ
WSR8eA6nLo1TV8Spa+HUjWw20Amn7kkYH4hTj0DCT8CxZ+DYC3DsZTj0Chx6
FbexBodeZ6dfb4AtG7idDX0oXSltKPBlA3J9A9nDBuT6JuT65nzm/VszuGR7
OpfsCHLJTpdH9rhCZa8rBkfOgkvmxZGLIM/LUIeVcKg6+jNnSQbfpqbeQw1/
RKb8Ka5zTo9fV3PyNxGGX8TOj2HvZ3DeD/ROSepQG8z/TdT4C2+4xm9/Y0R/
YUzOkrFPrvb3eMK9OlS6pwaRqSkuqrVPpXwql99qg4OTy7utX/kPG3Ca+wZb
Wajy+V72vI97ApLR8El2NdsH2N59qY2517BTY9RE3grcbTmM/XkwVAoEFRMz
bOQ5ImMBnkA+7jgPd5xL3ta34U7DRdPK161HF32mR6ezHh2Oj8bi0WoHb7Wr
biE8uoR+bQc3uBsE7dOrS6tFYTuQHXcnlPe3XXtBetU2E7aP8iVO2YVVPgFT
X/MlfzJPboXdAveOXiP6gV4e4WHqxrhpOfs5+ySf7srbY2tHHY63Px26u9vX
HYHueLuaZqKmxObwJktGvD0yMEmCgx+Jm/At0ZQsj1C7lOLW46vj8Q1I1lvi
8Z3w+J54/EA8fgSJ+kQ8fhYevxiPX41g34LH78XjjyLYX/0Fr6UWP/yekG22
25NvEelfv47Hk5h/gTt+Tgz9lMz4YxLzD0nM30cZv0di/g7Z8Fut+Hx9wngV
vN7sJeQ5RWL+ajYJPplBwk5ESsTxYIk86pYMh0nM8fqCeH1JvL48Xl8D4d7A
Lk3dEa/vQTgfAGAS8PxxeP50tdEWnr+cshbPX4eKWEcI3zDffGbzJAo5w2bU
xGa1VlQnCkJ9c0MK0XczQn1raRIlhPoO0xksu2JEdoeiXpBqe10BcsAVIYdc
GfD0HJhNAeqvOJ5WDgOppt//Fub0Ln7yIYHwE3Lgz+H1l/jXtwTPHwikZjqt
SvtewaSUEnRSvotY0FVnL+h/MKMbepEvM2JUbVbw9Hy2T6w5vGlNyWm8U1Nl
lRJ0knV1qHFCTyfr/g7vJOzq6Gt/Om387e2QkhbcU7PU9cHCyUr+wemv4/R/
kgP/bnf+/UW/WpovXJIvXpxwXZSHUVjMwB7v/5+TF3uWkzv9FIuQ/ssQBauA
71qustFuiLuDO9qj95ppTDBtrfeoOqmXfB7I8zJbGHykVZVa62YVQn0jLroT
jz9oV2h9g+p5Xy/vfFuvzXhRDfDVn1MLON/Xq6Hc08skqE3s/uavf+Hy/u5u
7rFkmj33e6y6Wmeftb+7J1h3V4d/Pu7v7vkI8Nm9KZKBAK/cPSgoSVwhamIH
JWuSSH47+ri8/dkQl2+Fy3fG5Xvh8oPI0UeSo0/C5Wfj8ktQ7mtQ7ttw+X24
/DGU+2lc/m3q86Of7HchCp7/BJcnJ/+GnPwr/PEL/Ozzlbg8PvbJFN47CjFA
Ivwe8vhdhMDbjfCJ6kTBsvoM7jP5xHeanPxURgl9JVoiToZK5MteiTtGTg5B
8uP2xXH7smpqKwq+/n5z+x1w++4E/H4QZjiuPw63n4bbz9uhUjJ1ZJK9mbj1
KAqS7oDHLYc8IXLEHSPH3FnkZXceecVVGDctTXCsiA2YedcfIFY+Jif6jCf+
JXbxDfruezKpn4HwRWziCjX1J151ndq7hT2Y4BsnZuXNWxb99/CK+xr9t/Xc
95Qn/PbpCSHqcKaP2fY1nWibZ5z7iUTbGd/nJNqO306w5/FvaFOHSrbjuavO
3EcHOwK9FffXAkttiqU2wqrrcWe1sfIaYkbnVsb6K+IF5bm7sjyNMmYYUloz
/9LqVrOuWjw1mdYtZwZkSkyrcVFFeJSlrWOqXarr4ZjN+NJtSTm6QsI+VMoQ
3aihjo/1snVL9fLJ3xMVfyYMq5kUl3lcV3Glv3nHP3rJ5F/0UkWpU4NjdBC+
Qz3csuPvrvmFYHWozeCUWHraJ/2H2DmC25yzXqpPqkOF4A5p+KSanKW2AMlG
GE7v40EFJEsgPimEYYnhZ1a7wkSJ/1fZecBXVTR/f9I7CQm9d6UoiIiCXR4b
igV7xceG2LsPVqxIkyIoigoo0kQQEKT3jvQOgVASCJ00Qto973fO7rn3Ei76
f6+f8SaXc3L37M5v5je7s7P83M4WsrsNd3wvuHwMXD4LLl8mon4bXH4ELr8E
lwMh4N+Dy1Hg8nfc8XQI+Dxwucxm3mzBFe+ybngXEfSOWeASX7kFP7gZ37fx
KyJqIui13cHlK7jjp3HHD4PNO/kb6P9S/N3ilsYuL6gnMfOIoOemSdLsJEmZ
FS1pM2AOwLwR2LwIbLadKnIN+LxZD8adZL72id/Fq0M1CFh+j4wEmqPxwKO/
R2yS/uiPEVoxGq49Gq49GjIw+j6kEwLXHgMhGIeFmNDSVuGMQCFM9KUvU4ig
KQgzSztlri886uLM5xbBNNMnplZ2qbtcGiri8pCoL426vCSKBfYzL/71przK
x7/BOTP6CvagXgzs7Rl+2q6YdEEjH0UnH6I192NHOuMn7sRb3m6rad+MT9ez
wjpgf66DDFxtzioOtSkmVIKLRd8lIf6pyVmrV8n4yqrilQz/CVruDox7ZHRH
ApjO7mHxf7kHIj5Pj7wOHN/zEto28fjb3CNVRoPGSZjGv/QoNoZgJY+kJyDs
co9qLHYHxJzDpK8iWzdIK5Gar67gZ8LBMAyV6Roc937qhccd/DPVHgp1dUqz
DdoGobAW3rEy3rGCHvcZwzjEl5kN1Ppq4gugsINF4n0g8XGa/CxofIUQ5h2Q
2AMk9gKJgyDGw0DiKJD4OwxgOkicbxNe1oHErXtBn6lYKLuxnLsIfXcAk+3g
YCuh72YY6MYvULj3uf51rBtk+O/HcD2dQePNuIKrQKJhLRGLGkj0wpoSN5/Q
d14FSZ4TIxVnY0YBdgPQ2Bw0tpmOxQaRN031qjneZE6LxFP+D4fcA0/5JTIA
GYrH/AmS/AsGYdwIZKhp5jgtgPgRgrMeBxkeh2EYp0UDdK8vZHh8B6BIsyai
JH9cZO6ZUltkaiXigES6IDpCZkQlyOzIVJkbUUPmh5s06qXo4QoCv7/tXNYm
9yDXLljdbsRTenDmB6hOT1RnEKrzI6ozBtWZgtecC16Xoy5mLsv4TUXtMTeM
Csa4mSI16RAFVrV084SWo/KmSPW1OZDTtsRqWHBE7E1xlct/ce/wIB5MknWF
+3ULcX11w8w8i2N9ikY84Ra5POEWyr5fzFnPd9OQO3GsneiAjjzWzXZCPlSN
wH/Adevz4tqY3V5Ymq+kGv1ZD1d7oXiHso3GpozHxkxiBKa657M+Qx+/BOd4
W5a55y1+YUdoKGAc6Z7HupeRyAT92e5ha2vdY971uOZCtzhYnr/nvX3NoSam
vfI950tfDwK1+TPX/Z8AreVYtFh9UpQHaAvm2r7zABq3+zig7gqoXwHU/wPU
HwPq3lDfr4l2fwDUvwLqiVDfv2yeykqo73rc6zZAvStdZI8t7LR7gUg6iNsJ
mrYP598H42J703cgaAPh5PoXcLFPAGwc2uqOAPtaXKwxr+FLGkrU4toSu6iK
JCxIlsT5MVJhnki1OSL1AXazWbY3b5ZO08y3PY7peBYG/DJe9m287EdguyfS
HxkCpofhYkcQ7I4eCUZ/RL4x9034HMHETCDenvA8AgGf8BAm626ekph7EiR8
Mg5/qjE1Mr0BT15DZAaMeSaMeXZMjMyNTpYFUVVlUWQdWRreGCy3QFPaoAum
Cv4WVHo7ap6O2megTfvxfAflY5DaF234FhiMBKUTMPnTgcYC9GUVmrPZYlr1
5KAbI/lcXJtNUWUupkvcxIYii+lTEigxt9/vU6v6GbS6Da/M3Pki3/JpK97c
tWa26TTqhxbY+nrDf4RoAsDOA9ineMJjANvUBX0EbOhT308L7kHH77IpNqF2
o4QCswG9HscQGszmuyOJRauD5PoguSmkuZVRjVQe6Q4e7QEesQuP+hxA1vPY
u9sFwF7W3A1jaHRpYCKQ1UOVF9D4lTzEJh4mnW7NMhajs2sxg7FbfhdqMHa9
fJFg7OorOFbVV3leHArAqXjlRLxyVLSd3K7kGABfoABG2iEdfOYEbRcKgLkr
QH4VIHcHxJ8A4j7w5MGA+EdAPBoQT7K5JQvxzivhyRsYse2AeBfceI9dR967
hJ9nAmJc5C6Y6Y5vAXE/1PkTQPw/vPPL3PcU3vlBgAwj/RvvtfoK/p5xfZFL
60j0kioSszgJIEdJIvagynyrMPfLJWC5/SxT5+02nPS9drX6GSjzSzjptwD0
BwD6c6QfoB6Ekx5KGPsToesvtGbcTwB0mLlnElH0JFo1qbup5jMJrjypC06Y
SHryHTjhm00+/DRa95dh7jKrLuCtKjKnAtFBfKQsiE2UxTFpsjS6pqyIrC+r
wy9kWHUi5gqXYuprF0HhHnkcTemKpryOKrwP4L5wj7PUM+kKcCCF+MkifGYx
7qDUKrwx9PsBa5YF8nEL5Hw3Q8nn1mQyQNYib16tSH155++a7zfVVNaLIeGq
clqWaW5A7bxZplApJ18FYVlfH9kiK+/wxW/S+EiLp2fQ7ydpsjKQR2VzuPmL
54Iw1GcWs23ODmvt9HA/ItuBhOrfSDOA2ho63c5sMovgm8aAqMm2BfqKAnGH
6I6T2MUzbifl+23aHeU3fZ61Aaz8rs9/mjF6wX7+ryhE4sMtAhMci0LHrZfs
ngynB0zqmfa322u6gMbnQOJryLsg8VOQ2JeIdQhI/AkkjrGVAWaCxIW41FUg
cSNI3A5HTs8QybDrvPuXg0SwkkHf7IYb7yI+3DmA62AiW98Dja+Bxme5FyK6
/i7QSFy45kqQaObsw1bUlrDllSR8WaJELIkw3Xer1F4IAQCQrebbk5P5ho54
1s626uJToPEFKPObuNf3QeRnSG9a0B9bMASHPoyWjIAej8ax/2bzw6fA2KdA
kafg4KdAkadgH6Y+g8Da/8TJT9M0dFo3A684yzh6mduYqKCWyAIo8sLEMFmc
ECvL4lNkRWxVWR1dR9ZGNpL1Yc2xxq1xIiZLdTfDv08eBBlPoiAvQrO0LH8P
1KU3KjIEdRnuHjhbBIUrcQ+mXoHyeBQ5wyJRXeoRi8TAeRCmrFFwxnBt/x7j
g1b0pX9FJ0XKHxgTHBKHygJRNfQmlfXVm2/7glZ+gr34CNvxHk+gB8lEWVjo
Oatuu88zixTqMB8Lwbbn5cAGjH1dMDakw5oDxjaA8Uovi3Ic7m4ikJiKO/+L
Hp4jb0GBPwBcX2B3+ntseQ9hwX46WLfaZdMNhxmiI3x6DDN3gv9yGIrgcz9d
dbaYVU5Sfi4hGLOmKdf+nxd1zodZfUXr3vykf8HsfRa3z4Hb15B3we1n4LYf
uP0G3A43mz9lMvHtTOLbRXjR1eB2E7jdgfdM34dW7OQB7UaNA6BrH6jJwGft
wVelfw1uIR3bP8SLvgl2u8E+Hud+gscNEM31oGKtmeyT1XUlbFUV8cAatyxc
UpYSz+KQGy4WuQjwtuXPXwt4b4EW323PJX0Sd/o8AH4dd/ou8jEA7okb7QsH
HqRxLTHtj3ow2AjcJxz4D+s+p32FwIOnwYOn0bTpL+Imcex/YVJmEG7PJLad
rakj4G+e5cEL4cGLq4ssgQcvS4qSlQmJsjouTdbG1JANUfVlU8QFsjVMj1tt
y3hfa7oEtTqIR9GzFY/Lq+jFu27F2wI802kYZ6F7ttIEoDAdSCxwz3D0+Xlw
Bj8fQA5Z4AbOenP8qysR/jqp6kIjXCda151RDta94LLL+vIC3eBcjmDgBlaD
ytwTG77i+3rzTV/Q8k9tmtX7fEt3nu5tTNMbEMdXxFSkDJU++Q+gvfyfue6z
EI1GILaFfOci9ip6zMzIj4OaTKRvp+C9/3LT3d8Bsj2A7JdgzMwnbuFpdnLV
HsjCfohDlrtNdiPY3cGY7OMJssHpScam0O1dL5bQV7oECrl5mA2chhPIlPy3
tIuHJZB2EQqz+tJy5AmJjkRqOa40i1k9FqmlxewNyG0Ws49b3LqYRT4Dt/3A
7Tc2PWMsuJ2Mv50FbheB29XgdjM+dwe+Np2QNYOQ9YANWbMA1wGAsx8vt5dA
cQ9B4u6++Fy45Y53wC7A2EaAuOV+/gag2EhwuKEtPreFB9Ww1SkSvipW4ldG
S+qKSKkOdOsD3WZAtw1//epFprr5nUD3QVtGsBvwfQ3f213P88Pvfgb77U0I
2x/GO2Ss8bU/61QULfpjuLlnxmBTSGoGLZvxLhB93ewAnUXrZhO+zoEJzL0F
33odUL3C3LPkAqBaR2R5FTh6crj8nRQnaxOSZUNcFdkcU1u2RjWSHRHNJD1M
jyls795zUDq5J3trUHeSQcx1ieIHSE+ANxAZBhB+BbaT3IOaS90NlWssZFVp
9vphazjtSf9OHJOVa+qQetPO4a6zSHHhe8KKvvRuZcHB09BeYdLFEpinsvD1
WPAoGjPcPZ+pCPSecRv8lU2Z6slDfcYf7gEWPgAT74pZEwiVDhUqYrWIveJ8
iDUsth5IvUx+lGuIrG+0SL0PDD4OUruC1FdBaneQ+glI7QOyhlikjgWpU2jV
HFq3DKqzBrRuobXpDEcmSNV8tTz+bxZyvJMk9FXOs3rTThMksMuxfJKjR4R1
GczLNdf5pKClU9OjLaQKkWhaPDZM8ak+VYtu1grC5xVB+Lw3FD6RfnZ1dTgY
HUt0OrkAzWVUFoHR1TkGn7vwrXsOgkMi0gO2uu+hZWAUpGQSD+4nDtwHF87o
D0ZxXumgYOcr4PRpugAEbCXu2/KfCGtsZF0tCVubJpF/J0rC6nhJA6M1V8ZI
wxVR0mx5hLReFibtwel/FptTSu6352l1BaOvIG/zre+pS8Wj94QHf6XTSuDz
B7jwL7jV8bRmsk2Enk2rZsOFZ+Pt53wMDomV5xKVznsOPBKVzicqXUDrFt0E
Jk3pBllOzLyyEVEAXPhvuPC6CpGyITFBNsenyrbYarIjuq6kRzaRjPAW4OBS
lMFMLR2Tu8DKw+6RQQWY/dOY/UL5GOmDug9GPX5CxuKwJgMDrYCg+5bWW3zu
tqjK9Iif4Wr5FpAKTMdfsK9AlSDfdavehvtccSRABh1U1kFJ/al5Z6FTX9P5
7imo6+/80bG0axRtHM4f/94eo/g1rqc/Ct0HFf8SG/SZmAWCyued6Q0JyXb+
4NPbtKiv3lKLP97Ev5Yz0uaHj5MHwOMTNKwbeHwdxL0HHj8DdV+BoaFexZEd
kN09PMl+WUnrdCv5DneX2GGc5hHGIJu+OejuRCzzp5x4lspLNA52mF6RMq8c
kbe30NtO5O0t1FSSe+zf0kJUV9if9ezBugSkNWMBZByAJCiNApBhCsiajjkL
7GILyOuRjhaQjyFdLShdQNqfvwGUw4sBJGR3MqCcyZgsApSrITibAGU6jnMv
TvPAfkDIuGRbopuNKzsILLJwVQdglfsgG3sJA/d8ADBxS7u6AsxHAaYpcy5b
rwLglkVurCNh6ytL1LoUSVqbLJXXJEmtvxOk0eo4aQE624DOK5dHSge86G2g
815z9q88CzpfWiDyBp6zO4S3B16zJ034CrI7BNvwg56ACzp/A51TaNZMm7g8
byjoI3Ze0BMhSl1IlLqIKHUR8fNiotQlRKlLO4FGONVKU0lJ/m4OL4fsrq9B
c1PDZXNyjGxLSJKdkN3dkN0MyO7+iAslC7KbLWYLxQnpSPBzD1r9GEDqila8
6p7Xo0XYi136OBQE6MGBv4HIaWjMPGSFu5nIO5EwsJhzPAiWSm/dAhjh7kpO
lP9sgEIrBRKY9z0uZ6/vBMPTq5unG53n8ydn0xitmjSZvzIBGWOrXA3nYYah
4ENpzmDUfYBNKg51HmSoRRoLyStD/FPjAK+NoFOaAH9TF87bKzhOHsJUPAky
XwCZb7rnfS/Eby/Fj6+iVetsMbEd8Nk9GJr9PFUmT3gQw5bNT4dodxbQPOCu
x+juoFKFpfnK1JA0Nrh0oMbpX8m5tQCeCUJlR+/PVZRW/HpBmCMNYa9aAS4t
1hwSHg0owxWUNRxzwpaC8nLkOgvKewKg9I64k378/g1MdjhMdixe8g9AOZMR
WQQoV+ElNwHKdEB5AE+ZdQgQZogcsV7yCD4sG0QcAgFZcMZMOMV+uOK+HnjL
twDm86bJuJ+dkNjt1+EwLwOXzd1PwzZVk5iNlaXChjSpsr6i1AGXTcDlRXjO
y/CcV+M5b4Td3g67vXd5uDy61BzN+AKYfB1T0H2uOZX2S3DZn1Z8M42gE0Y7
Cq85AVY7FW49y2YjLhzBE4HJxfjwJfjwpZiMpbRwGTx7OX58OWZjBfHxqtvM
7LK+1l2CTb2QHqiHf6entqVFys7keNkNk82IrSz7o2tJVmRDORTelOFvhfqa
DQ/5MNlCTH0xpr4YJluMQpW4Z2D0RC0GIno+xq/AYWKkNfkGMXuskwyGY45F
moGjesky+5N6yyI/BmNdTJ62WCu/5prhKU+0u4lwjTtTVQIki7AHRejkGW+F
w5RBPYq+HyQa3R9utOT/C4FX/cuSaD/wOBAAfoOHGQbzM5NESYCuB6DrjTsc
DGJ+BHRjLOhmA7NlgG49XbODhu0Fcln8fkS8Uq1ewKivf0LatxZpwUV4NI9a
N0Vo7vS9fp5hYNYsAphBRGtGAzOglgjUYpLcozFF9IAaPUf3Ip0DszC7NQhm
z3qD87jIp/zeV6GGHxyO/xuL//sDuM3E/y1UqOH/NgG3dOCWhWQfFTlK0Hgc
I3jCHlx1FGU/jNPJxhgd/I7rvgKWnwK5/5l/z3gKyD3I34Dy7epAx6GP222S
ztaaEru5uqRsqirVwFzdDZXkgvWp0hJ/2HZtBblmTaLcBOY6gbl7V0bJIytM
y19cju/DH74L0j8Bd73A3QBw9y0R5E+w1NHTRX7HH/6JP5xN0xZMMF+3DLwt
/xZM0cQVn+Hj3uMR30Cex80/CcYeFllzNxi7FYxdZ+7Z3JJmEjluJ3LcWTVc
dqfFyN7kJNmfkCpZsVUlO6qOHI1oJMfDmqOkl4Izw0yLYaYlGPBSoopS7GYZ
zLTMPYCkj7clzMy0aNi2xPVI+jLTqh4xVcxlW9QEu8CyszCnr3AXdRF+XxiY
wK141vxjppiZpF3u7t0SlLcEtS5GPU3qzVxwPQOkTuOOyXz372Kyxmr+H9Fm
EpDog/OhzSRq9QFtA0DbEKzT9/C64ba80Vjir9/R+ynyqsne6uBGfDsxY9uh
21qTf5PbahPf6cubOQ0FKl299WpcaraVpmHo5kJvY6GewqB1R9rb35uFm1qF
NfFhadEGWLEesKo55pTIFhZY11pgdUYetSTyVfvuBxYyHD82Bj/2Bz08Az+2
ED+2CnBtAlzpSCYAOwq5PJ4tcmovYtcfj6PVx9DiIzC4bIjloYHiZTPJgdcA
GKxt7yMADI3dA5dPh7HtMpthwrfXlfhttaXi1lpSfUt1qbe5qlywqZJcvCFV
LlufLFetS5IOa+Ol45pYufvvKHlgdZh0sfW731wl8v4KHoFgszeEcyDh4NAF
IiP0OBEI50RANg2QzcGxLTQLVrISm7hqOCD6BhD1BUSfIN0hjjRzXTfkCQCF
Ddh4J4Cyx6Vux+fuJOxLJ+zbTdi3t2qUHEiLl6zkZMlOrCxHY2vIici6ciq8
CfxFaxIbcllKaF4G+fC59cm6SgBN/eyo63zleKsRcyzJ8dClc59mWsbk9im6
TEag8WhFLq48VuZ5NOWake6/VXR/9l5mo6XPrdGmu+V2c8c2ZKMti7QSfdUz
r/RQ7nno8QybvRfqRJ1QqXsWTdf8WwZAf7kY99ROvpMbcFG2kHoV2PWz8oe8
Bpjfw8x8hv/5ClMzlGaNlLViSMh2GpdOtLoPc7CXB9jNTzswPFtp7mYebiPN
1+Mw1vBIdpXHK7B1/lrTZp+fbuv1Fwx82S0eqoVDtf4XfNg9CFpfeiRbTUCX
BuiSLOAiPcDVd8xJ8JdZwN1iAaevZ3h/Beluf1fADUF+wpuNwZtNYhBm4M0W
4s1WArqNgG4XkgnojiOnjjGCWSJ5RHM59hCdE2j2cdzFUVvJIbs3wCNUOvgm
ng03caALwLsXbcVeZVyL5qLF6c3cS2N31pXk7bWkyrYaUmdrVWm8pbK02Jwq
l25KkfYbk+S6DfFy8/oY6bQO5rgWZ2zr3b6Gbr6HfAYA+6wUGYR3+x7vNhLv
NhbvNgk7MB3vNhfgLbZZAmt0xyugW/cTkdlgBH674WMeUfMSXsG2dDWrKzpT
u42Iboc9L2x3G5oN0d1HRHegZrgcrBoj2WlJcjQlVU4kVpOc2NqSF9lATodd
iLq3QpXbRXr2363ipFNl71uqotZVc1x/tnqguTRzLd68hX8Pb2bZ0Xi0AIM0
1xhv5gvyaBEu6iq6P5dZNSmx72Z1w6QR6GTDHpuvvhWft9E9pvIkCn4ERTdF
Y0OdN/MPWLv27MkTY106E5tdgX7fID/gM0ba85LHY30myes89/t4oC9A+ACi
sO8gsb8AF7MFYRvtSKdNe+iJPfTCLvzpNhjwZqzOepuSvhJ4LXcTJgITufoK
hS0toaMVtrrba3TXjZbI8MCl9br1LKFLPXARkdUEYGmRBlxxSXo4kCNhCq56
jjkqvY3aGORmC6RHeH8aeRn5n/2sjwcuZHSZBRcebQEebSUA2wjAdiGZjOpx
JI/orOAwQmSWb6dKcuYYW4CjOgZTPAINO4ynyH4HjL0EvqBgmXiJAyjsPpzc
3itQVsMUo9PrStKu2lJpZw2puaOaNNheWZpuS5NWW2GKW5Lk6s3x0mFTtHTc
GCF3beAJbPXIV3jvvh5nhvQF4l/bgyp+BmfjwNkf4GwGOJu3wFSYXGXX/zeA
r42jwdEP4OhrcNQL6YGSvc2Q0tRtz4Cpx3BgaEK6qdMs+9rTdPxvZlPMRT0e
rWaUHK0aLycqpcRYg2yMn1ZJ1Qpouqdep501sP7Q2k3dtaFrSKMspqZZTC2z
WNF1Ow0rdlhcKaaOeFGUcWGF4gVl/qo/+mu0+6v3KnOTblzPZu6Oc/Nxjtr0
8/3u+QQFEK9Trqqus/mp9UIAJ9RJLRZM1//b4sAw4DRC7nN/G4cyTwROU+UD
HGVPHnugLOKK5XTG3/gxA/JlbpXbdP6fbj3VFkzBRozKWozKaszDcresZYk/
2tLX2SenmG7u7T360+4KnVo33bv2gB0hPSMDGuue9dfc/pmaemoorqoCSIoH
SdEgKVyRVBdpilyq3Nf28l28P4w8hbyEvIN8bP9tMO8/KpLo7knYr79A0wJc
1UrQtBHZBaIykeMgqgA0nTmOwMRPb+N3S9Ry4IYnx+Gy4IbHBuKyvgBSRDSH
XwVScMODcMOsu/g7NzGeV6KfdqN0Rj1J2FNbUnfXlGrp1aTursrSZGeaXLQj
WS7dnijttsXJdVuj5KbN4XLHZpEHkSdtfbW3ee8BmHsjg4n/fgBWv2Dqx/8t
MkUrOMMb5wOppXDGv+ebe7YQjG0FTtt+hWwMQ2jqji+BzofIWzzqC0BIY0SC
r72daeqttqJGTcmrlCqnK1aTM0m1pSSugZRGNkFpm6OjbSwcdJC0tqguq+rq
jc5PvWPph6Z66VLsDxZOvwfBaam9XwMJzWEJlAc0lNCb6PAW2M1SQLgLoTj3
Z3O/QqjIzZwpdffxlqB7pSCw1J9MloVW7rVlCSX04QOhtkxZAN1w3jjKOKY+
EOMBuCbzbbHET8/xnG8QP33g1oueI4MIkH4ANWPAxhRvMn+bbAA6u4D3ASB1
CPgcAT7HIXin3NOMFvMI89wFzcDq9hgLH/PFlUJWCFGrdqcdFkire65MCzHn
Y+orDU+UDHYSwE4M2IlQ7Ohh2hc6HmeVm/j1TuQh5EnkReRtpAfSy8LnB4UO
MrHMQGc+jmgF8NmI7AI+mcgx4FOAFOcih0yrW+CXIHg5ELxTELyTQ0AYBO8Y
BO8oBO8IocphCN4hrPrBW0EPBC8TVTtgCd6+OpK8t6ZUyagmtfZUloa7U6Xp
rgrScmeCtN0RK1dtj5QO28LkNkB6H/KETWF7k58/RL4ksBuE/LBFZBQImoBz
mopTmoVTWgB6luGQ1hBxbbKLbzum2Rr07eQILTlK/HMcd3iCgOlUvSjJrRUv
BdWTpbByZSmuWENKk+pKaWxDKSVg8rlJBW2tlupaptbO0llbnb19xRIITVDQ
ddDBQSiZYIdck0EW2/s9MrdLAmTOC56CpwOLrc/x0OFVncp3kxd1A6xusyuy
U+unUbI8N8ExB3ycMAhsHELhQx1NavHR4V9m9b6UZsQ8bbED10PMbvNvxJwg
b8pknO40rpgVVFN9FWRuna0NsgVnu43n3Yo33AiO12IVVtHSZbamum4+mcEz
TrW2xWjwIy4lHmTtj4IkeEXLK5D3T2lb+krRyXNAomc5RipIalvNv4T3K5Eb
kTuQB5H/Ii8gbyEfIV/aa4fx/quiBCczHSczH6SsACkbkZ0g5QByDKQUIGU2
vasYulZo6VoBhCgfv5uL5c6Br52Cr534FCUkyDgGCToKXzsCX8uGrx26AcjA
17JM8nNUZh1JPFBTUvdXlep7K0ndjIrSZE+StNgdL63TY6Tdrki5dqfIrcg9
yGOEYF3tbqj3+f0LpL9WBAdCvyC/A58/gc1smrYQp7MCyKxd5W1laip7puFA
CGgzQPXeoQhN3fc5zgR/eOB1mgWyD/0XdNPco+bIFjl5DY9F+JaDVchtHC75
9WOksHaSFNVIlZIqVaWsYi0pS6grZVENoEu63tjS6rUenaVla7WytU4lKQl/
zZpDHfE+1vPoVlwNjnQyYoq//JvJmNR5YV2M+ucpdvN93gEQJplQi8VobccS
W9GuiPcC7snl3hP8jSP8LRG/m/g/Iuk//rgnuIRdXzztQLmO8KMjFuI+W7Qm
jhBnOqGLsVOb8KCbwckGvlcXoFZiF5aBkyhr0cdYTvm97RWviNw/rCn5V3pb
iotnnTBx/0YFwpiEeJxHSsBhaOaFZjO2d0w2YyfkAeQJ5HnkTeRDpCcy0EJj
FO+/I9NxIPOBxgqgsQHZiRwAHseKw61mSdlJYk+o1xlU8IylXqehXvlQrzyo
V+4gVAjqdfJ90PEa6IB6HXsUZNyNut2MEO1kQ70OmULhsVk1JDmzilQ+kCa1
9qdIg31JcuHeOGmZES2X7YmQq3bjApG792BLkGfsqTndef+Uz/sh36aLjAQt
vyF/7vQSxpvJFmhYuj20cx/g3TcVBNDMA8PxY98gfUECAD74Lk2CJR55juY+
QdMfMPfkwRTzrubR8Hn5+LzTTSLlTIN4KamTLGU1KklZ5WpSllxTfHF1xRcB
ldFyh3KJ1VIvtFEC/YQlBUoO3rWepre1i9+Zrk0UM/+tifsL7J/QQjRrgsDh
zYW7s3XmtgpiJrMVIzppZ/YK+Nw0IFMHvgT9K3QXPTNAxi6udhcGQ1VqDYUH
E84ohfmnObcI6Q/DGYxr/V7u9ad0jUOhJ0I+/8QEzJRvcBEjbaWo+90yPbNo
7jSA+gfO7zeAO4ZGj7TwCC6wHLwI5M1Xq7EJnq++xHZ/XaSKhUes3SMTcr1V
kyC8rMEuSDfkDeR95AtkgMXGLx42aNd88LEC2QBGdiIHbCmYPFxHMeTKlydS
eoif0cQiO4V2BoZ1+nfcB7Y4H63Lg2HlwrBOQfZPPm807hgh31Hi5qPXG15z
xCy+RmXXkIRDVST1YKpUy0qWupmJ0vhArDTfHyWt94VL+70YKqzbHciDyJP7
rEW6XuaAi8W0YhXeYj2eYivkaredYcuEVGXNQiaj+2OAos6mDzaTe0c+pgU4
tOOv0LqutBT+l2/xcPpGnCGRU2FrpFmYFDeJkdKGieKrU1F81SqJL7Wq+BLB
Q0wdccIUD82sImvgqCRYybAX6pfHQy97rfIF3Xam6ba6FU1z+Gbbf1tqQaHZ
RBqraPi/zf6beo0MCw71Hvu1FpIc8OaES9zC4NtxDVtwJhvCjYk4V6lD1Vax
GLj5fBgwruxC4HwL4fQ98qM85n4yBqIzAf2fjP5Px2nMwf0thBwtA+WrxWSv
rMFZrALZy3mARTZ/fibw/RNIT6Kl46FWo2n5SHdJ2sztBZ9V5q3jPCdnx+vB
M18ar9f3cv+ulMg4R8KSnbOXcIJnlINSEOQ15D3kc6Q/8p2FxQTepyHzgMUK
ZAOw2Gn3jR7GZZwCEoUKCbx22VHMEEyqGLpSvMJcU4TyFcKkTn8PNKAn+Rji
3O74jpdRvKfxHQ+hhHciKN2J9rzDNo41cm+NO1JVKhxOlcrZFaTmoQSpfzBG
LsyKlIszw+TyTLQfuR25P9NjRJfIh/z8JW5r0H4CDuRX4DIJ+MxCFtO0VeBl
A75jG+q024b3h3Bv2YTu2SD4MCH7EZp7hJD9KC7uOOp6sgeP+Q7NBisFuLnC
x+2j3Y504FHbIa2wCM0jxXdBnPjqJ4mvZoo4VSqJk1JVnHj4baT6cg0IW1g9
1kBRq3trHP+QxUo3FysBR6HTnjpno3M3GoTqXM5v1oH8Zf+OLgRqtt2yQIKt
+pGNVhQ6m12IbLETDLoppgRafwbdLIDS5NppgVA1wiLOj5JbQvzTBYFJroZo
8aPuT7+CjvHo8CTQ8SfomAk65oGOxaBjpUXHCtq6FIgvAr1zgbauGE3FoU3E
jY3De/yKWxuBexsGKRxiV5nKrbe4yPDqdd5lO1c7WQMNr46jzmSl2iKLEeo1
EpEqjpkT9mayrnJMOK4zWTonHLzgoiucbpaOhcd43v9UeCDLrZOsDyGniQdB
x3FijHxijOJ8+h1GVYpqlqJ6pfZslhIIfBFU5cxPqNXXqFdPrv8AVYO850BT
TmFgTt6DEJafgrifupSfzekK0cerSeKxNEk9mizVjsRLncMx0ig7QpofBOSH
Aoh4jJ+72goM7/H+Of/ePwuAg5RfkAk06S/eFyErQcsGULJdN3QTh2TZNdmj
xBxHFwDM6WaZ6PgvNANAnxpIU7+kyfi5grd5DEBdDEJKjF2U0o4Ivq6MEKms
ZZg4zaPFaRwnTl20u1qyOKkVxUkAJVHqyjVG0GjwIqvZGiXe4g6meZYEMfFG
dzvwahrVRGoe5Q/Wm+h0jcbyXtwREYSQJS4MlmoOqbthcLkrBhJm5vQMprsA
Bc0V92CMUAW1/gERt5aLJUwLesplEJwO9rc68ou8gc/7CAD0oZXfgOOf+dbf
cRgzaOEi96rFeL0FAHYucZImuU3FYUzEYYyD642C/w2nhZo9OwQy1d/CwVse
eY2neR7xtl3YovQeAtzQQuthhTtSOYJw2xYRFz3juPxOKY0t/hMUcntzujox
pXO6vR0zp/uT/RtTAghYz0db8RPpJSbiPoKPyMFHFCoSclEHVLEM4lJmT8Ir
nYnaQJ+KfkaNvuU6SPtpSEo+hjfvRdSMqDsHgpJL1J1L1J17OWJsacSpGhJ3
srIkn0iRyscTpObRGKl/JNyCvrVcBUG+CbkLeRh5GnnZkGb59DDRXjZ4pjkj
kPFazYv3BchKfl4POrbpHq89Jv1VX5oCdBL3dnIeCCAkyiECz6XZ+d+BggE0
HRAXfcjjwPxKX+IR7WmdPkIj3y1o9rUI7M9B0Z0L0Ml6GO0aKFEampkEMqI1
CQ1kuPMijSwa2gYCgbssvXrCWj3lBcqbNbTUELOPdRvfBgHj1wAeplm29ZeL
hxnu7K9dAHKx8CcaNRksTETDfjO92CqE1ocqQWmRcNv5fION2XphmAdIJ7T/
YfNUNXBtH/JlvYkRvqGBPxMz/I76/4WnWOBeMQ+PNRtvNgNuNxUvMREvMQ4v
MQovMRwv8T1BzxA4VH8a3stC4l0e5g3kBcQmVXswOCucAA71gENVoJBMpB1t
j/CUio7JqQ4OJ3STg24cvD9EqK0zUIMcnac1X1NPZDa/LkHWIluAwy5atg84
HAIOJ4BDPpFESQ69DnXyYXl9cBKfjWVLp2BN4e3FcJEi9OrM50DiPXSMGDYP
K5v/CIJO5RO/FhBuFxCS5ptwOya3iiTlpHo+oPExkZZIO6QDcgfyIPIk8qKd
pO/Be29aMRhk/IiMRaYic/lsBbIOlGzFb+wBEVl78QU2Qs8l/smFQeTptBmR
9+nxIIAYqGgoLe/PU3zBE+HSnDeRF5AnzX3OXcjNFg2XKRrwD42R2ihWJaQC
qIhBocLUXqcGJby0tY79JkuBdRFYQ0WdTdFZFZ111Dmpj62P0JmXAa6fMEj6
0UJitP/MNFNicLwr5hr1I7+iRro1Ufcq/KgfX2qj52C1VtHfbb7l7efTfC9+
7gsv+Zomf0dzvWJg0/jaGcBupj3kaCaBz3RY2hTZip7vpHF70PP9NOQgen6E
B9HSA7mg5bR8ak8lfEt8poeucEPmsxbF0W83xQupjo6nIDFIRKzVcy8+CM44
0RQvbyPPc8jrIULmUfZ9Bu+LkL+RTT4TMu+F/RxEyY/pojhKXoSSOzAgB5rh
EKz6TGqSlOFpSzGgJSNQF0aoCMJ9BjpRiLqcJmw+/QRC2FwIlSi8Drks0ip1
Sm4FqXIqXmqdjJIGJ8OkBX/9cuR65DbkPqQL0s0WvfhAizeeEBl4XGQY8ivy
B7/PRpYha/l9Kwq/G9OfiaIfMwX/pEAXH2nt6cW0bLaJaErgbKXDaT2eykdU
4wBN533kDaPkrhI9iNxplfyaICVvhNRSJY/wVwdyXMWuJZoebxSwjR08nV7S
+Q+dItRNWjqV/rwlQu9YRe8RWAnvZ02/ciKNsHX2cZhXWUGT20tlMBx6EFx6
gPtpm3/X6U4hdPrCgE5HY3Pv5gu7uL/9LO8DrJ7o7EDv3M8/ZB3GfBMfbUeN
083URQ28Vqk9edtHNOvzrz67K2iobAvNqrd5HKlIgprmOKtyytnLrz5rHsfd
jslKfNYxWYnvOt5+fvmWX0civ9k/sYD3VchGNHY7GpuBxmbB14/C13NhKcVo
rXMKwfA5hI0Obt9ZZrX2D2QUOoDLL2H8i4lqz/zPEOAzuPsiotqiO/wMRIou
5nNTJDemoLIk5adIWl6CVM+JkXo5EXJhjjkM7BqI0S1IZ+RR5FnkVVsx4jP+
/SuaMxT5BZmYY3akL+Hf1/K+BfVOx4ZnwmiOosJ5JudOzmzh64lwi1Hfklk0
GfUtHUvzAZwP9XXKq+/zQeqrNhrv4lztqq+XjO1UihSnopIViEoc9D28iiUr
Da32trbu9QZDPt2FH4+xPONqcEBl/2eZi5prnQXUoLdPuGu3I+2f6+1+7JOe
7gdt/0Fl7bT+HX4q3jSIdnxqNwUM9GhHDH7gMxh5P2z9t9j8kRji8cQPfxKs
zhMvW2OEezJFBuA5AGgO0Zqj3HUSwpILBM1qxXN2h8GDbtlfrdpfFryPUhf4
XHhXQqF1Nj8ORY6qYDXR20iplNtb5fLWgp8KKLAy7j5BjHucvV1jzxXIBmQb
iry7OLAUrMFnKeKgJQ4GzsGoOUR1jp3Sd+CvPoxZGQFo2SCuhbsW462LCUBL
nvNX5ZUSeGsJWlBMAFp0gbEnZ6pIwulUqViQJFVyY6V2XpQ0zguTlmCnPXIj
cifyEPKUFtE1G3DlE977gK1vkJH8PAH5q8Bk3v+NbM6zm1ywyUchHrmmrJSU
QDiKaXoxsXMJylw6y1CkMprvQ5kdT5k/s8rMIzjdAsrsFYhy2mB/WyBNsIgN
0OLaSeJURZNT+Lc47HAYGu0Gow2s+ilJ1GUZHVANSHV6876AAmukpdPVutKp
ExG6utNdFfj9wDXvog/d0Y130JG3cdnuUXjtrG4GKzI/Wx2+63xm1z7JF/aE
K/MlF6KmnyC9UeLBqPRPqPQY/puM2Z3lXjFGVvL5WljEJvek5MGw6P6w6F6w
6E9h0R/KcbCYg2fJc69/Eh/xMGz6HpqsB1HoEYehZuAragIr0WNsMs9Syeqk
R5m9fcG3WzW+83yM2WQ2TLa3L+N9nY0g96DSB6HNJ1Dr05AdB9V21DajHw4h
mkNY5hBFOnaboEMU6fxsjJuvDzpCFFlmjx4s+y+/E0WW3o4OXY8QRRYTRRbV
c/859kyaVCisIJXy46VmQbQ0OB0uzUFPW+Q65DYQdT/yBPIC8pY97rWX1tnS
Cj/8Pg75kybOR1Yhm/h9Fyq+H5U+TJNzUOliW0SvZK+dDlqL0PxS6EXZFINI
Z6RV6X5Wpd/zVLiRODyCcwfyH+QqjSYxyK3Qs2a47EYJ4tSpYFUaahFb0UaT
1ZF6VqVbWR59tUsxzGedrKG+31INTbDUsKmb1e2X7HUvoAjPoxDd0GeV59yh
Lb/XL8ga3x1Ck5va/+urJwzHe/2EHg6XL5GByPdo8yi0diLabCY8f5ZlXLOa
f1mPBm+Rr2QHGrwbDd7HnQfR4CPEfCdosDlTS7di3gfgOtHQG2n01W4alZkr
16ULZRdVYuigREcSU9DiyrS0hlVDJcRtvNnDOv8+Ya6EeKK9dzHva9QiI3uh
GNnIKdS5CHV2UGWnwNILdMFBDxwiP8dGfg464BD5OUR+zgDz9RehFgR+Zc8g
BH5luObSG5ErUaNWqJQhjtHFlSWhKEUqnk6U6oWxUu9MpFyAFrYGOFchNyOd
tYoy0hV53dbL+IL3gbTqB2QMMgWZgyy3iRM70OJ9aHE2vXoKplFsSXUZbKNs
HwKlLyMS9EGQfESCPiJB33hvjbayOO8ag+w+3RMS0OAblRxjLK9Ag1sT7TVH
gxsnosFIFQxzMpoco5MeSpKrInWsFjb3Fw82RPl6G/F0tFHhPZZyPOpGh/oy
WyceRXsfRREeQSEe1o/Lb9oJUtzOIRS3WZAJ7sUVg/D95rdIosShyEgU9zf+
/6c32fCdLIcfr8HamqOudIP7hxCK7hCKNyAUL0EoutrDOh8gprsLfb2Z5l1L
My+nyR6BqKeb3yAOVSAOKRUhEVolJc2u99QKcAcvBTM4mfkTx+wU8FiwrutM
t6qqLHgzsgfJRnKREtTVweo6Sh40djtmY7cdCObKWeQtv4vTG/nQRPg+2KOP
SMB3L/pwK0J0X9oGAemlZujiilMl+QycoSheahdHS+OScLmYb7oC6YDcgTwE
SJ5CXkb+Zxdfv+L9O2QUMhGZiSxB1iLbUdEMVPQQKppjuXuZ5Rvu1MoBG2yj
QWilMwL5BukbsK3KfV3N+m9Q6Kbc91q0sx1U4VK0s4XaV6Q2tKEydjYJidZ5
6UQ3hPNyit2Y300BVDur6YDtbGCjhPhmN6QLcIM73OBHpQwzVWqMYSAh3+ri
Pf4PmgfPJ/SWh9yffkCrzIhUQQUnI2ZKb4gsgbSulD54/s/x/B/JNvQu3a0v
/LJkobyH5b82UbMznr8j+qdHTbVD/y6hUU3DzKbL2rG+SM8MVrd6c5ETWGL3
5sTKZ2X1CiKsYx2dIjb3LreEdReShZxEipBSRtwX7OExMM4ejb7C/fpG8OX8
inyP9EcIvhyCLwcH5TzF7YyeD9vi62BXHjCdZYbLRZemSVJJslQqSZCapbHS
oCxSmmGU2yDXovEdkXv5uQvSjZa8aUuW9OZ9CDIC+a3U5JUtQFYjW5E9drYj
l5afQUqKAnlPB2jVTktRsI7OXATr6KiPH271sF8gBnN10M6TOQ9JYJ7s+ghx
2qseojPN0cWGSC2kEpIU49W+cQvGaX6QayTrWcvR1IYhrW1IcqX9d/WGV7sJ
vtfQ4DKxdUkkdA67ydjV+aXQVjHS6uQwtG0Y3nkYWhhl29XXlpHrgd9+TzZD
knfIK/jtbrJfnnLrg5kZ+dvlFIQkD5Ne4A/AqkSVSXJsqcTGl0pUSpmEV/WZ
6F9fXvTvbZEK9s/ehJXmP3lpgZOQWfZenZXdjuxHjiEF/N1ChrIIo1eiixSq
gEf8OVEOkYezwA7Rb9aMDEZ6WQOoEUdX5FGksxk2H0GTrzV/ygRNEWWVJb6s
oqSWJUl1X5zUc6LkAsDsrrbw7Tcid6J8DyNPo1ivlJmadPoawPsPuquSa6Yi
c22Wik657eb9YKnHEGu6MHKbmWsZxgFrutdZLZxjWcbYIC3U4OkL5AN774sG
T87DVgtvIWi6Xq0h0hpphjQI96cBORXw4bG8h+lUU7yrip6ZUr9tCNcF5jON
jy5Sxbso3K9uEUHm7v4QStYikIQRRbzeH+P2LTICVRuHTJYK7r/Vh9nmoe6F
0oTQpW5YiVSLKJaK0cWSEFcssSklEl21TCLq+Ey1FH1pebHghS4vA/udcp7z
53KeczXvW5AM5LBaMYYhByqVV2BHglF3DiHpyAbEHt3oN2Hf2W5XE/aO7XJ1
QPcjtyHXibtU5GvOez331lgnTZKdZKniJEgtJ0Yaoj3KU91N7zzSbch9NOMJ
5AXkLVsfuA/v3yI/+0xq7EzHY2c1XeNbgJzh82LuKfO056R1/PuDtIdHcGZb
7RlnQfCttcQ9DRDO0Z67kY5IB09D48xcfx3UoBqSioYkoD1RSJgK/x7mHR8e
bSeXarnik9pILf2Ha43RQUXs0cQPhFCaiwJKE4mSDIawDUN1dNLnN8+lfCrz
IGRLCB5W4hjXQsg2Qsi2yRMQtYchavfY7eAdMFLtIWqtCS6aSj6aVig1ws9I
WmShJMedIYAolriq6FedUolsbGEbPKPuBhB0clefmVH/wDEJmhoD68aYMdZD
zrX6tZH3dOSg6lepaW5js2pUBLJ9Gj9gNx0YuDursyrIQI23yP4a+dL4Fuc1
5FnkEYtoZd/tkZaICSAinUqS4KRIqpMo1ZxYzGyEOzelGdhX0eqbkLuRR5Bn
bdFMNbPGztd2Z1UVFVuRfR4qkHzr30usOjrepJSnXgQQLq9cEkK9hoZQL3X2
TyOPeTMgFQLLSUT1DjGR0xQVa4h61Ua9qiIV+TmBzyKRcKMTTkScO099lV+X
TMFVjR3O0aWLA16uKTo0Ah0aCwMzx7t8JLPlXVkgb8pSmNVKFGgtzGojgcZW
uRdFugNFMlp7CAOlh3aeYCxzUeUCqRJRIGlxhZKSghJVKZLYmiUSWQ8UNrFK
5K7E03V3IA8iTyIv+Qy193JShjqBLEZdklnszXs2wrtBknN0AkXJCUTFybdd
nyVmAsVD9izbvaNstysz+cQaJ2UlTyD3BRknXdQIGKcYp6JUcJKkEppTk57S
fcwtPJZoi5U/4B2KUM+/L8xrueebl1pyuBs5YIOSE1aJipUkBitRvvVwioFt
VomWWg831eJgpDW1AwwW3HvfCSRa/deaqc4BM+VcqQ+HnlyMzlyojk5XbRCv
QCtWKoFLYpFoPo4zRZbb+9XIFBTUbCRL29019Cg7IL3EFOf4QKbLOyjOq7IQ
KrQUKrQSKrQW97eRMHCb3GproV2JBWqN4jQlVKyP4lRDcdIiC6QCShOffEai
KxVJeHUGuT5K09wqzTV00y3IPT5jdbTI7Ru+wMzb1443kexNLMkm2+tqcI4j
eeoV1CN4oaB6BF0Q2StmxkItznzbowrXn5BBFqqhLM5NtmsVnk2QmsYdOBUk
xYnDqUX5E1Bae1F2fXdFJ5jT6WuQE5gF1wwsz/Bss3zuEHLUGp88a3x89l6n
qJzebJcAM1J+/ifCADm/iJmDGeT5rQSzRvJiwPi4rvoO+2TXhRl2dGmYm93h
j/GIPpw65mmd6qpI7l+7wq8spq6WzrqdY3O81At9fSVfu+9exP8W2qNFX59F
e7pAsB+SVQRx6yDRm+QmmzF7OYHexWhPY7SnNtpTSU5KcmSuxMflS1QSpiCV
zqhVbA7Ba2k1Rw8W6GRNzVPIyz5Nf/NbE8/CLLL9ud3i9AiSgxTavnb7WY28
+qhgBqpG3qacuH2s/KFvkKUpT4OuF5Mx0wIxp+dE4aMSQWCqE+1piTfX7O2E
CCZx57M0y4IszUH7BGppdArktLorT2PoGHc6JFhr9Gk0qlthMOBM90Ym0YQF
+kT27FznbeQV5Dn7ZA9Zc3NbmHphP4VuZ03qJcjF4q5TuP/W1s+PTUkandY6
R1UuCVrr+hJV+ZT4q4eMMR9UksfQkvvRkjsJw25FS26wRZYvlXQ40F56MFOq
S7akoCUJkSckOi5HIlLysSuFElafoWxWYiJlfd1S5uV5njWR75EYncif45gw
X1+7g6y4Mk1lmeqHypTFqB/Sifw94p8FdWyVXDc++THIpmgmSXCYpcxS3b7O
gre2LKS+VKav6jhhcqFz/gDRy2gob0ymWWPyd5AxOWzNYY5VC3emwlMNn1UP
ndDVJTadJUv3VIGIfAa/QxGc0dY8emTZc0Td7SO9IOUYTZQxmbcjmjamk/3X
2X9r4zcdptCDFsw6Rx9aByaKIvE0tmA/r+dlSiUPy52CGYVzdsijWa4jHLNk
riHPQtst+lK8H7NIKUAxCnW/ts4Mg/USusC3VwKThYvL4T2YWXgzNzrf8YDp
tAZW+82kTSTRTrwTLxVxDjUY2EY808UMruLd2/nkBW3BT+DhfdR58J5tn+CU
Y5iFWi1lF05gYI2OJ5j1f1XN1cgi8zBuDKfqqeTie6uifSSQVPS2v7+Numow
1EWMK9QJRlNOo7V/JM0maU1lsozhskDo0tbd4fykPXaus8yV22QR8cgyiKtZ
ym0OmhvKdqkBmlNBcxxojok5JFEphyWy2jEJr3dSwjTR4BI7L3oTNv9ubP6j
PpMuEbygoRk+3wd13WzbdR6UXVbPfTlnTHZPAQNfqAtbGusqpdT+2vQPUP7S
QvmNcM+KOPcgt4pJlWmD6ISLmTGOhlEmwbSqONHuhIlum3bjEcckfXio9vKU
Pvg/ovqoNUg5nlGyg+9NUDhuUKGTkSethdLH2hKkBrBll2PqZNAo+3jfuPD2
5sKct8SQoJesRWjpH2+zVVFzIs5BrsnKiXM/815PQhkfQgHuRgE6QhlvINZo
D2X01n/rh22SamHbJCVsl8SEZUhkzH6JSM6SsKoMSj1Q2ewEdsOsismtheY0
zS4ldqLTd+50bflu09d+awhPajxRaCLR05rYrobP44VeKKeon+GhPtKP7Jet
nVMX6C1iekEoBsmp7l4Z6yJew4hoaUiHtWDQNZT29nN5Hv7fEK+xhC4l70Qy
LeJPWkLljbHbQjv47nhrXH3IeiQdb53405hCuSFe3pnoqrM/EBgiJrTo4zop
909f7B9ms2CkWxPOGeZQZ1x5e3s7yx946WlyvcySdjIP5272pdeTNVI1bKNU
CNsq0Qx1eAyNTKbbq2N0G9Loixjqy81iktzO8DyAYX6SoXqR4X4HzH/CcPfz
BaiQLljqZNAS21H60hn5E7pgyfV50P7TSuJ0Rt6bStzl4jswpurXvIkGnQlV
ktzN2jsNFzvK2eFiXWvZFdjxADsWd60zoRHSEsuu0a63kKU7MDzzpO66p22i
pgyUYxqmOTHneGlfkFE3Qx5jqGnwMGvoqNR0hee5o7xhNhb+R2Pl3TG/yM/G
zBYBTQEJ7X1D7R4wJKUuF8zxg7tq2GpGdL1EhqNuMbjNVExNLUa1Cb3dija2
twnrd9LmhxiNp7HirzAy3VHXz4rs6hgs5Fff2eRro31udXY6O5nLtSXFfqJ0
lnt27Dm1bqisDEWXxnThVonrMxKYCPaCOGWpgSAu1kl0g7jqTow04CmbgVgl
X1pjyUsn7eKYHZjBCSCmLYluDpM34XXICRCuvHLDaYfSjGSkWUzXFUpdKdof
iLnWWffj2WmN6f4w/9zcD05DmTWr0vrcUKMWFQTM+2S43CJj7V6qNL4JN1cR
5akJJBqjSK32M1hZdrBgtg9jHZ+hea8Cn/eA4udAcQCDMKzElGubUmY21630
Np83Msy4VK0qFrUMJShTHrXRKKe6U30Wd6BGiDE+ugLbQ0yU4c3SnCd2csza
UAKxUyUGqzbmtTF9cTGP3zbIvAbltxtYpZyVpDPHCXApb7yC3Wm+cw5RdsfL
P6NrBssYEiVWa5DlZnSa+kfnMjM6z4QYk5YhPosNin/+I6Mwm+O5brK3BpEW
sdCPt4ru/xuLrLJTSZ5j00myvHzj1M54VDZDAlNLS8phRacHBopZOPGyzsqt
AdngRJwLkVqmB8BKBWv5amFKtHStly/l1dEtv1NZX0rKglex1LvpVpsdjplu
zbbjoI9yymKn0P83o43Z82bN1Gcrq8kw/X6Bv99NYpo8e74p0HKfJQTijLZE
khP8vZwcPU9i4rAuiShuVYa4wQaMJxbuip2MkN1A8DBgeQYL9yq9/R5N6knP
D8LC/ZhvjnGZChjm0+xVplSr7AMwx9WS8Xuh7q3LMTtP3UdJlwDvnI9ME5ec
uSPlJVN5QYfyEOXkysWVh+isn8bfdjLcWrVIQBKvCxP6quQ/PKqTxYgatOec
AHv26up/V8676lSJTk9ttoDJNKDxFiZOOgEaesae1dXYPx4mRUWTDEMvb5T7
LDkQN7SQhLjZEpm0gLZDYOrSL83Q4sswJtfZzX33Mw5PAcWX0fTujMNnjEN/
xuF7xuFX+nYyYzGHsVhuk90yGIujxYb7n+bzklMmDcg/keahRI3uZHETmdz+
V36gK6UfidkM8nw5Q3UDcoWxgZUlBoWqCBXwzjQILnXhHdylexM0ktdEb29z
pr6CV+p0anCuNVamS2LcPJcMCxgNY93VFeSYz17TyN/zZhlcd1lZ/xCqv9MC
+h8l4cmzcQZYmsb0dyv6u/0a/5ly8iiGvBue/S366mP6uy/9/S39/Qv6OxHO
Nou+XGYTvvfgLI7Qx6d0mxCfn8YZnNmLvtPHpevpc3UGjKtLSDXncZTt5wFB
1ugN61Qig3Tb9dhe8lQsipJK42shF9DfrZDgw5a8syOUgukmWC+XSF9DApRr
uvUJqubqx9fQlWvKTIJEoEvdbrvRdOnz58siKPdZFf2/qSYRC9vHDL8LyHvS
EYMzzZ69CSjfDDpw8XEv/0YO0Wcn0N0c+jZPC8ilm0T4EnSzzBB548CrSWCK
Wi32vUG6GNxfWG3H+Iw4mE0llKM20phOu4gOC95UrzsQgurfRVu1GFJiXP4I
ZDQyvth2TEO/rpkd1Vob8TzZkmd/ViPI20k13NEFGLu2s83ETk2zo7L0D54Z
/JX9aHVDI5SPxUyyenGYPrcG3x0tWbgi5HPHQxRS3RmYSNhdhDS37O7KIO+i
p18+xag/x6i/yEO+ykO+VWRUsIH/Oc0eKU0pPeeZQlUrqRPgzIxZt2UibxN+
fwq9GwBx+HGbKQgzM8N/KLHsRyGyUY4jjPoxrjlJ+JaDRcojfDtNJxWCljOg
pWiYeGkzUkyvFNMrxfRKCVy3lF4p62yS2HzXiVlTvNh6Bu2VVKtBsdLKFyaX
+8xyy394+lt4+tt5+rt5+ntPm86p7396k9atG9XKbRYOfmarFEZ15COeuS/P
/B3aOxbvNm1r4Fm34kl3odl76Y9MrM0h6O5hLO/RqSAAz3fyFywIcUvu1/5w
VfLwfvm2mMHpx7ziRlJYVYJfiQWRklYQITUKwqVuXpjUPxluniUwkveaZ3kl
xBOEqmjmwruS1/Ks10xt4Sx8cCa9nUmcmHmHKdyYeS2CHh5ohTQ1IApYELM0
q7n253xFoxCfuSzSVeIAszQrLbqLKnTfl/vsBf+NXcyNr4e4KFSRw67+G58y
N77hH/dQlz/lv9z4et1LcM5FdUN81sV/ozEfuh/4nItC1d9+zN+rZhR1U9k5
F9UK8dlD/m80faH7eOyThbr8Pv/lpmVaD+aci6qH+Oxu/43mDt3xds5FoU7F
6OS/8UNz4/shLgp1oE1Hf5d8Ym78wP9koS6/yf89n5vLPwpxUaUQn93gv7GX
ubFHiItCnUt3jf/GfubGj0NclBris8Dq9EBz4yf+Jwt1eVv/5UPM5Z+FuCjU
+bSX+nvwO3Pj5yEuCnX2e2By9Adz4xchLgp1AHUgoh9hbuzpf7JQlwdCnVHm
8l4hLgp11ljAW481N/YOcVGoEyLq+m+cYG7sE+KiUAW6a/n78g9zY98QF4Uq
RlzN/41TzY39/F0S6vJK/sv/Mpf3D3FRqKpJKf4bZ5sbB4S4KFTZjET/jfPN
jQNDXBSqykCcv0sWmxsH+Z8s1OVR/u9ZZi4fXO4ifY/wX7TKXOSqvLvJcK35
QML+HyeYCU4=\
\>"]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"x_", ",", "y_"}], "]"}], ":=", "\n", "   ", 
    RowBox[{"Which", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"x", "+", 
         RowBox[{"I", " ", "y"}]}], "]"}], " ", ">", " ", "1.1"}], ",", " ", 
      "Indeterminate", ",", "\n", "\t\t", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"x", "+", 
         RowBox[{"I", " ", "y"}]}], "]"}], " ", ">", " ", "0.8"}], ",", " ", 
      "0", ",", "\n", "\t\t", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"x", "+", 
         RowBox[{"I", " ", "y"}]}], "]"}], " ", ">", " ", "0.5"}], ",", " ", 
      "ComplexInfinity", ",", "\n", "\t\t", "True", ",", " ", 
      RowBox[{"DirectedInfinity", "[", 
       RowBox[{"x", "+", 
        RowBox[{"I", " ", "y"}]}], "]"}]}], "]"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{"QComplexDensityPlot", "[", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"x", ",", "y"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"Compiled", "\[Rule]", "False"}], ",", "\n", "    ", 
   RowBox[{"QLightnessRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{".2", ",", ".8"}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.3926441392078257`*^9, 3.3926441440447807`*^9}, {
  3.392644219563371*^9, 3.392644222477562*^9}, {3.3926446711026525`*^9, 
  3.3926446918725185`*^9}, {3.3926447610720224`*^9, 3.392644812125434*^9}, {
  3.392700968083736*^9, 3.392700969836256*^9}}],

Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJzt1U9EBGEcxvEnXRIRka1TXZLokCUdOyYSRdJpdViJ/hDp2DGRDpF02lMS
EZGOe1wREUmnOSXRIZGO7dwer9+wz7wzdmbtMOtzmff9vV8vO7y6tbDZCaBQ
fwfqb+jwKYc/Hck6fIportM4V96bqG73iecs92nV2Zq1bxYaZmH9VuqW1Dpx
XU1hzSTP6POt4ivyDfkedqsa+Yn84jGD79lVK/NUyBfka/Id7FYP5GfyGzkQ
53Ht0yHKygyn5HPY3S7Jt7BbPZJfYfd5J3+Kc7pWm0RZ2feYfEI+g92N71iV
zHcpIH+Qv8jf4pyu1SZRVvY9IB+Sj2A3rMBuFcBu8kP+Jf+Jc7pWm0RZ2Xff
w9Oe581bqz3yLnmHvEEuwW41RO4j95C7yV3inK7VJlFW9t2G3WQNdp9F2K3G
YXcrwG7YK87pWm0SZWXfdXIZdp9l8hzsVkXyKOxug+R+cU7XapNGrMxQIq+Q
+S7Nwm41SeY7NgK7mzqbb4dGHHe2JfI8eQZ2qynyBHnMYwbXPmf3+TYvTuqM
6jqNrJkFp32utNfPe58s/Z+2Z8uW83LPm+W45/0HsoD5Tg==
     "], {{-1, -1}, {1, 1}}, {1, 256},
     ColorFunction->Hue], 
    {GrayLevel[0], LineBox[{{-1, -1}, {-1, 1}}], 
     LineBox[NCache[{{Rational[-23, 25], -1}, {
        Rational[-23, 25], 1}}, {{-0.92, -1}, {-0.92, 1}}]], 
     LineBox[NCache[{{Rational[-21, 25], -1}, {
        Rational[-21, 25], 1}}, {{-0.84, -1}, {-0.84, 1}}]], 
     LineBox[NCache[{{Rational[-19, 25], -1}, {
        Rational[-19, 25], 1}}, {{-0.76, -1}, {-0.76, 1}}]], 
     LineBox[NCache[{{Rational[-17, 25], -1}, {
        Rational[-17, 25], 1}}, {{-0.68, -1}, {-0.68, 1}}]], 
     LineBox[NCache[{{Rational[-3, 5], -1}, {
        Rational[-3, 5], 1}}, {{-0.6, -1}, {-0.6, 1}}]], 
     LineBox[NCache[{{Rational[-13, 25], -1}, {
        Rational[-13, 25], 1}}, {{-0.52, -1}, {-0.52, 1}}]], 
     LineBox[NCache[{{Rational[-11, 25], -1}, {
        Rational[-11, 25], 1}}, {{-0.44, -1}, {-0.44, 1}}]], 
     LineBox[NCache[{{Rational[-9, 25], -1}, {
        Rational[-9, 25], 1}}, {{-0.36, -1}, {-0.36, 1}}]], 
     LineBox[NCache[{{Rational[-7, 25], -1}, {
        Rational[-7, 25], 1}}, {{-0.28, -1}, {-0.28, 1}}]], 
     LineBox[NCache[{{Rational[-1, 5], -1}, {
        Rational[-1, 5], 1}}, {{-0.2, -1}, {-0.2, 1}}]], 
     LineBox[NCache[{{Rational[-3, 25], -1}, {
        Rational[-3, 25], 1}}, {{-0.12, -1}, {-0.12, 1}}]], 
     LineBox[NCache[{{Rational[-1, 25], -1}, {
        Rational[-1, 25], 1}}, {{-0.04, -1}, {-0.04, 1}}]], 
     LineBox[NCache[{{Rational[1, 25], -1}, {Rational[1, 25], 1}}, {{
        0.04, -1}, {0.04, 1}}]], 
     LineBox[NCache[{{Rational[3, 25], -1}, {Rational[3, 25], 1}}, {{
        0.12, -1}, {0.12, 1}}]], 
     LineBox[NCache[{{Rational[1, 5], -1}, {Rational[1, 5], 1}}, {{0.2, -1}, {
        0.2, 1}}]], 
     LineBox[NCache[{{Rational[7, 25], -1}, {Rational[7, 25], 1}}, {{
        0.28, -1}, {0.28, 1}}]], 
     LineBox[NCache[{{Rational[9, 25], -1}, {Rational[9, 25], 1}}, {{
        0.36, -1}, {0.36, 1}}]], 
     LineBox[NCache[{{Rational[11, 25], -1}, {Rational[11, 25], 1}}, {{
        0.44, -1}, {0.44, 1}}]], 
     LineBox[NCache[{{Rational[13, 25], -1}, {Rational[13, 25], 1}}, {{
        0.52, -1}, {0.52, 1}}]], 
     LineBox[NCache[{{Rational[3, 5], -1}, {Rational[3, 5], 1}}, {{0.6, -1}, {
        0.6, 1}}]], 
     LineBox[NCache[{{Rational[17, 25], -1}, {Rational[17, 25], 1}}, {{
        0.68, -1}, {0.68, 1}}]], 
     LineBox[NCache[{{Rational[19, 25], -1}, {Rational[19, 25], 1}}, {{
        0.76, -1}, {0.76, 1}}]], 
     LineBox[NCache[{{Rational[21, 25], -1}, {Rational[21, 25], 1}}, {{
        0.84, -1}, {0.84, 1}}]], 
     LineBox[NCache[{{Rational[23, 25], -1}, {Rational[23, 25], 1}}, {{
        0.92, -1}, {0.92, 1}}]], LineBox[{{1, -1}, {1, 1}}], 
     LineBox[{{-1, -1}, {1, -1}}], 
     LineBox[NCache[{{-1, Rational[-11, 12]}, {
        1, Rational[-11, 12]}}, {{-1, -0.9166666666666666}, {
        1, -0.9166666666666666}}]], 
     LineBox[NCache[{{-1, Rational[-5, 6]}, {
        1, Rational[-5, 6]}}, {{-1, -0.8333333333333334}, {
        1, -0.8333333333333334}}]], 
     LineBox[NCache[{{-1, Rational[-3, 4]}, {
        1, Rational[-3, 4]}}, {{-1, -0.75}, {1, -0.75}}]], 
     LineBox[NCache[{{-1, Rational[-2, 3]}, {
        1, Rational[-2, 3]}}, {{-1, -0.6666666666666666}, {
        1, -0.6666666666666666}}]], 
     LineBox[NCache[{{-1, Rational[-7, 12]}, {
        1, Rational[-7, 12]}}, {{-1, -0.5833333333333334}, {
        1, -0.5833333333333334}}]], 
     LineBox[NCache[{{-1, Rational[-1, 2]}, {
        1, Rational[-1, 2]}}, {{-1, -0.5}, {1, -0.5}}]], 
     LineBox[NCache[{{-1, Rational[-5, 12]}, {
        1, Rational[-5, 12]}}, {{-1, -0.4166666666666667}, {
        1, -0.4166666666666667}}]], 
     LineBox[NCache[{{-1, Rational[-1, 3]}, {
        1, Rational[-1, 3]}}, {{-1, -0.3333333333333333}, {
        1, -0.3333333333333333}}]], 
     LineBox[NCache[{{-1, Rational[-1, 4]}, {
        1, Rational[-1, 4]}}, {{-1, -0.25}, {1, -0.25}}]], 
     LineBox[NCache[{{-1, Rational[-1, 6]}, {
        1, Rational[-1, 6]}}, {{-1, -0.16666666666666666`}, {
        1, -0.16666666666666666`}}]], 
     LineBox[NCache[{{-1, Rational[-1, 12]}, {
        1, Rational[-1, 12]}}, {{-1, -0.08333333333333333}, {
        1, -0.08333333333333333}}]], LineBox[{{-1, 0}, {1, 0}}], 
     LineBox[NCache[{{-1, Rational[1, 12]}, {
        1, Rational[1, 12]}}, {{-1, 0.08333333333333333}, {
        1, 0.08333333333333333}}]], 
     LineBox[NCache[{{-1, Rational[1, 6]}, {
        1, Rational[1, 6]}}, {{-1, 0.16666666666666666`}, {
        1, 0.16666666666666666`}}]], 
     LineBox[NCache[{{-1, Rational[1, 4]}, {
        1, Rational[1, 4]}}, {{-1, 0.25}, {1, 0.25}}]], 
     LineBox[NCache[{{-1, Rational[1, 3]}, {
        1, Rational[1, 3]}}, {{-1, 0.3333333333333333}, {
        1, 0.3333333333333333}}]], 
     LineBox[NCache[{{-1, Rational[5, 12]}, {
        1, Rational[5, 12]}}, {{-1, 0.4166666666666667}, {
        1, 0.4166666666666667}}]], 
     LineBox[NCache[{{-1, Rational[1, 2]}, {1, Rational[1, 2]}}, {{-1, 0.5}, {
        1, 0.5}}]], 
     LineBox[NCache[{{-1, Rational[7, 12]}, {
        1, Rational[7, 12]}}, {{-1, 0.5833333333333334}, {
        1, 0.5833333333333334}}]], 
     LineBox[NCache[{{-1, Rational[2, 3]}, {
        1, Rational[2, 3]}}, {{-1, 0.6666666666666666}, {
        1, 0.6666666666666666}}]], 
     LineBox[NCache[{{-1, Rational[3, 4]}, {
        1, Rational[3, 4]}}, {{-1, 0.75}, {1, 0.75}}]], 
     LineBox[NCache[{{-1, Rational[5, 6]}, {
        1, Rational[5, 6]}}, {{-1, 0.8333333333333334}, {
        1, 0.8333333333333334}}]], 
     LineBox[NCache[{{-1, Rational[11, 12]}, {
        1, Rational[11, 12]}}, {{-1, 0.9166666666666666}, {
        1, 0.9166666666666666}}]], LineBox[{{-1, 1}, {1, 1}}]}},
   AlignmentPoint->Center,
   AspectRatio->1,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->Automatic,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->Automatic,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{{3.3926448135574927`*^9, 3.392644837692197*^9}, 
   3.392700971718963*^9, {3.3927010054775057`*^9, 3.391850975296875*^9}, 
   3.392472283890338*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QComplexDensityPlot", "[", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"x", ",", "y"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"QValueChecking", "\[Rule]", "Off"}], ",", "\n", "    ", 
   RowBox[{"Compiled", "\[Rule]", "False"}], ",", 
   RowBox[{"QLightnessRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{".2", ",", ".8"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3926441392078257`*^9, 3.3926441440447807`*^9}, {
  3.392644219563371*^9, 3.392644222477562*^9}, {3.3926446711026525`*^9, 
  3.3926446918725185`*^9}, {3.3926447610720224`*^9, 3.3926447958720627`*^9}, {
  3.392644841858187*^9, 3.392644843660779*^9}}],

Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJzt1D9EhHEYwPFfWhIRR66mWpKjIXEaGxOJIrkpDa9Ef4jc2JhIQyRNTUlE
RBobExGRNN10Eg2JNHbv9h3uGe5+7+9+z1Md7913uff9PR+Pd2BxbWa13TmX
r129tSvt9JOkX23ZdvqbuLgdYi7rJpoNNcyr2e3/bOHOYP39oOH+v8ktts9N
gHtmOWOrfM7QF+hrV9/qFv2AfvI4g+/sIa2O0Sfoc/SVYHWHfkS/oCsKrRo5
wwH6SHA7RV8KVvfoZ8Gnin5T4tbIc/fQ++hDwY07RivuEn1e0e/oD4NW2+gd
9K5gSDda0Ycmn+gv9LdBqy2PHvec15pVGb2J3kCvoBdcfat+dA7dhe5Edxi0
WhdMlgSfWcFqWHDLC4bdBq2W0YngM4+eEqxG0UOCWx+6R4lVs270KaG5S5OC
VRHNHRsU3LT4NGvFnkNPoycEqzH0CLrg6eNjldV/rXRWM8bYt1Z06Lmsu8U6
f+x33V8/m4a2sufWfH4AyV0n4Q==
     "], {{-1, -1}, {1, 1}}, {1, 256},
     ColorFunction->Hue], 
    {GrayLevel[0], LineBox[{{-1, -1}, {-1, 1}}], 
     LineBox[NCache[{{Rational[-23, 25], -1}, {
        Rational[-23, 25], 1}}, {{-0.92, -1}, {-0.92, 1}}]], 
     LineBox[NCache[{{Rational[-21, 25], -1}, {
        Rational[-21, 25], 1}}, {{-0.84, -1}, {-0.84, 1}}]], 
     LineBox[NCache[{{Rational[-19, 25], -1}, {
        Rational[-19, 25], 1}}, {{-0.76, -1}, {-0.76, 1}}]], 
     LineBox[NCache[{{Rational[-17, 25], -1}, {
        Rational[-17, 25], 1}}, {{-0.68, -1}, {-0.68, 1}}]], 
     LineBox[NCache[{{Rational[-3, 5], -1}, {
        Rational[-3, 5], 1}}, {{-0.6, -1}, {-0.6, 1}}]], 
     LineBox[NCache[{{Rational[-13, 25], -1}, {
        Rational[-13, 25], 1}}, {{-0.52, -1}, {-0.52, 1}}]], 
     LineBox[NCache[{{Rational[-11, 25], -1}, {
        Rational[-11, 25], 1}}, {{-0.44, -1}, {-0.44, 1}}]], 
     LineBox[NCache[{{Rational[-9, 25], -1}, {
        Rational[-9, 25], 1}}, {{-0.36, -1}, {-0.36, 1}}]], 
     LineBox[NCache[{{Rational[-7, 25], -1}, {
        Rational[-7, 25], 1}}, {{-0.28, -1}, {-0.28, 1}}]], 
     LineBox[NCache[{{Rational[-1, 5], -1}, {
        Rational[-1, 5], 1}}, {{-0.2, -1}, {-0.2, 1}}]], 
     LineBox[NCache[{{Rational[-3, 25], -1}, {
        Rational[-3, 25], 1}}, {{-0.12, -1}, {-0.12, 1}}]], 
     LineBox[NCache[{{Rational[-1, 25], -1}, {
        Rational[-1, 25], 1}}, {{-0.04, -1}, {-0.04, 1}}]], 
     LineBox[NCache[{{Rational[1, 25], -1}, {Rational[1, 25], 1}}, {{
        0.04, -1}, {0.04, 1}}]], 
     LineBox[NCache[{{Rational[3, 25], -1}, {Rational[3, 25], 1}}, {{
        0.12, -1}, {0.12, 1}}]], 
     LineBox[NCache[{{Rational[1, 5], -1}, {Rational[1, 5], 1}}, {{0.2, -1}, {
        0.2, 1}}]], 
     LineBox[NCache[{{Rational[7, 25], -1}, {Rational[7, 25], 1}}, {{
        0.28, -1}, {0.28, 1}}]], 
     LineBox[NCache[{{Rational[9, 25], -1}, {Rational[9, 25], 1}}, {{
        0.36, -1}, {0.36, 1}}]], 
     LineBox[NCache[{{Rational[11, 25], -1}, {Rational[11, 25], 1}}, {{
        0.44, -1}, {0.44, 1}}]], 
     LineBox[NCache[{{Rational[13, 25], -1}, {Rational[13, 25], 1}}, {{
        0.52, -1}, {0.52, 1}}]], 
     LineBox[NCache[{{Rational[3, 5], -1}, {Rational[3, 5], 1}}, {{0.6, -1}, {
        0.6, 1}}]], 
     LineBox[NCache[{{Rational[17, 25], -1}, {Rational[17, 25], 1}}, {{
        0.68, -1}, {0.68, 1}}]], 
     LineBox[NCache[{{Rational[19, 25], -1}, {Rational[19, 25], 1}}, {{
        0.76, -1}, {0.76, 1}}]], 
     LineBox[NCache[{{Rational[21, 25], -1}, {Rational[21, 25], 1}}, {{
        0.84, -1}, {0.84, 1}}]], 
     LineBox[NCache[{{Rational[23, 25], -1}, {Rational[23, 25], 1}}, {{
        0.92, -1}, {0.92, 1}}]], LineBox[{{1, -1}, {1, 1}}], 
     LineBox[{{-1, -1}, {1, -1}}], 
     LineBox[NCache[{{-1, Rational[-11, 12]}, {
        1, Rational[-11, 12]}}, {{-1, -0.9166666666666666}, {
        1, -0.9166666666666666}}]], 
     LineBox[NCache[{{-1, Rational[-5, 6]}, {
        1, Rational[-5, 6]}}, {{-1, -0.8333333333333334}, {
        1, -0.8333333333333334}}]], 
     LineBox[NCache[{{-1, Rational[-3, 4]}, {
        1, Rational[-3, 4]}}, {{-1, -0.75}, {1, -0.75}}]], 
     LineBox[NCache[{{-1, Rational[-2, 3]}, {
        1, Rational[-2, 3]}}, {{-1, -0.6666666666666666}, {
        1, -0.6666666666666666}}]], 
     LineBox[NCache[{{-1, Rational[-7, 12]}, {
        1, Rational[-7, 12]}}, {{-1, -0.5833333333333334}, {
        1, -0.5833333333333334}}]], 
     LineBox[NCache[{{-1, Rational[-1, 2]}, {
        1, Rational[-1, 2]}}, {{-1, -0.5}, {1, -0.5}}]], 
     LineBox[NCache[{{-1, Rational[-5, 12]}, {
        1, Rational[-5, 12]}}, {{-1, -0.4166666666666667}, {
        1, -0.4166666666666667}}]], 
     LineBox[
      NCache[{{-1, Rational[-1, 3]}, {
        1, Rational[-1, 3]}}, {{-1, -0.3333333333333333}, {
        1, -0.3333333333333333}}]], 
     LineBox[NCache[{{-1, Rational[-1, 4]}, {
        1, Rational[-1, 4]}}, {{-1, -0.25}, {1, -0.25}}]], 
     LineBox[NCache[{{-1, Rational[-1, 6]}, {
        1, Rational[-1, 6]}}, {{-1, -0.16666666666666666`}, {
        1, -0.16666666666666666`}}]], 
     LineBox[NCache[{{-1, Rational[-1, 12]}, {
        1, Rational[-1, 12]}}, {{-1, -0.08333333333333333}, {
        1, -0.08333333333333333}}]], LineBox[{{-1, 0}, {1, 0}}], 
     LineBox[NCache[{{-1, Rational[1, 12]}, {
        1, Rational[1, 12]}}, {{-1, 0.08333333333333333}, {
        1, 0.08333333333333333}}]], 
     LineBox[NCache[{{-1, Rational[1, 6]}, {
        1, Rational[1, 6]}}, {{-1, 0.16666666666666666`}, {
        1, 0.16666666666666666`}}]], 
     LineBox[NCache[{{-1, Rational[1, 4]}, {
        1, Rational[1, 4]}}, {{-1, 0.25}, {1, 0.25}}]], 
     LineBox[NCache[{{-1, Rational[1, 3]}, {
        1, Rational[1, 3]}}, {{-1, 0.3333333333333333}, {
        1, 0.3333333333333333}}]], 
     LineBox[NCache[{{-1, Rational[5, 12]}, {
        1, Rational[5, 12]}}, {{-1, 0.4166666666666667}, {
        1, 0.4166666666666667}}]], 
     LineBox[NCache[{{-1, Rational[1, 2]}, {1, Rational[1, 2]}}, {{-1, 0.5}, {
        1, 0.5}}]], 
     LineBox[NCache[{{-1, Rational[7, 12]}, {
        1, Rational[7, 12]}}, {{-1, 0.5833333333333334}, {
        1, 0.5833333333333334}}]], 
     LineBox[NCache[{{-1, Rational[2, 3]}, {
        1, Rational[2, 3]}}, {{-1, 0.6666666666666666}, {
        1, 0.6666666666666666}}]], 
     LineBox[NCache[{{-1, Rational[3, 4]}, {
        1, Rational[3, 4]}}, {{-1, 0.75}, {1, 0.75}}]], 
     LineBox[NCache[{{-1, Rational[5, 6]}, {
        1, Rational[5, 6]}}, {{-1, 0.8333333333333334}, {
        1, 0.8333333333333334}}]], 
     LineBox[NCache[{{-1, Rational[11, 12]}, {
        1, Rational[11, 12]}}, {{-1, 0.9166666666666666}, {
        1, 0.9166666666666666}}]], LineBox[{{-1, 1}, {1, 1}}]}},
   AlignmentPoint->Center,
   AspectRatio->1,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->Automatic,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->Automatic,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{
  3.3926448500099087`*^9, {3.3927010149010563`*^9, 3.3918509755625*^9}, 
   3.392472284357971*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\n", 
  RowBox[{
   RowBox[{
    RowBox[{"arr", " ", "=", " ", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"I", " ", "3", " ", 
           RowBox[{"(", 
            RowBox[{"x", "+", "y"}], ")"}]}], " ", "-", " ", 
          RowBox[{"x", "^", "2"}], "-", 
          RowBox[{"y", "^", "2"}]}], "]"}], " ", "+", "\n", "            ", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "I"}], " ", "2", " ", 
           RowBox[{"(", 
            RowBox[{"x", "+", "y"}], ")"}]}], " ", "-", " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", "-", ".5"}], ")"}], "^", "2"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"y", "-", ".5"}], ")"}], "^", "2"}]}], "]"}]}], ",", "\n",
        "               ", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", "3"}], ",", "3", ",", ".1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "3"}], ",", "3", ",", ".1"}], "}"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{"QListComplexSurfacePlot", "[", 
    RowBox[{"arr", ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\n", " ", 
     RowBox[{"QSphereRadius", "->", "0.5"}], ",", "\[IndentingNewLine]", 
     RowBox[{"MaxPlotPoints", "\[Rule]", "30"}], ",", "\n", "    ", 
     RowBox[{"QLightnessRange", "->", 
      RowBox[{"{", 
       RowBox[{"0.2", ",", "1."}], "}"}]}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.3926441392078257`*^9, 3.3926441440447807`*^9}, {
  3.392644219563371*^9, 3.392644222477562*^9}, {3.3926446711026525`*^9, 
  3.3926446918725185`*^9}, {3.3926447610720224`*^9, 3.3926447958720627`*^9}, {
  3.392644841858187*^9, 3.3926448603647985`*^9}, {3.3926449692213264`*^9, 
  3.3926449841628113`*^9}, {3.3926450288570786`*^9, 3.392645056186376*^9}, {
  3.3926986150702686`*^9, 3.3926986217198305`*^9}, {3.392698730065624*^9, 
  3.392698740310355*^9}, {3.392698779106141*^9, 3.3926987858758755`*^9}, {
  3.3926988391224403`*^9, 3.3926989423108177`*^9}, {3.3927010349298563`*^9, 
  3.3927010427811456`*^9}}],

Cell[BoxData[
 Graphics3DBox[GraphicsComplex3DBox[CompressedData["
1:eJxdnAlUTvkbgMlOEj6EbB+mYSb6kIT6bkTJXtbIvhUqRLa/KTSmiFBGZS9j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   "], {{
     {EdgeForm[None], GraphicsGroup3DBox[Polygon3DBox[CompressedData["
1:eJxFmgf4ltMbx9/3eWTvvZVSKWlIRdGS9t5bS0tLkpS2bEVGIoRIkpmIQmQk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        "]]]}, {}, {}, {}}, 
    Line3DBox[{2, 1, 31, 61, 91, 121, 151, 181, 211, 241, 271, 301, 331, 361, 
     391, 421, 451, 481, 511, 541, 571, 601, 631, 661, 691, 721, 751, 781, 
     811, 841, 871, 872, 873, 874, 875, 876, 877, 878, 879, 880, 881, 882, 
     883, 884, 885, 886, 887, 888, 889, 890, 891, 892, 893, 894, 895, 896, 
     897, 898, 899, 900, 870, 840, 810, 780, 750, 720, 690, 660, 630, 600, 
     570, 540, 510, 480, 450, 420, 390, 360, 330, 300, 270, 240, 210, 180, 
     150, 120, 90, 60, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17,
      16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2}]},
   VertexColors->{
     Directive[
      Hue[0.13497466334476516`, 1., 0.4000000310334894], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2337131999952008, 1., 0.4000001027873133], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3327907498449919, 1., 0.4000003127289313], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4319181371581973, 1., 0.4000008752459038], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5306774729370878, 1., 0.4000022515357778], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6289469956816289, 1., 0.4000053073577295], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7271698864790787, 1., 0.40001143385135857`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8260781812699028, 1., 0.40002254260978914`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9259209103051983, 1., 0.4000409114655108], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.025861751018492685`, 1., 0.40006871184595966`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.12450145555237666`, 1., 0.4001065448710919], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22139117771375316`, 1., 0.40015092620895554`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.31796077095106656`, 1., 0.40019344231934156`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.416771535815855, 1., 0.4002249666340383], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5190600394819547, 1., 0.40024207279361185`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6220660414612722, 1., 0.4002460225513368], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7206977782338512, 1., 0.4002343848927346], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8133685628148757, 1., 0.4002020039191106], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9043250476859153, 1., 0.40015252015281355`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.0019014598018378152`, 1., 0.4001009753383513], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11271447304501044`, 1., 0.40006244328237045`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22720282029322622`, 1., 0.40003950633761837`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.32550869333152, 1., 0.40002464133171733`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4054394588843399, 1., 0.4000134152846673], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4783172413114023, 1., 0.4000058807524832], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5644592856550854, 1., 0.4000019861996846], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7067139892914294, 1., 0.4000005907750325], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8678935555010039, 1., 0.40000027648783976`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9532149021083788, 1., 0.4000001360678254], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0., 1., 0.4000000498446379], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2337131999952008, 1., 0.4000001027873133], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3327122510838401, 1., 0.4000003407641714], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4317957882976841, 1., 0.4000010391785191], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5305368546807031, 1., 0.4000029127199759], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6288047407144812, 1., 0.40000748072433306`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7270346566737742, 1., 0.40001755844333753`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8259535950387318, 1., 0.400037714056099], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9258090513654176, 1., 0.4000745632801435], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.02576457706264202, 1., 0.4001364188518727], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.12441896508116092`, 1., 0.40023042641721335`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2213190869236001, 1., 0.400355569035796], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3178907327383172, 1., 0.4004964466024233], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.41669406894570465`, 1., 0.4006289200327528], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5189700338617844, 1., 0.4007371672256457], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6219697116843907, 1., 0.4008161713531218], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7206189320099812, 1., 0.40084710407239965`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8133063685083788, 1., 0.40079532182450917`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9042645442067475, 1., 0.40065418682220033`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.0018209827329862141`, 1., 0.4004718120077557], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11260183286195492`, 1., 0.40031779811440793`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22708558615300822`, 1., 0.4002189746637423], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3254157242394852, 1., 0.40014877694269774`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4053648428597448, 1., 0.40008825280859117`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4782371712887533, 1., 0.40004216095378325`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5643157914867376, 1., 0.40001552095524884`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7063986361304497, 1., 0.4000050280932288], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8676896551548188, 1., 0.40000256082412416`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531696702138593, 1., 0.4000013734427875], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.00005894170952180667, 1., 0.40000054835068954`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029666135394509654`, 1., 0.4000001567682421], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3327907498449919, 1., 0.4000003127289313], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4317957882976841, 1., 0.4000010391785191], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5304932303690726, 1., 0.40000317375970407`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6287423764298306, 1., 0.40000888138791396`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.72696936289583, 1., 0.4000227126833309], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8258945794867125, 1., 0.40005315079320547`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9257618791146361, 1., 0.40011448075970857`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.025732546094893068`, 1., 0.4002281727670726], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.1244024556565163, 1., 0.40041984764421734`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22131505216891137`, 1., 0.4007057424199585], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3178937657395169, 1., 0.4010733753546644], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4166981450923077, 1., 0.401481239837078], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5189702628907755, 1., 0.40189122069759475`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6219636965146503, 1., 0.40228089249063975`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7206085169794212, 1., 0.4025790914223001], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8133067149089407, 1., 0.40263809227979663`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9042714494300691, 1., 0.4023638353794899], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.001825090684957142, 1., 0.401857137245546], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11259604187468839`, 1., 0.40136259044834033`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2270738316900671, 1., 0.40102266226846545`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3254041492888029, 1., 0.40075687579734265`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.40535060190001476`, 1., 0.4004891162219829], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.47821085993370505`, 1., 0.40025458615137155`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5642522820991016, 1., 0.40010212327676536`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.706252391386227, 1., 0.40003603713871266`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8675945716143957, 1., 0.40001998623503615`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531465619330572, 1., 0.40001168069739546`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.00008775139200324565, 1., 0.40000508205258095`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029766256555605643`, 1., 0.4000015829103072], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04464057017662037, 1., 0.4000003083298734], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4319181371581973, 1., 0.4000008752459038], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5305368546807032, 1., 0.4000029127199759], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6287423764298306, 1., 0.40000888138791396`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7269502185278605, 1., 0.4000247474387878], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8258721931717528, 1., 0.40006309790512146`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9257464296895228, 1., 0.4001480674316156], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.02573017790262827, 1., 0.4003215086927911], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.1244154195892268, 1., 0.40064447552836446`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2213421699684549, 1., 0.4011801384011689], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.31793204908522754`, 1., 0.4019552305462069], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.41674409585956756`, 1., 0.4029391583576301], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5190195981351744, 1., 0.40408779638053643`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6220106735675011, 1., 0.4053703604761586], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7206476172618974, 1., 0.40661483606158827`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8133379824930913, 1., 0.40737137050217276`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.904310755888059, 1., 0.40719586297553134`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.0018730977098368412`, 1., 0.406158336770977], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11264940299392408`, 1., 0.4049220195680389], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22712294296439153`, 1., 0.4040241517967881], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.32544099973591617`, 1., 0.4032443081663843], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.40537355091963584`, 1., 0.40228382992258976`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.47821924308145586`, 1., 0.40129495435465196`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5642424412911546, 1., 0.4005658897116059], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7062207547187757, 1., 0.40021753506455293`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8675738573497853, 1., 0.400131430752465], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531390070452026, 1., 0.40008369554300804`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.00009595463919920367, 1., 0.4000396774617037], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029808024168583653`, 1., 0.400013464143062], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04476755531456484, 1., 0.40000285544144576`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.851477080879454, 1., 0.40000011738206315`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5306774729370878, 1., 0.4000022515357778], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6288047407144812, 1., 0.40000748072433306`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.72696936289583, 1., 0.4000227126833309], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8258721931717528, 1., 0.40006309790512146`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.92574339714395, 1., 0.4001613252207328], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.025734591166080137`, 1., 0.4003816434344279], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.12443286940440633`, 1., 0.4008334416328276], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22137417597845313`, 1., 0.40166259947119853`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.31797794041197186`, 1., 0.40300069360002344`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4168023879381859, 1., 0.4049136395184805], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5190870187258199, 1., 0.4074442684976345], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6220803346816481, 1., 0.4106533723033435], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.720711569290928, 1., 0.4142937216584007], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8133920262096878, 1., 0.41735040324155814`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9043587904103279, 1., 0.4184516786647802], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.0019348424762621406`, 1., 0.4172037912192722], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11272608644688624`, 1., 0.41497896302301723`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22719900858218847`, 1., 0.41334145808928524`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3255009360336923, 1., 0.41171693688583444`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4054156573325885, 1., 0.4089844864592474], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4782473103395579, 1., 0.4055489757917378], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5642655251657522, 1., 0.402641307951459], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7062610473564077, 1., 0.40110612301171117`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.867600356240607, 1., 0.40072822437080374`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531416938199235, 1., 0.400505247694641], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.00009086784527136368, 1., 0.40026096105587855`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.02981068325456006, 1., 0.40009647684640626`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04480675943846527, 1., 0.4000222827114606], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8500500531930268, 1., 0.40000099272779616`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6120875334217206, 1., 0.40000266765590065`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6289469956816289, 1., 0.4000053073577295], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7270346566737742, 1., 0.40001755844333753`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8258945794867125, 1., 0.40005315079320547`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9257464296895228, 1., 0.4001480674316156], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.025734591166080137`, 1., 0.4003816434344279], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.12444027416303786`, 1., 0.40090802553197424`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22139426973254714`, 1., 0.40197339439272217`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.31801268972696284`, 1., 0.4038799986990271], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.41685220682662805`, 1., 0.4069211774376484], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5191500916683823, 1., 0.4114223302819031], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6221503752950355, 1., 0.417805888171292], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7207800658998684, 1., 0.42602182765549834`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8134539834025116, 1., 0.43440213849096054`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9044145205387936, 1., 0.4398471193073289], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.0019915425416417777`, 1., 0.44047374543243994`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.1128003541361153, 1., 0.4383950232844196], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2272772148283952, 1., 0.4372561751311021], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3255651064064502, 1., 0.4356436525138584], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.40546327984725256`, 1., 0.4297734223852081], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.47828352366065086`, 1., 0.4200312858358205], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5643055176017727, 1., 0.410385884238665], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7063405197553767, 1., 0.40473835788258883`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8676531776011833, 1., 0.40339966093315915`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531504397641385, 1., 0.4025696931752436], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.00007799377123241487, 1., 0.4014459413332883], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.02978899396234115, 1., 0.4005823743083245], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04478890432779067, 1., 0.40014651286534214`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8491451053320417, 1., 0.4000070982484451], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6120066551682448, 1., 0.400020852397755], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6079819322868607, 1., 0.40001230502945023`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7271698864790787, 1., 0.40001143385135857`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8259535950387318, 1., 0.400037714056099], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9257618791146361, 1., 0.40011448075970857`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.02573017790262826, 1., 0.4003215086927911], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.12443286940440634`, 1., 0.4008334416328276], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22139426973254714`, 1., 0.40197339439272217`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3180254546321505, 1., 0.4042270180861343], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4168803249371984, 1., 0.4082141885540833], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5191937158701532, 1., 0.4147673671186699], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6222052140407114, 1., 0.42507542592470415`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7208385699778435, 1., 0.43991124005100046`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8135107691301916, 1., 0.4574534163530826], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9044691814826002, 1., 0.4724506485837281], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.0020474549439333497`, 1., 0.4801313747587115], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11285920330058528`, 1., 0.48280414739934696`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22734040807342196`, 1., 0.4875192126215444], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.32562009824815596`, 1., 0.4911900265167206], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.40550645632804133`, 1., 0.4829974306953946], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4783192627647403, 1., 0.46087192037300306`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5643503455060012, 1., 0.4343985296141173], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7064345994309915, 1., 0.4171009795373344], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8677166292382184, 1., 0.41337204265026695`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531620265107174, 1., 0.41101120338452984`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.00006138643770454474, 1., 0.40674974418686694`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029754045634256522`, 1., 0.4029616727701237], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04473735150957298, 1., 0.40081168754242824`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.848636057528047, 1., 0.40004285776565746`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6119634606396165, 1., 0.4001372445698954], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6079525555734943, 1., 0.4000882187432326], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6010450766994271, 1., 0.4000353552930467], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8260781812699028, 1., 0.40002254260978914`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9258090513654176, 1., 0.4000745632801435], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.02573254609489307, 1., 0.4002281727670726], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.12441541958922683`, 1., 0.40064447552836446`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22137417597845313`, 1., 0.40166259947119853`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.31801268972696284`, 1., 0.4038799986990271], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4168803249371984, 1., 0.40821418855408337`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5192092020687671, 1., 0.4160873066550122], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6222350112154601, 1., 0.4297559591954374], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7208773699130722, 1., 0.45157884325784464`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8135533262195256, 1., 0.48082331124457856`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9045139649186162, 1., 0.5108820665169589], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.0020967497955394713`, 1., 0.5333979666536006], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11291207095266627`, 1., 0.5499573936271646], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22738295038167053`, 1., 0.5723300771836499], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.32565706129976313`, 1., 0.5951335098362707], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.40553829787315465`, 1., 0.593410821996234], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4783483444356999, 1., 0.55501867767177], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5643912048659445, 1., 0.49579044207538625`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7065253890167862, 1., 0.4519709529965222], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8677792468481415, 1., 0.444295743072617], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531740349973055, 1., 0.4397386013420519], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.000043962232398967594`, 1., 0.4265419534190211], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.02971399429632176, 1., 0.41268923945017605`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04466947187821262, 1., 0.4037888697958757], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8484075037843124, 1., 0.4002183080016796], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6119459337351939, 1., 0.4007607207851574], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6079273935382127, 1., 0.400532723266049], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6010238103782553, 1., 0.4002325703521064], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5794531750997229, 1., 0.40007383048278733`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9259209103051983, 1., 0.4000409114655108], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.025764577062642027`, 1., 0.4001364188518727], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.12440245565651631`, 1., 0.40041984764421734`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2213421699684549, 1., 0.4011801384011689], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.31797794041197186`, 1., 0.40300069360002344`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.41685220682662805`, 1., 0.4069211774376484], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5191937158701532, 1., 0.4147673671186699], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6222350112154601, 1., 0.4297559591954374], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7208909061610702, 1., 0.4561793251152721], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8135759724588849, 1., 0.4958292921801346], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9045430403935528, 1., 0.5429526861549745], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.0021329398445028283`, 1., 0.586787836408514], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11295436950851523`, 1., 0.6278070604819123], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22741810114504477`, 1., 0.6831994274675384], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3256745517222802, 1., 0.745720299880497], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4055545090355607, 1., 0.7709365368232663], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4783666332670392, 1., 0.725885880993631], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5644220135384785, 1., 0.6224388476046818], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.706600446332311, 1., 0.5325652194337676], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8678329778963633, 1., 0.5231876382885768], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531846986433674, 1., 0.5203975448601114], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.000027751676278310322`, 1., 0.48776355906850666`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029674685013924118`, 1., 0.4457822211151614], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.044597868554710915`, 1., 0.4149012925476361], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8483614639211389, 1., 0.40093753819943895`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6119448571968431, 1., 0.40355156028524597`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6079064543012367, 1., 0.4027098446713496], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6010024389340063, 1., 0.4012889015497346], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5794272249797483, 1., 0.40044566844976953`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.523900348559512, 1., 0.4001200214290107], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.025861751018492692`, 1., 0.40006871184595966`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.12441896508116093`, 1., 0.40023042641721335`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22131505216891137`, 1., 0.4007057424199585], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.31793204908522754`, 1., 0.4019552305462069], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4168023879381859, 1., 0.4049136395184805], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5191500916683823, 1., 0.4114223302819031], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6222052140407114, 1., 0.42507542592470415`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7208773699130722, 1., 0.45157884325784464`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8135759724588849, 1., 0.49582929218013466`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9045530908321959, 1., 0.5555321367463413], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.0021519979078803543`, 1., 0.6206425268777346], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11298147484045395`, 1., 0.6912600769483187], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22744343297699884`, 1., 0.7892444390599453], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.32568669395225613`, 1., 0.905574510888984], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.40555429890007394`, 1., 0.9776867895164284], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.47837174580451536`, 1., 0.9528223095808199], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5644389890302826, 1., 0.8222433288428113], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7066518394419056, 1., 0.6806445797073586], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8678725348521977, 1., 0.6837659860944849], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531927816706302, 1., 0.7010260006097946], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.000014094908791116843`, 1., 0.641090066347665], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029640151695696837`, 1., 0.5385065296069613], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04453139739829958, 1., 0.44935066024484427`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8484188705084914, 1., 0.40339305737766074`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6119533050350151, 1., 0.4139676105202253], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078896190396958, 1., 0.41161221514137936`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6009826486456131, 1., 0.4060180602648312], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5794104758568988, 1., 0.40226699321911635`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5238470410711816, 1., 0.40066489375169084`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.41350414502178595`, 1., 0.4002007036883333], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.12450145555237666`, 1., 0.4001065448710919], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2213190869236001, 1., 0.400355569035796], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3178937657395169, 1., 0.4010733753546644], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4167440958595677, 1., 0.4029391583576301], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5190870187258199, 1., 0.4074442684976345], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6221503752950355, 1., 0.417805888171292], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7208385699778435, 1., 0.43991124005100046`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8135533262195256, 1., 0.48082331124457856`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9045430403935528, 1., 0.5429526861549745], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.0021519979078803595`, 1., 0.6206425268777346], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.1129907889912722, 1., 0.715698298358163], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22745664115791672`, 1., 0.8532658990385538], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.325694338126396, 0.9778973925003847, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4055515453004856, 0.8553385035001155, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4783622609827425, 0.839548981650807, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5644403410520098, 0.9541461429624125, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7066754521066833, 1., 0.8841344849515751], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8678949110239895, 1., 0.9255901692882768], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531974840527389, 1., 0.9926009801130691], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[3.7874798582776084`*^-6, 1., 0.9258806649343475], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.02961300197879732, 1., 0.7436070969735156], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04447597701526861, 1., 0.5370966033123438], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8485184335798711, 1., 0.41034515127240856`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6119662046206107, 1., 0.4462562220796039], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078767066095965, 1., 0.44190463052319345`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6009655054174704, 1., 0.42367106180426417`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5794005948518055, 1., 0.40971665138273344`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5238369964056315, 1., 0.4031044482257842], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4134060350675925, 1., 0.4010207869227353], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3115908672732965, 1., 0.40045144552798206`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22139117771375316`, 1., 0.40015092620895554`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3178907327383172, 1., 0.4004964466024233], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4166981450923077, 1., 0.401481239837078], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5190195981351744, 1., 0.40408779638053643`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6220803346816481, 1., 0.4106533723033435], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7207800658998684, 1., 0.42602182765549834`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8135107691301916, 1., 0.4574534163530826], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9045139649186162, 1., 0.5108820665169589], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.0021329398445028313`, 1., 0.586787836408514], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11298147484045395`, 1., 0.6912600769483188], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22745664115791672`, 1., 0.8532658990385538], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3256969422452152, 0.936398916151548, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.40555005932330734`, 0.7683321634163338, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4783527665715376, 0.7093681921353379, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5644256960837415, 0.7822167984890842, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7066705079691489, 0.9192244938189857, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8678990427662852, 0.8271593501367751, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531983718165044, 0.7087309788046274, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.999997183867718, 0.7398373697584253, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029594700783163192`, 0.9395389967966734, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.044435203147485516`, 1., 0.7142369870390044], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8486144727506593, 1., 0.4265636433189756], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6119799790105152, 1., 0.5285619934966341], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078675124491979, 1., 0.5268953867482433], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6009516293974277, 1., 0.4783222624071678], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5793954724529686, 1., 0.435080557641053], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5238525910890037, 1., 0.41221479644216547`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4133948764275517, 1., 0.40437494469026264`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3115183009083457, 1., 0.40210831095158356`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2522317408722949, 1., 0.400944860865376], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.31796077095106656`, 1., 0.40019344231934156`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.41669406894570465`, 1., 0.4006289200327528], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5189702628907755, 1., 0.40189122069759475`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6220106735675011, 1., 0.4053703604761586], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.720711569290928, 1., 0.4142937216584007], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8134539834025116, 1., 0.43440213849096054`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9044691814826002, 1., 0.4724506485837281], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.00209674979553947, 1., 0.5333979666536006], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11295436950851523`, 1., 0.6278070604819123], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22744343297699884`, 1., 0.7892444390599453], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.325694338126396, 0.9778973925003847, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4055500593233074, 0.7683321634163338, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4783494864242653, 0.6668628417818625, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5644145446878035, 0.6958122536044904, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7066475574849537, 0.7895500836858098, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8678855983773471, 0.6547795617802046, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531953302457079, 0.5077527930793111, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9999942657141413, 0.4976448862069973, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029585767315971928`, 0.6389456435234351, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04441079128747726, 1., 0.9740868382732748], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8486746051221971, 1., 0.45741063682910105`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6119922666399049, 1., 0.6955484339787131], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078618303188441, 1., 0.7164111664836681], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6009413206201719, 1., 0.6158971487578342], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5793932903502479, 1., 0.5064118938800499], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5238800147294498, 1., 0.44048127197388415`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4134327541606807, 1., 0.4157988783339444], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3115050436121549, 1., 0.4082950962340611], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2521932773776336, 1., 0.40405076155188485`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.20677174066564813`, 1., 0.4015878206148885], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.416771535815855, 1., 0.4002249666340383], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5189700338617844, 1., 0.4007371672256457], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6219636965146503, 1., 0.40228089249063975`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7206476172618974, 1., 0.40661483606158827`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8133920262096878, 1., 0.41735040324155814`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9044145205387936, 1., 0.4398471193073289], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.002047454943933347, 1., 0.4801313747587115], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11291207095266624`, 1., 0.5499573936271646], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2274181011450448, 1., 0.6831994274675385], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.32568669395225613`, 1., 0.905574510888984], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4055515453004856, 0.8553385035001155, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4783527665715376, 0.7093681921353379, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5644145446878035, 0.6958122536044904, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7066390552839996, 0.7460841833173206, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.867866997981105, 0.5734495473232255, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531885371195681, 0.4059093545918997, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9999946809372042, 0.367589913266821, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029585899367264384`, 0.44964297840117506`, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04440287298738876, 0.7721719549634947, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.848677728729253, 1., 0.5043310300815669], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6120017097357707, 1., 0.9445306000727614], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078594621410989, 0.9823629361825947, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.600934646024737, 1., 0.8775166099405984], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5793925400699562, 1., 0.6675399580158271], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5239088409094255, 1., 0.5126979945529213], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.41349082565487416`, 1., 0.4480469149341505], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.31152482185610203`, 1., 0.427492564082555], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.25218771425640113`, 1., 0.4146307409676245], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2067525882994513, 1., 0.4062485149462149], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.15665823682771263`, 1., 0.40219164248387773`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5190600394819547, 1., 0.40024207279361185`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6219697116843907, 1., 0.4008161713531218], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7206085169794212, 1., 0.4025790914223001], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8133379824930913, 1., 0.40737137050217276`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9043587904103279, 1., 0.4184516786647802], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.001991542541641781, 1., 0.44047374543243994`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.1128592033005853, 1., 0.48280414739934696`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22738295038167053`, 1., 0.5723300771836499], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3256745517222802, 1., 0.745720299880497], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.40555429890007394`, 1., 0.9776867895164284], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4783622609827425, 0.839548981650807, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5644256960837415, 0.782216798489084, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7066475574849537, 0.7895500836858098, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.867866997981105, 0.5734495473232255, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531821254739624, 0.37564543359228875`, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9999977591845454, 0.3135986520051386, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029594037276306336`, 0.35691809885111025`, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.044410169872434124`, 0.6028862742726986, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8486124777502149, 1., 0.559324068989658], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6120078006471827, 0.8053416328706653, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078602189221858, 0.6823152885439976, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6009314961806161, 0.797741213158121, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5793920157942165, 1., 0.9360787170587335], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5239315767275639, 1., 0.6605598893137181], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4135481002087159, 1., 0.5227008947527574], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.311558016010758, 1., 0.4766670125508462], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2521997052927058, 1., 0.44450192104241093`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2067563837593381, 1., 0.4207169238277749], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.15664484933082773`, 1., 0.4079166194424576], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.09202319236481775, 1., 0.40265842049991446`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6220660414612722, 1., 0.4002460225513368], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7206189320099812, 1., 0.40084710407239965`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8133067149089407, 1., 0.40263809227979663`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.904310755888059, 1., 0.40719586297553134`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.0019348424762621484`, 1., 0.4172037912192722], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11280035413611529`, 1., 0.4383950232844196], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22734040807342196`, 1., 0.4875192126215444], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.32565706129976313`, 1., 0.5951335098362707], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4055545090355607, 1., 0.7709365368232665], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.47837174580451536`, 1., 0.9528223095808199], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5644403410520098, 0.9541461429624125, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7066705079691489, 0.9192244938189857, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8678855983773471, 0.6547795617802046, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531885371195681, 0.4059093545918997, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9999977591845454, 0.3135986520051386, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.02960096995740967, 0.3297017145424159, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.044415514574462286`, 0.525029247422125, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8484238225597412, 1., 0.6048826749187907], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6120163550416994, 0.6339266699580874, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078629721917229, 0.48543586330286015`, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6009272981902508, 0.5472642324768913, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5793835240082211, 0.7714584335537982, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5239335303343795, 1., 0.8874396460399628], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.413583547403916, 1., 0.6605815212347884], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3115878638798058, 1., 0.5789252051772259], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2522145983319823, 1., 0.5137120485657427], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2067658529148385, 1., 0.45782562951245775`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.15664803245473918`, 1., 0.42409236292326885`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.09199274760969318, 1., 0.4088141838654767], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.014547442915294178`, 1., 0.4031165123653506], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7206977782338512, 1., 0.4002343848927346], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8133063685083788, 1., 0.40079532182450917`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9042714494300691, 1., 0.4023638353794899], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.001873097709836847, 1., 0.406158336770977], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11272608644688621`, 1., 0.41497896302301723`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22727721482839525`, 1., 0.4372561751311021], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.32562009824815596`, 1., 0.4911900265167206], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.40553829787315465`, 1., 0.593410821996234], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4783666332670392, 1., 0.725885880993631], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5644389890302826, 1., 0.8222433288428113], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7066754521066833, 1., 0.8841344849515751], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8678990427662852, 0.8271593501367751, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531953302457079, 0.5077527930793111, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9999946809372042, 0.367589913266821, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029594037276306336`, 0.35691809885111025`, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04441551457446229, 0.525029247422125, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8483176849101974, 1., 0.6226819072822292], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6120240253378892, 0.5538600428679992, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078644226555171, 0.3870188175040381, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6009209652113625, 0.40765911266585864`, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5793697874209437, 0.5626096902046824, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5239231782331921, 0.8724399766580355, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.41360478706553727`, 1., 0.8527025686283236], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3116134155406138, 1., 0.7447391599377144], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2522288111064706, 1., 0.6420406110890062], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2067762742913179, 1., 0.5354585147332058], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.15665946857109878`, 1., 0.46172283153362864`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.09199325513791394, 1., 0.42462153993223284`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.014502774222466147`, 1., 0.4094852246545896], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9388335510937533, 1., 0.40364574447674234`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8133685628148757, 1., 0.4002020039191106], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9042645442067475, 1., 0.40065418682220033`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.001825090684957147, 1., 0.401857137245546], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11264940299392409`, 1., 0.4049220195680389], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22719900858218847`, 1., 0.41334145808928524`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3255651064064502, 1., 0.4356436525138584], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.40550645632804133`, 1., 0.4829974306953946], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.47834834443569996`, 1., 0.55501867767177], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5644220135384787, 1., 0.6224388476046818], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7066518394419057, 1., 0.6806445797073586], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8678949110239896, 1., 0.9255901692882766], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531983718165044, 0.7087309788046274, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9999942657141413, 0.4976448862069973, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029585899367264374`, 0.4496429784011746, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04441016987243411, 0.6028862742726986, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8484238225597414, 1., 0.6048826749187908], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6120240253378892, 0.5538600428679992, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078648474993784, 0.357921722228999, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.600917489025016, 0.34882548921920176`, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5793607366457487, 0.45317195218070294`, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5239151971439102, 0.6989825456582477, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.41362118897186073`, 0.9573027553340405, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3116357036974452, 1., 0.9415869012447868], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2522431032728218, 1., 0.8229921260175629], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.20678907830023327`, 1., 0.6641733288432469], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.15667850266704736`, 1., 0.5327833592981008], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.09201628702876029, 1., 0.4579122954624373], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.014505803055300637`, 1., 0.4243220602998629], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9387937578983713, 1., 0.41018619989757305`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8731193778888897, 1., 0.4039935114475532], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9043250476859153, 1., 0.40015252015281355`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.0018209827329862141`, 1., 0.4004718120077557], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11259604187468839`, 1., 0.40136259044834033`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22712294296439153`, 1., 0.4040241517967881], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3255009360336923, 1., 0.41171693688583444`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.40546327984725256`, 1., 0.4297734223852081], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4783192627647403, 1., 0.46087192037300306`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5643912048659445, 1., 0.49579044207538625`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.706600446332311, 1., 0.5325652194337676], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8678725348521977, 1., 0.6837659860944849], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531974840527389, 1., 0.9926009801130691], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.999997183867718, 0.7398373697584253, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029585767315971925`, 0.6389456435234351, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04440287298738875, 0.7721719549634947, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8486124777502149, 1., 0.559324068989658], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6120163550416994, 0.6339266699580874, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078644226555171, 0.3870188175040381, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.600917489025016, 0.34882548921920176`, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5793575860935742, 0.42023042376381037`, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5239108810298738, 0.6153166310812106, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.413631471546973, 0.8290706199721658, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3116519529936121, 0.8953835987552488, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2522549338874242, 0.9942577069650715, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2068011222077545, 1., 0.8251308508327004], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.1566989681746769, 1., 0.6386828329944921], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.09204865822726996, 1., 0.514517215790729], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.014534580239917832`, 1., 0.452522691394629], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9387967255292154, 1., 0.4239773333130971], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.87308906136172, 1., 0.4102428560700653], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.813194913714736, 1., 0.4038846368397518], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.0019014598018378152`, 1., 0.4001009753383513], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11260183286195491`, 1., 0.40031779811440793`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2270738316900671, 1., 0.40102266226846545`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.32544099973591617`, 1., 0.4032443081663843], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4054156573325885, 1., 0.4089844864592474], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.47828352366065086`, 1., 0.4200312858358205], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5643503455060012, 1., 0.4343985296141173], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7065253890167862, 1., 0.4519709529965222], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8678329778963633, 1., 0.5231876382885768], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531927816706302, 1., 0.7010260006097946], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[3.7874798582766356`*^-6, 1., 0.9258806649343475], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029594700783163192`, 0.9395389967966734, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04441079128747726, 1., 0.9740868382732748], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8486777287292528, 1., 0.5043310300815669], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6120078006471827, 0.8053416328706653, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078629721917229, 0.48543586330286015`, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6009209652113625, 0.40765911266585864`, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5793607366457487, 0.45317195218070294`, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5239108810298738, 0.6153166310812106, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.413634967732778, 0.7854964164682194, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.31166047586446655`, 0.8087863020553447, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2522626496816047, 0.8681983600344136, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.20681025607731368`, 1., 0.9685847514063511], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.156716469721521, 1., 0.757595444103655], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.09208066795709594, 1., 0.5899869761990165], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.014572516557901288`, 1., 0.49544092338972484`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9388216059199774, 1., 0.4475376724127128], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8730928975004736, 1., 0.42213420829597303`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8131715488499411, 1., 0.4091463456169441], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7523635194232943, 1., 0.4033396985025863], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.11271447304501044`, 1., 0.40006244328237045`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22708558615300822`, 1., 0.4002189746637423], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3254041492888029, 1., 0.40075687579734265`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.40537355091963584`, 1., 0.40228382992258976`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.47824731033955786`, 1., 0.4055489757917378], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5643055176017727, 1., 0.410385884238665], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7064345994309915, 1., 0.4171009795373344], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8677792468481416, 1., 0.444295743072617], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531846986433674, 1., 0.5203975448601114], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.000014094908791117986`, 1., 0.641090066347665], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029613001978797314`, 1., 0.7436070969735156], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04443520314748551, 1., 0.7142369870390044], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8486746051221971, 1., 0.45741063682910105`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6120017097357707, 1., 0.9445306000727614], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078602189221858, 0.6823152885439976, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6009272981902508, 0.5472642324768913, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5793697874209437, 0.5626096902046824, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5239151971439102, 0.6989825456582477, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.413631471546973, 0.8290706199721658, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.31166047586446655`, 0.8087863020553447, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.25226532143868297`, 0.8248133498764858, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.20681514301622606`, 0.9504043186101727, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.15672808152911735`, 1., 0.8504250091299222], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.09210554440189352, 1., 0.664607671501739], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.014607602691961924`, 1., 0.5458586423978016], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9388528418379017, 1., 0.47935408629130605`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8731129598282028, 1., 0.44029210415270725`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8131769608465325, 1., 0.418144664432924], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7523409660070853, 1., 0.40721820338070375`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6869505041487078, 1., 0.4026003547072801], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22720282029322622`, 1., 0.40003950633761837`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3254157242394852, 1., 0.40014877694269774`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.40535060190001476`, 1., 0.4004891162219829], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.47821924308145586`, 1., 0.40129495435465196`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5642655251657521, 1., 0.402641307951459], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7063405197553767, 1., 0.40473835788258883`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8677166292382184, 1., 0.41337204265026695`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531740349973055, 1., 0.4397386013420519], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.000027751676278308723`, 1., 0.48776355906850666`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.02964015169569683, 1., 0.5385065296069613], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04447597701526861, 1., 0.5370966033123438], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8486144727506594, 1., 0.42656364331897567`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6119922666399049, 1., 0.6955484339787131], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078594621410989, 0.9823629361825947, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6009314961806161, 0.797741213158121, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5793835240082211, 0.7714584335537982, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5239231782331921, 0.8724399766580355, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.41362118897186073`, 0.9573027553340405, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3116519529936121, 0.8953835987552485, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2522626496816047, 0.8681983600344136, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.20681514301622606`, 0.9504043186101727, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.1567321330552066, 1., 0.8850541921109729], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.09211901458089156, 1., 0.7112246629308682], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.014631750730252413`, 1., 0.587715738135543], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9388794524183723, 1., 0.5115409177016865], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8731361165051125, 1., 0.4617800314700606], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8131945849267014, 1., 0.43032647611298663`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7523455639084926, 1., 0.41314546726728674`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6869216679225832, 1., 0.40515915900184224`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6179535356390514, 1., 0.40188663818762066`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.32550869333152, 1., 0.40002464133171733`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4053648428597448, 1., 0.40008825280859117`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.47821085993370505`, 1., 0.40025458615137155`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5642424412911546, 1., 0.4005658897116059], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7062610473564077, 1., 0.40110612301171117`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8676531776011833, 1., 0.40339966093315915`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531620265107174, 1., 0.41101120338452984`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.000043962232398967594`, 1., 0.4265419534190211], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029674685013924115`, 1., 0.4457822211151614], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.044531397398299595`, 1., 0.44935066024484427`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8485184335798711, 1., 0.41034515127240856`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6119799790105152, 1., 0.5285619934966341], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078618303188441, 1., 0.7164111664836681], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.600934646024737, 1., 0.8775166099405984], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5793920157942165, 1., 0.9360787170587335], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5239335303343795, 1., 0.8874396460399628], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.41360478706553727`, 1., 0.8527025686283236], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3116357036974452, 1., 0.9415869012447868], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2522549338874242, 0.9942577069650715, 1.], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.20681025607731368`, 1., 0.9685847514063511], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.15672808152911738`, 1., 0.8504250091299224], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.09211901458089156, 1., 0.7112246629308682], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.014640306178700727`, 1., 0.6040663269918944], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9388944528809949, 1., 0.5321569063699008], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8731534464924389, 1., 0.47980863719823047`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8132126077437655, 1., 0.4427038468870802], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7523603646760056, 1., 0.420170964817132], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.686920491140852, 1., 0.4086249339291579], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6179148375571573, 1., 0.4034361010759534], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5492300718622123, 1., 0.401285060718747], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4054394588843399, 1., 0.4000134152846673], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.47823717128875337`, 1., 0.40004216095378325`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5642522820991016, 1., 0.40010212327676536`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7062207547187757, 1., 0.40021753506455293`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.867600356240607, 1., 0.40072822437080374`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531504397641385, 1., 0.4025696931752436], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.00006138643770454736, 1., 0.40674974418686694`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.02971399429632176, 1., 0.41268923945017605`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.044597868554710915`, 1., 0.4149012925476361], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8484188705084914, 1., 0.40339305737766074`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6119662046206107, 1., 0.4462562220796039], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078675124491979, 1., 0.5268953867482433], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6009413206201719, 1., 0.6158971487578343], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5793925400699562, 1., 0.6675399580158271], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5239315767275639, 1., 0.6605598893137181], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.413583547403916, 1., 0.6605815212347884], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3116134155406138, 1., 0.7447391599377146], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2522431032728218, 1., 0.8229921260175629], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2068011222077545, 1., 0.8251308508327004], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.156716469721521, 1., 0.757595444103655], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.09210554440189352, 1., 0.664607671501739], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.014631750730252411`, 1., 0.5877157381355431], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9388944528809949, 1., 0.5321569063699008], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8731597862269971, 1., 0.4869100635107754], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8132234628381894, 1., 0.4506697629463027], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7523737477068665, 1., 0.4260784485781526], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6869292222227958, 1., 0.412149096101321], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6179043743419699, 1., 0.4052731015229639], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5491835852450715, 1., 0.4021484860238585], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4831264396954823, 1., 0.4008095873731541], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4783172413114023, 1., 0.4000058807524832], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5643157914867376, 1., 0.40001552095524884`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.706252391386227, 1., 0.40003603713871266`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8675738573497853, 1., 0.400131430752465], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531416938199235, 1., 0.400505247694641], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.00007799377123241411, 1., 0.4014459413332883], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029754045634256522`, 1., 0.4029616727701237], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04466947187821262, 1., 0.4037888697958757], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8483614639211389, 1., 0.40093753819943895`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6119533050350151, 1., 0.4139676105202253], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078767066095965, 1., 0.44190463052319345`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6009516293974277, 1., 0.4783222624071678], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5793932903502479, 1., 0.5064118938800499], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5239088409094255, 1., 0.5126979945529213], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4135481002087159, 1., 0.5227008947527574], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3115878638798058, 1., 0.5789252051772259], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2522288111064706, 1., 0.6420406110890062], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.20678907830023327`, 1., 0.6641733288432469], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.1566989681746769, 1., 0.6386828329944921], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.09208066795709594, 1., 0.5899869761990165], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.014607602691961924`, 1., 0.5458586423978016], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9388794524183723, 1., 0.5115409177016865], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8731534464924389, 1., 0.47980863719823047`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8132234628381895, 1., 0.4506697629463027], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7523789483963627, 1., 0.4284094125382785], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6869363950342363, 1., 0.4144190742449854], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6179048506348055, 1., 0.4068182297596641], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.549165151978115, 1., 0.40302657600238834`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4830756958032594, 1., 0.4012424835628688], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4188965274072577, 1., 0.40046432967489504`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5644592856550854, 1., 0.4000019861996846], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7063986361304497, 1., 0.4000050280932288], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8675945716143957, 1., 0.40001998623503615`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531390070452026, 1., 0.40008369554300804`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.00009086784527136368, 1., 0.40026096105587855`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.02978899396234115, 1., 0.4005823743083245], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04473735150957298, 1., 0.40081168754242824`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8484075037843124, 1., 0.4002183080016796], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6119448571968431, 1., 0.40355156028524597`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6078896190396958, 1., 0.41161221514137936`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6009655054174704, 1., 0.42367106180426417`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5793954724529686, 1., 0.435080557641053], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5238800147294498, 1., 0.44048127197388415`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.41349082565487416`, 1., 0.4480469149341505], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.311558016010758, 1., 0.4766670125508462], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2522145983319823, 1., 0.5137120485657427], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2067762742913179, 1., 0.5354585147332058], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.15667850266704736`, 1., 0.5327833592981008], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.09204865822726997, 1., 0.514517215790729], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.014572516557901283`, 1., 0.49544092338972484`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9388528418379017, 1., 0.47935408629130605`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8731361165051126, 1., 0.4617800314700606], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8132126077437655, 1., 0.4427038468870802], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7523737477068665, 1., 0.4260784485781526], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6869363950342363, 1., 0.4144190742449854], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6179061226007216, 1., 0.4074280390869865], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5491596585293859, 1., 0.4035922351278455], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.48305327802739495`, 1., 0.4016066338195622], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.41884308964326394`, 1., 0.4006541136097485], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3545508637984712, 1., 0.4002416440883296], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7067139892914294, 1., 0.4000005907750325], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8676896551548188, 1., 0.40000256082412416`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531465619330572, 1., 0.40001168069739546`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.00009595463919920021, 1., 0.4000396774617037], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029810683254560055`, 1., 0.40009647684640626`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04478890432779067, 1., 0.40014651286534214`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.848636057528047, 1., 0.40004285776565746`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6119459337351939, 1., 0.4007607207851574], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6079064543012367, 1., 0.4027098446713496], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6009826486456131, 1., 0.4060180602648312], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5794005948518055, 1., 0.40971665138273344`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5238525910890037, 1., 0.41221479644216547`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4134327541606807, 1., 0.4157988783339444], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.311524821856102, 1., 0.427492564082555], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2521997052927058, 1., 0.44450192104241093`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2067658529148385, 1., 0.45782562951245775`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.15665946857109878`, 1., 0.46172283153362864`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.0920162870287603, 1., 0.4579122954624373], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.014534580239917836`, 1., 0.4525226913946289], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9388216059199774, 1., 0.4475376724127128], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8731129598282028, 1., 0.44029210415270725`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8131945849267014, 1., 0.43032647611298663`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7523603646760056, 1., 0.420170964817132], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6869292222227958, 1., 0.412149096101321], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6179048506348055, 1., 0.4068182297596641], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5491596585293859, 1., 0.4035922351278455], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4830471341004081, 1., 0.40175035959974376`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.41882072756097466`, 1., 0.4007763780329267], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3544961767087764, 1., 0.40031245823870804`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2888775710115835, 1., 0.40011491730954163`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8678935555010039, 1., 0.40000027648783976`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9531696702138593, 1., 0.4000013734427875], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.00008775139200324565, 1., 0.40000508205258095`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029808024168583653`, 1., 0.400013464143062], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04480675943846527, 1., 0.4000222827114606], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8491451053320416, 1., 0.4000070982484451], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6119634606396165, 1., 0.4001372445698954], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6079273935382127, 1., 0.400532723266049], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6010024389340063, 1., 0.4012889015497346], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5794104758568988, 1., 0.40226699321911635`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5238369964056315, 1., 0.4031044482257842], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4133948764275517, 1., 0.40437494469026264`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3115050436121549, 1., 0.4082950962340611], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.25218771425640113`, 1., 0.4146307409676245], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2067563837593381, 1., 0.4207169238277749], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.15664803245473916`, 1., 0.42409236292326885`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.09199325513791394, 1., 0.42462153993223284`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.014505803055300637`, 1., 0.4243220602998629], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9387967255292154, 1., 0.4239773333130971], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8730928975004736, 1., 0.42213420829597303`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8131769608465325, 1., 0.418144664432924], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7523455639084926, 1., 0.41314546726728674`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.686920491140852, 1., 0.4086249339291579], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6179043743419699, 1., 0.4052731015229639], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.549165151978115, 1., 0.40302657600238834`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.48305327802739495`, 1., 0.4016066338195622], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4188207275609747, 1., 0.4007763780329267], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.35447957171898625`, 1., 0.400340408259036], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2888271925742126, 1., 0.4001363923749154], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2221483867512, 1., 0.40005036452669657`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9532149021083788, 1., 0.4000001360678254], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.00005894170952181181, 1., 0.40000054835068954`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029766256555605643`, 1., 0.4000015829103072], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04476755531456484, 1., 0.40000285544144576`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8500500531930268, 1., 0.40000099272779616`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6120066551682447, 1., 0.400020852397755], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6079525555734943, 1., 0.4000882187432326], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6010238103782553, 1., 0.4002325703521064], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5794272249797483, 1., 0.40044566844976953`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5238470410711816, 1., 0.40066489375169084`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4134060350675925, 1., 0.4010207869227353], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.31151830090834565`, 1., 0.40210831095158356`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2521932773776336, 1., 0.40405076155188485`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2067525882994513, 1., 0.4062485149462149], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.15664484933082773`, 1., 0.4079166194424576], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.09199274760969318, 1., 0.4088141838654767], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.014502774222466146`, 1., 0.4094852246545896], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9387937578983713, 1., 0.41018619989757305`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.87308906136172, 1., 0.4102428560700653], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8131715488499411, 1., 0.4091463456169441], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7523409660070853, 1., 0.40721820338070375`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6869216679225832, 1., 0.40515915900184224`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6179148375571573, 1., 0.4034361010759534], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5491835852450715, 1., 0.4021484860238585], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4830756958032594, 1., 0.4012424835628688], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.41884308964326394`, 1., 0.4006541136097485], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3544961767087764, 1., 0.40031245823870804`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2888271925742126, 1., 0.4001363923749154], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.22211442628949415`, 1., 0.40005486853093064`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.1554489512411885, 1., 0.40002039026445846`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0., 1., 0.4000000498446379], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.029666135394509654`, 1., 0.4000001567682421], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.04464057017662037, 1., 0.4000003083298734], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.851477080879454, 1., 0.40000011738206315`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6120875334217206, 1., 0.40000266765590065`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6079819322868607, 1., 0.40001230502945023`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6010450766994271, 1., 0.4000353552930467], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5794531750997229, 1., 0.40007383048278733`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.523900348559512, 1., 0.4001200214290107], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.41350414502178595`, 1., 0.4002007036883333], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3115908672732965, 1., 0.40045144552798206`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2522317408722949, 1., 0.400944860865376], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.20677174066564813`, 1., 0.4015878206148885], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.15665823682771263`, 1., 0.40219164248387773`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.09202319236481775, 1., 0.40265842049991446`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.014547442915294178`, 1., 0.4031165123653506], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.9388335510937533, 1., 0.40364574447674234`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.8731193778888897, 1., 0.4039935114475532], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.813194913714736, 1., 0.4038846368397518], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.7523635194232943, 1., 0.4033396985025863], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6869505041487078, 1., 0.4026003547072801], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.6179535356390514, 1., 0.40188663818762066`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.5492300718622123, 1., 0.401285060718747], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4831264396954823, 1., 0.4008095873731541], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.4188965274072577, 1., 0.40046432967489504`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.3545508637984712, 1., 0.4002416440883296], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2888775710115835, 1., 0.40011491730954163`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.2221483867512, 1., 0.40005036452669657`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.1554489512411885, 1., 0.40002039026445846`], 
      Specularity[
       GrayLevel[1], 15]], 
     Directive[
      Hue[0.08949844595900024, 1., 0.40000759672319747`], 
      Specularity[
       GrayLevel[1], 15]]},
   VertexNormals->CompressedData["
1:eJw9XAlUTW0XpiISDcgUSoaiKBrFfVMaJFQqTdKM0oTKV4lEZEwhY9JAUhRp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    "]],
  Axes->True,
  BoxRatios->{1, 1, 0.4},
  Lighting->"Neutral",
  Method->{"RotationControl" -> "Globe"},
  PlotRange->{All, All, All},
  PlotRangePadding->{Automatic, Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.3927010835898256`*^9, 3.39185098253125*^9}, 
   3.3924722903446207`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"QColorArrayPlot", "[", "\n", "\t", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"QComplexToRGBColor", "[", 
       RowBox[{"x", " ", "+", " ", 
        RowBox[{"I", " ", "y"}]}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"y", ",", 
        RowBox[{"-", "2."}], ",", "2", ",", ".2"}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "2."}], ",", "2", ",", ".2"}], "}"}]}], "]"}], ",", "\n",
     "        ", 
    RowBox[{"Mesh", "->", "False"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.3926441392078257`*^9, 3.3926441440447807`*^9}, {
   3.392644219563371*^9, 3.392644222477562*^9}, {3.3926446711026525`*^9, 
   3.3926446918725185`*^9}, {3.3926447610720224`*^9, 
   3.3926447958720627`*^9}, {3.392644841858187*^9, 3.392644869988637*^9}, 
   3.392699280206688*^9, {3.392699318381581*^9, 3.3926993189223585`*^9}, {
   3.392701099322448*^9, 3.3927011034083233`*^9}}],

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJx1WgdYVMcWXhRRrKgIa2wrFjBRs3asszwbKioWLImaxY4lYp4iwbY+eyQB
S3QjqKuxQEBERcWnhI2KYgFRAQFBLh1hKTEWRIVHwjl3wpmX/T6/6/3vfMPM
+efMqZ3nr5q6qL5CoWgD//78f9HWGbO/ss9m5dmKrTuP5DHFX79y9nj76mMH
dFlMPTggrtXiXBkvTHmYvi5JYv5OV08lNciR8TeBnQ5UO0hMkaF01Ppkyfgc
vW21f9Vzpuj9/cRxOzJl3Nj8qL3/+Zr3sBX5btcyOD4oJafNZYn1j1vrMfLH
dBk3dFy3QJWcxczvd5uXePiZjKtCvPcsGZjDnN0e2RxPS5NxK+XOuKbxuazC
1eF7D3eO6yz6rP74fT4rb3vr1utBHNdaNXt3Zn6hMN6zuqy6cGCRML90O+D+
uLfFwnqksOyEPQdK2DC6/slLMrPNy4T9yn8f5KQaEJPS5XqZKFejxZxjYaUC
D66HbAadeFgi8GZwSX605ROOI8+K427JT3eb5HH+Lfw6P0jjvE9f0WFJVLTE
NC1nNIv347ybj/pt0quSTFZYkppa2IrzHumzLOz+1OdMWvwhpsdXnHfn8Sfa
eFxJZ9rMiNum7OcyrrG7cHNX1DNmZd4/ptSBy8044zPDon0ZLKF/rwKXyFQZ
V3uccTA1kZjWfe3eTd+m8PEhl23bnM5iTWOrrgZuecrl3PLVynzfHKZaE1AV
m5Ms467Zvmfmh+Sxnrv7Hf3uLMe1QbNbVuUWCOM1kc6jr35SJMyvG9ta9URt
EtajKNP9/EerUmH9UrlRcfFSmbBfKifPS172I4pKBbnqkh1bDrtXIvCgitgx
sWWuScZnAW+qL+/MLvvcJJwHjVf2xthTxfK5id26qdu8IfnCvMoGg9x/yOS8
KyL1mh62NfyNHux9zpnzbu113HZ1z3Tmv2qvk8NKzjvqlXbmDPeFezjvDk9f
Dpo9LoWFV+bZdz/C5aO5Vyz1f5rCUpzKHq724vLXxT66MevUM6Ye0kiVmpbI
+XX0uxe9OJOZvxi63efHJ3y8VdcPX5pls9yE4YHGm4/5esx2b3twNJfdati1
Vd/1HFekVE7Zpi0QxqtnzZg717aINSLzS44BvY2HTcJ6pGtb1h19WMrSyfrp
vjVfW+xqO6NMkJMm6/J55+QSQa66CWy8VbBJ5MG2tUPejWKBNymwx+3lthxH
nlVuU660DSiS7xHvH2y6d7qZL5wz9donH0rn5QnrUATb+/eM4LwrPn70W5aT
yqQR1a/HXuK8o54YBrraDw3mvFf0n+QeoEximvjjZ12bc94NytzYj68eC/LX
/bLm3hmLZKaNn7bzeVAC19NzTVp5f5PG9KOPd1leHCfj4a47ncdaScyhYupE
p/P3ZTzBSm/jPDeHaXcYIzRF9/g8K+MaW6bnC+ON32ZHH3UqEuYv37tqXrsp
JcJ6VOmhHu4FZcL66b5d+yXP7tagVJBTuPPMu+oVJkGuhujqKSuHFYs8tAp+
32R+kchbrHua170Xgr3QNbf8Wlr0Qra/mnZ7lLHrC4R7R+GcuUKpzBfOZWxB
gd2YhbnCuiMrk98ecsmW8Q266BKLwESmNUzu22Att+8bjk468Vb/iEnBx/6Y
3Jvzrmi8x++XPnHMUDC3+NSJRxwPdBw+82Acm6Vy3u8ZeIfzMmmO/42qJ8w4
Occz/t0Nfm/4HBj0heoZM/ykMl/+azSf56cFb+NTspin32CvMt8o7g8kXx1l
WJIvjNeFNp7eKrpImF+VtdVtx5ZSYT10H+Hx/cJs15cK+3b1mfl02gCTICer
8isZuv1FglxdPRwWDVzzQuBB3c0nOuJKocCbKuP3DoEjOY48S+GKJbr6hbKf
kfKs3+GXHnwc2iGVlW/4Lmt+HvCeUnStn7xqaZ5wjv2NPfq6TMgR9lneuTh6
b4DE70/QK6sO1Ru853N/Kbzz60NNXt1k2rd/mD65zXmXCht1HfE6khndJjhN
CLnO+TXUCDDiNtOc6nLy+KdBf7v/HZqv2VBz/8a4eVX47ya84DrwV3N+hsSk
WTrkC+M1+xaMWpNULMxP16W9MHPOiN383o6EfRhdtq563dYk7Fv3eZK19bUX
4nnoNaxlkbpQkKs0e+MmMyeRB8PYNzHDrnO9VAJv0u/NLpRu5jjyrFpfb3bk
v/Nlv9nzlo9ljD9fB/ol6nnjD3b6kq8D7W6Qtc+Hj3F8XrzXlPr5UT/czRXO
ffnn3RQTO2cL/EpZ9WNK1Ny/VXnaLA62imCKAV1vdrr5hMhZoTgWoA+8MTmK
Vf/1K2P1erbrnjU0RP7+/uyf+yth45K/8DmVHyfjlf17Nd2hNLEpHTucjtv4
TMZr34uZx+aDZ9OP5sr4Bxg/8n3jxEMNTRyH+em6fE0rQhvO+Bu/sA/dRfWE
7YZCYd+6mevr+y7MF+Tkvy/q5w6f5Qly1bpe95+izxV40PhuLB6yMlfgTTPM
JcNiC8eRZ7WdJiT9aq4ch0ghJROWl/H7Bf3UFKvx23xL+HlAPyY8aXHbNwF8
P2jnwt0XjWyfyvcj34Nd8q43/IavA/WkXKMfsU+ZJcjRNjV1VovQFJlfxEOC
z6x2DHnAap+cj5TQi+3GNA1mDcZ4T11ecx8m9fmXZ7crv8nfXzVtdsiuMp+5
tz9+8o55sozXvuczne7DkNm+2TL+GsY3hPkQH9Akqvx0TgELJX/fKXq42zJd
nrCPNa33T6sIzhH2rUov3N7GIluQkyrPtMR6LZfHQpCrbvsoxbT1WQIP2rFH
vLweZQm8Scc8b/WdzOdHng2Du+VUZWTLcankdmt09GZ+XtGuxL4b+OJszN/8
RfBrrU5UjDSL5+dE9nvO7T0Zv56fE7SLnlEtfewN/J7Ce7P8u6hYqThXkNev
lvoGHnsl9r6OfikUyxLM/LKnJsv8Ih6/+sDLo+9usdpnLvvQ2Kb1yQXH5O9m
wXebutllsZfNWpw6bfZQxmvfM1lYhdo0yJ7f//Vg/COYD/ELvzxf/rVXpnAe
TlwrbfOqRp+qyHp9nIN/S52WJuzbOM/y5329UgU5KXpNGqUfxscbQK7GUWed
lVXPBB6kk+M/rnuXIfCmS/Qv0Lzh/hTynDD95Oi9JZKcp5DqD192YQD3PzCO
NfSf2PvVE36v4b2jCbROWu7KcfSDg35P79jpMD8/6Cf599u1fMwBfn7QjiZ4
2tsomxQJvLdwPbvQtD2P4f2MeFG33pMvJWUy1F/Ez1u+n+infMKQX8Sv7anf
tKPXZVb7TGb/nber/eM2Rvl77XsCi4bviN8Pqrf7YEoCa0Dm0/urDw2YFc/e
kL9vXvg0qtPwB+wjWW/Y/uoji8ffE/at+elO73Mr7vL7H+SkjX77otkdHh84
glyN+rKl808mCjxo9dYvC+14/qAr8CY1NjshDeXnBHnWjAuLNH+TIeSt8Enz
GvgU4l540rgIn9Rvpvz+E452F5+I472MT8RRb/FJecWn4h9+0f/wvZLMh78F
5O/jbzpZ7//fp4ijnKi8loJclxL5Ig+UD+SN8oc845PmJRNB72neCvWexqWj
QO9p3BsKek/jom2o98Rvjq2j99yvagl6jzja3XzQe8TxXr4Aeo846nEE6H00
6Dvl+QaMewx6jrgFzHsG9Bxx1HdL0HPEUd/r6jnntyfqOdn/fNDzcCKvWNBz
RyLfhaDnlA/U866EPxfQc+RbyDuDnad5yVtg52neyhrsPM1rfAirtfM07l0B
dp7GRXXtPPeb0c4jjnZ1Edh5xNEO3wE779yk1r7Te7oS7DvV47Ng3y3I+Ccw
73Ww64hbwjpCwa4jXg3r3lTHrnPeH4Bdp/tvBHadyisN7LqByDcX7DrlYxvY
dcrfXbDryDetK6SDX0/zzujX07xkBPj1NG+Ffj3Na1TY1fr16Nci/qqOX8/l
pAK/HhH0o0PBr6fnIQ38+kLw56kdXgD+PL2nN4E/T8cjv47gx9N11PXja/xH
WHddP57vpyf48XT/HcGP1xJ5bQM/fiGR7xLw4ykfyeDHU/6CwI9HvmndCON4
WlfoCXE8zTsbII6n9017jOMhLkUc43jMayCOcTzGvYg3qhPHc/kZII63g/id
+tFfQPxO/azpEL9TO7wM4nc6nkH8Xk3mR3796sTtfH3/gbid7mcDxO10/wcg
bm9E5DUH4nYTke8EiNspH8Mgbk8k/PWGuF3mm9QFMW9H60YOkLeT83XIC+Tt
MK8k7wPydpiHQtwEeTs1sVeYtwsn8sC8HdUPzNtpIV+HON6fcr4O8Lr2lOcN
kSk5X0fGO0K+js6P74shT0fXdx3ydJTfrZCno/ufCnk6Kq8CyNNR+e6DPB3l
Ix/ydErCnz3k6ZBvrPvK+4I8vZyfRzlAnp76/5inp/YkAvL0mHeWeYQ8Pd2f
nKcn5x3z9CrIzyOO9iMW8vPyeQD7iPl5xNFfqtDX5ucRR/9ZCfl5Ot4X8vN0
fivIz8v7IvdzGOTlqf5Ogrw83T/m5am8MC9P5dsH8vKUj+6Ql6f8lUFeHvmW
6/rwfQ3U5bCug3hXqMvJdSDAG2FdDupGMo9QlxPq4lCXo+fXGepyWI9DHO2H
P9TjEEd7h/U4eX7wf7Aehzj6w1iPQxzjI6zH0fGRUI+j85ugHkfXg/U4xOn9
PBPqcHT/F6EOJ8gL63BEvg2hDkf56At1OMof1uGQb6zL4nesw2MdF/H2WIfH
ui/gWIenf98X6vD0PM6COjy9n4xQh1dD/R1xzEN7Q/0dcfRnsP6OOOaxvKH+
Ts8P1t8Rx/i34mlt/Z2Ox/q7fM5h/hSov9P1JEL9HXFqfwdD3Z3u3wXq7lRe
m6HuTuUr190JH4VQd6f82UHdHfnGPgz8jn032LeBOPbd0Pmw74aer3Tou6H3
jTf03Wih3wZxtEfYb4O4XB+CfhvE0V+NhX4bxFFfgqDfBnGMZ12g3wZxzG8s
hX4bOh77bej8G6Dfhq6nEfTbII7+Ffbb0P3i+wros6Hy2gB9NlS+7aDPhvJh
A302lL8x0GeDfMt9V/Ad++zoecA+O3o/6KHPjtqLivTaPrs5xH/APrtw7K9D
HPyN69BfhzjWkfTQX4c4xiNq6K9DHONTa+ivk9cD+YoN0F8n7xf0ayn019Hx
3tBfR+cvhP46uh7sr0Mc/ecg7K8j+8X3T6GvjvpbldG1fXVUvlOhr47ycRL6
6ih/lYbavjrk+38/KWdH
   "], {{0, 0}, {21, 21}},
   ColorFunction->RGBColor],
  AlignmentPoint->Center,
  AspectRatio->1,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->True,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->Automatic,
  PlotRangeClipping->True,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{
  3.392699283841915*^9, 3.3926993198036256`*^9, {3.392701099973384*^9, 
   3.391850983875*^9}, 3.392472290871471*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QSpinorDensityPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{"I", " ", "x"}], "]"}], ",", 
     RowBox[{"Exp", "[", 
      RowBox[{"I", " ", "y"}], "]"}]}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", " ", "\n", "\t", 
   RowBox[{"PlotPoints", "->", "20"}]}], "]"}]], "Input"],

Cell[BoxData[
 StyleBox[
  GraphicsBox[{RasterBox[CompressedData["
1:eJzl0aENg1AARdFPKljgL1BUHROwABKFJsG2ggW6ABOwABOwABOwABOwAK6/
wVyJv+Ilx77cZ/dp3o8Qwistpv39TQvZNZtHeIJneIFXeIN3+IBPOIcjXMAl
XME13MI9PNz4aLCt7ySzre8ss63vIrOt7yqzre8ms63vLrOt7yGzre8ps61v
LrOtb5TZ1reQ2da3lNnWt5LZ1reW2da3ldnWt5fZ1neQ2dbXbEPfH0QZmEQ=

     "], {{-Pi, -Pi}, {Pi, Pi}}, {1, 256},
     ColorFunction->Hue], 
    {GrayLevel[0], 
     LineBox[NCache[{{-Pi, -Pi}, {-Pi, 
         Pi}}, {{-3.141592653589793, -3.141592653589793}, {-3.141592653589793,
        3.141592653589793}}]], 
     LineBox[NCache[{{Rational[-9, 10] Pi, -Pi}, {
        Rational[-9, 10] Pi, 
         Pi}}, {{-2.827433388230814, -3.141592653589793}, {-2.827433388230814,
        3.141592653589793}}]], 
     LineBox[NCache[{{Rational[-4, 5] Pi, -Pi}, {
        Rational[-4, 5] Pi, 
         Pi}}, {{-2.5132741228718345`, -3.141592653589793}, \
{-2.5132741228718345`, 3.141592653589793}}]], 
     LineBox[NCache[{{Rational[-7, 10] Pi, -Pi}, {
        Rational[-7, 10] Pi, 
         Pi}}, {{-2.199114857512855, -3.141592653589793}, {-2.199114857512855,
        3.141592653589793}}]], 
     LineBox[NCache[{{Rational[-3, 5] Pi, -Pi}, {
        Rational[-3, 5] Pi, 
         Pi}}, {{-1.8849555921538759`, -3.141592653589793}, \
{-1.8849555921538759`, 3.141592653589793}}]], 
     LineBox[NCache[{{Rational[-1, 2] Pi, -Pi}, {
        Rational[-1, 2] Pi, 
         Pi}}, {{-1.5707963267948966`, -3.141592653589793}, \
{-1.5707963267948966`, 3.141592653589793}}]], 
     LineBox[NCache[{{Rational[-2, 5] Pi, -Pi}, {
        Rational[-2, 5] Pi, 
         Pi}}, {{-1.2566370614359172`, -3.141592653589793}, \
{-1.2566370614359172`, 3.141592653589793}}]], 
     LineBox[NCache[{{Rational[-3, 10] Pi, -Pi}, {
        Rational[-3, 10] Pi, 
         Pi}}, {{-0.9424777960769379, -3.141592653589793}, \
{-0.9424777960769379, 3.141592653589793}}]], 
     LineBox[NCache[{{Rational[-1, 5] Pi, -Pi}, {
        Rational[-1, 5] Pi, 
         Pi}}, {{-0.6283185307179586, -3.141592653589793}, \
{-0.6283185307179586, 3.141592653589793}}]], 
     LineBox[NCache[{{Rational[-1, 10] Pi, -Pi}, {
        Rational[-1, 10] Pi, 
         Pi}}, {{-0.3141592653589793, -3.141592653589793}, \
{-0.3141592653589793, 3.141592653589793}}]], 
     LineBox[NCache[{{0, -Pi}, {0, Pi}}, {{0, -3.141592653589793}, {
        0, 3.141592653589793}}]], 
     LineBox[NCache[{{Rational[1, 10] Pi, -Pi}, {Rational[1, 10] Pi, Pi}}, {{
       0.3141592653589793, -3.141592653589793}, {0.3141592653589793, 
       3.141592653589793}}]], 
     LineBox[NCache[{{Rational[1, 5] Pi, -Pi}, {Rational[1, 5] Pi, Pi}}, {{
       0.6283185307179586, -3.141592653589793}, {0.6283185307179586, 
       3.141592653589793}}]], 
     LineBox[NCache[{{Rational[3, 10] Pi, -Pi}, {Rational[3, 10] Pi, Pi}}, {{
       0.9424777960769379, -3.141592653589793}, {0.9424777960769379, 
       3.141592653589793}}]], 
     LineBox[NCache[{{Rational[2, 5] Pi, -Pi}, {Rational[2, 5] Pi, Pi}}, {{
       1.2566370614359172`, -3.141592653589793}, {1.2566370614359172`, 
       3.141592653589793}}]], 
     LineBox[NCache[{{Rational[1, 2] Pi, -Pi}, {Rational[1, 2] Pi, Pi}}, {{
       1.5707963267948966`, -3.141592653589793}, {1.5707963267948966`, 
       3.141592653589793}}]], 
     LineBox[NCache[{{Rational[3, 5] Pi, -Pi}, {Rational[3, 5] Pi, Pi}}, {{
       1.8849555921538759`, -3.141592653589793}, {1.8849555921538759`, 
       3.141592653589793}}]], 
     LineBox[NCache[{{Rational[7, 10] Pi, -Pi}, {Rational[7, 10] Pi, Pi}}, {{
       2.199114857512855, -3.141592653589793}, {2.199114857512855, 
       3.141592653589793}}]], 
     LineBox[NCache[{{Rational[4, 5] Pi, -Pi}, {Rational[4, 5] Pi, Pi}}, {{
       2.5132741228718345`, -3.141592653589793}, {2.5132741228718345`, 
       3.141592653589793}}]], 
     LineBox[NCache[{{Rational[9, 10] Pi, -Pi}, {Rational[9, 10] Pi, Pi}}, {{
       2.827433388230814, -3.141592653589793}, {2.827433388230814, 
       3.141592653589793}}]], 
     LineBox[NCache[{{Pi, -Pi}, {Pi, Pi}}, {{
       3.141592653589793, -3.141592653589793}, {3.141592653589793, 
       3.141592653589793}}]], 
     LineBox[NCache[{{-Pi, -Pi}, {
        Pi, -Pi}}, {{-3.141592653589793, -3.141592653589793}, {
       3.141592653589793, -3.141592653589793}}]], 
     LineBox[
      NCache[{{-Pi, Rational[-9, 10] Pi}, {
        Pi, Rational[-9, 10] 
         Pi}}, {{-3.141592653589793, -2.827433388230814}, {
       3.141592653589793, -2.827433388230814}}]], 
     LineBox[NCache[{{-Pi, Rational[-4, 5] Pi}, {
        Pi, Rational[-4, 5] 
         Pi}}, {{-3.141592653589793, -2.5132741228718345`}, {
       3.141592653589793, -2.5132741228718345`}}]], 
     LineBox[NCache[{{-Pi, Rational[-7, 10] Pi}, {
        Pi, Rational[-7, 10] 
         Pi}}, {{-3.141592653589793, -2.199114857512855}, {
       3.141592653589793, -2.199114857512855}}]], 
     LineBox[NCache[{{-Pi, Rational[-3, 5] Pi}, {
        Pi, Rational[-3, 5] 
         Pi}}, {{-3.141592653589793, -1.8849555921538759`}, {
       3.141592653589793, -1.8849555921538759`}}]], 
     LineBox[NCache[{{-Pi, Rational[-1, 2] Pi}, {
        Pi, Rational[-1, 2] 
         Pi}}, {{-3.141592653589793, -1.5707963267948966`}, {
       3.141592653589793, -1.5707963267948966`}}]], 
     LineBox[NCache[{{-Pi, Rational[-2, 5] Pi}, {
        Pi, Rational[-2, 5] 
         Pi}}, {{-3.141592653589793, -1.2566370614359172`}, {
       3.141592653589793, -1.2566370614359172`}}]], 
     LineBox[NCache[{{-Pi, Rational[-3, 10] Pi}, {
        Pi, Rational[-3, 10] 
         Pi}}, {{-3.141592653589793, -0.9424777960769379}, {
       3.141592653589793, -0.9424777960769379}}]], 
     LineBox[NCache[{{-Pi, Rational[-1, 5] Pi}, {
        Pi, Rational[-1, 5] 
         Pi}}, {{-3.141592653589793, -0.6283185307179586}, {
       3.141592653589793, -0.6283185307179586}}]], 
     LineBox[NCache[{{-Pi, Rational[-1, 10] Pi}, {
        Pi, Rational[-1, 10] 
         Pi}}, {{-3.141592653589793, -0.3141592653589793}, {
       3.141592653589793, -0.3141592653589793}}]], 
     LineBox[NCache[{{-Pi, 0}, {Pi, 0}}, {{-3.141592653589793, 0}, {
        3.141592653589793, 0}}]], 
     LineBox[NCache[{{-Pi, Rational[1, 10] Pi}, {
        Pi, Rational[1, 10] Pi}}, {{-3.141592653589793, 0.3141592653589793}, {
       3.141592653589793, 0.3141592653589793}}]], 
     LineBox[NCache[{{-Pi, Rational[1, 5] Pi}, {
        Pi, Rational[1, 5] Pi}}, {{-3.141592653589793, 0.6283185307179586}, {
       3.141592653589793, 0.6283185307179586}}]], 
     LineBox[NCache[{{-Pi, Rational[3, 10] Pi}, {
        Pi, Rational[3, 10] Pi}}, {{-3.141592653589793, 0.9424777960769379}, {
       3.141592653589793, 0.9424777960769379}}]], 
     LineBox[NCache[{{-Pi, Rational[2, 5] Pi}, {
        Pi, Rational[2, 5] Pi}}, {{-3.141592653589793, 1.2566370614359172`}, {
       3.141592653589793, 1.2566370614359172`}}]], 
     LineBox[NCache[{{-Pi, Rational[1, 2] Pi}, {
        Pi, Rational[1, 2] Pi}}, {{-3.141592653589793, 1.5707963267948966`}, {
       3.141592653589793, 1.5707963267948966`}}]], 
     LineBox[NCache[{{-Pi, Rational[3, 5] Pi}, {
        Pi, Rational[3, 5] Pi}}, {{-3.141592653589793, 1.8849555921538759`}, {
       3.141592653589793, 1.8849555921538759`}}]], 
     LineBox[NCache[{{-Pi, Rational[7, 10] Pi}, {
        Pi, Rational[7, 10] Pi}}, {{-3.141592653589793, 2.199114857512855}, {
       3.141592653589793, 2.199114857512855}}]], 
     LineBox[NCache[{{-Pi, Rational[4, 5] Pi}, {
        Pi, Rational[4, 5] Pi}}, {{-3.141592653589793, 2.5132741228718345`}, {
       3.141592653589793, 2.5132741228718345`}}]], 
     LineBox[NCache[{{-Pi, Rational[9, 10] Pi}, {
        Pi, Rational[9, 10] Pi}}, {{-3.141592653589793, 2.827433388230814}, {
       3.141592653589793, 2.827433388230814}}]], 
     LineBox[NCache[{{-Pi, Pi}, {Pi, Pi}}, {{-3.141592653589793, 
       3.141592653589793}, {3.141592653589793, 3.141592653589793}}]]}},
   AlignmentPoint->Center,
   AspectRatio->1,
   Axes->False,
   AxesLabel->None,
   AxesOrigin->Automatic,
   AxesStyle->{},
   Background->None,
   BaseStyle->{},
   BaselinePosition->Automatic,
   ColorOutput->Automatic,
   ContentSelectable->Automatic,
   DisplayFunction:>$DisplayFunction,
   Epilog->{},
   FormatType:>TraditionalForm,
   Frame->True,
   FrameLabel->None,
   FrameStyle->{},
   FrameTicks->Automatic,
   FrameTicksStyle->{},
   GridLines->None,
   GridLinesStyle->{},
   ImageMargins->0.,
   ImagePadding->All,
   ImageSize->Automatic,
   LabelStyle->{},
   Method->Automatic,
   PlotLabel->None,
   PlotRange->Automatic,
   PlotRangeClipping->True,
   PlotRangePadding->Automatic,
   PlotRegion->Automatic,
   PreserveImageOptions->Automatic,
   Prolog->{},
   RotateLabel->True,
   Ticks->Automatic,
   TicksStyle->{}],
  StripOnInput->False,
  Antialiasing->False]], "Output",
 CellChangeTimes->{{3.3927011625133123`*^9, 3.391850984953125*^9}, 
   3.3924722910122957`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\
eJztnU1IJNsVx0+jzptx0uXHQoJuxhAICYY4k4UbV1kkhhDwY/HAjcojMgNK
wryHunanq7gJIi0uBJcBITCo+2x050YU1MUsRBQ/N352vKeqOtV6+6vuUHVu
9b+ZutN1+tw6/3N/dcv2lH37ryM/ffzb+MhPn34YefenzyP/+Pjphx/f/fHv
n59MNSmi1Ee1vSP1PEvkN9mnf9lPqlGWyp6/4//qaGdnh/r6+iiTydDExASt
rKzQ77zXlpaWqLW1lbq6unjr6OjIvXZ8fMx91GNhYYGOjo6ow3vt4OCAhoaG
aHFxkf/f398v2q9YvM4iOtP5qezt7dHW1hbvXVxcUGNjY+7Qd3d3NDo6Sufn
52y5vr6m9/yshqWo19Wen0J/fz99+fKF99bX16m3t1frX+z4nUV0edJ/7h1S
hfIfboDvaHl5mV/1t4eHB7a1t7fTrwr2e5XX7/LykqamphSBXxfsUpfXxc/u
t576pqYmOj095b2zszNqaGjQjkSnZwuEpN97tqB0L/N2/q+W1tbW+DAtLS20
ubnpH/n29pYGBwdpY2OjCKdXlEql6Obmhvfu7+/Z5ylap6ZL4UO/UOFp/IXX
4/HxkVZXV6m7u9tLs5Zt6tnu7i61tbUVO5fUCJ6cnJQ5gi8O/UGj4tmZ74+5
2ru6uqL6+vrcmbm9vU09PT2508FxnBwrdcjnvAcGBvLOfDXpdP6dJY+v1/VM
ujrk+Pg4zc7O0uTkJM3NzeWkK6BjY2M0MzPDc35+ft57rZavI9PT09Tc3Kzk
+OoPDw9pZGSELz3Dw8OBS8+LLp1FonQWUZcOd8ENPm9S//FU+141qYD1Sad7
bc/NxvrAqeKbv9PYXn9jvyhiQLPE3F6cgjhBq1mzvNxwgkKz6NyKnqDc4a2m
73sD2weDvm9yqvLmUb4TtwOqSX0zzxrV8vj8RTV1ZffxbJS9583hNt+W1tjK
9TPpKylG1FryGAGkvVoAEiBlJxZ3DDEg3Tcc+gJpLSBbpaUkZF0pGZDt0lIQ
MlV+H4DZ13nu3ltpDtUgNPm4Y8QBWz1qA5zfeL8iPrvpgHlsl5aC89gvNwVv
2ISC+58sb2luPdtwljeHW8/WnOUtza1r+8PTb+FqS3Pr2v759ExtDreu7evT
s6/s9zVny9IWbw63vm2KtzS3vu03vKW59Wy/dDeHW8/22d3S3Hq2/7qbw61r
O866W5pb1/avrLs53Lq2nqy7pbn1x+9nvKW59W2DvDnc+rZ/85bm1uAnse7W
FiAnDLLu9h8gJwRyqN+AARIgARIgARIgqxnkt75pB/hC4bNPHj4PlRNEpcNX
oZ9JX0kxotOS/0cG2dK38IFRrpbwP0uFJxZ3DIC0aPAkaQFIgJSdWNwxANKi
wZOkBSCrHiSKABYVAQAyISDZB/gk4jOr5gCjEIy4nAIkQAIkQIoBmVWWkPcq
dVA9W1pjK9fPpK+kGFFrCT+LhScWdwyAtGjwJGkBSICUnVjcMWSBZB/gk6jF
rAIkNi0ZMWTNQoC0RgsKB1VbOABIgARIgARIgARIgARIgJQFkn1q8m9y1VRc
OvCwOQFsOpSV+pn0lRQjai3h567wxOKOAZAWDZ4kLQAJkLITizsGQFo0eJK0
AGTSQfqLqem+3a3kYmrCk447hjjIuu/BA2S7tBSETBV94WAdKk3JqDT569kG
vzixvIWnQTNWmuqhW3j62RdMYkVT+9AW/SGs+0pOQE4YZN3XlgJyQiDjLh1A
AqQVIPltVrhPF/qwnAAsHcBK/Uz6SooRtZbQs1h6YnHHAEiLBk+SluIg2Qf4
JGox+iyT3LRkxJA1CwHSGi0ACZCyE4s7hjUgUTiwvXAAkAAJkAAJkAAJkACZ
GJDsA3wS8YUryxnc4tJh8W1pja1cP5O+kmJErSX0JVh6YnHHAEiLBk+SFoAE
SNmJxR0DIC0aPElaABIgZScWdwxZINkHhYPkFA6AURhGw8spQAIkQAIkQAIk
QAIkQAKkYJAG9y19CE4Agg5MpX4mfSXFiFpL6FksPbG4Y8gCyT7AJ1GLUQVI
bloyYsiahQBpjRaABEjZicUdAyAtGjxJWlA4qNrCAUDaBdJfE+/4+JgymQw7
Lyws0NHREdbESwrk+gA0tcy02gPchMCl0ktLe/VcxZ7LuVh9WDZn9QiuPoz5
mwyuuDhXG9w3nlmtG+4DLri6f5Gbbq+900K9TZuenqbm5ubc1bzIeaJn49rS
Glu5fiZ9JcWIXEvY36fEJwaQAGmlFoAESNmJASRAWqkFIKsBJPsAn0Qt+OiZ
siW9xgCQAAmQAAmQAAmQAAmQAAmQABk3yCK3MwsVDtwhdfKGVDfMlfmZ9JUU
IzotRoUDuWnJiBG5lvB1WOGJASRAWqkFIAFSdmIACZBWagHIKgeJwoHthQOA
tBAk+wCfRHz4M5BEYMTlFCABEiABUgzIUre4isD3B9IJDqRucCv0M+krKUbk
WsIXDoQnBpAAaaUWgARI2YkBZLEKkPh0qgaf4d/zSE1LRgxZsxAg7dGCwgFV
aeEAIAESIAESIAGyykH6KxAfHBzQ0NAQLS4u8v/7+/tYBzFpkPv7+3m1WrW3
vr5Ovb29gJw0yE1NTXR6esp7Z2dn1NDQ4EJ+se4wj9TT48+aF2peHPkVpVIp
urm54b37+3v2e3h4qClxBmlH3rOlNbZy/Uz6SooRuZZyzqCTk5OXZxAg26Ol
FOSBgYG8nwV9fX2AbJuWUpAPDw9pZGSE39UNDw+X9a5OfNKAXGbBWXpiAAmQ
VmoBSICUnRhAAqSVWlBw1gxKkspU+LiabHy1efiy+LianRhxOQVIgARIgARI
gJTzuUNvgJzgAOkGrUI/k76SYkSuJXThQHpiAAmQVmqprHAgPp2qwWdUOJCb
lowYsmYhQNqjBSABUnZiAInCgXbwElc4AEiABEiABEiABEiATAxI9gE+ifjC
leVMbnFphsK3pTW2cv1M+kqKEbmW0IUD6YkBJEBaqQUgAVJ2YgAJkFZqAUiA
lJ0YQBYrHIhPp2rw4YNAymZ9/cfwcgqQAAmQAAmQAAmQAAmQABk/SH99u+Pj
Y8pkMuy8sLBAR0dHhde3K3JPsz7Q5+7ujvdKrZPnD5QTGCjd4FXqZ9JXUoyo
tRQ8WQC3GuE+X+1YHatBaHZxx4iDpnrUlgMSs9QaLQVn6RvP/Pj4mANcB7hW
aSnxZqyW34xNT09Tc3OzAgy+dmkJ/VuT9MTijgGQFg2eJC2oYyS9jgGQAAmQ
AAmQ+FxSleHDnxclAiMup1UOMqss4T4pqEvSt6U1tnL9TPpKihG1ltCzWHpi
cccASIsGT5IWgARI2YnFHQMgLRo8SVoAsipAsg/wSdSCChBVc+EAIAESIAES
IAESIAESIAESIAEyIpBZZSly35K7BJH7aTiBNHSpVepn0ldSjOi0GBUO5KYl
I0bUWkJfgqUnFncMgLRo8CRpAUiAlJ1Y3DEA0qLBk6QFIKsdJAoHthcOABIg
ATIukOwDfBLx4e95EoERl1OABMgkgMwqS7iP5vninTzxuoQq8zPpKylG1FoM
ZrHsxOKOAZAWDZ4kLQVB+msTLy0tUWtrK3V1dfHW0dFRckFL6UnHHUMcZLWQ
5ejoKJ2fn7Pl+voakC3TUhCyv2rp5eUlTU1N0f7+vvtO6vnawupYDUKziztG
HDTVQ7e28O3tLQ0ODtLGxgZmqWVaSszSWl5bWD3b3d2ltrY28LVLS8kftdvb
29TT08N76orsOE4Zkxg1DCtqGD7k+/t7Ghsbo5mZGZqYmKD5+XlATgpkVBwB
EiABEiABEiABsjpBlrorx12AXCJyw79w0YV0bWmNrVw/k76SYkStxeASLDux
uGMApEWDJ0kLQAKk7MTijgGQFg2eJC0ACZCyE4s7hkUgUQ6QUQ4oByT7AJ9E
fPi8UiIw4nIKkAAJkAAJkAAp6BOErignT5ROaGV+Jn0lxYhai8Eslp1Y3DEA
0qLBk6Sl4sKB7HTijhGdFsPCgdS0ZMSQNQsB0hotAAmQshOLO4ZFIFE4sLtw
AJAACZAACZAACZAAmRiQ7AN8EvGFK8sZ3eLSoPdsaY2tXD+TvpJiRK3l216C
BSUWdwyAtGjwJGkBSICUnVjcMQDSosGTpKUgSH8ptZ2dHerr66NMJsNLqa2s
rIRbSk1Q0nHHEAd5b2+Ptra2eO/i4oIaGxsB2TItBSH7y9Y+PDzQ8vIytbe3
u3Bfrj98z+sPS8wu7hhx0FSP4PrD/hK1a2tr/FpLSwttbm5iYUtbSktlTlS1
BPHq6ip1d3dj1dKkwPV/1PqrwKu9q6srqq+vB+SkQVYzeHx8nGZnZ2lycpLm
5uYAOSmQcScOIAESIAFS7CcIuR0ox/OtxvbewPbBoO9brWD2kSTzTU5V3rjm
3zen//86EzR/p7G9/sZ+UcSAZom5vTgFcYJWs2Z5uRU9QdnwfcBKqf8BZ/8l
jw==\
\>"]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{615, 723},
WindowMargins->{{19, Automatic}, {Automatic, 3}},
Magnification->1.,
FrontEndVersion->"6.0 for Linux x86 (64-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 168, 4, 32, "Input"],
Cell[761, 29, 320, 7, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1118, 41, 114, 1, 73, "Section"],
Cell[1235, 44, 526, 15, 99, "Input"],
Cell[CellGroupData[{
Cell[1786, 63, 394, 11, 32, "Input"],
Cell[2183, 76, 9212, 192, 374, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11432, 273, 727, 17, 77, "Input"],
Cell[12162, 292, 12293, 227, 367, 4804, 103, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[24470, 522, 345, 8, 111, "Text"],
Cell[CellGroupData[{
Cell[24840, 534, 838, 21, 99, "Input"],
Cell[25681, 557, 21628, 378, 374, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47346, 940, 993, 24, 99, "Input"],
Cell[48344, 967, 175540, 2921, 673, 156408, 2605, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[223921, 3893, 1218, 34, 99, "Input"],
Cell[225142, 3929, 6383, 131, 377, 2714, 69, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[231562, 4065, 1161, 32, 99, "Input"],
Cell[232728, 4100, 15540, 290, 367, 9001, 181, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[248305, 4395, 827, 21, 55, "Input"],
Cell[249137, 4419, 344885, 5917, 303, 253650, 4419, "CachedBoxData", \
"BoxData", "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[594059, 10341, 1660, 44, 209, "Input"],
Cell[595722, 10387, 12503, 250, 366, 7266, 162, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[608262, 10642, 817, 19, 77, "Input"],
Cell[609082, 10663, 12376, 250, 366, 7192, 162, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[621495, 10918, 2175, 51, 187, "Input"],
Cell[623673, 10971, 282839, 6472, 304, 147839, 4257, "CachedBoxData", \
"BoxData", "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[906549, 17448, 976, 22, 99, "Input"],
Cell[907528, 17472, 6336, 129, 377, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[913901, 17606, 509, 15, 77, "Input"],
Cell[914413, 17623, 13435, 269, 375, 8762, 190, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
