(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    248994,       4291]
NotebookOptionsPosition[    247583,       4237]
NotebookOutlinePosition[    247957,       4254]
CellTagsIndexPosition[    247914,       4251]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[":Examples: from VisualizeVector", "Section",
 CellChangeTimes->{{3.39185425553125*^9, 3.391854270203125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VQM`\>\"", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<VQM`VisualizeVector`\>\"", "]"}]}], "Input",
 CellChangeTimes->{{3.392473827631538*^9, 3.392473840814383*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Options", "@", "QVectorToArrow"}]], "Input",
 CellChangeTimes->{{3.391853718734375*^9, 3.3918537228125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"QArrowHead", "\[Rule]", "True"}], ",", 
   RowBox[{"QArrowShaft", "\[Rule]", "False"}], ",", 
   RowBox[{"QLinePointSize", "\[Rule]", "0.001`"}], ",", 
   RowBox[{"QMinLength", "\[Rule]", "0.1`"}], ",", 
   RowBox[{"QArrowShape", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"QHeadColor", "\[Rule]", 
    RowBox[{"GrayLevel", "[", "0.5`", "]"}]}], ",", 
   RowBox[{"QArrowScale", "\[Rule]", "1"}], ",", 
   RowBox[{"QShaftColor", "\[Rule]", 
    RowBox[{"GrayLevel", "[", "0", "]"}]}], ",", 
   RowBox[{"QNeedleStyle", "\[Rule]", "False"}], ",", 
   RowBox[{"Glow", "\[Rule]", "True"}], ",", 
   RowBox[{"Lighting", "\[Rule]", "None"}]}], "}"}]], "Output",
 CellChangeTimes->{3.391853723140625*^9, 3.39247377745339*^9, 
  3.39247380879357*^9, 3.392473856398931*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Show", "[", 
   RowBox[{
    RowBox[{"Graphics3D", "[", 
     RowBox[{"QVectorToArrow", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", ".5"}], ",", ".7"}], "}"}], ",", 
       RowBox[{"QArrowShaft", "\[Rule]", "True"}], ",", 
       RowBox[{"QHeadColor", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "0", ",", "0"}], "]"}]}], ",", 
       RowBox[{"QShaftColor", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0", ",", "1", ",", "0"}], "]"}]}]}], "]"}], "]"}], ",", 
    RowBox[{"Lighting", "\[Rule]", "Automatic"}]}], "]"}], "\n"}]], "Input",
 CellChangeTimes->{{3.391854120234375*^9, 3.391854155484375*^9}, {
  3.391854322578125*^9, 3.391854327921875*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"glow= \"\>", "\[InvisibleSpace]", "Glow", 
   "\[InvisibleSpace]", "\<\"     colorhead = \"\>", "\[InvisibleSpace]", 
   RowBox[{"RGBColor", "[", 
    RowBox[{"1", ",", "0", ",", "0"}], "]"}]}],
  SequenceForm["glow= ", Glow, "     colorhead = ", 
   RGBColor[1, 0, 0]],
  Editable->False]], "Print",
 CellChangeTimes->{3.3924738564470243`*^9}],

Cell[BoxData[
 Graphics3DBox[{
   {Glow[
     RGBColor[1, 0, 0]], 
    StyleBox[{
      Polygon3DBox[{{1., -0.5, 0.7}, {
       0.7044265407701759, -0.46614691845964834`, 0.5249999999999999}, {
       0.7691018889369114, -0.44151776850573593`, 0.4501988954431723}}], 
      Polygon3DBox[{{1., -0.5, 0.7}, {
       0.7691018889369114, -0.44151776850573593`, 0.4501988954431723}, {
       0.8146753481667356, -0.3503708500460876, 0.4501988954431723}}], 
      Polygon3DBox[{{1., -0.5, 0.7}, {0.8146753481667356, -0.3503708500460876,
        0.4501988954431723}, {0.7955734592298243, -0.28385308154035166`, 
       0.5249999999999999}}], 
      Polygon3DBox[{{1., -0.5, 0.7}, {
       0.7955734592298243, -0.28385308154035166`, 0.5249999999999999}, {
       0.7308981110630887, -0.30848223149426407`, 0.5998011045568276}}], 
      Polygon3DBox[{{1., -0.5, 0.7}, {
       0.7308981110630887, -0.30848223149426407`, 0.5998011045568276}, {
       0.6853246518332645, -0.3996291499539124, 0.5998011045568276}}], 
      Polygon3DBox[{{1., -0.5, 0.7}, {0.6853246518332645, -0.3996291499539124,
        0.5998011045568276}, {0.7044265407701759, -0.46614691845964834`, 
       0.5249999999999999}}]},
     Lighting->None]}, 
   {Glow[
     RGBColor[0, 1, 0]], 
    StyleBox[{
      Polygon3DBox[{{-0.022786729614912092`, -0.04557345922982417, 0.}, {
       0.7272132703850878, -0.42057345922982425`, 0.525}, {
       0.7595509444684556, -0.408258884252868, 0.4875994477215862}, {
       0.009550944468455693, -0.03325888425286796, -0.037400552278413816`}}], 
      Polygon3DBox[{{
       0.009550944468455693, -0.03325888425286796, -0.037400552278413816`}, {
       0.7595509444684556, -0.408258884252868, 0.4875994477215862}, {
       0.7823376740833676, -0.36268542502304385`, 0.4875994477215862}, {
       0.03233767408336778, 0.012314574976956214`, -0.037400552278413816`}}], 
      Polygon3DBox[{{0.03233767408336778, 
       0.012314574976956214`, -0.037400552278413816`}, {
       0.7823376740833676, -0.36268542502304385`, 0.4875994477215862}, {
       0.772786729614912, -0.32942654077017586`, 0.525}, {
       0.022786729614912092`, 0.04557345922982417, 0.}}], 
      Polygon3DBox[{{0.022786729614912092`, 0.04557345922982417, 0.}, {
       0.772786729614912, -0.32942654077017586`, 0.525}, {
       0.7404490555315442, -0.3417411157471321, 
       0.5624005522784138}, {-0.009550944468455693, 0.03325888425286796, 
       0.037400552278413816`}}], 
      Polygon3DBox[{{-0.009550944468455693, 0.03325888425286796, 
       0.037400552278413816`}, {0.7404490555315442, -0.3417411157471321, 
       0.5624005522784138}, {0.7176623259166321, -0.38731457497695626`, 
       0.5624005522784138}, {-0.03233767408336778, -0.012314574976956214`, 
       0.037400552278413816`}}], 
      Polygon3DBox[{{-0.03233767408336778, -0.012314574976956214`, 
       0.037400552278413816`}, {0.7176623259166321, -0.38731457497695626`, 
       0.5624005522784138}, {0.7272132703850878, -0.42057345922982425`, 
       0.525}, {-0.022786729614912092`, -0.04557345922982417, 0.}}]},
     Lighting->None]}, 
   {Glow[
     RGBColor[0, 1, 0]], 
    StyleBox[
     Polygon3DBox[{{-0.022786729614912092`, -0.04557345922982417, 0.}, {
      0.009550944468455693, -0.03325888425286796, -0.037400552278413816`}, {
      0.03233767408336778, 0.012314574976956214`, -0.037400552278413816`}, {
      0.022786729614912092`, 0.04557345922982417, 0.}, {-0.009550944468455693,
       0.03325888425286796, 
      0.037400552278413816`}, {-0.03233767408336778, -0.012314574976956214`, 
      0.037400552278413816`}}],
     Lighting->None]}, 
   {Glow[
     RGBColor[1, 0, 0]], 
    StyleBox[
     Polygon3DBox[{{0.7044265407701759, -0.46614691845964834`, 
      0.5249999999999999}, {0.7691018889369113, -0.44151776850573593`, 
      0.45019889544317226`}, {0.8146753481667356, -0.3503708500460876, 
      0.45019889544317226`}, {0.7955734592298241, -0.28385308154035166`, 
      0.5249999999999999}, {0.7308981110630887, -0.30848223149426407`, 
      0.5998011045568276}, {0.6853246518332644, -0.3996291499539124, 
      0.5998011045568276}}],
     Lighting->None]}},
  Lighting->Automatic]], "Output",
 CellChangeTimes->{3.392473777890003*^9, 3.3924738091651497`*^9, 
  3.392473856714183*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"Graphics3D", "[", 
    RowBox[{"QVectorToArrow", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", ".2", ",", "0.7"}], "}"}], ",", 
      RowBox[{"QNeedleStyle", "\[Rule]", "True"}], ",", 
      RowBox[{"QArrowShape", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"10", ",", 
         RowBox[{"1", "/", "5"}], ",", 
         RowBox[{"1", "/", "6"}], ",", 
         RowBox[{"1", "/", "4"}]}], "}"}]}], ",", 
      RowBox[{"QHeadColor", "\[Rule]", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", "0", ",", "0"}], "]"}]}], ",", 
      RowBox[{"QShaftColor", "\[Rule]", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0", ",", "1", ",", "1"}], "]"}]}]}], "]"}], "]"}], ",", 
   RowBox[{"Lighting", "\[Rule]", "None"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3918544054375*^9, 3.391854428515625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"glow= \"\>", "\[InvisibleSpace]", "Glow", 
   "\[InvisibleSpace]", "\<\"     colorhead = \"\>", "\[InvisibleSpace]", 
   RowBox[{"RGBColor", "[", 
    RowBox[{"1", ",", "0", ",", "0"}], "]"}]}],
  SequenceForm["glow= ", Glow, "     colorhead = ", 
   RGBColor[1, 0, 0]],
  Editable->False]], "Print",
 CellChangeTimes->{3.392473857818357*^9}],

Cell[BoxData["\<\"asneedle \"\>"], "Print",
 CellChangeTimes->{3.392473857892088*^9}]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[
  StyleBox[{
    {Glow[
      RGBColor[1, 0, 0]], 
     StyleBox[{
       Polygon3DBox[{{1., 0.2, 0.7}, {0.8080860754006264, 
        0.11956962299686799`, 0.5599999999999999}, {0.8199904258134999, 
        0.12998086859479932`, 0.5400191435250574}}], 
       Polygon3DBox[{{1., 0.2, 0.7}, {0.8199904258134999, 
        0.12998086859479932`, 0.5400191435250574}, {0.8242591130151997, 
        0.15185840207676793`, 0.5276702950992096}}], 
       Polygon3DBox[{{1., 0.2, 0.7}, {0.8242591130151997, 
        0.15185840207676793`, 0.5276702950992096}, {0.8192616435820181, 
        0.17684574924267563`, 0.5276702950992096}}], 
       Polygon3DBox[{{1., 0.2, 0.7}, {0.8192616435820181, 
        0.17684574924267563`, 0.5276702950992096}, {0.806906880979692, 
        0.19539859276383903`, 0.5400191435250574}}], 
       Polygon3DBox[{{1., 0.2, 0.7}, {0.806906880979692, 0.19539859276383903`,
         0.5400191435250574}, {0.7919139245993736, 0.200430377003132, 
        0.5599999999999999}}], 
       Polygon3DBox[{{1., 0.2, 0.7}, {0.7919139245993736, 0.200430377003132, 
        0.5599999999999999}, {0.7800095741865001, 0.19001913140520066`, 
        0.5799808564749425}}], 
       Polygon3DBox[{{1., 0.2, 0.7}, {0.7800095741865001, 
        0.19001913140520066`, 0.5799808564749425}, {0.7757408869848003, 
        0.16814159792323205`, 0.5923297049007904}}], 
       Polygon3DBox[{{1., 0.2, 0.7}, {0.7757408869848003, 
        0.16814159792323205`, 0.5923297049007904}, {0.7807383564179818, 
        0.14315425075732435`, 0.5923297049007904}}], 
       Polygon3DBox[{{1., 0.2, 0.7}, {0.7807383564179818, 
        0.14315425075732435`, 0.5923297049007904}, {0.793093119020308, 
        0.12460140723616095`, 0.5799808564749425}}], 
       Polygon3DBox[{{1., 0.2, 0.7}, {0.793093119020308, 0.12460140723616095`,
         0.5799808564749425}, {0.8080860754006264, 0.11956962299686799`, 
        0.5599999999999999}}]},
      Lighting->None]}, 
    {Glow[
      RGBColor[0, 1, 1]], 
     StyleBox[{
       Polygon3DBox[{{0., 0., 0.}, {0.8080860754006265, 0.11956962299686809`, 
        0.56}, {0.8199904258134999, 0.12998086859479943`, 
        0.5400191435250575}}], 
       Polygon3DBox[{{0., 0., 0.}, {0.8199904258134999, 0.12998086859479943`, 
        0.5400191435250575}, {0.8242591130151997, 0.15185840207676804`, 
        0.5276702950992096}}], 
       Polygon3DBox[{{0., 0., 0.}, {0.8242591130151997, 0.15185840207676804`, 
        0.5276702950992096}, {0.8192616435820183, 0.1768457492426757, 
        0.5276702950992096}}], 
       Polygon3DBox[{{0., 0., 0.}, {0.8192616435820183, 0.1768457492426757, 
        0.5276702950992096}, {0.806906880979692, 0.1953985927638391, 
        0.5400191435250575}}], 
       Polygon3DBox[{{0., 0., 0.}, {0.806906880979692, 0.1953985927638391, 
        0.5400191435250575}, {0.7919139245993736, 0.2004303770031321, 0.56}}],
        Polygon3DBox[{{0., 0., 0.}, {0.7919139245993736, 0.2004303770031321, 
        0.56}, {0.7800095741865002, 0.19001913140520074`, 
        0.5799808564749426}}], 
       Polygon3DBox[{{0., 0., 0.}, {0.7800095741865002, 0.19001913140520074`, 
        0.5799808564749426}, {0.7757408869848004, 0.16814159792323213`, 
        0.5923297049007905}}], 
       Polygon3DBox[{{0., 0., 0.}, {0.7757408869848004, 0.16814159792323213`, 
        0.5923297049007905}, {0.7807383564179818, 0.14315425075732446`, 
        0.5923297049007905}}], 
       Polygon3DBox[{{0., 0., 0.}, {0.7807383564179818, 0.14315425075732446`, 
        0.5923297049007905}, {0.7930931190203081, 0.12460140723616106`, 
        0.5799808564749426}}], 
       Polygon3DBox[{{0., 0., 0.}, {0.7930931190203081, 0.12460140723616106`, 
        0.5799808564749426}, {0.8080860754006265, 0.11956962299686809`, 
        0.56}}]},
      Lighting->None]}},
   Lighting->None],
  ImageSize->{303.2916666666667, 277.3423992487432},
  Lighting->None,
  PlotRange->All,
  ViewPoint->{1.5522398720354673`, -2.947156965766952, 0.5956653412736456},
  ViewVertical->{0.3688428112376672, -1.531878621294991, 
   1.2533094829981861`}]], "Output",
 CellChangeTimes->{{3.39185440771875*^9, 3.39185442909375*^9}, 
   3.391854554140625*^9, 3.392473857939396*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graphics3D", "[", 
  RowBox[{"polyCylinder", "[", 
   RowBox[{"1", ",", ".5", ",", "1", ",", "13"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.3918544054375*^9, 3.391854573921875*^9}],

Cell[BoxData[
 Graphics3DBox[{
   Polygon3DBox[
    NCache[{{1, 0, 0}, {0.5, 0, 1}, {
      0.44272801282660496`, 0.23236158602188428`, 1}, {
      Cos[Rational[2, 13] Pi], Sin[Rational[2, 13] Pi], 0}}, {{1, 0, 0}, {
      0.5, 0, 1}, {0.44272801282660496`, 0.23236158602188428`, 1}, {
      0.8854560256532099, 0.46472317204376856`, 0}}]], 
   Polygon3DBox[
    NCache[{{Cos[Rational[2, 13] Pi], Sin[Rational[2, 13] Pi], 0}, {
      0.44272801282660496`, 0.23236158602188428`, 1}, {
      0.2840323733655779, 0.4114919329468282, 1}, {
      Sin[Rational[5, 26] Pi], Cos[Rational[5, 26] Pi], 0}}, {{
      0.8854560256532099, 0.46472317204376856`, 0}, {
      0.44272801282660496`, 0.23236158602188428`, 1}, {
      0.2840323733655779, 0.4114919329468282, 1}, {
      0.5680647467311558, 0.8229838658936564, 0}}]], 
   Polygon3DBox[
    NCache[{{Sin[Rational[5, 26] Pi], Cos[Rational[5, 26] Pi], 0}, {
      0.2840323733655779, 0.4114919329468282, 1}, {
      0.06026834012766153, 0.496354437049027, 1}, {
      Sin[Rational[1, 26] Pi], Cos[Rational[1, 26] Pi], 0}}, {{
      0.5680647467311558, 0.8229838658936564, 0}, {
      0.2840323733655779, 0.4114919329468282, 1}, {
      0.06026834012766153, 0.496354437049027, 1}, {
      0.12053668025532306`, 0.992708874098054, 0}}]], 
   Polygon3DBox[
    NCache[{{Sin[Rational[1, 26] Pi], Cos[Rational[1, 26] Pi], 0}, {
      0.06026834012766153, 0.496354437049027, 1}, {-0.1773024435212678, 
       0.4675081213427074, 1}, {-Sin[Rational[3, 26] Pi], Cos[
       Rational[3, 26] Pi], 0}}, {{
      0.12053668025532306`, 0.992708874098054, 0}, {
      0.06026834012766153, 0.496354437049027, 1}, {-0.1773024435212678, 
       0.4675081213427074, 1}, {-0.3546048870425356, 0.9350162426854148, 
       0}}]], Polygon3DBox[
    NCache[{{-Sin[Rational[3, 26] Pi], Cos[Rational[3, 26] Pi], 
       0}, {-0.1773024435212678, 0.4675081213427074, 
       1}, {-0.37425537408555054`, 0.3315613291203976, 1}, {-
       Cos[Rational[3, 13] Pi], Sin[Rational[3, 13] Pi], 
       0}}, {{-0.3546048870425356, 0.9350162426854148, 
       0}, {-0.1773024435212678, 0.4675081213427074, 
       1}, {-0.37425537408555054`, 0.3315613291203976, 
       1}, {-0.7485107481711011, 0.6631226582407952, 0}}]], 
   Polygon3DBox[
    NCache[{{-Cos[Rational[3, 13] Pi], Sin[Rational[3, 13] Pi], 
       0}, {-0.37425537408555054`, 0.3315613291203976, 
       1}, {-0.485470908713026, 0.11965783214377888`, 1}, {-
       Cos[Rational[1, 13] Pi], Sin[Rational[1, 13] Pi], 
       0}}, {{-0.7485107481711011, 0.6631226582407952, 
       0}, {-0.37425537408555054`, 0.3315613291203976, 
       1}, {-0.485470908713026, 0.11965783214377888`, 1}, {-0.970941817426052,
        0.23931566428755777`, 0}}]], 
   Polygon3DBox[
    NCache[{{-Cos[Rational[1, 13] Pi], Sin[Rational[1, 13] Pi], 
       0}, {-0.485470908713026, 0.11965783214377888`, 
       1}, {-0.485470908713026, -0.11965783214377888`, 1}, {-
       Cos[Rational[1, 13] Pi], -Sin[Rational[1, 13] Pi], 
       0}}, {{-0.970941817426052, 0.23931566428755777`, 
       0}, {-0.485470908713026, 0.11965783214377888`, 
       1}, {-0.485470908713026, -0.11965783214377888`, 
       1}, {-0.970941817426052, -0.23931566428755777`, 0}}]], 
   Polygon3DBox[
    NCache[{{-Cos[Rational[1, 13] Pi], -Sin[Rational[1, 13] Pi], 
       0}, {-0.485470908713026, -0.11965783214377888`, 
       1}, {-0.37425537408555054`, -0.3315613291203976, 1}, {-
       Cos[Rational[3, 13] Pi], -Sin[Rational[3, 13] Pi], 
       0}}, {{-0.970941817426052, -0.23931566428755777`, 
       0}, {-0.485470908713026, -0.11965783214377888`, 
       1}, {-0.37425537408555054`, -0.3315613291203976, 
       1}, {-0.7485107481711011, -0.6631226582407952, 0}}]], 
   Polygon3DBox[
    NCache[{{-Cos[Rational[3, 13] Pi], -Sin[Rational[3, 13] Pi], 
       0}, {-0.37425537408555054`, -0.3315613291203976, 
       1}, {-0.1773024435212678, -0.4675081213427074, 1}, {-
       Sin[Rational[3, 26] Pi], -Cos[Rational[3, 26] Pi], 
       0}}, {{-0.7485107481711011, -0.6631226582407952, 
       0}, {-0.37425537408555054`, -0.3315613291203976, 
       1}, {-0.1773024435212678, -0.4675081213427074, 
       1}, {-0.3546048870425356, -0.9350162426854148, 0}}]], 
   Polygon3DBox[
    NCache[{{-Sin[Rational[3, 26] Pi], -Cos[Rational[3, 26] Pi], 
       0}, {-0.1773024435212678, -0.4675081213427074, 1}, {
      0.06026834012766153, -0.496354437049027, 1}, {
      Sin[Rational[1, 26] Pi], -Cos[Rational[1, 26] Pi], 
       0}}, {{-0.3546048870425356, -0.9350162426854148, 
       0}, {-0.1773024435212678, -0.4675081213427074, 1}, {
      0.06026834012766153, -0.496354437049027, 1}, {
      0.12053668025532306`, -0.992708874098054, 0}}]], 
   Polygon3DBox[
    NCache[{{Sin[Rational[1, 26] Pi], -Cos[Rational[1, 26] Pi], 0}, {
      0.06026834012766153, -0.496354437049027, 1}, {
      0.2840323733655779, -0.4114919329468282, 1}, {
      Sin[Rational[5, 26] Pi], -Cos[Rational[5, 26] Pi], 0}}, {{
      0.12053668025532306`, -0.992708874098054, 0}, {
      0.06026834012766153, -0.496354437049027, 1}, {
      0.2840323733655779, -0.4114919329468282, 1}, {
      0.5680647467311558, -0.8229838658936564, 0}}]], 
   Polygon3DBox[
    NCache[{{Sin[Rational[5, 26] Pi], -Cos[Rational[5, 26] Pi], 0}, {
      0.2840323733655779, -0.4114919329468282, 1}, {
      0.44272801282660496`, -0.23236158602188428`, 1}, {
      Cos[Rational[2, 13] Pi], -Sin[Rational[2, 13] Pi], 0}}, {{
      0.5680647467311558, -0.8229838658936564, 0}, {
      0.2840323733655779, -0.4114919329468282, 1}, {
      0.44272801282660496`, -0.23236158602188428`, 1}, {
      0.8854560256532099, -0.46472317204376856`, 0}}]], 
   Polygon3DBox[
    NCache[{{Cos[Rational[2, 13] Pi], -Sin[Rational[2, 13] Pi], 0}, {
      0.44272801282660496`, -0.23236158602188428`, 1}, {0.5, 0, 1}, {1, 0, 
      0}}, {{0.8854560256532099, -0.46472317204376856`, 0}, {
      0.44272801282660496`, -0.23236158602188428`, 1}, {0.5, 0, 1}, {1, 0, 
      0}}]]}]], "Output",
 CellChangeTimes->{3.39185456971875*^9, 3.392473858471434*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"QVisualizeVector", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{".6", ",", 
      RowBox[{"-", ".2"}], ",", ".5"}], "}"}], ",", 
    RowBox[{"QCoordinateCube", "\[Rule]", "True"}], ",", 
    RowBox[{"QArrowShape", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"8", ",", 
       RowBox[{"1", "/", "3"}], ",", 
       RowBox[{"1", "/", "3"}], ",", 
       RowBox[{"1", "/", "7"}]}], "}"}]}], ",", 
    RowBox[{"QArrowShaft", "\[Rule]", "True"}], ",", 
    RowBox[{"QDrawUnitSphere", "\[Rule]", "12"}]}], "]"}], "\n"}]], "Input"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"glow= \"\>", "\[InvisibleSpace]", "Glow", 
   "\[InvisibleSpace]", "\<\"     colorhead = \"\>", "\[InvisibleSpace]", 
   RowBox[{"GrayLevel", "[", "0.5`", "]"}]}],
  SequenceForm["glow= ", Glow, "     colorhead = ", 
   GrayLevel[0.5]],
  Editable->False]], "Print",
 CellChangeTimes->{3.392473859444528*^9}],

Cell[BoxData[
 Graphics3DBox[{{
    {Glow[
      GrayLevel[0.5]], 
     StyleBox[{
       Polygon3DBox[{{0.6, -0.2, 0.5}, {
        0.3716721138133734, -0.21831699189321307`, 0.33333333333333337`}, {
        0.4172369592057521, -0.2058484544660653, 0.28364293383333805`}}], 
       Polygon3DBox[{{0.6, -0.2, 0.5}, {
        0.4172369592057521, -0.2058484544660653, 0.28364293383333805`}, {
        0.45270462766947295`, -0.15090154255649102`, 0.26306049644070273`}}], 
       Polygon3DBox[{{0.6, -0.2, 0.5}, {
        0.45270462766947295`, -0.15090154255649102`, 0.26306049644070273`}, {
        0.45729864004424087`, -0.08566341195059904, 0.28364293383333805`}}], 
       Polygon3DBox[{{0.6, -0.2, 0.5}, {
        0.45729864004424087`, -0.08566341195059904, 0.28364293383333805`}, {
        0.42832788618662654`, -0.048349674773453616`, 0.33333333333333337`}}],
        Polygon3DBox[{{0.6, -0.2, 0.5}, {
        0.42832788618662654`, -0.048349674773453616`, 0.33333333333333337`}, {
        0.3827630407942479, -0.06081821220060138, 0.3830237328333287}}], 
       Polygon3DBox[{{0.6, -0.2, 0.5}, {
        0.3827630407942479, -0.06081821220060138, 0.3830237328333287}, {
        0.34729537233052704`, -0.11576512411017569`, 0.403606170225964}}], 
       Polygon3DBox[{{0.6, -0.2, 0.5}, {
        0.34729537233052704`, -0.11576512411017569`, 0.403606170225964}, {
        0.3427013599557591, -0.18100325471606765`, 0.3830237328333287}}], 
       Polygon3DBox[{{0.6, -0.2, 0.5}, {
        0.3427013599557591, -0.18100325471606765`, 0.3830237328333287}, {
        0.3716721138133734, -0.21831699189321307`, 0.33333333333333337`}}]},
      Lighting->None]}, 
    {Glow[], 
     StyleBox[{
       Polygon3DBox[{{-0.004046840883803797, -0.01214052265141139, 0.}, {
        0.3959531591161963, -0.14547385598474474`, 0.3333333333333333}, {
        0.40246242274367894`, -0.14369263635229507`, 0.326234704833334}, {
        0.0024624227436788712`, -0.01035930301896171, \
-0.007098628499999331}}], 
       Polygon3DBox[{{
        0.0024624227436788712`, -0.01035930301896171, -0.007098628499999331}, \
{0.40246242274367894`, -0.14369263635229507`, 0.326234704833334}, {
        0.4075292325242105, -0.13584307750807018`, 0.3232943566343861}, {
        0.0075292325242104245`, -0.0025097441747368083`, \
-0.010038976698947235`}}], 
       Polygon3DBox[{{
        0.0075292325242104245`, -0.0025097441747368083`, \
-0.010038976698947235`}, {0.4075292325242105, -0.13584307750807018`, 
        0.3232943566343861}, {0.4081855200063202, -0.1265233445643713, 
        0.326234704833334}, {0.008185520006320123, 
        0.0068099887689620445`, -0.007098628499999331}}], 
       Polygon3DBox[{{0.008185520006320123, 
        0.0068099887689620445`, -0.007098628499999331}, {
        0.4081855200063202, -0.1265233445643713, 0.326234704833334}, {
        0.4040468408838039, -0.12119281068192198`, 0.3333333333333333}, {
        0.004046840883803797, 0.01214052265141139, 0.}}], 
       Polygon3DBox[{{0.004046840883803797, 0.01214052265141139, 0.}, {
        0.4040468408838039, -0.12119281068192198`, 0.3333333333333333}, {
        0.3975375772563212, -0.12297403031437165`, 
        0.34043196183333263`}, {-0.0024624227436788712`, 0.01035930301896171, 
        0.007098628499999331}}], 
       Polygon3DBox[{{-0.0024624227436788712`, 0.01035930301896171, 
        0.007098628499999331}, {0.3975375772563212, -0.12297403031437165`, 
        0.34043196183333263`}, {0.39247076747578963`, -0.13082358915859654`, 
        0.3433723100322805}, {-0.0075292325242104245`, 0.0025097441747368083`,
         0.010038976698947235`}}], 
       Polygon3DBox[{{-0.0075292325242104245`, 0.0025097441747368083`, 
        0.010038976698947235`}, {0.39247076747578963`, -0.13082358915859654`, 
        0.3433723100322805}, {0.39181447999367996`, -0.1401433221022954, 
        0.34043196183333263`}, {-0.008185520006320123, \
-0.0068099887689620445`, 0.007098628499999331}}], 
       Polygon3DBox[{{-0.008185520006320123, -0.0068099887689620445`, 
        0.007098628499999331}, {0.39181447999367996`, -0.1401433221022954, 
        0.34043196183333263`}, {0.3959531591161963, -0.14547385598474474`, 
        0.3333333333333333}, {-0.004046840883803797, -0.01214052265141139, 
        0.}}]},
      Lighting->None]}, 
    {Glow[], 
     StyleBox[
      Polygon3DBox[{{-0.004046840883803797, -0.01214052265141139, 0.}, {
       0.0024624227436788712`, -0.01035930301896171, -0.007098628499999331}, {
       0.0075292325242104245`, -0.0025097441747368083`, \
-0.010038976698947235`}, {0.008185520006320123, 
       0.0068099887689620445`, -0.007098628499999331}, {0.004046840883803797, 
       0.01214052265141139, 0.}, {-0.0024624227436788712`, 
       0.01035930301896171, 0.007098628499999331}, {-0.0075292325242104245`, 
       0.0025097441747368083`, 
       0.010038976698947235`}, {-0.008185520006320123, \
-0.0068099887689620445`, 0.007098628499999331}}],
      Lighting->None]}, 
    {Glow[
      GrayLevel[0.5]], 
     StyleBox[
      Polygon3DBox[{{0.3716721138133734, -0.21831699189321307`, 
       0.3333333333333333}, {0.41723695920575204`, -0.2058484544660653, 
       0.283642933833338}, {0.45270462766947295`, -0.150901542556491, 
       0.2630604964407027}, {0.4572986400442408, -0.08566341195059902, 
       0.283642933833338}, {0.42832788618662654`, -0.0483496747734536, 
       0.3333333333333333}, {0.3827630407942479, -0.060818212200601365`, 
       0.38302373283332863`}, {0.347295372330527, -0.11576512411017567`, 
       0.40360617022596396`}, {0.3427013599557591, -0.18100325471606765`, 
       0.38302373283332863`}}],
      Lighting->None]}}, {
    {GrayLevel[0.5], Line3DBox[CompressedData["
1:eJxN2Hc81e0bB3CjUpSyIruUCj+JIx3rroSGMuLYMxRFqKwee2ckREtEEdlb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      "]], Line3DBox[CompressedData["
1:eJxN2Gk8lOsbB3CKhFDG2nFaRaKNiIpbCi0kwqlISCtHkTCVhLJFWStbKqfI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      "]], Line3DBox[CompressedData["
1:eJxN2GkglF0fBnCUrURKIVuiiEqLR0ocVFRSWixJSEkiqSQipGR5yE5IKJEi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      "]], Line3DBox[CompressedData["
1:eJxN2Hk01OsfB/AhS0lIiawVha6SpMTkEUpFYlD6lVRKG2XLflt0ka1LZM+V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      "]], Line3DBox[CompressedData["
1:eJxN2Gk4VdsfB3CVKRmSm6lcQyjRIEkDLbO6iSjJkMySJLfJFV0S0YgoJGRI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      "]], Line3DBox[CompressedData["
1:eJxN2nc4l9//B3DKCKHIKp82IhUqI3JE0iAZSZGQVZSZUckqq8zskcreuxAd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      "]], Line3DBox[CompressedData["
1:eJxN2Hk4Vdv/B3CVKRmSm6lcQyjRIEkDLbO6iSjJkMySJLfJFV0S0YgoJGRI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      "]], Line3DBox[CompressedData["
1:eJxN2HlUzOsfB/BpJwmRoqYQKjeSRGr0tBFKairyIyGyFW3aryW30uZq1aab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      "]], Line3DBox[CompressedData["
1:eJxN2Gk8lN3/B3CUrURKIVuiiEqLW0ocVFRSWixJSEkiqSQipGS5yU5IKJEi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      "]], Line3DBox[CompressedData["
1:eJxN2Gk8lOsbB3CKhFDG2nFaRaKNiIpbCi0kwqlISCtHkTCVhLJFWStbKqfI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      "]], Line3DBox[CompressedData["
1:eJxN2Hc81e0bB3CjUpSyIruUCj+Jg451i9BQRhwjOxRlVkSPvTMSoiWiiGTP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      "]]}, {
     {GrayLevel[0.4], Thickness[0.005], 
      Line3DBox[{{-1., 0, 0}, {1., 0, 0}}]}, 
     {GrayLevel[0.4], Thickness[0.005], 
      Line3DBox[{{0, -1., 0}, {0, 1., 0}}]}, 
     {GrayLevel[0.4], Thickness[0.005], 
      Line3DBox[{{0, 0, -1.}, {0, 0, 1.}}]}}, 
    {RGBColor[0, 0.6, 0.4], 
     Line3DBox[{{0, 0, 0}, {0.6, 0, 0}, {0.6, -0.2, 0}, {0.6, -0.2, 0.5}, {
       0.6, 0, 0.5}, {0, 0, 0.5}}], 
     Line3DBox[{{0, 0, 0}, {0, -0.2, 0}, {0.6, -0.2, 0}, {0.6, -0.2, 0.5}, {
       0, -0.2, 0.5}, {0, 0, 0.5}}], Line3DBox[{{0.6, 0, 0}, {0.6, 0, 0.5}}], 
     Line3DBox[{{0, -0.2, 0}, {0, -0.2, 0.5}}]}, 
    {RGBColor[0, 0, 1], PointSize[0.02], Thickness[0.003], 
     Point3DBox[{0.6, -0.2, 0.5}], Line3DBox[CompressedData["
1:eJxN1nk01dseAHCvZOo+r3BNpwwR9UyZEnF3VMpUkjkacBB5GhY6MkS4ppRU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      "]], Line3DBox[CompressedData["
1:eJxN2Gc81v/3B3BEIqtkk1EUZbZTDlJkJEpFEhklyoWySSqJzGSEjJSMECok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      "]]}}},
  Axes->False,
  Boxed->False]], "Output",
 CellChangeTimes->{3.3918546041875*^9, 3.3924738598404083`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SphericalPlot3D", "[", 
  RowBox[{"1", ",", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", ",", "0.3", ",", 
     RowBox[{"Pi", " ", "-", "0.3"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Phi]", ",", "0", ",", 
     RowBox[{"2", "Pi"}]}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
      RowBox[{"Glow", "[", "White", "]"}]}], "}"}]}], ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "7"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.39185532903125*^9, 3.391855339234375*^9}, {
  3.391855389453125*^9, 3.391855394578125*^9}, {3.3918554703125*^9, 
  3.391855493828125*^9}, {3.391855547140625*^9, 3.391855631734375*^9}, {
  3.391855684421875*^9, 3.39185573040625*^9}},
 CellID->208223210],

Cell[BoxData[
 Graphics3DBox[GraphicsComplex3DBox[CompressedData["
1:eJytvXVU1dvz/293i9h6LQxQsbCQ1zWx49p177U7MEAk7MTuwO7uQjwbFAxE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   "], {{
     {Opacity[0.5], EdgeForm[None], Glow[
       GrayLevel[1]], GraphicsGroup3DBox[{Polygon3DBox[CompressedData["
1:eJxNnHXcFkX7xXfv3b1BxVbAQKUUFTHA1hfELuxujFcxsBMLu/u1EexusRMT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         "]], Polygon3DBox[CompressedData["
1:eJw1mgXYHdXVhWfunXMhJCRIgtMQIEgI7kFDsOBOcWlwhwSH4u7uxR2Ku4bi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         "]], 
        Polygon3DBox[{{1319, 1568, 1038, 968, 167}, {1530, 1360, 1039, 1192, 
         626}, {1283, 1347, 997, 922, 29}, {1572, 1301, 591, 1172, 1081}, {
         1571, 1517, 564, 1157, 1062}, {1576, 1329, 640, 1200, 1116}, {1400, 
         1478, 453, 940, 1084}, {1385, 1467, 429, 930, 1074}, {1575, 1524, 
         613, 1185, 1098}, {1574, 1308, 102, 1016, 1085}, {1302, 1573, 1082, 
         1173, 592}, {1516, 1343, 994, 1156, 563}, {1281, 1345, 996, 1065, 
         27}, {1559, 1437, 376, 1202, 1255}, {1577, 1336, 207, 1051, 1120}, {
         1523, 1352, 1029, 1184, 612}, {1389, 1469, 431, 931, 1075}, {1419, 
         1497, 522, 1146, 1108}, {1296, 1349, 1007, 932, 59}, {1440, 1511, 
         537, 975, 1119}, {1489, 1567, 1030, 960, 501}, {1500, 1569, 1040, 
         970, 525}, {1456, 1563, 995, 925, 417}, {1279, 1341, 993, 915, 18}, {
         1326, 1570, 1048, 978, 197}, {1284, 1564, 1003, 933, 62}, {1298, 
         1565, 1013, 943, 92}, {1309, 1566, 1017, 947, 103}, {1318, 1356, 
         1032, 957, 134}, {1325, 1363, 1042, 967, 164}, {1508, 1433, 1117, 
         1148, 534}, {1578, 1290, 53, 1218, 1219}, {1464, 1378, 1072, 1130, 
         426}, {1338, 1365, 1052, 977, 194}, {1316, 1354, 1031, 1100, 
         132}}]}]}, {}, {}, {}}, {
     Line3DBox[{900, 1, 872, 227, 16, 410, 1278, 31, 422, 46, 1471, 434, 61, 
      446, 76, 1482, 458, 91, 470, 106, 482, 121, 494, 1313, 136, 506, 151, 
      518, 1320, 166, 530, 181, 1515, 542, 196, 395, 902, 211, 898, 554, 212, 
      983, 213, 214, 866, 984, 215, 867, 216, 1260, 868, 217, 869, 218, 1261, 
      870, 219, 871, 985, 220, 895, 221, 896, 986, 222, 223, 987, 224, 397, 
      903, 225, 899, 555, 210, 553, 1339, 195, 541, 180, 1504, 529, 165, 517, 
      150, 1493, 505, 135, 493, 120, 481, 105, 469, 1311, 90, 457, 75, 445, 
      1297, 60, 433, 45, 1460, 421, 30, 249, 901, 15, 897, 409, 14, 921, 13, 
      12, 1269, 889, 11, 887, 10, 1266, 884, 9, 881, 918, 8, 878, 7, 875, 917,
       6, 874, 5, 1262, 873, 4, 3, 914, 2, 398, 900}], {}, {}, {
      Line3DBox[{914, 988, 915, 993, 1579, 923, 998, 928, 1587, 1003, 933, 
       1008, 938, 1588, 1013, 943, 1018, 948, 1023, 953, 1028, 958, 1033, 963,
        1592, 1038, 968, 1043, 973, 1593, 1048, 978, 1053, 983}], 
      Line3DBox[{917, 1263, 1059, 1153, 1060, 1126, 1061, 1157, 1062, 1580, 
       1128, 1067, 1161, 1068, 1130, 1072, 1597, 1165, 1073, 1132, 1077, 1169,
        1078, 1134, 1605, 1082, 1173, 1083, 1136, 1087, 1177, 1088, 1138, 
       1092, 1181, 1093, 1140, 1097, 1185, 1098, 1583, 1142, 1102, 1189, 1103,
        1144, 1107, 1193, 1613, 1108, 1146, 1112, 1197, 1113, 1148, 1117, 
       1602, 1201, 1118, 1150, 1122, 1205, 1123, 1270, 1260}], 
      Line3DBox[{918, 1264, 1265, 1154, 1209, 1208, 1127, 1210, 1211, 1158, 
       1213, 1609, 1212, 1129, 1214, 1215, 1162, 1217, 1216, 1131, 1218, 1219,
        1598, 1166, 1221, 1220, 1133, 1222, 1223, 1170, 1225, 1224, 1135, 
       1226, 1615, 1227, 1174, 1229, 1228, 1137, 1230, 1231, 1178, 1233, 1232,
        1139, 1234, 1235, 1182, 1237, 1236, 1141, 1238, 1239, 1186, 1241, 
       1612, 1240, 1143, 1242, 1243, 1190, 1245, 1244, 1145, 1246, 1247, 1194,
        1249, 1248, 1147, 1250, 1251, 1198, 1253, 1252, 1149, 1254, 1616, 
       1255, 1202, 1257, 1256, 1151, 1258, 1259, 1206, 1272, 1271, 1261}], 
      Line3DBox[{921, 992, 922, 997, 1581, 927, 1002, 932, 1007, 1582, 937, 
       1012, 942, 1591, 1017, 947, 1022, 952, 1027, 957, 1032, 1584, 962, 
       1037, 967, 1042, 1585, 972, 1047, 977, 1052, 1586, 982, 1056, 987}], 
      Line3DBox[{984, 1274, 1273, 1204, 1121, 979, 1049, 1200, 1116, 1594, 
       974, 1044, 1196, 1111, 969, 1608, 1039, 1192, 1106, 964, 1034, 1188, 
       1101, 959, 1606, 1029, 1184, 1096, 954, 1024, 1180, 1091, 949, 1019, 
       1176, 1086, 944, 1014, 1172, 1081, 1589, 939, 1009, 1168, 1076, 934, 
       1004, 1164, 1071, 929, 999, 1160, 1066, 924, 1603, 994, 1156, 1058, 
       916, 989, 1152, 1057, 1276, 1262}], 
      Line3DBox[{985, 1054, 1275, 1207, 1124, 980, 1050, 1203, 1614, 1119, 
       975, 1045, 1199, 1114, 970, 1040, 1601, 1195, 1109, 965, 1035, 1191, 
       1104, 960, 1030, 1600, 1187, 1099, 955, 1025, 1183, 1094, 950, 1020, 
       1179, 1089, 945, 1015, 1175, 1611, 1084, 940, 1010, 1171, 1079, 935, 
       1005, 1167, 1610, 1074, 930, 1000, 1163, 1069, 925, 995, 1596, 1159, 
       1063, 919, 990, 1155, 1268, 1267, 1266}], 
      Line3DBox[{986, 1055, 1125, 981, 1051, 1120, 1595, 976, 1046, 1115, 971,
        1041, 1110, 966, 1036, 1105, 961, 1607, 1031, 1100, 956, 1026, 1095, 
       951, 1021, 1090, 946, 1016, 1085, 1590, 941, 1011, 1080, 936, 1006, 
       1599, 1075, 931, 1001, 1070, 926, 1604, 996, 1065, 920, 991, 1064, 
       1269}]}, {
      Line3DBox[{1278, 1371, 1340, 1277, 1579, 1341, 1279, 1366, 1450, 1342, 
       1280, 1367, 1451, 1603, 1343, 1516, 1368, 1452, 658, 1517, 1571, 1580, 
       1453, 659, 1518, 711, 1454, 660, 1519, 1609, 715, 1455, 661, 1520, 718,
        1456, 1563, 1596, 1521, 721, 1457, 1344, 1522, 1369, 1458, 1604, 1345,
        1281, 1370, 1459, 1346, 1282, 1581, 1347, 1283, 1372, 1348, 1460}], 
      Line3DBox[{1297, 1395, 1394, 1296, 1349, 1582, 1295, 1391, 1470, 1390, 
       1294, 1599, 1389, 1469, 1388, 1293, 1387, 1468, 1386, 1551, 1292, 1610,
        1385, 1467, 1384, 1550, 1291, 1549, 1383, 1466, 1382, 1598, 1578, 
       1290, 1548, 1381, 1465, 1380, 1547, 1289, 1546, 1379, 1464, 1378, 1597,
        1288, 1545, 1377, 1463, 1376, 1287, 1071, 1462, 1375, 1286, 1374, 
       1461, 1373, 1285, 1587, 1564, 1284, 1393, 1392, 1471}], 
      Line3DBox[{1311, 1408, 1407, 1310, 1591, 1566, 1309, 1404, 1481, 1403, 
       1308, 1574, 1590, 1480, 1402, 1307, 1401, 1479, 768, 1306, 1611, 1400, 
       1478, 766, 1305, 764, 1477, 763, 1615, 1304, 761, 1476, 760, 1303, 759,
        1475, 1605, 1573, 1302, 758, 1474, 1399, 1301, 1572, 1589, 1473, 1398,
        1300, 1397, 1472, 1396, 1299, 1588, 1565, 1298, 1406, 1405, 1482}], 
      Line3DBox[{106, 107, 948, 108, 471, 109, 472, 949, 110, 473, 111, 1138, 
       474, 112, 475, 113, 1139, 476, 114, 477, 950, 115, 478, 116, 479, 951, 
       117, 480, 118, 952, 119, 120}], 
      Line3DBox[{1313, 1414, 1350, 1312, 1028, 1314, 1409, 1483, 1351, 1315, 
       1410, 1484, 1606, 1352, 1523, 1411, 1485, 686, 1524, 1575, 1583, 1486, 
       687, 1525, 798, 1487, 688, 1526, 1612, 801, 1488, 689, 1527, 803, 1489,
        1567, 1600, 1528, 805, 1490, 1353, 1529, 1412, 1491, 1607, 1354, 1316,
        1413, 1492, 1355, 1317, 1584, 1356, 1318, 1415, 1357, 1493}], 
      Line3DBox[{1320, 1426, 1358, 1319, 1568, 1592, 1321, 1416, 1494, 1359, 
       1322, 1417, 1495, 1608, 1360, 1530, 1418, 1496, 1537, 1538, 1531, 1613,
        1419, 1497, 1539, 1540, 1532, 1552, 1420, 1498, 1541, 1542, 1533, 
       1249, 1421, 1499, 1543, 1544, 1534, 1553, 1422, 1500, 1569, 1601, 1535,
        1554, 1423, 1501, 1361, 1536, 1424, 1502, 1041, 1323, 1425, 1503, 
       1362, 1324, 1585, 1363, 1325, 1427, 1364, 1504}], 
      Line3DBox[{1339, 1449, 1448, 1338, 1365, 1586, 1337, 1445, 1514, 1444, 
       1336, 1577, 1595, 1513, 1443, 1335, 1442, 1512, 1441, 1562, 1334, 1614,
        1440, 1511, 1439, 1561, 1333, 1560, 1438, 1510, 1437, 1559, 1616, 
       1332, 1558, 1436, 1509, 1435, 1557, 1331, 1556, 1434, 1508, 1433, 1602,
        1330, 1555, 1432, 1507, 1431, 1329, 1576, 1594, 1506, 1430, 1328, 
       1429, 1505, 1428, 1327, 1593, 1570, 1326, 1447, 1446, 1515}]}}},
   VertexNormals->CompressedData["
1:eJx0fXk0l9/XtjlNSkqESFEkU0kKd9KcSJoQEWlONArJVEQUKVGopEyVUoTc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    "]],
  Method->{},
  PlotRange->{{-1., 0.9999999999998993}, {-0.9999999999999748, 
   0.9999999999999748}, {-0.9553364354761628, 0.9553364354761626}},
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.391855324234375*^9, 3.391855340125*^9}, 
   3.3918553951875*^9, {3.39185548178125*^9, 3.391855508265625*^9}, {
   3.391855551765625*^9, 3.391855632703125*^9}, {3.39185569028125*^9, 
   3.391855731640625*^9}, 3.39247386051851*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\
eJzFnYmPZcd1nx/7vX7ds+97c3o4Q85ouM6QI67DRaJEihJlyZJliiIlkiE9
JiXTEmlKsbzIjGSIUAhbQhzDTiBkFDgOlEVIbMQx7ARqxYahwGuUGEEUIIgQ
BAGCIED+g5euU7fOOVX3q/vune6hBug379Wt5ZxfbWeruu9/7rUXf+Ll5157
6fnnTjz66nOfefGl53/mxCOffnU9aXzNaHTNi+t/r58Yhe+z0Sh9yL+Xwsdo
9P/Cf+PZpUuXPhsT/q8mjMaScf2b/Gqe/5/w30JImUiCZE0ZR6/FTP9bMy3p
t+bR/9L6t0D5n4mZ/qeW2i4JE83UZHw15vsfmm9nZ77/ro3uloTFLF9q/JWY
+b9ppfvmZ/6vWvOBgp3wawHSfjoW/C/aymHINIa0l2PB/6wFjw4r+J+U1BXI
VPZm+PVTseD3tMVVyLQIaZ+KBf9SW7xuWME/1xavh0xTSPtkLPinWvD0sILf
VVLfBpmWIK2ZQH+iLd4EmZYh7cVY8I+0xVuGFfyOtngOMpWzKvz6yVjw21rw
jp4tNgX/jZL69p4tXooF/0BbvBsybYW0n4gFf18L3jus4L9SUi9Cpm2Q9kIs
+Lva4oOQaTukPR8L/gtt8R3DCn5LW3wXZNoBaX8jFvxnWvCRYQW/qaS+BzLt
hLTnYsF/rC2+DzLtgrRnY8Hf0hbfP6zgP9QWPwiZdkPaM7HgZS34oWEFv66k
/hhk2gNpn4gF/762+ARk2gtpH48Ff0NbfHJYwV/XFj/es+DTseCvacFnINM+
SHsqFvyakvrcsIK/qi2+AJn2Q9rHYsE3tcVLwwp+RVt8CTLRLh3RH72hBT8F
mQ5C2kdjwV9WUl8eVvCL2uJnINMhSIsjbPS6Fnx1WMFfVFJfg0wkifx4LPjz
2uLfhExHIO0jseDPaoufH1bwc9riL0Amkn3ivI0yqBT8AmQ6BmkfjgVfUVJf
H1bw09rilyATSVtxbYoCljz5cs8Wm4Kf1Ba/0rPFH40FX9SCb0KmayEtrr9x
f5UnvzKs4PPa4tcg03FI+0As+Ky2+Hcg0yqk/Ugs+Alt8deHFXxaC/4GZDoB
aXFXiyuIPPl7wwo+oS1+HTKR1Px4LPgRLfgPINNJSIs7dxxA8uQbwwp+UFv8
Lch0CtLeGwu+X1v87WEF36ctfhMykWbwWCz4mBb8p5DpBkiL8tDoESX1nw8r
+C5t8V/2LPhoLPgObfF3IRMpMVHmGz2oLf7esIL3a8Hfh0xnIO3dseC9Suof
DCt4t7b4byET6VtRIB69XVv8NmQ6C2kPx4J3aIv/bljB81rwjyHTjZD2zljw
ViX1T4YVvFlb/PeQiXTKqGZELuTJn0KmmyHtoVjwjLb4F8MK3qAF/woykRb7
YCx4Ukn9HmS6FdIeiAVPaIt/PazgKjyiKm6DtPtjFce1bdkMli6vf5AWO68K
92j9/5HsnltCZYvBGrczfBtNgux52f3REKWGopLbbL9sqBLpdDFUuvCGVHD5
O9/5ziwZA5fC5+La66+/vi98Wwj5xuHnQvhJGxAZHe7zZOSPyAQWpdDQ1JbQ
yqo2KpCM5IlSuLpxGsgo1kijWVPj8DkJhNxwWZ6Gr6lL4i8qIaCRsHYe0u6t
k0kmuCjMCkB5/7wNKJzo0wV7qrRKj5LAPZBMstt9BtBcsM4MdAh6C+HzbEiS
b1uV4HXm1zMnTsKfJJC6djuk3VMndwppn2zS1ltQ0gxfmQ43Ab7bL7eLLWrf
kN5Nhra767SSnVFscDIxxrH5MH+1eevyM0DwzjzNuiCuB6FSsoh0UE2qBRkA
RdsXWBZzquWXrH9CyPVA9W75bA0II1zqJTvXBUi7q0442RHFviHITLXRnfrt
OiB3T0zz5MauGudIk/GR7Kl31gmmKj6RIy1k7gXMrwXS9wLpU8g3UdTJSjyQ
CTKJirVo4oZL1vx+SJO5uC0kjXuWsP5c0j6hxeHOKovIDo1Dse+49S8BHIEU
Gg4DhcL7NCRtW5ulhTHvxYaxrMeWc8bkIW15Axkje/BHlLExEOJ2HU07osTR
VnBQqhLxA+rbAvVZ343MPznTBYrWAzSk0Lr3IeVu0pO7g+FzW8h2cC192wZl
t0LZZcunTNwDVN1RZ4Ks0h9QJhZ7MiEL2FQ7VTrm5Fr6JmmTCHiSJ6QYYbSt
g89AZON+xs7q4JO21seVz2lPPovt2wS4JWX7tLK9pKDshKqWjKfLkewR9t3t
dZ7IaP6Y8hRBWyz3QJk527RHtinhN661idya50MWJp6F8HfXMC7IEP/orN0f
Sx38LCudDurAj/B0k3bJ1oZiEhSXgcNp02bDYfqTziI2z9fZJDk0WjdorGck
qhAgqXuAw1vX2hWlAeYxtFpok0yz3XEbZ4GMJ1r7oxaFpnRyITzcn98o/oRU
txErv+eAX5rDW7QW2uLT8uP5dUuSkk3CbAfn5AN5aKbV6kbsBmPa0pTcg8D0
7cA0LdDbtRbbL6v8mnBJku9tdS5JDYymE1hCiiVT2nPii7J4AVg0hbXQm5bD
51SZJe7cHFAiSfm7dRif99f4lJaOAmN3hs+JkzXb4teSat2u7xI3XpDRLZC0
7g5OKO0+4CSqVrBdHwHG7oYeIxZ3hc9F60VlzMk1ShUxdkudMVpuk3jgJ5wx
tgAUboS7fZezfGI1k4YKqU2IItNTB3ckWDdrcXu9L9e6zr67F7gjZOIKLKPX
zy43RDRrofpV+Y02Ypxc5M+7APxOlQbXqPIreqmsEBcHcTn2XI5sF1rqydhN
dcZWIe12YMyWZNeoMrZNGXNsBxaFzfuAWRqwSQnkrYAryHgnU3IH7+TAPAe8
T5SGQhwTsuIQB512B0AxsN/b+wZBUSgFVShurENBFvHGDxGqbO3WrY2iACVq
V04B3igK+XqZCyi6R/XA4GwdA3ISy+ghpctEUKeE6HyQX4c2mfOt2mRcXPxg
S/8PZJm81GeN5YmnU1sXUW4hl30kOy3nG2F4uzG86JnUDMRt9LuivEv+6jPG
7aInMjHWCK65oUeyk0S1EW535vnMmNQIXYli8mR2MH26BkS5gI7SWC49Lfr0
2AY4PmAca1q0P0vVk8RyqoicoGfqXJKb/lTBZTIFNBMpJMXlbBJmUqJqtnmM
atdGy/+i71p9RoyerjNKYQXXAaPyS1bmcbEtJyZHK5vMpdgAoiQLw5Zc/h18
kqd4NXzSDmQm8MK0Knw6D4HySVImiSTEZ9zRJr43gweaAgVuqDNIsRPiOxsr
jGa/KwxdV4Wt/W22wh8tNw1bZE2h7KIsuFGkTZJPpi+rO8Lncq4Qyi9x+O8a
DkRiugFi0Veqz4i96+to0Jg4WkPD/FyFaVbYOg4YjMOnxBocD9+2x7kn3ej3
SlvpOoVMYfCAMZ+a7mT+VJ15WtkOF8xr3eZBEqU8Fz10TRZe7wgcTnWd6SE+
O86mZb3pOa1PHcyR6HHQmGPTYTEgK5yKmS06o1zPZR0vlhtapgUWGtQHh3N/
ss49KZn7O7iP0nL4tjfHIc7Y8G1SWCaUVzK/ORNamqbxV3Jat1lfKmXZbPgR
/9fV+Sdb0F7jf8nzn9rQtgonrhAvEkL0/+dPpQRBUJioMz1o4irKoDjUDYWQ
QhtTBxRkuRT/nblThXBnPM7NBuYhWSgmSuBaOCfLutMDPSsm1smjLVUQOmWc
KhDRZICHH8hUnU4C+bWJVgICZ0mZ2AMlaFUgh4uzdHdSIJvP2BmuMsjIq19s
YcIpSW0dkFGERRN3kHrBCC7DC/SpRXHs03zOJqHwmMctTQ0PyiQvm7nL50Fh
9NGYWa0DQO6rbZ0AOB3bAHCLfnuOVP2ohIJJ0suKaoTBg0AYuAEpUtOsMhyO
19Eg52WKZfJEFrqpdMsRYyYthdhVZrwwn/huAIIcr0Vkg2+3PZdkAA0EgMIH
YmQSr3NkmDqgjRdj6KAW26PfLByCQqZs+KTF9lIT69D8VYN9Rrl3i5TWa+sw
UMTBVD7Z0e6GnpKxT2FwYn+h60AJSVpZS98oLMmCE1wEiD4d1+ai8wQrU2S1
aHAhz/x9kDbpwIXc6aaku45SXPYqb0cUDYkAmrgtPENjB7Thl4LktDAb+j4o
YW4TmjErdUguQtq4AaaQQQmN3dpuIVEaVkWJlfAp6pHEsk0LCV3zUdwXRdx4
s03CytzHu6GE978klmmCHaujFl3F7bj6sGg0a4o3ieEEM+NdkrG8PE2ERw22
ZVOWYEeK5KElSVSmUk7M/dELKk92LN+JYZqBHcA9UKTVAKOxZtbsIpJOAOuO
xSWRleCJI1a1d1UxguvX2t9eByfbvmlUHa2D86B8LqZNIlUt7BWeSustp/O0
ZizRSejQNkTRy7a6FXEMOxQaCmh041t5JWiOzIMmMvj9738/MUhChnn5IF68
NlUIlUYyycZlFZXcYBRoJ6GIetEpGMouzaoGHQqsc3FIiQLsCNtDIs2861F0
7UlIOwppxHSBT/gL1NtGSr3Yd8wcrqPy4CzjUatfHz/Io3kk93egQ8Se2gA6
cURldqWEUE2spMXRVm4SADpQSiuyHzvpQEkz0yKFsekWnaORxrV16Rjyi7ZB
wm4F0nZBG7RJJgOa07ZMZHdi29w5KFZpwSoKRAm1HmBmitUEwIw0tAyXh3ri
SPYHOjCzcRxbQbLC0l4FkygxN7tYvaQr6AjboTqOTSheNiingGOpM49MpwKD
TWvwSr10PorOxOyEenfVOydTaqrR9STEFONQhHepjs7YzAPR61kZdOTMIejs
IBmdLCSgyCxCQFFoJ40nm7omMh9VUOjoUy9Q4hYw9aBcjuVEgTlaw2KhhsUq
pG2HWki0TrrkpXbQMg2aNOBLvJXNA4oPndZp8KGTBs3My+KwtjYkriOVZllI
kRFLMMVOzFa38J0mWl/MSEsu7KweR9h1lZzEgonz+xQsOjczHyzYSha9pNoJ
Fmk/5u25Afg5AWl0tsjsLIUR36NHS1xFKnKb5Fd/8IMfCO+7FDqabB3QXZwl
4iLp00zYciL+UYfnzKZpwAvFaZLkKa3vaSzCzuIKCDHyFJf+tvBru2JH4Q0H
52BXl5c1LQ0th2aj1LR0IpKHaZyRHkAeEqov5fNIUj7SzxahDX8UJlxdEH4t
K6YUPj4QU3cc1JDUVfEwI2mxURvBrzXC5qJGY5cOz7g0HYmLihqFaXegJgbV
zJQ7T9stRFwZk7S4k2BBqgKN+46lLYOx4/AlpZEOlpk7FxRGigZuYKQji8ku
7Sujg17U70730rK0Kh2DNNIZCFDaVZMe4QGtHyfs24ZaeASfS3zP6zwk7Zxm
x/reLIqou5K0Svo87c40WMz7mNR5jxpZ6WgI0zoRd2cxaeRDgEJ1e+Fmvjc/
ihJa/jhFkj/NG7YRjEhF2ky0AkQCFEWODUQr3T3rFzGaI+XCFmgoDxWNRiP0
ppHF+jSk0TiXzqCA4TnOJk2LlmUbVvqAfIFXBh7ZSEBNyr0d6wQVFvr0Zzja
PDsTEmn9KaQxISFtTJfK+OoetpepwlW/H2DiMQt/BNuBOmzRp1sLiwNzTgs5
WtWqsX+2qUuIKA2SE/q08H3Ir2RL8Hju4r4T/A3DjtUhS+sAkPQ4GneEXmWA
yWSg+UN1FOFIMjgXVeksKhBbgkS8FctCCsnwEELf6jAQ9GILLX1JKhQUB8I2
YNzt7UCOGK+euZTWYiBeKECokwFmbH2qqI+9XdUDabtWHNyyxTV/4DhSYycJ
JMPho/FMfv1ChZNfJKJWF9BF1dzHNT3vrD71MpjrQKmD9uI9Rl2SEsqLaGIn
XDFw03Kgpzo7YhDBbTFfmbQ7MfYqHFRWxJmJDTTdBanSqVZK6oekNZtstipZ
BJJ066lhwMUYqGoE7czZyOeiR8s+KZV2SvmI4kMC3XX6lLCl9cAO4CeDTUvh
GJtU11oXq56pKwJ1SqCGNBJ8CU8y9pEAZ3frnFDEjus30lsJux1aS3Etjfxa
Vuzi0OVt2cZidRJHyx9enBQnMQtrpJA2fprSJi+UkNIov0jDONjMUH8lnpDR
IdK1pYCxE33aZmbBjsRLEhFd2L6KSAtXjmi5NQmDK3VaMhugzSnaRW+BtKqY
OLb1XYNBTBah3aYaU1eIS1ILzdIOcCpLX6andYAEMr1jL/XaRjBz1i8H1zpS
ZDmhJXJzkWpJOLRm0zz1+ZJpwIJLSBgh58+t8smrQ7wertFAXdRs101iWZoT
lL0sUl3854IFIg0ixetosRtEcTx80nZKev5tHWDJLjf2xo3M+VyoaPqA9hF3
pMrzK+zS+f55sPkBkTW0kqeZREUhkVeEiiy5E9vgwCU/rlFHo8xpr+W8ibUN
xCdF6/thRbSQKdzfd0Py7lzgzslnKwJFePRrd3vbK67vlQe0q+6cBxfNwuhk
wBcA0SycA5fp3oAUCex1pHLNfIfClJzVbfdgyEiBNduhvkICkWQaTfPgKS/O
0UaPKUnWc1Eo6okMuQrOAydbFRlyEBBp1XDjHwpQRxQoElQoMI52O0LrdktT
WcKMXqReVykQ+sgqQme/Sbq9EsiKKoi4Q0ocK8dzsSRa+2JpYidZvquabDWg
u7zky6032fAjX99ALGkg7lfiSCjrUJ9J4ZwL6B1FPvWWkBmXZB/asEn8bw5C
lfvOJgAr22lV1qHjJASsOd4jSS1dVMYB7RO3G/zSSoDwGKBHrcZQndmI4+eX
GTO3TCsIdCNXgxkFgtFgJI3WQvBoHhHNCx3o0QCUXbYxhqWM8gAhDEXt6FH1
FEBFMHSr0WYCR2RQtC1NH1qAGpOWh3BWQe8WRc9NJF19U9iZC4nG+8JpUYlp
rbFHV3AShHs3DqGdLSH6aBckXYtQu1FRK6RmQcgNPEXyQJ6vilolvptOnm0C
ah1BVHO37NZ5MF2/wi+KuDmjqNG5NX+tezZn7VIOAqxZbHG6bgJqtjeQYmdn
J2j8OUeRQJQAwiF1vYITZ3TL8RMtQK3DMNVoYzaQXn2caEEiSzXtFuZALjJT
HOZJRWwXI3ZAa6PIepPXCa7qxYP1mdEHOnq1g6kVHREqcxc7useCUIvOAFMc
WqhRSAnhl1a5tlzEdizSdjYVvY4QlbnoufMLquCegHzCtIy5iDef9LKJT+6T
Yx0lO87sXBXgigHT19ferN+ZN6o8AiKKQKjpOFR6WHE80oFG9HOGr2RTWpHP
7gt/yCBB2JHGsGcYdihP1DaOyHU1dJ0MdwcUspUOyOySDbIvXQtwWOweL9Bz
JbWN4SQbEI07mibJY1CNGdynIB0Hjkh+7o6Xbg7Oe0FlDlxzp+RAuOjwGI2o
yqrS6OOzZh5R8MNuxey6npjZya50LtVjtmq16Fr6VgPmZwDA1HnawdLKW5T1
qVlxr+8JmR3MSfaEFmTjTRpZ9DasewCoytF/0slX6ly27b9+YLS1fSlwBuqb
KOJkhYsTke8J7jg2s9mYVWLkhIy+wNGxXrvJnLaRJQXuxlhD2b7ARgY39AAB
TZR2lSAk/bLqRifhtQecWxTOaiCBFLjF4ExLlVMX2tuvvLx1FZ6O2/1S2OQU
ExI1dg+DkOL5SUWnNIKQXDnxgkC3JLXHkBS4WaHuQVCMkAv8kbuZ4gWaa6I9
+1cRWLJF943TWYWydPJ8pwJbuDok2036lOTu6vkkYY2OtVYvSWsfa20wTSc0
N4BpqlUqpKDs6iUaPTBdAkxF4ZK7NcUosOxVr3n4bVP8SMmgeMfy3R+j4eDR
2fN7DTyVmwi85j1RnqTw/VRPrEx2KcafnVEvwt+2K5xbwzeyTBOwzS2a6ywW
96HKr4NQorwJKQBbXisefpETsj+w3uSVMVHIi8I7oUqXIsQ3zjk7esaY2FRk
fB6B+qorjLBB/l2y0Tj/mF8py1eEbBJ+ZJYyyZtQSzaDlge8Gg0paXLvtFR6
yJnI5uMXODhoX/XBXshciCTC4A8FN9ImCDczosv7QWXRi+9dr8Ez9rZij0c9
0KQlzdA7jzYBEqK5OHFUnYrxzLQ6YsSgUixr53NwhJ6CX8KFzjwVr/uUXyQ5
4y07gMauYUCRnlM51XOyhlXuFQx/E+ha+XUh5i9HQbyVB/ITiqTNuFtHNhNF
evV2PJxq9ahQQu11nHKbK5R0vxjVISnkNX/C4GIcsmik8Eja7QDFXWAmSfag
/UrwG03emNnIkuUYEGioykzCdnr5BJSYOPaz1Y3sNhIjIcQ18tpI36KSwVR3
pVcOorGzonpkYR5YcINNaJd2HVKQyEDr38/aVtGKCs4pTtRJJHdLDpq7JNNV
LkacdCC8sSGXAOw7YWkhW4mYmDA5F8VbFMW+r6S2oGA6Mlg/unDVoSxvbgSJ
224d9ivYXJDOxhLrLZIwXb2LRbKRia9tIgULVc2S5bToqwIUGfcs0K7DzTgX
xtMRlLSy9YDR7odP70NyMIacFGwyCD866buzD35FZVXh0o7aV48y9MXvlOLX
11ViO4h7Z4nSTPFNHdvrIPC2wKOLQ8CrRjuPna53RTCeUBjpplrakndou/61
hOFrGo9DscxEtCvBUq5Vs0DnHuBZFJNdPtmhYxKMmchzrcJIvBOM9VcgtIN1
gupCk/uHh+kOwMAue7Y4aZqbhCmtsyKcTLxC72shFcOiTqdKCx3loaEe81WP
jwsSp68AwuL9TGmqkxDjwqAmKW/667gcei6QIppkloB5QNq7HGx3pncvEFVX
F0g+yEpT3L+WAySw+Rb76t4vxJHITlAaGXQeneZHIYB7RS/L91aA2HWxNd00
3RfHPYojqYhEia0u7QsmwfTQpsrF6OdP6e70GHUwogt0HzAcpyWOCRsaCA4u
3estoqLDuj4XTHMFka2MwNytgFQvZ/ihwDoaJwVwphY9q1ZGXd/3VpiKQ3OM
9GqCtjHwrBN6A9RCi7hZdVtRwhmgJPV3+Bw3acR2XPNTd8pomp2g2KFcktTU
F10zUZ/tia69Ltmi/Gm4kqu8LROkPfkKMH0wpiUIpcIKxDJsyQRDc36XMthx
r+JcYCcK7M1QC9nsbLq01TMwtLWH7dUEFsIsHEJtwXRBbQ3ykOwU1fARNvCs
U3hbHUmwdoQkElvpcpAeLmsZQ1cV3c6XV2RDhWa8+MurIaU9wBYdR+Jsbu+J
s0U31q8UR8sm4NwrdH0e3kvw6CHAe9KBNxlfCe9jyjxZSKuhZrKTXYAS5Yu3
wmXZPop7LrZzIq41bY496o2N4YxTbZ45jLRo90oKRZqrgkBIZ4bPKi3PzM7S
yJZs5LsjpOecC+hkyyGt0NFLcrYPQ5o6v6OjszTa5qI/fJpE5fQnz1OohVBF
fBPKMoUo+IoEZgK9Y5ZJXc362HWmaCOgvwNAp+Hd5dsikSgKta24UqFfKCAp
kAC2yEtawepDO7NhO5mjvaO+NaDWJ1LL104DlwKcm8iDVCwOQrdTZm3R5if5
FmsCD43g4pVGCVtqEC/YuKrYVufQLJc52sBODEk9EhLjP0K5YluLEpPT/zIW
ZYXJXlZ66ZK+Qw9nMelmVwkoklMsSo+kRZnHbqAVKgkoDBIrKTeTLdrepssi
HX6IVxi0TEfSKAFGS8dAwKbw6J2bAthJBayJis2WwO771bIgyS1qvNlRk34J
zDM5mPq/SMGQP858XthvGgbgwz0BLOQH0kDk1wmFcrk/lKJk7gpJZI2lOMd4
i17rQs3kw6s654vRRq8L37ZZYPEty0XW44pXKdiH2FzigzYFeuFxMagSETKo
6vdFbDo+eMF8G5/wR2e+RbWRpb60j2wUn7iCtVwxdCaheddXSe8bTbGbh6H0
rlmbGBpFfZ318VXRoYkyZGKjEEWBsD2ERvlOqfkrHkvp1ls2DtJSmxytnuaW
vcdA6vbvjkkCA5nLrhAdtV0EdOqGncHoLMKjd8/aJHah0zeycpeC5a0oXWCd
h5opqt8FNZvcS30GwFWsMgL0QOAembVJi8D1umPdxIjtihTZREg074uUE+F1
incYLwCp1sZz6xWBFI6xaM3N1MbBXj1eJ+s2nSfeCD7uHVgq2HYsn2CXagVm
3gYgbJ2LT9ZaFz5wVif8jWuOpI2gI/IXbaQdQh0YlFpD6NwwiB6NaW2ngg1s
gcamUXMvcnZ/EAFxDvig81nXKhAdx1p7WnoyNMK0uEI0Zs7WZP7ALYoB7fin
ARdSplaBI3IpEVYr8skLbP2k7pJHyvMmo+98HSJ6m+9jDUSVAaNpZlONl1+G
tm4wiJRsgkhU/z0mvYioG37FEyN6air9kX5D8MlemV0x5EuQpe0qAuiqadx4
oeV4k4GqGf581lzYpE45YiRbnZyioROl5vWh7arrVplsxplooLx1rM8ExXsb
KNqvSWidvrA4krhNta7L8+ff03ARxm4BHqV6EhUPajM0piiaIkWANwptqu32
K0Mi1JqM0jaDik3UAs5WGYt4OUP4RiKyPS3dR3nltPQSAi5UTwf0lbCPTh5h
f5oYC//7Hdu6q4nryt06M1N/5m5Ny4pKNbKuhyrYEbSSdHoh/Q4AYUsdn/fN
ZukF60UD4vGDRu02tWM5MjIxqvfzkbfcXi9C27z38TYWNtwPaIvzZ5gzfmn4
dMDznvBZ3ZgpHInWfxtM8b4rXY5xxs/HzcJayQgd47FDEu07FKHpLle4nFhf
Z7ljKI3h0SOKlSDZ4+a8KmCHlYW9Clhh56diNCMJv31aafUy2rFqeIQ9jQMf
p+tA7BhwBOLDCqI4BxopgcQyBZC2WpNH7I33FATQ1ypAKNp9nNVwsWq4XVz1
lslS4f8nhEgS6AD0IQV0mwGa2fE8mLQ3R/uj7ltjt8LNvXqckLkV8tkllIX8
ZsFDNHEjjNnVdyWEqI2QNaADw4vhM1pgDUOL1BlVhkDd2K06mX9Vx6aB6e72
UhQsOIhiQ4szGt5g5hdF3CIGYilXo0RTraAqrbTecSEUkBhwQlHzMfjw8gW2
ApJ8spJXSedV3FmTHNEoYitzfcfach2fOxWfQ4ZPyzJHEiRZ4azbKVKyCyla
8eIBFKedJHWADipG0wy+8C38T8F4ZMlsoFqARxcUqqMFVH4RIJHJXuaxrADV
3wXTQr+6G7gLi9iUQM49urGWBhchRn6XDsTOK2LymvoijDRpWYQYhRTa1VgV
+3FVdlt0Y7gtIFUPShXWvnLhVTbpbCY5hTuQkqEYjbeGFPhWCKvyBtjwq2En
e4scXW9VnXvbFTcyI9ihXZLZ4vLVsvnSINsE6MRjKkmnw7ceQeDUyaTiwJ05
ZuZNoxe3xOZSIB+pEP5ImLWzekQdQOkWj2wU0sVg5E3ugPKMQnnWoGxFp9nh
iu5tXX6lWHd4H26Gosjcp+GBBHiQhYcMZyRPmh0EwthDD9G7Sc4OA+56Be4W
A26x7DVJrU5jEpTc+3pr6MkvOwFQhMfsVePgNhu6WhVdEY1v7ax39lwFnV7O
SujG4KxGSFHzyikFtjHOXm6yRSzlszU7CF0S5/cCusS+mKT8i1yzp6sARMzH
h33Ih1S7vgRwonAtxm41fMaI8yp27BsnAOtq5XwAb6rDlpmM6UIws3/ROz/2
bQihlfApGZu3tHqEtI3uSDbaAPcDLuXFZoE3OhxEw4na6GHIlDb2AxoU3M8I
HVGELsYyHqEuLXTusmzeuENVtFoT4kao6AQ0SAPJHA9FV0gnHwRITveG6aDC
FMPzeSDZATjb9GmqXQVAGoe4zzcbsd+gdBoLRYAE3WfA6OxTdGKMEQtntodV
w0lZ8AWcWBuiQ44EFi1hZLkzx569DuwIoELX4hhSPlVEEVmyowObxxFZ7+un
ETaG2dugDnq/ib1Ckya73aLmtAlR52dpkblizETulaTH5XdLvrPGKwYIYbTw
rjhgOm3q8otCSgik+gE4cGHV9wBl/WhP4KYI3BYF7oNt4HRUm0eoASgjV6Bb
AegqAdOSn05pNHBl4gCNpOpZTW/7zkbXCgByqjdIUwXpw22QArV2Etsua6kD
Mn8s0XmSk1CWJnxVdi8vMFT2rgUg6G5RBmes4DwRwSklcTuMb5YWmmh4QV4d
iLkTjcCBLVCpc3YyZW4VYKCrpdvQiKM/fD41y0iTxduufihm0dG3ABcqW9yu
GtVGK6t8nhiGh5wlfrYGQPvyfxkbtDv13e1O1HGZO+m2QafIAxoYND8IHA/E
cwAE3I9ZI+PAW4FLyGEiDQ0VWkFoKV3tQqP96JlZanTO2zfTmOmNB+0gq/Px
kPloV11QLY5S5YMkYoIium3i6imj45lZ1oCwWA1A6bhSaS4eJGzQRUqncszl
l7kuaJtx8UTKJ6mZx+t4kDfr44aMGrsodMl5BPyiQtbHvrhIM9tDEs2qk9oV
9g4ZUtNJbCMDRQcu0564UPMWj2iObhleXhifC0/1Ag+JKNi+NmtiFIvAc7Oe
jGuT2ynqyhsZrUlOaeARrUCm0ScAFAqmJSueeS7JPU6gCLTibzwWAJiY4Nc6
vmOlycjrKlehlVyTJMg2GNB9Y08DGsS56a6yvPh3z/SbN1Ld9Wvpm3un/GIC
IP1JlBvdpFi+giL8osiTY3UMxJUk48BNjpL62pqVc5R8zvOu+Rkr+zcq+9Eu
h3cnhP/J3WSTlKKXSMlrWCaXz1PGvHZ71Z5rt7hNbOi3Tt2lXjm3loqY0uNV
/gwbcgYV64hQSlFvxHKMBcHX0RHL5O0tX0DeupN/aoJP6zU9F5T5Rc1amEMp
DpNCFVw+Lfv2YTDIPYMy2GWaL8jEmi8Ltu6WqrwNTUrdGTiWbyYFVV+6THy6
YaF83gU8kf2n4XM3PPrYLGteOqLq+GNhsr2wNQE5s2YhL+LPF3SJ2xLxaNfc
cRf1XKDMnV6E4RNah+toia9twTRP08cbnyARaddpEzjeGhwbWZeMw7cjAJOI
AzvWIkWlWqNLTV9AioXiPuCb7NINFuQZerJAZVY/JW7RlkUgrDt2FhhNf5Lz
Yvg2Vj2qB6MLRTNK6kUgn3wUDbfk5Ync5tbOFNhNSrBt3EWnrwmla+20+9ba
tdDp532Gmcc9Tq3w68Fh3B6YzZpx/jHgseGzzuNIz3aZlFJw5ma4pl0EbmlA
FzJexHuWWE0Xjni2DtRZpRH+UflsvYE5da4wdcQYVcLGbpw1jI0WgdH7gdHq
UjZWzt7Vk7NxbF/WMenEJ2dGQ9q/fbBQk45+MTd3lf6N8OQ8YjpApI1HgBOa
dQ13tHfHfqtao1Q3I+tGXz4fAD5JFmqMT55P3QLeA7TTctqwSjK5sOo2FdsO
mkFKoQPOnaz8TDfAY5TvFz2PlyPJDVmPDWN0JTJVX3ZsQSvCcMgO4Xt+KLfV
awptNhYlHge2KLykYZXMER81pn3DwrTFSBSRh1VWl3qySrpFqTErBUXZHwEu
KB6pYXo1/Of6N7fPF7cPyS96Z8tGmK1efNXStbJiHwSeSHJu+CSrvXSu1Jpu
tc9uWdoAn/cDn9SpNoTGyidJRj/ak9loaUZr/ZPKbFIEi0BNsn9snF++fseD
ngm8PzaM0VOzmRf+xyZvT0v2pP113kjyoSWIWKKb4yYKKXXcR4B2ir1s+CFr
unScrEDuJSA6Sv3bXLp6iAQ56V1fc9YVSULxtOysk34674pYWbpZPf4qZ5Tq
74V8RvSL2E3vXDRTXjKBeeLIdNIQTBbpJ2cz7Uf/WrAROSDosFtSJxsRLm6O
MrWBp7vWEv60Nji7pdKXrL2tWBBm8WzeJ2OTTYp9pJiOSmGMIAlJd6ylCuIE
XmsTTAu5M0Eqcc8MY4JC45/SfnLvI8nZoaXLd0JSGoS7k+HBsnLnBmAndzbt
n+/J0zWRJzpT8rTyRCuxnXunxUoYk6X2aEiXb7vWZrndC3bY8PQS0EKvCW1I
j8He6nroNqJUh/4FQLh6DavU8hKQRCcpGjLJkP5xJbiwb7jlTykk3f+OnlSb
beungAxyXDRUn1Nwn1Fa7XZ5Iun82iw3YJCmlU32nx5GEpnn40orMXupWnWt
pZUylo4L+m05kf6+nIy0V6EtOpLVkEZm9KcgLfnf11sI1+rIjmMvZrtZiWMP
oDeKx7X8c9AG3bPakHkhdqXbGVtujab5RJ007KAKT0+vzbyAYw9+rkbNNSHp
mvhNCLkTcn4U0rYQSWGzRhE25DseiHO3LEy8XSb8/RI0M0Ui71K0iLQkgPiu
bBwBoWEFT2agLO3719I3E7bFoP23epN0D+Qkwa5RoxNhUbIpTNC678iDnbrl
SJZpnBjCTrZlvgGtLSKt90JOEqqTpXHkbDDSgfsagSwTMtVi/DWoaoKE3Kf9
SM2vxrTLM/s3+ieQb4x13w85SUX6c0hbwBofUGo3Vs9DkJM08r+YX+NI72n2
md4PaX8pn4s+Tf6t/05r0DuVP6rgr+RzklVgZJCN872Q9h+KNNf8u7X5gQUf
heyU9j1toClI9jwyZ/7H8OlBf0xrouyC1MRlfx9kehjS/kwLNn7sx7Udyv5d
zd6c86dBRIPtj8KnDIXmzRUfgEwPQtq3tcVoIosGFiGQsv+hZo8ryehDkIkc
Or+nBEZz8ejD2g5l/x1tZzVmp4WXFuhvacFTseCPQ6a7Ie2bSmCM5Ro9oQRS
9n+k7UShHvVm8nR/QwvGe/6ij1fauQDZv65kxaca6+Iz0W1uv6ntRJiSGHxJ
zxdm2f+uZo+rLKprdOHCV5XAuG6NnoVMFOPzprYYZ9zoOSWQsr+h2eNagroX
xVN9SQvGyTR6Qduh7F9QfuLQRkWJwv1+TtuJEeKjn4RMpyHtc1owCoqjF5VA
yv6KEvhMzP5JyHQK0l7Wdl6IBT+l7VD2lzT7izH7y5CJgoFfUAKjGoSqxyqk
PastvhILfloJpOxPa/bPxuyvQCaKJHtCCfx8LPiqtkPZP6ztfCFmfw0yUWDH
B7TgF2PBz0IminF4rxL45Vjwc0ogZX9E23kzZv9ZyETuyXdqwa/Ggp/Xdij7
/UrWr8XsPw+ZyNNyj7bzm7HgL0Am8la8XQt+PRb8RSWQsp9TAr8Rs/8SZCJj
5s3azm/Hgq9rO5T9bZo9Cq+jL0ImMqZcrwW/FQt+CTKRVn5COfudWPCXlUDK
vqLt/OuY/cuQaQpph7XgH8aCb2g7lH2fkvXtmP0rkGkMaXb6749jwb8NmSiA
fpsW/G4s+KYSSNmnSuCfxey/UmS6FF4ponVGkXT0q+G/aUj465gwuub/AzMo
VUo=\
\>"]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Graphics3D", "[", 
   RowBox[{"QRoundSphere", "[", 
    RowBox[{"1", ",", "7", ",", "10"}], "]"}], "]"}], "\n"}]], "Input",
 CellChangeTimes->{{3.39185463215625*^9, 3.391854674765625*^9}, {
  3.391855366328125*^9, 3.391855373828125*^9}, {3.391855419984375*^9, 
  3.3918554340625*^9}}],

Cell[BoxData[
 Graphics3DBox[{{{}, {}, 
    {Hue[0.67, 0.6, 0.6], Line3DBox[CompressedData["
1:eJxN1Xs01FkcAHBthtYmlbCDVgzHSB67HdpKXcdrhCI7SqyskLWSo9BIrMfa
muOxHhlbGqxns5MmQ7PymKsxHuMxmfl1pMfOOd5ayiZ2wlpr/3Dv/vH953O+
5577fZzzNT4X4xv+kYqKCm09Nq+HyWubA3NdBBg2029adg0/ukZ30d4W8xYE
RDvWe7cRQO0TU6Z5aiHYcPPVXelXywnwuFXPhJNQidy3SvShOooAAX/cGWqc
rkO+oHo7omQPAZaHT8tcDRuRLztx6YcD5KCQFparn9SGvMJNcbvZRwbeK3+K
uGHYgfxBrt6Ljr4ngCUsStS+3o2cQdoyvVDVD8KuWYmn3PqQP9KdgdqtPSAy
zG6u83cpzo9YTotOEIMjPqKJntlB5M8UWc0z5u3A21NV6K8pR34gO53RekEA
cmtW2E5K7MpArdF8Tj0wq7VgGtMI5CS9HxJ7OBwg5BQFjmVgt9lzguf7aTlY
ZS98zb2HvWrKdqeBggmCjYJ0GkXYNe6/M1GQUuFv1hVC707s+XQmdW7mDpy9
NGIlrMducr09e4l6F1aOVzflZmG/mk5K+3z0ASw7P1ng7ov9L8dF+xBVAZz1
Hj8z8Q+ua8tXzv7HNVsg02I7WVCEvY0ZFHXAXQTfcJ3d65gy5JcPekzTY7og
yz2su/0Y7ufdR5ygqNxeuEB+Y+LjM4C8bMjlz4MrA7DF6HuDl/0S5PQvjfUH
igbhyWkbpTKrE7la+sd7V17K4M6LlqTnq+3Ik81yAovFclh6UzKfMt+E3Omd
NvWiKQH5EdCzdaQBucRQJI26SMARRvCrvDi8n/s0Y3cnlxHQP/r6cWMB3mcm
I0hjSxsBKcxIrkUP3v9IecrEmy4Csu3Mi7njDni+eyeXXq/nM7hrTy+NFMAN
14vnO0hKCcjT8qnhj1Yiv7LkxiuMJODwaFelx9H7yBflPxfYrf9/q0NeLWWi
AflaII+1q18OD5luIlUUNyEPoVxY9ZfK4K1k3/KH9o+RU6o0WczMQajQFek8
autETh1Ntg8xlsKEekd7p3IJ8hObbLe1xPdC8jelmiXnB5B7LKobT5V0wUQL
NcuThwaRE7ts/cpTRHB2NzkgLEmGfNskxzw1tgV6DyWezcyWI19qD3XoHxTA
dw9FvL457JIbJTdekfkwZ4A5xnYkkFuPEmOhBAdunneTqGdgZxkl5it/LYVv
+20byTzshemeV2InMmHDka0Hpzqw6353OPx1eRoo2ck99kGMvSja0UuDegc0
37+p+oKPnVb3bMKLXwtq/drbiJz/vVNjZpW3uR5k1VWbxPlg36ShvNehLwDv
U7VOua7iunJI5Kdf0CHwsy/g/03Fnib1dGaGisEtSphO0jzup0JFKszg9gDP
eM9g1Rkprjf/jNdxWj9461I8/L62D/l2oDB41vgEuC9XOs9VdyOPjSNLduyX
ASqjKS7jxw7kEYXqghYnOXBiUCJ3hAiRr54eDmbrEyA09jMaO6ERec3Za5et
zxGglyFWN/2Wh/xDUNovvSwCeHE4MafE1cj9rAaG9jUTwIquTom7zEJOtyDJ
x9fvy37K80UVGh35A7MX7Nl1LwmetrSmuSDfuEe+oS3/3SPhhv8LrMpHVg==

      "]]}, 
    {Hue[0.9060679774997897, 0.6, 0.6], Line3DBox[CompressedData["
1:eJxF1X8803kcB3ChH7ik1u9yjzQaulVSdrX4MCqKK7lO44qMO/24/F4lJO1R
jcuku9GtH5sT+kEdpRl3H9fM0IhRYqztSz+0aZVVjytx+6M+nz/e/zz/ej9e
j9fj8XKIitsWY25mZrbRdBamcw9LsSTfJ4Ciqcopjp7sVWYsEBwcGAK/X9k6
fVRGAOMJDlWZUwS+uOHmsGPeVQKkndggacmqRD78452c4EMEoFUFDr5NqENe
YHy/emQFAa63vNgVuEiK/MJ/t274J2vBUCFNK7ZSIN/u8C2/8aAGZIvoDBJV
ibzY2T420lMNWHNblwREPkSeUcSOtvVSgXeaQDr5dQ9ypaeg2eVEN5CNJe2d
Et6PPI3bnWLN7gTfyGwW18zVIO+YfZLySdIGRAnXD7gs1SLP2XK/VhoiA9zd
TalCKwK5b0OTxE9RD1KeFZfyt2PXlX21dF2sGMQnvKVF8LArikZfBl+oAGs2
jHg7V2PnPKtaPn6uEBjGZE8W3sMeEzpxCy01F+ryeNqCVuy8B7TveceuQVlg
cOZHCfbjnVOrGR+qYfO08bSrfOxNYkVCiW09fL1/zlu3SOzU288tOK8a4NH5
LdkDdtinNDmeDpM0Q/72h+6913EO6Rszji5hdcA8+wu1hnKc26mjWSX0Hx7A
5eQ9SaEf1chvep8Kq/DpgS6NmYJJWhXy8cwVb/KP98EKx/dhBdxHOE9o+Gks
5zG0fENij6d3Id+8U7TbY1QDOef07BHnduQbXjjPjO/RwprXJCddjRx57l7H
afxVBOTbPtkkfH4XuXVM65/GVAKqYjvmHbPA/axMXE65dIWAO/6qL6VA3Oey
NDf9HRkB/R6JZ37Xjvs/K2qz1OE+AUfOMxtLUjcjd3uqUuQ2EnDVG/NRrVEE
v/guu7UzjWUEbKNK+dlDlciZ/kc8mGwCrpE/Z4ZL65CfLxB5RZr+7+WPmfXr
7iJfHxtwmKfRwl5V941Mlhx5w5DvZGDQwB7KxYuTI9qRR8wt1Nv+8hhOOHJs
WXB5F3L3GitqX2kfjK8geVEjHiE/lMLf7e7aAwU+7qvXvlMhLzTj7L2U+QCe
Ox9q/bFfjfxD9OmKJ/wOqMyf0cwUapBz9U91l+e1wJch3ZcWFmuRv7B2ahyu
lMFrZCHppDmBPN2Fsc+O9i9MslQJo7dgV2y092vjieEwTx6dm4vd+XCMsNq1
HPZP/nXxITF24ZpPxJzO3+AOG6cJPgrsVKesmikNeeDsbdYtv1bsZ4LKh73l
V0GUriTRqg77xfz0sWhuNeDYu83oLMS+b7+nOWtZPZCFUBKTd2GvW6+f0DZR
Bhy2HRgInYZ9flBvxpV7rUDgorRLWo9zcHWz0c2I7gTJczaNkL/Guc0iS4P2
sLvBSdmrIeHP/cgXMIfpo4O9YN3ZSeFxQb3Ikz0ynuZT1IBjuzKwKP0h8tUM
fdSZcA3YMWC5X31Gifyxz/t0w04tIJHErAODCuR/1A4yvJcSoM01cZDGluLe
rpxYvDWOAL6K2i6h+m/cQ87UYqaIAPGM46WCqlvIuySeWWZSAhSU36FTwi4j
z5dzHeaZ9mU6fbb9K38W8k79jZxFJt+nu7ZwQUAI7ufnPbJYHLTEtEf/fPH/
ATBK2SA=
      "]]}, 
    {Hue[0.1421359549995791, 0.6, 0.6], Line3DBox[CompressedData["
1:eJxF1VlQ01cUB2CQxYXWAiJoW5i0BNdCoKAZJHIRqBGwKKAFGdmkQAALiiRY
cCqbjsg2FVAkAlGxxt1gkGWIFyRAUTMBI2EzMQtJ+GsVrIQakVr6wL0P5+V7
Ostv5nxzID00YZGRkRF9vkzm6+D0OXaWmgCqAbsNyuEc7+hIpqmjWAVO/ZvY
L5cSwD6h/HL/yWtgwe91vmom8Qgwx4h1j89uRd6ieCZ/n0qAlRU7SXEVXciX
vk0kBEsJsOhasotz2CPkyzTkRkvzCdAh+iBoCJIgj60syy68rgWlIeFshukI
cvu+0rpi8Tig9DTY7noiR77Z5GpeDlSB6wcUb6NHlcij/KQzCa4KYLeCZ9vr
Po58UuOjdu0bBZnueyPvrtUid/L0rJlzGgQp/XGjqRd1yEMowoaWSBE4Vtno
XSeZQO5r9k+/2KEXOK9XszfSCOSMvI9nPzzuAKUH8yX3irHfTZBdPmPVBKrl
Oe9XdmJfV1iU5fmGAyKyDcLXMuyF9jtIKYZKKPB7CsOV2K0LaHZTrxthrckF
clsvdtK+ND6NA+GtSTOdoAr79u/b7CSre2BjlkErDMS+LSbmlf3TJ3Dzu3jz
Whmei5oRG3CDPwCv2Bke/RWG3e87MifnzRAkK6yolnq8ty8zlyQ5RMugO4Nl
SQ/VIP+jxLWsPk4J16s8Zi9R1Lh/bjo1t14N9Q/jXSZVCuTfGjmmSZo00Jw+
Rz7u8RzvQZDxmShWB+n1rTvNvaU4V/mhVwJ/n4BVwxGfm+7pR54xFmoPlxOw
slarKDHHeStL611ek05A+s97gqLoOJ/6m0KzwTsEPEVq3nNUhPOsKvIxy5MS
8AC702uFBudfySlRMtUEXMSXf3QhQpHn76f0cIcIOLL1jsGymQvR3cecy4nb
BGRv+mq/eHEbcrkNtdk3mYB1D43pCY+7kG+lVVkw5/sPSGblGls8Qs6ZSt+7
ij0BW/efryhe1Y+8Hej2TQfroNjRQGaekiLXD7mEFHE00OSElQ+H+Ry51fLF
s0db1PDItLL1QbcCedrgn2OsECWsi57y2OKtRl5XdLaCVS2D2369/ZO1twa5
ze4wMX/TMCx3c/aKUmmRi0eb9WBmAK6eUy3W0CeQpzIq7PkyEXyxgRAN92H3
vFF/Q8TrhVNU1sUGdwJ5usR2yWZdB1z2yTep8jT2E8L2XSet+dBm2orjL8Tu
H5g5WHftAiyd+3vg+Avsh4KZCdkrzoGqZQH+GgX24nvbaa2/NIJNNSE85z7s
PMLnpdoUAoeWq1n3q7EbN52pzvuhB+yOCGuK2YG9vIvnmjr5BMSv/THz2Bie
y42k7AjIewYcym0Ta7p1yJfoqOtZd0dBdieX7ETBe7PgJg2XOSmA9xdN6zJo
48gz25P8KfkqMPNuA1u9WoU8/PCa7NMd42Bj2ycL/rQc+ZaI6H28Ai0IZ3rW
OpaPIPed7XAK1ukA1/MIdZ1KgrxXv3RIY0yAO3aM1PQ+nLes19JDlTEEuO/W
tSa8TIg8Ny6iMKOBANuC3BQ7fmtHrpSWyLqeEsD2vFdzQfwt5NybNkYp8/8l
8cNh/tfFKci7L3E9Mudd8H6lOrw4EvnCPxKpXv7/jx4s+H/NxVJE
      "]]}, 
    {Hue[0.37820393249936934`, 0.6, 0.6], Line3DBox[CompressedData["
1:eJxF1Ws01GkcB3CLjR27iXFyOWxG0qmoYzSHXPZxt9pyOuVWyCRKF6Y9aXJX
p8UiZLVhUbPHJRxp2cqg8QiZNQ6NNcw0i5lxmTFm5p9RranQ2hee/4vfm8+r
7/N7fud8STG043HaWlpaARujszEdwb7ErTQMvHE8auR5+sZ3x+QHnN8MjIGK
9lALQMWA5MnhFzbaLWDTRes8htgJA9eq9Xpy3rKQPznEvHl3RgUiZD08Vx02
8qb3gjQLmgrwCfr51OUR5HPpVN64hxKQxpRO0pYJ5I8f2rb71i0CBbUjeTx+
Cnkx68ZzGX0BrO0y4wZYzCDHuNwAEkEKMpe+NRxanUNeGeP+g77+LLgVT9rG
gTLk1iPPci0zRMClY39kssEicoZ2mmnupABc/5d5JZutQF5KujBB8BoFryiN
+1IPqPD3ehd++clhCNSJnLtjmnDvfwXrVd19YIWzt1qihyEPeclNyOlngsSw
MFKNP+6BjZyuA7IakBt+MaggHvd6qz4z64Zy+FX4wa6iy7jruJgIWZ7PoGtE
1vCPQbgb1vIDX9/rhX2EJEULEffRvlPv9n0ahIdGRI63u/CcJ+b7i+ESFy7F
xpNd3XBn/dwuTObyYH6Z88WoCiVyI4vFMUubSchopaxLV/G95a88NCL4SKCm
fIJYtk2O/KhVZb4gcQ6W/t5Z+6FQitzGrKAr1UgGzcjMz/LXs8g1dCKszpbD
gJH7GvO7YuQG4dspRWkK6CNppXTuEiL3SDubdFOihPNeA0DmOIZ8h/UAYzVJ
BdUciuORcvzerPRWeAKpCqbwXRKmGweQc9y8206RMZg4xbIkh3QjP67M43Oj
MZhuT9Wor+D3DyerDL6mYbCMxzLc7RaKPPNtQrb9GQwmVf9TKf/mEdz0nas5
c36OGBx42nyYXdGNnLN8LzVWpIKZlN/+MPFjIw+xlxfWbeQ/Cb4n5lWPINd+
YfhST6WE5VWfh9cUfyN3y6w9U3pOAUe8sWzXDCHyD7bGL+5dlsPWWn+HmE4x
8mHtB+Lx/TIY2iGuqGifRX6eo3vndcQcPBpq2mT9QIr8evNScEicBLL2pNhP
aBaQ2/zU5sK/Ngmfjx4pUkgXkSfql+0osRqHbPr6G5cCJfLtqfG2+kWjMHlU
q3Btpwo5eXd6CVs4BNs5BVmRDNx/CbpvrJ7ug4FYXGfxFgy5OSOlta28HS74
07jUw7jT3QlqtYAB7/M+qs9exJ18tYXcYF0J/PeS7PQv4x6456qfbtNT4O8x
/6vdMdzzMvrYeW69oHYwRdfBFHehQ8FA9n4OcC26G9bFxHM2+DS3ab4YBbES
Xd1OF9xPtz25tWAhALr1Ps5blxXIV7JyjhGoIkAXmwa4m+B7I9TZLwd+mgFZ
FWXPPw7KkBvGXlg26p0HBGyuih4wj5w/hjn5xi2AP2/EELeQZ5CPnwwvYVxf
BL6zoimFwTTyhZpd3c3mSqATpW6aiOYjD14qE0riVCDRPYFwLuMV8ndRt011
eCowZOJ6x3PvX8jLQ09kaGwx8Ox9NTEF9iDPPpJVcykCA6dMDVYp/q34P8rt
TNYTMRC5Zmxnc5CGvAi7RCRs9M6jS0zm+YPRyDf76LHX4P991L3p/wEnDqDV

      "]]}, 
    {Hue[0.6142719099991583, 0.6, 0.6], Line3DBox[CompressedData["
1:eJxN2nc8Vv//P3ClQkoZlRHyTkVZlUTrhaisaEhDiBQlIyUiGcnIXiWbkj0z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      "]]}, 
    {Hue[0.8503398874989481, 0.6, 0.6], Line3DBox[CompressedData["
1:eJxF1Ws01GkcB3CLjR27iXFyOWxG0qmoYzSHXPZxt9pyOuVWyCRKF6Y9aXJX
p8UiZLVhUbPHJRxp2cqg8QiZNQ6NNcw0i5lxmTFm5p9RranQ2hee/4vfm8+r
7/N7fud8STG043HaWlpaARujszEdwb7ErTQMvHE8auR5+sZ3x+QHnN8MjMGK
9lALQMWA5MnhFzbaLWDTRes8htgJA9eq9Xpy3rKQPznEvHl3RgUiZD08Vx02
8qb3gjQLmgrwCfr51OUR5HPpVN64hxKQxpRO0pYJ5I8f2rb71i0CBbUjeTx+
Cnkx68ZzGX0BrO0y4wZYzCDHuNwAEkEKMpe+NRxanUNeGeP+g77+LLgVT9rG
gTLk1iPPci0zRMClY39kssEicoZ2mmnupABc/5d5JZutQF5KujBB8BoFryiN
+1IPqPD3ehd++clhCNSJnLtjmnDvfwXrVd19YIWzt1qihyEPeclNyOlngsSw
MFKNP+6BjZyuA7IakBt+MaggHvd6qz4z64Zy+FX4wa6iy7jruJgIWZ7PoGtE
1vCPQbgb1vIDX9/rhX2EJEULEffRvlPv9n0ahIdGRI63u/CcJ+b7i+ESFy7F
xpNd3XBn/dwuTObyYH6Z88WoCiVyI4vFMUubSchopaxLV/G95a88NCL4SKCm
fIJYtk2O/KhVZb4gcQ6W/t5Z+6FQitzGrKAr1UgGzcjMz/LXs8g1dCKszpbD
gJH7GvO7YuQG4dspRWkK6CNppXTuEiL3SDubdFOihPNeA0DmOIZ8h/UAYzVJ
BdUciuORcvzerPRWeAKpCqbwXRKmGweQc9y8206RMZg4xbIkh3QjP67M43Oj
MZhuT9Wor+D3DyerDL6mYbCMxzLc7RaKPPNtQrb9GQwmVf9TKf/mEdz0nas5
c36OGBx42nyYXdGNnLN8LzVWpIKZlN/+MPFjIw+xlxfWbeQ/Cb4n5lWPINd+
YfhST6WE5VWfh9cUfyN3y6w9U3pOAUe8sWzXDCHyD7bGL+5dlsPWWn+HmE4x
8mHtB+Lx/TIY2iGuqGifRX6eo3vndcQcPBpq2mT9QIr8evNScEicBLL2pNhP
aBaQ2/zU5sK/Ngmfjx4pUkgXkSfql+0osRqHbPr6G5cCJfLtqfG2+kWjMHlU
q3Btpwo5eXd6CVs4BNs5BVmRDNx/CbpvrJ7ug4FYXGfxFgy5OSOlta28HS74
07jUw7jT3QlqtYAB7/M+qs9exJ18tYXcYF0J/PeS7PQv4x6456qfbtNT4O8x
/6vdMdzzMvrYeW69oHYwRdfBFHehQ8FA9n4OcC26G9bFxHM2+DS3ab4YBbES
Xd1OF9xPtz25tWAhALr1Ps5blxXIV7JyjhGoIkAXmwa4m+B7I9TZLwd+mgFZ
FWXPPw7KkBvGXlg26p0HBGyuih4wj5w/hjn5xi2AP2/EELeQZ5CPnwwvYVxf
BL6zoimFwTTyhZpd3c3mSqATpW6aiOYjD14qE0riVCDRPYFwLuMV8ndRt011
eCowZOJ6x3PvX8jLQ09kaGwx8Ox9NTEF9iDPPpJVcykCA6dMDVYp/q34P8rt
TNYTMRC5Zmxnc5CGvAi7RCRs9M6jS0zm+YPRyDf76LHX4P991L3p/wHNWsRV

      "]]}, 
    {Hue[0.08640786499873876, 0.6, 0.6], Line3DBox[CompressedData["
1:eJxF1Ws01GkcB3D3664lt+wux65RaN3WZY6SB9mGaiuX1uXIdV2ipWRo6Wy5
1CG3s6FkwlTaRiqGkcuhh0wsmTOYDNFMczHGv1a00aJsa1/0PC9+bz6vfpfv
Ob9vYlID4pQUFBQom6W8WceXr9AypQSQjBnbiKeyPSLCqCoWXAks+Dd+VMgn
gGlc2c3RCw3gk7f2vWo3ZxJgIzHKKTarE3mH6KlwNZkAhuUHzKPL+5Frvokn
ejQJoNRwzM42cBi5lozUoqs2D3o56z31+3nIoypKs/LvzIES/2Baosoz5KZD
JbVF3FlgP1BvdGhEiNxV+XZONpSAOzGiNxHTYuRH9/DfxTmIgLE+02jQaRb5
osxT6jA0DdKdjoQ1b59DbunmVr1hOQGSRqOnk6/Lkfvbs+s7wjjgTEWLRy1v
Hrm36j+jXLNBYGstpe1wJ5An5ny4vP6kF5Qcz+W1FmFvjhPcvKTXBqqE2auG
fdit8gsz3V7TQUjWGntBgD3f1Nc8aa0C9uwZh8Fi7Fvy3I2XFlpgjfI1Utcg
dvPQFJY7HcJ7i6rynkrse7/vMuaZDMCWzLU59j7sXpGRr0zHR6Dr21i1GgGe
i5wW5dfIGoO3jNeG/wrEvuc7Ej379SQkifTIuit4b1+maySYRQigU2KGLiVA
hvyPYofSumgxtJY4v79hL8X9M1LJ5+qkcOVRrN2iRIT8WwWLFF6bDKpRNkhn
nZ/jPfSkfcaJkkNKXecBNQ8+zlVuwK19v8/DyqmQz1WCRpGnzQSYQh0CVtTM
iYrVcN5KUwZ1qlMJSPk5aP9RCs7nyl226kQTAQvM24NOc3CeJYWeqjl8AsbQ
+nbpy3D+xfRiMVVKQCWW8IMdEYA8N9x+gDFJwGe7m9Z02xkQ3X3Gtoy4T0Ca
y1fhXPUu5EIDcrv3MQLWPlKkxD3pR77bvVKbutm/37GMc4raw8jpS6lHttLm
YWf41fKiraPIu4E8dPmgHHIt1kjUAj7ylUk7/0K6DCqf1/OkU58j19NRf3+6
QwpPLYs7Hz4WIU+Z+HMmw18MayOWnHd6SJHXFl4uz6gSQK9f7/+0xUOG3OBw
IJflMgXLHG13HZXMIedOt6+Ad2PQZEOiLqPMI09OLDdlCTjwhQ3BmRrC7tZY
18hhDsIlcsb1eicCeSrPSMNV3gu1PnonVFzEfp7dfejCFhY0WNaj+7Cx++xL
n6htuAZLNv4eO/sC+4mD1Lgs/SugUsvPRybCXtS6173zlxbgUu3PtB3CziQ8
X0pVIDDruJ35oAq7YtulqpwfBsDhkMC2SF/sZf1Mh+TFERC7/cf0MzN4Lkdz
ca9fzlNgVmYUX/1YjlxDTrbOaJ4GWX0MkqU93ps2I2Gq1FIEPL5os0pzn0We
3p3gY58rAe/e2tCkJhLkwSe3ZV3snQU7uj5qs5aFyHeGRIQy8+ZAMNWtxqLs
GXLv972WB+VywHA7RbaS8JAPrmhOyhQJ0GScmJw6hPOWucA/URFJgAeO/duC
S9nIz0WH5KfVE8Brv6PI97du5GJ+saB/nABGV3e158XeQ864a6CQtPlf4tdP
sr4uSkL++AbDOX3Te1YNpcFFYcg//SOO5OX//+jhJ/8PdCB1xA==
      "]]}, 
    {Hue[0.3224758424985268, 0.6, 0.6], Line3DBox[CompressedData["
1:eJxF1Ws01GkcB3C5lMsmNd3Lntwal50kMVsTD4Oi2JK1GjZk2FVZd1MJSXNo
2Iy0O7RSw8qtqKU0LruPbYxBQwwlBs386aIZqajOllgv6nle/N58Xv3O93zP
+RqFRO0PU1dTU9s1fxrzZ+ufoGlynwCStlqzKFq8Y/l0XsGx0XH4e8W+pTMi
AkynsynSrGLwxSdvTpjmVBIgKX1nQ0daDfKJH+9keR8nALXWc+xtTBPyvOn3
dlObCXC940Wg5wYh8sL/bt1wj1eA8XyqQqAjQe5r9C2v9ZgcZBbR6CSKFHmJ
uWF4sMMIYK7u3OgR/BB5SjErVN9RBt7JPWkmrweQSx0K2i3S+4FoNu6IdsAw
8iROf4Iuqxd8I9Izrl8tR96zMoP8qaELFMVcj7SwUiDP2nu/UegjApxDbYl8
HQK5S0tbg6ukGSQ8Kynj+WJXln9ltSNcAKJj3lKDuNglxTMvvQurwbadU07m
ddjZz2qt5y7mg8lZ0ZP197CH+WntpSZmQ2UOV5HXiZ37gPo99/Q1KPL0Tv3Y
gP1M7+I6+oc62L5kLqmSh71NIIkp1W+GryNWvbUJxk65/VyD/aoFnlrbkTlq
gF27zfScf0M75Pk+tB28jnNI3pVyaiOzB+YYFjZOVuHczp5KK6X98ABamxyO
8/s4gvym01n/aucBaNGaWrBQIUM+l7r5Te6ZIVht+t4/j/MI5wknf5rNegw1
35BYc8l9yPccLDpkPyOH7Isq1pR5N/KdL8yXRw8oYP1rkpmyXow8+4jpEt5W
AvL0n+zmP7+LXDes88/pRALKwnvWnNbA/ayJtSZfqSDggb+ay8gQ97k8yUZ1
R0RA10eC5d914/6vCNkjNLpPwKlLjNbSxD3IbZ7KJNmtBNz6Rn1GMV0Ev3ig
wfbl0+UE7KIIeZnjNcgZ7iftGSwCbhM/ZwQIm5BfyityDJ7/f5A3qzasvIvc
LdzjBFeugIOy/hupTDHylnGXRWBSDgfIly8vCupGHrQ6X6X/y2O44OTpTd5V
fcht63UoQ2VDMLqa5EgJeoT8eALvkK3lACxwtrXb/k6GPF+NfeRK6gN48ZKf
7sfhEeQfQs9VP+H1QGnusnYGX46co3qqvLqmA7706b+yvkSB/IWuWetEjQhe
M+GTMtQJ5MkW9KMG1H9hnKaMH7oXu2SXoWsXVwAnuOLQ7Gzs5ifC+HWWVXB4
0a/GxwXY+ds+Eat6f4MH9MwWOEuwU8zS6rVbcsCF28xbrp3Yz3tVTTiJK0GI
sjRWpwn75dzk2VBOHWAb2izrzcd+NMJBnbmpGYh8yLHxgdib3FQLurREwGh/
5KjfEuxrvQZTKu51ggILqUGcG87B0kZPuSy0F8Sv2j1l8jXObYWJ0Oswqx9k
iF6N838eRr6OMUGbGRsEOy4sDIjyGkQeb5/yNJc8Atj6WzyLkx8it6OrQs4H
yMGBUc2IkfNS5I+d3ydPHlQAEknAjByTIP+jcYzuZEWALsvYMSpLiHu7Ratk
XxQBXCSNffyRv3EP2YtLGEUEiKafKSuovYW8r8EhTU1IgLyqOzSy/1XkuWKO
0Zr5fVlKW2n4yp2JvFd1I2vDvB9VXlu/zsMH9/PzHmkYe22c36N/vvj/1pb8
oA==
      "]]}, 
    {Hue[0.5585438199983166, 0.6, 0.6], Line3DBox[CompressedData["
1:eJxN1Xs01FkcAHBthtYmlbCDVgzHSB67HdpKXcdrhCI7SqyskLWSo9BIrMfa
muOxHhlbGqxns5MmQ7PymKsxHuMxmfl1pMfOOd5ayiZ2wlpr/3Dv/vH953O+
5577fZzzNT4X4xv+kYqKCm09Nq+HyWubA3NdBBg2029adg0/ukZ30d4W8xYG
RDvWe7cRQO0TU6Z5aiHYcPPVXelXywnwuFXPhJNQidy3SvShOooAAX/cGWqc
rkO+oHo7omQPAZaHT8tcDRuRLztx6YcD5KCQFparn9SGvMJNcbvZRwbeK3+K
uGHYgfxBrt6Ljr4ngCUsStS+3o2cQdoyvVDVD8KuWYmn3PqQP9KdgdqtPSAy
zG6u83cpzo9YTotOEIMjPqKJntlB5M8UWc0z5u3A21NV6K8pR34gO53RekEA
cmtW2E5K7MpArdF8Tj0wq7VgGtMI5CS9HxJ7OBwg5BQFjmVgt9lzguf7aTlY
ZS98zb2HvWrKdqeBggmCjYJ0GkXYNe6/M1GQUuFv1hVC707s+XQmdW7mDpy9
NGIlrMducr09e4l6F1aOVzflZmG/mk5K+3z0ASw7P1ng7ov9L8dF+xBVAZz1
Hj8z8Q+ua8tXzv7HNVsg02I7WVCEvY0ZFHXAXQTfcJ3d65gy5JcPekzTY7og
yz2su/0Y7ufdR5ygqNxeuEB+Y+LjM4C8bMjlz4MrA7DF6HuDl/0S5PQvjfUH
igbhyWkbpTKrE7la+sd7V17K4M6LlqTnq+3Ik81yAovFclh6UzKfMt+E3Omd
NvWiKQH5EdCzdaQBucRQJI26SMARRvCrvDi8n/s0Y3cnlxHQP/r6cWMB3mcm
I0hjSxsBKcxIrkUP3v9IecrEmy4Csu3Mi7njDni+eyeXXq/nM7hrTy+NFMAN
14vnO0hKCcjT8qnhj1Yiv7LkxiuMJODwaFelx9H7yBflPxfYrf9/q0NeLWWi
AflaII+1q18OD5luIlUUNyEPoVxY9ZfK4K1k3/KH9o+RU6o0WczMQajQFek8
autETh1Ntg8xlsKEekd7p3IJ8hObbLe1xPdC8jelmiXnB5B7LKobT5V0wUQL
NcuThwaRE7ts/cpTRHB2NzkgLEmGfNskxzw1tgV6DyWezcyWI19qD3XoHxTA
dw9FvL457JIbJTdekfkwZ4A5xnYkkFuPEmOhBAdunneTqGdgZxkl5it/LYVv
+20byTzshemeV2InMmHDka0Hpzqw6353OPx1eRoo2ck99kGMvSja0UuDegc0
37+p+oKPnVb3bMKLXwtq/drbiJz/vVNjZpW3uR5k1VWbxPlg36ShvNehLwDv
U7VOua7iunJI5Kdf0CHwsy/g/03Fnib1dGaGisEtSphO0jzup0JFKszg9gDP
eM9g1Rkprjf/jNdxWj9461I8/L62D/l2oDB41vgEuC9XOs9VdyOPjSNLduyX
ASqjKS7jxw7kEYXqghYnOXBiUCJ3hAiRr54eDmbrEyA09jMaO6ERec3Za5et
zxGglyFWN/2Wh/xDUNovvSwCeHE4MafE1cj9rAaG9jUTwIquTom7zEJOtyDJ
x9fvy37K80UVGh35A7MX7Nl1LwmetrSmuSDfuEe+oS3/3SPhhv8LUyVq1g==

      "]]}}, {{}, {}, 
    {Hue[0.67, 0.6, 0.6], Line3DBox[CompressedData["
1:eJxt12k8Vd0ewHFyExlDlDJmapRS6GCVIsVjKBlKKFGRKGToyZAyxDVlOpka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      "]]}, 
    {Hue[0.9060679774997897, 0.6, 0.6], Line3DBox[CompressedData["
1:eJxV13k01dv7B3BDZcxYxlzK2KRkqGvoEQpxT8gUMmRIRZQot2SozBUyzxTK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      "]]}, 
    {Hue[0.1421359549995791, 0.6, 0.6], Line3DBox[CompressedData["
1:eJxV12k4Fdr3B/C6KmOSipAxQ2WIkkxZUkqJaEAoU6ZSKTLUzVBCqAyZRUVF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      "]]}, 
    {Hue[0.37820393249936934`, 0.6, 0.6], Line3DBox[CompressedData["
1:eJxt12k4VWsbB3DqZI5SiaIkMkV0ImW4y6GEI5UypChRiIioVCqFJJUhmSUl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      "]]}, 
    {Hue[0.6142719099991583, 0.6, 0.6], Line3DBox[CompressedData["
1:eJxt12k4VWsbB3DqZI5SiaIkMkV0ImV4ylEJRyplSFGiEBFRqVQKSZNIZkmJ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      "]]}, 
    {Hue[0.8503398874989481, 0.6, 0.6], Line3DBox[CompressedData["
1:eJxV12k4ld33B3A9ypykImTMUBmiJFO2lFIiVMiQKVOpFBkaDCWEypBZVCgq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      "]]}, 
    {Hue[0.08640786499873876, 0.6, 0.6], Line3DBox[CompressedData["
1:eJxV12k4lev3B3BDZQxRiJxUpiZNqGNoFRXKERKSQiEVUUo5JTSYK8o8q6QM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      "]]}}}]], "Output",
 CellChangeTimes->{{3.3918553678125*^9, 3.39185537459375*^9}, {
   3.391855428921875*^9, 3.391855434703125*^9}, 3.392473860957486*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{896, 767},
WindowMargins->{{41, Automatic}, {Automatic, 86}},
ShowSelection->True,
Magnification->1.,
FrontEndVersion->"6.0 for Linux x86 (64-bit) (April 20, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 115, 1, 73, "Section"],
Cell[708, 26, 241, 4, 55, "Input"],
Cell[CellGroupData[{
Cell[974, 34, 132, 2, 32, "Input"],
Cell[1109, 38, 815, 17, 72, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1961, 60, 781, 19, 77, "Input"],
Cell[2745, 81, 393, 9, 24, "Print"],
Cell[3141, 92, 4254, 80, 354, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7432, 177, 940, 23, 77, "Input"],
Cell[CellGroupData[{
Cell[8397, 204, 391, 9, 24, "Print"],
Cell[8791, 215, 85, 1, 24, "Print"]
}, Open  ]],
Cell[8891, 219, 4203, 78, 292, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13131, 302, 210, 4, 32, "Input"],
Cell[13344, 308, 6017, 112, 326, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19398, 425, 564, 15, 77, "Input"],
Cell[19965, 442, 357, 8, 24, "Print"],
Cell[20325, 452, 73781, 1236, 406, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[94143, 1693, 832, 20, 55, "Input",
 CellID->208223210],
Cell[94978, 1715, 99794, 1624, 399, 84168, 1366, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[194809, 3344, 319, 7, 55, "Input"],
Cell[195131, 3353, 52424, 880, 398, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
